<?php
/**
 * Internationalisation for WikiEditor extension
 *
 * @file
 * @ingroup Extensions
 */

$messages = array();

/** English
 * @author Trevor Parscal
 */
$messages['en'] = array(
	/* WikiEditor */
	'wikieditor' => 'Advanced wikitext editing interface',
	'wikieditor-desc' => 'Provides an extendable wikitext editing interface and many feature-providing modules',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Loading...',
	/* Preview */
	'wikieditor-preview-preference' => 'Enable side-by-side preview',
	'wikieditor-preview-tab' => 'Preview',
	'wikieditor-preview-changes-tab' => 'Changes',
	'wikieditor-preview-loading' => 'Loading...',
	/* Preview Dialog */
	'wikieditor-previewDialog-preference' => 'Enable preview dialog',
	'wikieditor-previewDialog-tab' => 'Preview',
	'wikieditor-previewDialog-loading' => 'Loading...',
	/* Publish */
	'wikieditor-publish-preference' => 'Enable step-by-step publishing',
	'wikieditor-publish-button-publish' => 'Publish',
	'wikieditor-publish-button-cancel' => 'Cancel',
	'wikieditor-publish-dialog-title' => 'Publish to {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Edit summary (briefly describe the changes you have made):',
	'wikieditor-publish-dialog-minor' => 'Minor edit',
	'wikieditor-publish-dialog-watch' => 'Watch this page',
	'wikieditor-publish-dialog-publish' => 'Publish',
	'wikieditor-publish-dialog-goback' => 'Go back',
	/* Template Editor */
	'wikieditor-template-editor-preference' => 'Enable form-based editing of wiki templates',
	'wikieditor-template-editor-dialog-title' => 'Edit template',
	'wikieditor-template-editor-dialog-submit' => 'Update',
	'wikieditor-template-editor-dialog-cancel' => 'Cancel',
	/* Templates */
	'wikieditor-templates-preference' => 'Enable template collapsing',
	/* Table of Contents */
	'wikieditor-toc-preference' => 'Enable navigable table of contents',
	'wikieditor-toc-show' => 'Show contents',
	'wikieditor-toc-hide' => 'Hide contents',
	/* Toolbar */
	'wikieditor-toolbar' => 'Editing toolbar',
	'wikieditor-toolbar-desc' => 'Edit page toolbar with enhanced usability',
	'wikieditor-toolbar-preference' => 'Enable enhanced editing toolbar',
	'wikieditor-toolbar-dialogs-preference' => 'Enable dialogs for inserting links, tables and more',
	'wikieditor-toolbar-hidesig' => 'Hide the signature button from pages in the main namespace',
	'wikieditor-toolbar-loading' => 'Loading...',
	/* Toolbar - Main Section */
	'wikieditor-toolbar-tool-bold' => 'Bold',
	'wikieditor-toolbar-tool-bold-example' => 'Bold text',
	'wikieditor-toolbar-tool-italic' => 'Italic',
	'wikieditor-toolbar-tool-italic-example' => 'Italic text',
	'wikieditor-toolbar-tool-ilink' => 'Internal link',
	'wikieditor-toolbar-tool-ilink-example' => 'Link title',
	'wikieditor-toolbar-tool-xlink' => 'External link (remember http:// prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com link title',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Insert link',
	'wikieditor-toolbar-tool-link-int' => 'To a wiki page',
	'wikieditor-toolbar-tool-link-int-target' => 'Target page or URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Page title or URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Text to display:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text to be displayed',
	'wikieditor-toolbar-tool-link-ext' => 'To an external web page',
	'wikieditor-toolbar-tool-link-ext-target' => 'Link URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Link text:',
	'wikieditor-toolbar-tool-link-insert' => 'Insert link',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancel',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Page exists',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Page does not exist',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Invalid title',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'External link',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Checking page existence...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'The title you specified is invalid.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'The URL you specified looks like it was intended as a link to another wiki page.
Do you want to make it an internal link?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Internal link',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'External link',
	'wikieditor-toolbar-tool-link-empty' => "You did not enter anything to link to.",
	'wikieditor-toolbar-tool-file' => 'Embedded file',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Reference',
	'wikieditor-toolbar-tool-reference-example' => 'Insert footnote text here',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancel',
	'wikieditor-toolbar-tool-reference-title' => 'Insert reference',
	'wikieditor-toolbar-tool-reference-insert' => 'Insert',
	'wikieditor-toolbar-tool-reference-text' => 'Reference text',
	'wikieditor-toolbar-tool-signature' => 'Signature and timestamp',
	/* Toolbar - Advanced Section */
	'wikieditor-toolbar-section-advanced' => 'Advanced',
	'wikieditor-toolbar-tool-heading' => 'Heading',
	'wikieditor-toolbar-tool-heading-1' => 'Level 1',
	'wikieditor-toolbar-tool-heading-2' => 'Level 2',
	'wikieditor-toolbar-tool-heading-3' => 'Level 3',
	'wikieditor-toolbar-tool-heading-4' => 'Level 4',
	'wikieditor-toolbar-tool-heading-5' => 'Level 5',
	'wikieditor-toolbar-tool-heading-example' => 'Heading text',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Bulleted list',
	'wikieditor-toolbar-tool-ulist-example' => 'Bulleted list item',
	'wikieditor-toolbar-tool-olist' => 'Numbered list',
	'wikieditor-toolbar-tool-olist-example' => 'Numbered list item',
	'wikieditor-toolbar-tool-indent' => 'Indentation',
	'wikieditor-toolbar-tool-indent-example' => 'Indented line',
	'wikieditor-toolbar-tool-nowiki' => 'No wiki formatting',
	'wikieditor-toolbar-tool-nowiki-example' => 'Insert non-formatted text here',
	'wikieditor-toolbar-tool-redirect' => 'Redirect',
	'wikieditor-toolbar-tool-redirect-example' => 'Target page name',
	'wikieditor-toolbar-tool-big' => 'Big',
	'wikieditor-toolbar-tool-big-example' => 'Big text',
	'wikieditor-toolbar-tool-small' => 'Small',
	'wikieditor-toolbar-tool-small-example' => 'Small text',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Superscript text',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Subscript text',
	'wikieditor-toolbar-group-insert' => 'Insert',
	'wikieditor-toolbar-tool-gallery' => 'Picture gallery',
	'wikieditor-toolbar-tool-gallery-example' => "$1:Example.jpg|Caption1
$1:Example.jpg|Caption2",
	'wikieditor-toolbar-tool-newline' => 'New line',
	'wikieditor-toolbar-tool-table' => 'Table',
	'wikieditor-toolbar-tool-table-example-old' => "-
! header 1
! header 2
! header 3
|-
| row 1, cell 1
| row 1, cell 2
| row 1, cell 3
|-
| row 2, cell 1
| row 2, cell 2
| row 2, cell 3",
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Cell text',
	'wikieditor-toolbar-tool-table-example-header' => 'Header text',
	'wikieditor-toolbar-tool-table-title' => 'Insert table',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rows',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columns',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Add header row',
	'wikieditor-toolbar-tool-table-wikitable' => 'Style with borders',
	'wikieditor-toolbar-tool-table-sortable' => 'Make table sortable',
	'wikieditor-toolbar-tool-table-example' => 'Example',
	'wikieditor-toolbar-tool-table-preview' => 'Preview',
	'wikieditor-toolbar-tool-table-insert' => 'Insert',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancel',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-toomany' => 'Inserting a table with more than $1 cells is not possible with this dialog.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'You have not entered a valid number of rows or columns.',
	'wikieditor-toolbar-tool-table-zero' => 'You cannot insert a table with zero rows or columns.',
	'wikieditor-toolbar-tool-replace' => 'Search and replace',
	'wikieditor-toolbar-tool-replace-title' => 'Search and replace',
	'wikieditor-toolbar-tool-replace-search' => 'Search for:',
	'wikieditor-toolbar-tool-replace-replace' => 'Replace with:',
	'wikieditor-toolbar-tool-replace-case' => 'Match case',
	'wikieditor-toolbar-tool-replace-regex' => 'Treat search string as a regular expression',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Find next',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Replace',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Replace all',
	'wikieditor-toolbar-tool-replace-close' => 'Close',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Your search did not match anything.',
	'wikieditor-toolbar-tool-replace-success' => '$1 replacement(s) made.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'You did not enter anything to search for.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'The regular expression you entered is invalid: $1',
	/* Toolbar - Special characters Section */
	'wikieditor-toolbar-section-characters' => 'Special characters',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin extended',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbols',
	'wikieditor-toolbar-characters-page-greek' => 'Greek',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillic',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabic',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabic extended',
	'wikieditor-toolbar-characters-page-persian' => 'Persian',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrew',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	/* Toolbar - Help Section */
	'wikieditor-toolbar-section-help' => 'Help',
	'wikieditor-toolbar-help-heading-description' => 'Description',
	'wikieditor-toolbar-help-heading-syntax' => 'What you type',
	'wikieditor-toolbar-help-heading-result' => 'What you get',
	'wikieditor-toolbar-help-page-format' => 'Formatting',
	'wikieditor-toolbar-help-page-link' => 'Links',
	'wikieditor-toolbar-help-page-heading' => 'Headings',
	'wikieditor-toolbar-help-page-list' => 'Lists',
	'wikieditor-toolbar-help-page-file' => 'Files',
	'wikieditor-toolbar-help-page-reference' => 'References',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Italic',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Italic text''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Italic text</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Bold',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Bold text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Bold text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Bold &amp; italic',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Bold &amp; italic text'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Bold &amp; italic text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Internal link',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Link label]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Link label</a><br /><a href='#'>Page title</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'External link',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Link label]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Link label</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2nd level heading',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Heading text ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Heading text</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3rd level heading',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Heading text ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Heading text</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4th level heading',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Heading text ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Heading text</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5th level heading',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Heading text =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Heading text</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Bulleted list',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* List item<br />* List item',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>List item</li><li>List item</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numbered list',
	'wikieditor-toolbar-help-content-olist-syntax' => '# List item<br /># List item',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>List item</li><li>List item</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Embedded file',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Caption text]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Caption text</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Reference',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Page text.&lt;ref name="test"&gt;[http://www.example.org Link text], additional text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Page text.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Additional use of same reference',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="test" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Page text.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Display references',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '&lt;references /&gt;',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signature with timestamp',
	'wikieditor-toolbar-help-content-signaturetimestamp-syntax' => '~~~~',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Username</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signature',
	'wikieditor-toolbar-help-content-signature-syntax' => '~~~',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Username</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indent',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal text<br />:Indented text<br />::Indented text',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal text<dl><dd>Indented text<dl><dd>Indented text</dd></dl></dd></dl>',
);

/** Message documentation (Message documentation)
 * @author Amire80
 * @author EugeneZelenko
 * @author Hamilton Abreu
 * @author Harald Khan
 * @author Liangent
 * @author Lloffiwr
 * @author Mormegil
 * @author Onecountry
 * @author Prima klasy4na
 * @author Raymond
 * @author Siebrand
 * @author Umherirrender
 * @author Yekrats
 */
$messages['qqq'] = array(
	'wikieditor' => 'An extension to allow for advanced editing features.
http://www.mediawiki.org/wiki/Extension:WikiEditor',
	'wikieditor-desc' => "{{desc}}

I guess that 'feature-providing modules' means the same as 'modules providing features'.",
	'wikieditor-wikitext-tab' => 'Caption of the tab containing the edit box',
	'wikieditor-loading' => "Explanatory text for the temporary cover placed over the wikieditor while it's being assembled.
{{Identical|Loading}}",
	'wikieditor-preview-preference' => "Option in [[Special:Preferences]], tab ''{{int:prefs-editing}}''",
	'wikieditor-preview-tab' => 'Caption of the tab containing the preview

{{Identical|Preview}}',
	'wikieditor-preview-changes-tab' => "Caption of the tab containing a diff of the user's changes, à la ''{{int:Showdiff}}'' ({{msg-mw|Showdiff|notext=1}}).

{{Identical|Change}}",
	'wikieditor-preview-loading' => 'Alt text for spinner displayed while preview is being loaded
{{Identical|Loading}}',
	'wikieditor-previewDialog-tab' => 'Caption of the tab containing the preview

{{Identical|Preview}}',
	'wikieditor-previewDialog-loading' => 'Alt text for spinner displayed while preview is being loaded
{{Identical|Loading}}',
	'wikieditor-publish-preference' => "Option in [[Special:Preferences]], tab ''{{int:prefs-editing}}''",
	'wikieditor-publish-button-publish' => 'Button to the right of the Edit/Preview tabs that opens a dialog window that lets the user save their edit

{{Identical|Publish}}',
	'wikieditor-publish-button-cancel' => 'Button to the right of the Edit/Preview tabs that has the same effect as the {{msg-mw|Cancel}} link below the edit box.

{{Identical|Cancel}}',
	'wikieditor-publish-dialog-title' => 'Title of the dialog that opens when the user clicks the Publish button',
	'wikieditor-publish-dialog-summary' => 'Label for the edit summary textbox in the dialog that opens when the user clicks the Publish button. See also {{msg-mw|Summary}}.',
	'wikieditor-publish-dialog-minor' => 'Label for the minor edit checkbox in the dialog that opens when the user clicks the Publish button. See also {{msg-mw|Minoredit}}',
	'wikieditor-publish-dialog-watch' => 'Label for the watch checkbox in the dialog that opens when the user clicks the Publish button

{{Identical|Watch this page}}',
	'wikieditor-publish-dialog-publish' => "Button that saves the user's edit in the dialog that opens when the user clicks the Publish button

{{Identical|Publish}}",
	'wikieditor-publish-dialog-goback' => 'Button that closes the dialog that opens when the user clicks the Publish button

{{Identical|Go back}}',
	'wikieditor-template-editor-dialog-submit' => '{{Identical|Update}}',
	'wikieditor-template-editor-dialog-cancel' => '{{Identical|Cancel}}',
	'wikieditor-toc-preference' => "Option at [[Special:Preferences]], tab ''{{int:prefs-editing}}''",
	'wikieditor-toc-show' => 'Label of the show/hide link when the navigable table of contents is hidden',
	'wikieditor-toc-hide' => 'Label of the show/hide link when the navigable table of contents is visible',
	'wikieditor-toolbar' => 'A customizable toolbar for the WikiEditor.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-desc' => '{{desc}}',
	'wikieditor-toolbar-preference' => 'Option in [[Special:Preferences]]',
	'wikieditor-toolbar-dialogs-preference' => "Caption of a checkbox on [[Special:Preferences]] (''editing'' tab), enabling helper dialogs for various features of the advanced edit toolbar (e.g. inserting links or tables).
{{Identical|Enable dialogs for inserting links, tables and more}}",
	'wikieditor-toolbar-loading' => '{{Identical|Loading}}',
	'wikieditor-toolbar-tool-bold' => '{{Identical|Bold}}',
	'wikieditor-toolbar-tool-bold-example' => '{{Identical|Bold text}}',
	'wikieditor-toolbar-tool-italic' => '{{Identical|Italic}}',
	'wikieditor-toolbar-tool-italic-example' => '{{Identical|Italic text}}',
	'wikieditor-toolbar-tool-ilink' => '{{Identical|Internal link}}',
	'wikieditor-toolbar-tool-xlink' => '{{Identical|External link (remember http:// prefix)}}',
	'wikieditor-toolbar-tool-xlink-example' => "www.example.com is not a real website, but it has been reserved to use in software documentation, and will never be sold or used for advertising. If you translate the word example and try to go to that web address then you might get a message that it doesn't exist. But somebody may have created a commercial web page for that address, such as www.Beispiel.org, using the German word for example. It is therefore recommended that you do not translate http://www.example.com at all. If you do wish to translate it you should first check where the translated link takes you, and bear in mind that anybody could purchase that name in the future.",
	'wikieditor-toolbar-tool-link' => '{{Identical|Link}}',
	'wikieditor-toolbar-tool-link-cancel' => '{{Identical|Cancel}}',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Text shown when the title the user entered exists',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Text shown when the title the user entered does not exist',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Text shown when the title the user entered is invalid',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Text shown when the link target the user entered points to an external web site
{{Identical|External link}}',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'alt text and title text for the image shown while the title the user entered is being checked for existence',
	'wikieditor-toolbar-tool-link-int-invalid' => 'This message appears when you try to create an internal link but the page title in the link is invalid.',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '{{Identical|Internal link}}',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '{{Identical|External link}}',
	'wikieditor-toolbar-tool-file' => '{{Identical|Embedded file}}',
	'wikieditor-toolbar-tool-reference' => '{{Identical|Reference}}',
	'wikieditor-toolbar-tool-reference-cancel' => '{{Identical|Cancel}}',
	'wikieditor-toolbar-tool-reference-title' => 'Title of insert reference dialog. This text is on the very top bar of the dialog.',
	'wikieditor-toolbar-tool-reference-insert' => 'Button text for the insert action of the insert reference dialog.
{{Identical|Insert}}',
	'wikieditor-toolbar-tool-reference-text' => 'Label for the input field on the insert reference dialog.',
	'wikieditor-toolbar-tool-signature' => '{{Identical|Signature with timestamp}}',
	'wikieditor-toolbar-section-advanced' => '{{Identical|Advanced}}',
	'wikieditor-toolbar-group-format' => '{{Identical|Format}}',
	'wikieditor-toolbar-tool-ulist' => '{{Identical|Bulleted list}}',
	'wikieditor-toolbar-tool-olist' => '{{Identical|Numbered list}}',
	'wikieditor-toolbar-tool-nowiki' => '工具栏注释',
	'wikieditor-toolbar-tool-redirect' => "Tooltip for icon to place wiki text for a redirect in the edit box. The label before these icons says 'Insert'. 'Redirect' is a noun here.
{{Identical|Redirect}}",
	'wikieditor-toolbar-tool-redirect-example' => "Target is an adjective describing the page name. You could use 'destination' instead of 'target'. 'Target page name' is the destination of the redirect and appears when the wikitext for a redirect is inserted in the text box thus
 <nowiki>#REDIRECT [[target page name]]</nowiki>",
	'wikieditor-toolbar-tool-small' => '{{Identical|Small}}',
	'wikieditor-toolbar-group-insert' => '{{Identical|Insert}}',
	'wikieditor-toolbar-tool-table' => '{{Identical|Table}}',
	'wikieditor-toolbar-tool-table-example-cell-text' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-example-header' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-title' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-dimensions-header' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-wikitable' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-sortable' => '[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-example' => '{{Identical|Example}}
  [[File:Wikieditor-toolbar-tool-table.png|thumb]]This is a noun. Important to indicate that this is not a preview of what the table will look like, but an example of what it will look similar to. See screenshot.',
	'wikieditor-toolbar-tool-table-preview' => '{{Identical|Preview}}

[[File:Wikieditor-toolbar-tool-table.png|thumb]]This is a noun. See screenshot.',
	'wikieditor-toolbar-tool-table-insert' => '{{Identical|Insert}}

[[File:Wikieditor-toolbar-tool-table.png|thumb]] See screenshot.',
	'wikieditor-toolbar-tool-table-cancel' => '{{Identical|Cancel}}',
	'wikieditor-toolbar-tool-table-example-text' => '{{optional}}
Placeholder text to help the table example appear to be in the context of an article. Should be lorem ipsum, or equivalent.',
	'wikieditor-toolbar-tool-table-toomany' => '[[file:Bulbgraph.png|left|22px]]
This message does not support PLURAL on $1.',
	'wikieditor-toolbar-tool-replace' => '{{Identical|Search and replace}}',
	'wikieditor-toolbar-tool-replace-title' => '{{Identical|Search and replace}}',
	'wikieditor-toolbar-tool-replace-search' => '{{Identical|Search}}',
	'wikieditor-toolbar-tool-replace-case' => 'This could as well be translated as "case sensitive search" -
"case" refers to character case, that is upper case, or lower case.',
	'wikieditor-toolbar-tool-replace-regex' => 'A "regular expression" is a syntax to find strings based on patterns, for more see [[wikipedia:Regular expression|the Wikipedia article]].

More notes:
* "Regular expression" is mostly a programmer tool, which is sometimes exposed to normal users too. It\'s almost as an programming language, but it is used to describe different kinds of strings (sometimes also called patterns and pattern matching), and is often used to change (parts of) the strings too.',
	'wikieditor-toolbar-tool-replace-button-replace' => '{{Identical|Replace}}',
	'wikieditor-toolbar-tool-replace-close' => '{{Identical|Close}}',
	'wikieditor-toolbar-tool-replace-success' => '[[file:Bulbgraph.png|left|22px]]
This message does not support PLURAL on $1.',
	'wikieditor-toolbar-tool-replace-invalidregex' => '$1 is a browser-supplied error message, probably in English, possibly in the browser language.

A "regular expression" is a syntax to find strings based on patterns, for more see [[wikipedia:Regular expression|the Wikipedia article]].

Regular expressions are mostly a programmer tool, which is sometimes exposed to normal users too. It\'s almost as an programming language, but it is used to describe different kinds of strings (sometimes also called patterns and pattern matching), and is often used to change (parts of) the strings too.',
	'wikieditor-toolbar-section-characters' => 'This will be a toolbar for special characters, like emoticons.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-characters-page-latin' => 'This is the name of a script, or alphabet, not a language',
	'wikieditor-toolbar-characters-page-latinextended' => 'The name of the Latin Extended character set section of the toolbar.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA means a script: "international phonetic alphabet" here, and not "international phonetic association", the organization behind it.',
	'wikieditor-toolbar-characters-page-symbols' => 'The section name for symbols on the wiki-toolbar.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-characters-page-greek' => 'This is the name of a script, or alphabet, not a language.',
	'wikieditor-toolbar-characters-page-cyrillic' => 'This is the name of a script, or a group of alphabets, used mainly in Eastern Europe and North and Central Asia.',
	'wikieditor-toolbar-characters-page-arabic' => 'This is the name of a script, or alphabet, not a language.',
	'wikieditor-toolbar-characters-page-arabicextended' => 'This is a description of the additional group of Arabic script characters for languages such as a Persian, Urdu, Pashto and others. This message is supposed to be similar to {{msg-mw|Wikieditor-toolbar-characters-page-latinextended}}.',
	'wikieditor-toolbar-characters-page-persian' => 'The name of the Persian character set (alphabet) on the toolbar.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-characters-page-hebrew' => 'This is the name of a script, or alphabet, not a language.',
	'wikieditor-toolbar-characters-page-bangla' => 'The name of the [[w:Bengali alphabet|Bangla]] (a.k.a. Bengali) character set (alphabet) on the toolbar.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-characters-page-telugu' => 'The name of the [[w:Telugu language#Alphabet|Telugu]] character set (alphabet) on the toolbar.
For more information, see http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization',
	'wikieditor-toolbar-section-help' => '{{Identical|Help}}',
	'wikieditor-toolbar-help-heading-description' => '{{Identical|Description}}',
	'wikieditor-toolbar-help-page-link' => '{{Identical|Links}}',
	'wikieditor-toolbar-help-page-list' => '{{Identical|List}}',
	'wikieditor-toolbar-help-page-file' => '{{Identical|File}}',
	'wikieditor-toolbar-help-page-reference' => '{{Identical|Reference}}',
	'wikieditor-toolbar-help-page-discussion' => '{{Identical|Discussion}}',
	'wikieditor-toolbar-help-content-italic-description' => '{{Identical|Italic}}',
	'wikieditor-toolbar-help-content-italic-syntax' => '{{Identical|Italic text}}',
	'wikieditor-toolbar-help-content-italic-result' => '{{Identical|Italic text}}',
	'wikieditor-toolbar-help-content-bold-description' => '{{Identical|Bold}}',
	'wikieditor-toolbar-help-content-bold-syntax' => '{{Identical|Bold text}}',
	'wikieditor-toolbar-help-content-bold-result' => '{{Identical|Bold text}}',
	'wikieditor-toolbar-help-content-ilink-description' => '{{Identical|Internal link}}',
	'wikieditor-toolbar-help-content-xlink-description' => '{{Identical|External link}}',
	'wikieditor-toolbar-help-content-xlink-syntax' => "www.example.org is not a real website, but it has been reserved to use in software documentation. If you translate the word example and try to go to that web address then you might get a message that it doesn't exist. But somebody may have created a commercial web page for that address, such as www.Beispiel.org, using the German word for example. It is therefore recommended that you do not translate http://www.example.org at all. If you do wish to translate it you should first check where the translated link takes you.",
	'wikieditor-toolbar-help-content-xlink-result' => "www.example.org is not a real website, but it has been reserved to use in software documentation. If you translate the word example and try to go to that web address then you might get a message that it doesn't exist. But somebody may have created a commercial web page for that address, such as www.Beispiel.org, using the German word for example. It is therefore recommended that you do not translate http://www.example.org at all. If you do wish to translate it you should first check where the translated link takes you.",
	'wikieditor-toolbar-help-content-heading2-syntax' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading2-result' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading3-syntax' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading3-result' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading4-syntax' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading4-result' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading5-syntax' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-heading5-result' => '{{Identical|Heading text}}',
	'wikieditor-toolbar-help-content-ulist-description' => '{{Identical|Bulleted list}}',
	'wikieditor-toolbar-help-content-olist-description' => '{{Identical|Numbered list}}',
	'wikieditor-toolbar-help-content-file-description' => '{{Identical|Embedded file}}',
	'wikieditor-toolbar-help-content-file-syntax' => "{{doc-important|''thumb'' is a magic word. Leave it untranslated!}}",
	'wikieditor-toolbar-help-content-file-result' => '{{doc-important|Do not translate anything except "Caption text" (twice) and "Enlarge" (to "{{int:thumbnail-more}}").}}',
	'wikieditor-toolbar-help-content-reference-description' => '{{Identical|Reference}}',
	'wikieditor-toolbar-help-content-reference-syntax' => 'I suggest leaving the <code>name="test"</code> string in English

www.example.org is not a real website, but it has been reserved to use in software documentation. If you translate the word example and try to go to that web address then you might get a message that it doesn\'t exist. But somebody may have created a commercial web page for that address, such as www.Beispiel.org, using the German word for example. It is therefore recommended that you do not translate http://www.example.org at all. If you do wish to translate it you should first check where the translated link takes you.',
	'wikieditor-toolbar-help-content-rereference-syntax' => '{{Optional}}',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '{{Optional}}',
	'wikieditor-toolbar-help-content-showreferences-result' => 'For the <code><nowiki><li></nowiki></code> tag’s <code>id</code> attribute, non-ASCII characters are URL-encoded as follows: a period (<code>.</code>) followed by a capital hexadecimal code. For example, <code><nowiki><ref name="thử"></nowiki></code> produces <code><nowiki><li id="cite_note-th.E1.BB.AD-0"></nowiki></code>.

www.example.org is not a real website, but it has been reserved to use in software documentation. If you translate the word example and try to go to that web address then you might get a message that it doesn\'t exist. But somebody may have created a commercial web page for that address, such as www.Beispiel.org, using the German word for example. It is therefore recommended that you do not translate http://www.example.org at all. If you do wish to translate it you should first check where the translated link takes you.',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '{{Identical|Signature with timestamp}}',
	'wikieditor-toolbar-help-content-signature-description' => '{{Identical|Signature}}',
);

/** Abkhazian (Аҧсуа)
 * @author Temuri rajavi
 */
$messages['ab'] = array(
	'wikieditor-toolbar-characters-page-latin' => 'Алаҭын',
	'wikieditor-toolbar-characters-page-greek' => 'Аберзентә',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Акирилица',
	'wikieditor-toolbar-characters-page-arabic' => 'Араҧтә',
	'wikieditor-toolbar-section-help' => 'Ацхыраара',
	'wikieditor-toolbar-help-page-file' => 'Афаилқәа',
	'wikieditor-toolbar-help-page-discussion' => 'Ахцәажәара',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='Special:MyPage'> Алахәыла ахьʒ</a> (<a href='#' title='Special:MyTalk'> ахцәажәара </a>)",
);

/** Afrikaans (Afrikaans)
 * @author Adriaan
 * @author Anrie
 * @author Naudefj
 * @author පසිඳු කාවින්ද
 */
$messages['af'] = array(
	'wikieditor' => 'Uitgebreide teksverwerker vir wikiteks',
	'wikieditor-desc' => "Voorsien 'n uitbreibare wikiteks-verwerker en modules met bykomende funksies",
	'wikieditor-wikitext-tab' => 'Wikiteks',
	'wikieditor-loading' => 'Laai tans',
	'wikieditor-preview-preference' => 'Wysig en voorskou langs mekaar',
	'wikieditor-preview-tab' => 'Voorskou',
	'wikieditor-preview-changes-tab' => 'Wysigings',
	'wikieditor-preview-loading' => 'Besig om te laai...',
	'wikieditor-previewDialog-preference' => 'Aktiveer voorskou-dialoog',
	'wikieditor-previewDialog-tab' => 'Voorskou',
	'wikieditor-previewDialog-loading' => 'Besig om te laai...',
	'wikieditor-publish-preference' => 'Aktiveer stap-vir-stap publisering',
	'wikieditor-publish-button-publish' => 'Publiseer',
	'wikieditor-publish-button-cancel' => 'Kanselleer',
	'wikieditor-publish-dialog-title' => 'Publiseer na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Wysigingsopsomming (beskryf kortliks wat u verander het):',
	'wikieditor-publish-dialog-minor' => 'Klein wysiging',
	'wikieditor-publish-dialog-watch' => 'Hou die bladsy dop',
	'wikieditor-publish-dialog-publish' => 'Publiseer',
	'wikieditor-publish-dialog-goback' => 'Terug',
	'wikieditor-template-editor-preference' => 'Aktiveer vorm-gebaseerde wysiging van wikisjablone',
	'wikieditor-template-editor-dialog-title' => 'Wysig sjabloon',
	'wikieditor-template-editor-dialog-submit' => 'Bywerk',
	'wikieditor-template-editor-dialog-cancel' => 'Kanselleer',
	'wikieditor-templates-preference' => 'Inklapbare sjablone toelaat',
	'wikieditor-toc-preference' => 'Aktiveer navigeerbare inhoudsopgawe',
	'wikieditor-toc-show' => 'Wys inhoud',
	'wikieditor-toc-hide' => 'Versteek inhoud',
	'wikieditor-toolbar' => 'Wysigingswerksbalk',
	'wikieditor-toolbar-desc' => 'Wysigingsbalk met verhoogde bruikbaarheid',
	'wikieditor-toolbar-preference' => 'Gebruik gevorderde redigeringsbalk',
	'wikieditor-toolbar-dialogs-preference' => 'Aktiveer dialoog vir die byvoeging van skakels, tabelle en meer',
	'wikieditor-toolbar-hidesig' => 'Steek die ondertekening knoppie van die bladsye in die hoof naamruimte',
	'wikieditor-toolbar-loading' => 'Besig om te laai...',
	'wikieditor-toolbar-tool-bold' => 'Vetdruk',
	'wikieditor-toolbar-tool-bold-example' => 'Vetgedrukte teks',
	'wikieditor-toolbar-tool-italic' => 'Skuinsdruk',
	'wikieditor-toolbar-tool-italic-example' => 'Skuinsgedrukte teks',
	'wikieditor-toolbar-tool-ilink' => 'Interne skakel',
	'wikieditor-toolbar-tool-ilink-example' => 'Skakel se titel',
	'wikieditor-toolbar-tool-xlink' => 'Eksterne skakel (onthou http:// vooraan)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.voorbeeld.co.za skakel se titel',
	'wikieditor-toolbar-tool-link' => 'Skakel',
	'wikieditor-toolbar-tool-link-title' => 'Voeg skakel by',
	'wikieditor-toolbar-tool-link-int' => "Na 'n wikibladsy",
	'wikieditor-toolbar-tool-link-int-target' => 'Bladsynaam:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Bladsynaam of URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Skakel se teks:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Sleutel die teks wat vertoon moet word in',
	'wikieditor-toolbar-tool-link-ext' => "Na 'n eksterne webbladsy",
	'wikieditor-toolbar-tool-link-ext-target' => 'URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Skakel se teks:',
	'wikieditor-toolbar-tool-link-insert' => 'Skakel byvoeg',
	'wikieditor-toolbar-tool-link-cancel' => 'kanselleer',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Die bladsy bestaan al',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Die bladsy bestaan nie',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ongeldige bladsynaam',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Eksterne skakel',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontroleer of die bladsy reeds bestaan...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Die titel wat u verskaf het is ongeldig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Die URL wat u verskaf het lyk asof dit bedoel is as skakel na 'n ander wikibladsy.
Wil u dit na 'n interne skakel verander?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interne skakel',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Eksterne skakel',
	'wikieditor-toolbar-tool-link-empty' => 'U het niks ingesleutel om na te skakel nie.',
	'wikieditor-toolbar-tool-file' => 'Ingebedde lêer',
	'wikieditor-toolbar-tool-file-example' => 'Voorbeeld.jpg',
	'wikieditor-toolbar-tool-reference' => 'Verwysing',
	'wikieditor-toolbar-tool-reference-example' => 'Voeg teks vir voetnota hier in',
	'wikieditor-toolbar-tool-reference-cancel' => 'Kanselleer',
	'wikieditor-toolbar-tool-reference-title' => 'Verwysing invoeg',
	'wikieditor-toolbar-tool-reference-insert' => 'Invoeg',
	'wikieditor-toolbar-tool-reference-text' => 'Verwysingteks',
	'wikieditor-toolbar-tool-signature' => 'Handtekening en tydstempel',
	'wikieditor-toolbar-section-advanced' => 'Gevorderde funksies',
	'wikieditor-toolbar-tool-heading' => 'Opskrif',
	'wikieditor-toolbar-tool-heading-1' => 'Vlak 1',
	'wikieditor-toolbar-tool-heading-2' => 'Vlak 2',
	'wikieditor-toolbar-tool-heading-3' => 'Vlak 3',
	'wikieditor-toolbar-tool-heading-4' => 'Vlak 4',
	'wikieditor-toolbar-tool-heading-5' => 'Vlak 5',
	'wikieditor-toolbar-tool-heading-example' => 'Opskrifteks',
	'wikieditor-toolbar-group-format' => 'Formatteer:',
	'wikieditor-toolbar-tool-ulist' => 'Ongenommerde lys',
	'wikieditor-toolbar-tool-ulist-example' => 'Lyn in ongenommerde lys',
	'wikieditor-toolbar-tool-olist' => 'Genommerde lys',
	'wikieditor-toolbar-tool-olist-example' => 'Lyn in genommerde lys',
	'wikieditor-toolbar-tool-indent' => 'Indentasie',
	'wikieditor-toolbar-tool-indent-example' => 'Ingekeepte lyn',
	'wikieditor-toolbar-tool-nowiki' => 'Geen wiki-formattering',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ongeformatteerde teks hier invoeg',
	'wikieditor-toolbar-tool-redirect' => 'Aanstuur',
	'wikieditor-toolbar-tool-redirect-example' => 'Teikenbladsynaam',
	'wikieditor-toolbar-tool-big' => 'Groot',
	'wikieditor-toolbar-tool-big-example' => 'Groot gedrukte teks',
	'wikieditor-toolbar-tool-small' => 'Klein',
	'wikieditor-toolbar-tool-small-example' => 'Klein gedrukte teks',
	'wikieditor-toolbar-tool-superscript' => 'Boskrif',
	'wikieditor-toolbar-tool-superscript-example' => 'Teks in boskrif',
	'wikieditor-toolbar-tool-subscript' => 'Onderskrif',
	'wikieditor-toolbar-tool-subscript-example' => 'Teks in onderskrif',
	'wikieditor-toolbar-group-insert' => 'Invoeg',
	'wikieditor-toolbar-tool-gallery' => 'Fotogalery',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Voorbeeld1|Byskrif1
$1:Voorbeeld2|Byskrif2',
	'wikieditor-toolbar-tool-newline' => 'Nuwe lyn',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! opskrif 1
! opskrif 2
! opskrif 3
|-
| ry 1, sel 1
| ry 1, sel 2
| ry 1, sel 3
|-
| ry 2, sel 1
| ry 2, sel 2
| ry 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Selteks',
	'wikieditor-toolbar-tool-table-example-header' => 'Opskrifteks',
	'wikieditor-toolbar-tool-table-title' => 'Voeg tabel in',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rye',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolomme',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Voeg opskriflyn in',
	'wikieditor-toolbar-tool-table-wikitable' => 'Styl met rante',
	'wikieditor-toolbar-tool-table-sortable' => 'Maak tabel sorteerbaar',
	'wikieditor-toolbar-tool-table-example' => 'Selteks',
	'wikieditor-toolbar-tool-table-preview' => 'Voorskou',
	'wikieditor-toolbar-tool-table-insert' => 'Invoeg',
	'wikieditor-toolbar-tool-table-cancel' => 'Kanselleer',
	'wikieditor-toolbar-tool-table-toomany' => "U kan nie 'n tabel met meer as $1 selle met die dialoog invoeg nie.",
	'wikieditor-toolbar-tool-table-invalidnumber' => "U het 'n ongeldige aantal lyne of kolomme verskaf.",
	'wikieditor-toolbar-tool-table-zero' => "U kan nie 'n tabel sonder lyne en kolomme invoeg nie.",
	'wikieditor-toolbar-tool-replace' => 'Soek en vervang',
	'wikieditor-toolbar-tool-replace-title' => 'Soek en vervang',
	'wikieditor-toolbar-tool-replace-search' => 'Soek na:',
	'wikieditor-toolbar-tool-replace-replace' => 'Vervang met:',
	'wikieditor-toolbar-tool-replace-case' => 'Gevoelig vir hoofletters',
	'wikieditor-toolbar-tool-replace-regex' => 'Hanteer die soekstring as \'n "regular expression"',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Vind volgende',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Vervang',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Vervang alles',
	'wikieditor-toolbar-tool-replace-close' => 'Sluit',
	'wikieditor-toolbar-tool-replace-nomatch' => 'U soektog het geen resultate opgelewer nie.',
	'wikieditor-toolbar-tool-replace-success' => '$1 vervangings gemaak.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'U het niks ingesleutel om na te soek nie.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Die "regular expression" wat u verskaf het is ongeldig: $1',
	'wikieditor-toolbar-section-characters' => 'Spesiale karakters',
	'wikieditor-toolbar-characters-page-latin' => 'Latyns',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latyns uitgebreid',
	'wikieditor-toolbar-characters-page-ipa' => 'IFA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbole',
	'wikieditor-toolbar-characters-page-greek' => 'Grieks',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillies',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabies',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabies uitgebrei',
	'wikieditor-toolbar-characters-page-persian' => 'Persiese',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreeus',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaals',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hulp',
	'wikieditor-toolbar-help-heading-description' => 'Beskrywing',
	'wikieditor-toolbar-help-heading-syntax' => 'Wat u tik',
	'wikieditor-toolbar-help-heading-result' => 'Wat u sal sien',
	'wikieditor-toolbar-help-page-format' => 'Formatering',
	'wikieditor-toolbar-help-page-link' => 'Skakels',
	'wikieditor-toolbar-help-page-heading' => 'Opskrifte',
	'wikieditor-toolbar-help-page-list' => 'Lyste',
	'wikieditor-toolbar-help-page-file' => 'Lêers',
	'wikieditor-toolbar-help-page-reference' => 'Verwysings',
	'wikieditor-toolbar-help-page-discussion' => 'Bespreking',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursief',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiewe teks''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursief gedrukte teks</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Vet',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Vetgedrukte teks'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Vetgedrukte teks</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Vet &amp; kursief',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Vet- en kursief gedrukte teks'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Vet- en kursief gedrukte teks</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interne skakel',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Bladsynaam|Skakel se teks]]<br />[[Bladsynaam]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etiket van skakel</a><br /><a href='#'>Bladsynaam</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Eksterne skakel',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.voorbeeld.org Skakel se etiket]<br />[http://www.voorbeeld.org]<br />http://www.voorbeeld.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Skakel se etiket</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.voorbeeld.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Vlak 2 opskrif',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Opskrifteks ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Opskrifteks</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Vlak 3 opskrif',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Opskrifteks ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Opskrifteks</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Vlak 4 opskrif',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Opskrifteks ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Opskrifteks</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Vlak 5 opskrif',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Opskrifteks =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Opskrifteks</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Ongenommerde lys',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Lyn in ongenommerde lys<br />* Lyn in ongenommerde lys',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Lyn in ongenommerde lys</li><li>Lyn in ongenommerde lys</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Genommerde lys',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Lyn in genommerde lys<br /># Lyn in genommerde lys',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Lyn in genommerde lys</li><li>Lyn in genommerde lys</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ingebedde lêer',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Voorbeeld.png|thumb|Byskrif]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Byskrif' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Vergroot' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Byskrif</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Verwysing',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Bladsyteks.&lt;ref name="test"&gt;[http://www.voorbeeld.org Skakel se teks], addisionele teks.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Bladsyteks <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Hergebruik van dieselfde verwysing',
	'wikieditor-toolbar-help-content-rereference-result' => "Bladsyteks <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Wys verwysings',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.voorbeeld.org' class='external text' href='#'>Skakel se teks</a>, addisionele teks.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Handtekening met tydstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Gebruikersnaam</a> (<a href='#' title='{{#special:mytalk}}'>bespreking</a>) 15:54, 10 Junie 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Handtekening',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Gebruikersnaam</a> (<a href='#' title='{{#special:mytalk}}'>bespreking</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indenteer',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normale teks<br />: Geïndenteerde teks<br />::Geïndenteerde teks',
	'wikieditor-toolbar-help-content-indent-result' => 'Normale teks<dl><dd>Geïndenteerde teks<dl><dd>Geïndenteerde teks</dd></dl></dd></dl>',
);

/** Gheg Albanian (Gegë)
 * @author Mdupont
 */
$messages['aln'] = array(
	'wikieditor' => 'redaktimi i avancuar wikitext interface',
	'wikieditor-desc' => 'Siguron një ndërfaqe të vazhdohet redaktimi wikitext dhe module shumë me metrazh të siguruar',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Ngarkim',
	'wikieditor-preview-preference' => 'Aktivizo-krah për krah preview',
	'wikieditor-preview-tab' => 'Preview',
	'wikieditor-preview-changes-tab' => 'Ndryshimet',
	'wikieditor-preview-loading' => 'Loading ...',
	'wikieditor-previewDialog-tab' => 'Preview',
	'wikieditor-previewDialog-loading' => 'Loading ...',
	'wikieditor-publish-preference' => 'Aktivizo-hap pas hapi botuese',
	'wikieditor-publish-button-publish' => 'Publikoj',
	'wikieditor-publish-button-cancel' => 'Anuloj',
	'wikieditor-publish-dialog-title' => 'Publikimi në {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'përmbledhje Edit (përshkruaj shkurtimisht ndryshimet që keni bërë):',
	'wikieditor-publish-dialog-minor' => 'Minor redakto',
	'wikieditor-publish-dialog-watch' => 'Watch këtë faqe',
	'wikieditor-publish-dialog-publish' => 'Publikoj',
	'wikieditor-publish-dialog-goback' => 'Kthehem',
	'wikieditor-template-editor-preference' => 'Lejo redaktimin e bazuar në formë të wiki templates',
	'wikieditor-template-editor-dialog-title' => 'Edit template',
	'wikieditor-template-editor-dialog-submit' => 'Update',
	'wikieditor-template-editor-dialog-cancel' => 'Anuloj',
	'wikieditor-templates-preference' => 'Aktivizo template kolaps',
	'wikieditor-toc-preference' => 'Tabela e përmbajtjeve Aktivizo lundrueshëm',
	'wikieditor-toc-show' => 'Përmbajtja Show',
	'wikieditor-toc-hide' => 'Përmbajtja Hide',
	'wikieditor-toolbar' => 'Editing toolbar',
	'wikieditor-toolbar-desc' => 'toolbar Redakto faqe me të përdorshmërisë zgjeruar',
	'wikieditor-toolbar-preference' => 'Lejo redaktimin zgjeruar toolbar',
	'wikieditor-toolbar-dialogs-preference' => 'dialogs Aktivizo për futjen e lidhjeve, tavolina dhe më shumë',
	'wikieditor-toolbar-loading' => 'Loading ...',
	'wikieditor-toolbar-tool-bold' => 'Guximtar',
	'wikieditor-toolbar-tool-bold-example' => 'Tekst i trashë',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Teksti i pjerrët',
	'wikieditor-toolbar-tool-ilink' => 'Lidhje të Brendshme',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulli Link',
	'wikieditor-toolbar-tool-xlink' => 'Lidhje e jashtme (most harro prefiksin http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'Lidhje http://www.example.com Titulli',
	'wikieditor-toolbar-tool-link' => 'Lidhje',
	'wikieditor-toolbar-tool-link-title' => 'Vendos Lidhje',
	'wikieditor-toolbar-tool-link-int' => 'Për një faqe wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'faqe synuar ose URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titulli i faqes ose URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst për të shfaqur:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "Tekst për t'u shfaqur",
	'wikieditor-toolbar-tool-link-ext' => 'Për një faqe të jashtme interneti',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL Link:',
	'wikieditor-toolbar-tool-link-ext-text' => 'text Link:',
	'wikieditor-toolbar-tool-link-insert' => 'Vendos Lidhje',
	'wikieditor-toolbar-tool-link-cancel' => 'Anuloj',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Page ekziston',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Faqja nuk ekziston',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titulli i pavlefshëm',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Lidhje e jashtme',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrollit të ekzistencës faqe ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titulli ju specifikuar është i pavlefshëm.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL-in që të specifikuar duket si ajo ishte menduar si një lidhje në faqe të tjera wiki.
A doni ta bërë atë një lidhje të brendshme?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Lidhje të Brendshme',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Lidhje e jashtme',
	'wikieditor-toolbar-tool-link-empty' => 'Ju nuk kanë hyrë në ndonjë gjë për të link.',
	'wikieditor-toolbar-tool-file' => 'Embedded file',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referim',
	'wikieditor-toolbar-tool-reference-example' => 'Vendos tekst shënimin këtu',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anuloj',
	'wikieditor-toolbar-tool-reference-title' => 'Fut referencë',
	'wikieditor-toolbar-tool-reference-insert' => 'Kall',
	'wikieditor-toolbar-tool-reference-text' => 'tekstit Referenca',
	'wikieditor-toolbar-tool-signature' => 'Nënshkrimi dhe gjithë kohë',
	'wikieditor-toolbar-section-advanced' => 'I avancuar',
	'wikieditor-toolbar-tool-heading' => 'Titull',
	'wikieditor-toolbar-tool-heading-1' => 'Niveli 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveli 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveli 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveli 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveli 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titull tekst',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Lista e bulleted',
	'wikieditor-toolbar-tool-ulist-example' => 'pika bulleted lista',
	'wikieditor-toolbar-tool-olist' => 'Lista e Numëruar',
	'wikieditor-toolbar-tool-olist-example' => 'pika Numëruar lista',
	'wikieditor-toolbar-tool-indent' => 'Gjurmë',
	'wikieditor-toolbar-tool-indent-example' => 'Shkarko prerë',
	'wikieditor-toolbar-tool-nowiki' => 'Nuk formatimit wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Vendos tekst këtu nuk duhet të formatohet',
	'wikieditor-toolbar-tool-redirect' => 'Përcjellëse',
	'wikieditor-toolbar-tool-redirect-example' => 'Emri i synuar faqe',
	'wikieditor-toolbar-tool-big' => 'I madh',
	'wikieditor-toolbar-tool-big-example' => 'Big tekst',
	'wikieditor-toolbar-tool-small' => 'I vogël',
	'wikieditor-toolbar-tool-small-example' => 'tekstin e vogla',
	'wikieditor-toolbar-tool-superscript' => 'Indeks i sipërm',
	'wikieditor-toolbar-tool-superscript-example' => 'tekstit Sipërshkrim',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'tekstit Subscript',
	'wikieditor-toolbar-group-insert' => 'Kall',
	'wikieditor-toolbar-tool-gallery' => 'galeri artesh',
	'wikieditor-toolbar-tool-gallery-example' => '$1: Example.jpg|Caption1
$1: Example.jpg|Caption2',
	'wikieditor-toolbar-tool-newline' => 'Linjë e re',
	'wikieditor-toolbar-tool-table' => 'Tryezë',
	'wikieditor-toolbar-tool-table-example-old' => '-
! header 1
! header 2
! header 3
|-
| rresht 1, qelizë 1
| rresht 1, qelizë 2
| rresht 1, qelizë 3
| -
| rresht 2, qelizë 1
| rresht 2, qelizë 2
| rresht 2, qelizë 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'tekstit qelizë',
	'wikieditor-toolbar-tool-table-example-header' => 'tekstit Header',
	'wikieditor-toolbar-tool-table-title' => 'Fut tabelë',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rreshtave',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolumne',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Shto rreshtit',
	'wikieditor-toolbar-tool-table-wikitable' => 'Logo me kufij',
	'wikieditor-toolbar-tool-table-sortable' => 'Bëni tryezë llojllojshme',
	'wikieditor-toolbar-tool-table-example' => 'Shembull',
	'wikieditor-toolbar-tool-table-preview' => 'Preview',
	'wikieditor-toolbar-tool-table-insert' => 'Kall',
	'wikieditor-toolbar-tool-table-cancel' => 'Anuloj',
	'wikieditor-toolbar-tool-table-toomany' => 'Futur një tavolinë me shumë se qelizat e $1 nuk është e mundur me këtë dialog.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ju nuk keni hyrë në një numër të vlefshme të rreshtave dhe kolonave.',
	'wikieditor-toolbar-tool-table-zero' => 'Ju nuk mund të vendos një tabelë me zero rreshta ose kolona.',
	'wikieditor-toolbar-tool-replace' => 'Kërkoni dhe zëvendësuar',
	'wikieditor-toolbar-tool-replace-title' => 'Kërkoni dhe zëvendësuar',
	'wikieditor-toolbar-tool-replace-search' => 'Kërko për:',
	'wikieditor-toolbar-tool-replace-replace' => 'Replace me:',
	'wikieditor-toolbar-tool-replace-case' => 'rast Match',
	'wikieditor-toolbar-tool-replace-regex' => 'string Silleni kërkim si një shprehje e rregullt',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Gjej të ardhshëm',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zëvendësojnë të gjithë',
	'wikieditor-toolbar-tool-replace-close' => 'Mshele',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Kërkimi juaj nuk u përputh me ndonjë gjë.',
	'wikieditor-toolbar-tool-replace-success' => '$1 zëvendësimit (s) bëhet.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ju nuk shkruani ndonjë gjë për të kërkuar për.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Shprehje e rregullt keni hyrë është i pavlefshëm: $1',
	'wikieditor-toolbar-section-characters' => 'karaktere të veçanta',
	'wikieditor-toolbar-characters-page-latin' => 'Latinisht',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latine zgjeruar',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbolet',
	'wikieditor-toolbar-characters-page-greek' => 'Grek',
	'wikieditor-toolbar-characters-page-cyrillic' => 'I sllavishtes së vjetër',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisht',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraisht',
	'wikieditor-toolbar-characters-page-bangla' => 'Shqip',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guxharati',
	'wikieditor-toolbar-section-help' => 'Ndihmë',
	'wikieditor-toolbar-help-heading-description' => 'Përshkrim',
	'wikieditor-toolbar-help-heading-syntax' => 'Çfarë ju lloji',
	'wikieditor-toolbar-help-heading-result' => 'Çfarë ju të merrni',
	'wikieditor-toolbar-help-page-format' => 'Formatimi',
	'wikieditor-toolbar-help-page-link' => 'Lidhje',
	'wikieditor-toolbar-help-page-heading' => 'Titujt',
	'wikieditor-toolbar-help-page-list' => 'Listat',
	'wikieditor-toolbar-help-page-file' => 'Files',
	'wikieditor-toolbar-help-page-reference' => 'Lidhje të jashtme',
	'wikieditor-toolbar-help-page-discussion' => 'Diskutim',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "Teksti i pjerrët''''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teksti i pjerrët</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Guximtar',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tekst i trashë'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tekst i trashë</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Bold & italic',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Bold &amp; tekst kursiv'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Bold & italic text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lidhje të Brendshme',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Link emërtim]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etiketa Link</a><br /><a href='#'>Titulli i faqes</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Lidhje e jashtme',
	'wikieditor-toolbar-help-content-xlink-syntax' => 'Etiketa [http://www.example.org Link] <br /> [Http://www.example.org] <br /> http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etiketa Link</a> <br /> <a href='#' class='external autonumber'>[1]</a> <br /> <a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Niveli 2 titull',
	'wikieditor-toolbar-help-content-heading2-syntax' => 'Text == == Titull',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2> Titull tekst </h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Niveli 3 titull',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tekst === Titull',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3> Titull tekst </h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Niveli 4 titull',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tekst Titulli ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4> Titull tekst </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Niveli 5 titull',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== ===== Tekst Titulli',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5> Titull tekst </h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista e bulleted',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Pika Lista <br /> * Pika Lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li> pika Lista </li><li> pika Lista </li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista e Numëruar',
	'wikieditor-toolbar-help-content-olist-syntax' => 'pika # Lista <br /> pika # Lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li> pika Lista </li><li> pika Lista </li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Embedded file',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Caption teksti]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'> <a title=\"tekstit Legjenda\" class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a> <div class='thumbcaption'><div class='magnify'> <a title=\"Zmadho\" class='internal' href='#'><img height='11' width='15' alt='' src='\$1/common/images/magnify-clip.png'/></a> </div> tekstit Legjenda </div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referim',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst faqesh. name="test"> <ref [http://www.example.org] teksti Link, teksti shtesë. </> ref',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst faqesh. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-rereference-description' => 'përdorimin shtesë të njëjtën referencë',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst faqesh. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'referenca Display',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'> <a title='' href='#'><b>^</b></a> <a rel='nofollow' title=\"http://www.example.org\" class='external text' href='#'>Teksti Link</a> , teksti shtesë. </li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Nënshkrimi me gjithë kohë',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => '<a href=\'#\' title="{{#special:mypage}}">Emri i përdoruesit</a> ( <a href=\'#\' title="{{#special:mytalk}}">të folur</a> ) 15:54, 10 Qershor 2009 (UTC)',
	'wikieditor-toolbar-help-content-signature-description' => 'Nënshkrim',
	'wikieditor-toolbar-help-content-signature-result' => '<a href=\'#\' title="{{#special:mypage}}">Emri i përdoruesit</a> ( <a href=\'#\' title="{{#special:mytalk}}">të folur</a> )',
	'wikieditor-toolbar-help-content-indent-description' => 'Porosit',
	'wikieditor-toolbar-help-content-indent-syntax' => 'tekstit Normale <br /> : Teksti i prerë <br /> :: Teksti i prerë',
	'wikieditor-toolbar-help-content-indent-result' => 'tekstit Normale <dl><dd> Teksti i prerë <dl><dd> Teksti i prerë </dd></dl></dd></dl>',
);

/** Aragonese (Aragonés)
 * @author Juanpabl
 */
$messages['an'] = array(
	'wikieditor' => "Interficie abanzada d'edición de wikitexto",
	'wikieditor-desc' => 'Proporciona una interficie extensible de modificación de wikitexto y quantos modulos de funcionalidatz',
	'wikieditor-wikitext-tab' => 'Wikitexto',
	'wikieditor-loading' => 'Cargando',
	'wikieditor-preview-preference' => 'Activar a previsualización costau a costau',
	'wikieditor-preview-tab' => 'Previsualizar',
	'wikieditor-preview-changes-tab' => 'Cambios',
	'wikieditor-preview-loading' => 'Cargando...',
	'wikieditor-previewDialog-preference' => 'Activar o dialogo de visualización previa',
	'wikieditor-previewDialog-tab' => 'Previsualización',
	'wikieditor-previewDialog-loading' => 'Cargando…',
	'wikieditor-publish-preference' => 'Activar a publicación trango a trango',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancelar',
	'wikieditor-publish-dialog-title' => 'Publicar en {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Resumen d'edición (describa breument os cambios que ha feito):",
	'wikieditor-publish-dialog-minor' => 'Edición menor',
	'wikieditor-publish-dialog-watch' => 'Cosirar ista pachina',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Tornar',
	'wikieditor-template-editor-preference' => 'Activar a edición de plantillas basada en formularios',
	'wikieditor-template-editor-dialog-title' => 'Editar a plantilla',
	'wikieditor-template-editor-dialog-submit' => 'Actualizar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancelar',
	'wikieditor-templates-preference' => 'Activar o replegamiento de plantillas',
	'wikieditor-toc-preference' => 'Activar a tabla de contenius navigable',
	'wikieditor-toc-show' => 'Amostrar o conteniu',
	'wikieditor-toc-hide' => 'Amagar o conteniu',
	'wikieditor-toolbar' => "Barra de ferramientas d'edición",
	'wikieditor-toolbar-desc' => "Barra de ferramientas d'edición con usabilidat amillorada",
	'wikieditor-toolbar-preference' => "Activar a barra de ferramientas d'edición amillorada",
	'wikieditor-toolbar-dialogs-preference' => 'Activar as caixas de dialogos ta ficar vinclos, tablas y atros',
	'wikieditor-toolbar-hidesig' => 'Amagar o botón sinyar en as pachinas en o espacio de nombres prencipal',
	'wikieditor-toolbar-loading' => 'Cargando...',
	'wikieditor-toolbar-tool-bold' => 'Negreta',
	'wikieditor-toolbar-tool-bold-example' => 'Texto en negreta',
	'wikieditor-toolbar-tool-italic' => 'Cursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Texto en cursiva',
	'wikieditor-toolbar-tool-ilink' => 'Vinclo interno',
	'wikieditor-toolbar-tool-ilink-example' => "Títol d'o vinclo",
	'wikieditor-toolbar-tool-xlink' => "Vinclo externo (recorde-se-ne d'o prefixo http://)",
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.com títol d'o vinclo",
	'wikieditor-toolbar-tool-link' => 'Vinclo',
	'wikieditor-toolbar-tool-link-title' => 'Fique un vinclo',
	'wikieditor-toolbar-tool-link-int' => 'Enta una pachina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Pachina u URL de destino:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => "Títol d'a pachina u URL",
	'wikieditor-toolbar-tool-link-int-text' => "Texto d'o vinclo:",
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Texto a amostrar',
	'wikieditor-toolbar-tool-link-ext' => 'Enta una pachina web externa',
	'wikieditor-toolbar-tool-link-ext-target' => "URL d'o vinclo:",
	'wikieditor-toolbar-tool-link-ext-text' => "Texto d'o vinclo:",
	'wikieditor-toolbar-tool-link-insert' => 'Fique un vinclo',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'A pachina existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'A pachina no existe',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Títol invalido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Vinclo externo',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Comprebando a existencia d'a pachina...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'O títol que ha especificato no ye valido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "O URL que ha especificato pareix que enlazaba con un atra pachina d'o wiki. Quiere tornar-lo en un vinclo interno?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Vinclo interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Vinclo externo',
	'wikieditor-toolbar-tool-link-empty' => 'No ha escrito garra cosa ta enlazar.',
	'wikieditor-toolbar-tool-file' => 'Imachen incorporada',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referencia',
	'wikieditor-toolbar-tool-reference-example' => 'Ficar aquí una nota a lo piet',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-reference-title' => 'Ficar referencia',
	'wikieditor-toolbar-tool-reference-insert' => 'Insertar',
	'wikieditor-toolbar-tool-reference-text' => "Texto d'a referencia",
	'wikieditor-toolbar-tool-signature' => 'Sinyatura, calendata y hora',
	'wikieditor-toolbar-section-advanced' => 'Abanzato',
	'wikieditor-toolbar-tool-heading' => 'Títol',
	'wikieditor-toolbar-tool-heading-1' => 'Livel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto de títol',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Lista con puntos',
	'wikieditor-toolbar-tool-ulist-example' => "Elemento d'a lista con puntos",
	'wikieditor-toolbar-tool-olist' => 'Lista numerata',
	'wikieditor-toolbar-tool-olist-example' => "Elemento d'a lista numerata",
	'wikieditor-toolbar-tool-indent' => 'Indentación',
	'wikieditor-toolbar-tool-indent-example' => 'Linia indentada',
	'wikieditor-toolbar-tool-nowiki' => 'Sin formato wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Escriba aquí texto sin formateyar',
	'wikieditor-toolbar-tool-redirect' => 'Reendrecera',
	'wikieditor-toolbar-tool-redirect-example' => "Nombre d'a pachina de destino",
	'wikieditor-toolbar-tool-big' => 'Gran',
	'wikieditor-toolbar-tool-big-example' => 'Texto gran',
	'wikieditor-toolbar-tool-small' => 'Chicot',
	'wikieditor-toolbar-tool-small-example' => 'Texto chicot',
	'wikieditor-toolbar-tool-superscript' => 'Superéndiz',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto en superéndiz',
	'wikieditor-toolbar-tool-subscript' => 'Subéndiz',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto en subéndiz',
	'wikieditor-toolbar-group-insert' => 'Insertar',
	'wikieditor-toolbar-tool-gallery' => "Galería d'imachens",
	'wikieditor-toolbar-tool-gallery-example' => '$1:Eixemplo.jpg|Piet_de_foto_1
$1:Eixemplo.jpg|Piet_de_foto_2',
	'wikieditor-toolbar-tool-newline' => 'Nueva linia',
	'wikieditor-toolbar-tool-table' => 'Tabla',
	'wikieditor-toolbar-tool-table-example-old' => '-
! encabezau 1
! encabezau 2
! encabezau 3
|-
| ringlera 1, celda 1
| ringlera 1, celda 2
| ringlera 1, celda 3
|-
| ringlera 2, celda 1
| ringlera 2, celda 2
| ringlera 2, celda 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => "Texto d'a celda",
	'wikieditor-toolbar-tool-table-example-header' => 'Texto de títol',
	'wikieditor-toolbar-tool-table-title' => 'Insertar una tabla',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Ringleras',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => "Adhibir una filera d'encabezau",
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo con cantos',
	'wikieditor-toolbar-tool-table-sortable' => 'Fer a tabla ordenable',
	'wikieditor-toolbar-tool-table-example' => 'Eixemplo',
	'wikieditor-toolbar-tool-table-preview' => 'Visualización previa',
	'wikieditor-toolbar-tool-table-insert' => 'Insertar',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-table-toomany' => 'Con iste quadro de dialogo no ye posible insertar una tabla con más de $1 celdas.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'No ha escrito un numero valido de fileras u columnas.',
	'wikieditor-toolbar-tool-table-zero' => 'No se puet insertar una tabla con zero fileras u columnas.',
	'wikieditor-toolbar-tool-replace' => 'Buscar y reemplazar',
	'wikieditor-toolbar-tool-replace-title' => 'Buscar y reemplazar',
	'wikieditor-toolbar-tool-replace-search' => 'Mirar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Reemplazar por:',
	'wikieditor-toolbar-tool-replace-case' => 'Distinguir mayusclas/minusclas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tractar a cadena a mirar como una expresión regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Mirar o siguient',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Reemplazar',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Substituir tot',
	'wikieditor-toolbar-tool-replace-close' => 'Zarrar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'A suya busca no ha trobau garra resultau concordant.',
	'wikieditor-toolbar-tool-replace-success' => "S'han feito $1 substitucions.",
	'wikieditor-toolbar-tool-replace-emptysearch' => 'No ha escrito garra cosa ta mirar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'A expresión regular que ha escrito ye invalida: $1',
	'wikieditor-toolbar-section-characters' => 'Carácters especials',
	'wikieditor-toolbar-characters-page-latin' => 'Latín',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latín enamplau',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI(IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbols',
	'wikieditor-toolbar-characters-page-greek' => 'Griego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilico',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabico',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabigo extendiu',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreu',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalí',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalés',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujaratí',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laosiano',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Aduya',
	'wikieditor-toolbar-help-heading-description' => 'Descripción',
	'wikieditor-toolbar-help-heading-syntax' => 'O que vusté escribe',
	'wikieditor-toolbar-help-heading-result' => "O que s'obtiene",
	'wikieditor-toolbar-help-page-format' => 'Formateyo',
	'wikieditor-toolbar-help-page-link' => 'Vinclos',
	'wikieditor-toolbar-help-page-heading' => 'Títol',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Fichers',
	'wikieditor-toolbar-help-page-reference' => 'Referencias',
	'wikieditor-toolbar-help-page-discussion' => 'Discusión',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto en cursiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto en cursiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negreta',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto en negreta'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto en negreta</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negreta y cursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto en negreta y cursiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto en negreta y cursiva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Vinclo interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[Títol d'a pachina|Texto d'o vinclo]]<br />[[Títol de pachina]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Texto d'o vinclo</a><br /><a href='#'>Títol d'a pachina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Vinclo externo',
	'wikieditor-toolbar-help-content-xlink-syntax' => "[http://www.example.org Texto d'o vinclo]<br />[http://www.example.org]<br />http://www.example.org",
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texto d'o vinclo</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Títol de 2o ran',
	'wikieditor-toolbar-help-content-heading2-syntax' => "== Texto d'o títol ==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Texto d'o títol</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => 'Títol de 3r ran',
	'wikieditor-toolbar-help-content-heading3-syntax' => "=== Texto d'o títol ===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Texto d'o títol</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => 'Títol de 4o ran',
	'wikieditor-toolbar-help-content-heading4-syntax' => "==== Texto d'o títol ====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Texto d'o títol</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => 'Títol de 5o ran',
	'wikieditor-toolbar-help-content-heading5-syntax' => "===== Texto d'o títol =====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Texto d'o títol</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista con puntos',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* Elemento d'a lista<br />* Elemento d'a lista",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elemento d'a lista</li><li>Elemento d'a lista</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerata',
	'wikieditor-toolbar-help-content-olist-syntax' => "# Elemento d'a lista<br /># Elemento d'a lista",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elemento d'a lista</li><li>Elemento d'a lista</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => 'Fichero incorporato',
	'wikieditor-toolbar-help-content-file-syntax' => "[[$1:Eixemplo.png|thumb|Texto descriptivo d'a imachen]]",
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Texto de piet de foto' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Fer más gran' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Texto de piet de foto</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referencia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto d\'a pachina.&lt;ref name="test"&gt;[http://www.example.org Texto d\'o vinclo], texto adicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texto d'a pachina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => "Uso adicional d'a mesma referencia",
	'wikieditor-toolbar-help-content-rereference-result' => "Texto d'a pachina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Amostrar as referencias',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='referencias'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Texto d'o vinclo</a>, texto adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sinyatura, calendata y hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nombre d'usuario</a> (<a href='#' title='{{#special:mytalk}}'>discusión</a>) 15:54, 10 de chunio de 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sinyatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nombre d'usuario</a> (<a href='#' title='{{#special:mytalk}}'>discusión</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentación',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto indentato<br />::Texto indentato',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto indentato<dl><dd>Texto indentato</dd></dl></dd></dl>',
);

/** Old English (Ænglisc)
 * @author Wōdenhelm
 */
$messages['ang'] = array(
	'wikieditor-toolbar' => 'Ādihtende tōlscyttel',
	'wikieditor-toolbar-loading' => 'Hlādende...',
	'wikieditor-toolbar-tool-bold' => 'Þicce',
	'wikieditor-toolbar-tool-bold-example' => 'Þicce traht',
	'wikieditor-toolbar-tool-ilink' => 'Innanƿeard hlenċe',
	'wikieditor-toolbar-tool-ilink-example' => 'Hlenċenama',
	'wikieditor-toolbar-tool-xlink' => 'Ūtanƿeard hlenċe (ȝemynd http:// foretraht)',
	'wikieditor-toolbar-tool-link' => 'Hlenċe',
	'wikieditor-toolbar-tool-link-title' => 'Hlenċan ēacian',
	'wikieditor-toolbar-tool-link-int' => 'To ƿikisīdan',
	'wikieditor-toolbar-tool-link-int-target' => 'Gōl sīde oþþe URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sīdenama oþþe URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Traht to scēaƿienne:',
	'wikieditor-toolbar-tool-link-ext' => 'To ūtanƿeardum ƿebbsīdan',
	'wikieditor-toolbar-tool-link-ext-target' => 'Hlenċe URL',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ūtanƿeard hlenċan',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Innanƿeard hlenċe',
	'wikieditor-toolbar-tool-file-example' => 'Bisen.jpg',
	'wikieditor-toolbar-tool-reference' => 'Fruma',
	'wikieditor-toolbar-tool-heading-1' => 'Emnet 1',
	'wikieditor-toolbar-tool-heading-2' => 'Emnet 2',
	'wikieditor-toolbar-tool-heading-3' => 'Emnet 3',
	'wikieditor-toolbar-tool-heading-4' => 'Emnet 4',
	'wikieditor-toolbar-tool-heading-5' => 'Emnet 5',
	'wikieditor-toolbar-tool-big' => 'Miċel',
	'wikieditor-toolbar-tool-big-example' => 'Miċel traht',
	'wikieditor-toolbar-tool-small' => 'Lytel',
	'wikieditor-toolbar-tool-small-example' => 'Lytel traht',
	'wikieditor-toolbar-tool-table' => 'Tæfl',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rǣƿa',
	'wikieditor-toolbar-tool-table-example' => 'Bisen',
	'wikieditor-toolbar-tool-table-preview' => 'Forescēaƿian',
	'wikieditor-toolbar-characters-page-latin' => 'Lǣden',
	'wikieditor-toolbar-characters-page-latinextended' => 'Āstrecced Lǣden',
	'wikieditor-toolbar-characters-page-symbols' => 'Tācnu',
	'wikieditor-toolbar-characters-page-greek' => 'Grēcisc',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillisc',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisc',
	'wikieditor-toolbar-characters-page-persian' => 'Perseanisc',
	'wikieditor-toolbar-section-help' => 'Help',
	'wikieditor-toolbar-help-page-link' => 'Hlenċan',
	'wikieditor-toolbar-help-page-discussion' => 'Ȝespreċ',
	'wikieditor-toolbar-help-content-bold-description' => 'Þicce',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Þicce traht'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Þicce traht</strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Innanƿeard hlenċe',
	'wikieditor-toolbar-help-content-reference-description' => 'Fruma',
);

/** Arabic (العربية)
 * @author Aiman titi
 * @author McDutchie
 * @author Meno25
 * @author OsamaK
 * @author Samer
 * @author Zack wadghiri
 * @author ترجمان05
 * @author زكريا
 */
$messages['ar'] = array(
	'wikieditor' => 'الواجهة المتقدمة لتعديل نص ويكي',
	'wikieditor-desc' => 'يوفر واجهة تعديل نص ويكي قابلة للتمديد والعديد من الوحدات التي توفر المزايا',
	'wikieditor-wikitext-tab' => 'نص الويكي',
	'wikieditor-loading' => 'يُحمّل',
	'wikieditor-preview-preference' => 'مكّن المعاينة جنبًا لجنب',
	'wikieditor-preview-tab' => 'عاين',
	'wikieditor-preview-changes-tab' => 'التغييرات',
	'wikieditor-preview-loading' => 'يُحمّل...',
	'wikieditor-previewDialog-preference' => 'مكّن حوار المعاينة',
	'wikieditor-previewDialog-tab' => 'عاين',
	'wikieditor-previewDialog-loading' => 'يُحمّل...',
	'wikieditor-publish-preference' => 'فعّل النشر خطوة بخطوة',
	'wikieditor-publish-button-publish' => 'انشر',
	'wikieditor-publish-button-cancel' => 'ألغِ',
	'wikieditor-publish-dialog-title' => 'انشر في {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'ملخص التعديل (اشرح باختصار التغييرات التي قمت بها):',
	'wikieditor-publish-dialog-minor' => 'تعديل طفيف',
	'wikieditor-publish-dialog-watch' => 'راقب هذه الصفحة',
	'wikieditor-publish-dialog-publish' => 'انشر',
	'wikieditor-publish-dialog-goback' => 'ارجع',
	'wikieditor-template-editor-preference' => 'فعل تعديل قوالب الويكي المعتمد على النماذج',
	'wikieditor-template-editor-dialog-title' => 'عدّل القالب',
	'wikieditor-template-editor-dialog-submit' => 'حدّث',
	'wikieditor-template-editor-dialog-cancel' => 'ألغِ',
	'wikieditor-templates-preference' => 'مكّن طي القوالب',
	'wikieditor-toc-preference' => 'مكّن جدول المحتويات القابل للتصفح',
	'wikieditor-toc-show' => 'أظهر المحتويات',
	'wikieditor-toc-hide' => 'أخفِ المحتويات',
	'wikieditor-toolbar' => 'شريط أدوات التحرير',
	'wikieditor-toolbar-desc' => 'شريط تحرير الصفحات مع تحسين الاستخدامية',
	'wikieditor-toolbar-preference' => 'مكّن شريط أدوات التحرير المُحسّن',
	'wikieditor-toolbar-dialogs-preference' => 'مكّن حوارات إدراج الوصلات والجداول وغيرها',
	'wikieditor-toolbar-hidesig' => 'إخفاء زر التوقيع من الصفحات الموجودة في مساحة الاسم الرئيسي',
	'wikieditor-toolbar-loading' => 'يُحمّل...',
	'wikieditor-toolbar-tool-bold' => 'غليظ',
	'wikieditor-toolbar-tool-bold-example' => 'نص غليظ',
	'wikieditor-toolbar-tool-italic' => 'مائل',
	'wikieditor-toolbar-tool-italic-example' => 'نص مائل',
	'wikieditor-toolbar-tool-ilink' => 'وصلة داخلية',
	'wikieditor-toolbar-tool-ilink-example' => 'عنوان الوصلة',
	'wikieditor-toolbar-tool-xlink' => 'وصلة خارجية (تذكر البدء بhttp://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com عنوان الوصلة',
	'wikieditor-toolbar-tool-link' => 'وصلة',
	'wikieditor-toolbar-tool-link-title' => 'إدراج وصلة',
	'wikieditor-toolbar-tool-link-int' => 'لصفحة ويكي',
	'wikieditor-toolbar-tool-link-int-target' => 'عنوان الصفحة:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'عنوان الصفحة أو المسار',
	'wikieditor-toolbar-tool-link-int-text' => 'نص الوصلة:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'أدخل النص الذي ينبغي إظهاره',
	'wikieditor-toolbar-tool-link-ext' => 'لصفحة وب خارجية',
	'wikieditor-toolbar-tool-link-ext-target' => 'مسار الوصلة:',
	'wikieditor-toolbar-tool-link-ext-text' => 'نص الوصلة:',
	'wikieditor-toolbar-tool-link-insert' => 'أدرج الوصلة',
	'wikieditor-toolbar-tool-link-cancel' => 'ألغِ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'الصفحة موجودة',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'الصفحة غير موجودة',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'عنوان غير صحيح',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'وصلة خارجية',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'يلتمس وجود الصفحة...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'العنوان الذي اخترته غير صالح.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'يبدو أن المُراد بالمسار الذي حددته وصلة إلى صفحة ويكي أخرى. أتريد أن تجعلها وصلة داخلية؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'وصلة داخلية',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'وصلة خارجية',
	'wikieditor-toolbar-tool-link-empty' => 'لم تدخل شيئا لتصل به.',
	'wikieditor-toolbar-tool-file' => 'ملف مضمّن',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'مرجع',
	'wikieditor-toolbar-tool-reference-example' => 'أدرج نص الحاشية هنا',
	'wikieditor-toolbar-tool-reference-cancel' => 'ألغِ',
	'wikieditor-toolbar-tool-reference-title' => 'إدراج مرجع',
	'wikieditor-toolbar-tool-reference-insert' => 'أدرج',
	'wikieditor-toolbar-tool-reference-text' => 'نص المرجع',
	'wikieditor-toolbar-tool-signature' => 'توقيع مع الطابع الزمني',
	'wikieditor-toolbar-section-advanced' => 'متقدم',
	'wikieditor-toolbar-tool-heading' => 'ترويسة',
	'wikieditor-toolbar-tool-heading-1' => 'مستوى 1',
	'wikieditor-toolbar-tool-heading-2' => 'مستوى 2',
	'wikieditor-toolbar-tool-heading-3' => 'مستوى 3',
	'wikieditor-toolbar-tool-heading-4' => 'مستوى 4',
	'wikieditor-toolbar-tool-heading-5' => 'مستوى 5',
	'wikieditor-toolbar-tool-heading-example' => 'نص الترويسة',
	'wikieditor-toolbar-group-format' => 'تنسيق',
	'wikieditor-toolbar-tool-ulist' => 'قائمة منقّطة',
	'wikieditor-toolbar-tool-ulist-example' => 'عنصر فائمة منقّطة',
	'wikieditor-toolbar-tool-olist' => 'قائمة مرقّمة',
	'wikieditor-toolbar-tool-olist-example' => 'عنصر قائمة مرقّمة',
	'wikieditor-toolbar-tool-indent' => 'هامش',
	'wikieditor-toolbar-tool-indent-example' => 'سطر بهامش',
	'wikieditor-toolbar-tool-nowiki' => 'لا تنسيق ويكي',
	'wikieditor-toolbar-tool-nowiki-example' => 'أدرج نصًا غير منسق هنا',
	'wikieditor-toolbar-tool-redirect' => 'تحويلة',
	'wikieditor-toolbar-tool-redirect-example' => 'اسم الصفحة الهدف',
	'wikieditor-toolbar-tool-big' => 'كبير',
	'wikieditor-toolbar-tool-big-example' => 'نص كبير',
	'wikieditor-toolbar-tool-small' => 'صغير',
	'wikieditor-toolbar-tool-small-example' => 'نص صغير',
	'wikieditor-toolbar-tool-superscript' => 'حرف علوي',
	'wikieditor-toolbar-tool-superscript-example' => 'نص الحرف العلوي',
	'wikieditor-toolbar-tool-subscript' => 'حرف سفلي',
	'wikieditor-toolbar-tool-subscript-example' => 'نص الحرف السفلي',
	'wikieditor-toolbar-group-insert' => 'أدرج',
	'wikieditor-toolbar-tool-gallery' => 'معرض صور',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|تعليق1
$1:Example.jpg|تعليق2',
	'wikieditor-toolbar-tool-newline' => 'سطر جديد',
	'wikieditor-toolbar-tool-table' => 'جدولًا',
	'wikieditor-toolbar-tool-table-example-old' => '-
! ترويسة 1
! ترويسة 2
! ترويسة 3
|-
| صف 1، خلية 1
| صف 1، خلية 2
| صف 1، خلية 3
|-
| صف 2، خلية 1
| صف 2، خلية 2
| صف 2، خلية 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'نص الخلية',
	'wikieditor-toolbar-tool-table-example-header' => 'نص الترويسة',
	'wikieditor-toolbar-tool-table-title' => 'إدراج جدول',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'الصفوف',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'الأعمدة',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ضمّن صف الترويسة',
	'wikieditor-toolbar-tool-table-wikitable' => 'سمة ذات حدود',
	'wikieditor-toolbar-tool-table-sortable' => 'اجعل الجدول قابلا للترتيب',
	'wikieditor-toolbar-tool-table-example' => 'مثال',
	'wikieditor-toolbar-tool-table-preview' => 'عاين',
	'wikieditor-toolbar-tool-table-insert' => 'أدرج',
	'wikieditor-toolbar-tool-table-cancel' => 'ألغِ',
	'wikieditor-toolbar-tool-table-toomany' => 'إدراج جدول بأكثر من $1 خلية غير ممكن عبر هذا الحوار.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'لم تدخل رقما صحيحا للصفوف أو الأعمدة.',
	'wikieditor-toolbar-tool-table-zero' => 'لا يمكن أن تدرج جدولا بلا صفوف أو أعمدة.',
	'wikieditor-toolbar-tool-replace' => 'ابحث واستبدل',
	'wikieditor-toolbar-tool-replace-title' => 'ابحث واستبدل',
	'wikieditor-toolbar-tool-replace-search' => 'ابحث عن:',
	'wikieditor-toolbar-tool-replace-replace' => 'استبدل ب:',
	'wikieditor-toolbar-tool-replace-case' => 'مطابقة الحالة',
	'wikieditor-toolbar-tool-replace-regex' => 'عامل عبارة البحث كتعبير نمطي',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'جِد التالي',
	'wikieditor-toolbar-tool-replace-button-replace' => 'استبدل',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'استبدل الكل',
	'wikieditor-toolbar-tool-replace-close' => 'أغلق',
	'wikieditor-toolbar-tool-replace-nomatch' => 'بحثك لم يطابق أي شيء.',
	'wikieditor-toolbar-tool-replace-success' => 'أجري $1 استبدال(ات).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'لم تكتب شيئًا لتبحث عنه.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'التعبير النمطي الذي أدخلته غير صالح: $1',
	'wikieditor-toolbar-section-characters' => 'أحرف خاصة',
	'wikieditor-toolbar-characters-page-latin' => 'لاتينية',
	'wikieditor-toolbar-characters-page-latinextended' => 'لاتينية موسعة',
	'wikieditor-toolbar-characters-page-ipa' => 'صوتية دولية',
	'wikieditor-toolbar-characters-page-symbols' => 'رموز',
	'wikieditor-toolbar-characters-page-greek' => 'يونانية',
	'wikieditor-toolbar-characters-page-cyrillic' => 'كيريلية',
	'wikieditor-toolbar-characters-page-arabic' => 'عربية',
	'wikieditor-toolbar-characters-page-arabicextended' => 'عربية موسعة',
	'wikieditor-toolbar-characters-page-persian' => 'الفارسية',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبرية',
	'wikieditor-toolbar-characters-page-bangla' => 'بنغالية',
	'wikieditor-toolbar-characters-page-telugu' => 'تيلوجية',
	'wikieditor-toolbar-characters-page-sinhala' => 'سنهالية',
	'wikieditor-toolbar-characters-page-gujarati' => 'غجراتية',
	'wikieditor-toolbar-characters-page-thai' => 'تايلندية',
	'wikieditor-toolbar-characters-page-lao' => 'لاوية',
	'wikieditor-toolbar-characters-page-khmer' => 'خميرية',
	'wikieditor-toolbar-section-help' => 'مساعدة',
	'wikieditor-toolbar-help-heading-description' => 'الوصف',
	'wikieditor-toolbar-help-heading-syntax' => 'ما تكتبه',
	'wikieditor-toolbar-help-heading-result' => 'ما تحصل عليه',
	'wikieditor-toolbar-help-page-format' => 'تنسيق',
	'wikieditor-toolbar-help-page-link' => 'وصلات',
	'wikieditor-toolbar-help-page-heading' => 'ترويسات',
	'wikieditor-toolbar-help-page-list' => 'قوائم',
	'wikieditor-toolbar-help-page-file' => 'ملفات',
	'wikieditor-toolbar-help-page-reference' => 'مراجع',
	'wikieditor-toolbar-help-page-discussion' => 'نقاش',
	'wikieditor-toolbar-help-content-italic-description' => 'مائل',
	'wikieditor-toolbar-help-content-italic-syntax' => "''نص مائل''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>نص مائل</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'غليظ',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''نص غليظ'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>نص غليظ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'غليظ ومائل',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''نص غليظ ومائل'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>نص غليظ ومائل</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'وصلة داخلية',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[عنوان الصفحة|اسم الوصلة]]<br />[[عنوان الصفحة]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>اسم الوصلة</a><br /><a href='#'>عنوان الصفحة</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'وصلة خارجية',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org اسم الوصلة]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>اسم الوصلة</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'ترويسة المستوى الثاني',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== نص الترويسة ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>نص الترويسة</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'ترويسة المستوى الثالث',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== نص الترويسة ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>نص الترويسة</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'توريسة المستوى الرابع',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== نص الترويسة ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>نص الترويسة</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'توريسة المستوى الخامس',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== نص الترويسة =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>نص الترويسة</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'قائمة منقّطة',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* عنصر قائمة<br />* عنصر قائمة',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>عنصر قائمة</li><li>عنصر قائمة</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'قائمة مرقّمة',
	'wikieditor-toolbar-help-content-olist-syntax' => '# عنصر قائمة<br /># عنصر قائمة',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>عنصر قائمة</li><li>عنصر قائمة</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'ملف مضمّن',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|نص التعليق]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='نص التعليق' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='تكبير' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>نص التعليق</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'مرجع',
	'wikieditor-toolbar-help-content-reference-syntax' => 'نص الصفحة.&lt;ref name="test"&gt;[http://www.example.org نص الوصلة]، نص إضافي.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "نص الصفحة.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'استخدام نفس المرجع مرة أخرى',
	'wikieditor-toolbar-help-content-rereference-result' => "نص الصفحة.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'اعرض المراجع',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>نص الرابط</a>، نص إضافي.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'التوقيع مع الطابع الزمني',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>اسم المستخدم</a> (<a href='#' title='{{#special:mytalk}}'>ناقش</a>) 15:54، 10 يونيو 2009 (ت‌ع‌م)",
	'wikieditor-toolbar-help-content-signature-description' => 'التوقيع',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>اسم المستخدم</a> (<a href='#' title='{{#special:mytalk}}'>ناقش</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'بادئة',
	'wikieditor-toolbar-help-content-indent-syntax' => 'نص عادي<br />:نص ببادئة<br />::نص ببادئة',
	'wikieditor-toolbar-help-content-indent-result' => 'نص عادي<dl><dd>نص ببادئة<dl><dd>نص ببادئة</dd></dl></dd></dl>',
);

/** Aramaic (ܐܪܡܝܐ)
 * @author Basharh
 * @author Michaelovic
 */
$messages['arc'] = array(
	'wikieditor-preview-tab' => 'ܚܝܪܬܐ ܩܕܡܝܬܐ',
	'wikieditor-preview-changes-tab' => 'ܫܘܚܠܦ̈ܐ',
	'wikieditor-previewDialog-tab' => 'ܚܝܪܐ ܩܕܡܝܐ',
	'wikieditor-publish-button-cancel' => 'ܒܛܘܠ',
	'wikieditor-publish-dialog-minor' => 'ܫܘܚܠܦܐ ܙܥܘܪܐ',
	'wikieditor-publish-dialog-watch' => 'ܪܗܝ ܦܐܬܐ ܗܕܐ',
	'wikieditor-template-editor-dialog-title' => 'ܫܚܠܦ ܩܠܒܐ',
	'wikieditor-template-editor-dialog-submit' => 'ܚܕܬ',
	'wikieditor-template-editor-dialog-cancel' => 'ܒܛܘܠ',
	'wikieditor-toc-show' => 'ܚܘܝ ܚܒܝܫܬ̈ܐ',
	'wikieditor-toc-hide' => 'ܛܫܝ ܚܒܝܫܬ̈ܐ',
	'wikieditor-toolbar-tool-bold' => 'ܥܒܝܬܐ',
	'wikieditor-toolbar-tool-bold-example' => 'ܟܬܒܬܐ ܥܒܝܬܐ',
	'wikieditor-toolbar-tool-italic' => 'ܦܠܝܡܬܐ',
	'wikieditor-toolbar-tool-italic-example' => 'ܟܬܒܬܐ ܦܠܝܡܬܐ',
	'wikieditor-toolbar-tool-ilink' => 'ܐܣܘܪܐ ܓܘܝܐ',
	'wikieditor-toolbar-tool-ilink-example' => 'ܟܘܢܝܐ ܕܐܣܘܪܐ',
	'wikieditor-toolbar-tool-xlink' => 'ܐܣܘܪܐ ܒܪܝܐ (ܕܟܘܪ http:// ܩܕܡܝܬܐ)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ܟܘܢܝܐ ܕܐܣܘܪܐ',
	'wikieditor-toolbar-tool-link' => 'ܐܣܘܪܐ',
	'wikieditor-toolbar-tool-link-title' => 'ܣܢܘܦ ܐܣܘܪܐ',
	'wikieditor-toolbar-tool-link-int' => 'ܠܦܐܬܐ ܕܘܝܩܝ',
	'wikieditor-toolbar-tool-link-int-text' => 'ܟܬܒܬܐ ܠܚܘܘܝܐ',
	'wikieditor-toolbar-tool-link-ext' => 'ܠܦܐܬܐ ܕܢܘܠܐ ܒܪܝܬܐ',
	'wikieditor-toolbar-tool-link-insert' => 'ܣܢܘܦ ܐܣܘܪܐ',
	'wikieditor-toolbar-tool-link-cancel' => 'ܒܛܘܠ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'ܦܐܬܐ ܗܕܐ ܐܝܬ',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'ܦܐܬܐ ܗܕܐ ܠܝܬ',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ܟܘܢܝܐ ܠܐ ܬܪܝܨܐ',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'ܐܣܘܪܐ ܒܪܝܐ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'ܐܣܘܪܐ ܓܘܝܐ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'ܐܣܘܪܐ ܒܪܝܐ',
	'wikieditor-toolbar-tool-file' => 'ܠܦܦܐ ܛܡܝܪܐ',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'ܡܒܘܥܐ',
	'wikieditor-toolbar-tool-reference-cancel' => 'ܒܛܘܠ',
	'wikieditor-toolbar-tool-reference-title' => 'ܣܢܘܦ ܡܒܘܥܐ',
	'wikieditor-toolbar-tool-reference-insert' => 'ܣܢܘܦ',
	'wikieditor-toolbar-section-advanced' => 'ܡܬܩܕܡܢܐ',
	'wikieditor-toolbar-tool-heading-1' => 'ܫܘܝܐ 1',
	'wikieditor-toolbar-tool-heading-2' => 'ܫܘܝܐ 2',
	'wikieditor-toolbar-tool-heading-3' => 'ܫܘܝܐ 3',
	'wikieditor-toolbar-tool-heading-4' => 'ܫܘܝܐ 4',
	'wikieditor-toolbar-tool-heading-5' => 'ܫܘܝܐ 5',
	'wikieditor-toolbar-group-format' => 'ܣܕܝܪܘܬܐ',
	'wikieditor-toolbar-tool-redirect' => 'ܨܘܝܒܐ',
	'wikieditor-toolbar-tool-small' => 'ܙܥܘܪܐ',
	'wikieditor-toolbar-tool-small-example' => 'ܟܬܒܬܐ ܙܥܘܪܬܐ',
	'wikieditor-toolbar-group-insert' => 'ܣܢܘܦ',
	'wikieditor-toolbar-tool-gallery' => 'ܒܝܬ ܓܠܚܐ ܕܨܘܪ̈ܬܐ',
	'wikieditor-toolbar-tool-newline' => 'ܣܪܛܐ ܚܕܬܐ',
	'wikieditor-toolbar-tool-table' => 'ܠܘܚܝܬܐ',
	'wikieditor-toolbar-tool-table-title' => 'ܣܢܦܐ ܕܠܘܚܝܬܐ',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ܨ̈ܦܐ',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ܥܡܘܕ̈ܐ',
	'wikieditor-toolbar-tool-table-example' => 'ܡܬܠܐ',
	'wikieditor-toolbar-tool-table-preview' => 'ܚܝܪܐ ܩܕܡܝܐ',
	'wikieditor-toolbar-tool-table-insert' => 'ܣܢܘܦ',
	'wikieditor-toolbar-tool-table-cancel' => 'ܒܛܘܠ',
	'wikieditor-toolbar-section-characters' => 'ܐܬܘܬ̈ܐ ܕܝܠܢܝܬ̈ܐ',
	'wikieditor-toolbar-characters-page-latin' => 'ܠܐܛܝܢܐܝܬ',
	'wikieditor-toolbar-characters-page-latinextended' => 'ܠܐܛܝܢܐܝܬ ܡܬܝܚܐ',
	'wikieditor-toolbar-characters-page-symbols' => 'ܪ̈ܡܙܐ',
	'wikieditor-toolbar-characters-page-greek' => 'ܝܘܢܐܝܬ',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ܩܝܪܝܠܐܝܬ',
	'wikieditor-toolbar-characters-page-arabic' => 'ܥܪܒܐܝܬ',
	'wikieditor-toolbar-characters-page-persian' => 'ܦܪܣܐܝܬ',
	'wikieditor-toolbar-characters-page-hebrew' => 'ܥܒܪܐܝܬ',
	'wikieditor-toolbar-characters-page-bangla' => 'ܒܢܓܐܠܐܝܬ',
	'wikieditor-toolbar-characters-page-telugu' => 'ܛܝܠܘܓܘܐܝܬ',
	'wikieditor-toolbar-characters-page-sinhala' => 'ܣܢܗܐܠܐܝܬ',
	'wikieditor-toolbar-characters-page-gujarati' => 'ܓܘܓܐܪܐܛܝܐܝܬ',
	'wikieditor-toolbar-characters-page-thai' => 'ܛܝܠܢܕܐܝܬ',
	'wikieditor-toolbar-characters-page-lao' => 'ܠܐܘܐܝܬ',
	'wikieditor-toolbar-characters-page-khmer' => 'ܟܡܝܪܐܝܬ',
	'wikieditor-toolbar-section-help' => 'ܥܘܕܪܢܐ',
	'wikieditor-toolbar-help-heading-description' => 'ܫܘܡܗܐ',
	'wikieditor-toolbar-help-heading-syntax' => 'ܡܕܡ ܟܬܒ ܐܢܬ',
	'wikieditor-toolbar-help-heading-result' => 'ܡܕܡ ܐܬܐ ܠܟ',
	'wikieditor-toolbar-help-page-format' => 'ܣܕܝܪܘܬܐ',
	'wikieditor-toolbar-help-page-link' => 'ܐܣܪ̈ܐ',
	'wikieditor-toolbar-help-page-heading' => 'ܪ̈ܝܫܬܐ',
	'wikieditor-toolbar-help-page-list' => 'ܡܟܬܒܘܬ̈ܐ',
	'wikieditor-toolbar-help-page-file' => 'ܠܦܦ̈ܐ',
	'wikieditor-toolbar-help-page-reference' => 'ܡܒܘܥ̈ܐ',
	'wikieditor-toolbar-help-page-discussion' => 'ܡܡܠܠܐ',
	'wikieditor-toolbar-help-content-italic-description' => 'ܦܠܝܡܬܐ',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ܟܬܒܬܐ ܦܠܝܡܬܐ''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ܟܬܒܬܐ ܦܠܝܡܬܐ</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ܥܒܝܬܐ',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''ܟܬܒܬܐ ܥܒܝܬܐ'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>ܟܬܒܬܐ ܥܒܝܬܐ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ܦܠܝܡܬܐ &amp; ܥܒܝܬܐ',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => 'ܦܠܝܡܬܐ &amp; ܟܬܒܬܐ ܥܒܝܬܐ',
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>ܦܠܝܡܬܐ &amp; ܥܒܝܬܐ text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'ܐܣܘܪܐ ܓܘܝܐ',
	'wikieditor-toolbar-help-content-xlink-description' => 'ܐܣܘܪܐ ܒܪܝܐ',
	'wikieditor-toolbar-help-content-file-description' => 'ܠܦܦܐ ܛܡܝܪܐ',
	'wikieditor-toolbar-help-content-reference-description' => 'ܡܒܘܥܐ',
	'wikieditor-toolbar-help-content-showreferences-description' => 'ܚܘܝ ܡܒܘܥܐ',
	'wikieditor-toolbar-help-content-signature-description' => 'ܪܡܝ ܐܝܕܐ',
);

/** Egyptian Spoken Arabic (مصرى)
 * @author Dudi
 * @author Meno25
 */
$messages['arz'] = array(
	'wikieditor' => 'Interface متقدم بتاع تعديل wikitext',
	'wikieditor-desc' => 'بيدّى interface بتاع wikitext بينفع يتكبّر و modules كتيره بتنفع تعمل مميزات',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'بيلوّد',
	'wikieditor-preview-preference' => 'شغّل الپروڤه بتاعة الجنب مع جنب',
	'wikieditor-preview-tab' => 'پروڤه',
	'wikieditor-preview-changes-tab' => 'تغييرات',
	'wikieditor-preview-loading' => 'بيلوّد...',
	'wikieditor-previewDialog-tab' => 'پروڤه',
	'wikieditor-previewDialog-loading' => 'بيلوّد...',
	'wikieditor-publish-preference' => 'شغل النشر واحده بواحده',
	'wikieditor-publish-button-publish' => 'انشر',
	'wikieditor-publish-button-cancel' => 'كانسل',
	'wikieditor-publish-dialog-title' => 'انشر فى {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'ملخص التعديل (اشرح بإختصار التغييرات اللى عملتها):',
	'wikieditor-publish-dialog-minor' => 'تعديل صغير',
	'wikieditor-publish-dialog-watch' => 'راقب الصفحه دى',
	'wikieditor-publish-dialog-publish' => 'انشر',
	'wikieditor-publish-dialog-goback' => 'ارجع',
	'wikieditor-template-editor-preference' => 'شغّل تعديل قوالب الwiki على اساس الفورمه',
	'wikieditor-template-editor-dialog-title' => 'تعديل قالب',
	'wikieditor-template-editor-dialog-submit' => 'تحديث (update)',
	'wikieditor-template-editor-dialog-cancel' => 'كانسل',
	'wikieditor-templates-preference' => 'خلّى القالب يبان مقفول',
	'wikieditor-toc-preference' => 'Enable navigable table of contents',
	'wikieditor-toc-show' => 'بيّن المحتويات',
	'wikieditor-toc-hide' => 'خبّى المحتويات',
	'wikieditor-toolbar' => 'شريط عدّة التحرير',
	'wikieditor-toolbar-desc' => 'عدّل صفحة العدّة بالenhanced usability',
	'wikieditor-toolbar-loading' => 'بتلوّد...',
	'wikieditor-toolbar-tool-bold' => 'Bold',
	'wikieditor-toolbar-tool-bold-example' => 'Bold text',
	'wikieditor-toolbar-tool-italic' => 'Italic',
	'wikieditor-toolbar-tool-italic-example' => 'Italic text',
	'wikieditor-toolbar-tool-ilink' => 'لينك جوّانى',
	'wikieditor-toolbar-tool-ilink-example' => 'عنوان اللينك',
	'wikieditor-toolbar-tool-xlink' => 'لينك برّانى (افتكر تبتدى بـ http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com عنوان اللينك',
	'wikieditor-toolbar-tool-link' => 'لينك',
	'wikieditor-toolbar-tool-link-title' => 'حُط لينك',
	'wikieditor-toolbar-tool-link-int' => 'لصفحة wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'الصفحه او الURL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'عنوان الصفحه او الURL',
	'wikieditor-toolbar-tool-link-int-text' => 'التكست اللى يتبيّن:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'التكست اللى ح يبان',
	'wikieditor-toolbar-tool-link-ext' => 'لصفحة web برّانيّه',
	'wikieditor-toolbar-tool-link-ext-target' => 'Link URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'تكست اللينك:',
	'wikieditor-toolbar-tool-link-insert' => 'حط لينك',
	'wikieditor-toolbar-tool-link-cancel' => 'كانسل',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'الصفحه موجوده',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'الصفحه مش موجوده',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'لينك مش موجود',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'لينك برّانى',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'بيتشيّك على وجود الصفحه...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'العنوان اللى حددته مش موجود.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'الURL اللى حددته باين عليه انه كان مقصود انه يحوّل على صفحة ويكى تانيه. عايز تخلّيه لينك جوّانى؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'لينك جوّانى',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'لينك برّانى',
	'wikieditor-toolbar-tool-link-empty' => 'انت ما حطّيتش اى حاجه علشان يتوصّل عليها.',
	'wikieditor-toolbar-tool-file' => 'Embedded file',
	'wikieditor-toolbar-tool-reference' => 'مرجع',
	'wikieditor-toolbar-tool-reference-example' => 'اعمل insert لنَص الfootnote هنا',
	'wikieditor-toolbar-tool-reference-cancel' => 'كانسل',
	'wikieditor-toolbar-tool-reference-title' => 'حط مرجع',
	'wikieditor-toolbar-tool-reference-insert' => 'حط',
	'wikieditor-toolbar-tool-reference-text' => 'التكست بتاع المرجع',
	'wikieditor-toolbar-tool-signature' => 'الامضا و ختم الوقت',
	'wikieditor-toolbar-section-advanced' => 'متقدم',
	'wikieditor-toolbar-tool-heading-example' => 'تكست العنوان',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'ليسته منقطه بـbullets',
	'wikieditor-toolbar-tool-ulist-example' => 'Bulleted list item',
	'wikieditor-toolbar-tool-olist' => 'ليسته مترقمه',
	'wikieditor-toolbar-tool-olist-example' => 'Item اليسته المترقمه',
	'wikieditor-toolbar-tool-indent' => 'المسافه اللى فى الاول (indentation)',
	'wikieditor-toolbar-tool-indent-example' => 'السطر الindented',
	'wikieditor-toolbar-tool-nowiki' => 'مافيش فورمات للويكى',
	'wikieditor-toolbar-tool-nowiki-example' => 'حط تكست مش معمول‍له فورمات هنا',
	'wikieditor-toolbar-tool-redirect' => 'تحويل',
	'wikieditor-toolbar-tool-redirect-example' => 'اسم الصفحه المقصوده',
	'wikieditor-toolbar-tool-big' => 'كبير',
	'wikieditor-toolbar-tool-big-example' => 'تكست كبير',
	'wikieditor-toolbar-tool-small' => 'صغير',
	'wikieditor-toolbar-tool-small-example' => 'تكست صغير',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Superscript text',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Subscript text',
	'wikieditor-toolbar-group-insert' => 'حط',
	'wikieditor-toolbar-tool-gallery' => 'جاليرى الصور',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Caption1
$1:Example.jpg|Caption2',
	'wikieditor-toolbar-tool-newline' => 'سطر جديد',
	'wikieditor-toolbar-tool-table' => 'جدول',
	'wikieditor-toolbar-tool-table-example-old' => '! header 1
! header 2
! header 3
|-
| row 1, cell 1
| row 1, cell 2
| row 1, cell 3
|-
| row 2, cell 1
| row 2, cell 2',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Cell text',
	'wikieditor-toolbar-tool-table-example-header' => 'تكست العنوان',
	'wikieditor-toolbar-tool-table-title' => 'حط جدول',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'صفوق',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'عواميد',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'زوّد صف عنوان',
	'wikieditor-toolbar-tool-table-wikitable' => 'Style with borders',
	'wikieditor-toolbar-tool-table-sortable' => 'خلّى الجدول ينفع يترتب',
	'wikieditor-toolbar-tool-table-example' => 'مثال',
	'wikieditor-toolbar-tool-table-preview' => 'پروڤه',
	'wikieditor-toolbar-tool-table-insert' => 'حط',
	'wikieditor-toolbar-tool-table-cancel' => 'كانسل',
	'wikieditor-toolbar-tool-table-toomany' => 'مش ممكن يتعمل insert لـ table بأكتر من $1 cells بالـ dialog ده.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'انت ما دخّلتش رقم موجود للـ rows او الـ columns',
	'wikieditor-toolbar-tool-table-zero' => 'ما ينفعش تعمل insert لـ table من-غير rows او columns.',
	'wikieditor-toolbar-tool-replace' => 'دوّر و بدّل',
	'wikieditor-toolbar-tool-replace-title' => 'دوّر و بدّل',
	'wikieditor-toolbar-tool-replace-search' => 'دوّر على:',
	'wikieditor-toolbar-tool-replace-replace' => 'بدّل بـ:',
	'wikieditor-toolbar-tool-replace-case' => 'Match case',
	'wikieditor-toolbar-tool-replace-regex' => 'Treat search string as a regular expression',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'شوف اللى بعده',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'بدلهم كلهم',
	'wikieditor-toolbar-tool-replace-close' => 'إقفل',
	'wikieditor-toolbar-tool-replace-nomatch' => 'التدوير بتاعك ما وصلش لأى حاجه.',
	'wikieditor-toolbar-tool-replace-success' => '$1 تبديلات اتعملت.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'انت ما حطّيتش اى حاجه علشان تدوّر عليها.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'The regular expression you entered is invalid: $1',
	'wikieditor-toolbar-section-characters' => 'Special characters',
	'wikieditor-toolbar-characters-page-latin' => 'لاتينى',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin extended',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-greek' => 'يونانى',
	'wikieditor-toolbar-characters-page-cyrillic' => 'كيريلى',
	'wikieditor-toolbar-characters-page-arabic' => 'عربى',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبرى',
	'wikieditor-toolbar-characters-page-bangla' => 'بانجلاديشى',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'مساعده',
	'wikieditor-toolbar-help-heading-description' => 'الوصف',
	'wikieditor-toolbar-help-heading-syntax' => 'اللى بتكتبه',
	'wikieditor-toolbar-help-heading-result' => 'اللى بتاخده',
	'wikieditor-toolbar-help-page-format' => 'Formatting',
	'wikieditor-toolbar-help-page-link' => 'لينكات',
	'wikieditor-toolbar-help-page-heading' => 'Headings',
	'wikieditor-toolbar-help-page-list' => 'ليسَت',
	'wikieditor-toolbar-help-page-file' => 'فايلات',
	'wikieditor-toolbar-help-page-reference' => 'مراجع',
	'wikieditor-toolbar-help-page-discussion' => 'مناقشه',
	'wikieditor-toolbar-help-content-italic-description' => 'Italic',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Italic text''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Italic text</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Bold',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Bold text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Bold text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Bold &amp; italic',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Bold &amp; italic text'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Bold &amp; italic text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'لينك جوّانى',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[اسم الصفحه|اسم اللينك]]<br />[[اسم الصفحه]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>اسم اللينك</a><br /><a href='#'>اسم الصفحه</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'لينك برّانى',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org اسم اللينك]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>اسم اللينك</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2nd level heading',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Heading text ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Heading text</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3rd level heading',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Heading text ===',
	'wikieditor-toolbar-help-content-heading4-description' => '4th level heading',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Heading text</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5th level heading',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Heading text =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Heading text</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'ليسته فيها bullets',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* List item<br />* List item',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>List item</li><li>List item</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'ليسته مترقمه',
	'wikieditor-toolbar-help-content-olist-syntax' => '# List item<br /># List item',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>List item</li><li>List item</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Embedded file',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Caption text]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Caption text</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'مرجع',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Page text.&lt;ref name="test"&gt;[http://www.example.org Link text], additional text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Page text.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'إستعمل تانى نفس المرجع',
	'wikieditor-toolbar-help-content-rereference-result' => "Page text.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'اعرض المراجع',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'الامضا مع ختم الوقت',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>اسم اليوزر</a> (<a href='#' title='{{#special:mytalk}}'>كلّمه</a>) 15:54,‏ 10 يونيه 2009 ‏(UTC)‏",
	'wikieditor-toolbar-help-content-signature-description' => 'امضا',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>اسم اليوزر</a> (<a href='#' title='{{#special:mytalk}}'>كلّم</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indent',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal text<br />:Indented text<br />::Indented text',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal text<dl><dd>Indented text<dl><dd>Indented text</dd></dl></dd></dl>',
);

/** Assamese (অসমীয়া)
 * @author Chaipau
 */
$messages['as'] = array(
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
);

/** Asturian (Asturianu)
 * @author Xuacu
 */
$messages['ast'] = array(
	'wikieditor' => "Interfaz avanzada d'edición de testu wiki",
	'wikieditor-wikitext-tab' => 'Testu wiki',
	'wikieditor-loading' => 'Cargando...',
	'wikieditor-preview-preference' => 'Activar la vista previa comparativa',
	'wikieditor-preview-tab' => 'Entever',
	'wikieditor-preview-changes-tab' => 'Cambios',
	'wikieditor-preview-loading' => 'Cargando...',
	'wikieditor-previewDialog-preference' => 'Activar el diálogu de vista previa',
	'wikieditor-previewDialog-tab' => 'Entever',
	'wikieditor-previewDialog-loading' => 'Cargando...',
	'wikieditor-publish-preference' => 'Activar la publicación pasu a pasu',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Encaboxar',
	'wikieditor-publish-dialog-title' => 'Publicar en {{SITENAME}}',
	'wikieditor-publish-dialog-minor' => 'Edición menor',
	'wikieditor-publish-dialog-watch' => 'Vixilar esta páxina',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Volver',
	'wikieditor-template-editor-preference' => 'Activar la edición de plantíes wiki basada en formularios',
	'wikieditor-template-editor-dialog-title' => 'Editar plantía',
	'wikieditor-template-editor-dialog-submit' => 'Anovar',
	'wikieditor-template-editor-dialog-cancel' => 'Encaboxar',
	'wikieditor-templates-preference' => 'Activar el plegáu de plantíes',
	'wikieditor-toc-show' => 'Amosar el conteníu',
	'wikieditor-toc-hide' => 'Anubrir el conteníu',
	'wikieditor-toolbar' => 'Editando la barra de ferramientes',
	'wikieditor-toolbar-desc' => "Barra de ferramientes de la páxina d'edición con usabilidá enantada",
	'wikieditor-toolbar-preference' => "Activar a barra d'edición enantada",
	'wikieditor-toolbar-loading' => 'Cargando...',
	'wikieditor-toolbar-tool-bold' => 'Negrina',
	'wikieditor-toolbar-tool-bold-example' => 'Testu en negrina',
	'wikieditor-toolbar-tool-italic' => 'Cursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Testu en cursiva',
	'wikieditor-toolbar-tool-ilink' => 'Enllaz internu',
	'wikieditor-toolbar-tool-ilink-example' => 'Títulu del enllaz',
	'wikieditor-toolbar-tool-xlink' => "Enllaz esternu (recuerda'l prefixu http://)",
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com títulu del enllaz',
	'wikieditor-toolbar-tool-link' => 'Enllaz',
	'wikieditor-toolbar-tool-link-title' => 'Inxertar enllaz',
	'wikieditor-toolbar-tool-link-int' => 'A una páxina del wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Páxina destín o URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Títulu de la páxina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testu a amosar:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "El testu que s'amosará",
	'wikieditor-toolbar-tool-link-ext' => 'A una páxina web esterna',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL del enllaz:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testu del enllaz:',
	'wikieditor-toolbar-tool-link-insert' => 'Inxertar enllaz',
	'wikieditor-toolbar-tool-link-cancel' => 'Encaboxar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La páxina yá esiste',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La páxina nun esiste',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Títulu non válidu',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Enllaz esternu',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Comprobando la esistencia de la páxina...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'El títulu que conseñasti nun ye válidu.',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Enllaz internu',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Enllaz esternu',
	'wikieditor-toolbar-tool-file-example' => 'Exemplu.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referencia',
	'wikieditor-toolbar-tool-reference-example' => 'Escribir equí el testu de la nota al pie',
	'wikieditor-toolbar-tool-reference-cancel' => 'Encaboxar',
	'wikieditor-toolbar-tool-reference-title' => 'Inxertar referencia',
	'wikieditor-toolbar-tool-reference-insert' => 'Inxertar',
	'wikieditor-toolbar-tool-reference-text' => 'Testu de la referencia',
	'wikieditor-toolbar-tool-signature' => 'Robla, data y hora',
	'wikieditor-toolbar-section-advanced' => 'Avanzao',
	'wikieditor-toolbar-tool-heading' => 'Cabecera',
	'wikieditor-toolbar-tool-heading-1' => 'Nivel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Testu de cabecera',
	'wikieditor-toolbar-group-format' => 'Formatu',
	'wikieditor-toolbar-tool-ulist' => 'Llista con puntos',
	'wikieditor-toolbar-tool-ulist-example' => 'Elementu de la llista con puntos',
	'wikieditor-toolbar-tool-olist' => 'Llista numberada',
	'wikieditor-toolbar-tool-olist-example' => 'Elementu de la llista numberada',
	'wikieditor-toolbar-tool-indent' => 'Sangría',
	'wikieditor-toolbar-tool-indent-example' => 'Llinia con sangría',
	'wikieditor-toolbar-tool-nowiki' => 'Ensin formatu wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Pon equí testu ensin formatu',
	'wikieditor-toolbar-tool-redirect' => 'Redireición',
	'wikieditor-toolbar-tool-redirect-example' => 'Nome de la páxina de destín',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Testu grande',
	'wikieditor-toolbar-tool-small' => 'Pequeñu',
	'wikieditor-toolbar-tool-small-example' => 'Testu pequeñu',
	'wikieditor-toolbar-tool-superscript' => 'Superíndiz',
	'wikieditor-toolbar-tool-superscript-example' => 'Testu en superíndiz',
	'wikieditor-toolbar-tool-subscript' => 'Subíndiz',
	'wikieditor-toolbar-group-insert' => 'Inxertar',
	'wikieditor-toolbar-tool-gallery' => "Galería d'imaxes",
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testu de la caxella',
	'wikieditor-toolbar-tool-table-example-header' => 'Testu de cabecera',
	'wikieditor-toolbar-tool-table-title' => 'Inxertar una tabla',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Fileres',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnes',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Incluir llinia de cabecera',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilu con bordes',
	'wikieditor-toolbar-tool-table-sortable' => 'Facer que la tabla pueda ordenase',
	'wikieditor-toolbar-tool-table-example' => 'Exemplu',
	'wikieditor-toolbar-tool-table-preview' => 'Vista previa',
	'wikieditor-toolbar-tool-table-insert' => 'Inxertar',
	'wikieditor-toolbar-tool-table-cancel' => 'Encaboxar',
	'wikieditor-toolbar-tool-replace' => 'Guetar y reemplazar',
	'wikieditor-toolbar-tool-replace-title' => 'Guetar y reemplazar',
	'wikieditor-toolbar-tool-replace-search' => 'Buscar',
	'wikieditor-toolbar-tool-replace-replace' => 'Sustituir por:',
	'wikieditor-toolbar-tool-replace-case' => 'Distinguir mayúscules',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratar la cadena de gueta como una espresión regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Alcontrar siguiente',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Sustituir',
	'wikieditor-toolbar-tool-replace-close' => 'Zarrar',
	'wikieditor-toolbar-tool-replace-success' => '$1 reemplazos fechos',
	'wikieditor-toolbar-section-characters' => 'Caráuteres especiales',
	'wikieditor-toolbar-characters-page-latin' => 'Llatín',
	'wikieditor-toolbar-characters-page-latinextended' => 'Llatín estendíu',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Griegu',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirílicu',
	'wikieditor-toolbar-characters-page-arabic' => 'Árabe',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebréu',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalín',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalés',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tailandés',
	'wikieditor-toolbar-characters-page-lao' => 'Laosianu',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ayuda',
	'wikieditor-toolbar-help-heading-description' => 'Descripción',
	'wikieditor-toolbar-help-heading-syntax' => "Lo qu'escribes",
	'wikieditor-toolbar-help-heading-result' => 'Lo que te sal',
	'wikieditor-toolbar-help-page-format' => 'Dar formatu',
	'wikieditor-toolbar-help-page-link' => 'Enllaces',
	'wikieditor-toolbar-help-page-heading' => 'Cabeceres',
	'wikieditor-toolbar-help-page-list' => 'Llistes',
	'wikieditor-toolbar-help-page-file' => 'Ficheros',
	'wikieditor-toolbar-help-page-reference' => 'Referencies',
	'wikieditor-toolbar-help-page-discussion' => 'Alderique',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testu en cursiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testu en cursiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negrina',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testu en negrina'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testu en negrina</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negrina &amp; cursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testu en negrina y cursiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testu en negrina &amp; cursiva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Enllaz internu',
	'wikieditor-toolbar-help-content-reference-description' => 'Referencia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testu de la páxina&lt;ref name="test"&gt;[http://www.example.org Testu del enllaz], otru testu.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Testu de la páxina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Otros usos de la mesma referencia',
	'wikieditor-toolbar-help-content-rereference-result' => "Testu de la páxina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Amosar les referencies',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Testu del enllaz</a>, otru testu.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Robla con data y hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome d'usuariu</a> (<a href='#' title='{{#special:mytalk}}'>alderique</a>) 15:54, 10 xunu 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Robla',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome d'usuariu</a> (<a href='#' title='{{#special:mytalk}}'>alderique</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Sangría',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testu normal<br />:Testu con sangría<br />::Testu con sangría',
	'wikieditor-toolbar-help-content-indent-result' => 'Testu normal<dl><dd>Testu con sangría<dl><dd>Testu con sangría</dd></dl></dd></dl>',
);

/** Azerbaijani (Azərbaycanca)
 * @author Cekli829
 * @author Koc61
 * @author PPerviz
 * @author Vago
 * @author Vugar 1981
 */
$messages['az'] = array(
	'wikieditor-wikitext-tab' => 'Vikimətn',
	'wikieditor-loading' => 'Yüklə',
	'wikieditor-preview-tab' => 'Sınaq göstərişi',
	'wikieditor-preview-changes-tab' => 'Dəyişikliklər',
	'wikieditor-preview-loading' => 'Yüklənir…',
	'wikieditor-previewDialog-tab' => 'Sınaq göstərişi',
	'wikieditor-previewDialog-loading' => 'Yüklənir…',
	'wikieditor-publish-button-publish' => 'Yeniləmə',
	'wikieditor-publish-button-cancel' => 'Ləğv et',
	'wikieditor-publish-dialog-minor' => 'Kiçik dəyişiklik',
	'wikieditor-publish-dialog-publish' => 'Publish',
	'wikieditor-publish-dialog-goback' => 'Geriyə',
	'wikieditor-template-editor-dialog-title' => 'Şablonu redaktə et',
	'wikieditor-template-editor-dialog-submit' => 'Yenilə',
	'wikieditor-template-editor-dialog-cancel' => 'Ləğv et',
	'wikieditor-toolbar-loading' => 'Yüklənir…',
	'wikieditor-toolbar-tool-bold' => 'Qalın',
	'wikieditor-toolbar-tool-bold-example' => 'Qalın mətn',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiv mətn',
	'wikieditor-toolbar-tool-ilink' => 'Daxili keçid',
	'wikieditor-toolbar-tool-ilink-example' => 'Keçidin başlığı',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com başlıq',
	'wikieditor-toolbar-tool-link' => 'Keçid',
	'wikieditor-toolbar-tool-link-title' => 'Keçid yerləşdir',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'URL üçün səhifə başlığı',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL linki:',
	'wikieditor-toolbar-tool-link-cancel' => 'Ləğv et',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Səhifə mövcud deyil',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Yanlış başlıq',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Daxili keçid',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Xarici keçid',
	'wikieditor-toolbar-tool-file' => 'Şəkil əlavə etmə',
	'wikieditor-toolbar-tool-file-example' => 'Misal.jpg',
	'wikieditor-toolbar-tool-reference' => 'İstinad',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ləğv et',
	'wikieditor-toolbar-tool-reference-insert' => 'Yerləşdirmək',
	'wikieditor-toolbar-tool-reference-text' => 'İstinad mətn',
	'wikieditor-toolbar-tool-signature' => 'İmza və vaxt qeydi',
	'wikieditor-toolbar-section-advanced' => 'Ətraflı',
	'wikieditor-toolbar-tool-heading' => 'Başlıq',
	'wikieditor-toolbar-tool-heading-1' => 'Səviyyə 1',
	'wikieditor-toolbar-tool-heading-2' => 'Səviyyə 2',
	'wikieditor-toolbar-tool-heading-3' => 'Səviyyə 3',
	'wikieditor-toolbar-tool-heading-4' => 'Səviyyə 4',
	'wikieditor-toolbar-tool-heading-5' => 'Səviyyə 5',
	'wikieditor-toolbar-tool-heading-example' => 'Başlıq mətni',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-redirect' => 'Yönləndirmə',
	'wikieditor-toolbar-tool-redirect-example' => 'Səhifə adını əlavə et',
	'wikieditor-toolbar-tool-big' => 'Böyük',
	'wikieditor-toolbar-tool-big-example' => 'Böyük mətn',
	'wikieditor-toolbar-tool-small' => 'Kiçik',
	'wikieditor-toolbar-tool-small-example' => 'Kiçik mətn',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-group-insert' => 'Yerləşdirmək',
	'wikieditor-toolbar-tool-gallery' => 'Şəkil qalereyası',
	'wikieditor-toolbar-tool-newline' => 'Yeni xətt',
	'wikieditor-toolbar-tool-table' => 'Cədvəl',
	'wikieditor-toolbar-tool-table-example-old' => '-
! başlıq 1
! başlıq 2
! başlıq 3
|-
| sıra 1, sütun 1
| sıra 1, sütun 2
| sıra 1, sütun 3
|-
| sıra 2, sütun 1
| sıra 2, sütun 2
| sıra 2, sütun 3',
	'wikieditor-toolbar-tool-table-example-header' => 'Başlıq mətni',
	'wikieditor-toolbar-tool-table-title' => 'Cədvəl yerləşdir',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Sətirlər:',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sütunlar:',
	'wikieditor-toolbar-tool-table-example' => 'Nümunə',
	'wikieditor-toolbar-tool-table-preview' => 'Sınaq göstərişi',
	'wikieditor-toolbar-tool-table-insert' => 'Yerləşdirmək',
	'wikieditor-toolbar-tool-table-cancel' => 'Ləğv et',
	'wikieditor-toolbar-tool-replace' => 'Axtar və dəyiş',
	'wikieditor-toolbar-tool-replace-title' => 'Axtar və dəyiş',
	'wikieditor-toolbar-tool-replace-search' => 'Axtar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Bununla dəyiş:',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Növbətini axtar',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Hamısını dəyiş',
	'wikieditor-toolbar-tool-replace-close' => 'Bağla',
	'wikieditor-toolbar-section-characters' => 'Xüsusi işarələr',
	'wikieditor-toolbar-characters-page-latin' => 'Latın',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latın genişləndirilmiş',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simvollar',
	'wikieditor-toolbar-characters-page-greek' => 'Yunan',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kiril',
	'wikieditor-toolbar-characters-page-arabic' => 'Ərəb',
	'wikieditor-toolbar-characters-page-persian' => 'Fars',
	'wikieditor-toolbar-characters-page-hebrew' => 'İvrit',
	'wikieditor-toolbar-characters-page-bangla' => 'Benqal',
	'wikieditor-toolbar-characters-page-telugu' => 'Teluqu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinqal',
	'wikieditor-toolbar-characters-page-gujarati' => 'Qucarat',
	'wikieditor-toolbar-characters-page-thai' => 'Tay',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Kömək',
	'wikieditor-toolbar-help-heading-description' => 'Təsvir',
	'wikieditor-toolbar-help-heading-syntax' => 'Yazdığınız',
	'wikieditor-toolbar-help-heading-result' => 'Aldığınız',
	'wikieditor-toolbar-help-page-format' => 'Formatlaşdırmaq',
	'wikieditor-toolbar-help-page-link' => 'Keçidlər',
	'wikieditor-toolbar-help-page-heading' => 'Başlıqlar',
	'wikieditor-toolbar-help-page-list' => 'Siyahılar',
	'wikieditor-toolbar-help-page-file' => 'Fayllar',
	'wikieditor-toolbar-help-page-reference' => 'İstinadlar',
	'wikieditor-toolbar-help-page-discussion' => 'Müzakirə',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiv mətn''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiv mətn</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Qalın',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Qalın mətn'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Qalın mətn</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Qalın və kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Qalın və kursiv mətn'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Qalın və kursiv mətn</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Daxili keçid',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Səhifənin adı|Keçidin adı]]<br />[[Səhifənin adı]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Keçidin adı</a><br /><a href='#'>Səhifənin adı</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Xarici keçid',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Keçidin adı]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Keçidin adı</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-ci səviyyəlı başlıq',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Başlıq mətn ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Başlıq mətn</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-cü səviyyəli başlıq',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Başlıq mətn ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Başlıq mətn</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-cü səviyyəli başlıq',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Başlıq mətn ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Başlıq mətn</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-ci səviyyəlı başlıq',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Başlıq mətn =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Başlıq mətn</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Markalanmış siyahı',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Siyahı bəndi<br />* Siyahı bəndi',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Siyahı bəndi</li><li>Siyahı bəndi</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nömrələnən siyahı',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Siyahı bəndi<br /># Siyahı bəndi',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Siyahı bəndi</li><li>Siyahı bəndi</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Şəkil əlavə etmə',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Mövzu mətni]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Mövzu mətni' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Böyüt' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Mövzu mətni</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'İstinad',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Səhifənin mətni.&lt;ref name="test"&gt;[http://www.example.org Keçidin mətni], əlavə mətnt.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Səhifənin mətni.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Eyni istinaddan istifadənin əlavəsi',
	'wikieditor-toolbar-help-content-rereference-result' => "Səhifə mətni.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'İstinadları göstər',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Keçid mətni</a>, əlavə mətn.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Vaxt qeydi ilə imza',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>İstifadəçi adı</a> (<a href='#' title='{{#special:mytalk}}'>müzakirə</a>) 15:54, 10 iyun 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'İmza',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>İstifadəçi adı</a> (<a href='#' title='{{#special:mytalk}}'>müzakirə</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Abzas',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal mətn<br />:Abzasla mətn<br />::Abzasla mətn',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal mətn<dl><dd>Abzasla mətn<dl><dd>Abzasla mətn</dd></dl></dd></dl>',
);

/** Bashkir (Башҡортса)
 * @author Assele
 * @author Haqmar
 */
$messages['ba'] = array(
	'wikieditor' => 'Киңәйтелгән викитекст мөхәррирләү интерфейсы',
	'wikieditor-desc' => 'Киңәйтелгән викитекст мөхәррирләү интерфейсы менән һәм модулдәр тарафынан күп мөмкинлектәр менән тәьмин итә',
	'wikieditor-wikitext-tab' => 'Викитекст',
	'wikieditor-loading' => 'Сығарыу',
	'wikieditor-preview-preference' => 'Йәнәш ҡарап сығыуҙы тоҡандырырға',
	'wikieditor-preview-tab' => 'Ҡарап сығыу',
	'wikieditor-preview-changes-tab' => 'Үҙгәрештәр',
	'wikieditor-preview-loading' => 'Сығарыу...',
	'wikieditor-previewDialog-preference' => 'Ҡарап сығыу диалогын тоҡандырырға',
	'wikieditor-previewDialog-tab' => 'Ҡарап сығыу',
	'wikieditor-previewDialog-loading' => 'Сығарыу...',
	'wikieditor-publish-preference' => 'Аҙымлап баҫтырыуҙы тоҡандырырға',
	'wikieditor-publish-button-publish' => 'Баҫтырып сығарырға',
	'wikieditor-publish-button-cancel' => 'Кире алырға',
	'wikieditor-publish-dialog-title' => ' {{SITENAME}} проектына баҫтырып сығарырға',
	'wikieditor-publish-dialog-summary' => 'Үҙгәртеүҙәр тасуирламаһы (ниндәй үҙгәртеүҙәр кереткәнегеҙҙе ҡыҫҡаса тасуирлағыҙ):',
	'wikieditor-publish-dialog-minor' => 'Әҙ генә үҙгәрештәр',
	'wikieditor-publish-dialog-watch' => 'Был битте күҙәтергә',
	'wikieditor-publish-dialog-publish' => 'Баҫтырып сығарырға',
	'wikieditor-publish-dialog-goback' => 'Кире ҡайтырға',
	'wikieditor-template-editor-preference' => 'Ҡалыптарҙы формалар ярҙамында үҙгәртеүҙе тоҡандырырға',
	'wikieditor-template-editor-dialog-title' => 'Ҡалыпты үҙгәртеү',
	'wikieditor-template-editor-dialog-submit' => 'Яңыртырға',
	'wikieditor-template-editor-dialog-cancel' => 'Кире алырға',
	'wikieditor-templates-preference' => 'Ҡалыптарҙы йыйыу мөмкинлеген тоҡандырырға',
	'wikieditor-toc-preference' => 'Йөкмәтке буйлап күсеү һылтанмаларын күрһәтергә',
	'wikieditor-toc-show' => 'Йөкмәткене күрһәтергә',
	'wikieditor-toc-hide' => 'Йөкмәткене йәшерергә',
	'wikieditor-toolbar' => 'Мөхәррирләү ҡоралдары',
	'wikieditor-toolbar-desc' => 'Яҡшыртылған мөхәррирләү ҡоралдары',
	'wikieditor-toolbar-preference' => 'Яҡшыртылған мөхәррирләү ҡоралдарын ҡулланырға',
	'wikieditor-toolbar-dialogs-preference' => 'Һылтанмалар, таблицалар һәм башҡаларҙы өҫтәү өсөн диалогтар ҡулланырға',
	'wikieditor-toolbar-loading' => 'Сығарыу...',
	'wikieditor-toolbar-tool-bold' => 'Ҡалын',
	'wikieditor-toolbar-tool-bold-example' => 'Ҡалын яҙылыш',
	'wikieditor-toolbar-tool-italic' => 'Ҡыя',
	'wikieditor-toolbar-tool-italic-example' => 'Ҡыя яҙылыш',
	'wikieditor-toolbar-tool-ilink' => 'Эске һылтанма',
	'wikieditor-toolbar-tool-ilink-example' => 'Һылтанма исеме',
	'wikieditor-toolbar-tool-xlink' => 'Тышҡы һылтанма (http:// префиксын онотмағыҙ)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com һылтанма исеме',
	'wikieditor-toolbar-tool-link' => 'Һылтанма',
	'wikieditor-toolbar-tool-link-title' => 'Һылтанма өҫтәү',
	'wikieditor-toolbar-tool-link-int' => 'Вики биткә күсеү',
	'wikieditor-toolbar-tool-link-int-target' => 'Кәрәкле бит йәки URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Биттең исеме йәки URL адресы:',
	'wikieditor-toolbar-tool-link-int-text' => 'Күрһәтелеүсе текст:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Күрһәтелеүсе текст',
	'wikieditor-toolbar-tool-link-ext' => 'Тышҡы веб сайтҡа',
	'wikieditor-toolbar-tool-link-ext-target' => 'Һылтанманың URL адресы:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Һылтанманың тексты:',
	'wikieditor-toolbar-tool-link-insert' => 'Һылтанма өҫтәргә',
	'wikieditor-toolbar-tool-link-cancel' => 'Кире алырға',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Был бит бар инде',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Был бит юҡ',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Исем дөрөҫ түгел',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Тышҡы һылтанма',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Биттең барлығын тикшереү...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Керетелгән исем дөрөҫ түгел.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Һеҙ күрһәткән URL адрес башҡа вики-биттең һылтанмаһына оҡшаған.
Был һылтанманы эске һылтанмаға әйләндерергә теләйһегеҙме?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Эске һылтанма',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Тышҡы һылтанма',
	'wikieditor-toolbar-tool-link-empty' => 'Һеҙ нимәгә һылтанма яһағанығыҙҙы күрһәтмәгәнһегеҙ.',
	'wikieditor-toolbar-tool-file' => 'Индерелгән файл',
	'wikieditor-toolbar-tool-file-example' => 'Миҫал.jpg',
	'wikieditor-toolbar-tool-reference' => 'Төшөрмә',
	'wikieditor-toolbar-tool-reference-example' => 'Төшөрмәнең текстын бында керетегеҙ',
	'wikieditor-toolbar-tool-reference-cancel' => 'Кире алырға',
	'wikieditor-toolbar-tool-reference-title' => 'Төшөрмә өҫтәү',
	'wikieditor-toolbar-tool-reference-insert' => 'Өҫтәргә',
	'wikieditor-toolbar-tool-reference-text' => 'Төшөрмәнең тексты',
	'wikieditor-toolbar-tool-signature' => 'Имза һәм ҡуйыу ваҡыты',
	'wikieditor-toolbar-section-advanced' => 'Киңәйтелгән',
	'wikieditor-toolbar-tool-heading' => 'Исем',
	'wikieditor-toolbar-tool-heading-1' => '1-се быуын',
	'wikieditor-toolbar-tool-heading-2' => '2-се быуын',
	'wikieditor-toolbar-tool-heading-3' => '3-сө быуын',
	'wikieditor-toolbar-tool-heading-4' => '4-се быуын',
	'wikieditor-toolbar-tool-heading-5' => '5-се быуын',
	'wikieditor-toolbar-tool-heading-example' => 'Исем',
	'wikieditor-toolbar-group-format' => 'Форматлау',
	'wikieditor-toolbar-tool-ulist' => 'Тамғалы исемлек',
	'wikieditor-toolbar-tool-ulist-example' => 'Тамғалы исемлектең бер юлы',
	'wikieditor-toolbar-tool-olist' => 'Һанлы исемлек',
	'wikieditor-toolbar-tool-olist-example' => 'Һанлы исемлектең бер юлы',
	'wikieditor-toolbar-tool-indent' => 'Буш ара',
	'wikieditor-toolbar-tool-indent-example' => 'Буш аралы юл',
	'wikieditor-toolbar-tool-nowiki' => 'Вики-форматлауға иғтибар итмәҫкә',
	'wikieditor-toolbar-tool-nowiki-example' => 'Бында форматланмаған тексты өҫтәгеҙ.',
	'wikieditor-toolbar-tool-redirect' => 'Күсереү',
	'wikieditor-toolbar-tool-redirect-example' => 'Күсә торған биттең исеме',
	'wikieditor-toolbar-tool-big' => 'Эре',
	'wikieditor-toolbar-tool-big-example' => 'Эре текст',
	'wikieditor-toolbar-tool-small' => 'Ваҡ',
	'wikieditor-toolbar-tool-small-example' => 'Ваҡ текст',
	'wikieditor-toolbar-tool-superscript' => 'Юлдан өҫтә',
	'wikieditor-toolbar-tool-superscript-example' => 'Юлдан өҫтәге текст',
	'wikieditor-toolbar-tool-subscript' => 'Юлдан аҫта',
	'wikieditor-toolbar-tool-subscript-example' => 'Юлдан аҫтағы текст',
	'wikieditor-toolbar-group-insert' => 'Өҫтәү',
	'wikieditor-toolbar-tool-gallery' => 'Рәсемдәр йыйынтығы',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Миҫал.jpg|Тасуирлама1
$1:Миҫал.jpg|Тасуирлама2',
	'wikieditor-toolbar-tool-newline' => 'Яңы юл',
	'wikieditor-toolbar-tool-table' => 'Таблица',
	'wikieditor-toolbar-tool-table-example-old' => '! башлыҡ 1
! башлыҡ 2
! башлыҡ 3
|-
| юл 1, күҙәнәк 1
| юл 1, күҙәнәк 2
| юл 1, күҙәнәк 3
|-
| юл 2, күҙәнәк 1
| юл 2, күҙәнәк 2
| юл 2, күҙәнәк 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст',
	'wikieditor-toolbar-tool-table-example-header' => 'Исем',
	'wikieditor-toolbar-tool-table-title' => 'Таблица өҫтәү',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Юлдар',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Бағаналар',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Башлыҡ юлын өҫтәү',
	'wikieditor-toolbar-tool-table-wikitable' => 'Сиктәрен яһау',
	'wikieditor-toolbar-tool-table-sortable' => 'Таблицаны тәртипкә килтермәле итергә',
	'wikieditor-toolbar-tool-table-example' => 'Текст',
	'wikieditor-toolbar-tool-table-preview' => 'Ҡарап сығырға',
	'wikieditor-toolbar-tool-table-insert' => 'Өҫтәргә',
	'wikieditor-toolbar-tool-table-cancel' => 'Кире алырға',
	'wikieditor-toolbar-tool-table-toomany' => 'Был диалог аша $1 күҙәнәктән ашыу дәүмәл менән таблица өҫтәргә мөмкин түгел.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Һеҙ юлдар һәм бағаналар һанын дөрөҫ күрһәтмәгәнһегеҙ.',
	'wikieditor-toolbar-tool-table-zero' => 'Юлдар һәм бағаналар һаны нуль була алмай.',
	'wikieditor-toolbar-tool-replace' => 'Эҙләү һәм алмаштырыу',
	'wikieditor-toolbar-tool-replace-title' => 'Эҙләү һәм алмаштырыу',
	'wikieditor-toolbar-tool-replace-search' => 'Табырға:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ошоға алмаштырырға:',
	'wikieditor-toolbar-tool-replace-case' => 'Регистрҙы иҫәпкә алырға',
	'wikieditor-toolbar-tool-replace-regex' => 'Эҙләү өсөн текстты регуляр аңлатма тип иҫәпләргә',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Сираттағыны табырға',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Алмаштырырға',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Барыһын да алмаштырырға',
	'wikieditor-toolbar-tool-replace-close' => 'Ябырға',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Һеҙҙең һорауығыҙ буйынса бер ни ҙә табылманы.',
	'wikieditor-toolbar-tool-replace-success' => '$1 алмаштырыу үткәрелде.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Һеҙ нимә эҙләгәнегеҙҙе күрһәтмәгәнһегеҙ.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Һеҙ кереткән регуляр аңлатма дөрөҫ түгел:  $1',
	'wikieditor-toolbar-section-characters' => 'Махсус тамғалар',
	'wikieditor-toolbar-characters-page-latin' => 'Латин',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латин (киңәйтелгән)',
	'wikieditor-toolbar-characters-page-ipa' => 'ХАФӘ (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Тамғалар',
	'wikieditor-toolbar-characters-page-greek' => 'Грек',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кириллик',
	'wikieditor-toolbar-characters-page-arabic' => 'Ғәрәп',
	'wikieditor-toolbar-characters-page-persian' => 'Фарсы',
	'wikieditor-toolbar-characters-page-hebrew' => 'Йәһүд',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгал',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингал',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджарати',
	'wikieditor-toolbar-characters-page-thai' => 'Тай',
	'wikieditor-toolbar-characters-page-lao' => 'Лао',
	'wikieditor-toolbar-characters-page-khmer' => 'Кһмер',
	'wikieditor-toolbar-section-help' => 'Белешмә',
	'wikieditor-toolbar-help-heading-description' => 'Тасуирлама',
	'wikieditor-toolbar-help-heading-syntax' => 'Һеҙ керетәһегеҙ',
	'wikieditor-toolbar-help-heading-result' => 'Килеп сыға',
	'wikieditor-toolbar-help-page-format' => 'Форматлау',
	'wikieditor-toolbar-help-page-link' => 'Һылтанмалар',
	'wikieditor-toolbar-help-page-heading' => 'Исемдәр',
	'wikieditor-toolbar-help-page-list' => 'Исемлектәр',
	'wikieditor-toolbar-help-page-file' => 'Файлдар',
	'wikieditor-toolbar-help-page-reference' => 'Төшөрмәләр',
	'wikieditor-toolbar-help-page-discussion' => 'Фекер алышыу',
	'wikieditor-toolbar-help-content-italic-description' => 'Ҡыя',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Ҡыя яҙыу''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Ҡыя яҙыу</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Ҡалын',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Ҡалын яҙыу'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Ҡалын яҙыу</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Ҡалын һәм ҡыя',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Ҡалын һәм ҡыя яҙыу'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Ҡалын һәм ҡыя яҙыу</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Эске һылтанма',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Биттең исеме|Һылтанма тексты]]<br />[[Биттең исеме]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Һылтанма тексты</a><br /><a href='#'>Биттең исеме</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Тышҡы һылтанма',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Һылтанма тексты]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Һылтанма тексты</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-се быуындағы исем',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Исем ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Исем</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-сө быуындағы исем',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Исем ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Исем</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-се быуындағы исем',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Исем ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Исем</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-се быуындағы исем',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Исем =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Исем</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Тамғалы исемлек',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Исемлектең бер юлы<br />* Исемлектең бер юлы',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Исемлектең бер юлы</li><li>Исемлектең бер юлы</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Һанлы исемлек',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Исемлектең бер юлы<br /># Исемлектең бер юлы',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Исемлектең бер юлы</li><li>Исемлектең бер юлы</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Индерелгән файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Миҫал.png|thumb|Аңлатма]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Аңлатма' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Ҙурайтырға' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Аңлатма</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Төшөрмә',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Биттәге текст.&lt;ref name="test"&gt;[http://www.example.org Һылтанма тексты], өҫтәмә текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Биттәге текст.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Бер үк төшөрмәне ҡабаттан ҡулланыу',
	'wikieditor-toolbar-help-content-rereference-result' => "Биттәге текст.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Төшөрмәләрҙе күрһәтеү',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Һылтанма тексты</a>, өҫтәмә текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Имза һәм ҡуйыу ваҡыты',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ҡатнашыусы исеме</a> (<a href='#' title='{{#special:mytalk}}'>фекер алышыу</a>) 11:56, 30 август (Урағай) 2010 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Имза',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ҡатнашыусы исеме</a> (<a href='#' title='{{#special:mytalk}}'>фекер алышыу</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Буш ара',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Ғәҙәттәге юл<br />:Буш аралы юл<br />::Буш аралы юл',
	'wikieditor-toolbar-help-content-indent-result' => 'Ғәҙәттәге юл<dl><dd>Буш аралы юл<dl><dd>Буш аралы юл</dd></dl></dd></dl>',
);

/** Bavarian (Boarisch)
 * @author Mucalexx
 */
$messages['bar'] = array(
	'wikieditor-template-editor-preference' => 'Formularbasirnds Beorweiten voh Wiki-Vurlong aktivirn',
	'wikieditor-template-editor-dialog-title' => 'Vurlog beorweiten',
	'wikieditor-template-editor-dialog-submit' => 'Aktualisirn',
	'wikieditor-template-editor-dialog-cancel' => 'Obbrechen',
	'wikieditor-templates-preference' => 'Aktiviarung vom Eih- und Ausblenden voh Vurlong',
);

/** Belarusian (Беларуская)
 * @author Maksim L.
 * @author Yury Tarasievich
 */
$messages['be'] = array(
	'wikieditor' => 'Палепшаны інтэрфейс праўкі вікітэкста',
	'wikieditor-desc' => 'Дадае палепшаны інтэрфейс праўкі вікітэкста і шмат модульных функцый',
	'wikieditor-wikitext-tab' => 'Вікітэкст',
	'wikieditor-loading' => 'Загрузка',
	'wikieditor-preview-preference' => 'Уключыць перадпаказ бок аб бок',
	'wikieditor-preview-tab' => 'Перадпаказ',
	'wikieditor-preview-changes-tab' => 'Змены',
	'wikieditor-preview-loading' => 'Загрузка...',
	'wikieditor-publish-preference' => 'Уключыць пакрокавую публікацыю',
	'wikieditor-publish-button-publish' => 'Апублікаваць',
	'wikieditor-publish-button-cancel' => 'Закрыць',
	'wikieditor-publish-dialog-title' => 'Апублікаваць у {{GRAMMAR:месны|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Тлумачэнне правак (каротка апішыце зробленыя праўкі)',
	'wikieditor-publish-dialog-minor' => 'Дробная праўка',
	'wikieditor-publish-dialog-watch' => 'Назіраць за гэтай старонкай',
	'wikieditor-publish-dialog-publish' => 'Апублікаваць',
	'wikieditor-publish-dialog-goback' => 'Вярнуцца',
	'wikieditor-template-editor-preference' => 'Уключыць праўку шаблонаў праз дыялогі',
	'wikieditor-template-editor-dialog-title' => 'Правіць шаблон',
	'wikieditor-template-editor-dialog-submit' => 'Абнавіць',
	'wikieditor-template-editor-dialog-cancel' => 'Закрыць',
	'wikieditor-templates-preference' => 'Уключыць згортванне шаблонаў',
	'wikieditor-toc-preference' => 'Уключыць змест з магчымасцю навігацыі',
	'wikieditor-toc-show' => 'Паказаць змест',
	'wikieditor-toc-hide' => 'Схаваць змест',
	'wikieditor-toolbar' => 'Панэль інструментаў',
	'wikieditor-toolbar-desc' => 'Панэль інструментаў з палепшанымі магчымасцямі',
	'wikieditor-toolbar-preference' => 'Уключыць панэль інструментаў з палепшанымі магчымасцямі',
	'wikieditor-toolbar-dialogs-preference' => 'Уключыць дыялогі для ўстаўкі спасылак, табліц і інш.',
	'wikieditor-toolbar-loading' => 'Загрузка…',
	'wikieditor-toolbar-tool-bold' => 'Цёмны',
	'wikieditor-toolbar-tool-bold-example' => 'Цёмны тэкст',
	'wikieditor-toolbar-tool-italic' => 'Курсіў',
	'wikieditor-toolbar-tool-italic-example' => 'Курсіўны тэкст',
	'wikieditor-toolbar-tool-ilink' => 'Унутраная спасылка',
	'wikieditor-toolbar-tool-ilink-example' => 'Назва спасылкі',
	'wikieditor-toolbar-tool-xlink' => 'Спасылка ў Сеціва (памятайце пра прэфікс http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com назва спасылкі',
	'wikieditor-toolbar-tool-link' => 'Спасылка',
	'wikieditor-toolbar-tool-link-title' => 'Уставіць спасылку',
	'wikieditor-toolbar-tool-link-int' => 'На вікі-старонку',
	'wikieditor-toolbar-tool-link-int-target' => 'Мэтавая старонка або URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Назва старонкі або URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Тэкст для паказу:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Упішыце тэкст, які будзе паказаны',
	'wikieditor-toolbar-tool-link-ext' => 'На старонку ў Сеціве',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL спасылкі:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Тэкст спасылкі:',
	'wikieditor-toolbar-tool-link-insert' => 'Уставіць спасылку',
	'wikieditor-toolbar-tool-link-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Старонка існуе',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Старонкі не існуе',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Няслушная назва',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Спасылка ў Сеціва',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Праверка наяўнасці старонкі...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Упісаная няслушная назва.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Устаўлены URL, падобны да спасылкі на іншую вікі-старонку.
Зрабіць спасылку ўнутранай?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Унутраная спасылка',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Спасылка ў Сеціва',
	'wikieditor-toolbar-tool-link-empty' => 'Вы не ўставілі адрас спасылкі.',
	'wikieditor-toolbar-tool-file' => 'Файл у тэксце',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Зноска',
	'wikieditor-toolbar-tool-reference-example' => 'Упішыце сюды тэкст зноскі',
	'wikieditor-toolbar-tool-reference-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-reference-title' => 'Уставіць зноску',
	'wikieditor-toolbar-tool-reference-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-reference-text' => 'Тэкст зноскі',
	'wikieditor-toolbar-tool-signature' => 'Ваш подпіс і адзначаны час',
	'wikieditor-toolbar-section-advanced' => 'Дадаткова',
	'wikieditor-toolbar-tool-heading' => 'Загаловак',
	'wikieditor-toolbar-tool-heading-1' => 'Узровень 1',
	'wikieditor-toolbar-tool-heading-2' => 'Узровень 2',
	'wikieditor-toolbar-tool-heading-3' => 'Узровень 3',
	'wikieditor-toolbar-tool-heading-4' => 'Узровень 4',
	'wikieditor-toolbar-tool-heading-5' => 'Узровень 5',
	'wikieditor-toolbar-tool-heading-example' => 'Тэкст загалоўка',
	'wikieditor-toolbar-group-format' => 'Фармат',
	'wikieditor-toolbar-tool-ulist' => 'Маркіраваны пералік',
	'wikieditor-toolbar-tool-ulist-example' => 'Элемент маркіраванага пераліку',
	'wikieditor-toolbar-tool-olist' => 'Нумараваны пералік',
	'wikieditor-toolbar-tool-olist-example' => 'Элемент нумараванага пераліку',
	'wikieditor-toolbar-tool-indent' => 'Водступ',
	'wikieditor-toolbar-tool-indent-example' => 'Радок з водступам',
	'wikieditor-toolbar-tool-nowiki' => 'Без вікі-фарматавання',
	'wikieditor-toolbar-tool-nowiki-example' => 'Устаўце сюды нефарматаваны тэкст',
	'wikieditor-toolbar-tool-redirect' => 'Redirect',
	'wikieditor-toolbar-tool-redirect-example' => 'Назва мэтавай старонкі',
	'wikieditor-toolbar-tool-big' => 'Буйны',
	'wikieditor-toolbar-tool-big-example' => 'Буйны тэкст',
	'wikieditor-toolbar-tool-small' => 'Дробны',
	'wikieditor-toolbar-tool-small-example' => 'Дробны тэкст',
	'wikieditor-toolbar-tool-superscript' => 'Верхні індэкс',
	'wikieditor-toolbar-tool-superscript-example' => 'Надрадковы тэкст',
	'wikieditor-toolbar-tool-subscript' => 'Ніжні індэкс',
	'wikieditor-toolbar-tool-subscript-example' => 'Падрадковы тэкст',
	'wikieditor-toolbar-group-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-gallery' => 'Галерэя выяў',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Апісанне1
$1:Example.jpg|Апісанне2',
	'wikieditor-toolbar-tool-newline' => 'Новы радок',
	'wikieditor-toolbar-tool-table' => 'Табліца',
	'wikieditor-toolbar-tool-table-example-old' => '-
 ! загаловак 1
 ! загаловак 2
 ! загаловак 3
 | -
 | радок 1, ячэйка 1
 | радок 1, ячэйка 2
 | радок 1, ячэйка 3
 | -
 | радок 2, ячэйка 1
 | радок 2, ячэйка 2
 | радок 2, ячэйка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Тэкст ячэйкі',
	'wikieditor-toolbar-tool-table-example-header' => 'Тэкст загалоўка',
	'wikieditor-toolbar-tool-table-title' => 'Уставіць табліцу',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Радкоў',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Слупкоў',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Дадаць радок загалоўка',
	'wikieditor-toolbar-tool-table-wikitable' => 'Стыль з граніцамі',
	'wikieditor-toolbar-tool-table-sortable' => 'Дадаць магчымасць сартавання',
	'wikieditor-toolbar-tool-table-example' => 'Тэкст ячэйкі',
	'wikieditor-toolbar-tool-table-preview' => 'Перадпаказ',
	'wikieditor-toolbar-tool-table-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-table-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-table-toomany' => 'Устаўка табліцы больш чым з $ 1 {{PLURAL:$1|ячэйкай|ячэйкамі|ячэйкамі}} не магчыма праз гэты дыялог.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Вы не ўвялі слушную колькасць радкоў або слупкоў.',
	'wikieditor-toolbar-tool-table-zero' => 'Вы не можаце ўставіць табліцу з нулявой колькасцю радкоў або слупкоў.',
	'wikieditor-toolbar-tool-replace' => 'Знайсці і замяніць',
	'wikieditor-toolbar-tool-replace-title' => 'Пошук і замена',
	'wikieditor-toolbar-tool-replace-search' => 'Знайсці:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замяніць на:',
	'wikieditor-toolbar-tool-replace-case' => 'З улікам рэгістру',
	'wikieditor-toolbar-tool-replace-regex' => 'Лічыць радок пошуку рэгулярным выразам',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Знайсці наступнае',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замяніць усе',
	'wikieditor-toolbar-tool-replace-close' => 'Закрыць',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ваш пошук нічога не даў.',
	'wikieditor-toolbar-tool-replace-success' => 'Зроблена $1 замен.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Вы не далі чаго шукаць.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Вы далі няверны рэгулярны выраз: $1',
	'wikieditor-toolbar-section-characters' => 'Спецыяльныя сімвалы',
	'wikieditor-toolbar-characters-page-latin' => 'Лацінскія',
	'wikieditor-toolbar-characters-page-latinextended' => 'Лацінскія дадатковыя',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Сімвалы',
	'wikieditor-toolbar-characters-page-greek' => 'Грэчаскія',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кірылічныя',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабскія',
	'wikieditor-toolbar-characters-page-persian' => 'Персідскія',
	'wikieditor-toolbar-characters-page-hebrew' => 'Іўрыт',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгальскія',
	'wikieditor-toolbar-characters-page-telugu' => 'Целугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сінгальскія',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджараці',
	'wikieditor-toolbar-characters-page-thai' => 'Тайскія',
	'wikieditor-toolbar-characters-page-lao' => 'Лаоскія',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмерскія',
	'wikieditor-toolbar-section-help' => 'Даведка',
	'wikieditor-toolbar-help-heading-description' => 'Апісанне',
	'wikieditor-toolbar-help-heading-syntax' => 'Што Вы ўпісваеце',
	'wikieditor-toolbar-help-heading-result' => 'Што Вы атрымаеце',
	'wikieditor-toolbar-help-page-format' => 'Фарматаванне',
	'wikieditor-toolbar-help-page-link' => 'Спасылкі',
	'wikieditor-toolbar-help-page-heading' => 'Загалоўкі',
	'wikieditor-toolbar-help-page-list' => 'Пералікі',
	'wikieditor-toolbar-help-page-file' => 'Файлы',
	'wikieditor-toolbar-help-page-reference' => 'Зноскі',
	'wikieditor-toolbar-help-page-discussion' => 'Размовы',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсіў',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсіўны тэкст''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсіўны тэкст</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Цёмны',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Цёмны тэкст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Цёмны тэкст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Цёмны курсіў',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Цёмны курсіўны тэкст'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Цёмны курсіўны тэкст</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Унутраная спасылка',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Назва мэтавай старонкі|Тэкст спасылкі]]<br />[[Назва мэтавай старонкі]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Тэкст спасылкі</a><br /><a href='#'>Назва мэтавай старонкі</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Спасылка ў Сеціва',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Тэкст спасылкі]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Тэкст спасылкі</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Загаловак 2-га ўзроўню',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Тэкст загалоўка ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Тэкст загалоўка</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Загаловак 3-га ўзроўню',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Тэкст загалоўка ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Тэкст загалоўка</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Загаловак 4-га ўзроўню',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Тэкст загалоўка ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Тэкст загалоўка</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Загаловак 5-га ўзроўню',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Тэкст загалоўка =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Тэкст загалоўка</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Маркіраваны пералік',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Элемент пераліка<br /> * Элемент пераліка',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Элемент пераліка</li><li>Элемент пераліка</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Нумараваны пералік',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Элемент пераліка<br /># Элемент пераліка',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Элемент пераліка</li><li>Элемент пераліка</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Файл у тэксце',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Апісанне файла]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Апісанне файла' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Апісанне файла</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Зноска',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Тэкст на старонцы.&lt;ref name="test"&gt;[http://www.example.org Тэкст спасылкі], астатні тэкст зноскі.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Тэкст на старонцы.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Шматразовае карыстанне зноскай',
	'wikieditor-toolbar-help-content-rereference-result' => "Тэкст на старонцы.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Паказаць зноскі',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Тэскт спасылкі</a>, астатні тэкст зноскі.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ваш подпіс і адзначаны час',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Імя ўдзельніка</a> (<a href='#' title='{{#special:mytalk}}'>размовы</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Подпіс',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Імя ўдзельніка</a> (<a href='#' title='{{#special:mytalk}}'>размовы</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Водступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Просты тэкст<br />:Тэкст з водступам<br />::Тэкст з водступам',
	'wikieditor-toolbar-help-content-indent-result' => 'Просты тэкст<dl><dd>Тэкст з водступам<dl><dd>Тэкст з водступам</dd></dl></dd></dl>',
);

/** Belarusian (Taraškievica orthography) (‪Беларуская (тарашкевіца)‬)
 * @author EugeneZelenko
 * @author Jim-by
 * @author Renessaince
 * @author Wizardist
 * @author Zedlik
 */
$messages['be-tarask'] = array(
	'wikieditor' => 'Пашыраны інтэрфэйс рэдагаваньня вікі-тэксту',
	'wikieditor-desc' => 'Дадае пашыраны інтэрфэйс рэдагаваньня вікі-тэксту і шмат модульных магчымасьцяў',
	'wikieditor-wikitext-tab' => 'Вікі-тэкст',
	'wikieditor-loading' => 'Загрузка',
	'wikieditor-preview-preference' => 'Уключыць папярэдні прагляд адзін каля аднаго',
	'wikieditor-preview-tab' => 'Папярэдні прагляд',
	'wikieditor-preview-changes-tab' => 'Зьмены',
	'wikieditor-preview-loading' => 'Загрузка…',
	'wikieditor-previewDialog-preference' => 'Уключыць дыялёг папярэдняга прагляду',
	'wikieditor-previewDialog-tab' => 'Папярэдні прагляд',
	'wikieditor-previewDialog-loading' => 'Загрузка…',
	'wikieditor-publish-preference' => 'Уключыць пакрокавую публікацыю',
	'wikieditor-publish-button-publish' => 'Апублікаваць',
	'wikieditor-publish-button-cancel' => 'Скасаваць',
	'wikieditor-publish-dialog-title' => 'Апублікаваць у {{GRAMMAR:месны|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Апісаньне рэдагаваньняў (коратка апішыце зробленыя Вамі зьмены):',
	'wikieditor-publish-dialog-minor' => 'Дробная праўка',
	'wikieditor-publish-dialog-watch' => 'Назіраць за гэтай старонкай',
	'wikieditor-publish-dialog-publish' => 'Апублікаваць',
	'wikieditor-publish-dialog-goback' => 'Вярнуцца',
	'wikieditor-template-editor-preference' => 'Дазволіць рэдагаваньне шаблёнаў вікі праз формы',
	'wikieditor-template-editor-dialog-title' => 'Рэдагаваць шаблён',
	'wikieditor-template-editor-dialog-submit' => 'Абнавіць',
	'wikieditor-template-editor-dialog-cancel' => 'Скасаваць',
	'wikieditor-templates-preference' => 'Уключыць згортваньне шаблёнаў',
	'wikieditor-toc-preference' => 'Уключыць зьмест з магчымасьцю навігацыі',
	'wikieditor-toc-show' => 'Паказаць зьмест',
	'wikieditor-toc-hide' => 'Схаваць зьмест',
	'wikieditor-toolbar' => 'Панэль інструмэнтаў для рэдагаваньня',
	'wikieditor-toolbar-desc' => 'Панэль інструмэнтаў для рэдагаваньня з палепшанай зручнасьцю',
	'wikieditor-toolbar-preference' => 'Уключыць палепшаную панэль інструмэнтаў для рэдагаваньня',
	'wikieditor-toolbar-dialogs-preference' => 'Дазволіць формы для ўстаўкі спасылак, табліцаў і іншых элемэнтаў',
	'wikieditor-toolbar-hidesig' => 'Схаваць кнопку подпісу са старонак у асноўнай прасторы назваў',
	'wikieditor-toolbar-loading' => 'Загрузка…',
	'wikieditor-toolbar-tool-bold' => 'Тлусты',
	'wikieditor-toolbar-tool-bold-example' => 'Тлусты тэкст',
	'wikieditor-toolbar-tool-italic' => 'Курсіў',
	'wikieditor-toolbar-tool-italic-example' => 'Курсіўны тэкст',
	'wikieditor-toolbar-tool-ilink' => 'Унутраная спасылка',
	'wikieditor-toolbar-tool-ilink-example' => 'Назва спасылкі',
	'wikieditor-toolbar-tool-xlink' => 'Вонкавая спасылка (не забывайцеся пачынаць з http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com назва спасылкі',
	'wikieditor-toolbar-tool-link' => 'Спасылка',
	'wikieditor-toolbar-tool-link-title' => 'Уставіць спасылку',
	'wikieditor-toolbar-tool-link-int' => 'На вікі-старонку',
	'wikieditor-toolbar-tool-link-int-target' => 'Назва старонкі:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Назва старонкі альбо URL-адрас',
	'wikieditor-toolbar-tool-link-int-text' => 'Тэкст спасылкі:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Увядзіце тэкст, які павінен быць паказаны',
	'wikieditor-toolbar-tool-link-ext' => 'На вонкавую ўэб-старонку',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL-адрас спасылкі:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Тэкст спасылкі:',
	'wikieditor-toolbar-tool-link-insert' => 'Уставіць спасылку',
	'wikieditor-toolbar-tool-link-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Старонка існуе',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Старонка не існуе',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Няслушная назва',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Вонкавая спасылка',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Праверка існаваньня старонкі…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Пазначаная няслушная назва.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Пададзены URL-адрас верагодна зьяўляецца спасылкай на іншую вікі-старонку.
Ці жадаеце зрабіць яе ўнутранай спасылкай?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Унутраная спасылка',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Вонкавая спасылка',
	'wikieditor-toolbar-tool-link-empty' => 'Вы не ўвялі адрас спасылкі.',
	'wikieditor-toolbar-tool-file' => 'Укладзены файл',
	'wikieditor-toolbar-tool-file-example' => 'Прыклад.jpg',
	'wikieditor-toolbar-tool-reference' => 'Зноска',
	'wikieditor-toolbar-tool-reference-example' => 'Устаўце сюды тэкст зноскі',
	'wikieditor-toolbar-tool-reference-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-reference-title' => 'Уставіць зноску',
	'wikieditor-toolbar-tool-reference-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-reference-text' => 'Тэкст зноскі',
	'wikieditor-toolbar-tool-signature' => 'Подпіс і час',
	'wikieditor-toolbar-section-advanced' => 'Дадаткова',
	'wikieditor-toolbar-tool-heading' => 'Загаловак',
	'wikieditor-toolbar-tool-heading-1' => 'Узровень 1',
	'wikieditor-toolbar-tool-heading-2' => 'Узровень 2',
	'wikieditor-toolbar-tool-heading-3' => 'Узровень 3',
	'wikieditor-toolbar-tool-heading-4' => 'Узровень 4',
	'wikieditor-toolbar-tool-heading-5' => 'Узровень 5',
	'wikieditor-toolbar-tool-heading-example' => 'Тэкст загалоўку',
	'wikieditor-toolbar-group-format' => 'Фармат',
	'wikieditor-toolbar-tool-ulist' => 'Маркіраваны сьпіс',
	'wikieditor-toolbar-tool-ulist-example' => 'Элемэнт маркіраванага сьпісу',
	'wikieditor-toolbar-tool-olist' => 'Нумараваны сьпіс',
	'wikieditor-toolbar-tool-olist-example' => 'Элемэнт нумараванага сьпісу',
	'wikieditor-toolbar-tool-indent' => 'Водступ',
	'wikieditor-toolbar-tool-indent-example' => 'Радок з водступам',
	'wikieditor-toolbar-tool-nowiki' => 'Ігнараваць вікі-фарматаваньне',
	'wikieditor-toolbar-tool-nowiki-example' => 'Устаўце сюды нефарматаваны тэкст',
	'wikieditor-toolbar-tool-redirect' => 'Перанакіраваньне',
	'wikieditor-toolbar-tool-redirect-example' => 'Назва мэтавай старонкі',
	'wikieditor-toolbar-tool-big' => 'Буйны',
	'wikieditor-toolbar-tool-big-example' => 'Буйны тэкст',
	'wikieditor-toolbar-tool-small' => 'Дробны',
	'wikieditor-toolbar-tool-small-example' => 'Дробны тэкст',
	'wikieditor-toolbar-tool-superscript' => 'Верхні індэкс',
	'wikieditor-toolbar-tool-superscript-example' => 'Надрадковы тэкст',
	'wikieditor-toolbar-tool-subscript' => 'Ніжні індэкс',
	'wikieditor-toolbar-tool-subscript-example' => 'Падрадковы тэкст',
	'wikieditor-toolbar-group-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-gallery' => 'Галерэя выяваў',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Прыклад.jpg|Подпіс1
$1:Прыклад.jpg|Подпіс2',
	'wikieditor-toolbar-tool-newline' => 'Новы радок',
	'wikieditor-toolbar-tool-table' => 'Табліца',
	'wikieditor-toolbar-tool-table-example-old' => '-
! загаловак 1
! загаловак 2
! загаловак 3
|-
| радок 1, ячэйка 1
| радок 1, ячэйка 2
| радок 1, ячэйка 3
|-
| радок 2, ячэйка 1
| радок 2, ячэйка 2
| радок 2, ячэйка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Тэкст у ячэйцы',
	'wikieditor-toolbar-tool-table-example-header' => 'Тэкст загалоўку',
	'wikieditor-toolbar-tool-table-title' => 'Уставіць табліцу',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Радкоў',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Слупкоў',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Дадаць радок загалоўку',
	'wikieditor-toolbar-tool-table-wikitable' => 'Стыль зь межамі',
	'wikieditor-toolbar-tool-table-sortable' => 'Дадаць магчымасьць сартаваньня',
	'wikieditor-toolbar-tool-table-example' => 'Тэкст у ячэйцы',
	'wikieditor-toolbar-tool-table-preview' => 'Папярэдні прагляд',
	'wikieditor-toolbar-tool-table-insert' => 'Уставіць',
	'wikieditor-toolbar-tool-table-cancel' => 'Закрыць',
	'wikieditor-toolbar-tool-table-toomany' => 'Гэтая форма ня можа ўставіць табліцу, якая ўтрымлівае больш за $1 {{PLURAL:$1|ячэйку|ячэйкі|ячэек}}.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Вы не ўвялі слушную колькасьць радкоў ці слупкоў.',
	'wikieditor-toolbar-tool-table-zero' => 'Вы ня можаце ўставіць табліцу з нулявой колькасьцю радкоў ці слупкоў.',
	'wikieditor-toolbar-tool-replace' => 'Знайсьці і замяніць',
	'wikieditor-toolbar-tool-replace-title' => 'Пошук і замена',
	'wikieditor-toolbar-tool-replace-search' => 'Шукаць:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замяніць на:',
	'wikieditor-toolbar-tool-replace-case' => 'Улічваць рэгістар літар',
	'wikieditor-toolbar-tool-replace-regex' => 'Лічыць радок пошуку рэгулярным выразам',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Працягваць пошук',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Замяніць',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замяніць усё',
	'wikieditor-toolbar-tool-replace-close' => 'Закрыць',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Па Вашым запыце нічога ня знойдзена.',
	'wikieditor-toolbar-tool-replace-success' => 'Зроблена заменаў: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Вы не ўвялі нічога для пошуку.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Уведзены Вамі рэгулярны выраз зьяўляецца няслушным: $1',
	'wikieditor-toolbar-section-characters' => 'Спэцыяльныя сымбалі',
	'wikieditor-toolbar-characters-page-latin' => 'Лацінскія',
	'wikieditor-toolbar-characters-page-latinextended' => 'Лацінскія дадатковыя',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Сымбалі',
	'wikieditor-toolbar-characters-page-greek' => 'Грэцкія',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кірылічныя',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабскія',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Арабскія пашыраныя',
	'wikieditor-toolbar-characters-page-persian' => 'Пэрсыдзкія',
	'wikieditor-toolbar-characters-page-hebrew' => 'Іўрыт',
	'wikieditor-toolbar-characters-page-bangla' => 'Бэнгальскія',
	'wikieditor-toolbar-characters-page-telugu' => 'Тэлугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сынгальскія',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджараці',
	'wikieditor-toolbar-characters-page-thai' => 'Тайскія',
	'wikieditor-toolbar-characters-page-lao' => 'Лаоскія',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмэрскія',
	'wikieditor-toolbar-section-help' => 'Дапамога',
	'wikieditor-toolbar-help-heading-description' => 'Апісаньне',
	'wikieditor-toolbar-help-heading-syntax' => 'Што Вы ўводзіце',
	'wikieditor-toolbar-help-heading-result' => 'Што Вы атрымаеце',
	'wikieditor-toolbar-help-page-format' => 'Фарматаваньне',
	'wikieditor-toolbar-help-page-link' => 'Спасылкі',
	'wikieditor-toolbar-help-page-heading' => 'Загалоўкі',
	'wikieditor-toolbar-help-page-list' => 'Сьпісы',
	'wikieditor-toolbar-help-page-file' => 'Файлы',
	'wikieditor-toolbar-help-page-reference' => 'Зноскі',
	'wikieditor-toolbar-help-page-discussion' => 'Абмеркаваньне',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсіў',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсіўны тэкст''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсіўны тэкст</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Тлусты',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Тлусты тэкст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Тлусты тэкст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Тлусты курсіў',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Тлусты курсіўны тэкст'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Тлусты курсіўны тэкст</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Унутраная спасылка',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Назва старонкі|Метка спасылкі]]<br />[[Назва старонкі]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Тэкст спасылкі</a><br /><a href='#'>Назва старонкі</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Вонкавая спасылка',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Тэкст спасылкі]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Метка спасылкі</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Загаловак 2-га ўзроўню',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Тэкст загалоўку ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Тэкст загалоўку</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Загаловак 3-га ўзроўню',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Тэкст загалоўку ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Тэкст загалоўку</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Загаловак 4-га ўзроўню',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Тэкст загалоўку ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Тэкст загалоўку</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Загаловак 5-га ўзроўню',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Тэкст загалоўку =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Тэкст загалоўку</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Маркіраваны сьпіс',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Элемэнт сьпісу<br />* Элемэнт сьпісу',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Элемэнт сьпісу</li><li>Элемэнт сьпісу</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Нумараваны сьпіс',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Элемэнт сьпісу<br /># Элемэнт сьпісу',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Элемэнт сьпісу</li><li>Элемэнт сьпісу</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Укладзены файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Прыклад.png|thumb|Тэкст подпісу]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Тэкст подпісу' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Тэкст подпісу</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Зноска',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Тэкст старонкі.&lt;ref name="test"&gt;[http://www.example.org Тэкст спасылкі], дадатковы тэкст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Тэкст старонкі.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Паўторнае выкарыстаньне той жа зноскі',
	'wikieditor-toolbar-help-content-rereference-result' => "Тэкст старонкі.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Паказваць зноскі',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Тэкст спасылкі</a>, дадатковы тэкст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Подпіс і час',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Імя ўдзельніка</a> (<a href='#' title='{{#special:mytalk}}'>гутаркі</a>) 15:54, 10 чэрвеня 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Подпіс',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Імя ўдзельніка</a> (<a href='#' title='{{#special:mytalk}}'>гутаркі</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Водступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Звычайны тэкст<br />:Тэкст з водступам<br />::Тэкст з водступам',
	'wikieditor-toolbar-help-content-indent-result' => 'Звычайны тэкст<dl><dd>Тэкст з водступам<dl><dd>Тэкст з водступам</dd></dl></dd></dl>',
);

/** Bulgarian (Български)
 * @author DCLXVI
 * @author McDutchie
 * @author Spiritia
 * @author Turin
 */
$messages['bg'] = array(
	'wikieditor' => 'Подобрен интерфейс за редактиране на уикитекст',
	'wikieditor-desc' => 'Предлага разширяем интерфейс за редактиране на уикитекст и множество модули с допълнителни функционалности',
	'wikieditor-wikitext-tab' => 'Уикитекст',
	'wikieditor-loading' => 'Зареждане',
	'wikieditor-preview-tab' => 'Предварителен преглед',
	'wikieditor-preview-changes-tab' => 'Промени',
	'wikieditor-preview-loading' => 'Зареждане...',
	'wikieditor-previewDialog-tab' => 'Предварителен преглед',
	'wikieditor-previewDialog-loading' => 'Зареждане...',
	'wikieditor-publish-preference' => 'Включване на публикуване стъпка по стъпка',
	'wikieditor-publish-button-publish' => 'Публикуване',
	'wikieditor-publish-button-cancel' => 'Отказване',
	'wikieditor-publish-dialog-title' => 'Публикуване в {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Резюме на редакцията (кратко описание на текущо направените промени):',
	'wikieditor-publish-dialog-minor' => 'Малка промяна',
	'wikieditor-publish-dialog-watch' => 'Наблюдаване на страницата',
	'wikieditor-publish-dialog-publish' => 'Публикуване',
	'wikieditor-publish-dialog-goback' => 'Връщане',
	'wikieditor-template-editor-preference' => 'Разрешено редактирането на уикишаблони чрез формуляр',
	'wikieditor-template-editor-dialog-title' => 'Редактиране на шаблона',
	'wikieditor-template-editor-dialog-submit' => 'Обновяване',
	'wikieditor-template-editor-dialog-cancel' => 'Отказване',
	'wikieditor-toc-preference' => 'Разрешена навигируема таблица на съдържанието',
	'wikieditor-toc-show' => 'Показване на съдържанието',
	'wikieditor-toc-hide' => 'Скриване на съдържанието',
	'wikieditor-toolbar' => 'Лента за редактиране',
	'wikieditor-toolbar-desc' => 'Лента за редактиране с подобрени възможности за използваемост',
	'wikieditor-toolbar-preference' => 'Включване на разширената лента с инструменти',
	'wikieditor-toolbar-dialogs-preference' => 'Включване на инструменти за вмъкване на препратки, таблици и други',
	'wikieditor-toolbar-hidesig' => 'Скриване на бутона за подпис за страници от основното именно пространство',
	'wikieditor-toolbar-loading' => 'Зареждане...',
	'wikieditor-toolbar-tool-bold' => 'Получер (удебелен) текст',
	'wikieditor-toolbar-tool-bold-example' => 'Получер текст',
	'wikieditor-toolbar-tool-italic' => 'Курсивен (наклонен) текст',
	'wikieditor-toolbar-tool-italic-example' => 'Курсивен текст',
	'wikieditor-toolbar-tool-ilink' => 'Вътрешна препратка',
	'wikieditor-toolbar-tool-ilink-example' => 'Заглавие на препратката',
	'wikieditor-toolbar-tool-xlink' => 'Външна препратка (не забравяйте http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Текст на препратката',
	'wikieditor-toolbar-tool-link' => 'Препратка',
	'wikieditor-toolbar-tool-link-title' => 'Вмъкване на препратка',
	'wikieditor-toolbar-tool-link-int' => 'Към уики-страница',
	'wikieditor-toolbar-tool-link-int-target' => 'Страница или URL за свързване:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Име на страницата или URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Показван текст:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Въведете текста, който да се показва',
	'wikieditor-toolbar-tool-link-ext' => 'Към външна уеб-страница',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL-адрес на препратката:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст на препратката:',
	'wikieditor-toolbar-tool-link-insert' => 'Вмъкване на препратка',
	'wikieditor-toolbar-tool-link-cancel' => 'Отказване',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Страницата съществува',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Страницата не съществува',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Невалидно заглавие',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Външна препратка',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Проверка дали страницата съществува...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Зададеното заглавие е недопустимо.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL-адресът, който сте задали, изглежда като връзка към друга уики-страница.
Искате ли препратката да бъде вътрешна?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Вътрешна препратка',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Външна препратка',
	'wikieditor-toolbar-tool-link-empty' => 'Не сте въвели адрес на препратката.',
	'wikieditor-toolbar-tool-file' => 'Вграден файл',
	'wikieditor-toolbar-tool-file-example' => 'Пример.jpg',
	'wikieditor-toolbar-tool-reference' => 'Източник (бележка под линия)',
	'wikieditor-toolbar-tool-reference-example' => 'Въведете тук текст на бележка под линия',
	'wikieditor-toolbar-tool-reference-cancel' => 'Отказване',
	'wikieditor-toolbar-tool-reference-title' => 'Вмъкване на източник (бележка под линия)',
	'wikieditor-toolbar-tool-reference-insert' => 'Вмъкване',
	'wikieditor-toolbar-tool-reference-text' => 'Текст на източника (бележката под линия)',
	'wikieditor-toolbar-tool-signature' => 'Подпис, дата и час',
	'wikieditor-toolbar-section-advanced' => 'Допълнително',
	'wikieditor-toolbar-tool-heading' => 'Заглавие',
	'wikieditor-toolbar-tool-heading-1' => 'Ниво 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ниво 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ниво 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ниво 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ниво 5',
	'wikieditor-toolbar-tool-heading-example' => 'Текст на заглавието',
	'wikieditor-toolbar-group-format' => 'Оформление',
	'wikieditor-toolbar-tool-ulist' => 'Точкуван списък',
	'wikieditor-toolbar-tool-ulist-example' => 'Елемент от точкуван списък',
	'wikieditor-toolbar-tool-olist' => 'Номериран списък',
	'wikieditor-toolbar-tool-olist-example' => 'Елемент от номериран списък',
	'wikieditor-toolbar-tool-indent' => 'Отстъп',
	'wikieditor-toolbar-tool-indent-example' => 'Ред с отстъп',
	'wikieditor-toolbar-tool-nowiki' => 'Пренебрегване на форматиращите команди',
	'wikieditor-toolbar-tool-nowiki-example' => 'Тук въведете текст',
	'wikieditor-toolbar-tool-redirect' => 'Пренасочваща страница',
	'wikieditor-toolbar-tool-redirect-example' => 'Целева страница',
	'wikieditor-toolbar-tool-big' => 'Голям',
	'wikieditor-toolbar-tool-big-example' => 'Голям текст',
	'wikieditor-toolbar-tool-small' => 'Малък',
	'wikieditor-toolbar-tool-small-example' => 'Малък текст',
	'wikieditor-toolbar-tool-superscript' => 'Горен индекс',
	'wikieditor-toolbar-tool-superscript-example' => 'Текст в горен индекс',
	'wikieditor-toolbar-tool-subscript' => 'Долен индекс',
	'wikieditor-toolbar-tool-subscript-example' => 'Текст в долен индекс',
	'wikieditor-toolbar-group-insert' => 'Вмъкване',
	'wikieditor-toolbar-tool-gallery' => 'Галерия',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Описание1
$1:Example.jpg|Описание2',
	'wikieditor-toolbar-tool-newline' => 'Нов ред',
	'wikieditor-toolbar-tool-table' => 'Таблица',
	'wikieditor-toolbar-tool-table-example-old' => '-
! колона 1
! колона 2
! колона 3
|-
| ред 1, клетка 1
| ред 1, клетка 2
| ред 1, клетка 3
|-
| ред 2, клетка 1
| ред 2, клетка 2
| ред 2, клетка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст в клетката',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст на заглавието',
	'wikieditor-toolbar-tool-table-title' => 'Вмъкване на таблица',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Редове',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Колони',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Добавяне на заглавен ред',
	'wikieditor-toolbar-tool-table-wikitable' => 'Изглед с рамки',
	'wikieditor-toolbar-tool-table-sortable' => 'Сортируема таблица',
	'wikieditor-toolbar-tool-table-example' => 'Пример',
	'wikieditor-toolbar-tool-table-preview' => 'Предварителен преглед',
	'wikieditor-toolbar-tool-table-insert' => 'Вмъкване',
	'wikieditor-toolbar-tool-table-cancel' => 'Отказване',
	'wikieditor-toolbar-tool-table-toomany' => 'През този диалогов режим не може да се вмъкне таблица с повече от $1 клетки.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Не сте въвели валидно число за броя редове или стълбове.',
	'wikieditor-toolbar-tool-table-zero' => 'Не можете да вмъкнете таблица с нула на брой редове или стълбове.',
	'wikieditor-toolbar-tool-replace' => 'Търсене и замяна',
	'wikieditor-toolbar-tool-replace-title' => 'Търсене и замяна',
	'wikieditor-toolbar-tool-replace-search' => 'Търсене на:',
	'wikieditor-toolbar-tool-replace-replace' => 'Заместване с:',
	'wikieditor-toolbar-tool-replace-case' => 'Чувствителност към регистъра',
	'wikieditor-toolbar-tool-replace-regex' => 'Третиране на низа за търсене като регулярен израз',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Търсене на следващо',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замяна на всички',
	'wikieditor-toolbar-tool-replace-close' => 'Затваряне',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Нямаше резултати, които да отговарят на вашето търсене.',
	'wikieditor-toolbar-tool-replace-success' => '{{PLURAL:$1|Направена е|Направени са}} $1 {{PLURAL:$1|замяна|замени}}.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Не сте въвели низ за търсене.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Въведеният от вас регулярен израз е невалиден: $1',
	'wikieditor-toolbar-section-characters' => 'Специални символи',
	'wikieditor-toolbar-characters-page-latin' => 'Латиница',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латиница – разширена',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Символи',
	'wikieditor-toolbar-characters-page-greek' => 'Гръцки',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кирилица',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабски',
	'wikieditor-toolbar-characters-page-persian' => 'персийски',
	'wikieditor-toolbar-characters-page-hebrew' => 'Иврит',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгалски',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Синхалски',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджарати',
	'wikieditor-toolbar-characters-page-thai' => 'тайландски',
	'wikieditor-toolbar-characters-page-khmer' => 'кхмерски',
	'wikieditor-toolbar-section-help' => 'Помощ',
	'wikieditor-toolbar-help-heading-description' => 'Описание',
	'wikieditor-toolbar-help-heading-syntax' => 'В режим на редактиране',
	'wikieditor-toolbar-help-heading-result' => 'В режим на четене',
	'wikieditor-toolbar-help-page-format' => 'Форматиране',
	'wikieditor-toolbar-help-page-link' => 'Препратки',
	'wikieditor-toolbar-help-page-heading' => 'Заглавия',
	'wikieditor-toolbar-help-page-list' => 'Списъци',
	'wikieditor-toolbar-help-page-file' => 'Файлове',
	'wikieditor-toolbar-help-page-reference' => 'Източници',
	'wikieditor-toolbar-help-page-discussion' => 'Беседа',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсив',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсивен текст''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсивен текст</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Получер',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Получер текст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Получер текст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Получер курсив',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Получер курсив'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Получер курсив</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Вътрешна препратка',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Заглавие на страницата|Текст на препратката]]<br />[[Заглавие на страницата]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Текст на препратката</a><br /><a href='#'>Заглавие на страницата</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Външна препратка',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Текст на препратката]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Текст на препратката</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Заглавие от второ ниво',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Текст на заглавието ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Текст на заглавието</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Заглавие от трето ниво',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Текст на заглавието ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Текст на заглавието</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Заглавие от четвърто ниво',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Текст на заглавието ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Текст на заглавието</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Заглавие от пето ниво',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Текст на заглавието =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Текст на заглавието</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Точкуван списък',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Елемент от списъка<br />* Елемент от списъка',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Елемент от списъка</li><li>Елемент от списъка</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Номериран списък',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Елемент от списъка<br /># Елемент от списъка',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Елемент от списъка</li><li>Елемент от списъка</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Вграден файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Текст под картинката]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Текст под картинката' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Уголемяване' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Текст под картинката</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Източник',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст на страницата.&lt;ref name="test"&gt;[http://www.example.org Текст на външната препратка], допълнителен текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Текст на страницата.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Множествена употреба на един и същ източник',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст на страницата.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Извеждане на източниците',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Текст на външната препратка</a>, допълнителен текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Подпис с дата и час',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Потребителско име</a> (<a href='#' title='{{#special:mytalk}}'>беседа</a>) 15:54, 10 юни 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Подпис',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Потребителско име</a> (<a href='#' title='{{#special:mytalk}}'>беседа</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Отстъп',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Текст без отстъп<br />:Текст с единичен отстъп<br />::Текст с двоен отстъп',
	'wikieditor-toolbar-help-content-indent-result' => 'Текст без отстъп<dl><dd>Текст с единичен отстъп<dl><dd>Текст с двоен отстъп</dd></dl></dd></dl>',
);

/** Banjar (Bahasa Banjar)
 * @author Ezagren
 * @author J Subhi
 */
$messages['bjn'] = array(
	'wikieditor-wikitext-tab' => 'NaskahWiki',
	'wikieditor-loading' => 'Mamuat',
	'wikieditor-preview-tab' => 'Tilik',
	'wikieditor-preview-changes-tab' => 'Parubahan',
	'wikieditor-preview-loading' => "Ma'unggah...",
	'wikieditor-previewDialog-tab' => 'Tilik',
	'wikieditor-publish-button-cancel' => 'Walangi',
	'wikieditor-publish-dialog-minor' => 'Babakan sapalih',
	'wikieditor-publish-dialog-watch' => 'Itihi tungkaran ini',
	'wikieditor-publish-dialog-goback' => 'Bulik',
	'wikieditor-template-editor-preference' => 'Aktipakan pambabakan babasis form matan citakan wiki',
	'wikieditor-template-editor-dialog-title' => 'Babak citakan',
	'wikieditor-template-editor-dialog-submit' => 'Hanyarakan',
	'wikieditor-template-editor-dialog-cancel' => 'Walangi',
	'wikieditor-templates-preference' => 'Aktipakan gawian manuhup citakan',
	'wikieditor-toc-preference' => 'Daptar isi nang hingkat dinapigasi',
	'wikieditor-toc-show' => 'Tampaiakan isi',
	'wikieditor-toc-hide' => 'Sungkupakan isi',
	'wikieditor-toolbar' => 'Kukuar pakakas mambabak',
	'wikieditor-toolbar-tool-bold' => 'Kandal',
	'wikieditor-toolbar-tool-bold-example' => 'Naskah kandal',
	'wikieditor-toolbar-tool-italic' => 'Hiring',
	'wikieditor-toolbar-tool-italic-example' => 'Naskah hiring',
	'wikieditor-toolbar-tool-ilink' => 'Tautan dalam',
	'wikieditor-toolbar-tool-ilink-example' => 'Judul tautan',
	'wikieditor-toolbar-tool-xlink' => 'Tautan luar (Ingatakan bamula wan http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.cuntuh.com judul tautan',
	'wikieditor-toolbar-tool-link' => 'Tautan',
	'wikieditor-toolbar-tool-link-title' => 'Buati tautan',
	'wikieditor-toolbar-tool-link-int' => 'Ka sabuah tungkaran wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tungkaran nang dituju atawa URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Judul tungkaran atawa URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Naskah gasan tampilan:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Naskah gasan ditampilakan',
	'wikieditor-toolbar-tool-link-ext' => 'Ka sabuah tungkaran web luar',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL tautan:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Naskah tautan:',
	'wikieditor-toolbar-tool-link-insert' => 'Buati tautan',
	'wikieditor-toolbar-tool-link-cancel' => 'Walangi',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Tungkaran sudah ada',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Tungkaran kadada',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Judul kada sah',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Tautan luar',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Tukui adakah tungkaran...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Judul nang Pian bari kada sah.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL nang Pian bariakan tampaknya marupakan tautan ka tungkaran wiki lain.
Apakah Pian handak maulahnya manjadi tautan internal?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Tautan dalam',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Tautan luar',
	'wikieditor-toolbar-tool-link-empty' => 'Pian kada mambuati apa pun ka tautan.',
	'wikieditor-toolbar-tool-file' => 'Maktub-akan barakas',
	'wikieditor-toolbar-tool-file-example' => 'Cuntuh.jpg',
	'wikieditor-toolbar-tool-reference' => 'Rujukan',
	'wikieditor-toolbar-tool-reference-example' => 'Buati naskah catatan batis di sia',
	'wikieditor-toolbar-tool-reference-cancel' => 'Walangi',
	'wikieditor-toolbar-tool-reference-title' => 'Masukakan rujukan',
	'wikieditor-toolbar-tool-reference-insert' => 'Masukakan',
	'wikieditor-toolbar-tool-reference-text' => 'Naskah rujukan',
	'wikieditor-toolbar-tool-signature' => 'Tandatangan wan waktu',
	'wikieditor-toolbar-section-advanced' => 'Lanjutan',
	'wikieditor-toolbar-tool-heading' => 'Judul',
	'wikieditor-toolbar-tool-heading-1' => 'Tingkat 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tingkat 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tingkat 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tingkat 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tingkat 5',
	'wikieditor-toolbar-tool-heading-example' => 'Naskah judul',
	'wikieditor-toolbar-group-format' => 'Bantuk',
	'wikieditor-toolbar-tool-ulist' => 'Daptar bapiluru',
	'wikieditor-toolbar-tool-ulist-example' => 'Baris isi',
	'wikieditor-toolbar-tool-olist' => 'Daptar banumur',
	'wikieditor-toolbar-tool-olist-example' => 'Baris isi',
	'wikieditor-toolbar-tool-indent' => 'Pilukan',
	'wikieditor-toolbar-tool-indent-example' => 'Baris tapiluk',
	'wikieditor-toolbar-tool-nowiki' => 'Kadada pambantukan wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Masukakan naskah kada babantuk di sia',
	'wikieditor-toolbar-tool-redirect' => 'Paugahan',
	'wikieditor-toolbar-tool-redirect-example' => 'Ngaran tungkaran tujuan',
	'wikieditor-toolbar-tool-big' => 'Ganal',
	'wikieditor-toolbar-tool-big-example' => 'Naskah ganal',
	'wikieditor-toolbar-tool-small' => 'Halus',
	'wikieditor-toolbar-tool-small-example' => 'Naskah halus',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Naskah superscript',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Naskah subscript',
	'wikieditor-toolbar-group-insert' => 'Masukakan',
	'wikieditor-toolbar-tool-gallery' => 'Ruang gambar',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Cuntuh.jpg|Judul1
$1:Cuntuh.jpg|Judul2',
	'wikieditor-toolbar-tool-newline' => 'Baris hanyar',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '	-
! judul hapat 1
! judul hapat 2
! judul hapat 3
|-
| baris 1, sel 1
| baris 1, sel 2
| baris 1, sel 3
|-
| baris 2, sel 1
| baris 2, sel 2
| baris 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Naskah sel',
	'wikieditor-toolbar-tool-table-example-header' => 'Naskah judul',
	'wikieditor-toolbar-tool-table-title' => 'Buati tabel',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Baris',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolom',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Tambahakan baris',
	'wikieditor-toolbar-tool-table-wikitable' => 'Gaya awan babatasan',
	'wikieditor-toolbar-tool-table-sortable' => 'Ulah tabel baurutan',
	'wikieditor-toolbar-tool-table-example' => 'Cuntuh',
	'wikieditor-toolbar-tool-table-preview' => 'Tilik',
	'wikieditor-toolbar-tool-table-insert' => 'Masukakan',
	'wikieditor-toolbar-tool-table-cancel' => 'Walangi',
	'wikieditor-toolbar-tool-replace' => 'Gagai wan gantiakan',
	'wikieditor-toolbar-tool-replace-title' => 'Gagai wan gantiakan',
	'wikieditor-toolbar-tool-replace-search' => 'Gagai:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ganti lawan:',
	'wikieditor-toolbar-tool-replace-case' => 'Rasukakan abjad ganal/halus',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Gagai dudinya',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ganti samunyaan',
	'wikieditor-toolbar-tool-replace-close' => 'Tuhup',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Panggagaian Pian kadada ruhuinya.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Pian kada mambuatakan apa pun gasan di panggagaian',
	'wikieditor-toolbar-section-characters' => 'Karakter istimiwa',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbul',
	'wikieditor-toolbar-characters-page-greek' => 'Yunani',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Sirilik',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-persian' => 'Parsia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ibrani',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Patulung',
	'wikieditor-toolbar-help-heading-description' => 'Katarangan',
	'wikieditor-toolbar-help-heading-syntax' => 'Apa nang Pian katik',
	'wikieditor-toolbar-help-heading-result' => 'Apa nang Pian kulihi',
	'wikieditor-toolbar-help-page-format' => 'Pambantukan',
	'wikieditor-toolbar-help-page-link' => 'Tautan',
	'wikieditor-toolbar-help-page-heading' => 'Judul',
	'wikieditor-toolbar-help-page-list' => 'Daptar',
	'wikieditor-toolbar-help-page-file' => 'Barakas',
	'wikieditor-toolbar-help-page-reference' => 'Rujukan',
	'wikieditor-toolbar-help-page-discussion' => 'Pamandiran',
	'wikieditor-toolbar-help-content-italic-description' => 'Hiring',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Naskah hiring''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Naskah hiring</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Kandal',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Naskah kandal'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Naskah kandal</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Kandal &amp; hiring',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Naskah kandal &amp; hiring'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Naskah kandal &amp; hiring</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Tautan dalam',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Judul tungkaran|Judul tautan]]<br />[[Judul tungkaran]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Label tautan</a><br /><a href='#'>Judul tungkaran</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Tautan luar',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.cuntuh.org Label tautan]<br />[http://www.cuntuh.org]<br />http://www.cuntuh.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Label pranala</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.cuntuh.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Judul tingkatan kadua',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Naskah judul==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Naskah judul</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Judul tingkatan katalu',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===Naskah judul===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Naskah judul</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Judul tingkatan kaampat',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Naskah judul ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Naskah judul</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Judul tingkatan kalima',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Naskah judul =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Naskah judul</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Daptar bapiluru',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Isi daptar<br />* Isi daptar',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Isi daptar</li><li>Isi daptar</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Daptar banumur',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Isi daptar<br /># Isi daptar',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Isi daptar</li><li>Isi daptar</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Maktub-akan barakas',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Cuntuh.png|thumb|Naskah judul gambar]]',
	'wikieditor-toolbar-help-content-reference-description' => 'Rujukan',
	'wikieditor-toolbar-help-content-reference-result' => "Naskah tungkaran.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-result' => "Naskah tungkaran.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Manampaiakan rujukan',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Tandatangan lawan waktu',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ngaran pamuruk</a> (<a href='#' title='{{#special:mytalk}}'>pandir</a>) 15:54, 10 Juni 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tandatangan',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ngaran pamuruk</a> (<a href='#' title='{{#special:mytalk}}'>pandir</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Inden',
);

/** Bengali (বাংলা)
 * @author Bellayet
 * @author Wikitanvir
 */
$messages['bn'] = array(
	'wikieditor' => 'উন্নত উইকিটেক্সট সম্পাদনা ইন্টারফেস',
	'wikieditor-wikitext-tab' => 'উইকিটেক্সট',
	'wikieditor-loading' => 'আনা হচ্ছে',
	'wikieditor-preview-preference' => 'পাশাপাশি প্রাকদর্শন সক্রিয় করো',
	'wikieditor-preview-tab' => 'প্রাকদর্শন',
	'wikieditor-preview-changes-tab' => 'পরিবর্তনসমূহ',
	'wikieditor-preview-loading' => 'লোডিং...',
	'wikieditor-previewDialog-tab' => 'প্রাকদর্শন',
	'wikieditor-previewDialog-loading' => 'লোডিং...',
	'wikieditor-publish-preference' => 'ধাপে ধাপে প্রকাশ করা সক্রিয় করো',
	'wikieditor-publish-button-publish' => 'প্রকাশ করো',
	'wikieditor-publish-button-cancel' => 'বাতিল',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} এ প্রকাশ করো',
	'wikieditor-publish-dialog-summary' => 'সম্পাদনা সারাংশ (আপনি কি পরিবর্তন করেছেন তা অল্প কথায় লিখুন):',
	'wikieditor-publish-dialog-minor' => 'অনুল্লেখ্য সম্পাদনা',
	'wikieditor-publish-dialog-watch' => 'এই পাতাটি নজরে রাখুন',
	'wikieditor-publish-dialog-publish' => 'প্রকাশ করো',
	'wikieditor-publish-dialog-goback' => 'ফিরে যাও',
	'wikieditor-template-editor-preference' => 'উইকি টেম্পলেটের ফরম ভিত্তিক সম্পাদনা সক্রিয় করো',
	'wikieditor-template-editor-dialog-title' => 'টেম্পলেট সম্পাদনা',
	'wikieditor-template-editor-dialog-submit' => 'হালনাগাদ',
	'wikieditor-template-editor-dialog-cancel' => 'বাতিল',
	'wikieditor-templates-preference' => 'টেম্পলেট ভাঁজ হওয়া সক্রিয়',
	'wikieditor-toc-preference' => 'দিকদর্শী সূচী সক্রিয় করো',
	'wikieditor-toc-show' => 'বিষয়বস্তু দেখাও',
	'wikieditor-toc-hide' => 'বিষয়বস্তু আড়াল করো',
	'wikieditor-toolbar' => 'সম্পাদনা টুলবার',
	'wikieditor-toolbar-desc' => 'বেশি ব্যবহারযোগ্য সম্পাদনা পাতার টুলবার',
	'wikieditor-toolbar-preference' => 'শক্তিশালী সম্পাদনা টুলবার সক্রিয় করো',
	'wikieditor-toolbar-dialogs-preference' => 'যোগকৃত লিংক, ছক এবং আরও কিছুর জন্য ডায়লগ সক্রিয় করো',
	'wikieditor-toolbar-loading' => 'লোডিং…',
	'wikieditor-toolbar-tool-bold' => 'গাঢ়',
	'wikieditor-toolbar-tool-bold-example' => 'গাঢ় লেখা',
	'wikieditor-toolbar-tool-italic' => 'ইটালিক',
	'wikieditor-toolbar-tool-italic-example' => 'ইটালিক লেখা',
	'wikieditor-toolbar-tool-ilink' => 'আভ্যন্তরীণ সংযোগ',
	'wikieditor-toolbar-tool-ilink-example' => 'সংযোগের শিরোনাম',
	'wikieditor-toolbar-tool-xlink' => 'বহিঃসংযোগ (মনে রাখবেন http:// উপসর্গ থাকবে)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com সংযোগের শিরোনাম',
	'wikieditor-toolbar-tool-link' => 'লিংক',
	'wikieditor-toolbar-tool-link-title' => 'লিংক যোগ করো',
	'wikieditor-toolbar-tool-link-int' => 'কোনো উইকি পাতায়',
	'wikieditor-toolbar-tool-link-int-target' => 'পাতার শিরোনাম:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'পাতার শিরোনাম অথবা ইউআরএল',
	'wikieditor-toolbar-tool-link-int-text' => 'লিংক লেখা:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'যে লেখা দৃশ্যমান হবে',
	'wikieditor-toolbar-tool-link-ext' => 'বহিঃস্থ কোনো ওয়েব পেইজে',
	'wikieditor-toolbar-tool-link-ext-target' => 'লিংক ইউআরএল:',
	'wikieditor-toolbar-tool-link-ext-text' => 'সংযোগ লেখ:',
	'wikieditor-toolbar-tool-link-insert' => 'লিংক যোগ করো',
	'wikieditor-toolbar-tool-link-cancel' => 'বাতিল',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'পাতা রয়েছে',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'কোনো পাতা নাই',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ভুল শিরোনাম',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'বহিঃসংযোগ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'পাতার উপস্থিতি যাচাই...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'আপনার শিরোনামটি ঠিক নয়।',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'যে ইউআরএলটিকে আপনি নির্দেশ করেছেন, তা অন্য একটি উইকির পাতাকে নির্দেশ করছে। আপনি কী এটিকে একটি আন্তসংযোগে পরিবর্তিত করতে চান?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'আন্তঃসংযোগ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'বহিঃসংযোগ',
	'wikieditor-toolbar-tool-link-empty' => 'লিঙ্ক করা জন্য আপনি কোনো কিছু টাইপ করেননি।',
	'wikieditor-toolbar-tool-file' => 'এম্বেডেড ফাইল',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'তথ্যসূত্র',
	'wikieditor-toolbar-tool-reference-example' => 'পাদটীকার লেখা এখানে যোগ করো',
	'wikieditor-toolbar-tool-reference-cancel' => 'বাতিল',
	'wikieditor-toolbar-tool-reference-title' => 'তথ্যসূত্র যোগ',
	'wikieditor-toolbar-tool-reference-insert' => 'যোগ করো',
	'wikieditor-toolbar-tool-reference-text' => 'তথ্যসূত্র লেখা',
	'wikieditor-toolbar-tool-signature' => 'স্বাক্ষর এবং সময়',
	'wikieditor-toolbar-section-advanced' => 'উচ্চপর্যায়ের টুল',
	'wikieditor-toolbar-tool-heading' => 'শিরোনাম',
	'wikieditor-toolbar-tool-heading-1' => 'শিরোনাম ১',
	'wikieditor-toolbar-tool-heading-2' => 'শিরোনাম ২',
	'wikieditor-toolbar-tool-heading-3' => 'শিরোনাম ৩',
	'wikieditor-toolbar-tool-heading-4' => 'শিরোনাম ৪',
	'wikieditor-toolbar-tool-heading-5' => 'শিরোনাম ৫',
	'wikieditor-toolbar-tool-heading-example' => 'শিরোনাম লেখ',
	'wikieditor-toolbar-group-format' => 'ফরম্যাট',
	'wikieditor-toolbar-tool-ulist' => 'বুলেটকৃত তালিকা',
	'wikieditor-toolbar-tool-ulist-example' => 'বুলেটকৃত তালিকা আইটেম',
	'wikieditor-toolbar-tool-olist' => 'সংখ্যায়িত তালিকা',
	'wikieditor-toolbar-tool-olist-example' => 'সংখ্যায়িত তালিকা আইটেম',
	'wikieditor-toolbar-tool-indent' => 'প্রান্তিককরণ',
	'wikieditor-toolbar-tool-indent-example' => 'প্রান্তিককৃত লাইন',
	'wikieditor-toolbar-tool-nowiki' => 'উইকি ফরম্যাটিং উপেক্ষা করা হোক',
	'wikieditor-toolbar-tool-nowiki-example' => 'অ-ফরম্যাটকৃত টেক্সট এখানে লিখুন',
	'wikieditor-toolbar-tool-redirect' => 'পুনঃনির্দেশ',
	'wikieditor-toolbar-tool-redirect-example' => 'লক্ষ পাতার নাম',
	'wikieditor-toolbar-tool-big' => 'বড়',
	'wikieditor-toolbar-tool-big-example' => 'বড় লেখা',
	'wikieditor-toolbar-tool-small' => 'ছোট',
	'wikieditor-toolbar-tool-small-example' => 'ছোট লেখা',
	'wikieditor-toolbar-tool-superscript' => 'সুপারস্ক্রিপ্ট',
	'wikieditor-toolbar-tool-superscript-example' => 'সুপারস্ক্রিপ্ট লেখা',
	'wikieditor-toolbar-tool-subscript' => 'সাবস্ক্রিপ্ট',
	'wikieditor-toolbar-tool-subscript-example' => 'সাবস্ক্রিপ্ট লেখা',
	'wikieditor-toolbar-group-insert' => 'যোগ করো',
	'wikieditor-toolbar-tool-gallery' => 'ছবির গ্যালারী',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|ক্যাপশন১
$1:Example.jpg|ক্যাপশন২',
	'wikieditor-toolbar-tool-newline' => 'নতুন লাইন',
	'wikieditor-toolbar-tool-table' => 'ছক',
	'wikieditor-toolbar-tool-table-example-old' => '-
! শিরোনাম ১
! শিরোনাম ২
! শিরোনাম ৩
|-
| সারি ১, ঘর ১
| সারি ১, ঘর ২
| সারি ১, ঘর ৩
|-
| সারি ২, ঘর ১
| সারি ২, ঘর ২
| সারি ২, ঘর ৩',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'ঘরের লেখ',
	'wikieditor-toolbar-tool-table-example-header' => 'শিরোনামের লেখ',
	'wikieditor-toolbar-tool-table-title' => 'ছক যোগ করো',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'সারি',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'কলাম',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'শিরোনাম সারি অন্তর্ভুক্ত করো',
	'wikieditor-toolbar-tool-table-wikitable' => 'সীমান্ত শৈলী',
	'wikieditor-toolbar-tool-table-sortable' => 'ছক ক্রমায়ন করো',
	'wikieditor-toolbar-tool-table-example' => 'ঘরের লেখ',
	'wikieditor-toolbar-tool-table-preview' => 'প্রাকদর্শন',
	'wikieditor-toolbar-tool-table-insert' => 'যোগ করো',
	'wikieditor-toolbar-tool-table-cancel' => 'বাতিল',
	'wikieditor-toolbar-tool-table-toomany' => 'এই ডায়লগ দ্বারা $1 ঘরের বেশি ছক যোগ করা সম্ভব নয়।',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'আপনি সারি এবং কলামের জন্য ভুল সংখ্যা টাইপ করেছেন।',
	'wikieditor-toolbar-tool-table-zero' => 'আপনি ছকের সারি এবং কলামের সংখ্যা শূন্য দিতে পারবেন না।',
	'wikieditor-toolbar-tool-replace' => 'অনুসন্ধান এবং প্রতিস্থাপন',
	'wikieditor-toolbar-tool-replace-title' => 'অনুসন্ধান ও প্রতিস্থাপন',
	'wikieditor-toolbar-tool-replace-search' => 'অনুসন্ধান:',
	'wikieditor-toolbar-tool-replace-replace' => 'যা দিয়ে প্রতিস্থাপিত হবে:',
	'wikieditor-toolbar-tool-replace-case' => 'অক্ষরের ছাঁদ মেলানো',
	'wikieditor-toolbar-tool-replace-regex' => 'অনুসন্ধান বাক্যকে রেগুলার এক্সপ্রেশন হিসেবে গন্য করো',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'পরবর্তী অনুসন্ধান',
	'wikieditor-toolbar-tool-replace-button-replace' => 'প্রতিস্থাপন',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'সব প্রতিস্থাপন',
	'wikieditor-toolbar-tool-replace-close' => 'বন্ধ',
	'wikieditor-toolbar-tool-replace-nomatch' => 'আপনার অনুসন্ধান কোনো কিছুর সাথে মিলেনি।',
	'wikieditor-toolbar-tool-replace-success' => '$1 টি প্রতিস্থাপন সম্পন্ন হয়েছে।',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'আপনি অনুসন্ধানের জন্য কোনো কিছু দেননি।',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'আপনার দেওয়া রেগুলার এক্সপ্রেশনটি ঠিক নয়: $1',
	'wikieditor-toolbar-section-characters' => 'বিশেষ বর্ণসমূহ',
	'wikieditor-toolbar-characters-page-latin' => 'লাতিন',
	'wikieditor-toolbar-characters-page-latinextended' => 'সম্প্রসারিত লাতিন',
	'wikieditor-toolbar-characters-page-ipa' => 'আইপিএ (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'চিহ্নসমূহ',
	'wikieditor-toolbar-characters-page-greek' => 'গ্রিক',
	'wikieditor-toolbar-characters-page-cyrillic' => 'সিরিলিক',
	'wikieditor-toolbar-characters-page-arabic' => 'আরবীয়',
	'wikieditor-toolbar-characters-page-persian' => 'ফারসি',
	'wikieditor-toolbar-characters-page-hebrew' => 'হিব্রু',
	'wikieditor-toolbar-characters-page-bangla' => 'বাংলা',
	'wikieditor-toolbar-characters-page-telugu' => 'তেলেগু',
	'wikieditor-toolbar-characters-page-sinhala' => 'শিংহলী',
	'wikieditor-toolbar-characters-page-gujarati' => 'গুজরাতি',
	'wikieditor-toolbar-characters-page-thai' => 'থাই',
	'wikieditor-toolbar-characters-page-lao' => 'লাও',
	'wikieditor-toolbar-characters-page-khmer' => 'খেমার',
	'wikieditor-toolbar-section-help' => 'সহায়িকা',
	'wikieditor-toolbar-help-heading-description' => 'বর্ণনা',
	'wikieditor-toolbar-help-heading-syntax' => 'আপনি যা টাইপ করেছেন',
	'wikieditor-toolbar-help-heading-result' => 'আপনি যা দেখতে পাচ্ছেন',
	'wikieditor-toolbar-help-page-format' => 'বিন্যাসন',
	'wikieditor-toolbar-help-page-link' => 'সংযোগসমূহ',
	'wikieditor-toolbar-help-page-heading' => 'শিরোনামসমূহ',
	'wikieditor-toolbar-help-page-list' => 'তালিকাসমূহ',
	'wikieditor-toolbar-help-page-file' => 'ফাইলসমূহ',
	'wikieditor-toolbar-help-page-reference' => 'তথ্যসূত্র',
	'wikieditor-toolbar-help-page-discussion' => 'আলোচনা',
	'wikieditor-toolbar-help-content-italic-description' => 'ইটালিক',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ইটালিক লেখা''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ইটালিক লেখা</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'গাঢ়',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''গাঢ় লেখা'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>গাঢ় লেখা</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'গাঢ় &amp; ইটালিক',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''গাঢ় &amp; ইটালিক লেখা'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>গাঢ় &amp; ইটালিক লেখা</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'আভ্যন্তরীণ সংযোগ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[পাতার শিরোনাম|সংযোগ লেবেল]]<br />[[পাতার শিরোনাম]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>সংযোগ লেবেল</a><br /><a href='#'>পাতার শিরোনাম</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'বহিঃসংযোগ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org সংযোগ লেবেল]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>সংযোগ লেবেল</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '২য় পর্যায়ের শিরোনাম',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== শিরোনাম লেখ ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2> শিরোনাম লেখ </h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '৩য় পর্যায়ের শিরোনাম',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== শিরোনাম লেখ ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3> শিরোনাম লেখ </h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '৪থ পর্যায়ের শিরোনাম',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== শিরোনাম লেখ ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4> শিরোনাম লেখ </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '৫ম পর্যায়ের শিরোনাম',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== শিরোনাম লেখ =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5> শিরোনাম লেখ </h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'বুলেটকৃত তালিকা',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* তালিকা আইটেম<br />* তালিকা আইটেম',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>তালিকা আইটেম</li><li>তালিকা আইটেম</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'সংখ্যায়িত তালিকা',
	'wikieditor-toolbar-help-content-olist-syntax' => '# তালিকা আইটেম <br /># তালিকা আইটেম',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>তালিকা আইটেম</li><li>তালিকা আইটেম</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'এম্বেডেড ফাইল',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|ক্যাপশন লেখ]]',
	'wikieditor-toolbar-help-content-reference-description' => 'তথ্যসূত্র',
	'wikieditor-toolbar-help-content-reference-result' => "পাতার লেখা।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'একই তথ্যসূত্রের একাধিক ব্যবহার',
	'wikieditor-toolbar-help-content-rereference-result' => "পাতার লেখ।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'তথ্যসূত্র প্রদর্শন করো',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>সংযোগ লেখ</a>, বাড়তি লেখ।</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'সময় সহ স্বাক্ষর',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ব্যবহারকারী</a> (<a href='#' title='{{#special:mytalk}}'>আলাপ</a>) ১৫:৫৪, ১০ জুন ২০০৯ (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'স্বাক্ষর',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ব্যবহারকারী</a> (<a href='#' title='{{#special:mytalk}}'>আলাপ</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'প্রান্তিককরণ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'সাধারণ লেখ<br />:প্রান্তিককৃত লেখ<br />::প্রান্তিককৃত লেখ',
	'wikieditor-toolbar-help-content-indent-result' => 'সাধারণ লেখ<dl><dd>প্রান্তিককৃত লেখ<dl><dd>প্রান্তিককৃত লেখ</dd></dl></dd></dl>',
);

/** Tibetan (བོད་ཡིག)
 * @author Freeyak
 */
$messages['bo'] = array(
	'wikieditor-loading' => 'འདྲེན་པ།',
	'wikieditor-preview-tab' => 'སྔ་མ།',
	'wikieditor-publish-button-cancel' => 'རྩིས་མེད།',
	'wikieditor-toolbar-tool-replace-close' => 'སྒོ་རྒྱག་པ།',
	'wikieditor-toolbar-help-page-list' => 'རེའུ་མིག',
);

/** Bishnupria Manipuri (ইমার ঠার/বিষ্ণুপ্রিয়া মণিপুরী)
 * @author Usingha
 */
$messages['bpy'] = array(
	'wikieditor' => 'উচ উইকিটেক্সট পাতানির ইন্টারফেসহান',
	'wikieditor-desc' => 'উইকি-টেক্ট পতানির কা সালকরানি একরব অসারে ইন্টারফেস বারো আরাকউ ফিচার দিতই মডিউল',
	'wikieditor-wikitext-tab' => 'উইকিটেক্সট',
	'wikieditor-loading' => 'আনরাঙ',
	'wikieditor-preview-preference' => 'কাদাহাত আকচা দেখাদে',
	'wikieditor-preview-tab' => 'আগচা',
	'wikieditor-preview-changes-tab' => 'বদালাসিতা',
	'wikieditor-preview-loading' => 'লোডিং…',
	'wikieditor-publish-preference' => 'কাকেয়ে-কাকেয়ে ফঙকরানিহান থা কর',
	'wikieditor-publish-button-publish' => 'ফঙকর',
	'wikieditor-publish-button-cancel' => 'বাতিল করেদে',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} হাত ফঙকর',
	'wikieditor-publish-dialog-summary' => 'পতানির বারে (তি কিহান পতাসত্তা অহানর বারে বাট্টি করে মাতেদে):',
	'wikieditor-publish-dialog-minor' => 'হুরু-মুরু পতানিহান',
	'wikieditor-publish-dialog-watch' => 'পাতাএহান খিয়ালে থ',
	'wikieditor-publish-dialog-publish' => 'ফঙকর',
	'wikieditor-publish-dialog-goback' => 'আলথকে যাগা',
	'wikieditor-template-editor-preference' => 'উইকি টেম্পলেটের ফরমহানি পতানি থা কর',
	'wikieditor-template-editor-dialog-title' => 'টেম্পলেট পতা',
	'wikieditor-template-editor-dialog-submit' => 'আপডেট কর',
	'wikieditor-template-editor-dialog-cancel' => 'বাতিল করেদে',
	'wikieditor-templates-preference' => 'টেম্পলেট থিপ করানি থা কর',
	'wikieditor-toc-preference' => 'দিশাধরুনি সূচী ফঙকর',
	'wikieditor-toc-show' => 'বিষয়বস্তু দেখাদে',
	'wikieditor-toc-hide' => 'বিষয়বস্তু আরুম কর',
	'wikieditor-toolbar' => 'পতানির টুলবার',
	'wikieditor-toolbar-desc' => 'বপ ব্যবহারঅর পতানির পাতা অতার টুলবার',
	'wikieditor-toolbar-preference' => 'লিঙপা পতার টুলবার ফঙে থ',
	'wikieditor-toolbar-dialogs-preference' => 'তিলকরিসি লিংক, ছক বারো আরতার ডায়ালগ ফঙে থ',
	'wikieditor-toolbar-loading' => 'লোডিং…',
	'wikieditor-toolbar-tool-bold' => 'গাঢ়পা',
	'wikieditor-toolbar-tool-bold-example' => 'গাঢ়পা ইকা',
	'wikieditor-toolbar-tool-italic' => 'ইটালিক',
	'wikieditor-toolbar-tool-italic-example' => 'ইটালিক মেয়েক',
	'wikieditor-toolbar-tool-ilink' => 'ভিতরর মিলাপ',
	'wikieditor-toolbar-tool-ilink-example' => 'চিঙনাঙ মিলাপ',
	'wikieditor-toolbar-tool-xlink' => 'বারেদের মিলাপ (মুঙে http:// বারনি না পাহুরিস)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com চিঙনাঙ মিলাপ',
	'wikieditor-toolbar-tool-link' => 'লিংক',
	'wikieditor-toolbar-tool-link-title' => 'লিংক বরা',
	'wikieditor-toolbar-tool-link-int' => 'উইকি পাতা আহাত',
	'wikieditor-toolbar-tool-link-int-target' => 'পাতার চিঙনাঙ নাইলে URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'পাতার চিঙনাঙ নাইলে ইউআরএল',
	'wikieditor-toolbar-tool-link-int-text' => 'মুঙে থাকরানির মেয়েক:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'মুঙে থাকরানির মেয়েক:',
	'wikieditor-toolbar-tool-link-ext' => 'বারেদের ওয়েব পেইজহান',
	'wikieditor-toolbar-tool-link-ext-target' => 'লিংক ইউআরএল:',
	'wikieditor-toolbar-tool-link-ext-text' => 'মিলপার ইকা:',
	'wikieditor-toolbar-tool-link-insert' => 'লিংক বরা',
	'wikieditor-toolbar-tool-link-cancel' => 'বাতিল করেদে',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'পাতা আসে',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'পাতাহান নেই',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'চিঙনাঙে লালুইসে',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'বারেদের লগে মিলাপ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'পাতাহান চারাঙ',
	'wikieditor-toolbar-tool-link-int-invalid' => 'তর চিঙনাঙহান চুম নাইসে',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'যে ইউআরএলহান মাতানি অর অর আরাক উইকির পাতাহানরে বুঝার। ভিতরর মিরাপ সিলকরানি মনারাইথাঙ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'ভিতরর মিলাপ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'বারেদের লগে মিলাপ',
	'wikieditor-toolbar-tool-link-empty' => 'মিলাপ কারানির কা কিত্তাউ না ইকরলে।',
	'wikieditor-toolbar-tool-file' => 'এম্বেডেড ফাইলগ',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'রেফারেন্সহানি',
	'wikieditor-toolbar-tool-reference-example' => 'পাদটীকারকা ইকা এহাত বরা',
	'wikieditor-toolbar-tool-reference-cancel' => 'বাতিল করেদে',
	'wikieditor-toolbar-tool-reference-title' => 'তথ্যসূত্র বরা',
	'wikieditor-toolbar-tool-reference-insert' => 'বরা',
	'wikieditor-toolbar-tool-reference-text' => 'তথ্যসূত্রর ইকা',
	'wikieditor-toolbar-tool-signature' => 'স্বাক্ষর বারো ক্ষেন্তাম',
	'wikieditor-toolbar-section-advanced' => 'উচ্চতর',
	'wikieditor-toolbar-tool-heading' => 'চিঙনাঙ',
	'wikieditor-toolbar-tool-heading-1' => 'থাক ১',
	'wikieditor-toolbar-tool-heading-2' => 'থাক ২',
	'wikieditor-toolbar-tool-heading-3' => 'থাক ৩',
	'wikieditor-toolbar-tool-heading-4' => 'থাক ৪',
	'wikieditor-toolbar-tool-heading-5' => 'থাক ৫',
	'wikieditor-toolbar-tool-heading-example' => 'চিঙনাঙর খন্তাহানি',
	'wikieditor-toolbar-group-format' => 'ফরমেট',
	'wikieditor-toolbar-tool-ulist' => 'বুলেট করিসি পারেঙহানি',
	'wikieditor-toolbar-tool-ulist-example' => 'বুলেট করিসি মাথেলহানি',
	'wikieditor-toolbar-tool-olist' => 'সংখ্যাল ইকিসি পারেঙহানি',
	'wikieditor-toolbar-tool-olist-example' => 'বুলেট করিসি মাথেলহানি',
	'wikieditor-toolbar-tool-indent' => 'কাসাদেনা',
	'wikieditor-toolbar-tool-indent-example' => 'কাসা দিয়াসি পারেঙহানি',
	'wikieditor-toolbar-tool-nowiki' => 'উইকির পাজালানিহান লালুয়া যাগা',
	'wikieditor-toolbar-tool-nowiki-example' => 'ফরমেট নাকরিসি মেয়েক বরা',
	'wikieditor-toolbar-tool-redirect' => 'কুইকর',
	'wikieditor-toolbar-tool-redirect-example' => 'সই করিসি পাতার নাঙ',
	'wikieditor-toolbar-tool-big' => 'ডাঙর',
	'wikieditor-toolbar-tool-big-example' => 'ডাঙর মেয়েক',
	'wikieditor-toolbar-tool-small' => 'হুরু',
	'wikieditor-toolbar-tool-small-example' => 'হুরু মেয়েক',
	'wikieditor-toolbar-tool-superscript' => 'সুপারস্ক্রিপ্ট',
	'wikieditor-toolbar-tool-superscript-example' => 'সুপারস্ক্রিপ্ট মেয়েক',
	'wikieditor-toolbar-tool-subscript' => 'সাবস্ক্রিপ্ট',
	'wikieditor-toolbar-tool-subscript-example' => 'সাবস্ক্রিপ্ট মেয়েক',
	'wikieditor-toolbar-group-insert' => 'বরা',
	'wikieditor-toolbar-tool-gallery' => 'ফটকর গ্যালারী',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|ক্যাপশন১
$1:Example.jpg|ক্যাপশন২',
	'wikieditor-toolbar-tool-newline' => 'নুৱা পারেঙ',
	'wikieditor-toolbar-tool-table' => 'ছক',
	'wikieditor-toolbar-tool-table-example-old' => '-
! চিঙনাঙ ১
! চিঙনাঙ ২
! চিঙনাঙ ৩
|-
| পারেঙ ১, সাঙ ১
| পারেঙ ১, সাঙ ২
| পারেঙ ১, সাঙ ৩
|-
| পারেঙ ২, সাঙ ১
| পারেঙ ২, সাঙ ২
| পারেঙ ২, সাঙ ৩',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'সাঙর মেয়েক',
	'wikieditor-toolbar-tool-table-example-header' => 'চিঙনাঙর খন্তাহানি',
	'wikieditor-toolbar-tool-table-title' => 'ছক বরা',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'পারেঙ',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'দুরগি',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'চিঙনাঙর পারেঙ বরা',
	'wikieditor-toolbar-tool-table-wikitable' => 'বদান হাজা',
	'wikieditor-toolbar-tool-table-sortable' => 'ছক পাজালা',
	'wikieditor-toolbar-tool-table-example' => 'উদাহরন',
	'wikieditor-toolbar-tool-table-preview' => 'আগচা',
	'wikieditor-toolbar-tool-table-insert' => 'বরা',
	'wikieditor-toolbar-tool-table-cancel' => 'বাতিল করেদে',
	'wikieditor-toolbar-tool-table-toomany' => 'এরে ডায়লগ এহান্ন $1 র বপ ছক বরানি নাকরব।',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'তা পারেঙ বারো দুররকা দিয়াসত নম্বর চুম নাইসে।',
	'wikieditor-toolbar-tool-table-zero' => 'তি পারেঙ বারো দুরর কা শুন্য দেনা নুৱারবে।',
	'wikieditor-toolbar-tool-replace' => 'বিসারা বারো সিলকর',
	'wikieditor-toolbar-tool-replace-title' => 'বিসারা বারো সিলকর',
	'wikieditor-toolbar-tool-replace-search' => 'বিসারা:',
	'wikieditor-toolbar-tool-replace-replace' => 'যেহান্ন সিলকরানি ইতই:',
	'wikieditor-toolbar-tool-replace-case' => 'মেয়েকর অংতা মিলা',
	'wikieditor-toolbar-tool-replace-regex' => 'বিসারতেই খন্তাহানরে রেগুলার এক্সপ্রেশনহান বুলিয়া দর',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'থাঙনাত বিসারা',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'হাবি বদালা',
	'wikieditor-toolbar-tool-replace-close' => 'ঝিপা',
	'wikieditor-toolbar-tool-replace-nomatch' => 'তি যেহান বিসারার অহান কিত্তার লগেউ না মিলের',
	'wikieditor-toolbar-tool-replace-success' => '$1 হান সিলকরানি ইল।',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'মিলাপ কারানির কা কিত্তাউ না ইকরলে।',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'তি দিয়াসত রেগুলার এক্সপ্রেশনহান চুম নাইসে: $1',
	'wikieditor-toolbar-section-characters' => 'বিশেষ আখরগি',
	'wikieditor-toolbar-characters-page-latin' => 'লাতিন',
	'wikieditor-toolbar-characters-page-latinextended' => 'সালকরিসি লাতিন',
	'wikieditor-toolbar-characters-page-ipa' => 'আইপিএ (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'চিন্নতহানি',
	'wikieditor-toolbar-characters-page-greek' => 'গ্রিক',
	'wikieditor-toolbar-characters-page-cyrillic' => 'সিরিলিক',
	'wikieditor-toolbar-characters-page-arabic' => 'আরবীয়',
	'wikieditor-toolbar-characters-page-persian' => 'ফারসি',
	'wikieditor-toolbar-characters-page-hebrew' => 'হিব্রু',
	'wikieditor-toolbar-characters-page-bangla' => 'বাংলা',
	'wikieditor-toolbar-characters-page-telugu' => 'তেলেগু',
	'wikieditor-toolbar-characters-page-sinhala' => 'শিংহলী',
	'wikieditor-toolbar-characters-page-gujarati' => 'গুজরাতি',
	'wikieditor-toolbar-characters-page-thai' => 'থাই',
	'wikieditor-toolbar-characters-page-lao' => 'লাও',
	'wikieditor-toolbar-characters-page-khmer' => 'খেমার',
	'wikieditor-toolbar-section-help' => 'পাংলাক',
	'wikieditor-toolbar-help-heading-description' => 'বর্ণনা',
	'wikieditor-toolbar-help-heading-syntax' => 'তি যেহান টাইপ করিসত',
	'wikieditor-toolbar-help-heading-result' => 'তুমি যেহান দেখরাই',
	'wikieditor-toolbar-help-page-format' => 'পাজালানি',
	'wikieditor-toolbar-help-page-link' => 'লিংকহানি',
	'wikieditor-toolbar-help-page-heading' => 'চিঙনাঙহানি',
	'wikieditor-toolbar-help-page-list' => 'লাতঙগি',
	'wikieditor-toolbar-help-page-file' => 'ফাইলগি',
	'wikieditor-toolbar-help-page-reference' => 'রেফারেন্সহানি',
	'wikieditor-toolbar-help-page-discussion' => 'ৱারি',
	'wikieditor-toolbar-help-content-italic-description' => 'ইটালিক',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ইটালিক মেয়েক\"",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ইটালিক মেয়েক</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'গাঢ়পা',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''গাঢ়পা মেয়েক'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>গাঢ়পা মেয়েক</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'গাঢ়পা &amp; ইটালিক',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''গাঢ়পা &amp; ইটালিক মেয়েক'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>গাঢ়পা &amp; ইটালিক মেয়েক</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'ভিতরর মিলাপ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[পাতার চিঙনাঙ|মিলাপর লেবেল]]<br />[[পাতার চিঙনাঙ]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>মিলাপ লেবেল</a><br /><a href='#'>পাতার চিঙনাঙ</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'বারেদের লগে মিলাপ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org মিরাপ লেবেল]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>মিলাপ লেবেল</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '২য় থাকর চিঙনাঙ',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== চিঙনাঙর মেয়েক ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2> চিঙনাঙর মেয়েক </h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '৩য় থাকর চিঙনাঙ',
	'wikieditor-toolbar-help-content-heading3-syntax' => '== চিঙনাঙর মেয়েক ==',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3> চিঙনাঙর মেয়েক </h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '৪র্থ থাকর চিঙনাঙ',
	'wikieditor-toolbar-help-content-heading4-syntax' => '== চিঙনাঙর মেয়েক ==',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4> চিঙনাঙর মেয়েক </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '৫ম থাকর চিঙনাঙ',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== চিঙনাঙর মেয়েক =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5> চিঙনাঙর মেয়েক </h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'বুলেট করিসি পারেঙহানি',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* পারেঙর মেথেল<br />* পারেঙর মেথেল',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>পারেঙর মেথেল</li><li>পারেঙর মেথেল</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'সংখ্যাল ইকিসি পারেঙহানি',
	'wikieditor-toolbar-help-content-olist-syntax' => '# পারেঙর মেথেল<br /># পারেঙর মেথেল',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>পারেঙর মেথেল</li><li>পারেঙর মেথেল</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'এম্বেডেড ফাইলগ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|ক্যাপশনর মেয়ক]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='ক্যাপশর মেয়েক' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='ডাঙরকর' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>ক্যাপশর মেয়েক</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'রেফারেন্সহানি',
	'wikieditor-toolbar-help-content-reference-syntax' => 'পাতার ইকাহানি।&lt;ref name="test"&gt;[http://www.example.org মিলাপর মেয়েকগি], আরতাউ মেয়েক।&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "পাতার ইকা।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'তথ্যসূত্র আকহানর কত্তমাউ ব্যবহার',
	'wikieditor-toolbar-help-content-rereference-result' => "পাতার ইকা।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'তথ্যসূত্র দেহাদে',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>মিলাপর মেয়েকগি</a>, হেলপা মেয়েকগি।</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'স্বাক্ষরহান লগে খেন্তাম বরিয়া',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>আতাকুরা</a> (<a href='#' title='{{#special:mytalk}}'>য়্যারী</a>) ১৫:৫৪, ১০ আগষ্ট ২০১০(UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'স্বাক্ষর',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>আতাকুরা</a> (<a href='#' title='{{#special:mytalk}}'>য়্যারী</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'কাসাদেনা',
	'wikieditor-toolbar-help-content-indent-syntax' => 'চুমকার ইকা<br />:কাসাদিয়াসি ইকা<br />::কাসাদিয়াসি ইকা',
	'wikieditor-toolbar-help-content-indent-result' => 'চুমকার ইকা<dl><dd>কাসাদিয়াসি ইকা<dl><dd>কাসাদিয়াসি ইকা</dd></dl></dd></dl>',
);

/** Breton (Brezhoneg)
 * @author Fohanno
 * @author Fulup
 * @author Gwendal
 * @author Y-M D
 */
$messages['br'] = array(
	'wikieditor' => 'Etrefas kemmañ wikitestenn klokaet',
	'wikieditor-desc' => "Poruchas a ra un etrefas kemmañ wikitestenn astennidik ha meur a arc'hwel all.",
	'wikieditor-wikitext-tab' => 'Wikitestenn',
	'wikieditor-loading' => 'O kargañ',
	'wikieditor-preview-preference' => 'Gweredekaat ar rakweled skoaz-ouzh-skoaz',
	'wikieditor-preview-tab' => 'Rakwelet',
	'wikieditor-preview-changes-tab' => 'Kemmoù',
	'wikieditor-preview-loading' => 'O kargañ...',
	'wikieditor-previewDialog-preference' => 'Gweredekaat prenestr kendivizout ar rakweled',
	'wikieditor-previewDialog-tab' => 'Rakwelet',
	'wikieditor-previewDialog-loading' => 'O kargañ...',
	'wikieditor-publish-preference' => 'Gweredekaat an embann pazenn-ha-pazenn',
	'wikieditor-publish-button-publish' => 'Embann',
	'wikieditor-publish-button-cancel' => 'Nullañ',
	'wikieditor-publish-dialog-title' => 'Embann war {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Aozañ an diverrañ (deskrivañ berr-ha-berr ar c'hemmoù degaset ganeoc'h) :",
	'wikieditor-publish-dialog-minor' => 'Kemmig dister',
	'wikieditor-publish-dialog-watch' => 'Evezhiañ ar bajenn-mañ',
	'wikieditor-publish-dialog-publish' => 'Embann',
	'wikieditor-publish-dialog-goback' => 'Distreiñ',
	'wikieditor-template-editor-preference' => "Gweredekaat ar c'hemmañ partromoù wiki diwar furmskridoù",
	'wikieditor-template-editor-dialog-title' => 'Kemmañ ar patrom',
	'wikieditor-template-editor-dialog-submit' => 'Hizivaat',
	'wikieditor-template-editor-dialog-cancel' => 'Nullañ',
	'wikieditor-templates-preference' => "Gweredekaat ar c'huzhat patromoù",
	'wikieditor-toc-preference' => 'Gweredekaat an daolenn verdeüs',
	'wikieditor-toc-show' => 'Diskouez an danvez',
	'wikieditor-toc-hide' => 'Kuzhat an danvez',
	'wikieditor-toolbar' => 'Barrenn ostilhoù kemmañ',
	'wikieditor-toolbar-desc' => "Barrenn ostilhoù kemmañ aesoc'h da implijout",
	'wikieditor-toolbar-preference' => 'Gweredekaat ar varrenn ostilhoù kemmañ gwellaet',
	'wikieditor-toolbar-dialogs-preference' => 'Gweredekaat ar boestoù divizout evit ouzhpennañ liammoù, taolennoù ha traoù all',
	'wikieditor-toolbar-hidesig' => 'Kuzhat ar bouton sinañ er pajennoù zo en esaouenn anv pennañ',
	'wikieditor-toolbar-loading' => 'O kargañ...',
	'wikieditor-toolbar-tool-bold' => 'Tev',
	'wikieditor-toolbar-tool-bold-example' => 'Testenn dev',
	'wikieditor-toolbar-tool-italic' => 'Italek',
	'wikieditor-toolbar-tool-italic-example' => 'Testenn italek',
	'wikieditor-toolbar-tool-ilink' => 'Liamm diabarzh',
	'wikieditor-toolbar-tool-ilink-example' => 'Anv al liamm',
	'wikieditor-toolbar-tool-xlink' => 'Liamm diavaez (arabat disoñjal ar rakger http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com anv al liamm',
	'wikieditor-toolbar-tool-link' => 'Liamm',
	'wikieditor-toolbar-tool-link-title' => "Ensoc'hañ ul liamm",
	'wikieditor-toolbar-tool-link-int' => 'war-du ur bajenn wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Anv ar bajenn :',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titl pe URL ar bajenn',
	'wikieditor-toolbar-tool-link-int-text' => 'Testenn al liamm :',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Ebarzhit an destenn da vezañ diskwelet',
	'wikieditor-toolbar-tool-link-ext' => 'War-du ur bajenn web diavaez',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL al liamm :',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testenn al liamm :',
	'wikieditor-toolbar-tool-link-insert' => "Ensoc'hañ al liamm",
	'wikieditor-toolbar-tool-link-cancel' => 'Nullañ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => "Bez' ez eus eus ar bajenn-mañ",
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => "Ar bajenn-mañ n'eus ket anezhi",
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titl direizh',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Liamm diavaez',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'O wiriañ hag-eñ ez eus eus ar bajenn...',
	'wikieditor-toolbar-tool-link-int-invalid' => "Kamm eo an titl hoc'h eus merket.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Seblantout kas ul liamm davet ur bajenn all eus ar wiki a ra an URL lakaet ganeoc'h.
Hag ul liamm diabarzh eo a fell deoc'h lakaat?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Liamm diabarzh',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Liamm diavaez',
	'wikieditor-toolbar-tool-link-empty' => "N'hoc'h eus merket netra a c'haller sevel liammoù outañ.",
	'wikieditor-toolbar-tool-file' => 'Restr enframmet',
	'wikieditor-toolbar-tool-file-example' => 'Skouer.jpg',
	'wikieditor-toolbar-tool-reference' => 'Daveenn',
	'wikieditor-toolbar-tool-reference-example' => "Ensoc'hañ amañ testenn notenn traoñ pajenn",
	'wikieditor-toolbar-tool-reference-cancel' => 'Nullañ',
	'wikieditor-toolbar-tool-reference-title' => "Ensoc'hañ un daveenn",
	'wikieditor-toolbar-tool-reference-insert' => "Ensoc'hañ",
	'wikieditor-toolbar-tool-reference-text' => 'Testenn an daveenn',
	'wikieditor-toolbar-tool-signature' => 'Sinadur ha deiziad',
	'wikieditor-toolbar-section-advanced' => 'Araokaet',
	'wikieditor-toolbar-tool-heading' => 'Titl',
	'wikieditor-toolbar-tool-heading-1' => 'Live 1',
	'wikieditor-toolbar-tool-heading-2' => 'Live 2',
	'wikieditor-toolbar-tool-heading-3' => 'Live 3',
	'wikieditor-toolbar-tool-heading-4' => 'Live 4',
	'wikieditor-toolbar-tool-heading-5' => 'Live 5',
	'wikieditor-toolbar-tool-heading-example' => 'Testenn an titl',
	'wikieditor-toolbar-group-format' => 'Furmad',
	'wikieditor-toolbar-tool-ulist' => 'Roll padelliget',
	'wikieditor-toolbar-tool-ulist-example' => 'Elfenn eus ar roll padelliget',
	'wikieditor-toolbar-tool-olist' => 'Roll niverennet',
	'wikieditor-toolbar-tool-olist-example' => 'Elfenn eus ar roll niverennet',
	'wikieditor-toolbar-tool-indent' => 'Endantadur',
	'wikieditor-toolbar-tool-indent-example' => 'Linenn endantet',
	'wikieditor-toolbar-tool-nowiki' => 'Hep ereadur wiki',
	'wikieditor-toolbar-tool-nowiki-example' => "Ensoc'hañ amañ un destenn difurmad",
	'wikieditor-toolbar-tool-redirect' => 'Adkas',
	'wikieditor-toolbar-tool-redirect-example' => 'Anv ar bajenn da dizhout',
	'wikieditor-toolbar-tool-big' => 'Bras',
	'wikieditor-toolbar-tool-big-example' => 'Mell testenn',
	'wikieditor-toolbar-tool-small' => 'Bihan',
	'wikieditor-toolbar-tool-small-example' => 'Testennig',
	'wikieditor-toolbar-tool-superscript' => 'Gallouter',
	'wikieditor-toolbar-tool-superscript-example' => 'Testenn e gallouter',
	'wikieditor-toolbar-tool-subscript' => 'Feur',
	'wikieditor-toolbar-tool-subscript-example' => 'Testenn e feur',
	'wikieditor-toolbar-group-insert' => "Ensoc'hañ",
	'wikieditor-toolbar-tool-gallery' => 'Skeudennaoueg',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Skouer.jpg|Deskrivadur1
$1:Skouer.jpg|Deskrivadur2',
	'wikieditor-toolbar-tool-newline' => 'Linenn nevez',
	'wikieditor-toolbar-tool-table' => 'Taolenn',
	'wikieditor-toolbar-tool-table-example-old' => '-
! talbenn 1
! talbenn 2
! talbenn 3
|-
| linenn 1, kellig 1
| linenn 1, kellig 2
| linenn 1, kellig 3
|-
| linenn 2, kellig 1
| linenn 2, kellig 2
| linenn 2, kellig 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Tenstenn er gellig',
	'wikieditor-toolbar-tool-table-example-header' => 'Testenn an talbenn',
	'wikieditor-toolbar-tool-table-title' => "Ensoc'hañ un daolenn",
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linennoù',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Bannoù',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Lakaat  al linenn dalbenn e-barzh',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil gant bevennoù',
	'wikieditor-toolbar-tool-table-sortable' => 'Kinnig urzhiañ roadennoù an daolenn',
	'wikieditor-toolbar-tool-table-example' => 'Testenn er gellig',
	'wikieditor-toolbar-tool-table-preview' => 'Rakwelet',
	'wikieditor-toolbar-tool-table-insert' => "Ensoc'hañ",
	'wikieditor-toolbar-tool-table-cancel' => 'Nullañ',
	'wikieditor-toolbar-tool-table-toomany' => "N'haller ket ensoc'hañ un daolenn enni muioc'h eget $1 kellig gant an ostilh-mañ.",
	'wikieditor-toolbar-tool-table-invalidnumber' => "Merket hoc'h eus un niver a linennoù pe a vannoù direizh.",
	'wikieditor-toolbar-tool-table-zero' => "N'hallit ket ensoc'hañ un daolenn hep bann na linenn.",
	'wikieditor-toolbar-tool-replace' => "Klask hag erlec'hiañ",
	'wikieditor-toolbar-tool-replace-title' => "Klask hag erlec'hiañ",
	'wikieditor-toolbar-tool-replace-search' => 'Klask :',
	'wikieditor-toolbar-tool-replace-replace' => "Erlec'hiañ gant :",
	'wikieditor-toolbar-tool-replace-case' => "Diforc'hañ Pennlizherennoù/Lizherennoù bihan",
	'wikieditor-toolbar-tool-replace-regex' => 'Sellet ouzh ar chadennad klask evel ouzh ur jedad reoliek',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Kavout an hini da-heul',
	'wikieditor-toolbar-tool-replace-button-replace' => "Erlec'hiañ",
	'wikieditor-toolbar-tool-replace-button-replaceall' => "Erlec'hiañ pep tra",
	'wikieditor-toolbar-tool-replace-close' => 'Serriñ',
	'wikieditor-toolbar-tool-replace-nomatch' => "N'eus bet kavet netra o klotañ gant ar pezh a glaskit.",
	'wikieditor-toolbar-tool-replace-success' => "$1 erlec'hiadenn graet",
	'wikieditor-toolbar-tool-replace-emptysearch' => "N'hoc'h eus ebarzhet netra da glask.",
	'wikieditor-toolbar-tool-replace-invalidregex' => "Direizh eo ar jedad reoliek hoc'h eus lakaet : $1",
	'wikieditor-toolbar-section-characters' => 'Arouezennoù dibar',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin astennet',
	'wikieditor-toolbar-characters-page-ipa' => 'LFE (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Arouezennoù',
	'wikieditor-toolbar-characters-page-greek' => 'Gresianek',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirillek',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabek',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabeg astennet',
	'wikieditor-toolbar-characters-page-persian' => 'Perseg',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraek',
	'wikieditor-toolbar-characters-page-bangla' => 'Banglaek',
	'wikieditor-toolbar-characters-page-telugu' => 'Telougou',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laoseg',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Skoazell',
	'wikieditor-toolbar-help-heading-description' => 'Deskrivadur',
	'wikieditor-toolbar-help-heading-syntax' => 'Ar pezh a skrivit',
	'wikieditor-toolbar-help-heading-result' => "An disoc'h war-lerc'h",
	'wikieditor-toolbar-help-page-format' => 'Furmadiñ',
	'wikieditor-toolbar-help-page-link' => 'Liammoù',
	'wikieditor-toolbar-help-page-heading' => 'Titloù',
	'wikieditor-toolbar-help-page-list' => 'Rolloù',
	'wikieditor-toolbar-help-page-file' => 'Restroù',
	'wikieditor-toolbar-help-page-reference' => 'Daveennoù',
	'wikieditor-toolbar-help-page-discussion' => 'Kaozeadenn',
	'wikieditor-toolbar-help-content-italic-description' => 'Italek',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testenn italek''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testenn italek</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tev',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testenn dev'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testenn dev</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tev &amp; italek',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testenn dev hag italek'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testenn dev &amp; italek</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Liamm diabarzh',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titl ar bajenn|Testenn al liamm]]<br />[[Titl ar bajenn]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Testenn al liamm</a><br /><a href='#'>Titl ar bajenn</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Liamm diavaez',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Testenn al liamm]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Testenn al liamm</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titl a eil live',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Testenn an titl ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Testenn an titl</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titl a drede live',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Testenn an titl ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Testenn an titl</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titl a bevare live',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Testenn an titl ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Testenn an titl</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titl a bempvet live',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Testenn an titl =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Testenn an titl</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Roll padelliget',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Elfenn eus ar roll<br />* Elfenn eus ar roll',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Elfenn eus ar roll</li><li>Elfenn eus ar roll</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Roll niverennet',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Elfenn eus ar roll<br /># Elfenn eus ar roll',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Elfenn eus ar roll</li><li>Elfenn eus ar roll</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Restr enframmet',
	'wikieditor-toolbar-help-content-file-syntax' => "[[$1:Example.png|thumb|Alc'hwez ar skeudenn]]",
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Testenn an alc'hwez' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Brasaat' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Testenn an alc'hwez</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Daveenn',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testenn ar bajenn.&lt;ref name="test"&gt;[http://www.example.org testenn al liamm], testenn ouzhpenn.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Testenn ar bajenn.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Adimplij eus an hevelep daveenn',
	'wikieditor-toolbar-help-content-rereference-result' => "Testenn ar bajenn.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Diskwel an daveennoù',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Anv al liamm</a>, testenn ouzhpenn.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sinadur gant an deiziad',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Anv implijer</a> (<a href='#' title='{{#special:mytalk}}'>kaozeal</a>) 15:54, 10 Mezheven 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sinadur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Anv implijer</a> (<a href='#' title='{{#special:mytalk}}'>kaozeal</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Endantadur',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testenn normal<br />:Testenn endantet<br />::Testenn endantet',
	'wikieditor-toolbar-help-content-indent-result' => 'Testenn normal<dl><dd>Testenn endantet<dl><dd>Testenn endantet</dd></dl></dd></dl>',
);

/** Bosnian (Bosanski)
 * @author CERminator
 * @author Palapa
 */
$messages['bs'] = array(
	'wikieditor' => 'Napredni interfejs za uređivanje wikiteksta',
	'wikieditor-desc' => 'Omogućava proširivi interfejs za uređivanje wikiteksta i mnoge module sa brojnim mogućnostima',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Učitavanje',
	'wikieditor-preview-preference' => 'Omogući pretpregled s obje strane',
	'wikieditor-preview-tab' => 'Pregled',
	'wikieditor-preview-changes-tab' => 'Promjene',
	'wikieditor-preview-loading' => 'Učitavam...',
	'wikieditor-previewDialog-preference' => 'Omogući dijalog pretpregleda',
	'wikieditor-previewDialog-tab' => 'Pregled',
	'wikieditor-previewDialog-loading' => 'Učitavam...',
	'wikieditor-publish-preference' => 'Omogući objavljivanje u koracima',
	'wikieditor-publish-button-publish' => 'Objavi',
	'wikieditor-publish-button-cancel' => 'Odustani',
	'wikieditor-publish-dialog-title' => 'Objavi na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Uredi sažetak (kratko opiši izmjene koje ste načinili):',
	'wikieditor-publish-dialog-minor' => 'mala izmjena',
	'wikieditor-publish-dialog-watch' => 'Prati ovu stranicu',
	'wikieditor-publish-dialog-publish' => 'Objavi',
	'wikieditor-publish-dialog-goback' => 'Vrati se nazad',
	'wikieditor-template-editor-preference' => 'Omogućava uređivanje wiki šablon putem obrazaca',
	'wikieditor-template-editor-dialog-title' => 'Uredi šablon',
	'wikieditor-template-editor-dialog-submit' => 'Ažuriraj',
	'wikieditor-template-editor-dialog-cancel' => 'Odustani',
	'wikieditor-templates-preference' => 'Omogući sakrivanje sadržaja šablona',
	'wikieditor-toc-preference' => 'Omogući navigacijski sadržaj',
	'wikieditor-toc-show' => 'Pokaži sadržaj',
	'wikieditor-toc-hide' => 'Sakrij sadržaj',
	'wikieditor-toolbar' => 'Uređivanje alatne trake',
	'wikieditor-toolbar-desc' => 'Alatna traka stranice za uređivanje sa poboljšanom upotrebljivošću',
	'wikieditor-toolbar-preference' => 'Omogući naprednu traku za uređivanje',
	'wikieditor-toolbar-dialogs-preference' => 'Omogući dijaloge za dodavanje linkova, tabela i više',
	'wikieditor-toolbar-hidesig' => 'Sakrij dugme potpisa sa stranica u glavnom imenskom prostoru',
	'wikieditor-toolbar-loading' => 'Punjenje...',
	'wikieditor-toolbar-tool-bold' => 'Podebljano',
	'wikieditor-toolbar-tool-bold-example' => 'Podebljan tekst',
	'wikieditor-toolbar-tool-italic' => 'Ukošeno',
	'wikieditor-toolbar-tool-italic-example' => 'Ukošeni tekst',
	'wikieditor-toolbar-tool-ilink' => 'Unutrašnji link',
	'wikieditor-toolbar-tool-ilink-example' => 'Naslov linka',
	'wikieditor-toolbar-tool-xlink' => 'Vanjski link (zapamtite prefiks http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com naslov linka',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Ubaci link',
	'wikieditor-toolbar-tool-link-int' => 'Na wiki stranicu',
	'wikieditor-toolbar-tool-link-int-target' => 'Naslov stranice:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Naslov stranice ili URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst linka:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Unesite tekst koji bi trebao biti prikazan',
	'wikieditor-toolbar-tool-link-ext' => 'Na vanjsku web stranicu',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL linka:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst linka:',
	'wikieditor-toolbar-tool-link-insert' => 'Ubaci link',
	'wikieditor-toolbar-tool-link-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stranica postoji',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stranica ne postoji',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nevaljan naslov',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Vanjski link',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Provjeravam postojanje stranice...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Naslov koji ste unijeli je nevaljan.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL koji ste naveli izgleda da je prepoznat kao link na drugu wiki stranicu.
Da li želite napraviti interni link?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Unutrašnji link',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Vanjski link',
	'wikieditor-toolbar-tool-link-empty' => 'Niste unijeli ništa za linkovanje.',
	'wikieditor-toolbar-tool-file' => 'Uklopljena datoteka',
	'wikieditor-toolbar-tool-file-example' => 'Primjer.jpg',
	'wikieditor-toolbar-tool-reference' => 'Reference',
	'wikieditor-toolbar-tool-reference-example' => 'Ubaci tekst fusnote ovdje',
	'wikieditor-toolbar-tool-reference-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-reference-title' => 'Unesi referencu',
	'wikieditor-toolbar-tool-reference-insert' => 'Unesi',
	'wikieditor-toolbar-tool-reference-text' => 'Tekst reference',
	'wikieditor-toolbar-tool-signature' => 'Potpis i vrijeme',
	'wikieditor-toolbar-section-advanced' => 'Napredno',
	'wikieditor-toolbar-tool-heading' => 'Naslov',
	'wikieditor-toolbar-tool-heading-1' => 'Nivo 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivo 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivo 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivo 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivo 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tekst naslova',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Uređeni spisak',
	'wikieditor-toolbar-tool-ulist-example' => 'Stavka uređenog spiska',
	'wikieditor-toolbar-tool-olist' => 'Numerisani spisak',
	'wikieditor-toolbar-tool-olist-example' => 'Stavka numerisanog spiska',
	'wikieditor-toolbar-tool-indent' => 'Uvlaka',
	'wikieditor-toolbar-tool-indent-example' => 'Linija uvlake',
	'wikieditor-toolbar-tool-nowiki' => 'Nema wiki formatiranja',
	'wikieditor-toolbar-tool-nowiki-example' => 'Unesi neformatirani tekst ovdje',
	'wikieditor-toolbar-tool-redirect' => 'Preusmjeri',
	'wikieditor-toolbar-tool-redirect-example' => 'Ime ciljne stranice',
	'wikieditor-toolbar-tool-big' => 'Veliko',
	'wikieditor-toolbar-tool-big-example' => 'Povećan tekst',
	'wikieditor-toolbar-tool-small' => 'Smanjeno',
	'wikieditor-toolbar-tool-small-example' => 'Smanjen tekst',
	'wikieditor-toolbar-tool-superscript' => 'Eksponent',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst eksponenta',
	'wikieditor-toolbar-tool-subscript' => 'Indeks',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst indeksa',
	'wikieditor-toolbar-group-insert' => 'Ubaci',
	'wikieditor-toolbar-tool-gallery' => 'Galerija slika',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Opis1
$1:Example.jpg|Opis2',
	'wikieditor-toolbar-tool-newline' => 'Nova linija',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! naslov 1
! naslov 2
! naslov 3
|-
| red 1, ćelija 1
| red 1, ćelija 2
| red 1, ćelija 3
|-
| red 2, ćelija 1
| red 2, ćelija 2
| red 2, ćelija 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Tekst ćelije',
	'wikieditor-toolbar-tool-table-example-header' => 'Tekst zaglavlja',
	'wikieditor-toolbar-tool-table-title' => 'Ubaci tabelu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Redovi',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolone',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Uključi red zaglavlja',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil sa okvirima',
	'wikieditor-toolbar-tool-table-sortable' => 'Napravi sortirajuću tabelu',
	'wikieditor-toolbar-tool-table-example' => 'Tekst ćelije',
	'wikieditor-toolbar-tool-table-preview' => 'Pregled',
	'wikieditor-toolbar-tool-table-insert' => 'Ubaci',
	'wikieditor-toolbar-tool-table-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-table-toomany' => 'Ubacivanje tabele sa više od $1 ćelija nije moguće putem ovog dijaloga.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Niste unijeli valjan broj redova ili kolona.',
	'wikieditor-toolbar-tool-table-zero' => 'Ne možete unijeti tabelu bez redova ili kolona.',
	'wikieditor-toolbar-tool-replace' => 'Pronađi i zamijeni',
	'wikieditor-toolbar-tool-replace-title' => 'Nađi i zamijeni',
	'wikieditor-toolbar-tool-replace-search' => 'Pretraži:',
	'wikieditor-toolbar-tool-replace-replace' => 'Zamijeni sa:',
	'wikieditor-toolbar-tool-replace-case' => 'Razlikuj velika i mala slova',
	'wikieditor-toolbar-tool-replace-regex' => 'Smatraj traženi pojam kao regularni izraz',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nađi slijedeći',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zamijeni sve',
	'wikieditor-toolbar-tool-replace-close' => 'Zatvori',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Vaša pretraga nije dala nijedan rezultat.',
	'wikieditor-toolbar-tool-replace-success' => 'Načinjeno $1 izmjena.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Niste unijeli ništa za pretragu.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Regularni izraz koji ste unijeli nije valjan: $1',
	'wikieditor-toolbar-section-characters' => 'Posebni znakovi',
	'wikieditor-toolbar-characters-page-latin' => 'Latinica',
	'wikieditor-toolbar-characters-page-latinextended' => 'Prošireni latinski',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grčki',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Ćirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arapski',
	'wikieditor-toolbar-characters-page-persian' => 'Perzijski',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejski',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangladeški',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tajlandski',
	'wikieditor-toolbar-characters-page-lao' => 'Laoški',
	'wikieditor-toolbar-characters-page-khmer' => 'Kmerski',
	'wikieditor-toolbar-section-help' => 'Pomoć',
	'wikieditor-toolbar-help-heading-description' => 'Opis',
	'wikieditor-toolbar-help-heading-syntax' => 'Šta upisujete',
	'wikieditor-toolbar-help-heading-result' => 'Šta dobijate',
	'wikieditor-toolbar-help-page-format' => 'Formatiranje',
	'wikieditor-toolbar-help-page-link' => 'Linkovi',
	'wikieditor-toolbar-help-page-heading' => 'Naslovi',
	'wikieditor-toolbar-help-page-list' => 'Spiskovi',
	'wikieditor-toolbar-help-page-file' => 'Datoteke',
	'wikieditor-toolbar-help-page-reference' => 'Reference',
	'wikieditor-toolbar-help-page-discussion' => 'Razgovor',
	'wikieditor-toolbar-help-content-italic-description' => 'Kurziv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Ukošen tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Ukošen tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Podebljano',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Podebljan tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Podebljan tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Podebljano &amp; ukošeno',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Podebljan &amp; ukošen tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Podebljan &amp; ukošen tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Unutrašnji link',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Naslov stranice|Naslov linka]]<br />[[Naslov stranice]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Naslov linka</a><br /><a href='#'>Naslov stranice</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Vanjski link',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Naslov linka]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Naslov linka</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Naslov 2. nivoa',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Tekst naslova ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Tekst naslova</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Naslov 3. nivoa',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tekst naslova ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Tekst naslova</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Naslov 4. nivoa',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tekst naslova ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Tekst naslova</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Naslov 5. nivoa',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Tekst naslova =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Tekst naslova</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Uređeni spisak',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Stavka spiska<br />* Stavka spiska',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Stavka spiska</li><li>Stavka spiska</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numerisani spisak',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Stavka spiska<br /># Stavka spiska',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Stavka spiska</li><li>Stavka spiska</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Uklopljena datoteka',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Opis slike]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Opis slike' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Uvećajte' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Opis slike</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Reference',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst stranice.&lt;ref name="test"&gt;[http://www.example.org Tekst linka], dodatni tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Dodatna upotreba istog izvora',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Prikaži izvore',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tekst linka</a>, dodatni tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Potpis s trenutnim vremenom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Korisničko ime</a> (<a href='#' title='{{#special:mytalk}}'>Razgovor</a>) 15:54, 10. juni 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Potpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Korisničko ime</a> (<a href='#' title='{{#special:mytalk}}'>razgovor</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Uvučeno',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Obični tekst<br />:Uvučeni tekst<br />::Uvučeni tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Obični tekst<dl><dd>Uvučeni tekst<dl><dd>Uvučeni tekst</dd></dl></dd></dl>',
);

/** Catalan (Català)
 * @author BroOk
 * @author Martorell
 * @author Paucabot
 * @author SMP
 * @author Solde
 * @author Toniher
 * @author Vriullop
 */
$messages['ca'] = array(
	'wikieditor' => 'Interfície avançada de modificació de wikitext',
	'wikieditor-desc' => 'Proporciona una interfície extensible de modificació de wikitext i diversos mòduls de funcionalitats',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Carregant',
	'wikieditor-preview-preference' => 'Habilita la previsualització costat per costat',
	'wikieditor-preview-tab' => 'Previsualització',
	'wikieditor-preview-changes-tab' => 'Canvis',
	'wikieditor-preview-loading' => 'Carregant ...',
	'wikieditor-previewDialog-preference' => 'Activa el diàleg de vista prèvia',
	'wikieditor-previewDialog-tab' => 'Previsualització',
	'wikieditor-previewDialog-loading' => 'Carregant ...',
	'wikieditor-publish-preference' => 'Habilita la publicació pas a pas',
	'wikieditor-publish-button-publish' => 'Publica',
	'wikieditor-publish-button-cancel' => 'Anuŀla',
	'wikieditor-publish-dialog-title' => 'Publicar a {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Resum d'edició (descriviu breument els canvis realitzats):",
	'wikieditor-publish-dialog-minor' => 'Modificació menor',
	'wikieditor-publish-dialog-watch' => 'Vigila aquesta pàgina',
	'wikieditor-publish-dialog-publish' => 'Publica',
	'wikieditor-publish-dialog-goback' => 'Torna',
	'wikieditor-template-editor-preference' => "Permetre l'edició basada en formularis de plantilles",
	'wikieditor-template-editor-dialog-title' => 'Modifica la plantilla',
	'wikieditor-template-editor-dialog-submit' => 'Actualitza',
	'wikieditor-template-editor-dialog-cancel' => 'Anuŀla',
	'wikieditor-templates-preference' => 'Habilita el replegament de plantilles',
	'wikieditor-toc-preference' => 'Habilita la taula de continguts navegable',
	'wikieditor-toc-show' => 'Mostra el contingut',
	'wikieditor-toc-hide' => 'Amaga el contingut',
	'wikieditor-toolbar' => "Editant la barra d'eines",
	'wikieditor-toolbar-desc' => "Barra d'eines d'edició amb usabilitat millorada",
	'wikieditor-toolbar-preference' => "Habilita la barra d'eines millorada",
	'wikieditor-toolbar-dialogs-preference' => 'Habilita caixes de diàleg per inserir enllaços, taules i altres',
	'wikieditor-toolbar-hidesig' => "Amaga el botó de signar de les pàgines de l'espai de noms principal",
	'wikieditor-toolbar-loading' => 'Carregant...',
	'wikieditor-toolbar-tool-bold' => 'Negreta',
	'wikieditor-toolbar-tool-bold-example' => 'Text en negreta',
	'wikieditor-toolbar-tool-italic' => 'Cursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Text en cursiva',
	'wikieditor-toolbar-tool-ilink' => 'Enllaç intern',
	'wikieditor-toolbar-tool-ilink-example' => "Títol de l'enllaç",
	'wikieditor-toolbar-tool-xlink' => 'Enllaç extern (recordeu el prefix http://)',
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.org títol de l'enllaç",
	'wikieditor-toolbar-tool-link' => 'Enllaç',
	'wikieditor-toolbar-tool-link-title' => 'Insereix un enllaç',
	'wikieditor-toolbar-tool-link-int' => 'A una pàgina del wiki',
	'wikieditor-toolbar-tool-link-int-target' => "Nom de l'article:",
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Títol de la pàgina o URL',
	'wikieditor-toolbar-tool-link-int-text' => "Text de l'enllaç:",
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text a mostrar',
	'wikieditor-toolbar-tool-link-ext' => 'A una pàgina web externa',
	'wikieditor-toolbar-tool-link-ext-target' => "URL de l'enllaç",
	'wikieditor-toolbar-tool-link-ext-text' => "Text de l'enllaç:",
	'wikieditor-toolbar-tool-link-insert' => 'Insereix un enllaç',
	'wikieditor-toolbar-tool-link-cancel' => 'Canceŀla',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pàgina existeix',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pàgina no existeix',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Títol no vàlid',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Enllaç extern',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Comprovació de l'existència de la pàgina ...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'El títol que heu especificat no és vàlid.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "L'URL que heu especificat sembla que enllaça a una altra pàgina del wiki.
Voleu convertir-lo en un enllaç intern?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Enllaç intern',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Enllaç extern',
	'wikieditor-toolbar-tool-link-empty' => 'No heu entrat res per enllaçar.',
	'wikieditor-toolbar-tool-file' => 'Fitxer incrustat',
	'wikieditor-toolbar-tool-file-example' => 'Exemple.png',
	'wikieditor-toolbar-tool-reference' => 'Referència',
	'wikieditor-toolbar-tool-reference-example' => 'Inseriu la nota al peu aquí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancel·la',
	'wikieditor-toolbar-tool-reference-title' => 'Inserir una referència',
	'wikieditor-toolbar-tool-reference-insert' => 'Insereix',
	'wikieditor-toolbar-tool-reference-text' => 'Text de la referència',
	'wikieditor-toolbar-tool-signature' => 'Signatura, data i hora',
	'wikieditor-toolbar-section-advanced' => 'Avançat',
	'wikieditor-toolbar-tool-heading' => 'Encapçalament',
	'wikieditor-toolbar-tool-heading-1' => 'Nivell 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivell 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivell 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivell 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivell 5',
	'wikieditor-toolbar-tool-heading-example' => "Text d'encapçalament",
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Llista puntejada',
	'wikieditor-toolbar-tool-ulist-example' => 'Element de la llista puntejada',
	'wikieditor-toolbar-tool-olist' => 'Llista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Element de la llista numerada',
	'wikieditor-toolbar-tool-indent' => 'Sagnat',
	'wikieditor-toolbar-tool-indent-example' => 'Línia sagnada',
	'wikieditor-toolbar-tool-nowiki' => 'Sense format wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inseriu aquí un text sense format',
	'wikieditor-toolbar-tool-redirect' => 'Redirecció',
	'wikieditor-toolbar-tool-redirect-example' => 'Nom de la pàgina destinació',
	'wikieditor-toolbar-tool-big' => 'Gran',
	'wikieditor-toolbar-tool-big-example' => 'Text gran',
	'wikieditor-toolbar-tool-small' => 'Petit',
	'wikieditor-toolbar-tool-small-example' => 'Text petit',
	'wikieditor-toolbar-tool-superscript' => 'Superíndex',
	'wikieditor-toolbar-tool-superscript-example' => 'Text en superíndex',
	'wikieditor-toolbar-tool-subscript' => 'Subíndex',
	'wikieditor-toolbar-tool-subscript-example' => 'Text en subíndex',
	'wikieditor-toolbar-group-insert' => 'Insereix',
	'wikieditor-toolbar-tool-gallery' => "Galeria d'imatges",
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Peu1
$1:Example.jpg|Peu2',
	'wikieditor-toolbar-tool-newline' => 'Nova línia',
	'wikieditor-toolbar-tool-table' => 'Taula',
	'wikieditor-toolbar-tool-table-example-old' => '-
! capçalera 1
! capçalera 2
! capçalera 3
|-
| fila 1, cel·la 1
| fila 1, cel·la 2
| fila 1, cel·la 3
|-
| fila 2, cel·la 1
| fila 2, cel·la 2
| fila 2, cel·la 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Text de cel·la',
	'wikieditor-toolbar-tool-table-example-header' => 'Text de capçalera',
	'wikieditor-toolbar-tool-table-title' => 'Insereix una taula',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Files',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnes',
	'wikieditor-toolbar-tool-table-dimensions-header' => "Amb una fila d'encapçalament",
	'wikieditor-toolbar-tool-table-wikitable' => 'Estil amb vores',
	'wikieditor-toolbar-tool-table-sortable' => 'Taula ordenable',
	'wikieditor-toolbar-tool-table-example' => 'Text de cel·la',
	'wikieditor-toolbar-tool-table-preview' => 'Previsualització',
	'wikieditor-toolbar-tool-table-insert' => 'Insereix',
	'wikieditor-toolbar-tool-table-cancel' => 'Anuŀla',
	'wikieditor-toolbar-tool-table-toomany' => 'Amb aquesta caixa de diàleg no és possible inserir una taula amb més de $1 ceŀles.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'No heu introduït un nombre vàlid de files o columnes.',
	'wikieditor-toolbar-tool-table-zero' => 'No podeu inserir una taula amb zero files o columnes.',
	'wikieditor-toolbar-tool-replace' => 'Cerca i reemplaça',
	'wikieditor-toolbar-tool-replace-title' => 'Cerca i reemplaça',
	'wikieditor-toolbar-tool-replace-search' => 'Cerca:',
	'wikieditor-toolbar-tool-replace-replace' => 'Reemplaça per:',
	'wikieditor-toolbar-tool-replace-case' => 'Distingeix majúscules/minúscules',
	'wikieditor-toolbar-tool-replace-regex' => 'Tracta la cadena de cerca com una expressió regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cerca següent',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Reemplaça',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Substitueix-ho tot',
	'wikieditor-toolbar-tool-replace-close' => 'Tanca',
	'wikieditor-toolbar-tool-replace-nomatch' => 'La vostra cerca no ha trobat cap coincidència.',
	'wikieditor-toolbar-tool-replace-success' => "S'han fet $1 substitucions.",
	'wikieditor-toolbar-tool-replace-emptysearch' => 'No heu introduït res per a cercar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'expressió regular que heu introduït no és vàlida: $1",
	'wikieditor-toolbar-section-characters' => 'Caràcters especials',
	'wikieditor-toolbar-characters-page-latin' => 'Llatí',
	'wikieditor-toolbar-characters-page-latinextended' => 'Llatí ampliat',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbols',
	'wikieditor-toolbar-characters-page-greek' => 'Grec',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Ciríŀlic',
	'wikieditor-toolbar-characters-page-arabic' => 'Aràbic',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Aràbic estès',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreu',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalí',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tailandès',
	'wikieditor-toolbar-characters-page-lao' => 'Laosià',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ajuda',
	'wikieditor-toolbar-help-heading-description' => 'Descripció',
	'wikieditor-toolbar-help-heading-syntax' => 'El que teclegeu',
	'wikieditor-toolbar-help-heading-result' => 'El que obteniu',
	'wikieditor-toolbar-help-page-format' => 'Format',
	'wikieditor-toolbar-help-page-link' => 'Enllaços',
	'wikieditor-toolbar-help-page-heading' => 'Encapçalaments',
	'wikieditor-toolbar-help-page-list' => 'Llistes',
	'wikieditor-toolbar-help-page-file' => 'Fitxers',
	'wikieditor-toolbar-help-page-reference' => 'Referències',
	'wikieditor-toolbar-help-page-discussion' => 'Discussió',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Text en cursiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Text en cursiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negreta',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Text en negreta'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Text en negreta</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negreta i cursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Text en negreta i cursiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Text en negreta i cursiva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Enllaç intern',
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[Nom de la pàgina|Nom de l'enllaç]]<br />[[Nom de la pàgina]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Nom de l'enllaç</a><br /><a href='#'>Nom de la pàgina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Enllaç extern',
	'wikieditor-toolbar-help-content-xlink-syntax' => "[http://www.example.org Nom de l'enllaç]<br />[http://www.example.org]<br />http://www.example.org",
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Títol de l'enllaç</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Encapçalament de 2n nivell',
	'wikieditor-toolbar-help-content-heading2-syntax' => "==Text de l'encapçalament==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Text de l'encapçalament</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => 'Encapçalament de 3r nivell',
	'wikieditor-toolbar-help-content-heading3-syntax' => "===Text de l'encapçalament===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Text de l'encapçalament</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => 'Encapçalament de 4t nivell',
	'wikieditor-toolbar-help-content-heading4-syntax' => "====Text de l'encapçalament====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Text de l'encapçalament</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => 'Encapçalament de 5è nivell',
	'wikieditor-toolbar-help-content-heading5-syntax' => "=====Text de l'encapçalament=====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Text de l'encapçalament</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Llista puntejada',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element de la llista<br />* Element de la llista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Element de la llista</li><li>Element de la llista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Llista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element de la llista<br /># Element de la llista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Element de la llista</li><li>Element de la llista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fitxer incrustat',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Text descriptiu de la imatge]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Llegenda</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referències',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Text de la pàgina.&lt;ref name="test"&gt;[http://www.exemple.cat Nom de l\'enllaç], text addicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Text de la pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ús addicional de la mateixa referència',
	'wikieditor-toolbar-help-content-rereference-result' => "Text de la pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostra les referències',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.exemple.cat' class='external text' href='#'>Nom de l'enllaç</a>, text addicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura, data i hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nom d'usuari</a> (<a href='#' title='{{#special:mytalk}}'>discussió</a>) 15:54, 10 de juny de 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nom d'usuari</a> (<a href='#' title='{{#special:mytalk}}'>discussió</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Sagnat',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Text normal<br />:Text sagnat<br />::Text sagnat',
	'wikieditor-toolbar-help-content-indent-result' => 'Text normal<dl><dd>Text sagnat<dl><dd>Text sagnat</dd></dl></dd></dl>',
);

/** Chechen (Нохчийн)
 * @author Sasan700
 */
$messages['ce'] = array(
	'wikieditor' => 'Викийозан рéдоккхучечохь аллсам чулоцург',
	'wikieditor-desc' => 'Аьтто бо тlе хуттучо, викийозан аъ ишта кхечу харжамна рéдоккхучечохь аллсам чулоцучо',
	'wikieditor-wikitext-tab' => 'Викийоза',
	'wikieditor-loading' => 'Чуйолуш',
	'wikieditor-preview-preference' => 'Латайé хьалха муха ю хьажар дуьхь дуьхьал',
	'wikieditor-preview-tab' => 'Хьалха муха ю хьажа',
	'wikieditor-preview-changes-tab' => 'Хийцамаш',
	'wikieditor-preview-loading' => 'Чуйолуш…',
	'wikieditor-previewDialog-preference' => 'Латайé йоза хьалха муха ду хьажар',
	'wikieditor-previewDialog-tab' => 'Хьалха муха ю хьажа',
	'wikieditor-previewDialog-loading' => 'Чуйолуш…',
	'wikieditor-publish-preference' => 'Латайé цхьац ког бокхуш чутохар',
	'wikieditor-publish-button-publish' => 'Нахангайта',
	'wikieditor-publish-button-cancel' => 'Цаоьшу',
	'wikieditor-publish-dialog-title' => 'Нахангайта оцу кхолламехь {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Хийцамах лаьцна (доц язде хlу хийцам бина ахьа):',
	'wikieditor-publish-dialog-minor' => 'Жим хийцам',
	'wikieditor-publish-dialog-watch' => 'Тергам бé хlокху агlон',
	'wikieditor-publish-dialog-publish' => 'Нахангайта',
	'wikieditor-publish-dialog-goback' => 'Юхьа',
	'wikieditor-template-editor-preference' => 'Латайé куцкепа рéдаккхар бáраман гlонца',
	'wikieditor-template-editor-dialog-title' => 'Куцкеп хийцам',
	'wikieditor-template-editor-dialog-submit' => 'Карлаяккха',
	'wikieditor-template-editor-dialog-cancel' => 'Цаоьшу',
	'wikieditor-templates-preference' => 'Латедé куцкеп хьарчар',
	'wikieditor-toc-preference' => 'Латедé коьрта дерг шавигарна аттонца',
	'wikieditor-toc-show' => 'Гайта коьртехь дерг',
	'wikieditor-toc-hide' => 'Къайлахьо коьртехь дерг',
	'wikieditor-toolbar' => 'Рéдоккху меттиг',
	'wikieditor-toolbar-desc' => 'Рéдоккху меттиг гlоле лелорца',
	'wikieditor-toolbar-preference' => 'Латайé гlоле йолу рéдоккхург',
	'wikieditor-toolbar-dialogs-preference' => 'Латайé йозан хьажориг йуьллург, таблийцан аъ кхин хlумнашна',
	'wikieditor-toolbar-loading' => 'Чуйолуш…',
	'wikieditor-toolbar-tool-bold' => 'Дерстино',
	'wikieditor-toolbar-tool-bold-example' => 'Дерстино до йоза',
	'wikieditor-toolbar-tool-italic' => 'Курсетта',
	'wikieditor-toolbar-tool-italic-example' => 'Курсеттан до йоза',
	'wikieditor-toolbar-tool-ilink' => 'Чоьхьа хьажориг',
	'wikieditor-toolbar-tool-ilink-example' => 'Хьажориган коьрта могlа',
	'wikieditor-toolbar-tool-xlink' => 'Арахьа хьажориг (йиц ма йе хlотталушерг http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com хьажориг корта',
	'wikieditor-toolbar-tool-link' => 'Хьажориг',
	'wikieditor-toolbar-tool-link-title' => 'Чуйилла хьажориг',
	'wikieditor-toolbar-tool-link-int' => 'Оцу вики агlон',
	'wikieditor-toolbar-tool-link-int-target' => 'Хьажийна агlо йа URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Агlон цlе йа URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Гойтуш долу йоза:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Чудилла схьагайта дезаш долу йоза',
	'wikieditor-toolbar-tool-link-ext' => 'Хьалхара агlон чохь',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL хьажоригаш:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Хьажориган йоза:',
	'wikieditor-toolbar-tool-link-insert' => 'Чуйилла хьажориг',
	'wikieditor-toolbar-tool-link-cancel' => 'Цаоьшу',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Ишта агlо йолш ю',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Ишта агlо яц',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ца магайо цlе',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Арахьа хьажориг',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Агlо ю яц хьоьжуш…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Гойтуш йолу цlе ца магайо.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Ахьа хоттийна URL кхечу вики-агlонан хьажоригах тера ю. Хьо лууш ву и хьажориг чоьхьарчех йа?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Чоьхьа хьажориг',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Арахьа хьажориг',
	'wikieditor-toolbar-tool-link-empty' => 'Ахьа ца гайтин мичхьа хьажойеза хьажориг.',
	'wikieditor-toolbar-tool-file' => 'Чохь йолу хlум',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Такхо',
	'wikieditor-toolbar-tool-reference-example' => 'Чудилла кхузе такхо деза йоза',
	'wikieditor-toolbar-tool-reference-cancel' => 'Цаоьшу',
	'wikieditor-toolbar-tool-reference-title' => 'Чудилла такхо',
	'wikieditor-toolbar-tool-reference-insert' => 'Чудилла',
	'wikieditor-toolbar-tool-reference-text' => 'Такхо деза йоза',
	'wikieditor-toolbar-tool-signature' => 'Куьгтаlор хан хlоттош',
	'wikieditor-toolbar-section-advanced' => 'Кхин тlе дукха',
	'wikieditor-toolbar-tool-heading' => 'Корта',
	'wikieditor-toolbar-tool-heading-1' => 'Локхалла 1',
	'wikieditor-toolbar-tool-heading-2' => 'Локхалла 2',
	'wikieditor-toolbar-tool-heading-3' => 'Локхалла 3',
	'wikieditor-toolbar-tool-heading-4' => 'Локхалла 4',
	'wikieditor-toolbar-tool-heading-5' => 'Локхалла 5',
	'wikieditor-toolbar-tool-heading-example' => 'Коьрта йоза',
	'wikieditor-toolbar-group-format' => 'Бáрам',
	'wikieditor-toolbar-tool-ulist' => 'Къастам бина могlам',
	'wikieditor-toolbar-tool-ulist-example' => 'Къастам бина могlаман хlум',
	'wikieditor-toolbar-tool-olist' => 'Терахьца болу могlам',
	'wikieditor-toolbar-tool-olist-example' => 'Терахьца болу могlаман хlум',
	'wikieditor-toolbar-tool-indent' => 'Дlахило',
	'wikieditor-toolbar-tool-indent-example' => 'Могlа дlахилабо',
	'wikieditor-toolbar-tool-nowiki' => 'Тергал ца бо вики-бáрамхlоттор',
	'wikieditor-toolbar-tool-nowiki-example' => 'Чудилла кхузе йоза, бáрам хlотто ца оьшуш дерг',
	'wikieditor-toolbar-tool-redirect' => 'Дlасахьажор',
	'wikieditor-toolbar-tool-redirect-example' => 'Хьжочу агlонан цlе',
	'wikieditor-toolbar-tool-big' => 'Доккха',
	'wikieditor-toolbar-tool-big-example' => 'Доккха йоза',
	'wikieditor-toolbar-tool-small' => 'Жима',
	'wikieditor-toolbar-tool-small-example' => 'Жима йоза',
	'wikieditor-toolbar-tool-superscript' => 'Могlан лакха',
	'wikieditor-toolbar-tool-superscript-example' => 'Могlан лакхар йоза',
	'wikieditor-toolbar-tool-subscript' => 'Могlан буха',
	'wikieditor-toolbar-tool-subscript-example' => 'Могlан бухар йоза',
	'wikieditor-toolbar-group-insert' => 'Диллар',
	'wikieditor-toolbar-tool-gallery' => 'Дуккха суьрташ',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Цуьнах лаце1
$1:Example.jpg|Цуьнах лаце2',
	'wikieditor-toolbar-tool-newline' => 'Керла могlа',
	'wikieditor-toolbar-tool-table' => 'Таблийца',
	'wikieditor-toolbar-tool-table-example-old' => '-
! коьрта могlа 1
! коьрта могlа 2
! коьрта могlа 3
|-
| могlа 1, чоь 1
| могlа 1, чоь 2
| могlа 1, чоь 3
|-
| могlа 2, чоь 1
| могlа 2, чоь 2
| могlа 2, чоь 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Чоьнан йоза',
	'wikieditor-toolbar-tool-table-example-header' => 'Коьрта йоза',
	'wikieditor-toolbar-tool-table-title' => 'Чуйилла таблийца',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Могlнаш',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Бlогlамаш',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Тlетоха коьрта могlан могlа',
	'wikieditor-toolbar-tool-table-wikitable' => 'Кечйеш дозанашца',
	'wikieditor-toolbar-tool-table-sortable' => 'Листалуш йе таблийца',
	'wikieditor-toolbar-tool-table-example' => 'Чоьнан йоза',
	'wikieditor-toolbar-tool-table-preview' => 'Хьалха муха ю хьажа',
	'wikieditor-toolbar-tool-table-insert' => 'Чуйилла',
	'wikieditor-toolbar-tool-table-cancel' => 'Цаоьшу',
	'wikieditor-toolbar-tool-table-toomany' => 'Оцул чоьнаш йа аьтту ца болу, таблийцан чоьнашна бáрам $1 хоттало.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ахьа нийса ца хоттийн цхьатерра могlанаш ле бlогlамаш.',
	'wikieditor-toolbar-tool-table-zero' => 'Хьога йиллалур яц таблийца йоцургца могlанаш ле бlогlамаш долуш.',
	'wikieditor-toolbar-tool-replace' => 'Лаха хийца аъ хуьйцуш',
	'wikieditor-toolbar-tool-replace-title' => 'Лаха хийца аъ хуьйцуш',
	'wikieditor-toolbar-tool-replace-search' => 'Лаха:',
	'wikieditor-toolbar-tool-replace-replace' => 'Хийца оцуьнца:',
	'wikieditor-toolbar-tool-replace-case' => 'Яздар тидаме оьцуш',
	'wikieditor-toolbar-tool-replace-regex' => 'Хилийта могlа юх-юха лохуш долу дош',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Караде тlаьхьадогlург',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Деригге хийца',
	'wikieditor-toolbar-tool-replace-close' => 'Дlачlагlа',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Хьан дехарца хlумма ца карийна.',
	'wikieditor-toolbar-tool-replace-success' => 'Балийна хийцам: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ахьа ца гайтна хlу лаха деза.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ахьа язйина цlе юх-юха нийса яц: $1',
	'wikieditor-toolbar-section-characters' => 'Саболу куьцаш',
	'wikieditor-toolbar-characters-page-latin' => 'Латинхойн',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латинхойн аллсам',
	'wikieditor-toolbar-characters-page-ipa' => 'ДАЭ (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Саболурш',
	'wikieditor-toolbar-characters-page-greek' => 'Гlайрхойн',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кирилан',
	'wikieditor-toolbar-characters-page-arabic' => 'Iарбойн',
	'wikieditor-toolbar-characters-page-persian' => 'Пхьарсхойн',
	'wikieditor-toolbar-characters-page-hebrew' => 'Жуьгтийн',
	'wikieditor-toolbar-characters-page-bangla' => 'Бангалойн',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугойн',
	'wikieditor-toolbar-characters-page-sinhala' => 'Синхалойн',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гужаратойн',
	'wikieditor-toolbar-characters-page-thai' => 'Тайхойн',
	'wikieditor-toolbar-characters-page-lao' => 'Лаохойн',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхимерхойн',
	'wikieditor-toolbar-section-help' => 'Нисвохаам',
	'wikieditor-toolbar-help-heading-description' => 'Цуьнах лаьцна',
	'wikieditor-toolbar-help-heading-syntax' => 'Хlу йуьллу ахьа',
	'wikieditor-toolbar-help-heading-result' => 'Хlу хуьлу хьуна',
	'wikieditor-toolbar-help-page-format' => 'Бáрамхlоттор',
	'wikieditor-toolbar-help-page-link' => 'Хьажоригаш',
	'wikieditor-toolbar-help-page-heading' => 'Коьрта могlнаш',
	'wikieditor-toolbar-help-page-list' => 'Могlамаш',
	'wikieditor-toolbar-help-page-file' => 'Хlумнаш',
	'wikieditor-toolbar-help-page-reference' => 'Билгалдаккхар',
	'wikieditor-toolbar-help-page-discussion' => 'Дийцаре',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсетта',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсеттан до йоза''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсеттан до йоза</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Дерстино',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Дерстино до йоза'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Дерстино до йоза</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Дерстино курсеттан',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Дерстино курсеттан'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Дерстино курсеттан</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Чоьхьа хьажориг',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Агlонан коьрта могlа|Хьажориган йоза]]<br />[[Агlонан коьрта могlа]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Хьажориган йоза</a><br /><a href='#'>Агlонан коьрта могlа</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Арахьа хьажориг',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Хьажориган йоза]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Хьажориган йоза</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Коьрта могlа 2-гlа локхалла',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Коьрта могlан йоза ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Коьрта могlан йоза</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Коьрта могlа 3-гlа локхалла',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Коьрта могlан йоза ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Коьрта могlан йоза</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Коьрта могlа 4-гlа локхалла',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Коьрта могlан йоза ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Коьрта могlан йоза</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Коьрта могlа 5-гlа локхалла',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Коьрта могlан йоза =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Коьрта могlан йоза</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Къастам бина могlам',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Могlаман хlум<br />* Могlаман хlум',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Могlаман хlум</li><li>Могlаман хlум</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Терахьца болу могlам',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Могlаман хlум<br /># Могlаман хlум',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Могlаман хlум</li><li>Могlаман хlум</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Чохь йолу хlум',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Оцуьнах лаьцна йоза]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='
Оцуьнах лаьцна йоза' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Доккха дан' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>
Оцуьнах лаьцна йоза</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Билгалдаккхар',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Агlонан йоза.&lt;ref name="test"&gt;[http://www.example.org Хьажориган йоза], кхин тlе дузуш йоза.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Агlонан йоза.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Кхин тlе лело изза хьажориг',
	'wikieditor-toolbar-help-content-rereference-result' => "Агlонан йоза<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Гайта билгалдаккхар',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Хьажориган йоза</a>, кхин тlе дузуш йоза.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Куьгтаlор хан хlоттош',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Декъашхон цlе</a> (<a href='#' title='{{#special:mytalk}}'>дийцаре</a>) 15:54, 10 Мангал бутт 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Куьгтаlор',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Декъашхон цlе</a> (<a href='#' title='{{#special:mytalk}}'>дийцаре</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Дlахило',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Гуттарлера йоза<br />:Дlахилийна йоза<br />::Дlахилийна йоза',
	'wikieditor-toolbar-help-content-indent-result' => 'Гуттарлера йоза<dl><dd>Дlахилийна йоза<dl><dd>Дlахилийна йоза</dd></dl></dd></dl>',
);

/** Sorani (کوردی)
 * @author Asoxor
 * @author Marmzok
 * @author McDutchie
 */
$messages['ckb'] = array(
	'wikieditor' => 'ڕووکاری پێشکەوتووی دەستکاریکردنی ویکیدەق',
	'wikieditor-wikitext-tab' => 'ویکیدەق',
	'wikieditor-loading' => 'بارکردن',
	'wikieditor-preview-preference' => 'ڕێگەپێدان بە پێشبینینی شانبەشان',
	'wikieditor-preview-tab' => 'پێشبینین',
	'wikieditor-preview-changes-tab' => 'گۆڕانکارییەکان',
	'wikieditor-preview-loading' => 'باركردن‌ ...',
	'wikieditor-previewDialog-preference' => 'ڕێگە بدە بە پەنجەرەی پێشبینین',
	'wikieditor-previewDialog-tab' => 'پێشبینین',
	'wikieditor-previewDialog-loading' => 'باركردن‌ ...',
	'wikieditor-publish-preference' => 'ڕێگە بدە بە بڵاوکردنەوەی ھەنگاوبەھەنگاو',
	'wikieditor-publish-button-publish' => 'بڵاوی بکەوە',
	'wikieditor-publish-button-cancel' => 'ھەڵوەشاندنەوە',
	'wikieditor-publish-dialog-title' => 'لە {{SITENAME}} بڵاوی بکەوە',
	'wikieditor-publish-dialog-summary' => 'پوختەی دەستکاری (بە کورتی ئەی گۆڕانکارییانەی کردووتە ئاشکرا دەکاتەوە):',
	'wikieditor-publish-dialog-minor' => 'دەستکاریی بچووک',
	'wikieditor-publish-dialog-watch' => 'چاودێڕیی ئەم پەڕە بکە',
	'wikieditor-publish-dialog-publish' => 'بڵاوی بکەوە',
	'wikieditor-publish-dialog-goback' => 'بگەڕێوە',
	'wikieditor-template-editor-preference' => 'ڕێگە بدە بە دەستکاریکردنی وەک فۆرم بۆ داڕێژەکانی ویکی',
	'wikieditor-template-editor-dialog-title' => 'دەستکاریکردنی دارێژە',
	'wikieditor-template-editor-dialog-submit' => 'نوێ کردنەوە',
	'wikieditor-template-editor-dialog-cancel' => 'ھەڵوەشاندنەوە',
	'wikieditor-templates-preference' => 'مۆڵەتدانی کۆکردنەوەی داڕێژە',
	'wikieditor-toc-preference' => 'خستنەکاری خشتە ڕێدۆزەکانی ناوەڕۆک',
	'wikieditor-toc-show' => 'ناوەرۆک نیشانبدە',
	'wikieditor-toc-hide' => 'شاردنەوەی ناوەڕۆک',
	'wikieditor-toolbar' => 'شریتامرازی دەستکاریکردن',
	'wikieditor-toolbar-desc' => 'شریتامرازی پەڕەی دەستکاریکردن بە کارەمەیی پەرەپێدراو',
	'wikieditor-toolbar-preference' => 'ڕێگە بدە بە شریتامرازی پەرەسندووی دەستکاری کردن',
	'wikieditor-toolbar-dialogs-preference' => 'ڕێگە بدە بە پەنجەرە وتووێژییەکان بۆ تێخستنی بەستەرەکان، خشتەکان و ھتد.',
	'wikieditor-toolbar-loading' => 'خەریکی بارکردن...',
	'wikieditor-toolbar-tool-bold' => 'تۆخ',
	'wikieditor-toolbar-tool-bold-example' => 'دەقی تۆخ',
	'wikieditor-toolbar-tool-italic' => 'لار',
	'wikieditor-toolbar-tool-italic-example' => 'دەقی لار',
	'wikieditor-toolbar-tool-ilink' => 'بەستەری ناوەکی',
	'wikieditor-toolbar-tool-ilink-example' => 'سەردێڕی بەستەر',
	'wikieditor-toolbar-tool-xlink' => 'بەستەری دەرەکی (پێشگری http:// لەبیرنەکەی)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com سەردێڕی بەستەر',
	'wikieditor-toolbar-tool-link' => 'بەستەر',
	'wikieditor-toolbar-tool-link-title' => 'دانانی بەستەر',
	'wikieditor-toolbar-tool-link-int' => 'بە پەڕەیەکی ویکی',
	'wikieditor-toolbar-tool-link-int-target' => 'پەڕەی مەبەست یان URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'ناونیشانی پەڕە یان URL',
	'wikieditor-toolbar-tool-link-int-text' => 'دەق بۆ نیشاندان:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'دقێک کە نیشان ئەدرێت',
	'wikieditor-toolbar-tool-link-ext' => 'بۆ وێب‌پەڕەیەکی دەرەکی',
	'wikieditor-toolbar-tool-link-ext-target' => 'بەستەری URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'دەقی بەستەر:',
	'wikieditor-toolbar-tool-link-insert' => 'دانانی بەستەر',
	'wikieditor-toolbar-tool-link-cancel' => 'ھەڵوەشاندنەوە',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'پەڕەکە ھەیە',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'پەڕە بوونی نییە',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ناونیشان ھەڵە',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'بەستەری دەرەکی',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'پشکنینی ھەبوونی پەڕە ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ئەو ناونیشانە دەستنیشانت کردووە نادروستە',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'ئەو ناونیشانەی ڕەچاوت کردووە لەوەدەچێ بەستەرێک بێت بۆ پەڕەیەکی ویکی دیکە. ئایا دەتەوێ بیکەی بە بەستەرێکی ناوەکی؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'بەستەری ناوخۆ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'بەستەری دەرەکی',
	'wikieditor-toolbar-tool-link-empty' => 'ھیچێک بۆ بەستەر بۆ کردن نەخستە ناوی',
	'wikieditor-toolbar-tool-file' => 'پەڕگەی نێودەق',
	'wikieditor-toolbar-tool-file-example' => 'نموونە.jpg',
	'wikieditor-toolbar-tool-reference' => 'سەرچاوە',
	'wikieditor-toolbar-tool-reference-example' => 'دەقی پانووس بخەرە ئێرە',
	'wikieditor-toolbar-tool-reference-cancel' => 'ھەڵوەشاندنەوە',
	'wikieditor-toolbar-tool-reference-title' => 'زۆرکردنی سەرچاوە',
	'wikieditor-toolbar-tool-reference-insert' => 'تێخستن',
	'wikieditor-toolbar-tool-reference-text' => 'دەقی سەرچاوە',
	'wikieditor-toolbar-tool-signature' => 'واژۆ و ڕێکەوت',
	'wikieditor-toolbar-section-advanced' => 'پەرەسەندوو',
	'wikieditor-toolbar-tool-heading' => 'سەردێڕ',
	'wikieditor-toolbar-tool-heading-1' => 'ئاستی ١',
	'wikieditor-toolbar-tool-heading-2' => 'ئاستی ٢',
	'wikieditor-toolbar-tool-heading-3' => 'ئاستی ٣',
	'wikieditor-toolbar-tool-heading-4' => 'ئاستی ٤',
	'wikieditor-toolbar-tool-heading-5' => 'ئاستی ٥',
	'wikieditor-toolbar-tool-heading-example' => 'دەقی سەردێڕ',
	'wikieditor-toolbar-group-format' => 'داڕشتن',
	'wikieditor-toolbar-tool-ulist' => 'لیستی خاڵبەندکراو',
	'wikieditor-toolbar-tool-ulist-example' => 'ئەندامی لیستی خاڵبەندکراو',
	'wikieditor-toolbar-tool-olist' => 'لیستی ژمارەکراو',
	'wikieditor-toolbar-tool-olist-example' => 'ئەندامی لیستی ژمارەکراو',
	'wikieditor-toolbar-tool-indent' => 'پێشبردن',
	'wikieditor-toolbar-tool-indent-example' => 'ھێڵی پێشبراو',
	'wikieditor-toolbar-tool-nowiki' => 'بەکارنەھێنانی فۆڕماتەکانی ویکی',
	'wikieditor-toolbar-tool-nowiki-example' => 'ئەو دەقەی دەتەوێ بێ فۆڕمات بێت لێرە دابنە',
	'wikieditor-toolbar-tool-redirect' => 'ڕەوانەکردن',
	'wikieditor-toolbar-tool-redirect-example' => 'ناوی پەڕەی مەبەست',
	'wikieditor-toolbar-tool-big' => 'گەورە',
	'wikieditor-toolbar-tool-big-example' => 'دەقی گەورە',
	'wikieditor-toolbar-tool-small' => 'بچوک',
	'wikieditor-toolbar-tool-small-example' => 'دەقی بچکوک',
	'wikieditor-toolbar-tool-superscript' => 'سەرنووس',
	'wikieditor-toolbar-tool-superscript-example' => 'دەقی سەرنووس',
	'wikieditor-toolbar-tool-subscript' => 'ژێرنووس',
	'wikieditor-toolbar-tool-subscript-example' => 'دەقی ژێرنووس',
	'wikieditor-toolbar-group-insert' => 'تێخستن',
	'wikieditor-toolbar-tool-gallery' => 'گالێری وێنە',
	'wikieditor-toolbar-tool-gallery-example' => '$1:نموونە.jpg|شرۆڤەی ١
$1:نموونە.jpg|شرۆڤەی ٢',
	'wikieditor-toolbar-tool-newline' => 'ھێڵی نوێ',
	'wikieditor-toolbar-tool-table' => 'خشتە',
	'wikieditor-toolbar-tool-table-example-old' => '-
! سەردێڕی ١
! سەردێڕی ٢
! سەردێڕی ٣
|-
| ڕیزی ١، خانەی ١
| ڕیزی ١، خانەی ٢
| ڕیزی ١، خانەی ٣
|-
| ڕیزی ٢، خانەی ١
| ڕیزی ٢، خانەی ٢
| ڕیزی ٢، خانەی ٣',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'دەقی خانە',
	'wikieditor-toolbar-tool-table-example-header' => 'دەقی سەردێڕ',
	'wikieditor-toolbar-tool-table-title' => 'دانانی خشتە',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ڕیزەکان',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ستوونەکان',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'زیادکردنی ڕیزی سەردێڕ',
	'wikieditor-toolbar-tool-table-wikitable' => 'شێوازی بەقەراغ',
	'wikieditor-toolbar-tool-table-sortable' => 'با خشتەکە بە ڕیز بکرێت',
	'wikieditor-toolbar-tool-table-example' => 'نموونە',
	'wikieditor-toolbar-tool-table-preview' => 'پێشبینین',
	'wikieditor-toolbar-tool-table-insert' => 'تێخستن',
	'wikieditor-toolbar-tool-table-cancel' => 'ھەڵوەشاندنەوە',
	'wikieditor-toolbar-tool-table-toomany' => 'تێخستنی خشتەیەک بە زۆرتر لە $1 خانەوە بەم ئامرازەوە ناکرێ.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'ژمارەیەکی دروستت بۆ ڕیزەکان یان ستوونەکان نەداوە.',
	'wikieditor-toolbar-tool-table-zero' => 'ناتوانی خشتەیەک بێ ھیچ ڕیز یان ستوونێک تێبخەی',
	'wikieditor-toolbar-tool-replace' => 'دۆزینەوە و لەجێدانان',
	'wikieditor-toolbar-tool-replace-title' => 'بیدۆزەوە و لەجێیدانە',
	'wikieditor-toolbar-tool-replace-search' => 'بگەڕێ بۆ:',
	'wikieditor-toolbar-tool-replace-replace' => 'جێبەجێی بکە لەگەڵ:',
	'wikieditor-toolbar-tool-replace-case' => 'کوت و مت وەک خۆی',
	'wikieditor-toolbar-tool-replace-regex' => 'لەگەڵ نووسەی گەڕانەکە وەک دەقی ڕێک ھەڵسوکەوت بکە',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'دوای ئەمە بدۆزەوە',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'ھەموویان جێگیر بکە',
	'wikieditor-toolbar-tool-replace-close' => 'دایخە',
	'wikieditor-toolbar-tool-replace-nomatch' => 'گەڕانەکەت لەگەڵ ھیچ شتێک نەگونجا.',
	'wikieditor-toolbar-tool-replace-success' => '$1 جێگرتنەوە ئەنجامدرا.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'ھیچ شتێکت بۆ گەڕان ڕەچاو نەکردوو.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'ئەو regular expression کە نووسیوتە گونجاو نییە: $1',
	'wikieditor-toolbar-section-characters' => 'نووسە تایبەتەکان',
	'wikieditor-toolbar-characters-page-latin' => 'لاتینی',
	'wikieditor-toolbar-characters-page-latinextended' => 'لاتینیی پەرەپێدراو',
	'wikieditor-toolbar-characters-page-ipa' => 'ئای پی ئەی',
	'wikieditor-toolbar-characters-page-symbols' => 'ھێماکان',
	'wikieditor-toolbar-characters-page-greek' => 'یۆنانی',
	'wikieditor-toolbar-characters-page-cyrillic' => 'سیریلیک',
	'wikieditor-toolbar-characters-page-arabic' => 'عەرەبی',
	'wikieditor-toolbar-characters-page-arabicextended' => 'عەرەبیی پەرەپێدراو',
	'wikieditor-toolbar-characters-page-persian' => 'فارسی',
	'wikieditor-toolbar-characters-page-hebrew' => 'عیبری',
	'wikieditor-toolbar-characters-page-bangla' => 'بەنگالی',
	'wikieditor-toolbar-characters-page-telugu' => 'تێلوگو',
	'wikieditor-toolbar-characters-page-sinhala' => 'سینھالا',
	'wikieditor-toolbar-characters-page-gujarati' => 'گوجەراتی',
	'wikieditor-toolbar-characters-page-thai' => 'تایلەندی',
	'wikieditor-toolbar-characters-page-khmer' => 'خمێری',
	'wikieditor-toolbar-section-help' => 'یارمەتی',
	'wikieditor-toolbar-help-heading-description' => 'وەسف',
	'wikieditor-toolbar-help-heading-syntax' => 'ئەوی تایپی دەکەی',
	'wikieditor-toolbar-help-heading-result' => 'ئەوەی بەدەستی دێنی',
	'wikieditor-toolbar-help-page-format' => 'ڕازاندنەوە',
	'wikieditor-toolbar-help-page-link' => 'بەستەرەکان',
	'wikieditor-toolbar-help-page-heading' => 'سەردێڕەکان',
	'wikieditor-toolbar-help-page-list' => 'لیستەکان',
	'wikieditor-toolbar-help-page-file' => 'پەڕگەکان',
	'wikieditor-toolbar-help-page-reference' => 'سەرچاوەکان',
	'wikieditor-toolbar-help-page-discussion' => 'وتووێژ',
	'wikieditor-toolbar-help-content-italic-description' => 'لار',
	'wikieditor-toolbar-help-content-italic-syntax' => "''دەقی لار''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>دەقی لار</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'تۆخ',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''دەقی تۆخ'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>دەقی تۆخ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'تۆخ و لار',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''دەقی تۆخ و لار'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>دەقی تۆخ و لار</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'بەستەری ناوەکی',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[ناونیشانی پەڕە|نازناوی بەستەر]]<br />[[ناونیشانی پەڕە]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>نازناوی بەستەر</a><br /><a href='#'>ناونیشانی پەڕە</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'بەستەری دەرەکی',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org سەردێڕی بەستەر]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>سەردێڕی بەستەر</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'سەردێڕی ئاستی دووهەم',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== دەقی سەردێڕ ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>دەقی سەردێڕ</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'سەردێڕی ئاستی سێهەم',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== دەقی سەردێڕ ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>دەقی سەردێڕ</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'سەردێڕی ئاستی چوارەم',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== دەقی سەردێڕ ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>دەقی سەردێڕ</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'سەردێڕی ئاستی پەنجەم',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== دەقی سەردێڕ =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>دەقی سەردێڕ</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'لیستی خاڵبەندکراو',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* ئەندامی لیست<br />* ئەندامی لیست',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ئەندامی لیست</li><li>ئەندامی لیست</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'لیستی ژمارەکراو',
	'wikieditor-toolbar-help-content-olist-syntax' => '# ئەندامی لیست<br /># ئەندامی لیست',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ئەندامی لیست</li><li>ئەندامی لیست</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'پەڕگەی نێودەق',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|دەقی شرۆڤە]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='دەقی شرۆڤە' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='گەورەکردنەوە' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>دەقی شرۆڤە</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'سەرچاوە',
	'wikieditor-toolbar-help-content-reference-syntax' => 'دەقی پەڕە.&lt;ref name="test"&gt;[http://www.example.org دەقی بەستەر], دەقی زیادی.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "دەقی پەڕە.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'بەکارھێنانی دیکەی ئەو سەرچاوەیە',
	'wikieditor-toolbar-help-content-rereference-result' => "دەقی پەڕە.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'نیشان‌دانی سەرچاوەکان',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>دەقی بەستەر</a>, دەقی زیادی.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'واژۆ لەگەڵ ڕێکەوتدا',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ناوی بەکارھێنەر</a> (<a href='#' title='{{#special:mytalk}}'>لێدوان</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'واژۆ',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ناوی بەکارھێنەر</a> (<a href='#' title='{{#special:mytalk}}'>لێدوان</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'پێشبردن',
	'wikieditor-toolbar-help-content-indent-syntax' => 'دەقی ئاسایی<br />:دەقی پێشچوو<br />::دەقی پێشچوو',
	'wikieditor-toolbar-help-content-indent-result' => 'دەقی ئاسایی<dl><dd>دەقی پێشچوو<dl><dd>دەقی پێشچوو</dd></dl></dd></dl>',
);

/** Corsican (Corsu) */
$messages['co'] = array(
	'wikieditor-toolbar-tool-heading-1' => 'Livellu 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livellu 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livellu 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livellu 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livellu 5',
);

/** Czech (Česky)
 * @author Kuvaly
 * @author Mormegil
 */
$messages['cs'] = array(
	'wikieditor' => 'Vylepšené rozhraní pro editaci wikitextu',
	'wikieditor-desc' => 'Poskytuje rozšiřitelné editační rozhraní a mnoho modulů s novými funkcemi',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Načítá se',
	'wikieditor-preview-preference' => 'Zapnout náhledy v panelu',
	'wikieditor-preview-tab' => 'Náhled',
	'wikieditor-preview-changes-tab' => 'Změny',
	'wikieditor-preview-loading' => 'Načítá se…',
	'wikieditor-previewDialog-preference' => 'Používat dialog pro náhled',
	'wikieditor-previewDialog-tab' => 'Náhled',
	'wikieditor-previewDialog-loading' => 'Načítá se…',
	'wikieditor-publish-preference' => 'Zapnout průvodce publikováním',
	'wikieditor-publish-button-publish' => 'Publikovat',
	'wikieditor-publish-button-cancel' => 'Storno',
	'wikieditor-publish-dialog-title' => 'Publikovat do {{grammar:2sg|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Shrnutí editace (stručně popište provedené změny):',
	'wikieditor-publish-dialog-minor' => 'Malá editace',
	'wikieditor-publish-dialog-watch' => 'Sledovat tuto stránku',
	'wikieditor-publish-dialog-publish' => 'Publikovat',
	'wikieditor-publish-dialog-goback' => 'Zpět',
	'wikieditor-template-editor-preference' => 'Zapnout formulářovou editaci šablon wiki',
	'wikieditor-template-editor-dialog-title' => 'Upravit šablonu',
	'wikieditor-template-editor-dialog-submit' => 'Aktualizovat',
	'wikieditor-template-editor-dialog-cancel' => 'Storno',
	'wikieditor-templates-preference' => 'Zapnout sbalování šablon',
	'wikieditor-toc-preference' => 'Zapnout navigovatelný obsah',
	'wikieditor-toc-show' => 'Zobrazit obsah',
	'wikieditor-toc-hide' => 'Skrýt obsah',
	'wikieditor-toolbar' => 'Editační panel nástrojů',
	'wikieditor-toolbar-desc' => 'Editační panel nástrojů s vylepšenou použitelností',
	'wikieditor-toolbar-preference' => 'Zapnout vylepšený panel nástrojů',
	'wikieditor-toolbar-dialogs-preference' => 'Používat dialogy pro vkládání odkazů, tabulek atd.',
	'wikieditor-toolbar-hidesig' => 'Skrýt tlačítko podpisu na stránkách v hlavním jmenném prostoru',
	'wikieditor-toolbar-loading' => 'Načítá se…',
	'wikieditor-toolbar-tool-bold' => 'Tučně',
	'wikieditor-toolbar-tool-bold-example' => 'Tučný text',
	'wikieditor-toolbar-tool-italic' => 'Kurzíva',
	'wikieditor-toolbar-tool-italic-example' => 'Text kurzívou',
	'wikieditor-toolbar-tool-ilink' => 'Vnitřní odkaz',
	'wikieditor-toolbar-tool-ilink-example' => 'Název odkazu',
	'wikieditor-toolbar-tool-xlink' => 'Externí odkaz (nezapomeňte na předponu http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Titulek odkazu',
	'wikieditor-toolbar-tool-link' => 'Odkaz',
	'wikieditor-toolbar-tool-link-title' => 'Vložit odkaz',
	'wikieditor-toolbar-tool-link-int' => 'Na wiki stránku',
	'wikieditor-toolbar-tool-link-int-target' => 'Název stránky:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Název stránky nebo URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Text odkazu:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text, který se má zobrazit',
	'wikieditor-toolbar-tool-link-ext' => 'Na externí webovou stránku',
	'wikieditor-toolbar-tool-link-ext-target' => 'Cíl odkazu:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Text odkazu:',
	'wikieditor-toolbar-tool-link-insert' => 'Vložit odkaz',
	'wikieditor-toolbar-tool-link-cancel' => 'Storno',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stránka existuje',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stránka neexistuje',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Neplatný název',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Externí odkaz',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Zjišťování existence stránky…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Vámi zadaný název je neplatný.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Uvedené URL vypadá jako odkaz na jinou stránku této wiki.
Chcete z něj tedy udělat vnitřní odkaz?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Vnitřní odkaz',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Externí odkaz',
	'wikieditor-toolbar-tool-link-empty' => 'Musíte uvést cíl odkazu.',
	'wikieditor-toolbar-tool-file' => 'Vložený soubor',
	'wikieditor-toolbar-tool-file-example' => 'Příklad.jpg',
	'wikieditor-toolbar-tool-reference' => 'Poznámky',
	'wikieditor-toolbar-tool-reference-example' => 'Sem uveďte text poznámky',
	'wikieditor-toolbar-tool-reference-cancel' => 'Storno',
	'wikieditor-toolbar-tool-reference-title' => 'Vložit referenci',
	'wikieditor-toolbar-tool-reference-insert' => 'Vložit',
	'wikieditor-toolbar-tool-reference-text' => 'Text reference',
	'wikieditor-toolbar-tool-signature' => 'Podpis a datum',
	'wikieditor-toolbar-section-advanced' => 'Další',
	'wikieditor-toolbar-tool-heading' => 'Nadpis',
	'wikieditor-toolbar-tool-heading-1' => 'Úroveň 1',
	'wikieditor-toolbar-tool-heading-2' => 'Úroveň 2',
	'wikieditor-toolbar-tool-heading-3' => 'Úroveň 3',
	'wikieditor-toolbar-tool-heading-4' => 'Úroveň 4',
	'wikieditor-toolbar-tool-heading-5' => 'Úroveň 5',
	'wikieditor-toolbar-tool-heading-example' => 'Text nadpisu',
	'wikieditor-toolbar-group-format' => 'Formát',
	'wikieditor-toolbar-tool-ulist' => 'Seznam s odrážkami',
	'wikieditor-toolbar-tool-ulist-example' => 'Položka odrážkového seznamu',
	'wikieditor-toolbar-tool-olist' => 'Číslovaný seznam',
	'wikieditor-toolbar-tool-olist-example' => 'Položka číslovaného seznamu',
	'wikieditor-toolbar-tool-indent' => 'Odsazení',
	'wikieditor-toolbar-tool-indent-example' => 'Odsazená řádka',
	'wikieditor-toolbar-tool-nowiki' => 'Bez formátování wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Sem vložte neformátovaný text',
	'wikieditor-toolbar-tool-redirect' => 'Přesměrování',
	'wikieditor-toolbar-tool-redirect-example' => 'Název cílové stránky',
	'wikieditor-toolbar-tool-big' => 'Větší',
	'wikieditor-toolbar-tool-big-example' => 'Zvětšený text',
	'wikieditor-toolbar-tool-small' => 'Menší',
	'wikieditor-toolbar-tool-small-example' => 'Zmenšený text',
	'wikieditor-toolbar-tool-superscript' => 'Horní index',
	'wikieditor-toolbar-tool-superscript-example' => 'Text v horním indexu',
	'wikieditor-toolbar-tool-subscript' => 'Dolní index',
	'wikieditor-toolbar-tool-subscript-example' => 'Text v dolním indexu',
	'wikieditor-toolbar-group-insert' => 'Vložit',
	'wikieditor-toolbar-tool-gallery' => 'Galerie obrázků',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Příklad.jpg|Titulek 1
$1:Příklad.jpg|Titulek 2',
	'wikieditor-toolbar-tool-newline' => 'Nový řádek',
	'wikieditor-toolbar-tool-table' => 'Tabulka',
	'wikieditor-toolbar-tool-table-example-old' => '-
! hlavička 1
! hlavička 2
! hlavička 3
|-
| řádek 1, buňka 1
| řádek 1, buňka 2
| řádek 1, buňka 3
|-
| řádek 2, buňka 1
| řádek 2, buňka 2
| řádek 2, buňka 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Text buňky',
	'wikieditor-toolbar-tool-table-example-header' => 'Text záhlaví',
	'wikieditor-toolbar-tool-table-title' => 'Vložení tabulky',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Řádků',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sloupců',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Přidat řádek s hlavičkou',
	'wikieditor-toolbar-tool-table-wikitable' => 'Styl s okraji',
	'wikieditor-toolbar-tool-table-sortable' => 'Umožnit řazení tabulky',
	'wikieditor-toolbar-tool-table-example' => 'Text buňky',
	'wikieditor-toolbar-tool-table-preview' => 'Náhled',
	'wikieditor-toolbar-tool-table-insert' => 'Vložit',
	'wikieditor-toolbar-tool-table-cancel' => 'Storno',
	'wikieditor-toolbar-tool-table-toomany' => 'Pomocí tohoto dialogu nelze vložit tabulku s více než $1 buňkami.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Musíte zadat platný počet řádků nebo sloupců.',
	'wikieditor-toolbar-tool-table-zero' => 'Nemůžete vložit tabulku s nulovým počet řádků nebo sloupců.',
	'wikieditor-toolbar-tool-replace' => 'Najít a nahradit',
	'wikieditor-toolbar-tool-replace-title' => 'Najít a nahradit',
	'wikieditor-toolbar-tool-replace-search' => 'Najít:',
	'wikieditor-toolbar-tool-replace-replace' => 'Nahradit za:',
	'wikieditor-toolbar-tool-replace-case' => 'Rozlišovat velikost písmen',
	'wikieditor-toolbar-tool-replace-regex' => 'Hledat pomocí regulárního výrazu',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Najít další',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Nahradit',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Nahradit vše',
	'wikieditor-toolbar-tool-replace-close' => 'Zavřít',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Zadanému hledání nic neodpovídá.',
	'wikieditor-toolbar-tool-replace-success' => 'Nahrazeno $1krát.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Musíte uvést, co se má hledat.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Zadaný regulární výraz je neplatný: $1',
	'wikieditor-toolbar-section-characters' => 'Zvláštní znaky',
	'wikieditor-toolbar-characters-page-latin' => 'Latinka',
	'wikieditor-toolbar-characters-page-latinextended' => 'Rozšíření latinky',
	'wikieditor-toolbar-characters-page-ipa' => 'Mezinárodní fonetická abeceda (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboly',
	'wikieditor-toolbar-characters-page-greek' => 'Řecká abeceda',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrilice',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabské písmo',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Rozšíření arabštiny',
	'wikieditor-toolbar-characters-page-persian' => 'Perština',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejské písmo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengálské písmo',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugské písmo',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhálské písmo',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarátské písmo',
	'wikieditor-toolbar-characters-page-thai' => 'Thajština',
	'wikieditor-toolbar-characters-page-lao' => 'Laoština',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerština',
	'wikieditor-toolbar-section-help' => 'Nápověda',
	'wikieditor-toolbar-help-heading-description' => 'Popis',
	'wikieditor-toolbar-help-heading-syntax' => 'Napíšete',
	'wikieditor-toolbar-help-heading-result' => 'Výsledek',
	'wikieditor-toolbar-help-page-format' => 'Formátování',
	'wikieditor-toolbar-help-page-link' => 'Odkazy',
	'wikieditor-toolbar-help-page-heading' => 'Nadpisy',
	'wikieditor-toolbar-help-page-list' => 'Seznamy',
	'wikieditor-toolbar-help-page-file' => 'Soubory',
	'wikieditor-toolbar-help-page-reference' => 'Poznámky',
	'wikieditor-toolbar-help-page-discussion' => 'Diskuse',
	'wikieditor-toolbar-help-content-italic-description' => 'Kurzíva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Text kurzívou''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Text kurzívou</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tučné písmo',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tučný text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tučný text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tučná kurzíva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Text tučnou kurzívou'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Text tučnou kurzívou</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Vnitřní odkaz',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Název stránky|Text odkazu]]<br />[[Název stránky]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Text odkazu</a><br /><a href='#'>Název stránky</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Externí odkaz',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Text odkazu]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Text odkazu</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Nadpis 2. úrovně',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Text nadpisu ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Text nadpisu</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Nadpis 3. úrovně',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Text nadpisu ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Text nadpisu</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Nadpis 4. úrovně',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Text nadpisu ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Text nadpisu</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Nadpis 5. úrovně',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Text nadpisu =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Text nadpisu</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Seznam s odrážkami',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Položka seznamu<br />* Položka seznamu',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Položka seznamu</li><li>Položka seznamu</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Číslovaný seznam',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Položka seznamu<br /># Položka seznamu',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Položka seznamu</li><li>Položka seznamu</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Vložení souboru',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Příklad.png|thumb|Text titulku]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Text titulku' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Zvětšit' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Text titulku</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Poznámka',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Text stránky.&lt;ref name="test"&gt;[http://www.example.org Text odkazu], další text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Text stránky.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Další odkaz na stejnou poznámku',
	'wikieditor-toolbar-help-content-rereference-result' => "Text stránky.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Zobrazení poznámek',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Text odkazu</a>, další text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Podpis a datum',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{ns:User}}:Uživatelské jméno'>Uživatelské jméno</a> 23. 6. 2009, 10:43 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Podpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{ns:User}}:Uživatelské jméno'>Uživatelské jméno</a>",
	'wikieditor-toolbar-help-content-indent-description' => 'Odsazení',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Základní text<br />:Odsazený text<br />::Odsazený text',
	'wikieditor-toolbar-help-content-indent-result' => 'Základní text<dl><dd>Odsazený text<dl><dd>Odsazený text</dd></dl></dd></dl>',
);

/** Kashubian (Kaszëbsczi)
 * @author Kuvaly
 */
$messages['csb'] = array(
	'wikieditor-preview-loading' => 'Ladowanié...',
	'wikieditor-previewDialog-loading' => 'Ladowanié...',
	'wikieditor-template-editor-dialog-submit' => 'Aktualizacëjô',
	'wikieditor-template-editor-dialog-cancel' => 'Anulujë',
	'wikieditor-toolbar-loading' => 'Ladowanié...',
	'wikieditor-toolbar-tool-bold' => 'Grëbi',
	'wikieditor-toolbar-tool-bold-example' => 'Wëtłëszczony drëk',
	'wikieditor-toolbar-tool-italic' => 'Kùrsywa',
	'wikieditor-toolbar-tool-italic-example' => 'Ùchëłi tekst',
	'wikieditor-toolbar-tool-ilink' => 'Bënowi lënk',
	'wikieditor-toolbar-tool-ilink-example' => 'Titel lënka',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titel lënka',
	'wikieditor-toolbar-tool-link' => 'Lënka',
	'wikieditor-toolbar-tool-link-title' => 'Wstôwi lënka',
	'wikieditor-toolbar-tool-link-insert' => 'Wstôwi lënka',
	'wikieditor-toolbar-tool-link-cancel' => 'Anulujë',
	'wikieditor-toolbar-tool-file-example' => 'Przëmiôr.jpg',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anulujë',
	'wikieditor-toolbar-tool-reference-insert' => 'Wstôwi',
	'wikieditor-toolbar-section-advanced' => 'Awansowóné',
	'wikieditor-toolbar-tool-heading-1' => 'Równiô 1',
	'wikieditor-toolbar-tool-heading-2' => 'Równiô 2',
	'wikieditor-toolbar-tool-heading-3' => 'Równiô 3',
	'wikieditor-toolbar-tool-heading-4' => 'Równiô 4',
	'wikieditor-toolbar-tool-heading-5' => 'Równiô 5',
	'wikieditor-toolbar-tool-redirect' => 'Przeczerowani',
	'wikieditor-toolbar-group-insert' => 'Wstôwi',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Régów',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kòlumnów',
	'wikieditor-toolbar-tool-table-example' => 'Przëmiôr',
	'wikieditor-toolbar-tool-table-preview' => 'Pòdzérk',
	'wikieditor-toolbar-tool-table-insert' => 'Wstôwi',
	'wikieditor-toolbar-tool-table-cancel' => 'Anulujë',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nalezë pòstãpné',
	'wikieditor-toolbar-tool-replace-close' => 'Anulujë',
	'wikieditor-toolbar-section-characters' => 'Specjalnë céchów',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Céchë',
	'wikieditor-toolbar-characters-page-greek' => 'Grecczi',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cërylica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabsczi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrajsczi',
	'wikieditor-toolbar-section-help' => 'Pòmòc',
	'wikieditor-toolbar-help-heading-description' => 'Òpis',
	'wikieditor-toolbar-help-content-italic-description' => 'Kùrsywa',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kùrsywa''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kùrsywa</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grëbi',
	'wikieditor-toolbar-help-content-ilink-description' => 'Bënowi lënk',
	'wikieditor-toolbar-help-content-xlink-description' => 'Bùtnowé lënczi',
);

/** Church Slavic (Словѣ́ньскъ / ⰔⰎⰑⰂⰡⰐⰠⰔⰍⰟ)
 * @author ОйЛ
 */
$messages['cu'] = array(
	'wikieditor-preview-changes-tab' => 'мѣнꙑ',
	'wikieditor-publish-button-publish' => 'съхранѥниѥ',
	'wikieditor-publish-dialog-minor' => 'малаꙗ мѣна',
	'wikieditor-publish-dialog-watch' => 'си страницѧ блюдєниѥ',
	'wikieditor-publish-dialog-publish' => 'съхранѥниѥ',
	'wikieditor-template-editor-dialog-title' => 'обраꙁьца исправлѥниѥ',
	'wikieditor-toolbar-tool-ilink-example' => 'съвѧꙁи имѧ',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com съвѧꙁи имѧ',
	'wikieditor-toolbar-tool-link' => 'съвѧꙁь',
	'wikieditor-toolbar-tool-link-title' => 'съвѧꙁи приложєниѥ',
	'wikieditor-toolbar-tool-link-insert' => 'съвѧꙁи приложєниѥ',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'страницѧ нѣстъ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'вънѣщьнꙗ съвѧꙁь',
	'wikieditor-toolbar-tool-file-example' => 'Прикладъ.jpg',
	'wikieditor-toolbar-tool-signature' => 'аѵтографъ и нꙑнѣшьна врѣмѧ и дьнь',
	'wikieditor-toolbar-tool-redirect' => 'прѣнаправлѥниѥ',
	'wikieditor-toolbar-tool-big' => 'вєликъ',
	'wikieditor-toolbar-tool-small' => 'малъ',
	'wikieditor-toolbar-tool-newline' => 'новъ рѧдъ',
	'wikieditor-toolbar-tool-table' => 'та́влїѥ',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'рѧдꙑ',
	'wikieditor-toolbar-tool-table-example' => 'прикладъ',
	'wikieditor-toolbar-section-characters' => 'допльнитєл҄ьнꙑ сѷмволи',
	'wikieditor-toolbar-characters-page-latin' => 'латиньска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-latinextended' => 'латиньскꙑ аꙁъбоукьвє доложєниѥ',
	'wikieditor-toolbar-characters-page-ipa' => 'М҃ФА',
	'wikieditor-toolbar-characters-page-symbols' => 'сѷмволи',
	'wikieditor-toolbar-characters-page-greek' => 'грьчьска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-cyrillic' => 'климєнтовица / гражданьска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-arabic' => 'аравьска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-hebrew' => 'єврєиска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-bangla' => 'бангальска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-telugu' => 'тєлоужьска аꙁъбоукꙑ',
	'wikieditor-toolbar-characters-page-sinhala' => 'синхальска аꙁъбоукꙑ',
	'wikieditor-toolbar-section-help' => 'помощь',
	'wikieditor-toolbar-help-page-link' => 'съвѧꙁи',
	'wikieditor-toolbar-help-page-file' => 'дѣла',
	'wikieditor-toolbar-help-page-discussion' => 'бєсѣда',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'аѵтографъ и нꙑнѣшьна врѣмѧ и дьнь',
	'wikieditor-toolbar-help-content-signature-description' => 'аѵтографъ',
);

/** Welsh (Cymraeg)
 * @author Lloffiwr
 */
$messages['cy'] = array(
	'wikieditor' => 'Rhyngwyneb golygu testun wici uwch',
	'wikieditor-desc' => 'Yn darparu rhyngwyneb estynadwy ar gyfer golygu testun wici a llawer o fodiwlau o nodweddion arbennig',
	'wikieditor-wikitext-tab' => 'Testun wici',
	'wikieditor-loading' => "Wrthi'n llwytho",
	'wikieditor-preview-preference' => 'Galluogi rhagolwg ochr-yn-ochr',
	'wikieditor-preview-tab' => 'Rhagolwg',
	'wikieditor-preview-changes-tab' => 'Newidiadau',
	'wikieditor-preview-loading' => "Wrthi'n llwytho...",
	'wikieditor-previewDialog-preference' => 'Galluogi blwch deialog rhagolygon',
	'wikieditor-previewDialog-tab' => 'Rhagolwg',
	'wikieditor-previewDialog-loading' => "Wrthi'n llwytho...",
	'wikieditor-publish-preference' => 'Galluogi cyhoeddi cam-wrth-gam',
	'wikieditor-publish-button-publish' => 'Cyhoeddi',
	'wikieditor-publish-button-cancel' => 'Diddymu',
	'wikieditor-publish-dialog-title' => 'Cyhoeddi ar {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Crynodeb golygu (rhowch ddisgrifiad byr o'ch newididau):",
	'wikieditor-publish-dialog-minor' => 'Golygiad bychan',
	'wikieditor-publish-dialog-watch' => 'Dilyn hynt y dudalen hon',
	'wikieditor-publish-dialog-publish' => 'Cyhoedder',
	'wikieditor-publish-dialog-goback' => 'Yn ôl',
	'wikieditor-template-editor-preference' => 'Galluogi golygu nodynnau wici drwy ffurflen',
	'wikieditor-template-editor-dialog-title' => "Golygu'r nodyn",
	'wikieditor-template-editor-dialog-submit' => 'Diweddarer',
	'wikieditor-template-editor-dialog-cancel' => 'Diddymer',
	'wikieditor-templates-preference' => 'Galluogi crebachu nodyn',
	'wikieditor-toc-preference' => 'Galluogi rhestr gynnwys mordwyol',
	'wikieditor-toc-show' => "Dangos 'Cynnwys'",
	'wikieditor-toc-hide' => "Cuddio 'Cynnwys'",
	'wikieditor-toolbar' => 'Bar offer golygu',
	'wikieditor-toolbar-desc' => 'Bar offer y dudalen olygu gyda gwelliannau defnyddioldeb',
	'wikieditor-toolbar-preference' => "Defnyddio'r bar offer golygu estynedig",
	'wikieditor-toolbar-dialogs-preference' => 'Galluoger y blychau yn y rhyngwyneb ar gyfer mewnosod cysylltiadau, tablau ag ati',
	'wikieditor-toolbar-hidesig' => "Cuddio'r botwm llofnodi rhag y tudalennau yn y prif barth",
	'wikieditor-toolbar-loading' => "Wrthi'n llwytho...",
	'wikieditor-toolbar-tool-bold' => 'Praff',
	'wikieditor-toolbar-tool-bold-example' => 'Testun praff',
	'wikieditor-toolbar-tool-italic' => 'Italig',
	'wikieditor-toolbar-tool-italic-example' => 'Testun italig',
	'wikieditor-toolbar-tool-ilink' => 'Cyswllt mewnol',
	'wikieditor-toolbar-tool-ilink-example' => 'Teitl y cyswllt',
	'wikieditor-toolbar-tool-xlink' => 'Cyswllt allanol (cofiwch rhagddodi http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com teitl y cyswllt',
	'wikieditor-toolbar-tool-link' => 'Cyswllt',
	'wikieditor-toolbar-tool-link-title' => 'Mewnosod cyswllt',
	'wikieditor-toolbar-tool-link-int' => 'At dudalen wici',
	'wikieditor-toolbar-tool-link-int-target' => 'Teitl y dudalen:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Teitl y dudalen neu ei URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testun y cyswllt:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "Gosodwch yr ysgrifen a fydd i'w weld",
	'wikieditor-toolbar-tool-link-ext' => 'At dudalen we allanol',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL y cyswllt:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Ysgrifen y cyswllt:',
	'wikieditor-toolbar-tool-link-insert' => 'Mewnosod cyswllt',
	'wikieditor-toolbar-tool-link-cancel' => 'Diddymu',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Y dudalen ar gael',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => "Nid yw'r dudalen ar gael",
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Teitl annilys',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Cyswllt allanol',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Wrthi'n gwirio a yw'r dudalen ar gael...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Ysgrifennwyd teitl annilys.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Mae'n ymddangos bod yr URL a osodwyd yn arwain at dudalen arall yn y wici.
Ydych chi am ei osod ar ffurf cyswllt mewnol?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Cyswllt mewnol',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Cyswllt allanol',
	'wikieditor-toolbar-tool-link-empty' => "Nid ydych wedi ysgrifennu nod i'r cyswllt fynd ato.",
	'wikieditor-toolbar-tool-file' => 'Ffeil mewnosodol',
	'wikieditor-toolbar-tool-file-example' => 'Enghraifft.jpg',
	'wikieditor-toolbar-tool-reference' => 'Troednodyn',
	'wikieditor-toolbar-tool-reference-example' => 'Ysgrifennwch droednodyn fan hyn',
	'wikieditor-toolbar-tool-reference-cancel' => 'Diddymu',
	'wikieditor-toolbar-tool-reference-title' => 'Mewnosod cyfeirnod',
	'wikieditor-toolbar-tool-reference-insert' => 'Mewnosod',
	'wikieditor-toolbar-tool-reference-text' => 'Testun y cyfeirnod',
	'wikieditor-toolbar-tool-signature' => 'Llofnod a stamp amser',
	'wikieditor-toolbar-section-advanced' => 'Uwch',
	'wikieditor-toolbar-tool-heading' => 'Pennawd',
	'wikieditor-toolbar-tool-heading-1' => 'Lefel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Lefel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Lefel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Lefel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Lefel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Ysgrifennwch y pennawd fan hyn',
	'wikieditor-toolbar-group-format' => 'Fformat:',
	'wikieditor-toolbar-tool-ulist' => 'Rhestr gyda bwledi',
	'wikieditor-toolbar-tool-ulist-example' => 'Eitem ar restr gyda bwledi',
	'wikieditor-toolbar-tool-olist' => "Rhestr wedi'i rhifo",
	'wikieditor-toolbar-tool-olist-example' => "Eitem ar restr wedi'i rhifo",
	'wikieditor-toolbar-tool-indent' => 'Mewnoliad',
	'wikieditor-toolbar-tool-indent-example' => "Llinell wedi'i mewnoli",
	'wikieditor-toolbar-tool-nowiki' => 'Dim cystrawen wici',
	'wikieditor-toolbar-tool-nowiki-example' => 'Rhowch destun heb ei fformatio yma',
	'wikieditor-toolbar-tool-redirect' => 'Ailgyfeiriad',
	'wikieditor-toolbar-tool-redirect-example' => 'Enw tudalen y pen draw',
	'wikieditor-toolbar-tool-big' => 'Mawr',
	'wikieditor-toolbar-tool-big-example' => 'Llythrennau mawr',
	'wikieditor-toolbar-tool-small' => 'Bach',
	'wikieditor-toolbar-tool-small-example' => 'Ysgrifen bach',
	'wikieditor-toolbar-tool-superscript' => 'Uwchysgrif',
	'wikieditor-toolbar-tool-superscript-example' => 'Ysgrifennwch uwchysgrif fan hyn',
	'wikieditor-toolbar-tool-subscript' => 'Isysgrif',
	'wikieditor-toolbar-tool-subscript-example' => 'Ysgrifennwch isysgrif fan hyn',
	'wikieditor-toolbar-group-insert' => 'Mewnosod',
	'wikieditor-toolbar-tool-gallery' => 'Oriel lluniau',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Enghraifft.jpg|Disgrifiad1
$1:Enghraifft.jpg|Disgrifiad2',
	'wikieditor-toolbar-tool-newline' => 'Llinell newydd',
	'wikieditor-toolbar-tool-table' => 'Tabl',
	'wikieditor-toolbar-tool-table-example-old' => '-
! pennawd 1
! pennawd 2
! pennawd 3
|-
| rhes 1, cell 1
| rhes 1, cell 2
| rhes 1, cell 3
|-
| rhes 2, cell 1
| rhes 2, cell 2
| rhes 2, cell 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testun y gell',
	'wikieditor-toolbar-tool-table-example-header' => 'Testun y pennawd',
	'wikieditor-toolbar-tool-table-title' => 'Mewnosod tabl',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rhesi',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colofnau',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Cynhwysir rhes y penawdau',
	'wikieditor-toolbar-tool-table-wikitable' => 'Dangos borderi',
	'wikieditor-toolbar-tool-table-sortable' => 'Gosod tabl y gellir ei drefnu',
	'wikieditor-toolbar-tool-table-example' => 'Testun y gell',
	'wikieditor-toolbar-tool-table-preview' => 'Rhagolwg',
	'wikieditor-toolbar-tool-table-insert' => 'Mewnosod',
	'wikieditor-toolbar-tool-table-cancel' => 'Diddymu',
	'wikieditor-toolbar-tool-table-toomany' => "Nid yw'n bosib gosod tabl ag iddo mwy na $1 o gelloedd trwy ddefnyddio'r deialog hwn.",
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nid ydych wedi gosod nifer (dilys) o resi neu o golofnau.',
	'wikieditor-toolbar-tool-table-zero' => 'Ni allwch osod tabl heb unrhyw resi neu golofnau iddo.',
	'wikieditor-toolbar-tool-replace' => 'Canfod a disodli',
	'wikieditor-toolbar-tool-replace-title' => 'Canfod a disodli',
	'wikieditor-toolbar-tool-replace-search' => 'Chwilier am:',
	'wikieditor-toolbar-tool-replace-replace' => 'Gosoder yn ei le:',
	'wikieditor-toolbar-tool-replace-case' => 'Trin llythrennau mawr a bach fel llythrennau gwahanol',
	'wikieditor-toolbar-tool-replace-regex' => 'Trin y llinyn chwilio fel ymadrodd rheolaidd',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Chwilio am y nesaf',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Disodli',
	'wikieditor-toolbar-tool-replace-button-replaceall' => "Disodli'r cwbwl",
	'wikieditor-toolbar-tool-replace-close' => 'Cau',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ni chanfyddwyd yr hyn a chwiliwyd amdano.',
	'wikieditor-toolbar-tool-replace-success' => 'Gwnaethpwyd $1 amnewidiad.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ni osodwyd unrhywbeth yn y blwch chwilio.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "Nid yw'r ymadrodd rheolaidd a ysgrifennwyd gennych yn ddilys: $1",
	'wikieditor-toolbar-section-characters' => 'Nodau arbennig',
	'wikieditor-toolbar-characters-page-latin' => 'Lladin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Lladin estynedig',
	'wikieditor-toolbar-characters-page-ipa' => 'Yr wyddor phonetig rhyngwladol (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbolau',
	'wikieditor-toolbar-characters-page-greek' => 'Groeg',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrilig',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabeg',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabeg estynedig',
	'wikieditor-toolbar-characters-page-persian' => 'Perseg',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraeg',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gwjarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laoseg',
	'wikieditor-toolbar-characters-page-khmer' => 'Chmereg',
	'wikieditor-toolbar-section-help' => 'Cymorth',
	'wikieditor-toolbar-help-heading-description' => 'Disgrifiad',
	'wikieditor-toolbar-help-heading-syntax' => 'Pan deipiwch hyn',
	'wikieditor-toolbar-help-heading-result' => 'fe gewch',
	'wikieditor-toolbar-help-page-format' => 'Fformatio',
	'wikieditor-toolbar-help-page-link' => 'Cysylltau',
	'wikieditor-toolbar-help-page-heading' => 'Penawdau',
	'wikieditor-toolbar-help-page-list' => 'Rhestri',
	'wikieditor-toolbar-help-page-file' => 'Ffeiliau',
	'wikieditor-toolbar-help-page-reference' => 'Troednodion',
	'wikieditor-toolbar-help-page-discussion' => 'Sgwrs',
	'wikieditor-toolbar-help-content-italic-description' => 'Italig',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Ysgrifen italig''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Ysgrifen italig</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Praff',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testun praff'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testun praff</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Praff &amp; italig',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Ysgrifen praff &amp; italig'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Ysgrifen praff &amp; italig</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Cyswllt mewnol',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Label y cyswllt]]<br />[[Teitl y dudalen]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Label y cyswllt</a><br /><a href='#'>Teitl y dudalen</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Cyswllt allanol',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.enghraifft.org Label y cyswllt]<br />[http://www.enghraifft.org]<br />http://www.enghraifft.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Label y cyswllt</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'pennawd ar lefel 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Y pennawd ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Y pennawd</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'pennawd ar lefel 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Y pennawd ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Y pennawd</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'pennawd ar lefel 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Y pennawd ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Y pennawd</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'pennawd ar lefel 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Y pennawd =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Y pennawd</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Rhestr gyda bwledi',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Eitem ar y rhestr<br />* Eitem ar y rhestr',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Eitem ar y rhestr</li><li>Eitem ar y rhestr</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => "Rhestr wedi'i rhifo",
	'wikieditor-toolbar-help-content-olist-syntax' => '# Eitem ar y rhestr<br /># Eitem ar y rhestr',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Eitem ar y rhestr</li><li>Eitem ar y rhestr</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ffeil mewnosodol',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Disgrifiad]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Egluryn' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Chwyddo' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Egluryn</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Troednodyn',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testun y dudalen.&lt;ref name="test"&gt;[http://www.enghraifft.org ysgrifen y cyswllt], ysgrifen ychwanegol.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => 'Testun y dudalen.',
	'wikieditor-toolbar-help-content-rereference-description' => 'Ail-ddefnyddio troednodyn',
	'wikieditor-toolbar-help-content-rereference-result' => "Testun y dudalen.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Dangos y troednodion',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Ysgrifen y cyswllt</a>, ysgrifen arall.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Llofnod gyda stamp amser',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Enw defnyddiwr</a> (<a href='#' title='{{#special:mytalk}}'>sgwrs</a>) 15:54, 10 Mehefin 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Llofnod',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Enw defnyddiwr</a> (<a href='#' title='{{#special:mytalk}}'>sgwrs</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Mewnoli',
	'wikieditor-toolbar-help-content-indent-syntax' => "Ysgrifen rheolaidd<br />:Ysgrifen wedi'i mewnoli<br />::Ysgrifen wedi'i mewnoli",
	'wikieditor-toolbar-help-content-indent-result' => "Ysgrifen rheolaidd<dl><dd>Ysgrifen wedi'i mewnoli<dl><dd>Ysgrifen wedi'i mewnoli</dd></dl></dd></dl>",
);

/** Danish (Dansk)
 * @author Christian List
 * @author F. Cosoleto
 * @author Froztbyte
 * @author Peter Alberti
 * @author Sarrus
 * @author Sir48
 */
$messages['da'] = array(
	'wikieditor' => 'Avanceret interface til redigering af wikitekst',
	'wikieditor-desc' => 'Giver et udvidet interface til redigering af wikitekst og mange moduler med hjælpefunktioner',
	'wikieditor-wikitext-tab' => 'wikitekst',
	'wikieditor-loading' => 'Indlæser',
	'wikieditor-preview-preference' => 'Aktiver forhåndsvisning side-om-side',
	'wikieditor-preview-tab' => 'Forhåndsvisning',
	'wikieditor-preview-changes-tab' => 'Ændringer',
	'wikieditor-preview-loading' => 'Indlæser...',
	'wikieditor-previewDialog-preference' => 'Aktiver forhåndsvisningsdialog',
	'wikieditor-previewDialog-tab' => 'Forhåndsvisning',
	'wikieditor-previewDialog-loading' => 'Indlæser…',
	'wikieditor-publish-preference' => 'Aktiver skridt-for-skridt udgivelse',
	'wikieditor-publish-button-publish' => 'Udgiv',
	'wikieditor-publish-button-cancel' => 'Afbryd',
	'wikieditor-publish-dialog-title' => 'Udgiv som {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Redigeringsbeskrivelse (beskriv kort de ændringer, du har gjort)',
	'wikieditor-publish-dialog-minor' => 'Mindre ændring',
	'wikieditor-publish-dialog-watch' => 'Overvåg denne side',
	'wikieditor-publish-dialog-publish' => 'Udgiv',
	'wikieditor-publish-dialog-goback' => 'Gå tilbage',
	'wikieditor-template-editor-preference' => 'Aktiver formbaseret redigering af wikiskabeloner',
	'wikieditor-template-editor-dialog-title' => 'Rediger skabelon',
	'wikieditor-template-editor-dialog-submit' => 'Opdater',
	'wikieditor-template-editor-dialog-cancel' => 'Afbryd',
	'wikieditor-templates-preference' => 'Aktiver sammenklappelige skabeloner',
	'wikieditor-toc-preference' => 'Aktiver navigerbar indholdsfortegnelse',
	'wikieditor-toc-show' => 'Vis indhold',
	'wikieditor-toc-hide' => 'Skjul indhold',
	'wikieditor-toolbar' => 'Værktøjslinje til redigering',
	'wikieditor-toolbar-desc' => 'Værktøjslinje til redigering med udvidet brugervenlighed',
	'wikieditor-toolbar-preference' => 'Aktiver forbedret værktøjslinje til redigering',
	'wikieditor-toolbar-dialogs-preference' => 'Aktiver dialoger til indsættelse af links, tabeller og mere.',
	'wikieditor-toolbar-hidesig' => 'Skjul signaturknappen på sider i hovednavnerummet',
	'wikieditor-toolbar-loading' => 'Indlæser ...',
	'wikieditor-toolbar-tool-bold' => 'Fed',
	'wikieditor-toolbar-tool-bold-example' => 'Fed tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiv tekst',
	'wikieditor-toolbar-tool-ilink' => 'Intern henvisning',
	'wikieditor-toolbar-tool-ilink-example' => 'Henvisningstekst',
	'wikieditor-toolbar-tool-xlink' => 'Ekstern henvisning (husk http:// først)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com henvisningstekst',
	'wikieditor-toolbar-tool-link' => 'Henvisning',
	'wikieditor-toolbar-tool-link-title' => 'Indsæt henvisning',
	'wikieditor-toolbar-tool-link-int' => 'Til en wikiartikel/-side',
	'wikieditor-toolbar-tool-link-int-target' => 'Artikeltitel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sidetitel eller internetadresse',
	'wikieditor-toolbar-tool-link-int-text' => 'Henvisningstekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekst, der skal vises',
	'wikieditor-toolbar-tool-link-ext' => 'Til en ekstern webside',
	'wikieditor-toolbar-tool-link-ext-target' => 'Henvisnings-URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Henvisningstekst:',
	'wikieditor-toolbar-tool-link-insert' => 'Indsæt henvisning',
	'wikieditor-toolbar-tool-link-cancel' => 'Annuller',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Siden findes',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Siden findes ikke',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ugyldig titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ekstern henvisning',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrollerer om siden findes ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titlen du gav, er ugyldig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "URL'en, du har angivet, ser ud til at være tiltænkt som en henvisning til en anden wikiside.
Ønsker du at gøre den til en intern henvisning.",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Intern henvisning',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ekstern henvisning',
	'wikieditor-toolbar-tool-link-empty' => 'Du har ikke angivet noget at linke til.',
	'wikieditor-toolbar-tool-file' => 'Indlejret fil',
	'wikieditor-toolbar-tool-file-example' => 'Eksempel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Fodnote',
	'wikieditor-toolbar-tool-reference-example' => 'Indsæt fodnotetekst her',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annullér',
	'wikieditor-toolbar-tool-reference-title' => 'Indsæt reference',
	'wikieditor-toolbar-tool-reference-insert' => 'Indsæt',
	'wikieditor-toolbar-tool-reference-text' => 'Referencetekst',
	'wikieditor-toolbar-tool-signature' => 'Signatur og tidsstempel',
	'wikieditor-toolbar-section-advanced' => 'Avanceret',
	'wikieditor-toolbar-tool-heading' => 'Overskrift',
	'wikieditor-toolbar-tool-heading-1' => 'Niveau 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveau 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveau 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveau 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveau 5',
	'wikieditor-toolbar-tool-heading-example' => 'Overskriftstekst',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Punktliste',
	'wikieditor-toolbar-tool-ulist-example' => 'Element i punktliste',
	'wikieditor-toolbar-tool-olist' => 'Nummereret liste',
	'wikieditor-toolbar-tool-olist-example' => 'Element i nummereret liste',
	'wikieditor-toolbar-tool-indent' => 'Indrykning',
	'wikieditor-toolbar-tool-indent-example' => 'Indrykket linje',
	'wikieditor-toolbar-tool-nowiki' => 'Ingen wikiformatering',
	'wikieditor-toolbar-tool-nowiki-example' => 'Indsæt uformateret tekst her',
	'wikieditor-toolbar-tool-redirect' => 'Omdirigering',
	'wikieditor-toolbar-tool-redirect-example' => 'Målsidens navn',
	'wikieditor-toolbar-tool-big' => 'Stor',
	'wikieditor-toolbar-tool-big-example' => 'Stor tekst',
	'wikieditor-toolbar-tool-small' => 'Lille',
	'wikieditor-toolbar-tool-small-example' => 'Lille tekst',
	'wikieditor-toolbar-tool-superscript' => 'Hævet skrift',
	'wikieditor-toolbar-tool-superscript-example' => 'Hævet tekst',
	'wikieditor-toolbar-tool-subscript' => 'Sænket skrift',
	'wikieditor-toolbar-tool-subscript-example' => 'Sænket skrift',
	'wikieditor-toolbar-group-insert' => 'Indsæt',
	'wikieditor-toolbar-tool-gallery' => 'Billedgalleri',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Eksempel.jpg|Billedtekst1
$1:Eksempel.jpg|Billedtekst2',
	'wikieditor-toolbar-tool-newline' => 'Ny linje',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! overskrift 1
! overskrift 2
! overskrift 3
|-
| række 1, celle 1
| række 1, celle 2
| række 1, celle 3
|-
| række 2, celle 1
| række 2, celle 2
| række 2, celle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Række $1, celle $2',
	'wikieditor-toolbar-tool-table-example-header' => 'Overskriftstekst',
	'wikieditor-toolbar-tool-table-title' => 'Indsæt tabel',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rækker',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolonner',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Tilføj række til kolonneoverskrifter',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil med kanter',
	'wikieditor-toolbar-tool-table-sortable' => 'Gør tabel sorterbar',
	'wikieditor-toolbar-tool-table-example' => 'Celletekst',
	'wikieditor-toolbar-tool-table-preview' => 'Forhåndsvisning',
	'wikieditor-toolbar-tool-table-insert' => 'Indsæt',
	'wikieditor-toolbar-tool-table-cancel' => 'Annullér',
	'wikieditor-toolbar-tool-table-toomany' => 'Det er ikke muligt at indsætte en tabel med mere end $1 celler med denne dialogboks',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du har ikke angivet et gyldigt antal rækker eller kolonner.',
	'wikieditor-toolbar-tool-table-zero' => 'Du kan ikke indsætte en tabel med nul rækker eller kolonner',
	'wikieditor-toolbar-tool-replace' => 'Søg og erstat',
	'wikieditor-toolbar-tool-replace-title' => 'Søg og erstat',
	'wikieditor-toolbar-tool-replace-search' => 'Søg efter:',
	'wikieditor-toolbar-tool-replace-replace' => 'Erstat med:',
	'wikieditor-toolbar-tool-replace-case' => 'Skeln mellem store og små bogstaver',
	'wikieditor-toolbar-tool-replace-regex' => 'Behandl søgestrengen som et regulært udtryk',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Find næste',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Erstat',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Erstat alle',
	'wikieditor-toolbar-tool-replace-close' => 'Luk',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Din søgning gav ingen resultater',
	'wikieditor-toolbar-tool-replace-success' => '$1 udskiftning(er) foretaget.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du skrev ikke noget at søge efter',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Det regulære udtryk du skrev er ugyldigt: $1',
	'wikieditor-toolbar-section-characters' => 'Specialtegn',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Udvidet latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboler',
	'wikieditor-toolbar-characters-page-greek' => 'Græsk',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisk',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisk',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Udvidet arabisk',
	'wikieditor-toolbar-characters-page-persian' => 'Persisk',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraisk',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalesisk',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laotisk',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hjælp',
	'wikieditor-toolbar-help-heading-description' => 'Beskrivelse',
	'wikieditor-toolbar-help-heading-syntax' => 'Hvad du skriver',
	'wikieditor-toolbar-help-heading-result' => 'Hvad du får',
	'wikieditor-toolbar-help-page-format' => 'Formatering',
	'wikieditor-toolbar-help-page-link' => 'Henvisninger',
	'wikieditor-toolbar-help-page-heading' => 'Overskrifter',
	'wikieditor-toolbar-help-page-list' => 'Lister',
	'wikieditor-toolbar-help-page-file' => 'Filer',
	'wikieditor-toolbar-help-page-reference' => 'Fodnoter',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiv tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiv tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fed',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fed tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fed tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fed &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fed &amp; kursiv tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fed &amp; kursiv tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Intern henvisning',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sidetitel|Henvisningstekst]]<br />[[Sidetitel]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Henvisningstekst</a><br /><a href='#'>Sidetitel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ekstern henvisning',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Henvisningstekst]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Henvisningstekst</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Overskrift på niveau 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Overskriftstekst ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Overskriftstekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Overskrift på niveau 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Overskriftstekst ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Overskriftstekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Overskrift på niveau 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Overskriftstekst ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Overskriftstekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Overskrift på niveau 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Overskriftstekst =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Overskriftstekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punktliste',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listeelement<br />* Listeelement',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listeelement</li><li>Listeelement</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nummereret liste',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listeelement<br /># Listeelement',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listeelement</li><li>Listeelement</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Indlejret fil',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Billedtekst]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Billedtekst' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Forstør' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Billedtekst</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Fodnote',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sidetekst.&lt;ref name="test"&gt;[http://www.example.org Henvisningstekst], yderligere tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sidetekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Yderligere henvisninger til samme fodnote',
	'wikieditor-toolbar-help-content-rereference-result' => "Sidetekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Vis fodnoter',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Henvisningstekst</a>, yderligere tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatur og tidsstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Brugernavn</a> (<a href='#' title='{{#special:mytalk}}'>diskussion</a>) 10. juni 2009, 15:54 (CEST)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Brugernavn</a> (<a href='#' title='{{#special:mytalk}}'>diskussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indrykning',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal tekst<br />:Indrykket tekst<br />::Indrykket tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal tekst<dl><dd>Indrykket tekst<dl><dd>Indrykket tekst</dd></dl></dd></dl>',
);

/** German (Deutsch)
 * @author Als-Holder
 * @author Church of emacs
 * @author DaSch
 * @author Kghbln
 * @author MF-Warburg
 * @author Metalhead64
 * @author Mikullovci11
 * @author Ojay
 * @author Umherirrender
 * @author Ziko
 * @author ✓
 */
$messages['de'] = array(
	'wikieditor' => 'Fortgeschrittener Wikitext-Editor',
	'wikieditor-desc' => 'Ermöglicht eine erweiterbare Oberfläche zur Wikitext-Bearbeitung sowie viele weitere neue Funktionen',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Am Laden …',
	'wikieditor-preview-preference' => 'Gegenüberstellungsvorschau ermöglichen',
	'wikieditor-preview-tab' => 'Vorschau',
	'wikieditor-preview-changes-tab' => 'Änderungen',
	'wikieditor-preview-loading' => 'Am Laden …',
	'wikieditor-previewDialog-preference' => 'Aktiviere die Abfrage zur Vorschau',
	'wikieditor-previewDialog-tab' => 'Vorschau',
	'wikieditor-previewDialog-loading' => 'Am Laden …',
	'wikieditor-publish-preference' => 'Schritt-für-Schritt-Veröffentlichung ermöglichen',
	'wikieditor-publish-button-publish' => 'Veröffentlichen',
	'wikieditor-publish-button-cancel' => 'Abbrechen',
	'wikieditor-publish-dialog-title' => 'Auf {{SITENAME}} veröffentlichen',
	'wikieditor-publish-dialog-summary' => 'Zusammenfassung (kurze Beschreibung der von dir vorgenommenen Änderungen):',
	'wikieditor-publish-dialog-minor' => 'Nur Kleinigkeiten wurden verändert',
	'wikieditor-publish-dialog-watch' => 'Diese Seite beobachten',
	'wikieditor-publish-dialog-publish' => 'Veröffentlichen',
	'wikieditor-publish-dialog-goback' => 'Zurück',
	'wikieditor-template-editor-preference' => 'Formularbasiertes Bearbeiten von Wiki-Vorlagen aktivieren',
	'wikieditor-template-editor-dialog-title' => 'Vorlage bearbeiten',
	'wikieditor-template-editor-dialog-submit' => 'Aktualisieren',
	'wikieditor-template-editor-dialog-cancel' => 'Abbrechen',
	'wikieditor-templates-preference' => 'Aktivierung des Ein- und Ausblendens von Vorlagen',
	'wikieditor-toc-preference' => 'Inhaltsverzeichnis im Bearbeitungsfenster aktivieren',
	'wikieditor-toc-show' => 'Inhaltsverzeichnis einblenden',
	'wikieditor-toc-hide' => 'Inhaltsverzeichnis ausblenden',
	'wikieditor-toolbar' => 'Bearbeiten-Werkzeugleiste',
	'wikieditor-toolbar-desc' => 'Bearbeiten-Werkzeugleiste mit erweiterter Benutzerfreundlichkeit',
	'wikieditor-toolbar-preference' => 'Erweiterte Bearbeiten-Werkzeugleiste aktivieren',
	'wikieditor-toolbar-dialogs-preference' => 'Dialoge für das Einfügen von Links, Tabellen usw. aktivieren',
	'wikieditor-toolbar-hidesig' => 'Den Unterschriftsbutton bei Seiten im Artikelnamensraum ausblenden',
	'wikieditor-toolbar-loading' => 'Am Laden …',
	'wikieditor-toolbar-tool-bold' => 'Fett',
	'wikieditor-toolbar-tool-bold-example' => 'Fetter Text',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiver Text',
	'wikieditor-toolbar-tool-ilink' => 'Interner Link',
	'wikieditor-toolbar-tool-ilink-example' => 'Linktitel',
	'wikieditor-toolbar-tool-xlink' => 'Externer Link (http:// beachten)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Link-Text',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Link einfügen',
	'wikieditor-toolbar-tool-link-int' => 'Zu einer Wiki-Seite',
	'wikieditor-toolbar-tool-link-int-target' => 'Zielseite oder URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titel der Seite oder URL',
	'wikieditor-toolbar-tool-link-int-text' => 'angezeigter Text/Linktext:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text eingeben, der angezeigt werden soll',
	'wikieditor-toolbar-tool-link-ext' => 'Zu einer externen Internetseite',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL des Links:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Linkbezeichnung:',
	'wikieditor-toolbar-tool-link-insert' => 'Link einfügen',
	'wikieditor-toolbar-tool-link-cancel' => 'Abbrechen',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Seite bereits vorhanden',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Seite existiert nicht',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ungültiger Titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Externer Link',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Prüfe, ob Seite existiert …',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Der angegebene Seitenname ist ungültig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Die angegebene URL sieht so aus, als ob sie auf eine andere Wikiseite verlinken würde.
Möchtest du daraus einen internen Link machen?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interner Link',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Externer Link',
	'wikieditor-toolbar-tool-link-empty' => 'Du hast nichts zum Verlinken angegeben.',
	'wikieditor-toolbar-tool-file' => 'Eingebettete Datei',
	'wikieditor-toolbar-tool-file-example' => 'Beispiel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Quellennachweis',
	'wikieditor-toolbar-tool-reference-example' => 'Fußnotentext hier einfügen',
	'wikieditor-toolbar-tool-reference-cancel' => 'Abbrechen',
	'wikieditor-toolbar-tool-reference-title' => 'Einzelnachweis einfügen',
	'wikieditor-toolbar-tool-reference-insert' => 'Einfügen',
	'wikieditor-toolbar-tool-reference-text' => 'Text des Einzelnachweises',
	'wikieditor-toolbar-tool-signature' => 'Signatur und Zeitstempel',
	'wikieditor-toolbar-section-advanced' => 'Erweitert',
	'wikieditor-toolbar-tool-heading' => 'Überschrift',
	'wikieditor-toolbar-tool-heading-1' => 'Ebene 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ebene 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ebene 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ebene 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ebene 5',
	'wikieditor-toolbar-tool-heading-example' => 'Kopfzeile',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Aufgezählte Liste',
	'wikieditor-toolbar-tool-ulist-example' => 'Aufgezählter Listeneintrag',
	'wikieditor-toolbar-tool-olist' => 'Nummerierte Liste',
	'wikieditor-toolbar-tool-olist-example' => 'Nummerierter Listeneintrag',
	'wikieditor-toolbar-tool-indent' => 'Einrückung',
	'wikieditor-toolbar-tool-indent-example' => 'Eingerückte Zeile',
	'wikieditor-toolbar-tool-nowiki' => 'Keine Wiki-Formatierung',
	'wikieditor-toolbar-tool-nowiki-example' => 'Hier unformatierten Text eingeben',
	'wikieditor-toolbar-tool-redirect' => 'Weiterleitung',
	'wikieditor-toolbar-tool-redirect-example' => 'Zielseitenname',
	'wikieditor-toolbar-tool-big' => 'Groß',
	'wikieditor-toolbar-tool-big-example' => 'Großer Text',
	'wikieditor-toolbar-tool-small' => 'Klein',
	'wikieditor-toolbar-tool-small-example' => 'Kleiner Text',
	'wikieditor-toolbar-tool-superscript' => 'Hochgestellt',
	'wikieditor-toolbar-tool-superscript-example' => 'Hochgestellter Text',
	'wikieditor-toolbar-tool-subscript' => 'Tiefgestellt',
	'wikieditor-toolbar-tool-subscript-example' => 'Tiefgestellter Text',
	'wikieditor-toolbar-group-insert' => 'Einfügen',
	'wikieditor-toolbar-tool-gallery' => 'Bildergalerie',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Beispiel.jpg|Beschreibung1
$1:Beispiel.jpg|Beschreibung2',
	'wikieditor-toolbar-tool-newline' => 'Zeilenumbruch erzwingen (nicht im Fließtext verwenden)',
	'wikieditor-toolbar-tool-table' => 'Tabelle',
	'wikieditor-toolbar-tool-table-example-old' => '-
! Überschrift 1
! Überschrift 2
! Überschrift 3
|-
| Zeile 1, Zelle 1
| Zeile 1, Zelle 2
| Zeile 1, Zelle 3
|-
| Zeile 2, Zelle 1
| Zeile 2, Zelle 2
| Zeile 2, Zelle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Zellentext',
	'wikieditor-toolbar-tool-table-example-header' => 'Überschrift',
	'wikieditor-toolbar-tool-table-title' => 'Tabelle einfügen',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Zeilen',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Spalten',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'mit Kopfzeile',
	'wikieditor-toolbar-tool-table-wikitable' => 'mit Rahmen',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabelle sortierbar machen',
	'wikieditor-toolbar-tool-table-example' => 'Beispiel',
	'wikieditor-toolbar-tool-table-preview' => 'Vorschau',
	'wikieditor-toolbar-tool-table-insert' => 'Einfügen',
	'wikieditor-toolbar-tool-table-cancel' => 'Abbrechen',
	'wikieditor-toolbar-tool-table-toomany' => 'Das Einfügen einer Tabelle mit mehr als $1 Zellen ist mit diesem Dialog nicht möglich.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du hast keine gültige Anzahl von Zeilen oder Spalten angegeben.',
	'wikieditor-toolbar-tool-table-zero' => 'Du kannst keine Tabelle mit null Zeilen oder Spalten einfügen.',
	'wikieditor-toolbar-tool-replace' => 'Suchen und Ersetzen',
	'wikieditor-toolbar-tool-replace-title' => 'Suchen und Ersetzen',
	'wikieditor-toolbar-tool-replace-search' => 'Suche nach:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ersetze durch:',
	'wikieditor-toolbar-tool-replace-case' => 'Groß- und Kleinschreibung beachten',
	'wikieditor-toolbar-tool-replace-regex' => 'Suchzeichenkette als regulären Ausdruck behandeln',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nächste finden',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ersetzen',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alle ersetzen',
	'wikieditor-toolbar-tool-replace-close' => 'Schließen',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Deine Suche hat keine Ergebnisse erbracht.',
	'wikieditor-toolbar-tool-replace-success' => '$1 Ersetzung(en) durchgeführt.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du hast nichts zum Suchen eingegeben.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Der eingegebene reguläre Ausdruck ist ungültig: $1',
	'wikieditor-toolbar-section-characters' => 'Sonderzeichen',
	'wikieditor-toolbar-characters-page-latin' => 'Lateinisch',
	'wikieditor-toolbar-characters-page-latinextended' => 'Lateinisch, erweitert',
	'wikieditor-toolbar-characters-page-ipa' => 'Internationales Phonetisches Alphabet (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Griechisch',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Erweitertes Arabisch',
	'wikieditor-toolbar-characters-page-persian' => 'Persisch',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebräisch',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalisch',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singhalesisch',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laotisch',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hilfe',
	'wikieditor-toolbar-help-heading-description' => 'Beschreibung',
	'wikieditor-toolbar-help-heading-syntax' => 'Was du eingibst',
	'wikieditor-toolbar-help-heading-result' => 'Wie es aussieht',
	'wikieditor-toolbar-help-page-format' => 'Formatierung',
	'wikieditor-toolbar-help-page-link' => 'Links',
	'wikieditor-toolbar-help-page-heading' => 'Überschriften',
	'wikieditor-toolbar-help-page-list' => 'Listen',
	'wikieditor-toolbar-help-page-file' => 'Dateien',
	'wikieditor-toolbar-help-page-reference' => 'Quellennachweise',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiver Text''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiver Text</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fett',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fetter Text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fetter Text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fett &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fetter &amp; kursiver Text'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fetter &amp; kursiver Text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interner Link',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Seitentitel|Linktext]]<br />[[Seitentitel]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Linktext</a><br /><a href='#'>Seitentitel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Externer Link',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.beispiel.org Linktext]<br />[http://www.beispiel.org]<br />http://www.beispiel.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Linktext</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.beispiel.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kopfzeile Ebene 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Überschrift ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Überschrift</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kopfzeile Ebene 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Überschrift ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Überschrift</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kopfzeile Ebene 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Überschrift ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Überschrift</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kopfzeile Ebene 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Überschrift =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Überschrift</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Aufgezählte Liste',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listeneintrag<br />* Listeneintrag',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listeneintrag</li><li>Listeneintrag</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nummerierte Liste',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listeneintrag<br /># Listeneintrag',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listeneintrag</li><li>Listeneintrag</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Eingebettete Datei',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Beispiel.png|thumb|Beschreibung]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Beschreibung' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Vergrößern' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Beschreibung</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Quellennachweis',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Seitentext.&lt;ref name="test"&gt;[http://www.beispiel.org Linktext], zusätzlicher Text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Seitentext.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Den gleichen Beleg erneut verwenden',
	'wikieditor-toolbar-help-content-rereference-result' => "Seitentext.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Belege anzeigen',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.beispiel.org' class='external text' href='#'>Linktext</a>, zusätzlicher Text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatur mit Zeitstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Benutzername</a> (<a href='#' title='{{#special:mytalk}}'>Diskussion</a>) 15:54, 10. Jun. 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Benutzername</a> (<a href='#' title='{{#special:mytalk}}'>Diskussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Einrücken',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normaler Text<br />:Eingerückter Text<br />::Eingerückter Text',
	'wikieditor-toolbar-help-content-indent-result' => 'Normaler Text<dl><dd>Eingerückter Text<dl><dd>Eingerückter Text</dd></dl></dd></dl>',
);

/** German (formal address) (‪Deutsch (Sie-Form)‬)
 * @author Imre
 */
$messages['de-formal'] = array(
	'wikieditor-publish-dialog-summary' => 'Zusammenfassung (kurze Beschreibung der von Ihnen vorgenommenen Änderungen):',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Die angegebene URL sieht so aus, als ob sie auf eine andere Wikiseite verlinken würde.
Möchten Sie daraus einen internen Link machen?',
	'wikieditor-toolbar-tool-link-empty' => 'Sie haben nichts zum Verlinken angegeben.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Sie haben keine gültige Anzahl von Zeilen oder Spalten angegeben.',
	'wikieditor-toolbar-tool-table-zero' => 'Sie können keine Tabelle mit null Zeilen oder Spalten einfügen.',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ihre Suche hat keine Ergebnisse erzielt.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Sie haben nichts zum Suchen eingegeben.',
	'wikieditor-toolbar-help-heading-syntax' => 'Was Sie eingeben',
);

/** Zazaki (Zazaki)
 * @author Erdemaslancan
 * @author Mirzali
 * @author Xoser
 */
$messages['diq'] = array(
	'wikieditor' => 'Interfaceye wikitext ke raver siyayo',
	'wikieditor-desc' => 'Yew pedê nuştişiyê girdi u moduleyanê binan dano',
	'wikieditor-wikitext-tab' => 'Wikimeqale',
	'wikieditor-loading' => 'Bar keno',
	'wikieditor-preview-preference' => 'verqeyde miqeyese a bike',
	'wikieditor-preview-tab' => 'Verqeyd',
	'wikieditor-preview-changes-tab' => 'Vurnayışi',
	'wikieditor-preview-loading' => 'Ho bar keno...',
	'wikieditor-previewDialog-tab' => 'Verqeyd',
	'wikieditor-previewDialog-loading' => 'Ho bar keno...',
	'wikieditor-publish-preference' => 'Game be game çap kerdişi a bike',
	'wikieditor-publish-button-publish' => 'Çap ke',
	'wikieditor-publish-button-cancel' => 'Iptal bike',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} rê çap ke',
	'wikieditor-publish-dialog-summary' => 'Xulasayê vurnayişi (ser vurnayişê xo xulasa binuse):',
	'wikieditor-publish-dialog-minor' => 'Vurnayişo qickek',
	'wikieditor-publish-dialog-watch' => 'Ena pele seyr bike',
	'wikieditor-publish-dialog-publish' => 'Çap ke',
	'wikieditor-publish-dialog-goback' => 'Reyna şi',
	'wikieditor-template-editor-preference' => 'Vurnayışê form-bıngeyınê şablonanê wikiy feal ke',
	'wikieditor-template-editor-dialog-title' => 'Sabloni bivurnê',
	'wikieditor-template-editor-dialog-submit' => 'Rocaniye',
	'wikieditor-template-editor-dialog-cancel' => 'Bıtexelne',
	'wikieditor-templates-preference' => 'Qic kerdisê sabloni a bike',
	'wikieditor-toc-preference' => 'Tabloyo tedeesteyi ke navigasyon keno ay a bike',
	'wikieditor-toc-show' => 'Tedeesteyi bimocne',
	'wikieditor-toc-hide' => 'Tedeesteyi binumne',
	'wikieditor-toolbar' => 'nizamkerdışê çuyaya haceti',
	'wikieditor-toolbar-desc' => 'Xacetê çuveyî pê enhanced usability bivurne',
	'wikieditor-toolbar-preference' => 'çuyaya haceti yo dewlemendbiyayeyi aktif ker',
	'wikieditor-toolbar-dialogs-preference' => "qey têare kerdışê gıre, tablo usb'ani mesajan aktif bıker",
	'wikieditor-toolbar-loading' => 'bar beno...',
	'wikieditor-toolbar-tool-bold' => 'qalın',
	'wikieditor-toolbar-tool-bold-example' => 'metno qalın',
	'wikieditor-toolbar-tool-italic' => 'İtalik',
	'wikieditor-toolbar-tool-italic-example' => 'metno italik',
	'wikieditor-toolbar-tool-ilink' => 'sernameyê zerreyi',
	'wikieditor-toolbar-tool-ilink-example' => 'sernameyê gıreyi',
	'wikieditor-toolbar-tool-xlink' => 'gıreyê teberi (http:// prefixi xo vir ra mekerê)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.misal.com sernameyê gıreyi',
	'wikieditor-toolbar-tool-link' => 'gıre',
	'wikieditor-toolbar-tool-link-title' => 'gıre bıerz',
	'wikieditor-toolbar-tool-link-int' => 'yew pelê wiki re',
	'wikieditor-toolbar-tool-link-int-target' => 'sernameyê peli',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sernamey ya zi URL',
	'wikieditor-toolbar-tool-link-int-text' => 'metnê gıreyi',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Nuştewo ke gani bımocniyo ey bınuse',
	'wikieditor-toolbar-tool-link-ext' => 'yew keyepelê teberi re',
	'wikieditor-toolbar-tool-link-ext-target' => 'URLyê gıreyi',
	'wikieditor-toolbar-tool-link-ext-text' => 'metnê gıreyi',
	'wikieditor-toolbar-tool-link-insert' => 'gıre bıerz',
	'wikieditor-toolbar-tool-link-cancel' => 'ibtal',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'pel esto',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'pel çino',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'sername meqbul niyo',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Gırêy teberi',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'mewcudiyetê peli konrol beno',
	'wikieditor-toolbar-tool-link-int-invalid' => 'sername yo ke şıma nişan kerdo meqbul niyo',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URLyo ke şıma nişan kerdo, pelê yewna wikiyi re gıre biyo aseno.
şıma wazeni no gıre yew gıreyo daxili bıbo?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'gıreyo zerreyi',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'gıreyo teberi',
	'wikieditor-toolbar-tool-link-empty' => 'Gırey to be thebay çıniyo.',
	'wikieditor-toolbar-tool-file' => 'dosyaya  wedarteyi/weradaye',
	'wikieditor-toolbar-tool-file-example' => 'misal.jpg',
	'wikieditor-toolbar-tool-reference' => 'çıme',
	'wikieditor-toolbar-tool-reference-example' => 'metnê notê bınini tiya kerê',
	'wikieditor-toolbar-tool-reference-cancel' => 'Bıtexelne',
	'wikieditor-toolbar-tool-reference-title' => 'Referance de bike',
	'wikieditor-toolbar-tool-reference-insert' => 'de bike',
	'wikieditor-toolbar-tool-reference-text' => 'Nusteyê Referansi',
	'wikieditor-toolbar-tool-signature' => 'tamğayê imza ve zamani',
	'wikieditor-toolbar-section-advanced' => 'Raver',
	'wikieditor-toolbar-tool-heading' => 'sername',
	'wikieditor-toolbar-tool-heading-1' => 'seviyeya 1.',
	'wikieditor-toolbar-tool-heading-2' => 'seviyeya 2.',
	'wikieditor-toolbar-tool-heading-3' => 'seviyeya 3.',
	'wikieditor-toolbar-tool-heading-4' => 'seviyeya 4.',
	'wikieditor-toolbar-tool-heading-5' => 'seviyeya 5.',
	'wikieditor-toolbar-tool-heading-example' => 'metnê sernameyi',
	'wikieditor-toolbar-group-format' => 'liste',
	'wikieditor-toolbar-tool-ulist' => 'listeya maddeya işaretıni',
	'wikieditor-toolbar-tool-ulist-example' => 'unsuro listeya maddeya işaretıni',
	'wikieditor-toolbar-tool-olist' => 'listeya numreyıni',
	'wikieditor-toolbar-tool-olist-example' => 'unsuro listeya numreyıni',
	'wikieditor-toolbar-tool-indent' => 'Paragraf',
	'wikieditor-toolbar-tool-indent-example' => 'Rêza paragrafi',
	'wikieditor-toolbar-tool-nowiki' => 'Formetê wikiyi cini yo',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ne-format nuşte itiya ra bıerz',
	'wikieditor-toolbar-tool-redirect' => 'Reyna ber',
	'wikieditor-toolbar-tool-redirect-example' => 'Nameyê pele ke hedef biyo',
	'wikieditor-toolbar-tool-big' => 'gırd',
	'wikieditor-toolbar-tool-big-example' => 'metno gırd',
	'wikieditor-toolbar-tool-small' => 'qıc',
	'wikieditor-toolbar-tool-small-example' => 'metno qıc',
	'wikieditor-toolbar-tool-superscript' => 'simgeya serıni',
	'wikieditor-toolbar-tool-superscript-example' => 'metnê simgeya serıni',
	'wikieditor-toolbar-tool-subscript' => 'simgeya cêrıni',
	'wikieditor-toolbar-tool-subscript-example' => 'metnê simgeya cêrıni',
	'wikieditor-toolbar-group-insert' => 'têare ker',
	'wikieditor-toolbar-tool-gallery' => 'galeriya resmi',
	'wikieditor-toolbar-tool-gallery-example' => '$1:misal.jpg|nuşteyê resmi1
$1:misal.jpg|nuşteyê resmi2',
	'wikieditor-toolbar-tool-newline' => 'satıro newe',
	'wikieditor-toolbar-tool-table' => 'Tablo',
	'wikieditor-toolbar-tool-table-example-old' => '-
! sername 1
! sername 2
! sername 3
|-
| satır 1, hucre 1
| satır 1, hucre 2
| satır 1, hucre 3
|-
| satır 2, hucre 1
| satır 2, hucre 2
| satır 2, hucre 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Metnê hucra',
	'wikieditor-toolbar-tool-table-example-header' => 'metnê sernameyi',
	'wikieditor-toolbar-tool-table-title' => 'tablo bıerz',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'satıri/rêzi',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'estuni',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'satırê sername zi bıger',
	'wikieditor-toolbar-tool-table-wikitable' => 'sinorê stili',
	'wikieditor-toolbar-tool-table-sortable' => 'make table rêz bena',
	'wikieditor-toolbar-tool-table-example' => 'metnê hucreyi',
	'wikieditor-toolbar-tool-table-preview' => 'seyrkerdışo ewwil',
	'wikieditor-toolbar-tool-table-insert' => 'têare ker',
	'wikieditor-toolbar-tool-table-cancel' => 'ibtal',
	'wikieditor-toolbar-tool-table-toomany' => '$1 hucreyın ra ziyed tablo eştış pê no mesaj mumkin niyo',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'şıma pê yew amaro meqbul o satır u estun cı nêkewti',
	'wikieditor-toolbar-tool-table-zero' => 'tablo ya ke tede satır u estun çinibo şıma nêşkeni têare bıkeri',
	'wikieditor-toolbar-tool-replace' => 'bıgêr u bıvurn',
	'wikieditor-toolbar-tool-replace-title' => 'bıgêr u bıvurn',
	'wikieditor-toolbar-tool-replace-search' => 'qey ıney bıgêr',
	'wikieditor-toolbar-tool-replace-replace' => 'pê ıney bıvurn',
	'wikieditor-toolbar-tool-replace-case' => 'harfa gırd u qıci re hessas o',
	'wikieditor-toolbar-tool-replace-regex' => 'qutiya cıgerayişi de yew muameleya ifade bıker.',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'dıma ke yeno bıvin',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'pêroyin bıvurn',
	'wikieditor-toolbar-tool-replace-close' => 'Bıqefelne',
	'wikieditor-toolbar-tool-replace-nomatch' => 'çi yo ke şıma gêrenê cı çin o.',
	'wikieditor-toolbar-tool-replace-success' => '$1 vurnayiş vıraziya.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'şıma qey cıgêrayiş taway/çiyek nênuşt',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'ifadeya normal a ke şıma kwene cı meqbul niya: $1',
	'wikieditor-toolbar-section-characters' => 'karakterê xususiyî',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'latinkiya hêrabiyaye',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Semboli',
	'wikieditor-toolbar-characters-page-greek' => 'Yunan',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kiril',
	'wikieditor-toolbar-characters-page-arabic' => 'Erebki',
	'wikieditor-toolbar-characters-page-persian' => 'Fariski',
	'wikieditor-toolbar-characters-page-hebrew' => 'İbraniki',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhalaki',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujaratki',
	'wikieditor-toolbar-section-help' => 'yardim',
	'wikieditor-toolbar-help-heading-description' => 'Beyan kerdış',
	'wikieditor-toolbar-help-heading-syntax' => 'o yo ke şıma nuşt',
	'wikieditor-toolbar-help-heading-result' => 'o yo ke şıma gırewt',
	'wikieditor-toolbar-help-page-format' => 'fesal dayiş/format',
	'wikieditor-toolbar-help-page-link' => 'gıreyi',
	'wikieditor-toolbar-help-page-heading' => 'sernameyi',
	'wikieditor-toolbar-help-page-list' => 'listeyi',
	'wikieditor-toolbar-help-page-file' => 'dosyayi',
	'wikieditor-toolbar-help-page-reference' => 'çımeyi/referansi',
	'wikieditor-toolbar-help-page-discussion' => 'werê-ameyiş/munaqeşa',
	'wikieditor-toolbar-help-content-italic-description' => 'italik',
	'wikieditor-toolbar-help-content-italic-syntax' => "''metno italik''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>metno italik</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'qalın',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''metno qalın'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>metno qalın</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'qalın &amp; italik',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''qalın &amp; metno italik'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>qalın &amp; metno italik</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'gıreyê zerreyi',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[sernameyê peli|sernameyê gıreyi]]<br />[[sernameyê peli]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>sernameyê gıreyi</a><br /><a href='#'>sernameyê peli</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'gıreyê teberi',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.misal.org sernamyê gıreyi]<br />[http://www.misal.org]<br />http://www.misal.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>sernameyê gıreyi</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.misal.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'sernameyê seviyeya 2.',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== sernameyê metni ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>sernameyê metni</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'sernameyê seviyeya 3.',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== sernameyê metni ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>sernameyê seviyeya 3.</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'sernameyê seviyeya 4.',
	'wikieditor-toolbar-help-content-heading4-syntax' => '== sernameyê metni ==',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>sernameyê seviyeya 4.</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'sernameyê seviyeya 5.',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== sernameyê metni =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>sernameyê seviyeya 5.</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'listeya işareti ya maddeyın',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* unsurê listeyi<br />* unsurê listeyi',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>unsurê listeyi</li><li>unsurê listeyi</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'listeya numreyın',
	'wikieditor-toolbar-help-content-olist-syntax' => '# unsurê listeyi<br /># unsurê listeyi',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>unsurê listeyi</li><li>unsurê listeyi</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'dosyaya weradaye/nımıte',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Nuşteyê resîmî]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>metnê resmi</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'çıme/referans',
	'wikieditor-toolbar-help-content-reference-syntax' => 'metnê peli.&lt;ref name="tesel kerdış/cerebnayiş"&gt;[http://www.misal.org metnê gıreyi], zeylê metni.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "metnê peli.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'şuxulnayişê zeylê o çımeyi',
	'wikieditor-toolbar-help-content-rereference-result' => "metnê peli.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'çımeyi ramocın',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.misal.org' class='external text' href='#'>metnê gıreyi</a>, zeylê metni.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'pê tamğayê zemani imza eştış',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>nameyê karberi</a> (<a href='#' title='{{#special:mytalk}}'>mesaj</a>) 15:54, 10 Heziran 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'imza',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>nameyê karberi</a> (<a href='#' title='{{#special:mytalk}}'>mesaj</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indent',
	'wikieditor-toolbar-help-content-indent-syntax' => 'metno normal<br />:metno indent<br />::metno indent',
	'wikieditor-toolbar-help-content-indent-result' => 'metno normal<dl><dd>metno indent<dl><dd>metno indent</dd></dl></dd></dl>',
);

/** Lower Sorbian (Dolnoserbski)
 * @author Michawiki
 */
$messages['dsb'] = array(
	'wikieditor' => 'Rozšyrjony pówjerch za wobźěkowabnje wikiteksta',
	'wikieditor-desc' => 'Stoj rozšyrjobny pówjerch za wobźěłowanje wikiteksta a wjele modulow k dispoziciji',
	'wikieditor-wikitext-tab' => 'WikiTekst',
	'wikieditor-loading' => 'Zacytujo se',
	'wikieditor-preview-preference' => 'Pśeglěd bok pó boku zmóžniś',
	'wikieditor-preview-tab' => 'Pśeglěd',
	'wikieditor-preview-changes-tab' => 'Změny',
	'wikieditor-preview-loading' => 'Zacytujo se...',
	'wikieditor-previewDialog-preference' => 'Pśeglědowy dialog zmóžniś',
	'wikieditor-previewDialog-tab' => 'Pśeglěd',
	'wikieditor-previewDialog-loading' => 'Zacytujo se...',
	'wikieditor-publish-preference' => 'Publicěrowanje kšać pó kšacu zmóžniś',
	'wikieditor-publish-button-publish' => 'Wózjawiś',
	'wikieditor-publish-button-cancel' => 'Pśetergnuś',
	'wikieditor-publish-dialog-title' => 'Do {{GRAMMAR:genitiw|{{SITENAME}}}} wózjawiś',
	'wikieditor-publish-dialog-summary' => 'Zespominanje změnow (wópisaj krotko změny, kótareř sy cynił):',
	'wikieditor-publish-dialog-minor' => 'Snadna změna',
	'wikieditor-publish-dialog-watch' => 'Toś ten bok wobglědowaś',
	'wikieditor-publish-dialog-publish' => 'Wózjawiś',
	'wikieditor-publish-dialog-goback' => 'Slědk',
	'wikieditor-template-editor-preference' => 'Wobźěłowanje wikipśedłogow na zakłaźe formularow zmóžniś',
	'wikieditor-template-editor-dialog-title' => 'Pśedłogu wobźěłaś',
	'wikieditor-template-editor-dialog-submit' => 'Aktualizěrowaś',
	'wikieditor-template-editor-dialog-cancel' => 'Pśetergnuś',
	'wikieditor-templates-preference' => 'Fałdowanje pśedłogow zmóžniś',
	'wikieditor-toc-preference' => 'Nawigěrujobny zapis wopśimjeśa zmóžniś',
	'wikieditor-toc-show' => 'Wopśimjeśe pokazaś',
	'wikieditor-toc-hide' => 'Wopśimjeśe schowaś',
	'wikieditor-toolbar' => 'Wobźěłowańska rědowa kšoma',
	'wikieditor-toolbar-desc' => 'Rědowa kšoma za wobźěłowanje bokow z pólěpšoneju wužywajobnosću',
	'wikieditor-toolbar-preference' => 'Pólěpšonu wobźěłowańsku rědowu kšomu aktiwěrowaś',
	'wikieditor-toolbar-dialogs-preference' => 'Dialogi za zasajźenje wótkazow, tabelow a hynakšego zmóžniś',
	'wikieditor-toolbar-hidesig' => 'Pódpisowy tłočašk w bokach w głownem mjenjowem rumje schowaś',
	'wikieditor-toolbar-loading' => 'Zacytujo se...',
	'wikieditor-toolbar-tool-bold' => 'Tucny',
	'wikieditor-toolbar-tool-bold-example' => 'Tucny tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiwny',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiwny tekst',
	'wikieditor-toolbar-tool-ilink' => 'Interny wótkaz',
	'wikieditor-toolbar-tool-ilink-example' => 'Titel wótkaza',
	'wikieditor-toolbar-tool-xlink' => 'Eksterny wótkaz (njezabydni prefiks http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.pśikład.de titel wótkaza',
	'wikieditor-toolbar-tool-link' => 'Wótkaz',
	'wikieditor-toolbar-tool-link-title' => 'Wótkaz zasunuś',
	'wikieditor-toolbar-tool-link-int' => 'K wikijowemu nastawkoju/bokoju',
	'wikieditor-toolbar-tool-link-int-target' => 'Titel nastawka:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titel boka abo URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Wótkazowy tekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekst zapódaś, kótaryž ma se pokazaś',
	'wikieditor-toolbar-tool-link-ext' => 'K eksternemu webbokoju',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL wótkaza:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst wótkaza:',
	'wikieditor-toolbar-tool-link-insert' => 'Wótkaz zasunuś',
	'wikieditor-toolbar-tool-link-cancel' => 'Pśetergnuś',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Bok eksistěrujo',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Bok njeeksistěrujo',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Njepłaśiwy titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Eksterny wótkaz',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Eksistenca boka se pśekontrolěrujo...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titel, kótaryž sy pódał, jo njepłaśiwy.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL, kótaryž sy pódał, wuglěda, ako by był za wótkaz k drugemu wikibokoju.
Coš jen do internego wótkaza psétwóriś?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interny wótkaz',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Eksterny wótkaz',
	'wikieditor-toolbar-tool-link-empty' => 'Njejsy nic za wótkazowanje pódał.',
	'wikieditor-toolbar-tool-file' => 'Zasajźona dataja',
	'wikieditor-toolbar-tool-file-example' => 'Psikład.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referenca',
	'wikieditor-toolbar-tool-reference-example' => 'Nožku how zasajźiś',
	'wikieditor-toolbar-tool-reference-cancel' => 'Pśetergnuś',
	'wikieditor-toolbar-tool-reference-title' => 'Referencu zasunuś',
	'wikieditor-toolbar-tool-reference-insert' => 'Zasunuś',
	'wikieditor-toolbar-tool-reference-text' => 'Tekst reference',
	'wikieditor-toolbar-tool-signature' => 'Signatura a casowy kołk',
	'wikieditor-toolbar-section-advanced' => 'Rozšyrjony',
	'wikieditor-toolbar-tool-heading' => 'Nadpismo',
	'wikieditor-toolbar-tool-heading-1' => 'Rownina 1',
	'wikieditor-toolbar-tool-heading-2' => 'Rownina 2',
	'wikieditor-toolbar-tool-heading-3' => 'Rownina 3',
	'wikieditor-toolbar-tool-heading-4' => 'Rownina 4',
	'wikieditor-toolbar-tool-heading-5' => 'Rownina 5',
	'wikieditor-toolbar-tool-heading-example' => 'Nadpismowy tekst',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Naliceńska lisćina',
	'wikieditor-toolbar-tool-ulist-example' => 'Zapisk naliceńskeje lisćiny',
	'wikieditor-toolbar-tool-olist' => 'Numerěrowana lisćina',
	'wikieditor-toolbar-tool-olist-example' => 'Zapisk numerěrowaneje lisćiny',
	'wikieditor-toolbar-tool-indent' => 'Zasunjenje',
	'wikieditor-toolbar-tool-indent-example' => 'Zasunjona smužka',
	'wikieditor-toolbar-tool-nowiki' => 'Žedno wikiformatěrowanje',
	'wikieditor-toolbar-tool-nowiki-example' => 'Njeformatěrowany tekst how zasunuś',
	'wikieditor-toolbar-tool-redirect' => 'Dalejpósrědnjenje',
	'wikieditor-toolbar-tool-redirect-example' => 'Mě celowego boka',
	'wikieditor-toolbar-tool-big' => 'Wjeliki',
	'wikieditor-toolbar-tool-big-example' => 'Wjeliki tekst',
	'wikieditor-toolbar-tool-small' => 'Mały',
	'wikieditor-toolbar-tool-small-example' => 'Mały tekst',
	'wikieditor-toolbar-tool-superscript' => 'Wusoko stajony',
	'wikieditor-toolbar-tool-superscript-example' => 'Wusoko stajony tekst',
	'wikieditor-toolbar-tool-subscript' => 'Dłymoko stajony',
	'wikieditor-toolbar-tool-subscript-example' => 'Dłymoko stajony tekst',
	'wikieditor-toolbar-group-insert' => 'Zasunuś',
	'wikieditor-toolbar-tool-gallery' => 'Wobrazowa galerija',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Pśikład.jpg|Pópisanje1
$1:Pśikład.jpg|Pópisanje2',
	'wikieditor-toolbar-tool-newline' => 'Nowa smužka',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! głowa 1
! głowa 2
! głowa 3
|-
| smužka 1, cela 1
| smužka 1, cela 2
| smužka 1, cela 3
|-
| smužka 2, cela 1
| smužka 2, cela 2
| smužka 2, cela 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celowy tekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Głowowy tekst',
	'wikieditor-toolbar-tool-table-title' => 'Tabelu zasunuś',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Smužki',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Słupy',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Smužku głowy zapśěgnuś',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil z ramikami',
	'wikieditor-toolbar-tool-table-sortable' => 'Sortěrujobna tabela',
	'wikieditor-toolbar-tool-table-example' => 'Celowy tekst',
	'wikieditor-toolbar-tool-table-preview' => 'Pśeglěd',
	'wikieditor-toolbar-tool-table-insert' => 'Zasunuś',
	'wikieditor-toolbar-tool-table-cancel' => 'Pśetergnuś',
	'wikieditor-toolbar-tool-table-toomany' => 'Zasajźenje tabele z wěcej ako $1 {{PLURAL:$1|celu|celoma|celami|celami}} njejo móžno z toś tym dialogom.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Njejsy płaśiwu licbu smužkow abo słupow zapódał.',
	'wikieditor-toolbar-tool-table-zero' => 'Njamóžoš tabelu bźez smužkow abo słupow zasunuś.',
	'wikieditor-toolbar-tool-replace' => 'Pytaś a wuměniś',
	'wikieditor-toolbar-tool-replace-title' => 'Pytaś a wuměniś',
	'wikieditor-toolbar-tool-replace-search' => 'Pytaś za:',
	'wikieditor-toolbar-tool-replace-replace' => 'Wuměniś pśez:',
	'wikieditor-toolbar-tool-replace-case' => 'Wótpowědnik',
	'wikieditor-toolbar-tool-replace-regex' => 'Z pytańskim teksto ako z regularnym wurazom wobchadaś',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Dalej pytaś',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Wuměniś',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Wšykne wuměniś',
	'wikieditor-toolbar-tool-replace-close' => 'Zacyniś',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Twójo pytanje njejo žedno wustupowanje namakało.',
	'wikieditor-toolbar-tool-replace-success' => '$1 {{PLURAL:$1|wuměnjenje pśewjeźone|wuměnjeni pśewjeźonej|wuměnjenja pśewjeźone|wuměnjenjow pśewjeźonych}}.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Njejsy žeden pytański wuraz zapódał.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Regularny wuraz, kótaryž sy zapódał, jo njepłaśiwy: $1',
	'wikieditor-toolbar-section-characters' => 'Specialne znamješka',
	'wikieditor-toolbar-characters-page-latin' => 'Łatyńske',
	'wikieditor-toolbar-characters-page-latinextended' => 'Łatyńske rozšyrjone',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Grichiske',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyriliske',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiske',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Rozšyrjona arabšćina',
	'wikieditor-toolbar-characters-page-persian' => 'Persiske',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejske',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalšćina',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalezišćina',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guźarati',
	'wikieditor-toolbar-characters-page-thai' => 'thailandšćina',
	'wikieditor-toolbar-characters-page-lao' => 'Laošćina',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmeršćina',
	'wikieditor-toolbar-section-help' => 'Pomoc',
	'wikieditor-toolbar-help-heading-description' => 'Wopisanje',
	'wikieditor-toolbar-help-heading-syntax' => 'Což zapisujoš',
	'wikieditor-toolbar-help-heading-result' => 'Což dostanjoš',
	'wikieditor-toolbar-help-page-format' => 'Formatěrowanje',
	'wikieditor-toolbar-help-page-link' => 'Wótkaze',
	'wikieditor-toolbar-help-page-heading' => 'Nadpisma',
	'wikieditor-toolbar-help-page-list' => 'Lisćiny',
	'wikieditor-toolbar-help-page-file' => 'Dataje',
	'wikieditor-toolbar-help-page-reference' => 'Reference',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusija',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiwny',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiwny tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiwny tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tucny',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tucny tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tucny tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tucny &amp; kursiwny',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tucny &amp; kursiwny tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tucny &amp; kursiwny tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interny wótkaz',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Tekst wótkaza]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tekst wótkaza</a><br /><a href='#'>Titel boka</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Eksterny wótkaz',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Tekst wótkaza]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tekst wótkaza</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Nadpismo 2. rowniny',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Nadpismowy tekst ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Nadpismowy tekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Nadpismo 3. rowniny',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Nadpismowy tekst ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Nadpismowy tekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Nadpismo 4. rowniny',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Nadpismowy tekst ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Nadpismowy tekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Nadpismo 5. rowniny',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Nadpismowy tekst =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Nadpismowy tekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Naliceńska lisćina',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Lisćinowy zapisk<br />* Lisćinowy zapisk',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Lisćinowy zapisk</li><li>Lisćinowy zapisk</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numerěrowana lisćina',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Lisćinowy zapisk<br /># Lisćinowy zapisk',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Lisćinowy zapisk</li><li>Lisćinowy zapisk</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Zasajźona dataja',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Wobrazowe pópisanje]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Wobrazowe pópisanje' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Powětšyś' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Wobrazowe pópisanje</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referenca',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst boka.&lt;ref name="test"&gt;[http://www.example.org Tekst wótkaza], pśidatny tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst boka.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Pśidatne wužywanje samskeje reference',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst boka.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Reference zwobrazniś',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tekst wótkaza</a>, pśidanty tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura z casowym kołkom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Wužywarske mě</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>) 15:54, 10. junija 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Wužywarske mě</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Zasunjenje',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalny tekst<br />:Zasunjony tekst<br />::Zasunjony tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normalny tekst<dl><dd>Zasunjony tekst<dl><dd>Zasunjony tekst</dd></dl></dd></dl>',
);

/** Greek (Ελληνικά)
 * @author AK
 * @author Dead3y3
 * @author Flyax
 * @author Geraki
 * @author Lou
 * @author ZaDiak
 * @author Απεργός
 * @author Περίεργος
 */
$messages['el'] = array(
	'wikieditor' => 'Προχωρημένη διεπαφή επεξεργασίας κειμένου wiki',
	'wikieditor-desc' => 'Παρέχει μία επεκτάσιμη διεπαφή επεξεργασίας κειμένου wiki και πολλές μονάδες παροχής χαρακτηριστικών',
	'wikieditor-wikitext-tab' => 'Κείμενο wiki',
	'wikieditor-loading' => 'Φόρτωση',
	'wikieditor-preview-preference' => 'Ενεργοποίηση προεπισκόπησης δίπλα-δίπλα',
	'wikieditor-preview-tab' => 'Προεπισκόπηση',
	'wikieditor-preview-changes-tab' => 'Αλλαγές',
	'wikieditor-preview-loading' => 'Φόρτωση...',
	'wikieditor-previewDialog-preference' => 'Ενεργοποίηση διαλόγου προεπισκόπησης',
	'wikieditor-previewDialog-tab' => 'Προεπισκόπηση',
	'wikieditor-previewDialog-loading' => 'Φόρτωση...',
	'wikieditor-publish-preference' => 'Ενεργοποίηση δημοσίευσης βήμα προς βήμα',
	'wikieditor-publish-button-publish' => 'Δημοσίευση',
	'wikieditor-publish-button-cancel' => 'Άκυρο',
	'wikieditor-publish-dialog-title' => 'Δημοσίευση στο {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Σύνοψη επεξεργασίας (περιγράψτε συντόμως τις αλλαγές που έχετε κάνει):',
	'wikieditor-publish-dialog-minor' => '"Μικρή" επεξεργασία',
	'wikieditor-publish-dialog-watch' => 'Παρακολούθηση αυτής της σελίδας',
	'wikieditor-publish-dialog-publish' => 'Δημοσίευση',
	'wikieditor-publish-dialog-goback' => 'Πήγαινε πίσω',
	'wikieditor-template-editor-preference' => 'Ενεργοποίηση επεξεργασίας των προτύπων wiki χάρη σε μια φόρμα',
	'wikieditor-template-editor-dialog-title' => 'Επεξεργασία προτύπου',
	'wikieditor-template-editor-dialog-submit' => 'Ενημέρωση',
	'wikieditor-template-editor-dialog-cancel' => 'Ακύρωση',
	'wikieditor-templates-preference' => 'Ενεργοποίηση της απόκρυψης προτύπων',
	'wikieditor-toc-preference' => 'Ενεργοποιήστε πλοηγήσιμο πίνακα περιεχομένων',
	'wikieditor-toc-show' => 'Εμφάνιση περιεχομένων',
	'wikieditor-toc-hide' => 'Απόκρυψη περιεχομένων',
	'wikieditor-toolbar' => 'Επεξεργασία εργαλειοθήκης',
	'wikieditor-toolbar-desc' => 'Μπάρα εργαλείων επεξεργασίας σελίδων με περισσότερες δυνατότητες χρήσης',
	'wikieditor-toolbar-preference' => 'Ενεργοποιήστε την μπάρα εργαλείων με τις περισσότερες δυνατότητες επεξεργασίας',
	'wikieditor-toolbar-dialogs-preference' => 'Ενεργοποιήστε παράθυρα διαλόγων για την εισαγωγή συνδέσμων, πινάκων και άλλων',
	'wikieditor-toolbar-loading' => 'Φόρτωση...',
	'wikieditor-toolbar-tool-bold' => 'Έντονα',
	'wikieditor-toolbar-tool-bold-example' => 'Έντονο κείμενο',
	'wikieditor-toolbar-tool-italic' => 'Πλάγια',
	'wikieditor-toolbar-tool-italic-example' => 'Κείμενο με πλάγιους χαρακτήρες',
	'wikieditor-toolbar-tool-ilink' => 'Εσωτερικός σύνδεσμος',
	'wikieditor-toolbar-tool-ilink-example' => 'Τίτλος συνδέσμου',
	'wikieditor-toolbar-tool-xlink' => 'Εξωτερικός σύνδεσμος (μην ξεχάστε το πρόθεμα http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com τίτλος συνδέσμου',
	'wikieditor-toolbar-tool-link' => 'Σύνδεσμος',
	'wikieditor-toolbar-tool-link-title' => 'Εισαγωγή συνδέσμου',
	'wikieditor-toolbar-tool-link-int' => 'Σε μία σελίδα wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Τίτλος άρθρου:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Τίτλος ή URL της σελίδας',
	'wikieditor-toolbar-tool-link-int-text' => 'Κείμενο συνδέσμου:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Κείμενο προς εμφάνιση',
	'wikieditor-toolbar-tool-link-ext' => 'Σε μία εξωτερική ιστοσελίδα',
	'wikieditor-toolbar-tool-link-ext-target' => 'Σύνδεσμος URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Κείμενο συνδέσμου:',
	'wikieditor-toolbar-tool-link-insert' => 'Εισαγωγή συνδέσμου',
	'wikieditor-toolbar-tool-link-cancel' => 'Ακύρωση',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Η σελίδα υπάρχει',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Η σελίδα δεν υπάρχει',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Άκυρος τίτλος',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Εξωτερικός σύνδεσμος',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Έλεγχος ύπαρξης σελίδας...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Ο τίτλος που καθορίσατε δεν είναι έγκυρος.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Η διεύθυνση URL που ορίσατε φαίνεται πως προορίζεται για σύνδεσμο σε σελίδα σε άλλο βίκι.
Θέλετε να τη μετατρέψετε σε εσωτερικό σύνδεσμο;',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Εσωτερικός σύνδεσμος',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Εξωτερικός σύνδεσμος',
	'wikieditor-toolbar-tool-link-empty' => 'Δεν εισάγατε τίποτα για σύνδεση σε αυτό.',
	'wikieditor-toolbar-tool-file' => 'Ενσωματωμένο αρχείο',
	'wikieditor-toolbar-tool-file-example' => 'Paradeigma.jpg',
	'wikieditor-toolbar-tool-reference' => 'Παραπομπή',
	'wikieditor-toolbar-tool-reference-example' => 'Εισάγετε εδώ το κείμενο της παραπομπής.',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ακύρωση',
	'wikieditor-toolbar-tool-reference-title' => 'Εισαγωγή παραπομπής',
	'wikieditor-toolbar-tool-reference-insert' => 'Εισαγωγή',
	'wikieditor-toolbar-tool-reference-text' => 'Κείμενο παραπομπής',
	'wikieditor-toolbar-tool-signature' => 'Υπογραφή και σφραγίδα χρόνου',
	'wikieditor-toolbar-section-advanced' => 'Προχωρημένο',
	'wikieditor-toolbar-tool-heading' => 'Επικεφαλίδα',
	'wikieditor-toolbar-tool-heading-1' => 'Επίπεδο 1',
	'wikieditor-toolbar-tool-heading-2' => 'Επίπεδο 2',
	'wikieditor-toolbar-tool-heading-3' => 'Επίπεδο 3',
	'wikieditor-toolbar-tool-heading-4' => 'Επίπεδο 4',
	'wikieditor-toolbar-tool-heading-5' => 'Επίπεδο 5',
	'wikieditor-toolbar-tool-heading-example' => 'Κείμενο τίτλου',
	'wikieditor-toolbar-group-format' => 'Μορφή',
	'wikieditor-toolbar-tool-ulist' => 'Λίστα με τελείες',
	'wikieditor-toolbar-tool-ulist-example' => 'Αντικείμενο λίστας με τελείες',
	'wikieditor-toolbar-tool-olist' => 'Αριθμημένη λίστα',
	'wikieditor-toolbar-tool-olist-example' => 'Αντικείμενο αριθμημένης λίστας',
	'wikieditor-toolbar-tool-indent' => 'Εσοχή',
	'wikieditor-toolbar-tool-indent-example' => 'Γραμμή με εσοχή',
	'wikieditor-toolbar-tool-nowiki' => 'Χωρίς μορφοποίηση Wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Εισάγετε εδώ το μη μορφοποιημένο κείμενο',
	'wikieditor-toolbar-tool-redirect' => 'Ανακατεύθυνση',
	'wikieditor-toolbar-tool-redirect-example' => 'Όνομα της σελίδας στόχου',
	'wikieditor-toolbar-tool-big' => 'Μεγάλα',
	'wikieditor-toolbar-tool-big-example' => 'Κείμενο με μεγάλους χαρακτήρες',
	'wikieditor-toolbar-tool-small' => 'Μικρά',
	'wikieditor-toolbar-tool-small-example' => 'Κείμενο με μικρούς χαρακτήρες',
	'wikieditor-toolbar-tool-superscript' => 'Εκθέτης',
	'wikieditor-toolbar-tool-superscript-example' => 'Κείμενο-εκθέτης',
	'wikieditor-toolbar-tool-subscript' => 'Δείκτης',
	'wikieditor-toolbar-tool-subscript-example' => 'Κείμενο-δείκτης',
	'wikieditor-toolbar-group-insert' => 'Εισαγωγή',
	'wikieditor-toolbar-tool-gallery' => 'Συλλογή εικόνων',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Λεζάντα1
$1:Example.jpg|Λεζάντα2',
	'wikieditor-toolbar-tool-newline' => 'Νέα γραμμή',
	'wikieditor-toolbar-tool-table' => 'Πίνακας',
	'wikieditor-toolbar-tool-table-example-old' => '-
! κεφαλίδα 1
! κεφαλίδα 2
! κεφαλίδα 3
|-
| γραμμή 1, κελί 1
| γραμμή 1, κελί 2
| γραμμή 1, κελί 3
|-
| γραμμή 2, κελί 1
| γραμμή 2, κελί 2
| γραμμή 2, κελί 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Κείμενο κελιού',
	'wikieditor-toolbar-tool-table-example-header' => 'Κείμενο κεφαλίδας',
	'wikieditor-toolbar-tool-table-title' => 'Εισαγωγή πίνακα',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Σειρές',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Στήλες',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Προσθήκη σειράς κεφαλίδων',
	'wikieditor-toolbar-tool-table-wikitable' => 'Διακόσμηση με περιγράμματα',
	'wikieditor-toolbar-tool-table-sortable' => 'Δυνατότητα ταξινόμησης',
	'wikieditor-toolbar-tool-table-example' => 'Κείμενο κελιού',
	'wikieditor-toolbar-tool-table-preview' => 'Προεπισκόπηση',
	'wikieditor-toolbar-tool-table-insert' => 'Εισαγωγή',
	'wikieditor-toolbar-tool-table-cancel' => 'Άκυρο',
	'wikieditor-toolbar-tool-table-toomany' => 'Η εισαγωγή ενός πίνακα με περισσότερα από $1 κελιά δεν είναι δυνατή με αυτό το πλαίσιο διαλόγου.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Δεν έχετε εισαγάγει έναν έγκυρο αριθμό των γραμμών ή στηλών.',
	'wikieditor-toolbar-tool-table-zero' => 'Δεν μπορείτε να εισαγάγετε έναν πίνακα χωρίς γραμμές ή στήλες.',
	'wikieditor-toolbar-tool-replace' => 'Αναζήτηση και αντικατάσταση',
	'wikieditor-toolbar-tool-replace-title' => 'Αναζήτηση και αντικατάσταση',
	'wikieditor-toolbar-tool-replace-search' => 'Αναζήτηση για:',
	'wikieditor-toolbar-tool-replace-replace' => 'Αντικατάσταση από:',
	'wikieditor-toolbar-tool-replace-case' => 'Ταίριασμα πεζών-κεφαλαίων',
	'wikieditor-toolbar-tool-replace-regex' => 'Το αναζητούμενο κείμενο είναι κανονική έκφραση',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Εύρεση επόμενου',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Αντικατάσταση',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Αντικατάσταση όλων',
	'wikieditor-toolbar-tool-replace-close' => 'Κλείσιμο',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Η αναζήτηση δεν ταίριαξε με κάτι.',
	'wikieditor-toolbar-tool-replace-success' => 'Έγιναν $1 αντικαταστάσεις.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Δεν εισάγατε τίποτα προς αναζήτηση.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Η κανονική έκφραση που δώσατε είναι άκυρη: $1',
	'wikieditor-toolbar-section-characters' => 'Ειδικοί χαρακτήρες',
	'wikieditor-toolbar-characters-page-latin' => 'Λατινικό',
	'wikieditor-toolbar-characters-page-latinextended' => 'Προέκταση του λατινικού',
	'wikieditor-toolbar-characters-page-ipa' => 'ΔΦΑ',
	'wikieditor-toolbar-characters-page-symbols' => 'Σύμβολα',
	'wikieditor-toolbar-characters-page-greek' => 'Ελληνικό',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Κυριλλικό',
	'wikieditor-toolbar-characters-page-arabic' => 'Αραβικό',
	'wikieditor-toolbar-characters-page-persian' => 'Περσικό',
	'wikieditor-toolbar-characters-page-hebrew' => 'Εβραϊκό',
	'wikieditor-toolbar-characters-page-bangla' => 'Μπενγκάλι',
	'wikieditor-toolbar-characters-page-telugu' => 'Τελούγκου',
	'wikieditor-toolbar-characters-page-sinhala' => 'Σινχάλα',
	'wikieditor-toolbar-characters-page-gujarati' => 'Γκουχαράτι',
	'wikieditor-toolbar-characters-page-thai' => 'ταϊλανδικά',
	'wikieditor-toolbar-characters-page-lao' => 'λαοτινά',
	'wikieditor-toolbar-characters-page-khmer' => 'καμποτζιανά',
	'wikieditor-toolbar-section-help' => 'Βοήθεια',
	'wikieditor-toolbar-help-heading-description' => 'Περιγραφή',
	'wikieditor-toolbar-help-heading-syntax' => 'Τι πληκτρολογείς',
	'wikieditor-toolbar-help-heading-result' => 'Τι αποτέλεσμα λαμβάνεις',
	'wikieditor-toolbar-help-page-format' => 'Μορφοποίηση',
	'wikieditor-toolbar-help-page-link' => 'Σύνδεσμοι',
	'wikieditor-toolbar-help-page-heading' => 'Τίτλοι',
	'wikieditor-toolbar-help-page-list' => 'Λίστες',
	'wikieditor-toolbar-help-page-file' => 'Αρχεία',
	'wikieditor-toolbar-help-page-reference' => 'Παραπομπές',
	'wikieditor-toolbar-help-page-discussion' => 'Συζήτηση',
	'wikieditor-toolbar-help-content-italic-description' => 'Πλάγια',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Κείμενο με πλάγιους χαρακτήρες''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Κείμενο με πλάγιους χαρακτήρες</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Έντονα',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Έντονο κείμενο'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Έντονο κείμενο</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Έντονα &amp; πλάγια',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Έντονο &amp; πλάγιο κείμενο'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Έντονο &amp; πλάγιο κείμενο</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Εσωτερικός σύνδεσμος',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Τίτλος σελίδας|Ταμπέλα συνδέσμου]]<br />[[Τίτλος σελίδας]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Τίτλος συνδέσμου</a><br /><a href='#'>Τίτλος σελίδας</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Εξωτερικοί σύνδεσμοι',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Ταμπέλα συνδέσμου]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Ταμπέλα συνδέσμου</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Επικεφαλίδα 2ου επιπέδου',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Κείμενο επικεφαλίδας ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Κείμενο επικεφαλίδας</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Επικεφαλίδα 3ου επιπέδου',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Κείμενο επικεφαλίδας ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Κείμενο επικεφαλίδας</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Επικεφαλίδα 4ου επιπέδου',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Κείμενο επικεφαλίδας ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Κείμενο επικεφαλίδας</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Επικεφαλίδα 5ου επιπέδου',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Κείμενο επικεφαλίδας =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Κείμενο επικεφαλίδας</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Λίστα με τελείες',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Στοιχείο της λίστας<br />* Στοιχείο της λίστας',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Στοιχείο λίστας</li><li>Στοιχείο λίστας</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Αριθμημένη λίστα',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Αντικείμενο της λίστας<br /># Αντικείμενο της λίστας',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Στοιχείο λίστας</li><li>Στοιχείο λίστας</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ενσωματωμένο αρχείο',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Κείμενο περιγραφής]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Κείμενο τίτλων' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Κείμενο τίτλων</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Παραπομπή',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Κείμενο σελίδας.&lt;ref name="test"&gt;[http://www.example.org Κείμενο συνδέσμου], επιπλέον κείμενο.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Κείμενο σελίδας.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Πρόσθετη χρήση της ίδιας παραπομπής',
	'wikieditor-toolbar-help-content-rereference-result' => "Κείμενο σελίδας.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Εμφάνιση παραπομπών',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Κείμενο συνδέσμου</a>, επιπλέον κείμενο.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Υπογραφή με σφραγίδα χρόνου',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Όνομα χρήστη</a> (<a href='#' title='{{#special:mytalk}}'>συζήτηση</a>) 10 Ιουνίου 2009 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Υπογραφή',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Όνομα χρήστη</a> (<a href='#' title='{{#special:mytalk}}'>συζήτηση</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Οδόντωση',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Κανονικό κείμενο<br />:Παραγραφοποιημένο κείμενο<br />::Παραγραφοποιημένο κείμενο',
	'wikieditor-toolbar-help-content-indent-result' => 'Κανονικό κείμενο<dl><dd>Παραγραφοποιημένο κείμενο<dl><dd>Παραγραφοποιημένο κείμενο</dd></dl></dd></dl>',
);

/** Esperanto (Esperanto)
 * @author ArnoLagrange
 * @author Lucas
 * @author Marcos
 * @author Michawiki
 * @author Yekrats
 * @author Ziko
 */
$messages['eo'] = array(
	'wikieditor' => 'Progresa redaktilo por vikiteksto',
	'wikieditor-desc' => 'Ebligas redaktan interfacon por etendebla vikiteksto kaj multaj utilaj moduloj',
	'wikieditor-wikitext-tab' => 'Vikiteksto',
	'wikieditor-loading' => 'Ŝargante',
	'wikieditor-preview-preference' => 'Enŝaltu antaŭvidon apud la redaktofenestro',
	'wikieditor-preview-tab' => 'Antaŭvido',
	'wikieditor-preview-changes-tab' => 'Ŝanĝoj',
	'wikieditor-preview-loading' => 'Ŝargante...',
	'wikieditor-previewDialog-preference' => 'Ŝalti antaŭvidan dialogon',
	'wikieditor-previewDialog-tab' => 'Antaŭvido',
	'wikieditor-previewDialog-loading' => 'Ŝargante...',
	'wikieditor-publish-preference' => 'Ŝalti po-paŝan eldonadon',
	'wikieditor-publish-button-publish' => 'Konservi',
	'wikieditor-publish-button-cancel' => 'Nuligi',
	'wikieditor-publish-dialog-title' => 'Konservi al {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Resumo (mallonge priskribu la ŝanĝoj faritaj):',
	'wikieditor-publish-dialog-minor' => 'Eta redakto',
	'wikieditor-publish-dialog-watch' => 'Atenti ĉi tiun paĝon',
	'wikieditor-publish-dialog-publish' => 'Eldoni',
	'wikieditor-publish-dialog-goback' => 'Reen',
	'wikieditor-template-editor-preference' => 'Ŝalti formularan redaktadon de vikiaj ŝablonoj',
	'wikieditor-template-editor-dialog-title' => 'Redakti ŝablonon',
	'wikieditor-template-editor-dialog-submit' => 'Ĝisdatigi',
	'wikieditor-template-editor-dialog-cancel' => 'Nuligi',
	'wikieditor-templates-preference' => 'Ŝalti ŝablonan kaŝadon',
	'wikieditor-toc-preference' => 'Ŝalti navigeblan tabelon de enhavo',
	'wikieditor-toc-show' => 'Montri enhavon',
	'wikieditor-toc-hide' => 'Kaŝi enhavon',
	'wikieditor-toolbar' => 'Ilobreto por redaktoj',
	'wikieditor-toolbar-desc' => 'Ilobreto por redaktoj, kun plibonigita uzebleco',
	'wikieditor-toolbar-preference' => 'Enŝalti plibonigitan ilobreton por redaktoj',
	'wikieditor-toolbar-dialogs-preference' => 'Enŝalti dialogujojn por aldoni ligilojn, tabelojn kaj pli',
	'wikieditor-toolbar-hidesig' => 'Kaŝi la subskribo-butonon de paĝoj en la ĉefa nomspaco',
	'wikieditor-toolbar-loading' => 'Ŝarĝante...',
	'wikieditor-toolbar-tool-bold' => 'Diklitera',
	'wikieditor-toolbar-tool-bold-example' => 'Diklitera teksto',
	'wikieditor-toolbar-tool-italic' => 'Kursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiva teksto',
	'wikieditor-toolbar-tool-ilink' => 'Interna ligilo',
	'wikieditor-toolbar-tool-ilink-example' => 'Titolo de ligilo',
	'wikieditor-toolbar-tool-xlink' => 'Ekstera ligilo (memoru prefikson http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.ekzemplo.com titolo de ligilo',
	'wikieditor-toolbar-tool-link' => 'Ligilo',
	'wikieditor-toolbar-tool-link-title' => 'Enmeti ligilon',
	'wikieditor-toolbar-tool-link-int' => 'Al paĝo de vikio',
	'wikieditor-toolbar-tool-link-int-target' => 'Titolo de paĝo aŭ retadreso (URL):',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titolo de paĝo aŭ URL-o',
	'wikieditor-toolbar-tool-link-int-text' => 'Teksto por la ligilo:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Enigi la tekston montrotan',
	'wikieditor-toolbar-tool-link-ext' => 'Al paĝo ekster la vikio',
	'wikieditor-toolbar-tool-link-ext-target' => 'Retadreso (URL) de la ligilo:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Teksto de ligilo:',
	'wikieditor-toolbar-tool-link-insert' => 'Enmeti ligilon',
	'wikieditor-toolbar-tool-link-cancel' => 'Nuligi',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Paĝo ekzistas',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Paĝo ne ekzistas',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nepermesita titolo',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ligilo al ekstero',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrolante ekziston de paĝo...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'La titolo kiun vi enmetis estas nepermesita.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'La retadreso (URL), kiun vi indikis, aspektas kvazaŭ ĝi estas ligilo al paĝo de alia vikio.
Ĉu vi volas ŝanĝi ĝin al interna ligilo?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interna ligilo',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ligilo al ekstero',
	'wikieditor-toolbar-tool-link-empty' => 'Vi ne enigis ion ajn por alligi',
	'wikieditor-toolbar-tool-file' => 'Enmetita dosiero',
	'wikieditor-toolbar-tool-file-example' => 'Ekzemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Piednoto',
	'wikieditor-toolbar-tool-reference-example' => 'Enmetu tekston de piednoto ĉi tien',
	'wikieditor-toolbar-tool-reference-cancel' => 'Nuligi',
	'wikieditor-toolbar-tool-reference-title' => 'Enmeti piednoton',
	'wikieditor-toolbar-tool-reference-insert' => 'Enmeti',
	'wikieditor-toolbar-tool-reference-text' => 'Teksto de piednoto',
	'wikieditor-toolbar-tool-signature' => 'Subskribo kaj tempindiko',
	'wikieditor-toolbar-section-advanced' => 'Pliaj iloj',
	'wikieditor-toolbar-tool-heading' => 'Titolo',
	'wikieditor-toolbar-tool-heading-1' => 'Nivelo 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivelo 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivelo 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivelo 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivelo 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titola teksto',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Sennumera listigo',
	'wikieditor-toolbar-tool-ulist-example' => 'Listigo kun numeroj',
	'wikieditor-toolbar-tool-olist' => 'Listigo kun numeroj',
	'wikieditor-toolbar-tool-olist-example' => 'Ero en listigo kun numeroj',
	'wikieditor-toolbar-tool-indent' => 'Krommarĝeno',
	'wikieditor-toolbar-tool-indent-example' => 'Krommarĝena linio',
	'wikieditor-toolbar-tool-nowiki' => 'Sen vikia formatado',
	'wikieditor-toolbar-tool-nowiki-example' => 'Enmetu tekston sen formato ĉi tie',
	'wikieditor-toolbar-tool-redirect' => 'Alidirektilo',
	'wikieditor-toolbar-tool-redirect-example' => 'Nomo de la paĝo, kiun vi celas',
	'wikieditor-toolbar-tool-big' => 'Granda',
	'wikieditor-toolbar-tool-big-example' => 'Granda teksto',
	'wikieditor-toolbar-tool-small' => 'Malgranda',
	'wikieditor-toolbar-tool-small-example' => 'Malgranda teksto',
	'wikieditor-toolbar-tool-superscript' => 'Alta skribo',
	'wikieditor-toolbar-tool-superscript-example' => 'Alta skribo',
	'wikieditor-toolbar-tool-subscript' => 'Malalta skribo',
	'wikieditor-toolbar-tool-subscript-example' => 'Malalta skribo',
	'wikieditor-toolbar-group-insert' => 'Enmeti',
	'wikieditor-toolbar-tool-gallery' => 'Bilda galerio',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ekzemplo.jpg|Teksto1 pri dosiero
$1:Ekzemplo.jpg|Teksto2 pri dosiero',
	'wikieditor-toolbar-tool-newline' => 'Nova linio',
	'wikieditor-toolbar-tool-table' => 'Tabelo',
	'wikieditor-toolbar-tool-table-example-old' => '-
! titolo 1
! titolo 2
! titolo 3
|-
| linio 1, ĉelo 1
| linio 1, ĉelo 2
| linio 1, ĉelo 3
|-
| linio 2, ĉelo 1
| linio 2, ĉelo 2
| linio 2, ĉelo 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teksto de ĉelo',
	'wikieditor-toolbar-tool-table-example-header' => 'Teksto de titolo',
	'wikieditor-toolbar-tool-table-title' => 'Enmeti tabelon',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linioj',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolumnoj',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Aldonu titolan linion',
	'wikieditor-toolbar-tool-table-wikitable' => 'Akdonu bordojn',
	'wikieditor-toolbar-tool-table-sortable' => 'Fari tabelon ordigebla',
	'wikieditor-toolbar-tool-table-example' => 'Teksto de ĉelo',
	'wikieditor-toolbar-tool-table-preview' => 'Antaŭvido',
	'wikieditor-toolbar-tool-table-insert' => 'Enmeti',
	'wikieditor-toolbar-tool-table-cancel' => 'Nuligi',
	'wikieditor-toolbar-tool-table-toomany' => 'Enmeti tabelon kun pli ol $1 ĉeloj ne eblas per ĉi tiu dialogujo.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Vi ne enigis permesitan nombron de linioj aŭ kolumnoj.',
	'wikieditor-toolbar-tool-table-zero' => 'Vi ne povas enigi tabelon kun nul linioj aŭ kolumnoj.',
	'wikieditor-toolbar-tool-replace' => 'Serĉi kaj anstataŭigi',
	'wikieditor-toolbar-tool-replace-title' => 'Serĉi kaj anstataŭigi',
	'wikieditor-toolbar-tool-replace-search' => 'Serĉi:',
	'wikieditor-toolbar-tool-replace-replace' => 'Anstataŭigi per:',
	'wikieditor-toolbar-tool-replace-case' => 'Gravas ĉu majusklo / minusklo',
	'wikieditor-toolbar-tool-replace-regex' => 'Trakti signoĉenon kiel regularan esprimon',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Trovi sekvan',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Anstataŭigi',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Anstataŭigi ĉiujn',
	'wikieditor-toolbar-tool-replace-close' => 'Fermi',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Via serĉo trafis nenion.',
	'wikieditor-toolbar-tool-replace-success' => '$1 anstataŭigoj okazis.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Vi ne enigis ion ajn por serĉi.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'La regula esprimo kiun vi enigis estas nepermesita: $1',
	'wikieditor-toolbar-section-characters' => 'Specialaj signoj',
	'wikieditor-toolbar-characters-page-latin' => 'Latina',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latina etendita',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboloj',
	'wikieditor-toolbar-characters-page-greek' => 'Greka',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirila',
	'wikieditor-toolbar-characters-page-arabic' => 'Araba',
	'wikieditor-toolbar-characters-page-arabicextended' => 'araba etendite',
	'wikieditor-toolbar-characters-page-persian' => 'persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrea',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengala',
	'wikieditor-toolbar-characters-page-telugu' => 'Telegua',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guĝarata',
	'wikieditor-toolbar-characters-page-thai' => 'Taja',
	'wikieditor-toolbar-characters-page-lao' => 'laŭa',
	'wikieditor-toolbar-characters-page-khmer' => 'kmera',
	'wikieditor-toolbar-section-help' => 'Helpo',
	'wikieditor-toolbar-help-heading-description' => 'Priskribo',
	'wikieditor-toolbar-help-heading-syntax' => 'Kion vi tajpas',
	'wikieditor-toolbar-help-heading-result' => 'Tion vi vidos',
	'wikieditor-toolbar-help-page-format' => 'Formatado',
	'wikieditor-toolbar-help-page-link' => 'Ligiloj',
	'wikieditor-toolbar-help-page-heading' => 'Titoloj',
	'wikieditor-toolbar-help-page-list' => 'Listoj',
	'wikieditor-toolbar-help-page-file' => 'Dosieroj',
	'wikieditor-toolbar-help-page-reference' => 'Referencoj',
	'wikieditor-toolbar-help-page-discussion' => 'Diskuto',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiva teksto''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiva teksto</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Diklitera',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Diklitera teksto'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Diklitera teksto</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Diklitera &amp; kursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Diklitera &amp; kursiva teksto'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Diklitera &amp; kursiva teksto</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interna ligilo',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Paĝa titolo|Ligila etikedo]]<br />[[Paĝa titolo]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Ligila etikedo</a><br /><a href='#'>Paĝa titolo</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ekstera ligilo',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.ekzemplo.org Ligila etikedo]<br />[http://www.ekzemplo.org]<br />http://www.ekzemplo.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Ligila etikedo</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.ekzemplo.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-a nivela titolo',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Titola teksto ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titola teksto</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-a nivela titolo',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Titola teksto ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titola teksto</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-a nivela titolo',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Titola teksto ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titola teksto</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-a nivela titolo',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Titola teksto =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titola teksto</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Sennumera listigo',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listero<br />* Listero',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listero</li><li>Listero</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nombrita listo',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listero<br /># Listero',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listero</li><li>Listero</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Enmetita dosiero',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Teksto pri dosiero]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Pligrandigi' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teksto pri dosiero</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Piednoto',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Paĝa teksto.&lt;ref name="test"&gt;[http://www.ekzemplo.org Ligila teksto], aldona teksto.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Paĝa teksto.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Reuzo de la sama piednoto.',
	'wikieditor-toolbar-help-content-rereference-result' => "Paĝa teksto.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Montri piednotojn',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.ekzemplo.org' class='external text' href='#'>Ligila teksto</a>, aldona teksto.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Subskribo kun tempindiko',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Salutnomo</a> (<a href='#' title='{{#special:mytalk}}'>diskuto</a>) 15:54, 10 junio 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Subskribo',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Salutnomo</a> (<a href='#' title='{{#special:mytalk}}'>diskuto</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Krommarĝeno',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Norma teksto<br />:Krommarĝena teksto<br />::Krommarĝena teksto',
	'wikieditor-toolbar-help-content-indent-result' => 'Norma teksto<dl><dd>Krommarĝena teksto<dl><dd>Krommarĝena teksto</dd></dl><dd></dl>',
);

/** Spanish (Español)
 * @author AlimanRuna
 * @author Crazymadlover
 * @author Fitoschido
 * @author Imre
 * @author Locos epraix
 * @author McDutchie
 * @author PerroVerd
 * @author Pertile
 * @author Peter17
 * @author Platonides
 * @author Translationista
 */
$messages['es'] = array(
	'wikieditor' => 'Interfaz avanzada de edición de wikitexto',
	'wikieditor-desc' => 'Provee de una interfaz extensible de edición de wikitexto y varios módulos que ofrecen características',
	'wikieditor-wikitext-tab' => 'Wikitexto',
	'wikieditor-loading' => 'Cargando',
	'wikieditor-preview-preference' => 'Habilitar previsualización comparativa',
	'wikieditor-preview-tab' => 'Previsualizar',
	'wikieditor-preview-changes-tab' => 'Cambios',
	'wikieditor-preview-loading' => 'Cargando...',
	'wikieditor-previewDialog-preference' => 'Habilitar diálogo de vista previa',
	'wikieditor-previewDialog-tab' => 'Previsualizar',
	'wikieditor-previewDialog-loading' => 'Cargando...',
	'wikieditor-publish-preference' => 'Habilitar publicación paso a paso',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancelar',
	'wikieditor-publish-dialog-title' => 'Publicar en {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Resumen de edición (describe brevemente los cambios que has realizado):',
	'wikieditor-publish-dialog-minor' => 'Edición menor',
	'wikieditor-publish-dialog-watch' => 'Vigilar esta página',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Regresar',
	'wikieditor-template-editor-preference' => 'Habilitar la edición plantillas usando formularios',
	'wikieditor-template-editor-dialog-title' => 'Editar plantilla',
	'wikieditor-template-editor-dialog-submit' => 'Actualizar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancelar',
	'wikieditor-templates-preference' => 'Habilitar colapso de plantilla',
	'wikieditor-toc-preference' => 'Habilitar tabla de contenidos navegable',
	'wikieditor-toc-show' => 'Mostrar el contenido',
	'wikieditor-toc-hide' => 'Ocultar el contenido',
	'wikieditor-toolbar' => 'Barra de herramientas de edición',
	'wikieditor-toolbar-desc' => 'Barra de herramientas de la página de edición con usabilidad mejorada',
	'wikieditor-toolbar-preference' => 'Habilitar la barra de herramientas de edición mejorada',
	'wikieditor-toolbar-dialogs-preference' => 'Habilitar diálogos para insertar enlaces, tablas y más',
	'wikieditor-toolbar-hidesig' => 'Ocultar el botón firmar de las páginas en el espacio de nombres principal',
	'wikieditor-toolbar-loading' => 'Cargando...',
	'wikieditor-toolbar-tool-bold' => 'Negrita',
	'wikieditor-toolbar-tool-bold-example' => 'Texto en negrita',
	'wikieditor-toolbar-tool-italic' => 'Cursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Texto en cursiva',
	'wikieditor-toolbar-tool-ilink' => 'Vínculo interno',
	'wikieditor-toolbar-tool-ilink-example' => 'Título del enlace',
	'wikieditor-toolbar-tool-xlink' => 'Enlace externo (recordar prefijo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com título del enlace',
	'wikieditor-toolbar-tool-link' => 'Enlace',
	'wikieditor-toolbar-tool-link-title' => 'Insertar enlace',
	'wikieditor-toolbar-tool-link-int' => 'A una página wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Título de página:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Título de la página o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Título del enlace',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Introducir el texto para mostrar',
	'wikieditor-toolbar-tool-link-ext' => 'A una página web externa',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL del enlace:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Título del enlace:',
	'wikieditor-toolbar-tool-link-insert' => 'Insertar enlace',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La página existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'No existe la página',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Título inválido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Enlace externo',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Revisando existencia de la página...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'El título que ha especificado no es válido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'EL URL que has especificado parece que tenia como finalidad ser un vínculo para otra página wiki.
¿Deseas hacerlo un vínculo interno?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Enlace interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Enlace externo',
	'wikieditor-toolbar-tool-link-empty' => 'No has escrito nada a qué vincular.',
	'wikieditor-toolbar-tool-file' => 'Archivo empotrado',
	'wikieditor-toolbar-tool-file-example' => 'Ejemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referencia',
	'wikieditor-toolbar-tool-reference-example' => 'Insertar nota a pie de página aquí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-reference-title' => 'Insertar una referencia',
	'wikieditor-toolbar-tool-reference-insert' => 'Insertar',
	'wikieditor-toolbar-tool-reference-text' => 'Texto de referencia',
	'wikieditor-toolbar-tool-signature' => 'Firma y fecha',
	'wikieditor-toolbar-section-advanced' => 'Avanzado',
	'wikieditor-toolbar-tool-heading' => 'Encabezado',
	'wikieditor-toolbar-tool-heading-1' => 'Nivel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto de encabezado',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Lista viñeteada',
	'wikieditor-toolbar-tool-ulist-example' => 'Ítem de lista viñeteada',
	'wikieditor-toolbar-tool-olist' => 'Lista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Item de lista numerada',
	'wikieditor-toolbar-tool-indent' => 'Indentación',
	'wikieditor-toolbar-tool-indent-example' => 'Línea indentada',
	'wikieditor-toolbar-tool-nowiki' => 'Sin formato wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Introduzca texto sin formato aquí',
	'wikieditor-toolbar-tool-redirect' => 'Redirección',
	'wikieditor-toolbar-tool-redirect-example' => 'Nombre de la página destino',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Texto grande',
	'wikieditor-toolbar-tool-small' => 'Pequeño',
	'wikieditor-toolbar-tool-small-example' => 'Texto pequeño',
	'wikieditor-toolbar-tool-superscript' => 'Superescrito',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto superescrito',
	'wikieditor-toolbar-tool-subscript' => 'Suscribir',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto suscrito',
	'wikieditor-toolbar-group-insert' => 'Insertar',
	'wikieditor-toolbar-tool-gallery' => 'Galería de fotos',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ejemplo.jpg|Descripción1
$1:Ejemplo.jpg|Descripción2',
	'wikieditor-toolbar-tool-newline' => 'Nueva línea',
	'wikieditor-toolbar-tool-table' => 'Tabla',
	'wikieditor-toolbar-tool-table-example-old' => '-
! encabezado 1
! encabezado 2
! encabezado 3
|-
| fila 1, celda 1
| fila 1, celda 2
| fila 1, celda 3
|-
| fila 2, celda 1
| fila 2, celda 2
| fila 2, celda 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texto de celda',
	'wikieditor-toolbar-tool-table-example-header' => 'Texto de encabezado',
	'wikieditor-toolbar-tool-table-title' => 'Inserte tabla',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Filas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Incluir encabezado de fila',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo con bordes',
	'wikieditor-toolbar-tool-table-sortable' => 'Hacer la tabla organizable',
	'wikieditor-toolbar-tool-table-example' => 'Texto de celda',
	'wikieditor-toolbar-tool-table-preview' => 'Previsualización',
	'wikieditor-toolbar-tool-table-insert' => 'Insertar',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-table-toomany' => 'Insertar una tabla con más de $1 celdas no es posible con este cuadro de diálogo.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'No se ha introducido un número válido de filas o columnas.',
	'wikieditor-toolbar-tool-table-zero' => 'No se puede insertar una tabla con cero filas o columnas.',
	'wikieditor-toolbar-tool-replace' => 'Buscar y reemplazar',
	'wikieditor-toolbar-tool-replace-title' => 'Buscar y reemplazar',
	'wikieditor-toolbar-tool-replace-search' => 'Buscar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Reemplazar por:',
	'wikieditor-toolbar-tool-replace-case' => 'Considerar mayúsculas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratar la cadena de búsqueda como expresión regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Buscar siguiente',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Reemplazar',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Reemplazar todo',
	'wikieditor-toolbar-tool-replace-close' => 'Cerrar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Su búsqueda no halló resultados.',
	'wikieditor-toolbar-tool-replace-success' => '$1 reemplazos hechos',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'No ingresó nada para buscar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'La expresión regular que ha introducido es inválida: $1',
	'wikieditor-toolbar-section-characters' => 'Caracteres especiales',
	'wikieditor-toolbar-characters-page-latin' => 'Latín',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latín extendido',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Griego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirílico',
	'wikieditor-toolbar-characters-page-arabic' => 'Árabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arábico extendido',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalí',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugú',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ayuda',
	'wikieditor-toolbar-help-heading-description' => 'Descripción',
	'wikieditor-toolbar-help-heading-syntax' => 'Lo que escribe',
	'wikieditor-toolbar-help-heading-result' => 'Lo que obtiene',
	'wikieditor-toolbar-help-page-format' => 'Formateando',
	'wikieditor-toolbar-help-page-link' => 'Enlaces',
	'wikieditor-toolbar-help-page-heading' => 'Encabezados',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Archivos',
	'wikieditor-toolbar-help-page-reference' => 'Referencias',
	'wikieditor-toolbar-help-page-discussion' => 'Discusión',
	'wikieditor-toolbar-help-content-italic-description' => 'Itálica',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto en cursiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto en cursiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negrita',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto en negrita'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto en negrita</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negrita &amp; cursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto en negrita y cursiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto en negrita &amp; cursiva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Enlace interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Etiqueta de vínculo]]<br />[[Título de página]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etiqueta de vínculo</a><br /><a href='#'>Título de página</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Enlace externo',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Etiqueta del enlace]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etiqueta del enlace</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Encabezado de 2º nivel',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Texto de encabezado ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Texto de encabezado</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Encabezado de 3º nivel',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Texto de encabezado ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Texto de encabezado</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Encabezado de 4º nivel',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Texto de encabezado ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Texto de encabezado</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Encabezado de 5º nivel',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Texto de encabezado =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Texto de encabezado</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista viñeteada',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listar item<br />* Listar item',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listar item</li><li>Listar item</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listar item<br /># Listar item',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listar item</li><li>Listar item</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Archivo empotrado',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ejemplo.png|thumb|Texto de la leyenda]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Texto leyenda</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referencia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto de página.&lt;ref name="test"&gt;[http://www.example.org Texto de vínculo], texto adicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texto de página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Uso adicional de la misma referencia',
	'wikieditor-toolbar-help-content-rereference-result' => "Texto de página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostrar referencias',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Texto de vínculo</a>, texto adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Fecha y firma',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nombre de usuario</a> (<a href='#' title='{{#special:mytalk}}'>discusión</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nombre de usuario</a> (<a href='#' title='{{#special:mytalk}}'>discusión</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentado',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto indentado<br />::Texto indentado',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto indentado<dl><dd>Texto indentado</dd></dl></dd></dl>',
);

/** Estonian (Eesti)
 * @author Avjoska
 * @author Kyng
 * @author Pikne
 * @author WikedKentaur
 */
$messages['et'] = array(
	'wikieditor-wikitext-tab' => 'Vikitekst',
	'wikieditor-loading' => 'Laadimine',
	'wikieditor-preview-tab' => 'Eelvaade',
	'wikieditor-preview-changes-tab' => 'Muudatused',
	'wikieditor-preview-loading' => 'Laadimine...',
	'wikieditor-previewDialog-tab' => 'Eelvaade',
	'wikieditor-previewDialog-loading' => 'Laadimine...',
	'wikieditor-publish-preference' => 'Kasuta astmelist avaldamist',
	'wikieditor-publish-button-publish' => 'Avalda',
	'wikieditor-publish-button-cancel' => 'Loobu',
	'wikieditor-publish-dialog-title' => '{{GRAMMAR:inessive|{{SITENAME}}}} avaldamine',
	'wikieditor-publish-dialog-summary' => 'Redaktsiooni kokkuvõte (kirjelda lühidalt tehtud muudatusi):',
	'wikieditor-publish-dialog-minor' => 'Pisimuudatus',
	'wikieditor-publish-dialog-watch' => 'Jälgi seda lehekülge',
	'wikieditor-publish-dialog-publish' => 'Avalda',
	'wikieditor-publish-dialog-goback' => 'Tagasi',
	'wikieditor-template-editor-preference' => 'Luba vormipõhine viki mallide toimetamine',
	'wikieditor-template-editor-dialog-title' => 'Muuda malli',
	'wikieditor-template-editor-dialog-submit' => 'Uuendus',
	'wikieditor-template-editor-dialog-cancel' => 'Loobu',
	'wikieditor-toc-preference' => 'Kasuta navigeerimist võimaldavat sisukorda',
	'wikieditor-toc-show' => 'Näita sisu',
	'wikieditor-toc-hide' => 'Peida sisu',
	'wikieditor-toolbar' => 'Toimetamise tööriistariba',
	'wikieditor-toolbar-desc' => 'Täiustatud kasutushõlpsusega redigeerimislehekülje tööriistariba',
	'wikieditor-toolbar-preference' => 'Kasuta laiendatud redigeerimisriba',
	'wikieditor-toolbar-dialogs-preference' => 'Kasuta tabelite ja muu lisamiseks dialoogikaste',
	'wikieditor-toolbar-loading' => 'Laadimine...',
	'wikieditor-toolbar-tool-bold' => 'Rasvane',
	'wikieditor-toolbar-tool-bold-example' => 'Rasvane kiri',
	'wikieditor-toolbar-tool-italic' => 'Kaldkiri',
	'wikieditor-toolbar-tool-italic-example' => 'Kaldkiri',
	'wikieditor-toolbar-tool-ilink' => 'Siselink',
	'wikieditor-toolbar-tool-ilink-example' => 'Lingi pealkiri',
	'wikieditor-toolbar-tool-xlink' => 'Välislink (ära unusta eesliidet http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.näide.ee lingi pealkiri',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Lingi lisamine',
	'wikieditor-toolbar-tool-link-int' => 'Vikileheküljele',
	'wikieditor-toolbar-tool-link-int-target' => 'Lehekülje pealkiri:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Lehekülje pealkiri või internetiaadress',
	'wikieditor-toolbar-tool-link-int-text' => 'Lingi tekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Kuvatav tekst',
	'wikieditor-toolbar-tool-link-ext' => 'Välisele võrguleheküljele',
	'wikieditor-toolbar-tool-link-ext-target' => 'Lingi aadress:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Lingi tekst:',
	'wikieditor-toolbar-tool-link-insert' => 'Lisa link',
	'wikieditor-toolbar-tool-link-cancel' => 'Loobu',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Lehekülg on olemas',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Lehekülge pole',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Vigane pealkiri',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Välislink',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Lehekülje olemasolu kindlakstegemine...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Määratud pealkiri on vigane.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Paistab, et sisestatud internetiaadress viitab teisele vikileheküljele.
Kas soovid sellest siselingi teha?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Siselink',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Välislink',
	'wikieditor-toolbar-tool-link-empty' => 'Sa ei sisestanud midagi, millele linkida.',
	'wikieditor-toolbar-tool-file' => 'Manusfail',
	'wikieditor-toolbar-tool-file-example' => 'Näide.jpg',
	'wikieditor-toolbar-tool-reference' => 'Viide',
	'wikieditor-toolbar-tool-reference-example' => 'Lisa siia allmärkuse tekst',
	'wikieditor-toolbar-tool-reference-cancel' => 'Loobu',
	'wikieditor-toolbar-tool-reference-title' => 'Viite lisamine',
	'wikieditor-toolbar-tool-reference-insert' => 'Lisa',
	'wikieditor-toolbar-tool-reference-text' => 'Viite tekst',
	'wikieditor-toolbar-tool-signature' => 'Allkiri ja ajatempel',
	'wikieditor-toolbar-section-advanced' => 'Laiendatud',
	'wikieditor-toolbar-tool-heading' => 'Pealkiri',
	'wikieditor-toolbar-tool-heading-1' => 'Pealkiri 1',
	'wikieditor-toolbar-tool-heading-2' => 'Pealkiri 2',
	'wikieditor-toolbar-tool-heading-3' => 'Pealkiri 3',
	'wikieditor-toolbar-tool-heading-4' => 'Pealkiri 4',
	'wikieditor-toolbar-tool-heading-5' => 'Pealkiri 5',
	'wikieditor-toolbar-tool-heading-example' => 'Pealkirja tekst',
	'wikieditor-toolbar-group-format' => 'Vorming',
	'wikieditor-toolbar-tool-ulist' => 'Täpploend',
	'wikieditor-toolbar-tool-ulist-example' => 'Täpploendi liige',
	'wikieditor-toolbar-tool-olist' => 'Numberloend',
	'wikieditor-toolbar-tool-olist-example' => 'Numberloendi liige',
	'wikieditor-toolbar-tool-indent' => 'Taane',
	'wikieditor-toolbar-tool-indent-example' => 'Taandrida',
	'wikieditor-toolbar-tool-nowiki' => 'Vikivorminduseta',
	'wikieditor-toolbar-tool-nowiki-example' => 'Lisa siia mittevormindatav tekst',
	'wikieditor-toolbar-tool-redirect' => 'Ümbersuunamine',
	'wikieditor-toolbar-tool-redirect-example' => 'Sihtlehekülje pealkiri',
	'wikieditor-toolbar-tool-big' => 'Suur',
	'wikieditor-toolbar-tool-big-example' => 'Suur tekst',
	'wikieditor-toolbar-tool-small' => 'Väike',
	'wikieditor-toolbar-tool-small-example' => 'Väike tekst',
	'wikieditor-toolbar-tool-superscript' => 'Ülaindeks',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst ülaindeksina',
	'wikieditor-toolbar-tool-subscript' => 'Allindeks',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst allindeksina',
	'wikieditor-toolbar-group-insert' => 'Lisa',
	'wikieditor-toolbar-tool-gallery' => 'Pildigalerii',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Näide.jpg|Pildiallkiri1
$1:Näide.jpg|Pildiallkiri2',
	'wikieditor-toolbar-tool-newline' => 'Uus rida',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! päis 1
! päis 2
! päis 3
|-
| 1. rida, 1. lahter
| 1. rida, 2. lahter
| 1. rida, 3. lahter
|-
| 2. rida, 1. lahter
| 2. rida, 2. lahter
| 2. rida, 3. lahter',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Lahtri tekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Päise tekst',
	'wikieditor-toolbar-tool-table-title' => 'Tabeli lisamine',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Ridu',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Veerge',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Lisa päiserida',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stiliseeritud äärised',
	'wikieditor-toolbar-tool-table-sortable' => 'Tee tabel sorditavaks',
	'wikieditor-toolbar-tool-table-example' => 'Näide',
	'wikieditor-toolbar-tool-table-preview' => 'Eelvaade',
	'wikieditor-toolbar-tool-table-insert' => 'Lisa',
	'wikieditor-toolbar-tool-table-cancel' => 'Loobu',
	'wikieditor-toolbar-tool-table-toomany' => 'Selle dialoogiaknaga ei saa lisada tabelit, millel on rohkem kui $1 lahter.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Sa pole sisestanud sobivat ridade ega veergude määra.',
	'wikieditor-toolbar-tool-table-zero' => 'Ühegi rea ega veeruta tabelit ei saa lisada',
	'wikieditor-toolbar-tool-replace' => 'Otsi ja asenda',
	'wikieditor-toolbar-tool-replace-title' => 'Otsimine ja asendus',
	'wikieditor-toolbar-tool-replace-search' => 'Otsitav:',
	'wikieditor-toolbar-tool-replace-replace' => 'Asendaja:',
	'wikieditor-toolbar-tool-replace-case' => 'Tõstutundlik',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Otsi järgmine',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Asenda',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Asenda kõik',
	'wikieditor-toolbar-tool-replace-close' => 'Sulge',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ühtegi otsitavat ei leitud.',
	'wikieditor-toolbar-tool-replace-success' => '$1 asendus(t) tehtud.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Otsitav on sisestamata.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Sisestatud regulaaravaldis on vigane: $1',
	'wikieditor-toolbar-section-characters' => 'Erimärgid',
	'wikieditor-toolbar-characters-page-latin' => 'Ladina',
	'wikieditor-toolbar-characters-page-latinextended' => 'Ladina (laiendatud)',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA-laiendid',
	'wikieditor-toolbar-characters-page-symbols' => 'Sümbolid',
	'wikieditor-toolbar-characters-page-greek' => 'Kreeka',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirillitsa',
	'wikieditor-toolbar-characters-page-arabic' => 'Araabia',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Araabia (laiendatud)',
	'wikieditor-toolbar-characters-page-persian' => 'Pärsia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Heebrea',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singali',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tai',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmeeri',
	'wikieditor-toolbar-section-help' => 'Abi',
	'wikieditor-toolbar-help-heading-description' => 'Kirjeldus',
	'wikieditor-toolbar-help-heading-syntax' => 'Trükitu',
	'wikieditor-toolbar-help-heading-result' => 'Tulemus',
	'wikieditor-toolbar-help-page-format' => 'Vorming',
	'wikieditor-toolbar-help-page-link' => 'Lingid',
	'wikieditor-toolbar-help-page-heading' => 'Pealkirjad',
	'wikieditor-toolbar-help-page-list' => 'Loendid',
	'wikieditor-toolbar-help-page-file' => 'Failid',
	'wikieditor-toolbar-help-page-reference' => 'Viited',
	'wikieditor-toolbar-help-page-discussion' => 'Arutelu',
	'wikieditor-toolbar-help-content-italic-description' => 'Kaldkiri',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kaldkirjas tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kaldkirjas tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Rasvane',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Rasvane tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Rasvane tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Rasvane kaldkiri',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Rasvane kaldkirjas tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Rasvane kaldkirjas tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Siselink',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Lehekülje pealkiri|Lingi silt]]<br />[[Lehekülje pealkiri]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Lingi silt</a><br /><a href='#'>Lehekülje pealkiri</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Välislink',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.näide.ee Lingi silt]<br />[http://www.näide.ee]<br />http://www.näide.ee',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Lingi silt</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.näide.ee</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. taseme pealkiri',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Pealkirjatekst==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Pealkirjatekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. taseme pealkiri',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===Pealkirjatekst===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Pealkirjatekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. taseme pealkiri',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Pealkirjatekst ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Pealkirjatekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. taseme pealkiri',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Pealkirjatekst =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Pealkirjatekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Täpploend',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Loendi liige<br />* Loendi liige',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Loendi liige</li><li>Loendi liige</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numberloend',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Loendi liige<br /># Loendi liige',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Loendi liige</li><li>Loendi liige</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Manusfail',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Näide.png|thumb|Pildiallkiri.]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Pildiallkiri' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Suurenda' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Pildiallkiri</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Viide',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Lehekülje tekst.&lt;ref name="test"&gt;[http://www.näide.ee Lingi tekst], täiendav tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Lehekülje tekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Sama viite mitmekordne kasutamine',
	'wikieditor-toolbar-help-content-rereference-syntax' => 'Lehekülje tekst.&lt;ref name="test" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Lehekülje tekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Viidete kuvamine',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.näide.ee' class='external text' href='#'>Lingi tekst</a>, täiendav tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Allkiri ja ajatempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Kasutajanimi</a> 10. juuni 2009, kell 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Allkiri',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Kasutajanimi</a>",
	'wikieditor-toolbar-help-content-indent-description' => 'Taane',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Harilik tekst<br />:Taandega tekst<br />::Taandega tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Harilik tekst<dl><dd>Taandega tekst<dl><dd>Taandega tekst</dd></dl></dd></dl>',
);

/** Basque (Euskara)
 * @author An13sa
 * @author Inorbez
 * @author Joxemai
 * @author Xabier Armendaritz
 */
$messages['eu'] = array(
	'wikieditor' => 'Wikitestu edizio-interfaze aurreratua',
	'wikieditor-desc' => 'Wikitestua editatzeko interfazea eta ezaugarri berriak ematen ditu',
	'wikieditor-wikitext-tab' => 'Wikitestua',
	'wikieditor-loading' => 'Kargatzen',
	'wikieditor-preview-preference' => 'Aldetik aldeko aurrikuspena gaitu',
	'wikieditor-preview-tab' => 'Aurreikuspena',
	'wikieditor-preview-changes-tab' => 'Aldaketak',
	'wikieditor-preview-loading' => 'Kargatzen...',
	'wikieditor-previewDialog-preference' => 'Aurrikuspen kutxa gaitu',
	'wikieditor-previewDialog-tab' => 'Aurreikuspena',
	'wikieditor-previewDialog-loading' => 'Kargatzen...',
	'wikieditor-publish-preference' => 'Pausoz pausoko argitarapena ahalbideratu',
	'wikieditor-publish-button-publish' => 'Argitaratu',
	'wikieditor-publish-button-cancel' => 'Utzi',
	'wikieditor-publish-dialog-title' => '{{SITENAME}}era argitaratu',
	'wikieditor-publish-dialog-summary' => 'Laburpena (Egindako aldaketak laburki azaldu):',
	'wikieditor-publish-dialog-minor' => 'Aldaketa txikia',
	'wikieditor-publish-dialog-watch' => 'Orrialde hau jarraitu',
	'wikieditor-publish-dialog-publish' => 'Argitaratu',
	'wikieditor-publish-dialog-goback' => 'Atzera joan',
	'wikieditor-template-editor-preference' => 'Forman oinarritutako wiki txantiloien edizioa gaitu',
	'wikieditor-template-editor-dialog-title' => 'Txantiloia aldatu',
	'wikieditor-template-editor-dialog-submit' => 'Eguneratu',
	'wikieditor-template-editor-dialog-cancel' => 'Utzi',
	'wikieditor-templates-preference' => 'Txantiloien ixtea eta irekitzea gaitu',
	'wikieditor-toc-preference' => 'Eduki-taula nabigagarria gaitu',
	'wikieditor-toc-show' => 'Edukiak erakutsi',
	'wikieditor-toc-hide' => 'Edukiak ezkutatu',
	'wikieditor-toolbar' => 'Tresna-barra aldatzen',
	'wikieditor-toolbar-desc' => 'Orrialdeko editatzeko barra aldatu era erabilgarritasun hobetuarekin',
	'wikieditor-toolbar-preference' => 'Editatzeko tresna barra hobetua gaitu',
	'wikieditor-toolbar-dialogs-preference' => 'Elkarrizketa kutxak gaitu loturak, taula eta bestelakoak sartzeko',
	'wikieditor-toolbar-loading' => 'Kargatzen...',
	'wikieditor-toolbar-tool-bold' => 'Beltza',
	'wikieditor-toolbar-tool-bold-example' => 'Testu beltza',
	'wikieditor-toolbar-tool-italic' => 'Etzana',
	'wikieditor-toolbar-tool-italic-example' => 'Testu etzana',
	'wikieditor-toolbar-tool-ilink' => 'Barne lotura',
	'wikieditor-toolbar-tool-ilink-example' => 'Loturaren izenburua',
	'wikieditor-toolbar-tool-xlink' => 'Kanpo lotura (gogoratu http:// aurrizkia)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.adibidea.com loturaren izenburua',
	'wikieditor-toolbar-tool-link' => 'Lotura',
	'wikieditor-toolbar-tool-link-title' => 'Sartu lotura',
	'wikieditor-toolbar-tool-link-int' => 'Wiki orrialde batera',
	'wikieditor-toolbar-tool-link-int-target' => 'Orrialdearen izenburua:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Orriaren izenburua edo URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Lotutako testua:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Idatzi erakutsi beharreko testua',
	'wikieditor-toolbar-tool-link-ext' => 'Kanpoko orrialde batera',
	'wikieditor-toolbar-tool-link-ext-target' => 'Lotura URLa:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Lotura testua:',
	'wikieditor-toolbar-tool-link-insert' => 'Lotura txertatu',
	'wikieditor-toolbar-tool-link-cancel' => 'Utzi',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Orrialdea existitzen da',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Orrialdea ez da existitzen',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Balio gabeko izenburua',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kanpo lotura',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Orriaren existentzia egiaztatzen...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Zehaztutako izenburua ez dago zuzen.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Adierazi duzun URL beste wiki orri batera lotzen duela dirudi.
Barne lotura bezala sortu nahi duzu?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Barne lotura',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kanpo lotura',
	'wikieditor-toolbar-tool-link-empty' => 'Ez duzu bilatu beharreko ezer adierazi.',
	'wikieditor-toolbar-tool-file' => 'Fitxategia txertatu',
	'wikieditor-toolbar-tool-file-example' => 'Adibidea.jpg',
	'wikieditor-toolbar-tool-reference' => 'Erreferentzia',
	'wikieditor-toolbar-tool-reference-example' => 'Txertatu testu oina hemen',
	'wikieditor-toolbar-tool-reference-cancel' => 'Utzi',
	'wikieditor-toolbar-tool-reference-title' => 'Txertatu erreferentzia',
	'wikieditor-toolbar-tool-reference-insert' => 'Txertatu',
	'wikieditor-toolbar-tool-reference-text' => 'Erreferentzia-testua',
	'wikieditor-toolbar-tool-signature' => 'Sinadura, eguna eta ordua',
	'wikieditor-toolbar-section-advanced' => 'Aurreratua',
	'wikieditor-toolbar-tool-heading' => 'Izenburua',
	'wikieditor-toolbar-tool-heading-1' => '1. maila',
	'wikieditor-toolbar-tool-heading-2' => '2. maila',
	'wikieditor-toolbar-tool-heading-3' => '3. maila',
	'wikieditor-toolbar-tool-heading-4' => '4. maila',
	'wikieditor-toolbar-tool-heading-5' => '5. maila',
	'wikieditor-toolbar-tool-heading-example' => '&#32;Izenburuaren testua&#32;',
	'wikieditor-toolbar-group-format' => 'Formatua',
	'wikieditor-toolbar-tool-ulist' => 'Puntudun zerrenda',
	'wikieditor-toolbar-tool-ulist-example' => 'Puntudun zerrendako elementua',
	'wikieditor-toolbar-tool-olist' => 'Zenbakidun zerrenda',
	'wikieditor-toolbar-tool-olist-example' => 'Zenbakidun zerrendako elementua',
	'wikieditor-toolbar-tool-indent' => 'Koska',
	'wikieditor-toolbar-tool-indent-example' => 'Koskadun lerroa',
	'wikieditor-toolbar-tool-nowiki' => 'Ez egin jaramonik wiki formatuari',
	'wikieditor-toolbar-tool-nowiki-example' => 'Formatu gabeko testua hemen idatzi',
	'wikieditor-toolbar-tool-redirect' => 'Birzuzenketa',
	'wikieditor-toolbar-tool-redirect-example' => 'Bilatzen den orriaren izena',
	'wikieditor-toolbar-tool-big' => 'Handia',
	'wikieditor-toolbar-tool-big-example' => 'Testu handia',
	'wikieditor-toolbar-tool-small' => 'Txikia',
	'wikieditor-toolbar-tool-small-example' => 'Testu txikia',
	'wikieditor-toolbar-tool-superscript' => 'Goi-indizea',
	'wikieditor-toolbar-tool-superscript-example' => 'Goi-indizearen testua',
	'wikieditor-toolbar-tool-subscript' => 'Azpiindizea',
	'wikieditor-toolbar-tool-subscript-example' => 'Azpiindizearen testua',
	'wikieditor-toolbar-group-insert' => 'Txertatu',
	'wikieditor-toolbar-tool-gallery' => 'Irudi galeria',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Adibidea.jpg|Oina1
$1:Adibidea.jpg|Oina2',
	'wikieditor-toolbar-tool-newline' => 'Lerro berria',
	'wikieditor-toolbar-tool-table' => 'Taula',
	'wikieditor-toolbar-tool-table-example-old' => '-
! goiburua 1
! goiburua 2
! goiburua 3
|-
| errenkada 1, gela 1
| errenkada 1, gela 2
| errenkada 1, gela 3
|-
| errenkada 2, gela 1
| errenkada 2, gela 2
| errenkada 2, gela 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Gelatxo testua',
	'wikieditor-toolbar-tool-table-example-header' => 'Goiburu testua',
	'wikieditor-toolbar-tool-table-title' => 'Taula txertatu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Errenkadak',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Zutabeak',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Goiburu errendaka txertatu',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estiloa ertzekin',
	'wikieditor-toolbar-tool-table-sortable' => 'Egin taula sailkagarri',
	'wikieditor-toolbar-tool-table-example' => 'Gelatxo testua',
	'wikieditor-toolbar-tool-table-preview' => 'Aurreikuspena',
	'wikieditor-toolbar-tool-table-insert' => 'Txertatu',
	'wikieditor-toolbar-tool-table-cancel' => 'Utzi',
	'wikieditor-toolbar-tool-table-toomany' => 'Elkarrizketa-kutxa honekin ezinezkoa da $1 zutabe baino gehiago dituen taula txertatzea',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ez duzu idatzi errenkada edo zutabe-kopuru zuzen bat.',
	'wikieditor-toolbar-tool-table-zero' => 'Ezin duzu 0 errenkada edo zutabe duen taularik txertatu.',
	'wikieditor-toolbar-tool-replace' => 'Bilatu eta ordezkatu',
	'wikieditor-toolbar-tool-replace-title' => 'Bilatu eta aldatu',
	'wikieditor-toolbar-tool-replace-search' => 'Bilatu hau:',
	'wikieditor-toolbar-tool-replace-replace' => 'Honegatik aldatu:',
	'wikieditor-toolbar-tool-replace-case' => 'Bilaketa zehatza',
	'wikieditor-toolbar-tool-replace-regex' => 'Bilaketa hitzak espresio erregular gisa tratatu',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Hurrengoa bilatu',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ordezkatu',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Denak ordezkatu',
	'wikieditor-toolbar-tool-replace-close' => 'Itxi',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ez dago bilaketarekin bat egiten duten emaitzarik.',
	'wikieditor-toolbar-tool-replace-success' => '$1 ordezkapen eginda.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ez duzu bilatu beharreko ezer adierazi.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Txertatu duzun adierazpen erregularra ez da zzuena:  $1',
	'wikieditor-toolbar-section-characters' => 'Karaktere bereziak',
	'wikieditor-toolbar-characters-page-latin' => 'Latina',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin hedatua',
	'wikieditor-toolbar-characters-page-ipa' => 'NAF',
	'wikieditor-toolbar-characters-page-symbols' => 'Ikurrak',
	'wikieditor-toolbar-characters-page-greek' => 'Greziera',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Zirilikoa',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiera',
	'wikieditor-toolbar-characters-page-persian' => 'Persiera',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreera',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guajarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thaiera',
	'wikieditor-toolbar-characters-page-lao' => 'Laosera',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerrera',
	'wikieditor-toolbar-section-help' => 'Laguntza',
	'wikieditor-toolbar-help-heading-description' => 'Deskribapena',
	'wikieditor-toolbar-help-heading-syntax' => 'Idazten duzuna',
	'wikieditor-toolbar-help-heading-result' => 'Lortzen duzuna',
	'wikieditor-toolbar-help-page-format' => 'Formatua ematen',
	'wikieditor-toolbar-help-page-link' => 'Loturak',
	'wikieditor-toolbar-help-page-heading' => 'Goiburuak',
	'wikieditor-toolbar-help-page-list' => 'Zerrendak',
	'wikieditor-toolbar-help-page-file' => 'Fitxategiak',
	'wikieditor-toolbar-help-page-reference' => 'Erreferentziak',
	'wikieditor-toolbar-help-page-discussion' => 'Eztabaida',
	'wikieditor-toolbar-help-content-italic-description' => 'Etzana',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testu etzana''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testu etzana</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Beltza',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testu beltza'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testu beltza</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Beltza eta etzana',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testu beltza eta etzana'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testu beltza eta etzana</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Barne lotura',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Orriaren titulua|Loturaren izena]]<br />[[Orriaren titulua]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Loturaren izena</a><br /><a href='#'>Orriaren titulua</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kanpo lotura',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.adibidea.org Loturaren izena]<br />[http://www.adibidea.org]<br />http://www.adibidea.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Loturaren izena</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.adibidea.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. mailako goiburua',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Izenburuaren testua ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Izenburuaren testua</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. mailako izenburua',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Izenburuaren testua ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Izenburuaren testua</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. mailako izenburua',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Izenburuaren testua ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Izenburuaren testua</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. mailako izenburua',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Izenburuaren testua =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Izenburuaren testua</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Puntudun zerrenda',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Zerrendako elementua<br />* Zerrendako elementua',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Zerrendako elementua</li><li>Zerrendako elementua</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Zenbakidun zerrenda',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Zerrendako elementua<br /># Zerrendako elementua',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Zerrendako elementua</li><li>Zerrendako elementua</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fitxategia txertatu',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Adibidea.png|thumb|Irudi oina]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Irudiaren testua' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Handitu' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Irudi oina</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Erreferentzia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Orrialdearen testua.&lt;ref name="proba"&gt;[http://www.adibidea.org Loturaren testua], testu gehigarria.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Orrialdearen testua.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Erreferentzia beraren erabilera gehiago',
	'wikieditor-toolbar-help-content-rereference-result' => "Orrialdearen testua.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Erreferentziak erakutsi',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.adibidea.org' class='external text' href='#'>Loturaren testua</a>, testu gehigarria.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sindaura, eguna eta ordua',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Lankide izena</a> (<a href='#' title='{{#special:mytalk}}'>eztabaida</a>) 2009-06-10, 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sinadura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Lankide izena</a> (<a href='#' title='{{#special:mytalk}}'>eztabaida</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Koska',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testu normala<br />: Koskatutako testua<br />:: Koskatutako testua',
	'wikieditor-toolbar-help-content-indent-result' => 'Testu arrunta<dl><dd>Koskatutako testua<dl><dd>Koskatutako testua</dd></dl></dd></dl>',
);

/** Persian (فارسی)
 * @author Ebraminio
 * @author Huji
 * @author Ladsgroup
 * @author Mjbmr
 * @author Wayiran
 * @author ZxxZxxZ
 */
$messages['fa'] = array(
	'wikieditor' => 'رابط ویرایش پیشرفته ویکی‌متن',
	'wikieditor-desc' => 'یک رابط ویرایش پیشرفته ویکی‌متن و چندین پودمان دارای قابلیت فراهم می‌کند',
	'wikieditor-wikitext-tab' => 'ویکی‌متن',
	'wikieditor-loading' => 'در حال بارگیری',
	'wikieditor-preview-preference' => 'فعال‌سازی پیش‌نمایش کنار یک دیگر',
	'wikieditor-preview-tab' => 'پیش‌نمایش',
	'wikieditor-preview-changes-tab' => 'تغییرها',
	'wikieditor-preview-loading' => 'در حال بارگذاری...',
	'wikieditor-previewDialog-preference' => 'فعال کردن پنجره‌های تعاملی پیش‌نمایش',
	'wikieditor-previewDialog-tab' => 'پیش‌نمایش',
	'wikieditor-previewDialog-loading' => 'در حال بارگذاری...',
	'wikieditor-publish-preference' => 'فعال‌سازی انتشار قدم به قدم',
	'wikieditor-publish-button-publish' => 'انتشار',
	'wikieditor-publish-button-cancel' => 'لغو',
	'wikieditor-publish-dialog-title' => 'انتشار در {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'خلاصه ویرایش (توضیح مختصر در مورد تغییری که دادید):',
	'wikieditor-publish-dialog-minor' => 'ویرایش جزئی',
	'wikieditor-publish-dialog-watch' => 'پی‌گیری این صفحه',
	'wikieditor-publish-dialog-publish' => 'انتشار',
	'wikieditor-publish-dialog-goback' => 'بازگشت به عقب',
	'wikieditor-template-editor-preference' => 'فعال‌سازی ویرایش مبتنی بر فرم الگوهای ویکی',
	'wikieditor-template-editor-dialog-title' => 'ویرایش الگو',
	'wikieditor-template-editor-dialog-submit' => 'به روز رسانی',
	'wikieditor-template-editor-dialog-cancel' => 'لغو',
	'wikieditor-templates-preference' => 'فعال‌سازی نهفتن الگوها',
	'wikieditor-toc-preference' => 'فعال‌سازی فهرست مطالب قابل پیمایش',
	'wikieditor-toc-show' => 'نمایش محتوا',
	'wikieditor-toc-hide' => 'نهفتن محتوا',
	'wikieditor-toolbar' => 'نوار ابزار ویرایش',
	'wikieditor-toolbar-desc' => 'نوار ابزار ویرایش صفحه با استفاده‌پذیری بالاتر',
	'wikieditor-toolbar-preference' => 'فعال‌کردن نوارابزار ویرایش پیشرفته',
	'wikieditor-toolbar-dialogs-preference' => 'فعال‌سازی پنجره‌های تعاملی برای وارد کردن پیوندها، جدول‌ها و غیره',
	'wikieditor-toolbar-hidesig' => 'نهفتن دکمهٔ امضا از صفحات در فضای نام اصلی',
	'wikieditor-toolbar-loading' => 'در حال بارگذاری...',
	'wikieditor-toolbar-tool-bold' => 'ضخیم',
	'wikieditor-toolbar-tool-bold-example' => 'متن پررنگ',
	'wikieditor-toolbar-tool-italic' => 'مورب',
	'wikieditor-toolbar-tool-italic-example' => 'متن مورب',
	'wikieditor-toolbar-tool-ilink' => 'پیوند داخلی',
	'wikieditor-toolbar-tool-ilink-example' => 'عنوان پیوند',
	'wikieditor-toolbar-tool-xlink' => 'پیوند به بیرون (پیشوند http:// فراموش نشود)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com عنوان پیوند',
	'wikieditor-toolbar-tool-link' => 'پیوند',
	'wikieditor-toolbar-tool-link-title' => 'افزودن پیوند',
	'wikieditor-toolbar-tool-link-int' => 'به یک صفحهٔ ویکی',
	'wikieditor-toolbar-tool-link-int-target' => 'صفحهٔ هدف یا نشانی اینترنتی:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'عنوان صفغحه یا نشانی اینترنتی',
	'wikieditor-toolbar-tool-link-int-text' => 'متن برای نمایش:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'متنی که نمایش می‌یابد',
	'wikieditor-toolbar-tool-link-ext' => 'به یک صفحه وب خارج از ویکی',
	'wikieditor-toolbar-tool-link-ext-target' => 'نشانی اینترنتی پیوند:',
	'wikieditor-toolbar-tool-link-ext-text' => 'متن پیوند:',
	'wikieditor-toolbar-tool-link-insert' => 'افزودن پیوند',
	'wikieditor-toolbar-tool-link-cancel' => 'لغو',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'صفحه وجود دارد',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'صفحه وجود ندارد',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'عنوان نادرست',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'پیوند به بیرون',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'بررسی وجود داشتن صفحه...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'عنوان تعیین‌شده نامعتبر است.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'نشانی اینترنتی که وارد کردید به شکلی است که نمایانگر یک پیوند به صفحه‌ای داخل ویکی است. آیا می‌خواهید آن را به یک پیوند داخلی تبدیل کنید؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'پیوند داخلی',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'پیوند به بیرون',
	'wikieditor-toolbar-tool-link-empty' => 'شما چیزی برای پیوند کردن وارد نکردید.',
	'wikieditor-toolbar-tool-file' => 'پروندهٔ جاسازی‌شده',
	'wikieditor-toolbar-tool-file-example' => 'مثال.jpg',
	'wikieditor-toolbar-tool-reference' => 'منبع',
	'wikieditor-toolbar-tool-reference-example' => 'متن زیرنویس را اینجا اضافه کنید',
	'wikieditor-toolbar-tool-reference-cancel' => 'لغو',
	'wikieditor-toolbar-tool-reference-title' => 'اضافه کردن منبع',
	'wikieditor-toolbar-tool-reference-insert' => 'اضافه کردن',
	'wikieditor-toolbar-tool-reference-text' => 'متن منبع',
	'wikieditor-toolbar-tool-signature' => 'امضا و برچسب زمان',
	'wikieditor-toolbar-section-advanced' => 'پیشرفته',
	'wikieditor-toolbar-tool-heading' => 'عنوان',
	'wikieditor-toolbar-tool-heading-1' => 'سطح ۱',
	'wikieditor-toolbar-tool-heading-2' => 'سطح ۲',
	'wikieditor-toolbar-tool-heading-3' => 'سطح ۳',
	'wikieditor-toolbar-tool-heading-4' => 'سطح ۴',
	'wikieditor-toolbar-tool-heading-5' => 'سطح ۵',
	'wikieditor-toolbar-tool-heading-example' => 'متن عنوان',
	'wikieditor-toolbar-group-format' => 'قالب',
	'wikieditor-toolbar-tool-ulist' => 'فهرست گلوله‌ای',
	'wikieditor-toolbar-tool-ulist-example' => 'مورد فهرست گلوله‌ای',
	'wikieditor-toolbar-tool-olist' => 'فهرست شماره‌ای',
	'wikieditor-toolbar-tool-olist-example' => 'مورد فهرست شماره‌ای',
	'wikieditor-toolbar-tool-indent' => 'تو رفتگی',
	'wikieditor-toolbar-tool-indent-example' => 'خط تو رفته',
	'wikieditor-toolbar-tool-nowiki' => 'نادیده‌گرفتن قالب‌بندی ویکی',
	'wikieditor-toolbar-tool-nowiki-example' => 'اینجا متن قالب‌بندی‌نشده وارد شود',
	'wikieditor-toolbar-tool-redirect' => 'تغییر مسیر',
	'wikieditor-toolbar-tool-redirect-example' => 'نام صفحه مقصد',
	'wikieditor-toolbar-tool-big' => 'بزرگ',
	'wikieditor-toolbar-tool-big-example' => 'متن بزرگ',
	'wikieditor-toolbar-tool-small' => 'کوچک',
	'wikieditor-toolbar-tool-small-example' => 'متن کوچک',
	'wikieditor-toolbar-tool-superscript' => 'بالانویس',
	'wikieditor-toolbar-tool-superscript-example' => 'متن بالانویس',
	'wikieditor-toolbar-tool-subscript' => 'زیرنویس',
	'wikieditor-toolbar-tool-subscript-example' => 'متن زیرنویس',
	'wikieditor-toolbar-group-insert' => 'اضافه کردن',
	'wikieditor-toolbar-tool-gallery' => 'نگارخانهٔ تصویر',
	'wikieditor-toolbar-tool-gallery-example' => '$1:مثال.jpg|عنوان ۱
$1:مثال.jpg|عنوان ۲',
	'wikieditor-toolbar-tool-newline' => 'خط جدید',
	'wikieditor-toolbar-tool-table' => 'جدول',
	'wikieditor-toolbar-tool-table-example-old' => '-
! عنوان ۱
! عنوان ۲
! عنوان ۳
|-
| ردیف ۱، خانه ۱
| ردیف ۱، خانه ۲
| ردیف ۱، خانه ۳
|-
| ردیف ۲، خانه ۱
| ردیف ۲، خانه ۲
| ردیف ۲، خانه ۳',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'متن خانه',
	'wikieditor-toolbar-tool-table-example-header' => 'متن عنوان',
	'wikieditor-toolbar-tool-table-title' => 'اضافه کردن جدول',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ردیف‌ها',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ستون‌ها',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'افزودن ردیف سرتیتر',
	'wikieditor-toolbar-tool-table-wikitable' => 'سبک با لبه',
	'wikieditor-toolbar-tool-table-sortable' => 'ساختن جدول قابل مرتب‌سازی',
	'wikieditor-toolbar-tool-table-example' => 'مثال',
	'wikieditor-toolbar-tool-table-preview' => 'پیش‌نمایش',
	'wikieditor-toolbar-tool-table-insert' => 'اضافه کردن',
	'wikieditor-toolbar-tool-table-cancel' => 'لغو',
	'wikieditor-toolbar-tool-table-toomany' => 'اضافه کردن جدولی با بیش از $1 خانه توسط این ابزار ممکن نیست.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'شما عدد درستی برای تعداد ردیف‌ها و ستون‌ها وارد نکرده‌اید.',
	'wikieditor-toolbar-tool-table-zero' => 'شما نمی‌توانید جدولی با صفر ردیف یا ستون اضافه کنید.',
	'wikieditor-toolbar-tool-replace' => 'یافتن و جایگزین کردن',
	'wikieditor-toolbar-tool-replace-title' => 'جستجو و جایگزین کردن',
	'wikieditor-toolbar-tool-replace-search' => 'جستجو برای:',
	'wikieditor-toolbar-tool-replace-replace' => 'جایگزین کردن با:',
	'wikieditor-toolbar-tool-replace-case' => 'تطبیق بزرگی و کوچکی حروف',
	'wikieditor-toolbar-tool-replace-regex' => 'به‌کارگیری عبارت جستجو به عنوان یک عبارت باقاعده',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'یافتن بعدی',
	'wikieditor-toolbar-tool-replace-button-replace' => 'جایگزینی',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'جایگزین کردن همه موارد',
	'wikieditor-toolbar-tool-replace-close' => 'بستن',
	'wikieditor-toolbar-tool-replace-nomatch' => 'جستجوی شما با هیچ موردی مطابقت نداشت.',
	'wikieditor-toolbar-tool-replace-success' => '$1 جایگزینی انجام شد.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'شما چیزی برای جستجو وارد نکردید.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'عبارت باقاعده‌ای که وارد کردید مجاز نیست: $1',
	'wikieditor-toolbar-section-characters' => 'نویسه‌های ویژه',
	'wikieditor-toolbar-characters-page-latin' => 'لاتین',
	'wikieditor-toolbar-characters-page-latinextended' => 'لاتین گسترش‌یافته',
	'wikieditor-toolbar-characters-page-ipa' => 'آوانگاری بین‌المللی',
	'wikieditor-toolbar-characters-page-symbols' => 'نمادها',
	'wikieditor-toolbar-characters-page-greek' => 'یونانی',
	'wikieditor-toolbar-characters-page-cyrillic' => 'سیریلیک',
	'wikieditor-toolbar-characters-page-arabic' => 'عربی',
	'wikieditor-toolbar-characters-page-arabicextended' => 'عربی توسعه یافته',
	'wikieditor-toolbar-characters-page-persian' => 'فارسی',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبری',
	'wikieditor-toolbar-characters-page-bangla' => 'بنگالی',
	'wikieditor-toolbar-characters-page-telugu' => 'تالوگو',
	'wikieditor-toolbar-characters-page-sinhala' => 'سینهالی',
	'wikieditor-toolbar-characters-page-gujarati' => 'گجراتی',
	'wikieditor-toolbar-characters-page-thai' => 'تایلندی',
	'wikieditor-toolbar-characters-page-lao' => 'لائو',
	'wikieditor-toolbar-characters-page-khmer' => 'خمر',
	'wikieditor-toolbar-section-help' => 'راهنما',
	'wikieditor-toolbar-help-heading-description' => 'توضیح',
	'wikieditor-toolbar-help-heading-syntax' => 'آن چه می‌نویسید',
	'wikieditor-toolbar-help-heading-result' => 'آن چه به دست می‌آورید',
	'wikieditor-toolbar-help-page-format' => 'قالب‌بندی',
	'wikieditor-toolbar-help-page-link' => 'پیوندها',
	'wikieditor-toolbar-help-page-heading' => 'عنوان‌ها',
	'wikieditor-toolbar-help-page-list' => 'فهرست‌ها',
	'wikieditor-toolbar-help-page-file' => 'پرونده‌ها',
	'wikieditor-toolbar-help-page-reference' => 'منابع',
	'wikieditor-toolbar-help-page-discussion' => 'بحث',
	'wikieditor-toolbar-help-content-italic-description' => 'مورب',
	'wikieditor-toolbar-help-content-italic-syntax' => "''متن مورب''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>متن مورب</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ضخیم',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''متن پررنگ'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>متن پررنگ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ضخیم و مورب',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''متن پررنگ و مورب'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>متن پررنگ و مورب</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'پیوند داخلی',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[عنوان صفحه|عنوان پیوند]]<br />[[عنوان صفحه]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>عنوان پیوند</a><br /><a href='#'>عنوان صفحه</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'پیوند به بیرون',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org عنوان پیوند]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>عنوان پیوند</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'عنوان سطح دوم',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== متن عنوان ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>متن عنوان</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'عنوان سطح سوم',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== متن عنوان ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>متن عنوان</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'عنوان سطح چهارم',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== متن عنوان ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>متن عنوان</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'عنوان سطح پنجم',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== متن عنوان =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>متن عنوان</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'فهرست گلوله‌ای',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* مورد فهرست<br />* مورد فهرست',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>مورد فهرست</li><li>مورد فهرست</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'فهرست شماره‌ای',
	'wikieditor-toolbar-help-content-olist-syntax' => '# مورد فهرست<br /># مورد فهرست',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>مورد فهرست</li><li>مورد فهرست</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'پرونده جاسازی‌شده',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:مثال.png|thumb|متن عنوان]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='متن عنوان' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='بزرگ‌نمایی' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>متن عنوان</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'منبع',
	'wikieditor-toolbar-help-content-reference-syntax' => 'متن صفحه.&lt;ref name="test"&gt;[http://www.example.org متن پیوند]، متن اضافی.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "متن صفحه.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'استفاده بیشتر از همین منبع',
	'wikieditor-toolbar-help-content-rereference-result' => "متن صفحه.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'نمایش منابع',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>متن پیوند</a>، متن اضافی.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'امضا به همراه برچسب زمان',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>نام کاربری</a> (<a href='#' title='{{#special:mytalk}}'>بحث</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'امضا',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>نام کاربری</a> (<a href='#' title='{{#special:mytalk}}'>بحث</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'تو رفتگی',
	'wikieditor-toolbar-help-content-indent-syntax' => 'متن عادی<br />:متن تو رفته<br />::متن تو رفته',
	'wikieditor-toolbar-help-content-indent-result' => 'متن عادی<dl><dd>متن تو رفته<dl><dd>متن تو رفته</dd></dl></dd></dl>',
);

/** Finnish (Suomi)
 * @author Crt
 * @author Nedergard
 * @author Nike
 * @author Olli
 * @author Silvonen
 * @author Str4nd
 * @author ZeiP
 */
$messages['fi'] = array(
	'wikieditor' => 'Edistynyt wikitext-muokkauskäyttöliittymä',
	'wikieditor-desc' => 'Tarjoaa laajennettavan wikitext-muokkauskäyttöliittymän ja monia toimintoja tarjoavia laajennuksia.',
	'wikieditor-wikitext-tab' => 'Wikiteksti',
	'wikieditor-loading' => 'Ladataan',
	'wikieditor-preview-preference' => 'Ota käyttöön vierekkäinen esikatselu',
	'wikieditor-preview-tab' => 'Esikatselu',
	'wikieditor-preview-changes-tab' => 'Muutokset',
	'wikieditor-preview-loading' => 'Ladataan…',
	'wikieditor-previewDialog-preference' => 'Ota esikatseluikkuna käyttöön',
	'wikieditor-previewDialog-tab' => 'Esikatselu',
	'wikieditor-previewDialog-loading' => 'Ladataan…',
	'wikieditor-publish-preference' => 'Ota käyttöön vaiheittainen julkaisu',
	'wikieditor-publish-button-publish' => 'Julkaise',
	'wikieditor-publish-button-cancel' => 'Peruuta',
	'wikieditor-publish-dialog-title' => 'Julkaise {{GRAMMAR:inessive|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Muokkausyhteenveto (kuvaa lyhyesti tekemiäsi muutoksia):',
	'wikieditor-publish-dialog-minor' => 'Pieni muutos',
	'wikieditor-publish-dialog-watch' => 'Tarkkaile tätä sivua',
	'wikieditor-publish-dialog-publish' => 'Julkaise',
	'wikieditor-publish-dialog-goback' => 'Palaa takaisin',
	'wikieditor-template-editor-preference' => 'Ota käyttöön wikimallineiden lomakepohjainen muokkaus',
	'wikieditor-template-editor-dialog-title' => 'Muokkaa mallinetta',
	'wikieditor-template-editor-dialog-submit' => 'Päivitä',
	'wikieditor-template-editor-dialog-cancel' => 'Peruuta',
	'wikieditor-templates-preference' => 'Ota mallineiden piilotus käyttöön',
	'wikieditor-toc-preference' => 'Ota käyttöön navigoitava sisällysluettelo',
	'wikieditor-toc-show' => 'Näytä sisältö',
	'wikieditor-toc-hide' => 'Piilota sisältö',
	'wikieditor-toolbar' => 'Työkalupalkki muokkaukseen',
	'wikieditor-toolbar-desc' => 'Muokkaussivun työkalupalkki paremmalla käytettävyydellä.',
	'wikieditor-toolbar-preference' => 'Ota käyttöön parannettu työkalupalkki muokkauksissa',
	'wikieditor-toolbar-dialogs-preference' => 'Ota käyttöön valintatoiminto, jonka avulla voit lisätä linkkejä, taulukoita ja muuta',
	'wikieditor-toolbar-hidesig' => 'Piilota allekirjoituspainike sivuilta päänimiavaruudessa',
	'wikieditor-toolbar-loading' => 'Ladataan…',
	'wikieditor-toolbar-tool-bold' => 'Lihavointi',
	'wikieditor-toolbar-tool-bold-example' => 'Lihavoitu teksti',
	'wikieditor-toolbar-tool-italic' => 'Kursivointi',
	'wikieditor-toolbar-tool-italic-example' => 'Kursivoitu teksti',
	'wikieditor-toolbar-tool-ilink' => 'Sisäinen linkki',
	'wikieditor-toolbar-tool-ilink-example' => 'Linkin otsikko',
	'wikieditor-toolbar-tool-xlink' => 'Ulkoinen linkki (muista http://-etuliite)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com linkin otsikko',
	'wikieditor-toolbar-tool-link' => 'Linkki',
	'wikieditor-toolbar-tool-link-title' => 'Lisää linkki',
	'wikieditor-toolbar-tool-link-int' => 'Wikisivuun',
	'wikieditor-toolbar-tool-link-int-target' => 'Kohdesivu tai URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sivun otsikko tai URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Näytettävä teksti:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teksti, joka näytetään',
	'wikieditor-toolbar-tool-link-ext' => 'Ulkoiseen sivustoon',
	'wikieditor-toolbar-tool-link-ext-target' => 'Linkin URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Linkin teksti:',
	'wikieditor-toolbar-tool-link-insert' => 'Lisää linkki',
	'wikieditor-toolbar-tool-link-cancel' => 'Peruuta',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sivu on olemassa',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sivua ei ole olemassa',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Virheellinen otsikko',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ulkoinen linkki',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Tarkastetaan sivun olemassaolo…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Antamasi otsikko on virheellinen.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL-osoite, jonka annoit näyttää siltä kuin se olisi linkki toiselle wikisivulle.
Haluatko tehdä siitä sisäisen linkin?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Sisäinen linkki',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ulkoinen linkki',
	'wikieditor-toolbar-tool-link-empty' => 'Et antanut mitään linkitettävää.',
	'wikieditor-toolbar-tool-file' => 'Tallennettu tiedosto',
	'wikieditor-toolbar-tool-file-example' => 'Esimerkki.jpg',
	'wikieditor-toolbar-tool-reference' => 'Viite',
	'wikieditor-toolbar-tool-reference-example' => 'Lisää alahuomautusteksti tähän',
	'wikieditor-toolbar-tool-reference-cancel' => 'Peruuta',
	'wikieditor-toolbar-tool-reference-title' => 'Lisää viite',
	'wikieditor-toolbar-tool-reference-insert' => 'Lisää',
	'wikieditor-toolbar-tool-reference-text' => 'Viiteteksti',
	'wikieditor-toolbar-tool-signature' => 'Allekirjoitus ja aikaleima',
	'wikieditor-toolbar-section-advanced' => 'Laajennettu',
	'wikieditor-toolbar-tool-heading' => 'Otsikko',
	'wikieditor-toolbar-tool-heading-1' => 'Taso 1',
	'wikieditor-toolbar-tool-heading-2' => 'Taso 2',
	'wikieditor-toolbar-tool-heading-3' => 'Taso 3',
	'wikieditor-toolbar-tool-heading-4' => 'Taso 4',
	'wikieditor-toolbar-tool-heading-5' => 'Taso 5',
	'wikieditor-toolbar-tool-heading-example' => 'Otsikkoteksti',
	'wikieditor-toolbar-group-format' => 'Muoto',
	'wikieditor-toolbar-tool-ulist' => 'Luettelo',
	'wikieditor-toolbar-tool-ulist-example' => 'Luettelon kohta',
	'wikieditor-toolbar-tool-olist' => 'Numeroitu luettelo',
	'wikieditor-toolbar-tool-olist-example' => 'Numeroidun luettelon kohta',
	'wikieditor-toolbar-tool-indent' => 'Sisennys',
	'wikieditor-toolbar-tool-indent-example' => 'Sisennetty rivi',
	'wikieditor-toolbar-tool-nowiki' => 'Tekstiä, jota wiki ei muotoile',
	'wikieditor-toolbar-tool-nowiki-example' => 'Lisää muotoilematon teksti tähän',
	'wikieditor-toolbar-tool-redirect' => 'Ohjaus',
	'wikieditor-toolbar-tool-redirect-example' => 'Kohdesivun nimi',
	'wikieditor-toolbar-tool-big' => 'Suuri',
	'wikieditor-toolbar-tool-big-example' => 'Suuri teksti',
	'wikieditor-toolbar-tool-small' => 'Pieni',
	'wikieditor-toolbar-tool-small-example' => 'Pieni teksti',
	'wikieditor-toolbar-tool-superscript' => 'Yläindeksi',
	'wikieditor-toolbar-tool-superscript-example' => 'Yläindeksin teksti',
	'wikieditor-toolbar-tool-subscript' => 'Alaindeksi',
	'wikieditor-toolbar-tool-subscript-example' => 'Alaindeksin teksti',
	'wikieditor-toolbar-group-insert' => 'Lisää',
	'wikieditor-toolbar-tool-gallery' => 'Kuvagalleria',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Esimerkki.jpg|Kuvateksti1
$1:Esimerkki.jpg|Kuvateksti2',
	'wikieditor-toolbar-tool-newline' => 'Uusi rivi',
	'wikieditor-toolbar-tool-table' => 'Taulukko',
	'wikieditor-toolbar-tool-table-example-old' => '-
! otsikko 1
! otsikko 2
! otsikko 3
|-
| rivi 1, solu 1
| rivi 1, solu 2
| rivi 1, solu 3
|-
| rivi 2, solu 1
| rivi 2, solu 2
| rivi 2, solu 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Solun teksti',
	'wikieditor-toolbar-tool-table-example-header' => 'Otsikkoteksti',
	'wikieditor-toolbar-tool-table-title' => 'Lisää taulukko',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rivit',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sarakkeet',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Lisää otsikkorivi',
	'wikieditor-toolbar-tool-table-wikitable' => 'Tyylitellyt reunat',
	'wikieditor-toolbar-tool-table-sortable' => 'Tee taulukosta lajiteltava',
	'wikieditor-toolbar-tool-table-example' => 'Esimerkki',
	'wikieditor-toolbar-tool-table-preview' => 'Esikatselu',
	'wikieditor-toolbar-tool-table-insert' => 'Lisää',
	'wikieditor-toolbar-tool-table-cancel' => 'Peruuta',
	'wikieditor-toolbar-tool-table-toomany' => 'Tällä toiminnolla ei voi tehdä taulukkoa, jossa on yli $1 solua.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Et syöttänyt kelvollista rivi- tai sarakemäärää.',
	'wikieditor-toolbar-tool-table-zero' => 'Et voi lisätä taulukkoa, jossa ei ole yhtään riviä tai saraketta.',
	'wikieditor-toolbar-tool-replace' => 'Etsi ja korvaa',
	'wikieditor-toolbar-tool-replace-title' => 'Etsi ja korvaa',
	'wikieditor-toolbar-tool-replace-search' => 'Etsi seuraavaa:',
	'wikieditor-toolbar-tool-replace-replace' => 'Korvaa seuraavalla:',
	'wikieditor-toolbar-tool-replace-case' => 'Huomio kirjainkoko',
	'wikieditor-toolbar-tool-replace-regex' => 'Kohtele hakuarvoa säännöllisenä lausekkeena',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Etsi seuraava',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Korvaa',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Korvaa kaikki',
	'wikieditor-toolbar-tool-replace-close' => 'Sulje',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Hakusi ei tuottanut osumia.',
	'wikieditor-toolbar-tool-replace-success' => '$1 korvausta tehty.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Et antanut mitään haettavaa.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Syöttämäsi säännöllinen lauseke ei ole kelvollinen: $1',
	'wikieditor-toolbar-section-characters' => 'Erikoismerkit',
	'wikieditor-toolbar-characters-page-latin' => 'Latina',
	'wikieditor-toolbar-characters-page-latinextended' => 'Laajennettu latina',
	'wikieditor-toolbar-characters-page-ipa' => 'Kansainvälinen foneettinen kirjaimisto (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbolit',
	'wikieditor-toolbar-characters-page-greek' => 'Kreikka',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillinen',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabia',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Laajennettu arabia',
	'wikieditor-toolbar-characters-page-persian' => 'Persia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Heprea',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhali',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ohje',
	'wikieditor-toolbar-help-heading-description' => 'Kuvaus',
	'wikieditor-toolbar-help-heading-syntax' => 'Mitä kirjoitat',
	'wikieditor-toolbar-help-heading-result' => 'Mitä saat',
	'wikieditor-toolbar-help-page-format' => 'Muotoilu',
	'wikieditor-toolbar-help-page-link' => 'Linkit',
	'wikieditor-toolbar-help-page-heading' => 'Otsikot',
	'wikieditor-toolbar-help-page-list' => 'Luettelot',
	'wikieditor-toolbar-help-page-file' => 'Tiedostot',
	'wikieditor-toolbar-help-page-reference' => 'Viitteet',
	'wikieditor-toolbar-help-page-discussion' => 'Keskustelu',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursivointi',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursivoitu teksti''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursivoitu teksti</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Lihavointi',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Lihavoitu teksti'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Lihavoitu teksti</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Lihavointi ja kursivointi',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Lihavoitu ja kursivoitu teksti'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Lihavoitu ja kursivoitu teksti</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Sisäinen linkki',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sivun nimi|Linkin nimi]]<br />[[Sivun nimi]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Linkin nimi</a><br /><a href='#'>Sivun nimi</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ulkoinen linkki',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Linkin nimi]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Linkin nimi</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. tason otsikko',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Otsikkoteksti ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Otsikkoteksti</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. tason otsikko',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Otsikkoteksti ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Otsikkoteksti</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. tason otsikko',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Otsikkoteksti ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Otsikkoteksti</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. tason otsikko',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Otsikkoteksti =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Otsikkoteksti</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Luettelo',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Luettelon kohta<br />* Luettelon kohta',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Luettelon kohta</li><li>Luettelon kohta</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numeroitu luettelo',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Luettelon kohta<br /># Luettelon kohta',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Luettelon kohta</li><li>Luettelon kohta</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Tallennettu tiedosto',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Kuvateksti]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Kuvateksti' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Suurenna' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Kuvateksti</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Viite',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sivun teksti.&lt;ref name="testi"&gt;[http://www.example.org Linkin teksti], lisäteksti.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sivun teksti.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Saman viitteen lisäkäyttö',
	'wikieditor-toolbar-help-content-rereference-result' => "Sivun teksti.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Näytä viitteet',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Linkin teksti</a>, lisäteksti.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Allekirjoitus aikaleimalla',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Käyttäjätunnus</a> (<a href='#' title='{{#special:mytalk}}'>keskustelu</a>) 10. kesäkuuta 2009 kello 15.54 (EEST)",
	'wikieditor-toolbar-help-content-signature-description' => 'Allekirjoitus',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Käyttäjätunnus</a> (<a href='#' title='{{#special:mytalk}}'>keskustelu</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Sisennys',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normaali teksti<br />:Sisennetty teksti<br />::Sisennetty teksti',
	'wikieditor-toolbar-help-content-indent-result' => 'Normaali teksti<dl><dd>Sisennetty teksti<dl><dd>Sisennetty teksti</dd></dl></dd></dl>',
);

/** French (Français)
 * @author Crochet.david
 * @author Gomoko
 * @author IAlex
 * @author Jean-Frédéric
 * @author McDutchie
 * @author Peter17
 * @author PieRRoMaN
 * @author Urhixidur
 * @author Verdy p
 * @author Zetud
 */
$messages['fr'] = array(
	'wikieditor' => 'Interface avancée de modification de wikitexte',
	'wikieditor-desc' => 'Fournit un interface de modification de wikitexte extensible et plusieurs fonctionnalités.',
	'wikieditor-wikitext-tab' => 'WikiTexte',
	'wikieditor-loading' => 'Chargement',
	'wikieditor-preview-preference' => 'Activer la prévisualisation côte à côte',
	'wikieditor-preview-tab' => 'Prévisualisation',
	'wikieditor-preview-changes-tab' => 'Changements',
	'wikieditor-preview-loading' => 'Chargement...',
	'wikieditor-previewDialog-preference' => 'Activer la boîte de dialogue d’aperçu',
	'wikieditor-previewDialog-tab' => 'Prévisualisation',
	'wikieditor-previewDialog-loading' => 'Chargement...',
	'wikieditor-publish-preference' => 'Activer la publication étape par étape',
	'wikieditor-publish-button-publish' => 'Publier',
	'wikieditor-publish-button-cancel' => 'Annuler',
	'wikieditor-publish-dialog-title' => 'Publier sur {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Résumé de modification (décrivez brièvement les changements que vous avez apportés) :',
	'wikieditor-publish-dialog-minor' => 'Modification mineure',
	'wikieditor-publish-dialog-watch' => 'Suivre cette page',
	'wikieditor-publish-dialog-publish' => 'Publier',
	'wikieditor-publish-dialog-goback' => 'Revenir en arrière',
	'wikieditor-template-editor-preference' => 'Activer la modification à base de formulaires des modèles wiki',
	'wikieditor-template-editor-dialog-title' => 'Modifier le modèle',
	'wikieditor-template-editor-dialog-submit' => 'Mettre à jour',
	'wikieditor-template-editor-dialog-cancel' => 'Annuler',
	'wikieditor-templates-preference' => 'Activer le repliement des modèles',
	'wikieditor-toc-preference' => 'Activer la table des matières navigable',
	'wikieditor-toc-show' => 'Afficher le contenu',
	'wikieditor-toc-hide' => 'Masquer le contenu',
	'wikieditor-toolbar' => 'Barre d’outils de modification',
	'wikieditor-toolbar-desc' => 'Barre d’outils de modification avec l’utilisabilité améliorée',
	'wikieditor-toolbar-preference' => 'Activer la barre d’outils améliorée',
	'wikieditor-toolbar-dialogs-preference' => 'Activer les boîtes de dialogue pour ajouter des liens, des tableaux et plus',
	'wikieditor-toolbar-hidesig' => "Masquer le bouton de signature dans les pages de l'espace de noms principal",
	'wikieditor-toolbar-loading' => 'Chargement...',
	'wikieditor-toolbar-tool-bold' => 'Gras',
	'wikieditor-toolbar-tool-bold-example' => 'Texte en gras',
	'wikieditor-toolbar-tool-italic' => 'Italique',
	'wikieditor-toolbar-tool-italic-example' => 'Texte en italique',
	'wikieditor-toolbar-tool-ilink' => 'Lien interne',
	'wikieditor-toolbar-tool-ilink-example' => 'Titre du lien',
	'wikieditor-toolbar-tool-xlink' => 'Lien externe (n’oubliez pas le préfixe http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titre du lien',
	'wikieditor-toolbar-tool-link' => 'Lien',
	'wikieditor-toolbar-tool-link-title' => 'Insérer un lien',
	'wikieditor-toolbar-tool-link-int' => 'Vers un article / une page wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Titre de la page :',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titre de la page ou URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Texte du lien :',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Entrez le texte qui devrait être affiché',
	'wikieditor-toolbar-tool-link-ext' => 'Vers une page web externe',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL cible du lien :',
	'wikieditor-toolbar-tool-link-ext-text' => 'Texte du lien :',
	'wikieditor-toolbar-tool-link-insert' => 'Insérer le lien',
	'wikieditor-toolbar-tool-link-cancel' => 'Annuler',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La page existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La page n’existe pas',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titre invalide',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Lien externe',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Vérification de l’existence de la page...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Le titre que vous avez spécifié est incorrect.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'L’URL que vous avez spécifiée semble mener à une autre page du wiki.
Voulez-vous utiliser un lien interne à la place ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Lien interne',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Lien externe',
	'wikieditor-toolbar-tool-link-empty' => 'Vous n’avez rien entré qui puisse être lié.',
	'wikieditor-toolbar-tool-file' => 'Fichier inséré',
	'wikieditor-toolbar-tool-file-example' => 'Exemple.jpg',
	'wikieditor-toolbar-tool-reference' => 'Référence',
	'wikieditor-toolbar-tool-reference-example' => 'Insérer le texte de la note en bas de page ici',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annuler',
	'wikieditor-toolbar-tool-reference-title' => 'Insérer une référence',
	'wikieditor-toolbar-tool-reference-insert' => 'Insérer',
	'wikieditor-toolbar-tool-reference-text' => 'Texte de la référence',
	'wikieditor-toolbar-tool-signature' => 'Signature et date',
	'wikieditor-toolbar-section-advanced' => 'Avancé',
	'wikieditor-toolbar-tool-heading' => 'Titre',
	'wikieditor-toolbar-tool-heading-1' => 'Niveau 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveau 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveau 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveau 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveau 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texte du titre',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Liste à puces',
	'wikieditor-toolbar-tool-ulist-example' => 'Élément de la liste à puces',
	'wikieditor-toolbar-tool-olist' => 'Liste numérotée',
	'wikieditor-toolbar-tool-olist-example' => 'Élément de la liste numérotée',
	'wikieditor-toolbar-tool-indent' => 'Indentation',
	'wikieditor-toolbar-tool-indent-example' => 'Ligne indentée',
	'wikieditor-toolbar-tool-nowiki' => 'Pas de formatage wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Insérer ici un texte non formaté',
	'wikieditor-toolbar-tool-redirect' => 'Redirection',
	'wikieditor-toolbar-tool-redirect-example' => 'Nom de la page de destination',
	'wikieditor-toolbar-tool-big' => 'Grand',
	'wikieditor-toolbar-tool-big-example' => 'Grand texte',
	'wikieditor-toolbar-tool-small' => 'Petit',
	'wikieditor-toolbar-tool-small-example' => 'Petit texte',
	'wikieditor-toolbar-tool-superscript' => 'Exposant',
	'wikieditor-toolbar-tool-superscript-example' => 'Texte en exposant',
	'wikieditor-toolbar-tool-subscript' => 'Indice',
	'wikieditor-toolbar-tool-subscript-example' => 'Texte en indice',
	'wikieditor-toolbar-group-insert' => 'Insérer',
	'wikieditor-toolbar-tool-gallery' => 'Galerie de fichiers',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemple.jpg|Description 1
$1:Exemple.jpg|Description 2',
	'wikieditor-toolbar-tool-newline' => 'Saut de ligne',
	'wikieditor-toolbar-tool-table' => 'Tableau',
	'wikieditor-toolbar-tool-table-example-old' => '-
! en-tête 1
! en-tête 2
! en-tête 3
|-
| ligne 1, case 1
| ligne 1, case 2
| ligne 1, case 3
|-
| ligne 2, case 1
| ligne 2, case 2
| ligne 2, case 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texte de la cellule',
	'wikieditor-toolbar-tool-table-example-header' => 'Texte de l’en-tête',
	'wikieditor-toolbar-tool-table-title' => 'Insérer un tableau',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Lignes',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colonnes',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Inclure la ligne d’en-tête',
	'wikieditor-toolbar-tool-table-wikitable' => 'Style avec bordures',
	'wikieditor-toolbar-tool-table-sortable' => 'Rendre le tableau triable',
	'wikieditor-toolbar-tool-table-example' => 'Texte de la cellule',
	'wikieditor-toolbar-tool-table-preview' => 'Prévisualisation',
	'wikieditor-toolbar-tool-table-insert' => 'Insérer',
	'wikieditor-toolbar-tool-table-cancel' => 'Annuler',
	'wikieditor-toolbar-tool-table-toomany' => 'Il n’est pas possible d’insérer un tableau de plus de $1 cellules avec cet outil.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Vous n’avez pas entré un nombre de lignes ou de colonnes valide.',
	'wikieditor-toolbar-tool-table-zero' => 'Vous ne pouvez pas insérer un tableau sans ligne ou sans colonne.',
	'wikieditor-toolbar-tool-replace' => 'Rechercher et remplacer',
	'wikieditor-toolbar-tool-replace-title' => 'Rechercher et remplacer',
	'wikieditor-toolbar-tool-replace-search' => 'Rechercher :',
	'wikieditor-toolbar-tool-replace-replace' => 'Remplacer par :',
	'wikieditor-toolbar-tool-replace-case' => 'Faire correspondre la casse',
	'wikieditor-toolbar-tool-replace-regex' => 'Traiter la chaîne de recherche comme une expression rationnelle',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Rechercher le suivant',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Remplacer',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Remplacer tout',
	'wikieditor-toolbar-tool-replace-close' => 'Fermer',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Votre recherche n’a abouti à aucune correspondance.',
	'wikieditor-toolbar-tool-replace-success' => '$1 remplacements faits.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Vous n’avez pas indiqué de texte à rechercher.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'L’expression rationnelle entrée est invalide : $1',
	'wikieditor-toolbar-section-characters' => 'Caractères spéciaux',
	'wikieditor-toolbar-characters-page-latin' => 'latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'latin étendu',
	'wikieditor-toolbar-characters-page-ipa' => 'API',
	'wikieditor-toolbar-characters-page-symbols' => 'symboles',
	'wikieditor-toolbar-characters-page-greek' => 'grec',
	'wikieditor-toolbar-characters-page-cyrillic' => 'cyrillique',
	'wikieditor-toolbar-characters-page-arabic' => 'arabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabe étendu',
	'wikieditor-toolbar-characters-page-persian' => 'persan',
	'wikieditor-toolbar-characters-page-hebrew' => 'hébreu',
	'wikieditor-toolbar-characters-page-bangla' => 'bengalî',
	'wikieditor-toolbar-characters-page-telugu' => 'télougou',
	'wikieditor-toolbar-characters-page-sinhala' => 'cingalais',
	'wikieditor-toolbar-characters-page-gujarati' => 'gujarâtî',
	'wikieditor-toolbar-characters-page-thai' => 'thaï',
	'wikieditor-toolbar-characters-page-lao' => 'laotien',
	'wikieditor-toolbar-characters-page-khmer' => 'khmer',
	'wikieditor-toolbar-section-help' => 'Aide',
	'wikieditor-toolbar-help-heading-description' => 'Description',
	'wikieditor-toolbar-help-heading-syntax' => 'Ce que vous tapez',
	'wikieditor-toolbar-help-heading-result' => 'Ce que vous obtenez',
	'wikieditor-toolbar-help-page-format' => 'Formatage',
	'wikieditor-toolbar-help-page-link' => 'Liens',
	'wikieditor-toolbar-help-page-heading' => 'Titres',
	'wikieditor-toolbar-help-page-list' => 'Listes',
	'wikieditor-toolbar-help-page-file' => 'Fichiers',
	'wikieditor-toolbar-help-page-reference' => 'Références',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Italique',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texte italique''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texte italique</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Gras',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texte gras'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texte gras</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Gras &amp; italique',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texte gras &amp; italique'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texte gras &amp; italique</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lien interne',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titre de la page|Texte du lien]]<br />[[Titre de la page]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Texte du lien</a><br /><a href='#'>Titre de la page</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Lien externe',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Texte du lien]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texte du lien</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titre de deuxième niveau',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Texte du titre ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Texte du titre</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titre de troisième niveau',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Texte du titre ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Texte du titre</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titre de quatrième niveau',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Texte du titre ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Texte du titre</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titre de cinquième niveau',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Texte du titre =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Texte du titre</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Liste à puces',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Élément de la liste<br />* Élément de la liste',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Élément de la liste</li><li>Élément de la liste</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Liste numérotée',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Élément de la liste<br /># Élément de la liste',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Élément de la liste</li><li>Élément de la liste</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fichier inséré',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemple.png|thumb|Texte affiché]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Texte affiché' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Texte affiché</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Référence',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texte de la page&lt;ref name="test"&gt;[http://www.example.org texte du lien], texte additionnel.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texte de la page <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Utilisation additionnelle de la même référence',
	'wikieditor-toolbar-help-content-rereference-result' => "Texte de la page <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Afficher les références',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Texte du lien</a>, texte additionnel.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signature avec date',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nom d’utilisateur</a> (<a href='#' title='{{#special:mytalk}}'>discuter</a>) 10 Juin 2009 à 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signature',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nom d’utilisateur</a> (<a href='#' title='{{#special:mytalk}}'>discuter</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentation',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texte normal<br />:Texte indenté<br />::Texte indenté',
	'wikieditor-toolbar-help-content-indent-result' => 'Texte normal<dl><dd>Texte indenté<dl><dd>Texte indenté</dd></dl></dd></dl>',
);

/** Franco-Provençal (Arpetan)
 * @author ChrisPtDe
 */
$messages['frp'] = array(
	'wikieditor' => 'Entèrface avanciê de changement de vouiquitèxto',
	'wikieditor-desc' => 'Balye una entèrface de changement de vouiquitèxto èxtensibla et un mouél de fonccionalitâts.',
	'wikieditor-wikitext-tab' => 'Vouiquitèxto',
	'wikieditor-loading' => 'Chargement',
	'wikieditor-preview-preference' => 'Activar la prèvisualisacion a châ couta',
	'wikieditor-preview-tab' => 'Prèvisualisacion',
	'wikieditor-preview-changes-tab' => 'Changements',
	'wikieditor-preview-loading' => 'Chargement...',
	'wikieditor-previewDialog-preference' => 'Activar la bouèta de dialogo d’apèrçu',
	'wikieditor-previewDialog-tab' => 'Prèvisualisacion',
	'wikieditor-previewDialog-loading' => 'Chargement...',
	'wikieditor-publish-preference' => 'Activar la publecacion a châ ètapa',
	'wikieditor-publish-button-publish' => 'Publeyér',
	'wikieditor-publish-button-cancel' => 'Anular',
	'wikieditor-publish-dialog-title' => 'Publeyér dessus {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Rèsumâ de changement (dècrîde en grôs los changements que vos éd fêts) :',
	'wikieditor-publish-dialog-minor' => 'Petiôt changement',
	'wikieditor-publish-dialog-watch' => 'Siuvre ceta pâge',
	'wikieditor-publish-dialog-publish' => 'Publeyér',
	'wikieditor-publish-dialog-goback' => 'Retôrn',
	'wikieditor-template-editor-preference' => 'Activar lo changement a bâsa de formulèros des modèlos vouiqui',
	'wikieditor-template-editor-dialog-title' => 'Changiér lo modèlo',
	'wikieditor-template-editor-dialog-submit' => 'Betar a jorn',
	'wikieditor-template-editor-dialog-cancel' => 'Anular',
	'wikieditor-templates-preference' => 'Activar lo retrèt des modèlos',
	'wikieditor-toc-preference' => 'Activar la trâbla de les matiéres navigâbla',
	'wikieditor-toc-show' => 'Fâre vêre lo contegnu',
	'wikieditor-toc-hide' => 'Cachiér lo contegnu',
	'wikieditor-toolbar' => 'Bârra d’outils d’èdicion',
	'wikieditor-toolbar-desc' => 'Bârra d’outils d’èdicion avouéc l’utilisabilitât mèlyorâ',
	'wikieditor-toolbar-preference' => 'Activar la bârra d’outils d’èdicion mèlyorâ',
	'wikieditor-toolbar-dialogs-preference' => 'Activar les bouètes de dialogo por apondre des lims, des tablôs et ples',
	'wikieditor-toolbar-hidesig' => 'Cachiér lo boton de signatura dens les pâges de l’èspâço de noms principâl',
	'wikieditor-toolbar-loading' => 'Chargement...',
	'wikieditor-toolbar-tool-bold' => 'Grâs',
	'wikieditor-toolbar-tool-bold-example' => 'Tèxto en grâs',
	'wikieditor-toolbar-tool-italic' => 'Étalico',
	'wikieditor-toolbar-tool-italic-example' => 'Tèxto en étalico',
	'wikieditor-toolbar-tool-ilink' => 'Lim de dedens',
	'wikieditor-toolbar-tool-ilink-example' => 'Titro du lim',
	'wikieditor-toolbar-tool-xlink' => 'Lim de defôr (oubliâd pas lo prèfixo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titro du lim',
	'wikieditor-toolbar-tool-link' => 'Lim',
	'wikieditor-toolbar-tool-link-title' => 'Entrebetar un lim',
	'wikieditor-toolbar-tool-link-int' => 'De vers una pâge vouiqui',
	'wikieditor-toolbar-tool-link-int-target' => 'Titro de la pâge ou ben URL :',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titro de la pâge ou ben URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tèxto du lim :',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Buchiéd lo tèxto que devrêt étre montrâ',
	'wikieditor-toolbar-tool-link-ext' => 'De vers una pâge vouèbe de defôr',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL ciba du lim :',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tèxto du lim :',
	'wikieditor-toolbar-tool-link-insert' => 'Entrebetar lo lim',
	'wikieditor-toolbar-tool-link-cancel' => 'Anular',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pâge ègziste',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pâge ègziste pas',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titro envalido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Lim de defôr',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Contrôlo de l’ègzistence de la pâge...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Lo titro que vos éd spècefiâ est fôx.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'L’URL que vos éd spècefiâ semble liyér vers una ôtra pâge du vouiqui.
Voléd-vos utilisar un lim de dedens a la place ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Lim de dedens',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Lim de defôr',
	'wikieditor-toolbar-tool-link-empty' => 'Vos éd ren buchiê que pouesse étre liyê.',
	'wikieditor-toolbar-tool-file' => 'Fichiér entrebetâ',
	'wikieditor-toolbar-tool-file-example' => 'Ègzemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Refèrence',
	'wikieditor-toolbar-tool-reference-example' => 'Buchiéd lo tèxto de la nota d’avâl la pâge ique',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anular',
	'wikieditor-toolbar-tool-reference-title' => 'Entrebetar una refèrence',
	'wikieditor-toolbar-tool-reference-insert' => 'Entrebetar',
	'wikieditor-toolbar-tool-reference-text' => 'Tèxto de la refèrence',
	'wikieditor-toolbar-tool-signature' => 'Signatura et dâta',
	'wikieditor-toolbar-section-advanced' => 'Avanciê',
	'wikieditor-toolbar-tool-heading' => 'Titro',
	'wikieditor-toolbar-tool-heading-1' => 'Nivél 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivél 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivél 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivél 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivél 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tèxto du titro',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Lista de puges',
	'wikieditor-toolbar-tool-ulist-example' => 'Èlèment de la lista de puges',
	'wikieditor-toolbar-tool-olist' => 'Lista numerotâ',
	'wikieditor-toolbar-tool-olist-example' => 'Èlèment de la lista numerotâ',
	'wikieditor-toolbar-tool-indent' => 'Endentacion',
	'wikieditor-toolbar-tool-indent-example' => 'Legne endentâ',
	'wikieditor-toolbar-tool-nowiki' => 'Gins de formatâjo vouiqui',
	'wikieditor-toolbar-tool-nowiki-example' => 'Buchiéd lo tèxto pas formatâ ique',
	'wikieditor-toolbar-tool-redirect' => 'Redirèccion',
	'wikieditor-toolbar-tool-redirect-example' => 'Nom de la pâge de dèstinacion',
	'wikieditor-toolbar-tool-big' => 'Grôs',
	'wikieditor-toolbar-tool-big-example' => 'Grôs tèxto',
	'wikieditor-toolbar-tool-small' => 'Petiôt',
	'wikieditor-toolbar-tool-small-example' => 'Petiôt tèxto',
	'wikieditor-toolbar-tool-superscript' => 'Èxposent',
	'wikieditor-toolbar-tool-superscript-example' => 'Tèxto en èxposent',
	'wikieditor-toolbar-tool-subscript' => 'Segno',
	'wikieditor-toolbar-tool-subscript-example' => 'Tèxto en segno',
	'wikieditor-toolbar-group-insert' => 'Entrebetar',
	'wikieditor-toolbar-tool-gallery' => 'Galerie d’émâges',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ègzemplo.jpg|Dèscripcion 1
$1:Ègzemplo.jpg|Dèscripcion 2',
	'wikieditor-toolbar-tool-newline' => 'Sôt de legne',
	'wikieditor-toolbar-tool-table' => 'Tablô',
	'wikieditor-toolbar-tool-table-example-old' => '-
! en-téta 1
! en-téta 2
! en-téta 3
|-
| legne 1, câsa 1
| legne 1, câsa 2
| legne 1, câsa 3
|-
| legne 2, câsa 1
| legne 2, câsa 2
| legne 2, câsa 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Tèxto de la cèlula',
	'wikieditor-toolbar-tool-table-example-header' => 'Tèxto de l’en-téta',
	'wikieditor-toolbar-tool-table-title' => 'Entrebetar un tablô',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Legnes',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colones',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Encllure la legne d’en-téta',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stilo avouéc bordures',
	'wikieditor-toolbar-tool-table-sortable' => 'Rendre lo tablô triâblo',
	'wikieditor-toolbar-tool-table-example' => 'Ègzemplo',
	'wikieditor-toolbar-tool-table-preview' => 'Prèvisualisacion',
	'wikieditor-toolbar-tool-table-insert' => 'Entrebetar',
	'wikieditor-toolbar-tool-table-cancel' => 'Anular',
	'wikieditor-toolbar-tool-table-toomany' => 'O est pas possiblo d’entrebetar un tablô de més de $1 cèlules avouéc cél outil.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Vos éd pas buchiê un nombro de legnes ou ben de colones valido.',
	'wikieditor-toolbar-tool-table-zero' => 'Vos pouede pas entrebetar un tablô sen legne ou ben sen colona.',
	'wikieditor-toolbar-tool-replace' => 'Rechèrchiér et pués remplaciér',
	'wikieditor-toolbar-tool-replace-title' => 'Rechèrchiér et pués remplaciér',
	'wikieditor-toolbar-tool-replace-search' => 'Rechèrchiér :',
	'wikieditor-toolbar-tool-replace-replace' => 'Remplaciér avouéc :',
	'wikieditor-toolbar-tool-replace-case' => 'Fâre corrèspondre la câssa',
	'wikieditor-toolbar-tool-replace-regex' => 'Trètar la chêna de rechèrche coment una èxprèssion racionèla',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Rechèrchiér celi d’aprés',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Remplaciér',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Remplaciér tot',
	'wikieditor-toolbar-tool-replace-close' => 'Cllôre',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Voutra rechèrche at trovâ gins de corrèspondance.',
	'wikieditor-toolbar-tool-replace-success' => '$1 remplacements fêts.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Vos éd buchiê gins de tèxto a rechèrchiér.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'L’èxprèssion racionèla buchiê est envalida : $1',
	'wikieditor-toolbar-section-characters' => 'Caractèros spèciâls',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin ètendu',
	'wikieditor-toolbar-characters-page-ipa' => 'AFE (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Grèco',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilico',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabo',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabo ètendu',
	'wikieditor-toolbar-characters-page-persian' => 'Pèrsan',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hèbrèo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Tèlougou',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalês',
	'wikieditor-toolbar-characters-page-gujarati' => 'Goudjarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tayi',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'C’mère',
	'wikieditor-toolbar-section-help' => 'Éde',
	'wikieditor-toolbar-help-heading-description' => 'Dèscripcion',
	'wikieditor-toolbar-help-heading-syntax' => 'Cen que vos buchiéd',
	'wikieditor-toolbar-help-heading-result' => 'Cen que vos avéd',
	'wikieditor-toolbar-help-page-format' => 'Formatâjo',
	'wikieditor-toolbar-help-page-link' => 'Lims',
	'wikieditor-toolbar-help-page-heading' => 'Titros',
	'wikieditor-toolbar-help-page-list' => 'Listes',
	'wikieditor-toolbar-help-page-file' => 'Fichiérs',
	'wikieditor-toolbar-help-page-reference' => 'Refèrences',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Étalico',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tèxto en étalico''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tèxto en étalico</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grâs',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tèxto en grâs'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tèxto en grâs</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grâs &amp; étalico',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tèxto en grâs &amp; en étalico'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tèxto en grâs &amp; en étalico</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lim de dedens',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titro de la pâge|Tèxto du lim]]<br />[[Titro de la pâge]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tèxto du lim</a><br /><a href='#'>Titro de la pâge</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Lim de defôr',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Tèxto du lim]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tèxto du lim</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titro de 2<sup>nd</sup> nivél',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Tèxto du titro ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Tèxto du titro</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titro de 3<sup>émo</sup> nivél',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tèxto du titro ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Tèxto du titro</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titro de 4<sup>émo</sup> nivél',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tèxto du titro ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Tèxto du titro</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titro de 5<sup>émo</sup> nivél',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Tèxto du titro =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Tèxto du titro</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista de puges',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Èlèment de la lista<br />* Èlèment de la lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Èlèment de la lista</li><li>Èlèment de la lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerotâ',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Èlèment de la lista<br /># Èlèment de la lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Èlèment de la lista</li><li>Èlèment de la lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fichiér entrebetâ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ègzemplo.png|thumb|Tèxto montrâ]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Tèxto montrâ' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Agrantir' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tèxto montrâ</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Refèrence',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tèxto de la pâge.&lt;ref name="test"&gt;[http://www.example.org tèxto du lim], tèxto de ples.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tèxto de la pâge.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Usâjo de ples de la méma refèrence',
	'wikieditor-toolbar-help-content-rereference-result' => "Tèxto de la pâge.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Fâre vêre les refèrences',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tèxto du lim</a>, tèxto de ples.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura avouéc dâta',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nom d’utilisator</a> (<a href='#' title='{{#special:mytalk}}'>discutar</a>) 10 de jouen 2009 a 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nom d’utilisator</a> (<a href='#' title='{{#special:mytalk}}'>discutar</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Endentacion',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Tèxto normal<br />:Tèxto endentâ<br />::Tèxto endentâ',
	'wikieditor-toolbar-help-content-indent-result' => 'Tèxto normal<dl><dd>Tèxto endentâ<dl><dd>Tèxto endentâ</dd></dl></dd></dl>',
);

/** Friulian (Furlan)
 * @author Klenje
 */
$messages['fur'] = array(
	'wikieditor-preview-tab' => 'Anteprime',
	'wikieditor-preview-changes-tab' => 'Cambiaments',
	'wikieditor-preview-loading' => 'Daûr a cjamâ…',
	'wikieditor-previewDialog-tab' => 'Anteprime',
	'wikieditor-previewDialog-loading' => 'Daûr a cjamâ…',
	'wikieditor-toolbar-loading' => 'Daûr a cjamâ…',
	'wikieditor-toolbar-tool-bold' => 'Gruessut',
	'wikieditor-toolbar-tool-bold-example' => 'Test in gruessut',
	'wikieditor-toolbar-tool-italic' => 'Corsîf',
	'wikieditor-toolbar-tool-italic-example' => 'Test in corsîf',
	'wikieditor-toolbar-tool-ilink' => 'Leam interni',
	'wikieditor-toolbar-tool-ilink-example' => 'Titul dal leam',
	'wikieditor-toolbar-tool-link' => 'Leam',
	'wikieditor-toolbar-tool-table-preview' => 'Anteprime',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbols',
	'wikieditor-toolbar-section-help' => 'Jutori',
);

/** Western Frisian (Frysk) */
$messages['fy'] = array(
	'wikieditor-toolbar-tool-link-cancel' => 'Ofbrekke',
);

/** Scottish Gaelic (Gàidhlig)
 * @author Akerbeltz
 */
$messages['gd'] = array(
	'wikieditor' => 'Eadar-aghaidh deasachadh wikitext adhartach',
	'wikieditor-desc' => 'Bheir seo dhut eadar-aghaidh deasachadh wikitext adhartach agus iomadh mòideal a bheir dhut feartan',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => "'Ga luchdadh",
	'wikieditor-preview-preference' => 'Cuir an comas ro-shealladh taobh ri taobh',
	'wikieditor-preview-tab' => 'Ro-shealladh',
	'wikieditor-preview-changes-tab' => 'Mùthaidhean',
	'wikieditor-preview-loading' => "'Ga luchdadh...",
	'wikieditor-previewDialog-preference' => 'Cuir an comas còmhradh an ro-sheallaidh',
	'wikieditor-previewDialog-tab' => 'Ro-shealladh',
	'wikieditor-previewDialog-loading' => "'Ga luchdadh...",
	'wikieditor-publish-preference' => 'Cuir an comas foillseachadh ceum air cheum',
	'wikieditor-publish-button-publish' => 'Foillisch',
	'wikieditor-publish-button-cancel' => 'Sguir dheth',
	'wikieditor-publish-dialog-title' => 'Foillsich gu {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Gearr-chunntas an deasachaidh (mìnich na rinn thu gu goirid):',
	'wikieditor-publish-dialog-minor' => 'Mùthadh beag',
	'wikieditor-publish-dialog-watch' => 'Cum sùil air an duilleag seo',
	'wikieditor-publish-dialog-publish' => 'Foillisch',
	'wikieditor-publish-dialog-goback' => 'Air ais',
	'wikieditor-template-editor-preference' => 'Cuir an comas deasachadh de theamplaidean wiki stèidhichte air foirmean',
	'wikieditor-template-editor-dialog-title' => 'Deasaich an teamplaid',
	'wikieditor-template-editor-dialog-submit' => 'Ùraich',
	'wikieditor-template-editor-dialog-cancel' => 'Sguir dheth',
	'wikieditor-templates-preference' => 'Cuir an comas dùmhlachadh theamplaidean',
	'wikieditor-toc-preference' => 'Cuir clàr-innse an comas a ghabhas a sheòladh',
	'wikieditor-toc-show' => 'Seall an clàr-innse',
	'wikieditor-toc-hide' => 'Cuir am falach an clàr-innse',
	'wikieditor-toolbar' => 'Am bàr-inneil deasachaidh',
	'wikieditor-toolbar-desc' => 'Am bàr-inneil deasachaidh le comasan a bharrachd',
	'wikieditor-toolbar-preference' => 'Cuir am bàr-inneil le comasan a bharrachd an comas',
	'wikieditor-toolbar-dialogs-preference' => 'Cuir an comas na còmhraidhean airson ceanglaichean, clàir is rudan eile a chur a-steach',
	'wikieditor-toolbar-loading' => "'Ga luchdadh...",
	'wikieditor-toolbar-tool-bold' => 'Trom',
	'wikieditor-toolbar-tool-bold-example' => 'Teacs trom',
	'wikieditor-toolbar-tool-italic' => 'Clò Eadailteach',
	'wikieditor-toolbar-tool-italic-example' => 'Teacsa Eadailteach',
	'wikieditor-toolbar-tool-ilink' => 'Ceangal am broinn na làraich',
	'wikieditor-toolbar-tool-ilink-example' => "Tiotal a' cheangail",
	'wikieditor-toolbar-tool-xlink' => 'Ceangal dhan taobh a-muigh (cuimhnich an ro-leasachan http://)',
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.com tiotal a' cheangail",
	'wikieditor-toolbar-tool-link' => 'Ceangail',
	'wikieditor-toolbar-tool-link-title' => 'Cuir a-steach ceangal',
	'wikieditor-toolbar-tool-link-int' => 'Ri duilleag wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Duilleag amais no URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tiotal duilleige no URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Teacsa ri shealltainn:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teacsa ri shealltainn:',
	'wikieditor-toolbar-tool-link-ext' => 'Ri duilleag-lìn air an taobh a-muigh',
	'wikieditor-toolbar-tool-link-ext-target' => "URL a' cheangail:",
	'wikieditor-toolbar-tool-link-ext-text' => "Teacsa a' cheangail:",
	'wikieditor-toolbar-tool-link-insert' => 'Cuir a-steach ceangal',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancel',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Duilleag ann mu thràth',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Chan eil an duilleag ann',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tiotal mì-dhligheach',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ceangal dhan taobh a-muigh',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "A' toirt sùil ach a bheil an duilleag ann mu thràth...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Tha an tiotal a shònraich thu mì-dhligheach.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Tha coltas aig an URL a shònraich thu gun robh dùil agad ceangal a dhèanamh ri duilleag wiki eile.
A bheil thu airson ceangal am broinn na làraich a dhèanamh dheth?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ceangal am broinn na làraich',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ceangal dhan taobh a-muigh',
	'wikieditor-toolbar-tool-link-empty' => 'Cha do chuir thu càil a-steach as urrainnear ceangal a dhèanamh ris.',
	'wikieditor-toolbar-tool-file' => 'Faidhle air a leabachadh',
	'wikieditor-toolbar-tool-file-example' => 'Ball-sampaill.jpg',
	'wikieditor-toolbar-tool-reference' => 'Iomradh',
	'wikieditor-toolbar-tool-reference-example' => "Cuir teacsa a' bhun-nòta an-seo",
	'wikieditor-toolbar-tool-reference-cancel' => 'Sguir dheth',
	'wikieditor-toolbar-tool-reference-title' => 'Cuir a-steach iomradh',
	'wikieditor-toolbar-tool-reference-insert' => 'Cuir a-steach',
	'wikieditor-toolbar-tool-reference-text' => 'Teacsa an iomraidh',
	'wikieditor-toolbar-tool-signature' => 'Ainm sgrìobhte is stampa-ama',
	'wikieditor-toolbar-section-advanced' => 'Adhartach',
	'wikieditor-toolbar-tool-heading' => 'Ceann-sgrìobhaidh',
	'wikieditor-toolbar-tool-heading-1' => 'Leibheil 1',
	'wikieditor-toolbar-tool-heading-2' => 'Leibheil 2',
	'wikieditor-toolbar-tool-heading-3' => 'Leibheil 3',
	'wikieditor-toolbar-tool-heading-4' => 'Leibheil 4',
	'wikieditor-toolbar-tool-heading-5' => 'Leibheil 5',
	'wikieditor-toolbar-tool-heading-example' => "Teacsa a' chinn-loidhne",
	'wikieditor-toolbar-group-format' => 'Fòrmat',
	'wikieditor-toolbar-tool-ulist' => 'Liosta pheilearaichte',
	'wikieditor-toolbar-tool-ulist-example' => 'Ball de liosta pheilearaichte',
	'wikieditor-toolbar-tool-olist' => 'Liosta àireamhaichte',
	'wikieditor-toolbar-tool-olist-example' => 'Ball de liosta àireamhaichte',
	'wikieditor-toolbar-tool-indent' => 'Eagadh',
	'wikieditor-toolbar-tool-indent-example' => 'Loidhne eagaichte',
	'wikieditor-toolbar-tool-nowiki' => 'Gun fhòrmatadh wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Cuir a-steach teacsa gun fhòrmatadh an-seo',
	'wikieditor-toolbar-tool-redirect' => 'Ath-sheòl',
	'wikieditor-toolbar-tool-redirect-example' => 'Ainm na duilleige-amais',
	'wikieditor-toolbar-tool-big' => 'Mòr',
	'wikieditor-toolbar-tool-big-example' => 'Teacsa mòr',
	'wikieditor-toolbar-tool-small' => 'Beag',
	'wikieditor-toolbar-tool-small-example' => 'Teacsa beag',
	'wikieditor-toolbar-tool-superscript' => 'Os-sgrìobhte',
	'wikieditor-toolbar-tool-superscript-example' => 'Teacsa os-sgrìobhte',
	'wikieditor-toolbar-tool-subscript' => 'Fo-sgrìobhte',
	'wikieditor-toolbar-tool-subscript-example' => 'Teacsa fo-sgrìobhte',
	'wikieditor-toolbar-group-insert' => 'Cuir a-steach',
	'wikieditor-toolbar-tool-gallery' => 'Gailearaidh nan dealbh',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ballsampaill.jpg|Mìneachadh an deilbh1
$1:Ballsampaill.jpg|Mìneachadh an deilbh2',
	'wikieditor-toolbar-tool-newline' => 'Loidhne ùr',
	'wikieditor-toolbar-tool-table' => 'Clàr',
	'wikieditor-toolbar-tool-table-example-old' => '-
! bann-cinn 1
! bann-cinn 2
! bann-cinn 3
|-
| sreath 1, cealla 1
| sreath 1, cealla 2
| sreath 1, cealla 3
|-
| sreath 2, cealla 1
| sreath 2, cealla 2
| sreath 2, cealla 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teacsa na cealla',
	'wikieditor-toolbar-tool-table-example-header' => "Teacsa a' bhanna-chinn",
	'wikieditor-toolbar-tool-table-title' => 'Cuir a-steach clàr',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Sreathan',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colbhan',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Cuir ris sreath-cinn',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stoidhle le iomallan',
	'wikieditor-toolbar-tool-table-sortable' => 'Dèan clàr dheth a ghabhas a sheòrsachadh',
	'wikieditor-toolbar-tool-table-example' => 'Ball-sampaill',
	'wikieditor-toolbar-tool-table-preview' => 'Ro-shealladh',
	'wikieditor-toolbar-tool-table-insert' => 'Cuir a-steach',
	'wikieditor-toolbar-tool-table-cancel' => 'Sguir dheth',
	'wikieditor-toolbar-tool-table-toomany' => "Chan urrainn dhut clàr le barrachd air $1 ceallan a chur a-steach leis a' chòmhradh seo.",
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Cha do chuir thu a-steach àireamh cheadaichte de shreathan is de cholbhan.',
	'wikieditor-toolbar-tool-table-zero' => 'Chan urrainn dhut clàr a chur a-steach aig nach eil sreath no colbh.',
	'wikieditor-toolbar-tool-replace' => "Lorg is cuir 'na àite",
	'wikieditor-toolbar-tool-replace-title' => "Lorg is cuir 'na àite",
	'wikieditor-toolbar-tool-replace-search' => 'Lorg na leanas:',
	'wikieditor-toolbar-tool-replace-replace' => "Cuir na leanas 'na àite:",
	'wikieditor-toolbar-tool-replace-case' => 'Maids an ceas',
	'wikieditor-toolbar-tool-replace-regex' => 'Dèilig ris an t-sreath luirg mar regular expression',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Lorg an ath-fhear',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Cuir an àite gach aon dhiubh',
	'wikieditor-toolbar-tool-replace-close' => 'Dùin',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Cha do fhreagair an lorg agad ri rud sam bith.',
	'wikieditor-toolbar-tool-replace-success' => 'Chaidh rud ùr a chur an àite $1 dhiubh.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Cha do chuir thu càil a-steach as urrainnear lorg.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Tha an regular expression a chuir thu a-steach mì-dhligheach: $1',
	'wikieditor-toolbar-section-characters' => 'Caractairean sònraichte',
	'wikieditor-toolbar-characters-page-latin' => 'Laideann',
	'wikieditor-toolbar-characters-page-latinextended' => 'Laideann leudaichte',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Siombalan',
	'wikieditor-toolbar-characters-page-greek' => 'Greugais',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilis',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabais',
	'wikieditor-toolbar-characters-page-persian' => 'Farsaidh',
	'wikieditor-toolbar-characters-page-hebrew' => 'Eabhra',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'Help',
	'wikieditor-toolbar-help-heading-description' => 'Tuairisgeul',
	'wikieditor-toolbar-help-heading-syntax' => 'Na chuireas tu a-steach',
	'wikieditor-toolbar-help-heading-result' => 'Na gheibh thu',
	'wikieditor-toolbar-help-page-format' => 'Fòrmatadh',
	'wikieditor-toolbar-help-page-link' => 'Ceanglaichean',
	'wikieditor-toolbar-help-page-heading' => 'Ceann-sgrìobhaidhean',
	'wikieditor-toolbar-help-page-list' => 'Liostaichean',
	'wikieditor-toolbar-help-page-file' => 'Faidhlichean',
	'wikieditor-toolbar-help-page-reference' => 'Iomraidhean',
	'wikieditor-toolbar-help-page-discussion' => 'Deasbaireachd',
	'wikieditor-toolbar-help-content-italic-description' => 'Eadailteach',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teacsa Eadailteach''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teacsa Eadailteach</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Trom',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Teacsa trom'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teacsa trom</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Trom ┐ Eadailteach',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Teacsa trom ┐ Eadailteach'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teacsa trom ┐ Eadailteach</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ceangal am broinn na làraich',
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[Tiotal na duilleige|Leubail a' cheangail]]<br />[[Tiotal na duilleige]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Leubail a' cheangail</a><br /><a href='#'>Tiotal na duillege</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ceangal dhan taobh a-muigh',
	'wikieditor-toolbar-help-content-xlink-syntax' => "[http://www.ballsampaill.org Leubail a' cheangail]<br />[http://www.ballsampaill.org]<br />http://www.ballsampaill.org",
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Leubail a' cheangail</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.ballsampaill.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Ceann-sgrìobhaidh dhen 2na ìre',
	'wikieditor-toolbar-help-content-heading2-syntax' => "== Teacsa a' chinn-sgrìobhaidh ==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Teacsa a' chinn-sgrìobhaidh</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => 'Ceann-sgrìobhaidh dhen 3s ìre',
	'wikieditor-toolbar-help-content-heading3-syntax' => "=== Teacsa a' chinn-sgrìobhaidh ===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Teacsa a' chinn-sgrìobhaidh</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => 'Ceann-sgrìobhaidh dhen 4mh ìre',
	'wikieditor-toolbar-help-content-heading4-syntax' => "==== Teacsa a' chinn-sgrìobhaidh ====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Teacsa a' chinn-sgrìobhaidh</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => 'Ceann-sgrìobhaidh dhen 5mh ìre',
	'wikieditor-toolbar-help-content-heading5-syntax' => "===== Teacsa a' chinn-sgrìobhaidh =====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Teacsa a' chinn-sgrìobhaidh</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Liosta pheilearaichte',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ball na liosta<br />* Ball na liosta',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ball na liosta</li><li>Ball na liosta</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Liosta àireamhaichte',
	'wikieditor-toolbar-help-content-olist-syntax' => '* Ball na liosta<br />* Ball na liosta',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ball na liosta</li><li>Ball na liosta</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Embedded file',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ballsampaill.png|thumb|Mìneachadh an deilbh]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Mìneachadh an deilbht' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Meudaich' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Mìneachadh an deilbh</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Iomradh',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teacsa na duilleige.&lt;ref name="test"&gt;[http://www.ballsampaill.org Teacsa a\' cheangail], teacsa eile.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teacsa na duilleige.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Cleachdadh eile an dearbh iomraidh',
	'wikieditor-toolbar-help-content-rereference-result' => "Teacsa na duilleige.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Seall na h-iomraidhean',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='iomraidhean'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.ballsampaill.org' class='external text' href='#'>Teacsa a' cheangail</a>, teacsa eile.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ainm sgrìobhte le stampa-ama',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ainm-cleachdaiche</a> (<a href='#' title='{{#special:mytalk}}'>conaltradh</a>) 15:54, 10 dhen Ògmhios 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ainm-sgrìobhte',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ainm-cleachdaiche</a> (<a href='#' title='{{#special:mytalk}}'>conaltradh</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Eagaich a-steach',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teacsa àbhaisteach<br />:Teacsa air eagachadh a-steach<br />::Teacsa air eagachadh a-steach',
	'wikieditor-toolbar-help-content-indent-result' => 'Teacsa àbhaisteach<dl><dd>Teacsa air eagachadh a-steach<dl><dd>Teacsa air eagachadh a-steach</dd></dl></dd></dl>',
);

/** Galician (Galego)
 * @author Toliño
 */
$messages['gl'] = array(
	'wikieditor' => 'Interface avanzada de edición de texto wiki',
	'wikieditor-desc' => 'Proporciona unha interface extensible de edición de texto wiki e moitas funcionalidades de módulos',
	'wikieditor-wikitext-tab' => 'Texto wiki',
	'wikieditor-loading' => 'Cargando',
	'wikieditor-preview-preference' => 'Activar a vista previa comparativa',
	'wikieditor-preview-tab' => 'Vista previa',
	'wikieditor-preview-changes-tab' => 'Cambios',
	'wikieditor-preview-loading' => 'Cargando...',
	'wikieditor-previewDialog-preference' => 'Activar o diálogo de vista previa',
	'wikieditor-previewDialog-tab' => 'Vista previa',
	'wikieditor-previewDialog-loading' => 'Cargando...',
	'wikieditor-publish-preference' => 'Activar a publicación paso a paso',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancelar',
	'wikieditor-publish-dialog-title' => 'Publicar en {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Resumo de edición (describa brevemente os cambios que fixo):',
	'wikieditor-publish-dialog-minor' => 'Edición pequena',
	'wikieditor-publish-dialog-watch' => 'Vixiar esta páxina',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Volver',
	'wikieditor-template-editor-preference' => 'Activar a edición de modelos wiki baseada en formularios',
	'wikieditor-template-editor-dialog-title' => 'Editar o modelo',
	'wikieditor-template-editor-dialog-submit' => 'Actualizar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancelar',
	'wikieditor-templates-preference' => 'Activar o enrolamento de modelos',
	'wikieditor-toc-preference' => 'Activar a táboa de contidos navegable',
	'wikieditor-toc-show' => 'Mostrar o contido',
	'wikieditor-toc-hide' => 'Agochar o contido',
	'wikieditor-toolbar' => 'Barra de ferramentas de edición',
	'wikieditor-toolbar-desc' => 'Editar a páxina da barra de ferramentas cunha mellor usabilidade',
	'wikieditor-toolbar-preference' => 'Activar a barra de ferramentas de edición mellorada',
	'wikieditor-toolbar-dialogs-preference' => 'Activar os diálogos para engadir ligazóns, táboas e máis',
	'wikieditor-toolbar-hidesig' => 'Agochar o botón de sinatura nas páxinas do espazo de nomes principal',
	'wikieditor-toolbar-loading' => 'Cargando...',
	'wikieditor-toolbar-tool-bold' => 'Negra',
	'wikieditor-toolbar-tool-bold-example' => 'Texto en negra',
	'wikieditor-toolbar-tool-italic' => 'Cursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Texto en cursiva',
	'wikieditor-toolbar-tool-ilink' => 'Ligazón interna',
	'wikieditor-toolbar-tool-ilink-example' => 'Título da ligazón',
	'wikieditor-toolbar-tool-xlink' => 'Ligazón externa (lembre o prefixo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com título da ligazón',
	'wikieditor-toolbar-tool-link' => 'Ligazón',
	'wikieditor-toolbar-tool-link-title' => 'Inserir unha ligazón',
	'wikieditor-toolbar-tool-link-int' => 'Cara a unha páxina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Título da páxina:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Título da páxina ou URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Texto da ligazón:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Insira o texto que se mostrará',
	'wikieditor-toolbar-tool-link-ext' => 'Cara a unha páxina web externa',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL da ligazón:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Texto da ligazón:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserir a ligazón',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'A páxina existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'A páxina non existe',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Título non válido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ligazón externa',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Comprobando a existencia da páxina...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'O título que especificou non é válido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'O enderezo URL que especificou semella ser unha ligazón cara a outra páxina do wiki.
Quere converter ese enderezo nunha ligazón interna?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ligazón interna',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ligazón externa',
	'wikieditor-toolbar-tool-link-empty' => 'Non inseriu nada co que ligar.',
	'wikieditor-toolbar-tool-file' => 'Ficheiro embelecido',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referencia',
	'wikieditor-toolbar-tool-reference-example' => 'Insira unha nota aquí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-reference-title' => 'Inserir unha referencia',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserir',
	'wikieditor-toolbar-tool-reference-text' => 'Texto da referencia',
	'wikieditor-toolbar-tool-signature' => 'Sinatura con data e hora',
	'wikieditor-toolbar-section-advanced' => 'Avanzado',
	'wikieditor-toolbar-tool-heading' => 'Cabeceira',
	'wikieditor-toolbar-tool-heading-1' => 'Nivel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto de cabeceira',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Lista con asteriscos',
	'wikieditor-toolbar-tool-ulist-example' => 'Elemento da lista con asteriscos',
	'wikieditor-toolbar-tool-olist' => 'Lista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Elemento da lista numerada',
	'wikieditor-toolbar-tool-indent' => 'Sangría',
	'wikieditor-toolbar-tool-indent-example' => 'Liña con sangría',
	'wikieditor-toolbar-tool-nowiki' => 'Sen formato wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Insira aquí un texto sen formato',
	'wikieditor-toolbar-tool-redirect' => 'Redirección',
	'wikieditor-toolbar-tool-redirect-example' => 'Nome da páxina de destino',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Texto grande',
	'wikieditor-toolbar-tool-small' => 'Pequeno',
	'wikieditor-toolbar-tool-small-example' => 'Texto pequeno',
	'wikieditor-toolbar-tool-superscript' => 'Superíndice',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto de superíndice',
	'wikieditor-toolbar-tool-subscript' => 'Subíndice',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto de subíndice',
	'wikieditor-toolbar-group-insert' => 'Inserir',
	'wikieditor-toolbar-tool-gallery' => 'Galería de imaxes',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Pé_de_foto_1
$1:Example.jpg|Pé_de_foto_2',
	'wikieditor-toolbar-tool-newline' => 'Nova liña',
	'wikieditor-toolbar-tool-table' => 'Táboa',
	'wikieditor-toolbar-tool-table-example-old' => '-
! cabeceira 1
! cabeceira 2
! cabeceira 3
|-
| liña 1, cela 1
| liña 1, cela 2
| liña 1, cela 3
|-
| liña 2, cela 1
| liña 2, cela 2
| liña 2, cela 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texto da cela',
	'wikieditor-toolbar-tool-table-example-header' => 'Texto da cabeceira',
	'wikieditor-toolbar-tool-table-title' => 'Inserir unha táboa',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Liñas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Incluír a liña de cabeceira',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo con bordos',
	'wikieditor-toolbar-tool-table-sortable' => 'Facer que a táboa se poida ordenar',
	'wikieditor-toolbar-tool-table-example' => 'Texto da cela',
	'wikieditor-toolbar-tool-table-preview' => 'Vista previa',
	'wikieditor-toolbar-tool-table-insert' => 'Inserir',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-table-toomany' => 'Non é posible inserir unha táboa con máis de $1 celas con este diálogo.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Non inseriu un número válido de fileiras ou columnas.',
	'wikieditor-toolbar-tool-table-zero' => 'Non pode inserir unha táboa con cero fileiras ou columnas.',
	'wikieditor-toolbar-tool-replace' => 'Buscar e substituír',
	'wikieditor-toolbar-tool-replace-title' => 'Buscar e substituír',
	'wikieditor-toolbar-tool-replace-search' => 'Buscar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Substituír por:',
	'wikieditor-toolbar-tool-replace-case' => 'Facer coincidir as maiúsculas e as minúsculas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratar a secuencia de busca como unha expresión regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Atopar o seguinte',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Substituír',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Substituír todos',
	'wikieditor-toolbar-tool-replace-close' => 'Pechar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'A súa busca non atopou nada.',
	'wikieditor-toolbar-tool-replace-success' => 'Fixéronse $1 substitucións.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Non inseriu nada que procurar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'A expresión regular que inseriu non é válida: $1',
	'wikieditor-toolbar-section-characters' => 'Caracteres especiais',
	'wikieditor-toolbar-characters-page-latin' => 'Latín',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latín estendido',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Grego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirílico',
	'wikieditor-toolbar-characters-page-arabic' => 'Árabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Árabe estendido',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalí',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugú',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalés',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tailandés',
	'wikieditor-toolbar-characters-page-lao' => 'Laosiano',
	'wikieditor-toolbar-characters-page-khmer' => 'Camboxano',
	'wikieditor-toolbar-section-help' => 'Axuda',
	'wikieditor-toolbar-help-heading-description' => 'Descrición',
	'wikieditor-toolbar-help-heading-syntax' => 'O que escribe',
	'wikieditor-toolbar-help-heading-result' => 'O que obtén',
	'wikieditor-toolbar-help-page-format' => 'Dando formato',
	'wikieditor-toolbar-help-page-link' => 'Ligazóns',
	'wikieditor-toolbar-help-page-heading' => 'Cabeceiras',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Ficheiros',
	'wikieditor-toolbar-help-page-reference' => 'Referencias',
	'wikieditor-toolbar-help-page-discussion' => 'Conversa',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto en cursiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto en cursiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negra',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto en negra'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto en negra</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negra e cursiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto en negra e cursiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto en negra e cursiva</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ligazón interna',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Título da páxina|Texto da ligazón]]<br />[[Título da páxina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Texto da ligazón</a><br /><a href='#'>Título da páxina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ligazón externa',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Texto da ligazón]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texto da ligazón</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Cabeceira de 2º nivel',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Texto de cabeceira ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Texto de cabeceira</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Cabeceira de 3º nivel',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Texto de cabeceira ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Texto de cabeceira</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Cabeceira de 4º nivel',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Texto de cabeceira ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Texto de cabeceira</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Cabeceira de 5º nivel',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Texto de cabeceira =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Texto de cabeceira</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista de asteriscos',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Elemento da lista<br />* Elemento da lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Elemento da lista</li><li>Elemento da lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Elemento da lista<br /># Elemento da lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Elemento da lista</li><li>Elemento da lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ficheiro embelecido',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Pé de foto.]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Pé de foto' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Ampliar' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Pé de foto.</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referencia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto da páxina&lt;ref name="test"&gt;[http://www.example.org Texto da ligazón], texto adicional.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Texto da páxina<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-rereference-description' => 'Uso adicional da mesma referencia',
	'wikieditor-toolbar-help-content-rereference-result' => "Texto da páxina<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostrar as referencias',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Texto da ligazón</a>, texto adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sinatura con data e hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome de usuario</a> (<a href='#' title='{{#special:mytalk}}'>conversa</a>) 15:54, 10 xuño 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sinatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome de usuario</a> (<a href='#' title='{{#special:mytalk}}'>conversa</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Sangría',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto con sangría<br />::Texto con máis sangría',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto con sangría<dl><dd>Texto con máis sangría</dd></dl></dd></dl>',
);

/** Ancient Greek (Ἀρχαία ἑλληνικὴ)
 * @author Crazymadlover
 */
$messages['grc'] = array(
	'wikieditor-publish-button-cancel' => 'Ἀκυροῦν',
	'wikieditor-template-editor-dialog-cancel' => 'Ἀκυροῦν',
	'wikieditor-toolbar' => 'Ἐργαλειοθήκη μεταγραφῆς',
	'wikieditor-toolbar-loading' => 'Φορτίζειν…',
	'wikieditor-toolbar-tool-bold' => 'ἔντονον',
	'wikieditor-toolbar-tool-bold-example' => 'Γράμματα παχέα',
	'wikieditor-toolbar-tool-italic' => 'πλάγιον',
	'wikieditor-toolbar-tool-italic-example' => 'Γράμματα πλάγια',
	'wikieditor-toolbar-tool-ilink' => 'Ἐσωτερικὸς σύνδεσμος',
	'wikieditor-toolbar-tool-ilink-example' => 'Συνδέσμου ὄνομα',
	'wikieditor-toolbar-tool-xlink' => 'Ἐξώτερος σύνδεσμος (μέμνησο τοῦ προθέματος http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ὄνομα συνδέσμου',
	'wikieditor-toolbar-tool-link-cancel' => 'Ἀκυροῦν',
	'wikieditor-toolbar-tool-file' => 'Ἐμβεβαπτισμένον ἀρχεῖον',
	'wikieditor-toolbar-tool-reference' => 'Ἀναφορά',
	'wikieditor-toolbar-tool-reference-example' => 'Εἰσάγειν κείμενον παραπομπῆς ὧδε',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ἀκυροῦν',
	'wikieditor-toolbar-tool-signature' => 'Ὑπογραφή σου μετὰ χρονοσφραγίδος',
	'wikieditor-toolbar-section-advanced' => 'Προεωσμένον',
	'wikieditor-toolbar-tool-heading' => 'Ἐπικεφαλίς',
	'wikieditor-toolbar-tool-heading-1' => 'Ἐπίπεδον 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ἐπίπεδον 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ἐπίπεδον 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ἐπίπεδον 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ἐπίπεδον 5',
	'wikieditor-toolbar-group-format' => 'Κατάλογος',
	'wikieditor-toolbar-tool-big' => 'Μέγα',
	'wikieditor-toolbar-tool-big-example' => 'Μέγα κείμενον',
	'wikieditor-toolbar-tool-small' => 'Σμικρόν',
	'wikieditor-toolbar-tool-small-example' => 'Σμικρόν κείμενον',
	'wikieditor-toolbar-group-insert' => 'Εἰσάγειν',
	'wikieditor-toolbar-tool-gallery' => 'Πινακοθήκη',
	'wikieditor-toolbar-tool-newline' => 'Νέα γραμμή',
	'wikieditor-toolbar-tool-table' => 'Πίναξ',
	'wikieditor-toolbar-tool-table-cancel' => 'Ἀκυροῦν',
	'wikieditor-toolbar-tool-replace' => 'Ζητεῖν καὶ ὑποκαθιστάναι',
	'wikieditor-toolbar-tool-replace-title' => 'Ζητεῖν καὶ ὑποκαθιστάναι',
	'wikieditor-toolbar-tool-replace-search' => 'Zήτησις περί:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ὑποκατάστασις ὑπό:',
	'wikieditor-toolbar-tool-replace-close' => 'Κλῄειν',
	'wikieditor-toolbar-section-characters' => 'Εἰδικοὶ χαρακτῆρες',
	'wikieditor-toolbar-characters-page-latin' => 'Λατινικόν',
	'wikieditor-toolbar-characters-page-latinextended' => 'Λατινικὸν προεκτεταμένον',
	'wikieditor-toolbar-characters-page-ipa' => 'ΔΦΑ',
	'wikieditor-toolbar-characters-page-symbols' => 'Σύμβολα',
	'wikieditor-toolbar-characters-page-greek' => 'Ἑλληνικόν',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Κυριλλικόν',
	'wikieditor-toolbar-characters-page-arabic' => 'Ἀραβικόν',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ἑβραϊκόν',
	'wikieditor-toolbar-characters-page-telugu' => 'Τελουγούϊον',
	'wikieditor-toolbar-section-help' => 'Βοήθεια',
	'wikieditor-toolbar-help-heading-description' => 'Περιγραφή',
	'wikieditor-toolbar-help-page-format' => 'Μορφοποίησις',
	'wikieditor-toolbar-help-page-link' => 'σύνδεσμοι',
	'wikieditor-toolbar-help-page-heading' => 'Ἐπικεφαλίδες',
	'wikieditor-toolbar-help-page-list' => 'Κατάλογοι',
	'wikieditor-toolbar-help-page-file' => 'Ἀρχεῖα',
	'wikieditor-toolbar-help-page-reference' => 'Ἀναφοραί',
	'wikieditor-toolbar-help-page-discussion' => 'Διάλεξις',
	'wikieditor-toolbar-help-content-italic-description' => 'πλάγιον',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Γράμματα πλάγια''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Γράμματα πλάγια</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ἔντονον',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Γράμματα παχέα'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Γράμματα παχέα</strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ἐσωτερικὸς σύνδεσμος',
	'wikieditor-toolbar-help-content-xlink-description' => 'Ἐξωτερικὸς σύνδεσμος',
	'wikieditor-toolbar-help-content-heading2-description' => 'Ἐπικεφαλὶς 2ου ἐπιπέδου',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Κείμενον ἐπικεφαλίδος ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Κείμενον ἐπικεφαλίδος</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Ἐπικεφαλὶς 3ου ἐπιπέδου',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Κείμενον ἐπικεφαλίδος ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Κείμενον ἐπικεφαλίδος</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Ἐπικεφαλὶς 4ου ἐπιπέδου',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Κείμενον ἐπικεφαλίδος ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Κείμενον ἐπικεφαλίδος</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Ἐπικεφαλὶς 5ου ἐπιπέδου',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Κείμενον ἐπικεφαλίδος =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Κείμενον ἐπικεφαλίδος</h5>',
	'wikieditor-toolbar-help-content-olist-description' => 'Ἠριθμημένη διαλογή',
	'wikieditor-toolbar-help-content-file-description' => 'Ἐμβεβαπτισμένον ἀρχεῖον',
	'wikieditor-toolbar-help-content-reference-description' => 'Ἀναφορά',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Κείμενον δέλτου.&lt;ref name="test"&gt;[http://www.example.org Κείμενον συνδέσμου], ἐπιπρόσθετον κείμενον.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-showreferences-description' => 'Δεικνύειν ἀναφοράς',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ὑπογραφὴ μετὰ χρονοσφραγίδος',
	'wikieditor-toolbar-help-content-signature-description' => 'Ὑπογραφή',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ὄνομα χρωμένου</a> (<a href='#' title='{{#special:mytalk}}'>διάλεξις</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Παραγραφοποίησις',
);

/** Swiss German (Alemannisch)
 * @author Als-Chlämens
 * @author Als-Holder
 * @author Kghbln
 */
$messages['gsw'] = array(
	'wikieditor' => 'Oberflechi fir s fortgschritte Wikitext-Bearbeite',
	'wikieditor-desc' => 'Stellt e uusklappbari Wikitext-Bearbeitigsoberflechi z Verfiegig un vili Modul mit extra Megligkeite',
	'wikieditor-wikitext-tab' => 'WikiText',
	'wikieditor-loading' => 'Am Lade',
	'wikieditor-preview-preference' => 'Gegeiniberstelligs-Vorschau meglig mache',
	'wikieditor-preview-tab' => 'Vorschau',
	'wikieditor-preview-changes-tab' => 'Änderige',
	'wikieditor-preview-loading' => 'Am Lade ...',
	'wikieditor-previewDialog-preference' => 'D Abfrog zue dr Vorschau aaschalte',
	'wikieditor-previewDialog-tab' => 'Vorschau',
	'wikieditor-previewDialog-loading' => 'Am Lade ...',
	'wikieditor-publish-preference' => 'Schritt-fir-Schritt-Vereffentlichung meglig mache',
	'wikieditor-publish-button-publish' => 'Publiziere',
	'wikieditor-publish-button-cancel' => 'Abbräche',
	'wikieditor-publish-dialog-title' => 'Uf {{SITENAME}} publiziere',
	'wikieditor-publish-dialog-summary' => 'Zämmefassig (churzi Bschryybig vu dr Änderige, wu du gmacht hesch):',
	'wikieditor-publish-dialog-minor' => 'Chleinigkeite sin gänderet wore',
	'wikieditor-publish-dialog-watch' => 'Die Syte beobachte',
	'wikieditor-publish-dialog-publish' => 'Publiziere',
	'wikieditor-publish-dialog-goback' => 'Zruck',
	'wikieditor-template-editor-preference' => 'Formatbasiert Bearbeite vu Wikivorlage meglig mache',
	'wikieditor-template-editor-dialog-title' => 'Vorlag bearbeite',
	'wikieditor-template-editor-dialog-submit' => 'Aktualisiere',
	'wikieditor-template-editor-dialog-cancel' => 'Abbräche',
	'wikieditor-templates-preference' => 'Aktivierig vum Yy- un Uusblände vu Vorlage',
	'wikieditor-toc-preference' => 'Navigierbari Inhaltstabälle megli mache',
	'wikieditor-toc-show' => 'Inhalt zeige',
	'wikieditor-toc-hide' => 'Inhalt uusblände',
	'wikieditor-toolbar' => 'Wärchzygchäschtli bearbeite',
	'wikieditor-toolbar-desc' => 'Wärchzygchäschtli mit ere verbesserete Benutzerfrejndligkeit bearbeite',
	'wikieditor-toolbar-preference' => 'Verbesseret Bearbeitigs-Wärchzygchäschtli meglig mache',
	'wikieditor-toolbar-dialogs-preference' => 'Dialog aktiviere zum Links, Tabälle usw. yysetze',
	'wikieditor-toolbar-hidesig' => 'Dr Unterschriftebutton bi Syte im Artikelnamensruum uusblände',
	'wikieditor-toolbar-loading' => 'Am Lade ...',
	'wikieditor-toolbar-tool-bold' => 'Fätt',
	'wikieditor-toolbar-tool-bold-example' => 'Tekscht fätt',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Tekscht kursiv',
	'wikieditor-toolbar-tool-ilink' => 'Intärn Gleich (Link)',
	'wikieditor-toolbar-tool-ilink-example' => 'Gleichtitel',
	'wikieditor-toolbar-tool-xlink' => 'Extärn Gleich (Link) (dänk an s Präfix http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.byschpil.com Gleichtitel',
	'wikieditor-toolbar-tool-link' => 'Gleich',
	'wikieditor-toolbar-tool-link-title' => 'Gleich yysetze',
	'wikieditor-toolbar-tool-link-int' => 'Zuen eme Wikiartikel/ere Wikisyte',
	'wikieditor-toolbar-tool-link-int-target' => 'Artikeltitel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sytename oder URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Gleichtext:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text yygee, wu soll aazeigt wäre',
	'wikieditor-toolbar-tool-link-ext' => 'Zuen ere extärne Netzsyte',
	'wikieditor-toolbar-tool-link-ext-target' => 'Gleich-URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Gleichtext:',
	'wikieditor-toolbar-tool-link-insert' => 'Gleich yysetze',
	'wikieditor-toolbar-tool-link-cancel' => 'Abbräche',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Syte git s scho',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Syte git s nit',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nit giltige Titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Extärne Link',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Am Priefe, eb s Syte git ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Dr Titel, wu Du aagee hesch, isch nit giltig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'D URL, wu Du yygee hesch, siht uus wie ne Gleich zuen ere andre Wikisyte.
Wettsch e intärn Gleich setze?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Intärn Gleich (Link)',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Extärn Gleich (Link)',
	'wikieditor-toolbar-tool-link-empty' => 'Du hesch nyt yygee, wu druf cha verwise wäre.',
	'wikieditor-toolbar-tool-file' => 'Yygfiegti Datei',
	'wikieditor-toolbar-tool-file-example' => 'Byschpil.jpg',
	'wikieditor-toolbar-tool-reference' => 'Quälle',
	'wikieditor-toolbar-tool-reference-example' => 'Do Fuessnotetekscht yyfiege',
	'wikieditor-toolbar-tool-reference-cancel' => 'Abbräche',
	'wikieditor-toolbar-tool-reference-title' => 'Referänz yyfiege',
	'wikieditor-toolbar-tool-reference-insert' => 'Yyfiege',
	'wikieditor-toolbar-tool-reference-text' => 'Referänztext',
	'wikieditor-toolbar-tool-signature' => 'Unterschrift un Zytstämpfel',
	'wikieditor-toolbar-section-advanced' => 'Erwyteret',
	'wikieditor-toolbar-tool-heading' => 'Iberschrift',
	'wikieditor-toolbar-tool-heading-1' => 'Ebeni 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ebeni 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ebeni 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ebeni 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ebeni 5',
	'wikieditor-toolbar-tool-heading-example' => 'Iberschriftetekscht',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Nummerierti Lischt',
	'wikieditor-toolbar-tool-ulist-example' => 'Ufzelligslischtepunkt',
	'wikieditor-toolbar-tool-olist' => 'Nummerierti Lischt',
	'wikieditor-toolbar-tool-olist-example' => 'Nummerierti Lischte-Punkt',
	'wikieditor-toolbar-tool-indent' => 'Yygruckt',
	'wikieditor-toolbar-tool-indent-example' => 'Yygruckti Zyyle',
	'wikieditor-toolbar-tool-nowiki' => 'Kei Wiki-Formatierig',
	'wikieditor-toolbar-tool-nowiki-example' => 'Do nit-formatierte Text yygee',
	'wikieditor-toolbar-tool-redirect' => 'Wyterleitig',
	'wikieditor-toolbar-tool-redirect-example' => 'Ziilsytename',
	'wikieditor-toolbar-tool-big' => 'Groß',
	'wikieditor-toolbar-tool-big-example' => 'Grossgschribene Tekscht',
	'wikieditor-toolbar-tool-small' => 'Chlei',
	'wikieditor-toolbar-tool-small-example' => 'Chleigschribene Tekscht',
	'wikieditor-toolbar-tool-superscript' => 'Hochgsetzt',
	'wikieditor-toolbar-tool-superscript-example' => 'Hochgsetzte Tekscht',
	'wikieditor-toolbar-tool-subscript' => 'Untergsetzt',
	'wikieditor-toolbar-tool-subscript-example' => 'Untergsetzte Tekscht',
	'wikieditor-toolbar-group-insert' => 'Yyfiege',
	'wikieditor-toolbar-tool-gallery' => 'Bildergallerii',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Byschpil.jpg|Bschriftig1
$1:Byschpil.jpg|Bschriftig2',
	'wikieditor-toolbar-tool-newline' => 'Neji Zeile',
	'wikieditor-toolbar-tool-table' => 'Tabälle',
	'wikieditor-toolbar-tool-table-example-old' => '-
! Chopf 1
! Chopf 2
! Chopf 3
|-
| Zyylete 1, Zälle 1
| Zyylete 1, Zälle 2
| Zyylete 1, Zälle 3
|-
| Zyylete 2, Zälle 1
| Zyylete 2, Zälle 2
| Zyylete 2, Zälle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Zälletext',
	'wikieditor-toolbar-tool-table-example-header' => 'Iberschrift',
	'wikieditor-toolbar-tool-table-title' => 'Tabälle yyfiege',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Zyle',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Spalte',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Iberschrift yyfiege',
	'wikieditor-toolbar-tool-table-wikitable' => 'Style mit Ramme',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabälle sortierbar mache',
	'wikieditor-toolbar-tool-table-example' => 'Zälletext',
	'wikieditor-toolbar-tool-table-preview' => 'Vorschau',
	'wikieditor-toolbar-tool-table-insert' => 'Yyfiege',
	'wikieditor-toolbar-tool-table-cancel' => 'Abbräche',
	'wikieditor-toolbar-tool-table-toomany' => 'Yyfiege vun ere Tabälle mit meh wie $1 Zälle isch nit megli in däm Dialogfänschter.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du hesch kei giltigi Zahl vu Zyyle oder Spalte yygee.',
	'wikieditor-toolbar-tool-table-zero' => 'Du chasch kei Tabälle yyfiege ohni Zyyle oder Spalte.',
	'wikieditor-toolbar-tool-replace' => 'Suechen un ersetze',
	'wikieditor-toolbar-tool-replace-title' => 'Sueche un ersetze',
	'wikieditor-toolbar-tool-replace-search' => 'Sueche no:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ersetze dur:',
	'wikieditor-toolbar-tool-replace-case' => 'Groß- un Chleibuechstabe unterscheide',
	'wikieditor-toolbar-tool-replace-regex' => 'D Zeichechette wu gsuecht soll wäre as reguläre Uusdruck versueche',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Negschti sueche',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alli ersetze',
	'wikieditor-toolbar-tool-replace-close' => 'Zuemache',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Zue Dyyre Suech git s kei Träffer.',
	'wikieditor-toolbar-tool-replace-success' => '$1 Ersetzige durgfiert.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du hesch nyt yygee zum Sueche.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Dää regulär Uusdruck, wu Du yygee hesch, isch nit giltig: $1',
	'wikieditor-toolbar-section-characters' => 'Sunderzeiche',
	'wikieditor-toolbar-characters-page-latin' => 'Latynisch',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin Extended',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbol',
	'wikieditor-toolbar-characters-page-greek' => 'Griechisch',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Erwyyterts Arabisch',
	'wikieditor-toolbar-characters-page-persian' => 'Persisch',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebräisch',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalisch',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singhalesisch',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hilf',
	'wikieditor-toolbar-help-heading-description' => 'Bschrybig',
	'wikieditor-toolbar-help-heading-syntax' => 'Was Du schrybsch',
	'wikieditor-toolbar-help-heading-result' => 'Was Du derby kriegsch',
	'wikieditor-toolbar-help-page-format' => 'Formatiere',
	'wikieditor-toolbar-help-page-link' => 'Gleicher (Links)',
	'wikieditor-toolbar-help-page-heading' => 'Iberschrifte',
	'wikieditor-toolbar-help-page-list' => 'Lischte',
	'wikieditor-toolbar-help-page-file' => 'Dateie',
	'wikieditor-toolbar-help-page-reference' => 'Quälle',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursive Tekscht''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursive Tekscht</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fett',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fette Tekscht'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fette Tekscht</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fett &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fette &amp; kursive Tekscht'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fette &amp; kursive Tekscht</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Intärn Gleich (Link)',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Gleichname]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Gleichname</a><br /><a href='#'>Sytetitel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Extärn Gleich (Link)',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.byschpil.org Gleichname]<br />[http://www.byschpil.org]<br />http://www.byschpil.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Gleichname</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.byschpil.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Iberschrift 2. Ebeni',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Iberschriftetekscht ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Iberschriftetekscht</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Iberschrift 3. Ebeni',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Iberschriftetekscht ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Iberschriftetekscht</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Iberschrift 4. Ebeni',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Iberschriftetekscht ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Iberschriftetekscht</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Iberschrift 5. Ebeni',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Iberschriftetekscht =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Iberschriftetekscht</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lischt mit Ufzellig',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Lischtepunkt<br />* Lischtepunkt',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Lischtepunkt</li><li>Lischtepunkt</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nummerierti Lischt',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Lischtepunkt<br /># Lischtepunkt',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Lischtepunkt</li><li>Lischtepunkt</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Yygfiegti Datei',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Bildbschriftig]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bildbschriftig' class='image' href='/wiki/Datei:Wiki.png'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='Bschriftig'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bildbschriftig</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Quälle',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sytetekscht.&lt;ref name="test"&gt;[http://www.byschpil.org Gleichtekscht], zuesätzlige Tekscht.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sytetekscht.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Zuesätzlige Verwändig vu dr glyche Quälle',
	'wikieditor-toolbar-help-content-rereference-result' => "Sytetekscht.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Quälle aazeige',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.byschpil.org' class='Extärne Tekscht' href='#'>Linktekscht</a>, zuesätzlige Tekscht.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Unterschrift mit Zytaagab',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Benutzername</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Unterschrift',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Benutzername</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Zeileyyzug',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normale Tekscht<br />:Yygruckte Tekscht<br />::Yygruckte Tekscht',
	'wikieditor-toolbar-help-content-indent-result' => 'Normale Tekscht<dl><dd>Yygruckte Tekscht<dl><dd>Yygruckte Tekscht</dd></dl></dd></dl>',
);

/** Gujarati (ગુજરાતી)
 * @author KartikMistry
 * @author Sushant savla
 */
$messages['gu'] = array(
	'wikieditor-wikitext-tab' => 'વિકિલેખન (વિકિટેક્સ્ટ)‌',
	'wikieditor-loading' => 'લવાઇ રહ્યું છે...',
	'wikieditor-preview-preference' => 'બાજુમાં પુન:અવલોકન ચાલુ રાખો',
	'wikieditor-preview-tab' => 'પૂર્વાવલોકન',
	'wikieditor-preview-changes-tab' => 'ફેરફારો',
	'wikieditor-preview-loading' => 'લવાઇ રહ્યું છે...',
	'wikieditor-previewDialog-preference' => 'સંભાષણ પુનરાવલોકન સક્રીય કરો',
	'wikieditor-previewDialog-tab' => 'પૂર્વાવલોકન',
	'wikieditor-previewDialog-loading' => 'લવાઇ રહ્યું છે...',
	'wikieditor-publish-preference' => 'ટપ્પા વાર પ્રકાશન કાર્યાન્વીત કરો',
	'wikieditor-publish-button-publish' => 'પ્રસિદ્ધ કરો',
	'wikieditor-publish-button-cancel' => 'રદ કરો',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} પર પ્રસિદ્ધ કરો',
	'wikieditor-publish-dialog-minor' => 'નાનકડો ફેરફાર',
	'wikieditor-publish-dialog-watch' => 'આ પાનાને ધ્યાનમાં રાખો',
	'wikieditor-publish-dialog-publish' => 'પ્રસિદ્ધ કરો',
	'wikieditor-publish-dialog-goback' => 'પાછાં જાવ',
	'wikieditor-template-editor-dialog-title' => 'ઢાંચામાં ફેરફાર કરો',
	'wikieditor-template-editor-dialog-submit' => 'અદ્યતન કરો',
	'wikieditor-template-editor-dialog-cancel' => 'રદ કરો',
	'wikieditor-templates-preference' => 'ઢાંચાનું નીચે તરફ ફેલાવ સક્રીય કરો',
	'wikieditor-toc-show' => 'ટિપ્પણીઓ બતાવો',
	'wikieditor-toc-hide' => 'ટિપ્પણીઓ સંતાડો',
	'wikieditor-toolbar' => 'ફેરફાર  સાધન કંપાસ',
	'wikieditor-toolbar-desc' => 'પૃષ્ઠના ફેરફાર સાધનો ને વધારેલ વપરાશ સાધનો ધરાવતી પેટી ઉમેરી મુકો',
	'wikieditor-toolbar-preference' => 'અદ્યતન સંપાદન સાધનો સક્રીય કરો',
	'wikieditor-toolbar-dialogs-preference' => 'કડીઓ, કોઠા અને અન્ય વસ્તુઓ ઉમેરવા સંભાષણ સક્રીય કરો',
	'wikieditor-toolbar-loading' => 'લવાઇ રહ્યું છે...',
	'wikieditor-toolbar-tool-bold' => 'ઘાટું',
	'wikieditor-toolbar-tool-bold-example' => 'ઘાટું લખાણ',
	'wikieditor-toolbar-tool-italic' => 'ત્રાંસું',
	'wikieditor-toolbar-tool-italic-example' => 'ત્રાંસું લખાણ',
	'wikieditor-toolbar-tool-ilink' => 'આંતરિક કડી',
	'wikieditor-toolbar-tool-ilink-example' => 'કડીનું શીર્ષક',
	'wikieditor-toolbar-tool-xlink' => 'બાહ્ય કડી (શરૂઆતમાં http:// ઉમેરવાનું ભુલશો નહી)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com કડીનું શીર્ષક',
	'wikieditor-toolbar-tool-link' => 'કડી',
	'wikieditor-toolbar-tool-link-title' => 'કડી ઉમેરો',
	'wikieditor-toolbar-tool-link-int' => 'વિકિ પાના તરફ',
	'wikieditor-toolbar-tool-link-int-target' => 'ઈચ્છીત સ્થળ કે URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'પૃષ્ઠ શીર્ષક કે  URL',
	'wikieditor-toolbar-tool-link-int-text' => 'દર્શાવવાનું લખાણ:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'દર્શાવવાનું લખાણ',
	'wikieditor-toolbar-tool-link-ext' => 'બાહ્ય વેબ પાનાં તરફ',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL કડી:',
	'wikieditor-toolbar-tool-link-ext-text' => 'કડીના શબ્દો:',
	'wikieditor-toolbar-tool-link-insert' => 'કડી ઉમેરો',
	'wikieditor-toolbar-tool-link-cancel' => 'રદ કરો',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'પાનું પહેલેથી મોજૂદ છે',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'પાનું અસ્તિત્વ ધરાવતું નથી.',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'અમાન્ય મથાળું.',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'બાહ્ય કડી',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'અન્ય સ્થળે પાનાની મોજૂદગી ચકાસાઈ રહી છે',
	'wikieditor-toolbar-tool-link-int-invalid' => 'આ શીર્ષક અમાન્ય છે.',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'બાહ્ય કડીઓ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'બાહ્ય કડી',
	'wikieditor-toolbar-tool-link-empty' => 'તમે શોધવા માટે કંઈ દાખલ કર્યું નથી.',
	'wikieditor-toolbar-tool-file' => 'અંદર વણાયેલી (Embedded) ફાઇલ',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg (ઉદાહરણ)',
	'wikieditor-toolbar-tool-reference' => 'સંદર્ભ',
	'wikieditor-toolbar-tool-reference-cancel' => 'રદ કરો',
	'wikieditor-toolbar-tool-reference-title' => 'સંદર્ભ ઉમેરો',
	'wikieditor-toolbar-tool-reference-insert' => 'ઉમેરો',
	'wikieditor-toolbar-tool-reference-text' => 'સંદર્ભ લખાણ',
	'wikieditor-toolbar-tool-signature' => 'હસ્તાક્ષર અને સમયછાપ',
	'wikieditor-toolbar-section-advanced' => 'ઉચ્ચ',
	'wikieditor-toolbar-tool-heading' => 'મથાળું',
	'wikieditor-toolbar-tool-heading-1' => 'સ્તર ૧',
	'wikieditor-toolbar-tool-heading-2' => 'સ્તર ૨',
	'wikieditor-toolbar-tool-heading-3' => 'સ્તર ૩',
	'wikieditor-toolbar-tool-heading-4' => 'સ્તર ૪',
	'wikieditor-toolbar-tool-heading-5' => 'સ્તર ૫',
	'wikieditor-toolbar-tool-heading-example' => 'મથાળાનાં મોટા અક્ષર',
	'wikieditor-toolbar-group-format' => 'શૈલી',
	'wikieditor-toolbar-tool-ulist' => 'ચિન્હાંકીત યાદી',
	'wikieditor-toolbar-tool-ulist-example' => 'ચિન્હાંકીત યાદીની વસ્તુ',
	'wikieditor-toolbar-tool-olist' => 'ક્રમગત: યાદી',
	'wikieditor-toolbar-tool-olist-example' => 'ક્રમગત: યાદીની વસ્તુ',
	'wikieditor-toolbar-tool-indent' => 'હાંસિયો',
	'wikieditor-toolbar-tool-indent-example' => 'હાંસિયાની રેખા',
	'wikieditor-toolbar-tool-nowiki' => 'વિકિ ફોર્મેટીંગ ગેરહાજર',
	'wikieditor-toolbar-tool-nowiki-example' => 'ફોર્મેટ કર્યા વગરનું લખાણ અહીં ઉમેરો',
	'wikieditor-toolbar-tool-redirect' => 'દિશાનિર્દેશ',
	'wikieditor-toolbar-tool-redirect-example' => 'લક્ષ્યાંકીત પૃષ્ઠ નામ',
	'wikieditor-toolbar-tool-big' => 'મોટું',
	'wikieditor-toolbar-tool-big-example' => 'મોટું લખાણ',
	'wikieditor-toolbar-tool-small' => 'નાનું',
	'wikieditor-toolbar-tool-small-example' => 'નાનું લખાણ',
	'wikieditor-toolbar-tool-superscript' => 'ઉપલા સ્તરના અક્ષરો',
	'wikieditor-toolbar-tool-superscript-example' => 'ઉપલા સ્તરના અક્ષર દેહ',
	'wikieditor-toolbar-tool-subscript' => 'નીચલા સ્તરના અક્ષરો',
	'wikieditor-toolbar-tool-subscript-example' => 'નીચલા સ્તરનો અક્ષર દેહ',
	'wikieditor-toolbar-group-insert' => 'ઉમેરો',
	'wikieditor-toolbar-tool-gallery' => 'ચિત્ર માલા',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Caption1
$1:Example.jpg|Caption2',
	'wikieditor-toolbar-tool-newline' => 'નવું વાક્ય',
	'wikieditor-toolbar-tool-table' => 'કોષ્ટક',
	'wikieditor-toolbar-tool-table-example-old' => '-
! header 1
! header 2
! header 3
|-
| row 1, cell 1
| row 1, cell 2
| row 1, cell 3
|-
| row 2, cell 1
| row 2, cell 2
| row 2, cell 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'ખાનાના અક્ષરો',
	'wikieditor-toolbar-tool-table-example-header' => 'મથાળાનાં અક્ષર',
	'wikieditor-toolbar-tool-table-title' => 'કોષ્ટક ઉમેરો',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'પંક્તિઓ',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'સ્તંભો',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'મથાળાની હરોળ ઉમેરો',
	'wikieditor-toolbar-tool-table-wikitable' => 'શૈલી સાથી સીમા',
	'wikieditor-toolbar-tool-table-sortable' => 'વર્ગાંતર સક્ષમ કોઠો બનાવો',
	'wikieditor-toolbar-tool-table-example' => 'ઉદાહરણ',
	'wikieditor-toolbar-tool-table-preview' => 'પૂર્વાવલોકન',
	'wikieditor-toolbar-tool-table-insert' => 'ઉમેરો',
	'wikieditor-toolbar-tool-table-cancel' => 'રદ કરો',
	'wikieditor-toolbar-tool-table-toomany' => 'આ સંભાષણ કોઠાને વાપરીને $1 થી વધારે ચોકઠાંનો કોઠો નહીં બનાવી શકાય',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'તમે હરોળ કે સ્તંભની સંખ્યા યોગ્ય રીતે નથી મૂકી',
	'wikieditor-toolbar-tool-table-zero' => 'તમે શૂન્ય હરોળ અને શૂન્ય સ્તંભ ધરાવતો કોઠો ન બનાવી શકો',
	'wikieditor-toolbar-tool-replace' => 'શોધો અને બદલો',
	'wikieditor-toolbar-tool-replace-title' => 'શોધો અને બદલો',
	'wikieditor-toolbar-tool-replace-search' => 'આ માટે શોધો',
	'wikieditor-toolbar-tool-replace-replace' => 'આનાથી બદલો',
	'wikieditor-toolbar-tool-replace-case' => 'કેસ મોળવો',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'આગળ શોધો',
	'wikieditor-toolbar-tool-replace-button-replace' => 'બદલો',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'બધા બદલો',
	'wikieditor-toolbar-tool-replace-close' => 'બંધ કરો',
	'wikieditor-toolbar-tool-replace-nomatch' => 'તમારી શોધ કશાયને મળતી આવતી નથી',
	'wikieditor-toolbar-tool-replace-success' => '$1 બદલાવ(વો) કરાયાં.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'તમે શોધવા માટે કંઈ દાખલ કર્યું નથી.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'તમે માહિતી મૂકી તે અમાન્ય છે : $1',
	'wikieditor-toolbar-section-characters' => 'ખાસ અક્ષરો કે ચિન્હો',
	'wikieditor-toolbar-characters-page-latin' => 'લેટિન',
	'wikieditor-toolbar-characters-page-latinextended' => 'લેટિન વિસ્તૃત',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'સંજ્ઞાઓ',
	'wikieditor-toolbar-characters-page-greek' => 'ગ્રીક',
	'wikieditor-toolbar-characters-page-cyrillic' => 'સીરિલિક',
	'wikieditor-toolbar-characters-page-arabic' => 'અરેબિક',
	'wikieditor-toolbar-characters-page-arabicextended' => 'અરેબિક વિસ્તૃત',
	'wikieditor-toolbar-characters-page-persian' => 'પર્સિયન',
	'wikieditor-toolbar-characters-page-hebrew' => 'હિબ્રૂ',
	'wikieditor-toolbar-characters-page-bangla' => 'બાંગ્લા',
	'wikieditor-toolbar-characters-page-telugu' => 'તેલુગુ',
	'wikieditor-toolbar-characters-page-sinhala' => 'સિંહાલા',
	'wikieditor-toolbar-characters-page-gujarati' => 'ગુજરાતી',
	'wikieditor-toolbar-characters-page-thai' => 'થાઈ',
	'wikieditor-toolbar-characters-page-lao' => 'લાઓ',
	'wikieditor-toolbar-characters-page-khmer' => 'ખ્મેર',
	'wikieditor-toolbar-section-help' => 'મદદ',
	'wikieditor-toolbar-help-heading-description' => 'વર્ણન',
	'wikieditor-toolbar-help-heading-syntax' => 'તમે જે લખો',
	'wikieditor-toolbar-help-heading-result' => 'તમે જે મેળવો',
	'wikieditor-toolbar-help-page-format' => 'રચના શૈલિ',
	'wikieditor-toolbar-help-page-link' => 'કડીઓ',
	'wikieditor-toolbar-help-page-heading' => 'મથાળું',
	'wikieditor-toolbar-help-page-list' => 'યાદીઓ',
	'wikieditor-toolbar-help-page-file' => 'ફાઈલો',
	'wikieditor-toolbar-help-page-reference' => 'સંદર્ભો',
	'wikieditor-toolbar-help-page-discussion' => 'ચર્ચા',
	'wikieditor-toolbar-help-content-italic-description' => 'ત્રાંસું',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ત્રાંસા અક્ષરો''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ત્રાંસા અક્ષરો</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ઘાટું',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''ઘાટં અક્ષરો'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>ઘાટું લખાણ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ઘાટા &amp; ત્રાંસા',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''ઘાટું &amp; ત્રાસુ લેખન'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>ઘાટું &amp; ત્રાંસુ લખાણ</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'આંતરિક કડી',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[પાનાં શીર્ષક|કડી લેબલ]]<br />[[પાનાં શીર્ષક]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>કડી લેબલ</a><br /><a href='#'>પાનાં શીર્ષક</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'બાહ્ય કડી',
	'wikieditor-toolbar-help-content-heading2-description' => 'બીજા સ્તરનું મથાળું',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== મથાળાના અક્ષરો ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>મથાળાનાં અક્ષરો</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'ત્રીજા સ્તરનું મથાળું',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== મથાળાના અક્ષરો ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>મથાળાનાં અક્ષરો</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'ચોથા સ્તરનું મથાળું',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== મથાળાના અક્ષરો ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>મથાળાનાં અક્ષરો</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'પાંચમાં સ્તરનું મથાળું',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== મથાળાના અક્ષરો =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>મથાળાનાં અક્ષરો</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'ચિન્હાંકીત યાદી',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* વસ્તુ યાદી<br />* વસ્તુ યાદી',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>યાદી વસ્તુ</li><li>યાદી વસ્તુ</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'ક્રમગત: યાદી',
	'wikieditor-toolbar-help-content-olist-syntax' => '# યાદી વસ્તુ<br /># યાદી વસ્તુ',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>વસ્તુ યાદી</li><li>વસ્તુ યાદી</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'અંદર વણાયેલી (Embedded) ફાઇલ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|કેપ્શન લખાણ]]',
	'wikieditor-toolbar-help-content-reference-description' => 'સંદર્ભ',
	'wikieditor-toolbar-help-content-reference-result' => "પૃષ્ઠ લેખન.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'તેજ સંદર્ભનો વધારાનો વપરાશ',
	'wikieditor-toolbar-help-content-rereference-result' => "પૃષ્ઠ લેખન.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'સંદર્ભો દર્શાવો',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'સમયછાપ સાથે હસ્તાક્ષર',
	'wikieditor-toolbar-help-content-signature-description' => 'હસ્તાક્ષર',
	'wikieditor-toolbar-help-content-indent-description' => 'હાંસિયો',
	'wikieditor-toolbar-help-content-indent-syntax' => 'સામાન્ય અક્ષરો<br />:હાંસિયા મારેલા અક્ષરો<br />::હાંસિયા મારેલા અક્ષરો',
	'wikieditor-toolbar-help-content-indent-result' => 'સામાન્ય લેખન<dl><dd>હાંસિયા મારેલ લેખન<dl><dd>હાંસિયા મારેલ લેખન</dd></dl></dd></dl>',
);

/** Manx (Gaelg)
 * @author MacTire02
 * @author Shimmin Beg
 */
$messages['gv'] = array(
	'wikieditor-wikitext-tab' => 'Teks wiki',
	'wikieditor-loading' => 'Laadey',
	'wikieditor-preview-preference' => 'Lhiggey da roie-haishbynys çheu-ry-heu',
	'wikieditor-preview-tab' => 'Roie-haishbynys',
	'wikieditor-preview-changes-tab' => 'Caghlaaghyn',
	'wikieditor-preview-loading' => 'Laadey...',
	'wikieditor-publish-preference' => 'Lhiggey da soilshaghey magh beggan er veggan',
	'wikieditor-publish-button-publish' => 'Soilshaghey magh',
	'wikieditor-publish-button-cancel' => 'Dolley magh',
	'wikieditor-publish-dialog-title' => 'Soilshaghey magh myr {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Giare-choontey (insh dooin dy giare ny ren uss caghlaa):',
	'wikieditor-publish-dialog-minor' => 'Myn-arraghey',
	'wikieditor-publish-dialog-watch' => 'Freill arrey er y duillag shoh',
	'wikieditor-publish-dialog-publish' => 'Soilshaghey magh',
	'wikieditor-publish-dialog-goback' => 'Erash',
	'wikieditor-template-editor-preference' => 'Lhiggey dhyt reaghey clowanyn liorish formyn',
	'wikieditor-template-editor-dialog-title' => 'Reaghey clowan',
	'wikieditor-template-editor-dialog-submit' => 'Jannoo ass y noa',
	'wikieditor-template-editor-dialog-cancel' => 'Dolley magh',
	'wikieditor-templates-preference' => 'Lhiggey da clowanyn filley',
	'wikieditor-toc-preference' => 'Lhiggey da claare chooid yn-stiurey',
	'wikieditor-toc-show' => 'Taishbyney',
	'wikieditor-toc-hide' => 'Follaghey',
	'wikieditor-toolbar' => 'Barr greieyn reaghey',
	'wikieditor-toolbar-desc' => 'Barr greieyn reaghey tooilley yn-ymmydey',
	'wikieditor-toolbar-preference' => 'Lhiggey da barr greieyn reaghey tooilley yn-ymmydey',
	'wikieditor-toolbar-dialogs-preference' => 'Lhiggey da kishtaghyn cooney dys cur stiagh kianglaghyn, taabylyn as reddyn elley',
	'wikieditor-toolbar-loading' => 'Laadey...',
	'wikieditor-toolbar-tool-bold' => 'Trome',
	'wikieditor-toolbar-tool-bold-example' => 'Teks trome',
	'wikieditor-toolbar-tool-italic' => 'Iddaalagh',
	'wikieditor-toolbar-tool-italic-example' => 'Teks iddaalagh',
	'wikieditor-toolbar-tool-ilink' => 'Kiangley sthie',
	'wikieditor-toolbar-tool-ilink-example' => 'Ennym y chiangley',
	'wikieditor-toolbar-tool-xlink' => 'Kiangley mooie (chooinee y meer roish http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.sampleyr.com ennym kiangley',
	'wikieditor-toolbar-tool-link' => 'Kiangley',
	'wikieditor-toolbar-tool-link-title' => 'Cur stiagh kiangley',
	'wikieditor-toolbar-tool-link-int' => 'Da duillag wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Duillag ny kiangley er laccal',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Ennym ny kiangley y duillag',
	'wikieditor-toolbar-tool-link-int-text' => 'Teks y chiangley',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teks y hoilshaghey',
	'wikieditor-toolbar-tool-link-ext' => 'Da ynnyd-eggey çheumooie',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL y chiangley',
	'wikieditor-toolbar-tool-link-ext-text' => 'Teks y chiangley',
	'wikieditor-toolbar-tool-link-insert' => 'Cur stiagh kiangley',
	'wikieditor-toolbar-tool-link-cancel' => 'Dolley magh',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => "Ta'n duillag ayn",
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Cha nel y duillag ayn',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ennym gyn vree',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kiangley çheumooie',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Firrinaghey my ta'n duillag ayn...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Hug oo stiagh ennym gyn vree.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Rere y chiangley hug oo stiagh, t'eh jeeaghyn dy row eh foyd kiangley rish duillag wiki elley.
By vie lhiat jannoo kiangley çheusthie jeh?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Kiangley sthie',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kiangley mooie',
	'wikieditor-toolbar-tool-link-empty' => 'Cha dug oo stiagh red erbee dy chiangley rish.',
	'wikieditor-toolbar-tool-file' => 'Coadan jingit',
	'wikieditor-toolbar-tool-file-example' => 'Sampleyr.jpg',
	'wikieditor-toolbar-tool-reference' => 'Imraa',
	'wikieditor-toolbar-tool-reference-example' => 'Cur stiagh teks fo-screeuyn ayns shoh',
	'wikieditor-toolbar-tool-reference-cancel' => 'Dolley magh',
	'wikieditor-toolbar-tool-reference-title' => 'Cur imraa stiagh',
	'wikieditor-toolbar-tool-reference-insert' => 'Cur stiagh',
	'wikieditor-toolbar-tool-reference-text' => 'Teks yn imraa',
	'wikieditor-toolbar-tool-signature' => 'Ennym screeuit as stampey traa',
	'wikieditor-toolbar-section-advanced' => 'Cast',
	'wikieditor-toolbar-tool-heading' => 'Kione-linney',
	'wikieditor-toolbar-tool-heading-1' => 'Keim 1',
	'wikieditor-toolbar-tool-heading-2' => 'Keim 2',
	'wikieditor-toolbar-tool-heading-3' => 'Keim 3',
	'wikieditor-toolbar-tool-heading-4' => 'Keim 4',
	'wikieditor-toolbar-tool-heading-5' => 'Keim 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teks y chione-linney',
	'wikieditor-toolbar-group-format' => 'Cummey',
	'wikieditor-toolbar-tool-ulist' => 'Rolley bulladit',
	'wikieditor-toolbar-tool-ulist-example' => 'Meer rolley bulladit',
	'wikieditor-toolbar-tool-olist' => 'Rolley earrit',
	'wikieditor-toolbar-tool-olist-example' => 'Meer rolley earrit',
	'wikieditor-toolbar-tool-indent' => 'Jingey',
	'wikieditor-toolbar-tool-indent-example' => 'Linney er ny jinney',
	'wikieditor-toolbar-tool-nowiki' => 'Ny chur tastey da cummey wikiagh',
	'wikieditor-toolbar-tool-nowiki-example' => 'Cur stiagh teks gyn cummey ayns shoh',
	'wikieditor-toolbar-tool-redirect' => 'Aa-enmys',
	'wikieditor-toolbar-tool-redirect-example' => 'Ennym duillag er laccal',
	'wikieditor-toolbar-tool-big' => 'Mooar',
	'wikieditor-toolbar-tool-big-example' => 'Teks mooar',
	'wikieditor-toolbar-tool-small' => 'Beg',
	'wikieditor-toolbar-tool-small-example' => 'Teks beg',
	'wikieditor-toolbar-tool-superscript' => 'Erskyn-screeuit',
	'wikieditor-toolbar-tool-superscript-example' => 'Teks erskyn-screeuit',
	'wikieditor-toolbar-tool-subscript' => 'Fo-screeuit',
	'wikieditor-toolbar-tool-subscript-example' => 'Teks fo-screeuit',
	'wikieditor-toolbar-group-insert' => 'Cur stiagh',
	'wikieditor-toolbar-tool-gallery' => 'Galleree jallooyn',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Fo-heidyl1
$1:Example.jpg|Fo-heidyl2',
	'wikieditor-toolbar-tool-newline' => 'Linney noa',
	'wikieditor-toolbar-tool-table' => 'Taabyl',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kione-linney 1
! kione-linney 2
! kione-linney 3
|-
| roa 1, killag 1
| roa 1, killag 2
| roa 1, killag 3
|-
| roa 2, killag 1
| roa 2, killag 2
| roa 2, killag 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teks ny killag',
	'wikieditor-toolbar-tool-table-example-header' => 'Teks ny kione-linney',
	'wikieditor-toolbar-tool-table-title' => 'Cur taabyl stiagh',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Roaghyn',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Collooghyn',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Cur stiagh roa kione-linney',
	'wikieditor-toolbar-tool-table-wikitable' => 'Cur creeaghyn er',
	'wikieditor-toolbar-tool-table-sortable' => 'Jean eh yn-sorçhal',
	'wikieditor-toolbar-tool-table-example' => 'Sampleyr',
	'wikieditor-toolbar-tool-table-preview' => 'Roie-haishbynys',
	'wikieditor-toolbar-tool-table-insert' => 'Cur stiagh',
	'wikieditor-toolbar-tool-table-cancel' => 'Dolley magh',
	'wikieditor-toolbar-tool-table-toomany' => 'Cha nod oo cur stiagh taabyl as ny smoo na $1 killag echey liorish y chishtey cooney shoh.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Cha dug oo stiagh earroo cooie dy roaghyn ny collooghyn.',
	'wikieditor-toolbar-tool-table-zero' => 'Cha nod oo cur stiagh taabyl gyn roaghyn ny collooghyn.',
	'wikieditor-toolbar-tool-replace' => 'Ronsaghey as coonrey',
	'wikieditor-toolbar-tool-replace-title' => 'Ronsaghey as coonrey',
	'wikieditor-toolbar-tool-replace-search' => 'Ronsaghey er son:',
	'wikieditor-toolbar-tool-replace-replace' => 'Caghlaa dys:',
	'wikieditor-toolbar-tool-replace-case' => 'Cur tastey da case',
	'wikieditor-toolbar-tool-replace-regex' => 'Gra dy nee slonn reiltagh eh y raa ry-hirrey',
	'wikieditor-toolbar-tool-replace-button-findnext' => "Feddyn y nah 'er",
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Caghlaa dagh fer',
	'wikieditor-toolbar-tool-replace-close' => 'Dooney',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Cha row y raa ry-hirrey ayd ry-akin.',
	'wikieditor-toolbar-tool-replace-success' => '$1 c(h)aghlaa(ghyn) jeant.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Cha dug oo stiagh red erbee dy hirrey.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Hug oo stiagh slonn reiltagh gyn vree: $1',
	'wikieditor-toolbar-section-characters' => 'Cowraghyn er lheh',
	'wikieditor-toolbar-characters-page-latin' => 'Romanagh',
	'wikieditor-toolbar-characters-page-latinextended' => 'Romanagh sheeynt',
	'wikieditor-toolbar-characters-page-ipa' => 'ASE',
	'wikieditor-toolbar-characters-page-symbols' => 'Cowraghyn',
	'wikieditor-toolbar-characters-page-greek' => 'Greagagh',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillagh',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabagh',
	'wikieditor-toolbar-characters-page-persian' => 'Pershish',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ewagh',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaalish',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugish',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhalish',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujaratish',
	'wikieditor-toolbar-characters-page-thai' => 'Thaish',
	'wikieditor-toolbar-characters-page-lao' => 'Laosish',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerish',
	'wikieditor-toolbar-section-help' => 'Cooney',
	'wikieditor-toolbar-help-heading-description' => 'Coontey',
	'wikieditor-toolbar-help-heading-syntax' => "Ny t'ou uss screeu",
	'wikieditor-toolbar-help-heading-result' => 'Ny vaikys oo',
	'wikieditor-toolbar-help-page-format' => 'Cummey',
	'wikieditor-toolbar-help-page-link' => 'Kianglaghyn',
	'wikieditor-toolbar-help-page-heading' => 'Kione-linnaghyn',
	'wikieditor-toolbar-help-page-list' => 'Rollaghyn',
	'wikieditor-toolbar-help-page-file' => 'Coadanyn',
	'wikieditor-toolbar-help-page-reference' => 'Imraaghyn',
	'wikieditor-toolbar-help-page-discussion' => 'Resoonaght',
	'wikieditor-toolbar-help-content-italic-description' => 'Iddaalagh',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Clou iddaalagh''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teks iddaalagh</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Trome',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Clou trome'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teks trome</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Trome &amp; iddaalagh',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Teks trome &amp; iddaalagh'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teks trome &amp; iddaalagh</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Kiangley yn-veanagh',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Ennym duillag|Teks kiangley]]<br />[[Ennym duillag]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Teks kiangley</a><br /><a href='#'>Ennym duillag</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kiangley mooie',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Teks kiangley]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Teks kiangley</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kione-linney y nah cheim',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Kione-linney ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Kione-linney</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kione-linney y treeoo cheim',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Kione-linney ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Kione-linney</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kione-linney y chiarroo cheim',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Kione-linney ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Kione-linney</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kione-linney y wheiggoo cheim',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Kione-linney =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Kione-linney</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Rolley bulladagh',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Meer rolley<br />* Meer rolley',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Meer rolley</li><li>Meer rolley</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Rolley earrit',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Meer rolley<br /># Meer rolley',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Meer rolley</li><li>Meer rolley</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Coadan jingit',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Teks fo-heidyl]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Teks fo-heidyl' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Mooadaghey' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teks fo-heidyl</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Imraa',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teks duillag.&lt;ref name="test"&gt;[http://www.example.org Teks kiangley], tooilley teks.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teks duillag.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => "Tooilley ymmyd jeh'n imraa cheddin",
	'wikieditor-toolbar-help-content-rereference-result' => "Teks duillag.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Soilshaghey imraaghyn',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Teks kiangley</a>, tooilley teks.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ennym screeuit as stampey traa',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ymmydeyr</a> (<a href='#' title='{{#special:mytalk}}'>resoonaght</a>) 15:54, 10 Mean Souree 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ennym screeuit',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ymmydeyr</a> (<a href='#' title='{{#special:mytalk}}'>resoonaght</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Jingey',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teks cadjin<br />:Teks jingit<br />::Teks jingit',
	'wikieditor-toolbar-help-content-indent-result' => 'Teks cadjin<dl><dd>Teks jingit<dl><dd>Teks jingit</dd></dl></dd></dl>',
);

/** Hausa (هَوُسَ) */
$messages['ha'] = array(
	'wikieditor-template-editor-dialog-cancel' => 'Soke',
	'wikieditor-toolbar-tool-bold-example' => 'Rubutu mai gwaɓi',
	'wikieditor-toolbar-tool-italic-example' => 'Rubutun tsutsa',
	'wikieditor-toolbar-tool-ilink' => 'Mahaɗin ciki',
	'wikieditor-toolbar-tool-ilink-example' => 'Sunan mahaɗi',
	'wikieditor-toolbar-tool-xlink' => 'Mahaɗi mai zuwa waje (a tuna da zagin http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com sunan mahaɗi',
	'wikieditor-toolbar-tool-link-cancel' => 'Soke',
	'wikieditor-toolbar-tool-reference-cancel' => 'Soke',
	'wikieditor-toolbar-tool-table-cancel' => 'Soke',
);

/** Hebrew (עברית)
 * @author Amire80
 * @author Rotemliss
 * @author YaronSh
 * @author Yonidebest
 */
$messages['he'] = array(
	'wikieditor' => 'ממשק מתקדם לעריכת טקסט ויקי',
	'wikieditor-desc' => 'מספקת מנשק עריכת ויקיטקסט הניתן להרחבה ומודולים המאפשרים להוסיף יכולות',
	'wikieditor-wikitext-tab' => 'קוד ויקי',
	'wikieditor-loading' => 'בטעינה',
	'wikieditor-preview-preference' => 'הפעלת תצוגה מקדימה מקבילה',
	'wikieditor-preview-tab' => 'תצוגה מקדימה',
	'wikieditor-preview-changes-tab' => 'שינויים',
	'wikieditor-preview-loading' => 'נטען...',
	'wikieditor-previewDialog-preference' => 'הפעלת תיבת דו־שיח התצוגה המקדימה',
	'wikieditor-previewDialog-tab' => 'תצוגה מקדימה',
	'wikieditor-previewDialog-loading' => 'נטען...',
	'wikieditor-publish-preference' => 'הפעלת פרסום "צעד־אחר־צעד"',
	'wikieditor-publish-button-publish' => 'פרסום',
	'wikieditor-publish-button-cancel' => 'ביטול',
	'wikieditor-publish-dialog-title' => 'פרסום אל {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'תקציר העריכה (תיאור קצר של השינויים שעשיתם):',
	'wikieditor-publish-dialog-minor' => 'עריכה משנית',
	'wikieditor-publish-dialog-watch' => 'מעקב אחר דף זה',
	'wikieditor-publish-dialog-publish' => 'פרסום',
	'wikieditor-publish-dialog-goback' => 'חזרה אחורה',
	'wikieditor-template-editor-preference' => 'הפעלת עריכה מבוססת טופס של תבניות ויקי',
	'wikieditor-template-editor-dialog-title' => 'עריכת התבנית',
	'wikieditor-template-editor-dialog-submit' => 'עדכון',
	'wikieditor-template-editor-dialog-cancel' => 'ביטול',
	'wikieditor-templates-preference' => 'הפעלת קיפול תבניות',
	'wikieditor-toc-preference' => 'הפעלת תוכן עניינים עם אפשרות ניווט',
	'wikieditor-toc-show' => 'להציג תוכן עניינים',
	'wikieditor-toc-hide' => 'להסתיר תוכן עניינים',
	'wikieditor-toolbar' => 'סרגל עריכה',
	'wikieditor-toolbar-desc' => 'הרחבת השמישות של סרגל עריכת הדף',
	'wikieditor-toolbar-preference' => 'הפעלת סרגל עריכה משופר',
	'wikieditor-toolbar-dialogs-preference' => 'הפעלת תיבות דו־שיח להוספת קישורים, טבלאות ועוד',
	'wikieditor-toolbar-hidesig' => 'להחביא את כפתור החתימה מהדפים במרחב הראשי',
	'wikieditor-toolbar-loading' => 'בטעינה...',
	'wikieditor-toolbar-tool-bold' => 'הדגשה',
	'wikieditor-toolbar-tool-bold-example' => 'טקסט מודגש',
	'wikieditor-toolbar-tool-italic' => 'הטיה',
	'wikieditor-toolbar-tool-italic-example' => 'טקסט נטוי',
	'wikieditor-toolbar-tool-ilink' => 'קישור פנימי',
	'wikieditor-toolbar-tool-ilink-example' => 'כותרת הקישור',
	'wikieditor-toolbar-tool-xlink' => 'קישור חיצוני (זכרו להוסיף את הקידומת http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com כותרת הקישור',
	'wikieditor-toolbar-tool-link' => 'קישור',
	'wikieditor-toolbar-tool-link-title' => 'הוספת קישור',
	'wikieditor-toolbar-tool-link-int' => 'לדף ויקי',
	'wikieditor-toolbar-tool-link-int-target' => 'כותרת הדף:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'כותרת הדף או כתובת URL',
	'wikieditor-toolbar-tool-link-int-text' => 'טקסט הקישור:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'הזינו את הטקסט המיועד לתצוגה',
	'wikieditor-toolbar-tool-link-ext' => 'לדף אינטרנט חיצוני',
	'wikieditor-toolbar-tool-link-ext-target' => 'כתובת הקישור:',
	'wikieditor-toolbar-tool-link-ext-text' => 'טקסט הקישור:',
	'wikieditor-toolbar-tool-link-insert' => 'הוספת הקישור',
	'wikieditor-toolbar-tool-link-cancel' => 'ביטול',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'הדף קיים',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'הדף אינו קיים',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'כותרת בלתי תקינה',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'קישור חיצוני',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'בדיקה האם הדף קיים...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'הכותרת שצוינה אינה תקינה.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'הכתובת שציינתם נראית כאילו היא מיועדת לקשר לדף אחר בוויקי. האם ברצונכם להפוך זאת לקישור פנימי?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'קישור פנימי',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'קישור חיצוני',
	'wikieditor-toolbar-tool-link-empty' => 'לא הזנתם שום דבר לקשר אליו.',
	'wikieditor-toolbar-tool-file' => 'קובץ המוצג בדף',
	'wikieditor-toolbar-tool-file-example' => 'דוגמה.jpg',
	'wikieditor-toolbar-tool-reference' => 'הערת שוליים',
	'wikieditor-toolbar-tool-reference-example' => 'כתבו את טקסט הערת השוליים כאן',
	'wikieditor-toolbar-tool-reference-cancel' => 'ביטול',
	'wikieditor-toolbar-tool-reference-title' => 'הוספת הערת שוליים',
	'wikieditor-toolbar-tool-reference-insert' => 'הוספה',
	'wikieditor-toolbar-tool-reference-text' => 'תוכן ההערה',
	'wikieditor-toolbar-tool-signature' => 'חתימה ותאריך ושעה',
	'wikieditor-toolbar-section-advanced' => 'מתקדם',
	'wikieditor-toolbar-tool-heading' => 'כותרת',
	'wikieditor-toolbar-tool-heading-1' => 'רמה 1',
	'wikieditor-toolbar-tool-heading-2' => 'רמה 2',
	'wikieditor-toolbar-tool-heading-3' => 'רמה 3',
	'wikieditor-toolbar-tool-heading-4' => 'רמה 4',
	'wikieditor-toolbar-tool-heading-5' => 'רמה 5',
	'wikieditor-toolbar-tool-heading-example' => 'טקסט הכותרת',
	'wikieditor-toolbar-group-format' => 'מבנה:',
	'wikieditor-toolbar-tool-ulist' => 'רשימה עם תבליטים',
	'wikieditor-toolbar-tool-ulist-example' => 'פריט רשימה עם תבליטים',
	'wikieditor-toolbar-tool-olist' => 'רשימה ממוספרת',
	'wikieditor-toolbar-tool-olist-example' => 'פריט רשימה ממוספרת',
	'wikieditor-toolbar-tool-indent' => 'הזחה',
	'wikieditor-toolbar-tool-indent-example' => 'שורה מוזחת',
	'wikieditor-toolbar-tool-nowiki' => 'ללא עיצוב ויקי',
	'wikieditor-toolbar-tool-nowiki-example' => 'טקסט לא מעוצב',
	'wikieditor-toolbar-tool-redirect' => 'הפניה',
	'wikieditor-toolbar-tool-redirect-example' => 'שם דף היעד',
	'wikieditor-toolbar-tool-big' => 'גדול',
	'wikieditor-toolbar-tool-big-example' => 'טקסט מוגדל',
	'wikieditor-toolbar-tool-small' => 'קטן',
	'wikieditor-toolbar-tool-small-example' => 'טקסט מוקטן',
	'wikieditor-toolbar-tool-superscript' => 'הגבהה',
	'wikieditor-toolbar-tool-superscript-example' => 'טקסט מוגבה',
	'wikieditor-toolbar-tool-subscript' => 'הנמכה',
	'wikieditor-toolbar-tool-subscript-example' => 'טקסט מונמך',
	'wikieditor-toolbar-group-insert' => 'הוספה',
	'wikieditor-toolbar-tool-gallery' => 'גלריית תמונות',
	'wikieditor-toolbar-tool-gallery-example' => '$1:דוגמה.jpg|כותרת 1
$1:דוגמה.jpg|כותרת 2',
	'wikieditor-toolbar-tool-newline' => 'שורה חדשה',
	'wikieditor-toolbar-tool-table' => 'טבלה',
	'wikieditor-toolbar-tool-table-example-old' => '-
! כותרת 1
! כותרת 2
! כותרת 3
|-
| שורה 1, תא 1
| שורה 1, תא 2
| שורה 1, תא 3
|-
| שורה 2, תא 1
| שורה 2, תא 2
| שורה 2, תא 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'טקסט התא',
	'wikieditor-toolbar-tool-table-example-header' => 'טקסט הכותרת',
	'wikieditor-toolbar-tool-table-title' => 'הוספת טבלה',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'שורות',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'עמודות',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'כולל שורת הכותרת',
	'wikieditor-toolbar-tool-table-wikitable' => 'סגנון עם מסגרות',
	'wikieditor-toolbar-tool-table-sortable' => 'הפיכת הטבלה לניתנת למיון',
	'wikieditor-toolbar-tool-table-example' => 'טקסט התא',
	'wikieditor-toolbar-tool-table-preview' => 'תצוגה מקדימה',
	'wikieditor-toolbar-tool-table-insert' => 'הוספה',
	'wikieditor-toolbar-tool-table-cancel' => 'ביטול',
	'wikieditor-toolbar-tool-table-toomany' => 'הוספת טבלה בת יותר מ־$1 תאים אינה אפשרית בתיבת הדו־שיח הזו.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'מספר השורות או העמודות שהוזן אינו תקין.',
	'wikieditor-toolbar-tool-table-zero' => 'לא ניתן להוסיף טבלה בעלת אפס שורות או עמודות.',
	'wikieditor-toolbar-tool-replace' => 'חיפוש והחלפה',
	'wikieditor-toolbar-tool-replace-title' => 'חיפוש והחלפה',
	'wikieditor-toolbar-tool-replace-search' => 'חיפוש של:',
	'wikieditor-toolbar-tool-replace-replace' => 'החלפה ב:',
	'wikieditor-toolbar-tool-replace-case' => 'התאמת רישיות',
	'wikieditor-toolbar-tool-replace-regex' => 'בדיקת מחרוזת החיפוש כביטוי רגולרי',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'חיפוש הבא',
	'wikieditor-toolbar-tool-replace-button-replace' => 'החלפה',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'החלפת הכול',
	'wikieditor-toolbar-tool-replace-close' => 'סגירה',
	'wikieditor-toolbar-tool-replace-nomatch' => 'לא התקבלו התאמות לחיפושכם.',
	'wikieditor-toolbar-tool-replace-success' => 'בוצעו $1 החלפות.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'לא כתבתם טקסט לחיפוש.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'הביטוי הרגולרי שהוכנס אינו תקין: $1',
	'wikieditor-toolbar-section-characters' => 'תווים מיוחדים',
	'wikieditor-toolbar-characters-page-latin' => 'לטיני',
	'wikieditor-toolbar-characters-page-latinextended' => 'לטיני מורחב',
	'wikieditor-toolbar-characters-page-ipa' => 'אלפבית פונטי בינלאומי (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'סימנים',
	'wikieditor-toolbar-characters-page-greek' => 'יווני',
	'wikieditor-toolbar-characters-page-cyrillic' => 'קירילי',
	'wikieditor-toolbar-characters-page-arabic' => 'ערבי',
	'wikieditor-toolbar-characters-page-arabicextended' => 'ערבי מורחב',
	'wikieditor-toolbar-characters-page-persian' => 'פרסית',
	'wikieditor-toolbar-characters-page-hebrew' => 'עברי',
	'wikieditor-toolbar-characters-page-bangla' => 'בנגלית',
	'wikieditor-toolbar-characters-page-telugu' => 'טלוגו',
	'wikieditor-toolbar-characters-page-sinhala' => 'סינהלה',
	'wikieditor-toolbar-characters-page-gujarati' => "גוג'רטית",
	'wikieditor-toolbar-characters-page-thai' => 'תאית',
	'wikieditor-toolbar-characters-page-lao' => 'לאו',
	'wikieditor-toolbar-characters-page-khmer' => 'קמר',
	'wikieditor-toolbar-section-help' => 'עזרה',
	'wikieditor-toolbar-help-heading-description' => 'תיאור',
	'wikieditor-toolbar-help-heading-syntax' => 'מה יש להקליד',
	'wikieditor-toolbar-help-heading-result' => 'מה מתקבל',
	'wikieditor-toolbar-help-page-format' => 'עיצוב',
	'wikieditor-toolbar-help-page-link' => 'קישורים',
	'wikieditor-toolbar-help-page-heading' => 'כותרות',
	'wikieditor-toolbar-help-page-list' => 'רשימות',
	'wikieditor-toolbar-help-page-file' => 'קבצים',
	'wikieditor-toolbar-help-page-reference' => 'הערות שוליים',
	'wikieditor-toolbar-help-page-discussion' => 'דפי שיחה',
	'wikieditor-toolbar-help-content-italic-description' => 'הטיה',
	'wikieditor-toolbar-help-content-italic-syntax' => "''טקסט נטוי''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>טקסט נטוי</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'הדגשה',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''טקסט מודגש'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>טקסט מודגש</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'הדגשה והטיה',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''טקסט מודגש ונטוי'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>טקסט מודגש ונטוי</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'קישור פנימי',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[כותרת הדף|כותרת הקישור]]<br />[[כותרת הדף]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>כותרת הקישור</a><br /><a href='#'>כותרת הדף</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'קישור חיצוני',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org כותרת הקישור]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>כותרת הקישור</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'רמת כותרת שנייה',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== טקסט הכותרת ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>טקסט הכותרת</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'רמת כותרת שלישית',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== טקסט הכותרת ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>טקסט הכותרת</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'רמת כותרת רביעית',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== טקסט הכותרת ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>טקסט הכותרת</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'רמת כותרת חמישית',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== טקסט הכותרת =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>טקסט הכותרת</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'רשימה עם תבליטים',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* פריט רשימה<br />* פריט רשימה',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>פריט רשימה</li><li>פריט רשימה</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'רשימה ממוספרת',
	'wikieditor-toolbar-help-content-olist-syntax' => '# פריט רשימה<br /># פריט רשימה',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>פריט רשימה</li><li>פריט רשימה</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'קובץ המוצג בדף',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|טקסט הכותרת]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='טקסט הכותרת' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>טקסט הכותרת</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'הערת שוליים',
	'wikieditor-toolbar-help-content-reference-syntax' => 'טקסט הדף.&lt;ref name="test"&gt;[http://www.example.org טקסט הקישור], טקסט נוסף.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "טקסט הדף.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'שימוש נוסף באותה הערת שוליים',
	'wikieditor-toolbar-help-content-rereference-result' => "טקסט הדף.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'הצגת הערות שוליים',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>טקסט הקישור</a>, טקסט נוסף.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'חתימה עם תאריך ושעה',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>שם המשתמש</a> (<a href='#' title='{{#special:mytalk}}'>שיחה</a>) 15:54, 10 ביוני 2009 (IDT)",
	'wikieditor-toolbar-help-content-signature-description' => 'חתימה',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>שם המשתמש</a> (<a href='#' title='{{#special:mytalk}}'>שיחה</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'הזחה',
	'wikieditor-toolbar-help-content-indent-syntax' => 'טקסט רגיל<br />:טקסט מוזח<br />::טקסט מוזח',
	'wikieditor-toolbar-help-content-indent-result' => 'טקסט רגיל<dl><dd>טקסט מוזח<dl><dd>טקסט מוזח</dd></dl></dd></dl>',
);

/** Hindi (हिन्दी)
 * @author Ansumang
 * @author Pooja.srivastava
 */
$messages['hi'] = array(
	'wikieditor' => 'उन्नत विकितेक्ष्त् संपादन इन्तेर्फचे',
	'wikieditor-desc' => 'प्रदान करता है एक विकितेक्ष्त् एदितिङ् इन्तेर्फचे और् बहुत् सुविधा प्रदान कर्ता है मॉड्यूल',
	'wikieditor-wikitext-tab' => 'व्विकितेक्ष्त्',
	'wikieditor-loading' => 'लदान',
	'wikieditor-preview-preference' => 'सक्षम पक्ष ध्वारा पक्ष पूर्वावलोकन',
	'wikieditor-preview-tab' => 'पूर्वावलोकन',
	'wikieditor-preview-changes-tab' => 'बद्लाप्न्',
	'wikieditor-preview-loading' => 'लदान्',
	'wikieditor-previewDialog-preference' => 'सक्श्म्',
	'wikieditor-previewDialog-tab' => 'पूर्वावलोकन',
	'wikieditor-previewDialog-loading' => 'लदान्',
	'wikieditor-publish-preference' => 'सक्श्म्',
	'wikieditor-publish-button-publish' => 'प्प्रकाशित करना',
	'wikieditor-publish-button-cancel' => 'रद्द् किया जाय',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} को छापा जाय',
	'wikieditor-publish-dialog-minor' => 'छोटा संपादन',
	'wikieditor-publish-dialog-watch' => 'इस पृष्ठ पे ध्यान रखेँ',
	'wikieditor-publish-dialog-publish' => 'प्रकाशित करें',
	'wikieditor-publish-dialog-goback' => 'पीछे जाइए',
	'wikieditor-template-editor-dialog-title' => 'साँचा संपादित करें',
	'wikieditor-template-editor-dialog-submit' => 'अपड़ेट',
	'wikieditor-template-editor-dialog-cancel' => 'रद्द करें',
	'wikieditor-toc-show' => 'सामग्री दिखाएँ',
	'wikieditor-toc-hide' => 'सामग्री छुपाएँ',
	'wikieditor-toolbar' => 'संपादन उपकरण पट्टी',
	'wikieditor-toolbar-loading' => 'लोड हो रहा है...',
	'wikieditor-toolbar-tool-bold' => 'बोल्ड',
	'wikieditor-toolbar-tool-bold-example' => 'मोटे अक्षर',
	'wikieditor-toolbar-tool-italic' => 'इटैलिक',
	'wikieditor-toolbar-tool-italic-example' => 'तिरछे अक्षर',
	'wikieditor-toolbar-tool-ilink' => 'आंतरिक कड़ी',
	'wikieditor-toolbar-tool-ilink-example' => 'कड़ी शीर्षक',
	'wikieditor-toolbar-tool-xlink' => 'बाहरी कड़ी (http:// उपसर्ग याद रखें)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com कड़ी शीर्षक',
	'wikieditor-toolbar-tool-link' => 'लिंक',
	'wikieditor-toolbar-tool-link-title' => 'लिंक सम्मिलित करें',
	'wikieditor-toolbar-tool-link-int' => 'एक विकि पृष्ठ तक',
	'wikieditor-toolbar-tool-link-int-target' => 'लक्ष्य पृष्ठ या URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'पृष्ठ शीर्षक या URL',
	'wikieditor-toolbar-tool-link-int-text' => 'पाठ को प्रदर्शित करने के लिए:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'पाठ प्रदर्शित करना',
	'wikieditor-toolbar-tool-link-ext' => 'एक बाह्य वेब पेज तक',
	'wikieditor-toolbar-tool-link-ext-target' => 'लिंक URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'कड़ी पाठ:',
	'wikieditor-toolbar-tool-link-insert' => 'लिंक सम्मिलित करें',
	'wikieditor-toolbar-tool-link-cancel' => 'रद्द करें',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'पृष्ठ मौजूद है',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'पृष्ठ मौजूद नहीं है',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'अवैध शीर्षक',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'बाहरी कड़ियाँ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'पृष्ठ अस्तित्व की जाँच...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'आपके द्वारा निर्दिष्ट शीर्षक अमान्य है।',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'आंतरिक लिंक',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'बाहरी कड़ियाँ',
	'wikieditor-toolbar-tool-link-empty' => 'आप लिंक करने के लिए कुछ दर्ज़ नहीं किए थे ।',
	'wikieditor-toolbar-tool-file' => 'संलग्न फ़ाइल',
	'wikieditor-toolbar-tool-file-example' => 'उदाहरण.jpg',
	'wikieditor-toolbar-tool-reference' => 'संदर्भ',
	'wikieditor-toolbar-tool-reference-example' => 'आधार पाठ यहाँ सम्मिलित करें',
	'wikieditor-toolbar-tool-reference-cancel' => 'रद्द करें',
	'wikieditor-toolbar-tool-reference-title' => 'संदर्भ सम्मिलित करें',
	'wikieditor-toolbar-tool-reference-insert' => 'सम्मिलित करें',
	'wikieditor-toolbar-tool-reference-text' => 'संदर्भ पाठ',
	'wikieditor-toolbar-tool-signature' => 'हस्ताक्षर और टाइमस्टैम्प',
	'wikieditor-toolbar-section-advanced' => 'उन्नत',
	'wikieditor-toolbar-tool-heading' => 'शीर्षक',
	'wikieditor-toolbar-tool-heading-1' => 'स्तर १',
	'wikieditor-toolbar-tool-heading-2' => 'स्तर २',
	'wikieditor-toolbar-tool-heading-3' => 'स्तर ३',
	'wikieditor-toolbar-tool-heading-4' => 'स्तर ४',
	'wikieditor-toolbar-tool-heading-5' => 'स्तर ५',
	'wikieditor-toolbar-tool-heading-example' => 'शीर्ष पाठ',
	'wikieditor-toolbar-group-format' => 'स्वरूप',
	'wikieditor-toolbar-tool-ulist' => 'बुलेटेड सूची',
	'wikieditor-toolbar-tool-ulist-example' => 'बुलेटेड सूची आइटम',
	'wikieditor-toolbar-tool-olist' => 'क्रमांकित सूची',
	'wikieditor-toolbar-tool-olist-example' => 'क्रमांकित सूची आइटम',
	'wikieditor-toolbar-tool-indent' => 'अभिस्थापन',
	'wikieditor-toolbar-tool-indent-example' => 'अभिस्थापित रेखा',
	'wikieditor-toolbar-tool-nowiki' => 'कोई विकि स्वरूपण नहीं',
	'wikieditor-toolbar-tool-nowiki-example' => 'गैर-स्वरूपित पाठ यहाँ सम्मिलित करें',
	'wikieditor-toolbar-tool-redirect' => 'पुनर्निर्देशन',
	'wikieditor-toolbar-tool-redirect-example' => 'लक्ष्य पृष्ठ नाम',
	'wikieditor-toolbar-tool-big' => 'बड़ा',
	'wikieditor-toolbar-tool-big-example' => 'बड़ा पाठ',
	'wikieditor-toolbar-tool-small' => 'छोटा',
	'wikieditor-toolbar-tool-small-example' => 'छोटे पाठ',
	'wikieditor-toolbar-tool-superscript' => 'सुपरस्क्रिप्ट',
	'wikieditor-toolbar-tool-superscript-example' => 'सुपरस्क्रिप्ट पाठ',
	'wikieditor-toolbar-tool-subscript' => 'सबस्क्रिप्ट',
	'wikieditor-toolbar-tool-subscript-example' => 'सबस्क्रिप्ट पाठ',
	'wikieditor-toolbar-group-insert' => 'सम्मिलित करें',
	'wikieditor-toolbar-tool-gallery' => 'तस्वीर गैलरी',
	'wikieditor-toolbar-tool-gallery-example' => '$1:उदाहरण.jpg|चित्रशीर्षक१
$1:उदाहरण.jpg|चित्रशीर्षक२',
	'wikieditor-toolbar-tool-newline' => 'नई पंक्ति',
	'wikieditor-toolbar-tool-table' => 'सारणी',
	'wikieditor-toolbar-tool-table-example-old' => '-
! शीर्ष लेख १
! शीर्ष लेख २
! शीर्ष लेख ३
|-
| पंक्ति १, प्रकोष्ठ १
| पंक्ति १, प्रकोष्ठ २
| पंक्ति १, प्रकोष्ठ ३
|-
| पंक्ति २, प्रकोष्ठ १
| पंक्ति २, प्रकोष्ठ २
| पंक्ति २, प्रकोष्ठ ३',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'प्रकोष्ठ पाठ',
	'wikieditor-toolbar-tool-table-example-header' => 'शीर्ष पाठ',
	'wikieditor-toolbar-tool-table-title' => 'सारणी सम्मिलित करें',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'पंक्तियाँ',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'कॉलम',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'शीर्ष लेख पंक्ति जोड़ें',
	'wikieditor-toolbar-tool-table-wikitable' => 'बॉर्डर के साथ शैली',
	'wikieditor-toolbar-tool-table-sortable' => 'सारणी सॉर्टबल बनाएँ',
	'wikieditor-toolbar-tool-table-example' => 'उदाहरण',
	'wikieditor-toolbar-tool-table-preview' => 'पूर्वावलोकन',
	'wikieditor-toolbar-tool-table-insert' => 'सम्मिलित करें',
	'wikieditor-toolbar-tool-table-cancel' => 'रद्द करें',
	'wikieditor-toolbar-tool-replace' => 'खोजें और बदलें',
	'wikieditor-toolbar-tool-replace-title' => 'खोजें और बदलें',
	'wikieditor-toolbar-tool-replace-search' => 'खोजें:',
	'wikieditor-toolbar-tool-replace-replace' => 'इसके साथ बदलें:',
	'wikieditor-toolbar-tool-replace-case' => 'केस मिलाएँ',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'अगला ढूँढें',
	'wikieditor-toolbar-tool-replace-button-replace' => 'इससे बदलें',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'सभी बदलें',
	'wikieditor-toolbar-tool-replace-close' => 'बंद करें',
	'wikieditor-toolbar-tool-replace-nomatch' => 'आपके खोज कुछ मिला नहीं',
	'wikieditor-toolbar-tool-replace-success' => '$1 प्रतिस्थापन बनें ।',
	'wikieditor-toolbar-section-characters' => 'विशेष वर्ण',
	'wikieditor-toolbar-characters-page-latin' => 'लाटिन',
	'wikieditor-toolbar-characters-page-latinextended' => 'लाटिन विस्तारित',
	'wikieditor-toolbar-characters-page-ipa' => 'आइपीए',
	'wikieditor-toolbar-characters-page-symbols' => 'प्रतीक',
	'wikieditor-toolbar-characters-page-greek' => 'ग्रीक',
	'wikieditor-toolbar-characters-page-cyrillic' => 'सिरिलिक',
	'wikieditor-toolbar-characters-page-arabic' => 'अरबी',
	'wikieditor-toolbar-characters-page-arabicextended' => 'अरबी विस्तारित',
	'wikieditor-toolbar-characters-page-persian' => 'फार्सी',
	'wikieditor-toolbar-characters-page-hebrew' => 'हिब्रू',
	'wikieditor-toolbar-characters-page-bangla' => 'बांग्ला',
	'wikieditor-toolbar-characters-page-telugu' => 'तेलूगू',
	'wikieditor-toolbar-characters-page-sinhala' => 'सिंहल',
	'wikieditor-toolbar-characters-page-gujarati' => 'गुजराती',
	'wikieditor-toolbar-characters-page-thai' => 'थाई',
	'wikieditor-toolbar-characters-page-lao' => 'लाओ',
	'wikieditor-toolbar-characters-page-khmer' => 'खमेर',
	'wikieditor-toolbar-section-help' => 'सहायता',
	'wikieditor-toolbar-help-heading-description' => 'वर्णन',
	'wikieditor-toolbar-help-heading-syntax' => 'तुम क्या लिखोगे',
	'wikieditor-toolbar-help-heading-result' => 'तुम्हें क्या मिला',
	'wikieditor-toolbar-help-page-format' => 'स्वरूपण',
	'wikieditor-toolbar-help-page-link' => 'कड़ियाँ',
	'wikieditor-toolbar-help-page-heading' => 'शीर्षक',
	'wikieditor-toolbar-help-page-list' => 'सूचियाँ',
	'wikieditor-toolbar-help-page-file' => 'फ़ाइलें',
	'wikieditor-toolbar-help-page-reference' => 'संदर्भ',
	'wikieditor-toolbar-help-page-discussion' => 'वार्ता',
	'wikieditor-toolbar-help-content-italic-description' => 'इटैलिक',
	'wikieditor-toolbar-help-content-italic-syntax' => "''इटैलिक पाठ ''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>इटैलिक पाठ</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'बोल्ड',
	'wikieditor-toolbar-help-content-bold-syntax' => "''' बोल्ड पाठ '''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>बोल्ड पाठ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'बोल्ड &amp; इटैलिक',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''बोल्ड &amp; इटैलिक पाठ'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>बोल्ड &amp; इटैलिक पाठ</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'आंतरिक कड़ी',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[पृष्ठ शीर्षक|दृश्य शब्दलेखन]]<br />[[पृष्ठ शीर्षक]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>लिंक लेबल</a><br /><a href='#'>पृष्ठ शीर्षक</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'बाहरी कड़ि',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org  लिंक लेबल]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>लिंक लेबल</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'द्वितीय स्तर शीर्षक',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== शीर्षक लेख ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>शीर्षक लेख</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'तृतीय स्तर शीर्षक',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== शीर्षक लेख ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>शीर्षक लेख</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'चतुर्थ स्तर शीर्षक',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== शीर्षक लेख ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>शीर्षक लेख</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'पंचम स्तर शीर्षक',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== शीर्षक लेख =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>शीर्षक लेख</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'बुलेटेड सूची',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* सूची आइटम<br />* सूची आइटम',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>सूची आइटम</li><li>सूची आइटम</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'क्रमांकित सूची',
	'wikieditor-toolbar-help-content-olist-syntax' => '# सूची आइटम<br /># सूची आइटम',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>सूची आइटम</li><li>सूची आइटम</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'संलग्न फ़ाइल',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:उदाहरण.png|thumb|शीर्षक नाम]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='चौड़ाई:104px;' class='thumbinner'><a title='शीर्षक नाम' class='इमेज' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='बढ़ाना' class='आंतरिक' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>शीर्षक नाम</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'संदर्भ',
	'wikieditor-toolbar-help-content-reference-syntax' => 'पृष्ठ लेख ।&lt;ref name="test"&gt;[http://www.example.org लिंक लेख], अतिरिक्त लेख.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "पृष्ठ लेख ।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'वही संदर्भ का अतिरिक्त उपयोग',
	'wikieditor-toolbar-help-content-rereference-result' => "पृष्ठ लेख ।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'संदर्भ दिखाएँ',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='संदर्भ'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='बाहरी लेख' href='#'>लिंक लेख</a>, अतिरिक्त लेख ।</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'हस्ताक्षर टाइमस्टैम्प सहित',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>सदस्यनाम</a> (<a href='#' title='{{#special:mytalk}}'>चर्चा</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'हस्ताक्षर',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>सदस्यनाम</a> (<a href='#' title='{{#special:mytalk}}'>वार्ता</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'इनडेंट',
	'wikieditor-toolbar-help-content-indent-syntax' => 'सामान्य लेख<br />:इनडेंटेड लेख<br />::इनडेंटेड लेख',
	'wikieditor-toolbar-help-content-indent-result' => 'सामान्य लेख<dl><dd>इनडेंटेड लेख<dl><dd>इनडेंटेड लेख</dd></dl></dd></dl>',
);

/** Fiji Hindi (Latin script) (Fiji Hindi) */
$messages['hif-latn'] = array(
	'wikieditor-toolbar-tool-bold' => 'Mota',
	'wikieditor-toolbar-tool-bold-example' => 'Mota akchhar',
	'wikieditor-toolbar-tool-italic' => 'Tirchha',
);

/** Croatian (Hrvatski)
 * @author Bugoslav
 * @author Ex13
 * @author Excaliboor
 * @author Roberta F.
 * @author SpeedyGonsales
 */
$messages['hr'] = array(
	'wikieditor' => 'Napredno sučelje uređivanja wikiteksta',
	'wikieditor-desc' => 'Pruža proširivo sučelje za uređivanje wikiteksta i više modula s raznim dodacima',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Učitavanje',
	'wikieditor-preview-preference' => 'Omogući usporedni pregled',
	'wikieditor-preview-tab' => 'Pregled',
	'wikieditor-preview-changes-tab' => 'Promjene',
	'wikieditor-preview-loading' => 'Učitavam…',
	'wikieditor-previewDialog-preference' => 'Omogući dijalog za pregled',
	'wikieditor-previewDialog-tab' => 'Pregled kako će stranica izgledati',
	'wikieditor-previewDialog-loading' => 'Učitavam…',
	'wikieditor-publish-preference' => 'Omogućiti korak-po-korak izdavanje',
	'wikieditor-publish-button-publish' => 'Objaviti',
	'wikieditor-publish-button-cancel' => 'Odustani',
	'wikieditor-publish-dialog-title' => 'Objavi na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Uredi sažetak (kratko opišite promjene koje ste učinili):',
	'wikieditor-publish-dialog-minor' => 'Manja promjena',
	'wikieditor-publish-dialog-watch' => 'Prati ovu stranicu',
	'wikieditor-publish-dialog-publish' => 'Objaviti',
	'wikieditor-publish-dialog-goback' => 'Idi natrag',
	'wikieditor-template-editor-preference' => 'Omogući uređivanje wiki predložaka po upitniku',
	'wikieditor-template-editor-dialog-title' => 'Uredi predložak',
	'wikieditor-template-editor-dialog-submit' => 'Osvježi',
	'wikieditor-template-editor-dialog-cancel' => 'Odustani',
	'wikieditor-templates-preference' => 'Omogući skrivanje predložaka',
	'wikieditor-toc-preference' => 'Omogući navigaciju sadržaja',
	'wikieditor-toc-show' => 'Prikaži sadržaj',
	'wikieditor-toc-hide' => 'Sakrij sadržaj',
	'wikieditor-toolbar' => 'Alatna vrpca',
	'wikieditor-toolbar-desc' => 'Alatna vrpca za uređivanje s poboljšanom uporabljivošću',
	'wikieditor-toolbar-preference' => 'Omogući poboljšanu alatnu traku',
	'wikieditor-toolbar-dialogs-preference' => 'Dopusti upitnike za unos veza, tablica i ostalog',
	'wikieditor-toolbar-hidesig' => 'Sakrij gumb potpisa sa stranica u glavnom imenskom prostoru',
	'wikieditor-toolbar-loading' => 'Učitavam...',
	'wikieditor-toolbar-tool-bold' => 'Podebljano',
	'wikieditor-toolbar-tool-bold-example' => 'Podebljani tekst',
	'wikieditor-toolbar-tool-italic' => 'Kurziv',
	'wikieditor-toolbar-tool-italic-example' => 'Kurzivni tekst',
	'wikieditor-toolbar-tool-ilink' => 'Unutarnja poveznica',
	'wikieditor-toolbar-tool-ilink-example' => 'Naziv poveznice',
	'wikieditor-toolbar-tool-xlink' => 'Vanjska poveznica (nužan je prefiks http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.primjer.com naziv poveznice',
	'wikieditor-toolbar-tool-link' => 'Poveznica',
	'wikieditor-toolbar-tool-link-title' => 'Umetni poveznicu',
	'wikieditor-toolbar-tool-link-int' => 'U wiki stranicu',
	'wikieditor-toolbar-tool-link-int-target' => 'Naslov stranice:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Naslov ili URL stranice',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst poveznice',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekst za prikaz',
	'wikieditor-toolbar-tool-link-ext' => 'Za vanjske web stranice',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL poveznice:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst poveznice:',
	'wikieditor-toolbar-tool-link-insert' => 'Umetni poveznicu',
	'wikieditor-toolbar-tool-link-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stranica postoji',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stranica ne postoji',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nevaljani naslov',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Vanjska poveznica',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Provjera postoji li stranica...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Naslov koji ste naveli je nevažeći.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL koji ste predali čini se namijenjen kao poveznica na drugu wiki stranicu.
Želite li napraviti unutrašnju poveznicu?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Unutarnja poveznica',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Vanjska poveznica',
	'wikieditor-toolbar-tool-link-empty' => 'Niste unijeli ništa za povezivanje.',
	'wikieditor-toolbar-tool-file' => 'Uložena datoteka',
	'wikieditor-toolbar-tool-file-example' => 'Primjer.jpg',
	'wikieditor-toolbar-tool-reference' => 'Bilješke',
	'wikieditor-toolbar-tool-reference-example' => 'Umetni tekst fusnote ovdje',
	'wikieditor-toolbar-tool-reference-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-reference-title' => 'Umetni poveznicu',
	'wikieditor-toolbar-tool-reference-insert' => 'Umetni',
	'wikieditor-toolbar-tool-reference-text' => 'Referentni tekst',
	'wikieditor-toolbar-tool-signature' => 'Potpis i datum',
	'wikieditor-toolbar-section-advanced' => 'Napredno',
	'wikieditor-toolbar-tool-heading' => 'Podnaslov',
	'wikieditor-toolbar-tool-heading-1' => 'Razina 1',
	'wikieditor-toolbar-tool-heading-2' => 'Razina 2',
	'wikieditor-toolbar-tool-heading-3' => 'Razina 3',
	'wikieditor-toolbar-tool-heading-4' => 'Razina 4',
	'wikieditor-toolbar-tool-heading-5' => 'Razina 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tekst podnaslova',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Popis s grafičkim oznakama',
	'wikieditor-toolbar-tool-ulist-example' => 'Stavka popisa s grafičkim oznakama',
	'wikieditor-toolbar-tool-olist' => 'Numerirani popis',
	'wikieditor-toolbar-tool-olist-example' => 'Stavka numeriranog popisa',
	'wikieditor-toolbar-tool-indent' => 'Uvlačenje',
	'wikieditor-toolbar-tool-indent-example' => 'Uvučeni red',
	'wikieditor-toolbar-tool-nowiki' => 'Nema wiki oblikovanja',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ovdje unesite neoblikovani tekst',
	'wikieditor-toolbar-tool-redirect' => 'Preusmjeravanje',
	'wikieditor-toolbar-tool-redirect-example' => 'Ime ciljne stranice',
	'wikieditor-toolbar-tool-big' => 'Velika slova',
	'wikieditor-toolbar-tool-big-example' => 'Tekst velikim slovima',
	'wikieditor-toolbar-tool-small' => 'Malim slovima',
	'wikieditor-toolbar-tool-small-example' => 'Tekst malim slovima',
	'wikieditor-toolbar-tool-superscript' => 'Eksponent',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst eksponenta',
	'wikieditor-toolbar-tool-subscript' => 'Indeks',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst indeksa',
	'wikieditor-toolbar-group-insert' => 'Uloži',
	'wikieditor-toolbar-tool-gallery' => 'Galerija slika',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Primjer.jpg|Opis1
$1:Primjer.jpg|Opis2',
	'wikieditor-toolbar-tool-newline' => 'Novi redak',
	'wikieditor-toolbar-tool-table' => 'Tablica',
	'wikieditor-toolbar-tool-table-example-old' => '-
! naslov 1
! naslov 2
! naslov 3
|-
| red 1, ćelija 1
| red 1, ćelija 2
| red 1, ćelija 3
|-
| red 2, ćelija 1
| red 2, ćelija 2
| red 2, ćelija 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Redak $1, ćelija $2',
	'wikieditor-toolbar-tool-table-example-header' => 'Tekst zaglavlja',
	'wikieditor-toolbar-tool-table-title' => 'Umetni tablicu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Retci',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Stupci',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Dodavanje zaglavlja redaka',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil s granicama',
	'wikieditor-toolbar-tool-table-sortable' => 'Učini tablicu sortabilnom',
	'wikieditor-toolbar-tool-table-example' => 'Primjer',
	'wikieditor-toolbar-tool-table-preview' => 'Pregled',
	'wikieditor-toolbar-tool-table-insert' => 'Umetni',
	'wikieditor-toolbar-tool-table-cancel' => 'Odustani',
	'wikieditor-toolbar-tool-table-toomany' => 'Umetanje tablice s više od $1 polja nije moguće s ovim dijalogu.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Niste unijeli valjani broj redaka ili stupaca.',
	'wikieditor-toolbar-tool-table-zero' => 'Ne možete umetnuti tablicu sa nula redaka ili stupaca.',
	'wikieditor-toolbar-tool-replace' => 'Zamijeni',
	'wikieditor-toolbar-tool-replace-title' => 'Traži i zamijeni',
	'wikieditor-toolbar-tool-replace-search' => 'Traži:',
	'wikieditor-toolbar-tool-replace-replace' => 'Zamijeni s:',
	'wikieditor-toolbar-tool-replace-case' => 'Pazi na velika slova',
	'wikieditor-toolbar-tool-replace-regex' => 'Postupaj s traženim nizom kao regularnim izrazom',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nađi sljedeću',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zamijeni sve',
	'wikieditor-toolbar-tool-replace-close' => 'Zatvori',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Pretraživanje nije pronašlo ništa.',
	'wikieditor-toolbar-tool-replace-success' => '$1 zamjena načinjeno.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Niste unijeli ništa za pretragu.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Izraz koji ste unijeli nije ispravan: $1',
	'wikieditor-toolbar-section-characters' => 'Posebni znakovi',
	'wikieditor-toolbar-characters-page-latin' => 'latinica',
	'wikieditor-toolbar-characters-page-latinextended' => 'proširena latinica',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'simboli',
	'wikieditor-toolbar-characters-page-greek' => 'grčki',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ćirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'arapski',
	'wikieditor-toolbar-characters-page-persian' => 'Perzijski',
	'wikieditor-toolbar-characters-page-hebrew' => 'hebrejski',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla znakovi',
	'wikieditor-toolbar-characters-page-telugu' => 'telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhaleški znakovi',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžaratski znakovi',
	'wikieditor-toolbar-characters-page-thai' => 'Tajlandski (tajski) znakovi',
	'wikieditor-toolbar-characters-page-lao' => 'Laoski znakovi',
	'wikieditor-toolbar-characters-page-khmer' => 'kmerski',
	'wikieditor-toolbar-section-help' => 'Pomoć',
	'wikieditor-toolbar-help-heading-description' => 'Opis',
	'wikieditor-toolbar-help-heading-syntax' => 'Što upisujete',
	'wikieditor-toolbar-help-heading-result' => 'Što dobivate',
	'wikieditor-toolbar-help-page-format' => 'Formatiranje',
	'wikieditor-toolbar-help-page-link' => 'Poveznice',
	'wikieditor-toolbar-help-page-heading' => 'Podnaslovi',
	'wikieditor-toolbar-help-page-list' => 'Popisi',
	'wikieditor-toolbar-help-page-file' => 'Datoteke',
	'wikieditor-toolbar-help-page-reference' => 'Bilješke',
	'wikieditor-toolbar-help-page-discussion' => 'Razgovor',
	'wikieditor-toolbar-help-content-italic-description' => 'Kurziv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kurzivni tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kurzivni tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Podebljano',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Podebljani tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Podebljani tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Podebljano i kurziv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Podebljani i kurzivni tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Podebljani i kurzivni tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Unutarnja poveznica',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Naslov stranice|Oznaka poveznice]]<br />[[Naslov stranice]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Oznaka poveznice</a><br /><a href='#'>Naslov stranice</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Vanjska poveznica',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.primjer.org Oznaka poveznice]<br />[http://www.primjer.org]<br />http://www.primjer.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Oznaka poveznice</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.primjer.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Podnaslov 2. razine',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Tekst podnaslova ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2> Tekst podnaslova </h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Podnaslov 3. razine',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tekst podnaslova ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3> Tekst podnaslova </h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Podnaslov 4. razine',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tekst podnaslova ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4> Tekst podnaslova </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Podnaslov 5. razine',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Tekst podnaslova =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5> Tekst podnaslova </h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Popis s grafičkim oznakama',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* stavka popisa<br />* stavka popisa',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>stavka popisa</li><li>stavka popisa</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numerirani popis',
	'wikieditor-toolbar-help-content-olist-syntax' => '# stavka popisa<br /># stavka popisa',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>stavka popisa</li><li>stavka popisa</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Uložena datoteka',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Tekst opisa]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Tekst opisa' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Povećaj' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tekst opisa'</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Bilješke',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst stranice.&lt;ref name="test"&gt;[http://www.primjer.org Tekst poveznice], dodatni tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Dodatno korištenje iste bilješke',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Prikazivanje bilješki',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.primjer.org' class='vanjski tekst' href='#'>Teks poveznice</a>, dodatni tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Potpis s datumom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Suradničko ime</a> (<a href='#' title='{{#special:mytalk}}'>razgovor</a>) 15:54, 10. lipnja 2009. (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Potpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Suradničko ime</a> (<a href='#' title='{{#special:mytalk}}'>razgovor</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Uvlaka',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalni tekst<br />:Uvučeni tekst <br />::Uvučeni tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normalni tekst<dl><dd>Uvučeni tekst<dl><dd>Uvučeni tekst</dd></dl></dd></dl>',
);

/** Upper Sorbian (Hornjoserbsce)
 * @author Michawiki
 */
$messages['hsb'] = array(
	'wikieditor' => 'Rozšěrjeny powjerch za wobdźěłowanje wikiteksta',
	'wikieditor-desc' => 'Steji rozšěrjujomny powjerch za wobdźěłowanje wikiteksta a wjele modulow k dispoziciji.',
	'wikieditor-wikitext-tab' => 'WikiTekst',
	'wikieditor-loading' => 'Začituje so',
	'wikieditor-preview-preference' => 'Přehlad bok po boku zmóžnić',
	'wikieditor-preview-tab' => 'Přehlad',
	'wikieditor-preview-changes-tab' => 'Změny',
	'wikieditor-preview-loading' => 'Začituje so...',
	'wikieditor-previewDialog-preference' => 'Dialog za přehlad zmóžnić',
	'wikieditor-previewDialog-tab' => 'Přehlad',
	'wikieditor-previewDialog-loading' => 'Začituje so...',
	'wikieditor-publish-preference' => 'Publikowanje krok po kroku zmóžnić',
	'wikieditor-publish-button-publish' => 'Wozjewić',
	'wikieditor-publish-button-cancel' => 'Přetorhnyć',
	'wikieditor-publish-dialog-title' => 'Do {{GRAMMAR:genitiw|{{SITENAME}}}} wozjewić',
	'wikieditor-publish-dialog-summary' => 'Zjeće změnow (wopisaj krótko změny, kotrež sy činił):',
	'wikieditor-publish-dialog-minor' => 'Snadna změna',
	'wikieditor-publish-dialog-watch' => 'Tutu stronu wobkedźbować',
	'wikieditor-publish-dialog-publish' => 'Wozjewić',
	'wikieditor-publish-dialog-goback' => 'Wróćo',
	'wikieditor-template-editor-preference' => 'Wobdźěłowanje wikipředłohow na zakładźe formularow zmóžnić',
	'wikieditor-template-editor-dialog-title' => 'Předłohu wobdźěłać',
	'wikieditor-template-editor-dialog-submit' => 'Aktualizować',
	'wikieditor-template-editor-dialog-cancel' => 'Přetorhnyć',
	'wikieditor-templates-preference' => 'Fałdowanje předłohow zmóžnić',
	'wikieditor-toc-preference' => 'Nawigěrujomny zapis wobsaha zmóžnić',
	'wikieditor-toc-show' => 'Wobsah pokazać',
	'wikieditor-toc-hide' => 'Wobsah schować',
	'wikieditor-toolbar' => 'Gratowa lajsta za wobdźěłowanje',
	'wikieditor-toolbar-desc' => 'Gratowa lajsta za wobdźěłowanje stronow z polěpšenej wužiwajomnosću',
	'wikieditor-toolbar-preference' => 'Polěpšenu gratowu lajstu za wobdźěłowanje aktiwizować',
	'wikieditor-toolbar-dialogs-preference' => 'Dialogi za zasunjenje wotkazow, tabelow a hinašeho zmóžnić',
	'wikieditor-toolbar-hidesig' => 'Podpisowe tłóčatko w stronach we hłownym mjenowym rumje schować',
	'wikieditor-toolbar-loading' => 'Čita so...',
	'wikieditor-toolbar-tool-bold' => 'Tučny',
	'wikieditor-toolbar-tool-bold-example' => 'Tučny tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiwny',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiwny tekst',
	'wikieditor-toolbar-tool-ilink' => 'Interny wotkaz',
	'wikieditor-toolbar-tool-ilink-example' => 'Titul wotkaza',
	'wikieditor-toolbar-tool-xlink' => 'Eksterny wotkaz (njezabudź na prefiks http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'titul wotkaza http://www.přikład.de',
	'wikieditor-toolbar-tool-link' => 'Wotkaz',
	'wikieditor-toolbar-tool-link-title' => 'Wotkaz zasunyć',
	'wikieditor-toolbar-tool-link-int' => 'K wikinastawkej/stronje',
	'wikieditor-toolbar-tool-link-int-target' => 'Titul nastawka:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titul strony abo URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst wotkaza:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekst, kotryž ma so pokazać, zapodać',
	'wikieditor-toolbar-tool-link-ext' => 'K eksternej webstronje',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL wotkaza:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst wotkaza:',
	'wikieditor-toolbar-tool-link-insert' => 'Wotkaz zasunyć',
	'wikieditor-toolbar-tool-link-cancel' => 'Přetorhnyć',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Strona eksistuje',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Strona njeeksistuje',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Njepłaćiwy titul',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Eksterny wotkaz',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Eksistenca strony so přepruwuje...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titul, kotryž sy podał, je njepłaćiwy.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL, kotryž sy podał, wupada kaž by jako wotkaz k druhej wikistronje měrjeny był.
Chceš jón do interneho wotkaza přetworić?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interny wotkaz',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Eksterny wotkaz',
	'wikieditor-toolbar-tool-link-empty' => 'Njejsy ničo zapodał, na kotrež ma so wotkazować.',
	'wikieditor-toolbar-tool-file' => 'Zasadźena dataja',
	'wikieditor-toolbar-tool-file-example' => 'Přikład.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referenca',
	'wikieditor-toolbar-tool-reference-example' => 'Tekst nóžki tu zasunyć',
	'wikieditor-toolbar-tool-reference-cancel' => 'Přetorhnyć',
	'wikieditor-toolbar-tool-reference-title' => 'Referencu zasunyć',
	'wikieditor-toolbar-tool-reference-insert' => 'Zasunyć',
	'wikieditor-toolbar-tool-reference-text' => 'Tekst referency',
	'wikieditor-toolbar-tool-signature' => 'Signatura a časowy kołk',
	'wikieditor-toolbar-section-advanced' => 'Rozšěrjeny',
	'wikieditor-toolbar-tool-heading' => 'Nadpis',
	'wikieditor-toolbar-tool-heading-1' => 'Runina 1',
	'wikieditor-toolbar-tool-heading-2' => 'Runina 2',
	'wikieditor-toolbar-tool-heading-3' => 'Runina 3',
	'wikieditor-toolbar-tool-heading-4' => 'Runina 4',
	'wikieditor-toolbar-tool-heading-5' => 'Runina 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tekst nadpisa',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Naličenska lisćina',
	'wikieditor-toolbar-tool-ulist-example' => 'Zapisk naličenskeje lisćiny',
	'wikieditor-toolbar-tool-olist' => 'Čisłowana lisćina',
	'wikieditor-toolbar-tool-olist-example' => 'Zapisk čisłowaneje lisćiny',
	'wikieditor-toolbar-tool-indent' => 'Zasunjenje',
	'wikieditor-toolbar-tool-indent-example' => 'Zasunjena linka',
	'wikieditor-toolbar-tool-nowiki' => 'Žane wikiformatowanje',
	'wikieditor-toolbar-tool-nowiki-example' => 'Njeformatowany tekst tu zasunyć',
	'wikieditor-toolbar-tool-redirect' => 'Dalesposrědkowanje',
	'wikieditor-toolbar-tool-redirect-example' => 'Mjeno ciloweje strony',
	'wikieditor-toolbar-tool-big' => 'Wulki',
	'wikieditor-toolbar-tool-big-example' => 'Wulki tekst',
	'wikieditor-toolbar-tool-small' => 'Mały',
	'wikieditor-toolbar-tool-small-example' => 'Mały tekst',
	'wikieditor-toolbar-tool-superscript' => 'Wysoko stajeny',
	'wikieditor-toolbar-tool-superscript-example' => 'Wysoko stajeny tekst',
	'wikieditor-toolbar-tool-subscript' => 'Hłuboko stajeny',
	'wikieditor-toolbar-tool-subscript-example' => 'Hłuboko stajeny tekst',
	'wikieditor-toolbar-group-insert' => 'Zasunyć',
	'wikieditor-toolbar-tool-gallery' => 'Wobrazowa galerija',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Popis1
$1:Example.jpg|Popis2',
	'wikieditor-toolbar-tool-newline' => 'Nowa linka',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! hłowa 1
! hłowa 2
! hłowa 3
|-
| rjadka 1, cela 1
| rjadka 1, cela 2
| rjadka 1, cela 3
|-
| rjadka 2, cela 1
| rjadka 2, cela 2
| rjadka 2, cela 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celowy tekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Hłowowy tekst',
	'wikieditor-toolbar-tool-table-title' => 'Tabelu zasunyć',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rjadki',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Špalty',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Rjadku hłowy zapřijeć',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil z ramikami',
	'wikieditor-toolbar-tool-table-sortable' => 'Sortěrujomna tabela',
	'wikieditor-toolbar-tool-table-example' => 'Celowy tekst',
	'wikieditor-toolbar-tool-table-preview' => 'Přehlad',
	'wikieditor-toolbar-tool-table-insert' => 'Zasunyć',
	'wikieditor-toolbar-tool-table-cancel' => 'Přetorhnyć',
	'wikieditor-toolbar-tool-table-toomany' => 'Zasuwanje tabele z přez $1 {{PLURAL:$1|celu|celomaj|celemi|celemi}} z tutym dialogom móžno njeje.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Njejsy płaćiwu ličbu rjadkow abo špaltow zapodał.',
	'wikieditor-toolbar-tool-table-zero' => 'Njemóžeš tabelu bjez rjadkow abo špaltow zasunyć.',
	'wikieditor-toolbar-tool-replace' => 'Pytać a narunać',
	'wikieditor-toolbar-tool-replace-title' => 'Pytać a narunać',
	'wikieditor-toolbar-tool-replace-search' => 'Pytać za:',
	'wikieditor-toolbar-tool-replace-replace' => 'Narunać přez:',
	'wikieditor-toolbar-tool-replace-case' => 'Wotpowědowanje',
	'wikieditor-toolbar-tool-replace-regex' => 'Z pytanskim tekstom kaž z regularnym wurazom wobchadźeć',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Dale pytać',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Narunać',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Wšě narunać',
	'wikieditor-toolbar-tool-replace-close' => 'Začinić',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Twoje pytanje njeje wotpowědnik namakał.',
	'wikieditor-toolbar-tool-replace-success' => '$1 {{PLURAL:$1|narunanje přewjedźene|narunani přewjedźenej|narunanja přewjedźene|narunanjow přewjedźenych}}.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Njejsy žadyn pytanski wuraz zapodał.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Regularny wuraz, kotryž sy zapodał, je njepłaćiwy: $1',
	'wikieditor-toolbar-section-characters' => 'Specialne znamješka',
	'wikieditor-toolbar-characters-page-latin' => 'Łaćonske',
	'wikieditor-toolbar-characters-page-latinextended' => 'Łaćonske rozšěrjene',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Grjekske',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyriliske',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabske',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Rozšěrjena arabšćina',
	'wikieditor-toolbar-characters-page-persian' => 'Persiske',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejske',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalšćina',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalezišćina',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudźarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thailandšćina',
	'wikieditor-toolbar-characters-page-lao' => 'Laošćina',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmeršćina',
	'wikieditor-toolbar-section-help' => 'Pomoc',
	'wikieditor-toolbar-help-heading-description' => 'Wopisanje',
	'wikieditor-toolbar-help-heading-syntax' => 'Štož zapisuješ',
	'wikieditor-toolbar-help-heading-result' => 'Štož dóstanješ',
	'wikieditor-toolbar-help-page-format' => 'Formatowanje',
	'wikieditor-toolbar-help-page-link' => 'Wotkazy',
	'wikieditor-toolbar-help-page-heading' => 'Nadpisy',
	'wikieditor-toolbar-help-page-list' => 'Lisćiny',
	'wikieditor-toolbar-help-page-file' => 'Dataje',
	'wikieditor-toolbar-help-page-reference' => 'Referency',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusija',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiwny',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiwny tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiwny tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tučny',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tučny tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tučny tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tučny &amp; kursiwny',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tučny &amp; kursiwny tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tučny &amp; kursiwny tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interny wotkaz',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Popis wotkaza]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Popis wotkaza</a><br /><a href='#'>Titul wotkaza</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Eksterny wotkaz',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Popis wotkaza]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Popis wotkaza</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'nadpis 2. runiny',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Nadpisowy tekst ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Nadpisowy tekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Nadpis 3. runiny',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Nadpisowy tekst ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Nadpisowy tekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Nadpis 4. runiny',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Nadpisowy tekst ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Nadpisowy tekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Nadpis 5. runiny',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Nadpisowy tekst =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Nadpisowy tekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Naličenska lisćina',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Lisćinowy zapisk<br />* Lisćinowy zapisk',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Lisćinowy zapisk</li><li>Lisćinowy zapisk</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Čisłowana lisćina',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Lisćinowy zapisk<br /># Lisćinowy zapisk',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Lisćinowy zapisk</li><li>Lisćinowy zapisk</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Zasadźena dataja',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Tekst wobrazoweho popisa]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Tekst wobrazeho popisa' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Powjetšić' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tekst wobrazoweho popisa</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referenca',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst strony.&lt;ref name="test"&gt;[http://www.example.org tekst wotkaza], přidatny tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst strony.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Přidatne wužiwanje samsneje referency',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst strony.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Referency zwobraznić',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tekst wotkaza</a>, přidatny tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura z časowym kołkom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Wužiwarske mjeno</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>) 15:54, 10. junija 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Wužiwarske mjeno</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Zasunjenje',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalny tekst<br />:Zasunjeny tekst<br />::Zasunjeny tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normalny tekst<dl><dd>Zasunjeny tekst<dl><dd>Zasunjeny tekst</dd></dl></dd></dl>',
);

/** Hungarian (Magyar)
 * @author Bdamokos
 * @author Dani
 * @author Dj
 * @author Glanthor Reviol
 * @author Hunyadym
 * @author McDutchie
 * @author Misibacsi
 */
$messages['hu'] = array(
	'wikieditor' => 'Fejlett szerkesztőfelület wikiszöveghez',
	'wikieditor-desc' => 'Bővíthető szerkesztőfelület wikiszöveghez és több, új funkciókat kínáló modul',
	'wikieditor-wikitext-tab' => 'Wikiszöveg',
	'wikieditor-loading' => 'Betöltés…',
	'wikieditor-preview-preference' => 'Előnézet egymás mellett engedélyezése',
	'wikieditor-preview-tab' => 'Előnézet',
	'wikieditor-preview-changes-tab' => 'Változtatások',
	'wikieditor-preview-loading' => 'Betöltés…',
	'wikieditor-previewDialog-preference' => 'Előnézet párbeszédablak bekapcsolása',
	'wikieditor-previewDialog-tab' => 'Előnézet',
	'wikieditor-previewDialog-loading' => 'Betöltés…',
	'wikieditor-publish-preference' => 'Lépésről-lépésre közzététel engedélyezése',
	'wikieditor-publish-button-publish' => 'Közzététel',
	'wikieditor-publish-button-cancel' => 'Mégse',
	'wikieditor-publish-dialog-title' => 'Közzététel a(z) {{SITENAME}} wikin',
	'wikieditor-publish-dialog-summary' => 'Szerkesztési összefoglaló (pontosan írd le az általad végzett változtatásokat):',
	'wikieditor-publish-dialog-minor' => 'Apró szerkesztés',
	'wikieditor-publish-dialog-watch' => 'Lap figyelése',
	'wikieditor-publish-dialog-publish' => 'Közzététel',
	'wikieditor-publish-dialog-goback' => 'Vissza',
	'wikieditor-template-editor-preference' => 'Wiki sablonok űrlap alapú szerkesztésének engedélyezése',
	'wikieditor-template-editor-dialog-title' => 'Sablon szerkesztése',
	'wikieditor-template-editor-dialog-submit' => 'Frissítés',
	'wikieditor-template-editor-dialog-cancel' => 'Mégse',
	'wikieditor-templates-preference' => 'Sablonok összecsukásának engedélyezése',
	'wikieditor-toc-preference' => 'Tartalomjegyzék megjelenítése szerkesztéskor',
	'wikieditor-toc-show' => 'Tartalomjegyzék megjelenítése',
	'wikieditor-toc-hide' => 'Tartalomjegyzék elrejtése',
	'wikieditor-toolbar' => 'Szerkesztő-eszköztár',
	'wikieditor-toolbar-desc' => 'Használhatóbb szerkesztő eszköztár',
	'wikieditor-toolbar-preference' => 'Fejlettebb szerkesztő-eszköztár használata',
	'wikieditor-toolbar-dialogs-preference' => 'Párbeszédablakok engedélyezése hivatkozások, táblázatok és egyebek beillesztéséhez',
	'wikieditor-toolbar-hidesig' => 'Aláírás gomb elrejtése a szócikknévtérben',
	'wikieditor-toolbar-loading' => 'Betöltés…',
	'wikieditor-toolbar-tool-bold' => 'Félkövér',
	'wikieditor-toolbar-tool-bold-example' => 'Félkövér szöveg',
	'wikieditor-toolbar-tool-italic' => 'Dőlt',
	'wikieditor-toolbar-tool-italic-example' => 'Dőlt szöveg',
	'wikieditor-toolbar-tool-ilink' => 'Belső hivatkozás',
	'wikieditor-toolbar-tool-ilink-example' => 'Hivatkozás címe',
	'wikieditor-toolbar-tool-xlink' => 'Külső hivatkozás (ne felejtkezz el a http:// előtagról)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.peldaoldal.hu hivatkozás címe',
	'wikieditor-toolbar-tool-link' => 'Hivatkozás',
	'wikieditor-toolbar-tool-link-title' => 'Hivatkozás beszúrása',
	'wikieditor-toolbar-tool-link-int' => 'A wiki egy lapjára',
	'wikieditor-toolbar-tool-link-int-target' => 'Lap címe:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Lapcím vagy URL',
	'wikieditor-toolbar-tool-link-int-text' => 'A hivatkozás szövege:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Add meg a megjelenítendő szöveget',
	'wikieditor-toolbar-tool-link-ext' => 'Egy külső weboldalra',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL-cím:',
	'wikieditor-toolbar-tool-link-ext-text' => 'A hivatkozás szövege:',
	'wikieditor-toolbar-tool-link-insert' => 'Hivatkozás beszúrása',
	'wikieditor-toolbar-tool-link-cancel' => 'Mégse',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'A lap létezik',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'A lap nem létezik',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Érvénytelen cím',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Külső hivatkozás',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Ellenőrzöm, hogy létezik-e a lap…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'A megadott cím érvénytelen',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Úgy tűnik, hogy a megadott URL másik wiki lapra mutató hivatkozás akart lenni.
Szeretnéd belső hivatkozássá alakítani?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Belső hivatkozás',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Külső hivatkozás',
	'wikieditor-toolbar-tool-link-empty' => 'Nem adtad meg, hogy hová szeretnél hivatkozást készíteni.',
	'wikieditor-toolbar-tool-file' => 'Fájl beszúrása',
	'wikieditor-toolbar-tool-file-example' => 'Egyszerikép.jpg',
	'wikieditor-toolbar-tool-reference' => 'Forráshivatkozás',
	'wikieditor-toolbar-tool-reference-example' => 'Ide írd a lábjegyzet szövegét',
	'wikieditor-toolbar-tool-reference-cancel' => 'Mégse',
	'wikieditor-toolbar-tool-reference-title' => 'Forráshivatkozás beszúrása',
	'wikieditor-toolbar-tool-reference-insert' => 'Beszúrás',
	'wikieditor-toolbar-tool-reference-text' => 'Forráshivatkozás szövege',
	'wikieditor-toolbar-tool-signature' => 'Aláírás és időbélyeg',
	'wikieditor-toolbar-section-advanced' => 'Haladó',
	'wikieditor-toolbar-tool-heading' => 'Címsor',
	'wikieditor-toolbar-tool-heading-1' => '1. szintű',
	'wikieditor-toolbar-tool-heading-2' => '2. szintű',
	'wikieditor-toolbar-tool-heading-3' => '3. szintű',
	'wikieditor-toolbar-tool-heading-4' => '4. szintű',
	'wikieditor-toolbar-tool-heading-5' => '5. szintű',
	'wikieditor-toolbar-tool-heading-example' => 'Címsor szövege',
	'wikieditor-toolbar-group-format' => 'Formázás',
	'wikieditor-toolbar-tool-ulist' => 'Felsorolásjeles lista',
	'wikieditor-toolbar-tool-ulist-example' => 'Listaelem',
	'wikieditor-toolbar-tool-olist' => 'Számozott lista',
	'wikieditor-toolbar-tool-olist-example' => 'Listaelem',
	'wikieditor-toolbar-tool-indent' => 'Behúzás',
	'wikieditor-toolbar-tool-indent-example' => 'Behúzott sor',
	'wikieditor-toolbar-tool-nowiki' => 'wikiformázás kikapcsolása',
	'wikieditor-toolbar-tool-nowiki-example' => 'ide írd a formázatlan szöveget',
	'wikieditor-toolbar-tool-redirect' => 'Átirányítás',
	'wikieditor-toolbar-tool-redirect-example' => 'Céllap neve',
	'wikieditor-toolbar-tool-big' => 'Nagy',
	'wikieditor-toolbar-tool-big-example' => 'Nagy szöveg',
	'wikieditor-toolbar-tool-small' => 'Kicsi',
	'wikieditor-toolbar-tool-small-example' => 'Kicsi szöveg',
	'wikieditor-toolbar-tool-superscript' => 'Felső index',
	'wikieditor-toolbar-tool-superscript-example' => 'Felső index szövege',
	'wikieditor-toolbar-tool-subscript' => 'Alsó index',
	'wikieditor-toolbar-tool-subscript-example' => 'Alsó index szövege',
	'wikieditor-toolbar-group-insert' => 'Beszúrás',
	'wikieditor-toolbar-tool-gallery' => 'Képgaléria',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Példa.jpg|képaláírás1
$1:Példa.jpg|képaláírás2',
	'wikieditor-toolbar-tool-newline' => 'Új sor',
	'wikieditor-toolbar-tool-table' => 'Táblázat',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 1. fejléc
! 2. fejléc
! 3. fejléc
|-
| 1. sor, 1. cella
| 1. sor, 2. cella
| 1. sor, 3. cella
|-
| 2. sor, 1. cella
| 2. sor, 2. cella
| 2. sor, 3. cella',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Cella szövege',
	'wikieditor-toolbar-tool-table-example-header' => 'Fejléc szövege',
	'wikieditor-toolbar-tool-table-title' => 'Tábla beszúrása',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Sorok száma',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Oszlopok száma',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'A fejlécet is beleértve',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stílus szegélyekkel',
	'wikieditor-toolbar-tool-table-sortable' => 'Legyen a táblázat rendezhető',
	'wikieditor-toolbar-tool-table-example' => 'Cella szövege',
	'wikieditor-toolbar-tool-table-preview' => 'Előnézet',
	'wikieditor-toolbar-tool-table-insert' => 'Beszúrás',
	'wikieditor-toolbar-tool-table-cancel' => 'Mégse',
	'wikieditor-toolbar-tool-table-toomany' => 'Több mint $1 cellát tartalmazó táblázat beillesztése nem lehetséges ezzel a párbeszédablakkal.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nem megfelelő számú sort vagy oszlopot adtál meg.',
	'wikieditor-toolbar-tool-table-zero' => 'Nem szúrhatsz be nulla sort vagy oszlopot tartalmazó táblázatot.',
	'wikieditor-toolbar-tool-replace' => 'Keresés és csere',
	'wikieditor-toolbar-tool-replace-title' => 'Keresés és csere',
	'wikieditor-toolbar-tool-replace-search' => 'Keresendő szöveg:',
	'wikieditor-toolbar-tool-replace-replace' => 'Csere:',
	'wikieditor-toolbar-tool-replace-case' => 'Kis- és nagybetű-érzékenység',
	'wikieditor-toolbar-tool-replace-regex' => 'A beírt szöveg egy reguláris kifejezés',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Következő keresése',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Csere',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Összes cseréje',
	'wikieditor-toolbar-tool-replace-close' => 'Bezárás',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Nincs egyetlen találat sem.',
	'wikieditor-toolbar-tool-replace-success' => '$1 csere történt.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Nem adtad meg, hogy mit akarsz keresni.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'A megadott reguláris kifejezés érvénytelen: $1',
	'wikieditor-toolbar-section-characters' => 'Különleges karakterek',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Bővített latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Szimbólumok',
	'wikieditor-toolbar-characters-page-greek' => 'Görög',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirill',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arab (bővített)',
	'wikieditor-toolbar-characters-page-persian' => 'Perzsa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Héber',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengáli',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Szingaléz',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudzsaráti',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Segítség',
	'wikieditor-toolbar-help-heading-description' => 'Leírás',
	'wikieditor-toolbar-help-heading-syntax' => 'Amit be kell írnod',
	'wikieditor-toolbar-help-heading-result' => 'Az eredmény',
	'wikieditor-toolbar-help-page-format' => 'Formázás',
	'wikieditor-toolbar-help-page-link' => 'Hivatkozások',
	'wikieditor-toolbar-help-page-heading' => 'Címsorok',
	'wikieditor-toolbar-help-page-list' => 'Listák',
	'wikieditor-toolbar-help-page-file' => 'Fájlok',
	'wikieditor-toolbar-help-page-reference' => 'Forráshivatkozások',
	'wikieditor-toolbar-help-page-discussion' => 'Megbeszélés',
	'wikieditor-toolbar-help-content-italic-description' => 'Dőlt',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Dőlt szöveg''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Dőlt szöveg</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Félkövér',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Félkövér szöveg'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Félkövér szöveg</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Félkövér és dőlt',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Félkövér és dőlt szöveg'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Félkövér és dőlt szöveg</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Belső hivatkozás',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Lap címe|Hivatkozás szövege]]<br />[[Lap címe]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Hivatkozás szövege</a><br /><a href='#'>Lap címe</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Külső hivatkozás',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.peldaoldal.hu Hivatkozás szövege]<br />[http://www.peldaoldal.hu]<br />http://www.peldaoldal.hu',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Hivatkozás szövege</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.peldaoldal.hu</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Második szintű címsor',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Címsor szövege ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Címsor szövege</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Harmadik szintű címsor',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Címsor szövege ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Címsor szövege</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Negyedik szintű címsor',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Címsor szövege ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Címsor szövege</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Ötödik szintű címsor',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Címsor szövege =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Címsor szövege</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Felsorolásjeles lista',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listaelem<br />* Listaelem',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listaelem</li><li>Listaelem</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Számozott lista',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listaelem<br /># Listaelem',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listaelem</li><li>Listaelem</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Beszúrt fájl',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Képaláírás]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='A kép nagyítása' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Képaláírás</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Forráshivatkozás',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Lap szövege.&lt;ref name="test"&gt;[http://www.példaoldal.hu Hivatkozás szövege], további szöveg.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Lap szövege.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ugyanazon forráshivatkozás későbbi használata',
	'wikieditor-toolbar-help-content-rereference-result' => "Lap szövege.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Forráshivatkozások listázása',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.peldaoldal.hu' class='external text' href='#'>Hivatkozás szövege</a>, további szöveg.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Aláírás időbélyeggel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Szerkesztőnév</a> (<a href='#' title='{{#special:mytalk}}'>vita</a>) 2009. június 10., 15:54 (CEST)",
	'wikieditor-toolbar-help-content-signature-description' => 'Aláírás',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Szerkesztőnév</a> (<a href='#' title='{{#special:mytalk}}'>vita</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Behúzás',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Sima szöveg<br />:Behúzott szöveg<br />::Behúzott szöveg',
	'wikieditor-toolbar-help-content-indent-result' => 'Sima szöveg<dl><dd>Behúzott szöveg<dl><dd>Behúzott szöveg</dd></dl></dd></dl>',
);

/** Armenian (Հայերեն)
 * @author Chaojoker
 * @author Xelgen
 */
$messages['hy'] = array(
	'wikieditor-preview-preference' => 'Ակտիվացնել կողք–կողքի նախադիտումը',
	'wikieditor-preview-tab' => 'Նախադիտել',
	'wikieditor-preview-loading' => 'Բեռնում…',
	'wikieditor-previewDialog-tab' => 'Նախադիտել',
	'wikieditor-previewDialog-loading' => 'Բեռնում…',
	'wikieditor-publish-button-publish' => 'Հրատարակել',
	'wikieditor-publish-button-cancel' => 'Բեկանել',
	'wikieditor-publish-dialog-title' => 'Հրատարակել {{SITENAME}} նախագծում',
	'wikieditor-publish-dialog-summary' => 'Խմբագրման ամփոփում (հակիրճ նկարագրեք ձեր կատարած փոփոխությունները)',
	'wikieditor-publish-dialog-minor' => 'Չնչին խմբագրում',
	'wikieditor-publish-dialog-watch' => 'Հսկել այս էջը',
	'wikieditor-publish-dialog-publish' => 'Հրատարակել',
	'wikieditor-publish-dialog-goback' => 'Հետ գնալ',
	'wikieditor-toc-preference' => 'Ակտիվացնել նավարկելի բովանդակության ցանկ',
	'wikieditor-toc-show' => 'Ցուցադրել բովանդակությունը',
	'wikieditor-toc-hide' => 'Թաքցնել բովանդակությունը',
	'wikieditor-toolbar' => 'Խմբագրման վահանակ',
	'wikieditor-toolbar-desc' => 'Բարձրացրած հարմարավետությամբ խմբագրման վահանակ',
	'wikieditor-toolbar-preference' => 'Ակտիվացնել բարելավված խմբագրման վահանակը',
	'wikieditor-toolbar-dialogs-preference' => 'Ակտիվացնել երկխոսությունները հղումների, աղյուսակների և այլնի համար',
	'wikieditor-toolbar-loading' => 'Բեռնում…',
	'wikieditor-toolbar-tool-bold' => 'Թավատառ',
	'wikieditor-toolbar-tool-bold-example' => 'Թավատառ տեքստ',
	'wikieditor-toolbar-tool-italic' => 'Շեղատառ',
	'wikieditor-toolbar-tool-italic-example' => 'Շեղատառ տեքստ',
	'wikieditor-toolbar-tool-ilink' => 'Ներքին հղում',
	'wikieditor-toolbar-tool-ilink-example' => 'Հղման վերնագիր',
	'wikieditor-toolbar-tool-xlink' => 'Արտաքին հղում (հիշեք ավելացնել http:// նախածանցը)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com հղման վերնագիրը',
	'wikieditor-toolbar-tool-link' => 'Հղում',
	'wikieditor-toolbar-tool-link-title' => 'Ավելացնել հղում',
	'wikieditor-toolbar-tool-link-int' => 'Վիքիի էջին',
	'wikieditor-toolbar-tool-link-int-target' => 'Էջի վերնագիր․',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Էջի վերնագիր կամ URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Հղման տեսքստ․',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Ներմուծեք տեքստը, որ պետք է ցուցադրվի',
	'wikieditor-toolbar-tool-link-ext' => 'Արտաքին վեբ էջին',
	'wikieditor-toolbar-tool-link-ext-target' => 'Հղման URL․',
	'wikieditor-toolbar-tool-link-ext-text' => 'Հղման տեքստ․',
	'wikieditor-toolbar-tool-link-insert' => 'Ավելացնել հղում',
	'wikieditor-toolbar-tool-link-cancel' => 'Բեկանել',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Էջը գոյություն ունի',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Էջը գոյություն չունի',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Սխալ վերնագիր',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Արտաքին հղում',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Էջի գոյության ստուգում…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Ձեր նշած վերնագիրը անթույլատրելի է։',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Ձեր նշած URL-ը նման է վիքիի այլ էջին հղմանը։
Դուք ուզո՞ւմ եք այս հղումը սարքել ներքին։',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ներքին հղում',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Արտաքին հղում',
	'wikieditor-toolbar-tool-link-empty' => 'Դուք հղվելու որևէ բան չեք նշել։',
	'wikieditor-toolbar-tool-file' => 'Ներկառուցված նիշք',
	'wikieditor-toolbar-tool-file-example' => 'Օրինակ.jpg',
	'wikieditor-toolbar-tool-reference' => 'Ծանոթագրություն',
	'wikieditor-toolbar-tool-reference-example' => 'Գրեք այստեղ ծանոթագրության տեքստը',
	'wikieditor-toolbar-tool-reference-cancel' => 'Բեկանել',
	'wikieditor-toolbar-tool-reference-title' => 'Ավելացնել ծանոթագրություն',
	'wikieditor-toolbar-tool-reference-insert' => 'Ավելացնել',
	'wikieditor-toolbar-tool-reference-text' => 'Ծանոթագրության տեքստը',
	'wikieditor-toolbar-tool-signature' => 'Ստորագրությունը ամսաթվով',
	'wikieditor-toolbar-section-advanced' => 'Ընդլայնված',
	'wikieditor-toolbar-tool-heading' => 'Վերնագիր',
	'wikieditor-toolbar-tool-heading-1' => '1-ին մակարդակի',
	'wikieditor-toolbar-tool-heading-2' => '2-րդ մակարդակի',
	'wikieditor-toolbar-tool-heading-3' => '3-րդ մակարդակի',
	'wikieditor-toolbar-tool-heading-4' => '4-րդ մակարդակի',
	'wikieditor-toolbar-tool-heading-5' => '5-րդ մակարդակի',
	'wikieditor-toolbar-tool-heading-example' => 'Վերնագրի տեքստ',
	'wikieditor-toolbar-group-format' => 'Ձևավորել',
	'wikieditor-toolbar-tool-ulist' => 'Չհամարակալած ցանկ',
	'wikieditor-toolbar-tool-ulist-example' => 'Չհամարակալած ցանկի տարր',
	'wikieditor-toolbar-tool-olist' => 'Համարակալած ցանկ',
	'wikieditor-toolbar-tool-olist-example' => 'Համարակալած ցանկի տարր',
	'wikieditor-toolbar-tool-indent' => 'Խորքից',
	'wikieditor-toolbar-tool-indent-example' => 'Խորքից գրված տող',
	'wikieditor-toolbar-tool-nowiki' => 'Անտեսել վիքի ձևավորումը',
	'wikieditor-toolbar-tool-nowiki-example' => 'Մուտքագրեք չձևավորված տեքստը այստեղ',
	'wikieditor-toolbar-tool-redirect' => 'Վերահղում',
	'wikieditor-toolbar-tool-redirect-example' => 'անվանումով էջին',
	'wikieditor-toolbar-tool-big' => 'Խոշոր',
	'wikieditor-toolbar-tool-big-example' => 'Խոշոր տեքստ',
	'wikieditor-toolbar-tool-small' => 'Մանր',
	'wikieditor-toolbar-tool-small-example' => 'Մանր տեքստ',
	'wikieditor-toolbar-tool-superscript' => 'Վերտողային',
	'wikieditor-toolbar-tool-superscript-example' => 'Վերտողային տեքստ',
	'wikieditor-toolbar-tool-subscript' => 'Ենթատողային',
	'wikieditor-toolbar-tool-subscript-example' => 'Ենթատողային տեքստ',
	'wikieditor-toolbar-group-insert' => 'Ավելացնել',
	'wikieditor-toolbar-tool-gallery' => 'Պատկերասրահ',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Նկարագրություն1
$1:Example.jpg|Նկարագրություն2',
	'wikieditor-toolbar-tool-newline' => 'Նոր տող',
	'wikieditor-toolbar-tool-table' => 'Աղյուսակ',
	'wikieditor-toolbar-tool-table-example-old' => '-
! վերնագիր 1
! վերնագիր 2
! վերնագիր 3
|-
| տող 1, սյունակ 1
| տող 1, սյունակ 2
| տող 1, սյունակ 3
|-
| տող 2, սյունակ 1
| տող 2, սյունակ 2
| տող 2, սյունակ 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Վանդակի տեքստ',
	'wikieditor-toolbar-tool-table-example-header' => 'Վերնագրի տեքստ',
	'wikieditor-toolbar-tool-table-title' => 'Ավելացնել աղյուսակ',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Տողեր',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Սյունակներ',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Ավելացնել վերնագրերի տող',
	'wikieditor-toolbar-tool-table-wikitable' => 'Եզրազարդել աղյուսակը',
	'wikieditor-toolbar-tool-table-sortable' => 'Աղյուսակը դասավորվող անել',
	'wikieditor-toolbar-tool-table-example' => 'Վանդակի տեքստ',
	'wikieditor-toolbar-tool-table-preview' => 'Նախադիտում',
	'wikieditor-toolbar-tool-table-insert' => 'Ավելացնել',
	'wikieditor-toolbar-tool-table-cancel' => 'Բեկանել',
	'wikieditor-toolbar-tool-table-toomany' => 'Այս երկխոսության միջոցով հնարավոր չէ $1 վանդակից ավել վանդակ ունեցող աղյուսակ ստեղծել։',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Դուք չեք նշել տողերի կամ սյունակների թույլատրելի քանակ։',
	'wikieditor-toolbar-tool-table-zero' => 'Դուք չեք կարող ավելացնել տողերի կամ սյունակների զրոյական քանակությամբ աղյուսակ։',
	'wikieditor-toolbar-tool-replace' => 'Որոնում և փոխարինում',
	'wikieditor-toolbar-tool-replace-title' => 'Որոնում և փոխարինում',
	'wikieditor-toolbar-tool-replace-search' => 'Որոնել․',
	'wikieditor-toolbar-tool-replace-replace' => 'Եվ փոխարինել․',
	'wikieditor-toolbar-tool-replace-case' => 'Համընկում ըստ տառաշարի (մեծատառ/փոքրատառ)',
	'wikieditor-toolbar-tool-replace-regex' => 'Որոնման տողը ընկալել որպես regular expression',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Գտնել հաջորդը',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Փոխարինել բոլորը',
	'wikieditor-toolbar-tool-replace-close' => 'Բեկանել',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ձեր որոնմանը համապատասխանող արդյունքներ չեն գտնվել։',
	'wikieditor-toolbar-tool-replace-success' => 'Կատարվել է $1 փոխարինում։',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Դուք որոնելու որևէ բան չեք նշել։',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ձեր նշած regular expression-ը սխալ է․ $1',
	'wikieditor-toolbar-section-characters' => 'Հատուկ նշաններ',
	'wikieditor-toolbar-characters-page-latin' => 'Լատիներեն',
	'wikieditor-toolbar-characters-page-latinextended' => 'Լատիներեն ընդլայնված',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Սիմվոլներ',
	'wikieditor-toolbar-characters-page-greek' => 'Հունարեն',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Կիրիլիցա',
	'wikieditor-toolbar-characters-page-arabic' => 'Արաբերեն',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Արաբերեն ընդլայնված',
	'wikieditor-toolbar-characters-page-hebrew' => 'Եբրայերեն',
	'wikieditor-toolbar-characters-page-bangla' => 'Բենգալերեն',
	'wikieditor-toolbar-characters-page-telugu' => 'Տելուգու',
	'wikieditor-toolbar-characters-page-sinhala' => 'Սինհալերեն',
	'wikieditor-toolbar-characters-page-gujarati' => 'Գուջարատի',
	'wikieditor-toolbar-section-help' => 'Օգնություն',
	'wikieditor-toolbar-help-heading-description' => 'Նկարագրություն',
	'wikieditor-toolbar-help-heading-syntax' => 'Ինչ եք հավաքում',
	'wikieditor-toolbar-help-heading-result' => 'Ինչ եք ստանում',
	'wikieditor-toolbar-help-page-format' => 'Ձևավորում',
	'wikieditor-toolbar-help-page-link' => 'Հղումներ',
	'wikieditor-toolbar-help-page-heading' => 'Վերնագրեր',
	'wikieditor-toolbar-help-page-list' => 'Ցանկեր',
	'wikieditor-toolbar-help-page-file' => 'Նիշքեր',
	'wikieditor-toolbar-help-page-reference' => 'Ծանոթագրություններ',
	'wikieditor-toolbar-help-page-discussion' => 'Քննարկում',
	'wikieditor-toolbar-help-content-italic-description' => 'Շեղատառ',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Շեղատառ տեքստ''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Շեղատառ տեքստ</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Թավատառ',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Թավատառ տեքստ'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Թավատառ տեքստ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Թավատառ և շեղատառ',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Թավատառ և շեղատառ տեքստ'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Թավատառ և շեղատառ տեքստ</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ներքին հղում',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Էջի անվանում|հղման տեքստ]]<br />[[Էջի անվանում]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>հղման տեքստ</a><br /><a href='#'>Էջի անվանում</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Արտաքին հղում',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Հղման տեքստ]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Հղման տեքստ</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-րդ մակարդակի վերնագիր',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Վերնագրի տեքստ ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Վերնագրի տեքստ</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-րդ մակարդակի վերնագիր',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Վերնագրի տեքստ ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Վերնագրի տեքստ</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-րդ մակարդակի վերնագիր',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Վերնագրի տեքստ ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Վերնագրի տեքստ</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-րդ մակարդակի վերնագիր',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Վերնագրի տեքստ =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Վերնագրի տեքստ</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Չհամարակալած ցանկ',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ցանկի տարր<br />* Ցանկի տարր',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ցանկի տարր</li><li>Ցանկի տարր</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Համարակալած ցանկ',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Ցանկի տարր<br /># Ցանկի տարր',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ցանկի տարր</li><li>Ցանկի տարր</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ներկառուցված նիշք',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Նկարագրություն]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Նկարագրություն' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Ընդարձակել' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Նկարագրություն</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Ծանոթագրություն',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Տեքստ էջում&lt;ref name="test"&gt;[http://www.example.org Հղման տեքստ], հավելյալ տեքստ։&lt;/ref&gt;։',
	'wikieditor-toolbar-help-content-reference-result' => "Տեքստ էջում<sup><a href='#'>[1]</a></sup>։",
	'wikieditor-toolbar-help-content-rereference-description' => 'Նույն ծանոթագրության կրկնակի օգտագործում',
	'wikieditor-toolbar-help-content-rereference-result' => "Տեքստ էջում<sup><a href='#'>[1]</a></sup>։",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Ցուցադրել ծանոթագրությունները',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Հղման տեքստ</a>, հավելյալ տեքստ։</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ստորագրությունը ամսաթվով',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Մասնակցի Անուն</a> (<a href='#' title='{{#special:mytalk}}'>քննարկում</a>) 15:54, 29 հունիս 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ստորագրություն',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Մասնակցի Անուն</a> (<a href='#' title='{{#special:mytalk}}'>քննարկում</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Խորքից',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Սովորական տեքստ<br />:Խորքից գրված տեքստ<br />::Խորքից գրված տեքստ',
	'wikieditor-toolbar-help-content-indent-result' => 'Սովորական տեքստ<dl><dd>Խորքից գրված տեքստ<dl><dd>Խորքից գրված տեքստ</dd></dl></dd></dl>',
);

/** Interlingua (Interlingua)
 * @author McDutchie
 */
$messages['ia'] = array(
	'wikieditor' => 'Interfacie avantiate de modification de wikitexto',
	'wikieditor-desc' => 'Forni un interfacie de modification de wikitexto extensibile con multe modulos a functiones additional',
	'wikieditor-wikitext-tab' => 'Wikitexto',
	'wikieditor-loading' => 'Carga…',
	'wikieditor-preview-preference' => 'Activar le previsualisation latere a latere',
	'wikieditor-preview-tab' => 'Previsualisation',
	'wikieditor-preview-changes-tab' => 'Modificationes',
	'wikieditor-preview-loading' => 'Cargamento...',
	'wikieditor-previewDialog-preference' => 'Activar le dialogo de previsualisation',
	'wikieditor-previewDialog-tab' => 'Previsualisation',
	'wikieditor-previewDialog-loading' => 'Cargamento...',
	'wikieditor-publish-preference' => 'Activar publication passo a passo',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancellar',
	'wikieditor-publish-dialog-title' => 'Publicar in {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Summario del modification (describe brevemente le cambios que tu ha facite):',
	'wikieditor-publish-dialog-minor' => 'Modification minor',
	'wikieditor-publish-dialog-watch' => 'Observar iste pagina',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Retornar',
	'wikieditor-template-editor-preference' => 'Permitter le modification de patronos wiki con formularios',
	'wikieditor-template-editor-dialog-title' => 'Modificar patrono',
	'wikieditor-template-editor-dialog-submit' => 'Actualisar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancellar',
	'wikieditor-templates-preference' => 'Activar patronos plicabile',
	'wikieditor-toc-preference' => 'Activar le tabula de contento navigabile',
	'wikieditor-toc-show' => 'Revelar contento',
	'wikieditor-toc-hide' => 'Celar contento',
	'wikieditor-toolbar' => 'Instrumentario de modification',
	'wikieditor-toolbar-desc' => 'Barra con instrumentos de modification con augmento de usabilitate',
	'wikieditor-toolbar-preference' => 'Activar le instrumentario de modification meliorate',
	'wikieditor-toolbar-dialogs-preference' => 'Activar dialogos pro inserer ligamines, tabulas e plus',
	'wikieditor-toolbar-hidesig' => 'Celar le button de signatura in paginas in le spatio de nomines principal',
	'wikieditor-toolbar-loading' => 'Cargamento in curso…',
	'wikieditor-toolbar-tool-bold' => 'Grasse',
	'wikieditor-toolbar-tool-bold-example' => 'Texto grasse',
	'wikieditor-toolbar-tool-italic' => 'Italic',
	'wikieditor-toolbar-tool-italic-example' => 'Texto italic',
	'wikieditor-toolbar-tool-ilink' => 'Ligamine interne',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulo del ligamine',
	'wikieditor-toolbar-tool-xlink' => 'Ligamine externe (non oblida le prefixo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titulo del ligamine',
	'wikieditor-toolbar-tool-link' => 'Ligamine',
	'wikieditor-toolbar-tool-link-title' => 'Inserer ligamine',
	'wikieditor-toolbar-tool-link-int' => 'A un pagina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Titulo del pagina:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titulo o URL del pagina',
	'wikieditor-toolbar-tool-link-int-text' => 'Texto del ligamine:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Entra le texto que debe esser monstrate',
	'wikieditor-toolbar-tool-link-ext' => 'A un pagina web externe',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL del ligamine:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Texto del ligamine:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserer ligamine',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancellar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Pagina existente',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Pagina non existente',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titulo invalide',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ligamine externe',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Verifica existentia del pagina...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Le titulo que tu specificava es invalide.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Le URL que tu specificava pare esser intendite como ligamine a un altere pagina wiki.
Vole tu facer lo un ligamine interne?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ligamine interne',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ligamine externe',
	'wikieditor-toolbar-tool-link-empty' => 'Tu ha entrate nihil a que ligar.',
	'wikieditor-toolbar-tool-file' => 'File incastrate',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referentia',
	'wikieditor-toolbar-tool-reference-example' => 'Inserer hic le texto del nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancellar',
	'wikieditor-toolbar-tool-reference-title' => 'Inserer un referentia',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserer',
	'wikieditor-toolbar-tool-reference-text' => 'Texto del referentia',
	'wikieditor-toolbar-tool-signature' => 'Signatura con data e hora',
	'wikieditor-toolbar-section-advanced' => 'Avantiate',
	'wikieditor-toolbar-tool-heading' => 'Titulo',
	'wikieditor-toolbar-tool-heading-1' => 'Nivello 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivello 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivello 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivello 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivello 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto del titulo',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Lista a punctos',
	'wikieditor-toolbar-tool-ulist-example' => 'Elemento de lista a punctos',
	'wikieditor-toolbar-tool-olist' => 'Lista numerate',
	'wikieditor-toolbar-tool-olist-example' => 'Elemento de lista numerate',
	'wikieditor-toolbar-tool-indent' => 'Indentation',
	'wikieditor-toolbar-tool-indent-example' => 'Linea indentate',
	'wikieditor-toolbar-tool-nowiki' => 'Nulle formatation wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Insere texto non formatate hic',
	'wikieditor-toolbar-tool-redirect' => 'Redirection',
	'wikieditor-toolbar-tool-redirect-example' => 'Nomine del pagina de destination',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Texto grande',
	'wikieditor-toolbar-tool-small' => 'Micre',
	'wikieditor-toolbar-tool-small-example' => 'Texto micre',
	'wikieditor-toolbar-tool-superscript' => 'Superscripto',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto in superscripto',
	'wikieditor-toolbar-tool-subscript' => 'Subscripto',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto in subscripto',
	'wikieditor-toolbar-group-insert' => 'Inserer',
	'wikieditor-toolbar-tool-gallery' => 'Galeria de imagines',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemplo.jpg|Legenda1
$1:Exemplo.jpg|Legenda2',
	'wikieditor-toolbar-tool-newline' => 'Nove linea',
	'wikieditor-toolbar-tool-table' => 'Tabella',
	'wikieditor-toolbar-tool-table-example-old' => '-
! capite 1
! capite 2
! capite 3
|-
| linea 1, cellula 1
| linea 1, cellula 2
| linea 1, cellula 3
|-
| linea 2, cellula 1
| linea 2, cellula 2
| linea 2, cellula 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texto del cellula',
	'wikieditor-toolbar-tool-table-example-header' => 'Texto del capite',
	'wikieditor-toolbar-tool-table-title' => 'Inserer tabella',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Lineas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Columnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Includer linea de capite',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stilo con bordos',
	'wikieditor-toolbar-tool-table-sortable' => 'Render tabella assortibile',
	'wikieditor-toolbar-tool-table-example' => 'Texto del cellula',
	'wikieditor-toolbar-tool-table-preview' => 'Previsualisation',
	'wikieditor-toolbar-tool-table-insert' => 'Inserer',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancellar',
	'wikieditor-toolbar-tool-table-toomany' => 'Inserer un tabula con plus de $1 cellulas non es possibile con iste dialogo.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Tu non ha entrate un numero valide de lineas o columnas.',
	'wikieditor-toolbar-tool-table-zero' => 'Tu non pote inserer un tabula con zero lineas o columnas.',
	'wikieditor-toolbar-tool-replace' => 'Cercar e reimplaciar',
	'wikieditor-toolbar-tool-replace-title' => 'Cercar e reimplaciar',
	'wikieditor-toolbar-tool-replace-search' => 'Cercar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Reimplaciar per:',
	'wikieditor-toolbar-tool-replace-case' => 'Distinguer inter majusculas e minusculas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tractar le catena de recerca como un expression regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cercar sequente',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Reimplaciar',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Reimplaciar toto',
	'wikieditor-toolbar-tool-replace-close' => 'Clauder',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Tu recerca non ha producite resultatos.',
	'wikieditor-toolbar-tool-replace-success' => '$1 reimplaciamentos facite.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Tu non entrava texto a cercar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Le expression regular que tu entrava es invalide: $1',
	'wikieditor-toolbar-section-characters' => 'Characteres special',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin extendite',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Greco',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillic',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabe extendite',
	'wikieditor-toolbar-characters-page-persian' => 'Persiano',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thailandese',
	'wikieditor-toolbar-characters-page-lao' => 'Laotiano',
	'wikieditor-toolbar-characters-page-khmer' => 'Cambodgiano',
	'wikieditor-toolbar-section-help' => 'Adjuta',
	'wikieditor-toolbar-help-heading-description' => 'Description',
	'wikieditor-toolbar-help-heading-syntax' => 'Entrata',
	'wikieditor-toolbar-help-heading-result' => 'Resultato',
	'wikieditor-toolbar-help-page-format' => 'Formatation',
	'wikieditor-toolbar-help-page-link' => 'Ligamines',
	'wikieditor-toolbar-help-page-heading' => 'Titulos',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Files',
	'wikieditor-toolbar-help-page-reference' => 'Referentias',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Italic',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto italic''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto italic</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grasse',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto grasse'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto grasse</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grasse &amp; italic',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto grasse &amp; italic'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto grasse &amp; italic</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ligamine interne',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titulo del pagina|Texto del ligamine]]<br />[[Titulo del pagina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Texto del ligamine</a><br /><a href='#'>Titulo del pagina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ligamine externe',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Texto del ligamine]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texto del ligamine</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titulo del secunde nivello',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Texto del titulo ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Texto del titulo</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titulo del tertie nivello',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Texto del titulo ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Texto del titulo</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titulo del quarte nivello',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Texto del titulo ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Texto del titulo</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titulo del quinte nivello',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Texto del titulo =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Texto del titulo</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista a punctos',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Elemento del lista<br />* Elemento del lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Elemento del lista</li><li>Elemento del lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerate',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Elemento del lista<br /># Elemento del lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Elemento del lista</li><li>Elemento del lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'File incastrate',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemplo.png|thumb|Texto del legenda]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Texto del legenda' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Texto del legenda</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referentia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto del pagina.&lt;ref name="test"&gt;[http://www.example.org Texto del ligamine], texto additional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texto del pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Uso additional del mesme referentia',
	'wikieditor-toolbar-help-content-rereference-result' => "Texto del pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Monstrar referentias',
	'wikieditor-toolbar-help-content-showreferences-result' => "ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Texto del ligamine</a>, texto additional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura con data e hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nomine de usator</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>) 15:54, 10 junio 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nomine de usator</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentation',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto indentate<br />::Texto indentate',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto indentate<dl><dd>Texto indentate</dd></dl></dd></dl>',
);

/** Indonesian (Bahasa Indonesia)
 * @author Bennylin
 * @author Farras
 * @author Irwangatot
 * @author IvanLanin
 * @author Kenrick95
 */
$messages['id'] = array(
	'wikieditor' => 'Antarmuka penyuntingan teks wiki canggih',
	'wikieditor-desc' => 'Menyediakan antarmuka penyuntingan teks wiki yang lebih berkembang dan banyak modul penyedia fitur',
	'wikieditor-wikitext-tab' => 'TeksWiki',
	'wikieditor-loading' => 'Pembebanan',
	'wikieditor-preview-preference' => 'Aktifkan pratayang bersisian',
	'wikieditor-preview-tab' => 'Pratayang',
	'wikieditor-preview-changes-tab' => 'Perubahan',
	'wikieditor-preview-loading' => 'Mengunggah...',
	'wikieditor-previewDialog-preference' => 'Izinkan kotak pratayang',
	'wikieditor-previewDialog-tab' => 'Pratayang',
	'wikieditor-previewDialog-loading' => 'Mengunggah...',
	'wikieditor-publish-preference' => 'Aktifkan penerbitan langkah demi langkah',
	'wikieditor-publish-button-publish' => 'Terbitkan',
	'wikieditor-publish-button-cancel' => 'Batalkan',
	'wikieditor-publish-dialog-title' => 'Terbitkan ke',
	'wikieditor-publish-dialog-summary' => 'Ringkasan suntingan (jelaskan dengan ringkas perubahan yang Anda buat):',
	'wikieditor-publish-dialog-minor' => 'Suntingan kecil',
	'wikieditor-publish-dialog-watch' => 'Pantau halaman ini',
	'wikieditor-publish-dialog-publish' => 'Terbitkan',
	'wikieditor-publish-dialog-goback' => 'Kembali',
	'wikieditor-template-editor-preference' => 'Aktifkan penyuntingan berbasis form dari templat wiki',
	'wikieditor-template-editor-dialog-title' => 'Sunting templat',
	'wikieditor-template-editor-dialog-submit' => 'Perbarui',
	'wikieditor-template-editor-dialog-cancel' => 'Batalkan',
	'wikieditor-templates-preference' => 'Aktifkan fungsi menutup templat',
	'wikieditor-toc-preference' => 'Daftar isi yang dapat dinavigasi',
	'wikieditor-toc-show' => 'Tampilkan isi',
	'wikieditor-toc-hide' => 'Sembunyikan isi',
	'wikieditor-toolbar' => 'Bilah alat penyuntingan',
	'wikieditor-toolbar-desc' => 'Bilah alat penyuntingan dengan kebergunaan yang ditingkatkan',
	'wikieditor-toolbar-preference' => 'Aktifkan bilah alat penyuntingan yang telah ditingkatkan',
	'wikieditor-toolbar-dialogs-preference' => 'Aktifkan bantuan untuk menambahkan pranala, tabel dan lainnya',
	'wikieditor-toolbar-hidesig' => 'Sembunyikan tombol tanda tangan dari halaman pada ruang nama utama',
	'wikieditor-toolbar-loading' => 'Mengunggah...',
	'wikieditor-toolbar-tool-bold' => 'Tebal',
	'wikieditor-toolbar-tool-bold-example' => 'Teks tebal',
	'wikieditor-toolbar-tool-italic' => 'Miring',
	'wikieditor-toolbar-tool-italic-example' => 'Teks miring',
	'wikieditor-toolbar-tool-ilink' => 'Pranala internal',
	'wikieditor-toolbar-tool-ilink-example' => 'Judul pranala',
	'wikieditor-toolbar-tool-xlink' => 'Pranala luar (ingat prefiks http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.contoh.com judul pranala',
	'wikieditor-toolbar-tool-link' => 'Pranala',
	'wikieditor-toolbar-tool-link-title' => 'Masukkan pranala',
	'wikieditor-toolbar-tool-link-int' => 'Ke halaman wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Judul pranala:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Masukkan judul atau URL halaman',
	'wikieditor-toolbar-tool-link-int-text' => 'Teks pranala:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Masukkan teks yang harus ditampilkan',
	'wikieditor-toolbar-tool-link-ext' => 'Ke halaman web eksternal',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL pranala:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Teks pranala',
	'wikieditor-toolbar-tool-link-insert' => 'Masukkan pranala',
	'wikieditor-toolbar-tool-link-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Halaman sudah ada',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Halaman tidak ada',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Judul tidak sah',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Pranala luar',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Memeriksa keberadaan halaman...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Judul yang Anda berikan tidak sah.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL yang Anda berikan tampaknya merupakan pranala ke halaman wiki lain.
Apakah Anda ingin membuatnya menjadi pranala internal?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Pranala internal',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Pranala luar',
	'wikieditor-toolbar-tool-link-empty' => 'Anda tidak memasukkan apa pun untuk ditautkan.',
	'wikieditor-toolbar-tool-file' => 'Sisipkan berkas',
	'wikieditor-toolbar-tool-file-example' => 'Contoh.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referensi',
	'wikieditor-toolbar-tool-reference-example' => 'Sisipkan teks catatan kaki di sini',
	'wikieditor-toolbar-tool-reference-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-reference-title' => 'Masukkan referensi',
	'wikieditor-toolbar-tool-reference-insert' => 'Masukkan',
	'wikieditor-toolbar-tool-reference-text' => 'Teks referensi',
	'wikieditor-toolbar-tool-signature' => 'Tanda tangan dan waktu',
	'wikieditor-toolbar-section-advanced' => 'Lanjutan',
	'wikieditor-toolbar-tool-heading' => 'Judul',
	'wikieditor-toolbar-tool-heading-1' => 'Tingkat 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tingkat 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tingkat 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tingkat 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tingkat 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teks judul',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Daftar dengan poin',
	'wikieditor-toolbar-tool-ulist-example' => 'Baris isi',
	'wikieditor-toolbar-tool-olist' => 'Daftar bernomor',
	'wikieditor-toolbar-tool-olist-example' => 'Baris isi',
	'wikieditor-toolbar-tool-indent' => 'Lekukan',
	'wikieditor-toolbar-tool-indent-example' => 'Baris terlekuk',
	'wikieditor-toolbar-tool-nowiki' => 'Tidak ada pemformatan wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Masukkan teks yang tidak akan diformat di sini',
	'wikieditor-toolbar-tool-redirect' => 'Pengalihan',
	'wikieditor-toolbar-tool-redirect-example' => 'Nama halaman tujuan',
	'wikieditor-toolbar-tool-big' => 'Besar',
	'wikieditor-toolbar-tool-big-example' => 'Teks besar',
	'wikieditor-toolbar-tool-small' => 'Kecil',
	'wikieditor-toolbar-tool-small-example' => 'Teks kecil',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Teks superscript',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Teks subscript',
	'wikieditor-toolbar-group-insert' => 'Masukkan',
	'wikieditor-toolbar-tool-gallery' => 'Galeri gambar',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Contoh.jpg|Judul1
$1:Contoh.jpg|Judul2',
	'wikieditor-toolbar-tool-newline' => 'Baris baru',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '	-
! judul bagian 1
! judul bagian 2
! judul bagian 3
|-
| baris 1, sel 1
| baris 1, sel 2
| baris 1, sel 3
|-
| baris 2, sel 1
| baris 2, sel 2
| baris 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teks sel',
	'wikieditor-toolbar-tool-table-example-header' => 'Teks judul',
	'wikieditor-toolbar-tool-table-title' => 'Masukkan tabel',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Baris',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolom',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Sertakan baris',
	'wikieditor-toolbar-tool-table-wikitable' => 'Gaya dengan bingkai',
	'wikieditor-toolbar-tool-table-sortable' => 'Buat tabel dapat diurutkan',
	'wikieditor-toolbar-tool-table-example' => 'Teks sel',
	'wikieditor-toolbar-tool-table-preview' => 'Pratayang',
	'wikieditor-toolbar-tool-table-insert' => 'Masukkan',
	'wikieditor-toolbar-tool-table-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-table-toomany' => 'Anda tidak dapat membuat tabel dengan jumlah sel yang lebih dari $1',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Anda tidak memasukkan jumlah kolom atau baris yang sah',
	'wikieditor-toolbar-tool-table-zero' => 'Anda tidak dapat memasukkan tabel dengan jumlah baris atau kolom nol.',
	'wikieditor-toolbar-tool-replace' => 'Cari dan gantikan',
	'wikieditor-toolbar-tool-replace-title' => 'Cari dan ganti',
	'wikieditor-toolbar-tool-replace-search' => 'Cari:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ganti dengan:',
	'wikieditor-toolbar-tool-replace-case' => 'Cocokkan huruf besar/kecil',
	'wikieditor-toolbar-tool-replace-regex' => "Perlakukan string pencarian sebagai ''regular expression (regex)''",
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cari berikutnya',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ganti semua',
	'wikieditor-toolbar-tool-replace-close' => 'Tutup',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Pencarian Anda tidak membuahkan hasil.',
	'wikieditor-toolbar-tool-replace-success' => 'Terjadi $1 penggantian.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Anda tidak memasukan apa pun untuk di pencarian.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Kalimat biasa yang Anda masukkan tidak sah: $1',
	'wikieditor-toolbar-section-characters' => 'Karakter spesial',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Ekstensi Latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbol',
	'wikieditor-toolbar-characters-page-greek' => 'Yunani',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Sirilik',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-persian' => 'Persia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ibrani',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Bantuan',
	'wikieditor-toolbar-help-heading-description' => 'Keterangan',
	'wikieditor-toolbar-help-heading-syntax' => 'Yang Anda ketikkan',
	'wikieditor-toolbar-help-heading-result' => 'Hasil tampilan',
	'wikieditor-toolbar-help-page-format' => 'Pemformatan',
	'wikieditor-toolbar-help-page-link' => 'Pranala',
	'wikieditor-toolbar-help-page-heading' => 'Judul',
	'wikieditor-toolbar-help-page-list' => 'Daftar',
	'wikieditor-toolbar-help-page-file' => 'Berkas',
	'wikieditor-toolbar-help-page-reference' => 'Referensi',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusi',
	'wikieditor-toolbar-help-content-italic-description' => 'Cetak miring',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teks miring''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teks miring</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tebal',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Teks tebal'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teks tebal</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tebal &amp; miring',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Teks tebal &amp; miring'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teks tebal &amp; miring</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Pranala internal',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Judul halaman|Judul pranala]]<br />[[Judul halaman]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Label pranala</a><br /><a href='#'>Judul halaman</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Pranala luar',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.contoh.org Label pranala]<br />[http://www.contoh.org]<br />http://www.contoh.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Label pranala</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.contoh.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Judul bagian tingkat kedua',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Teks judul ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Teks judul</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Judul bagian tingkat ketiga',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Teks judul ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Teks judul</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Judul bagian tingkat keempat',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Teks judul ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Teks judul</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Judul bagian tingkat kelima',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Teks judul =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Teks judul</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Daftar berpoin',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Isi daftar<br />* Isi daftar',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Isi daftar</li><li>Isi daftar</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Daftar bernomor',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Isi daftar<br /># Isi daftar',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Isi daftar</li><li>Isi daftar</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Menyisipkan berkas',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Contoh.png|thumb|Teks judul gambar]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Teks judul gambar' class='image' href='/wiki/Berkas:Wiki.png'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Perbesar' class='internal' href='/wiki/Berkas:Wiki.png'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teks judul gambar</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referensi',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teks halaman.&lt;ref name="test"&gt;[http://www.contoh.org Teks pranala], teks tambahan.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teks halaman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Penggunaan kembali referensi yang sama',
	'wikieditor-toolbar-help-content-rereference-result' => "Teks halaman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Menampilkan referensi',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.contoh.org' class='external text' href='#'>Teks pranala</a>, teks tambahan.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Tanda tangan dengan waktu',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Name pengguna</a> (<a href='#' title='{{#special:mytalk}}'>bicara</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tanda tangan',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nama pengguna</a> (<a href='#' title='{{#special:mytalk}}'>bicara</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Inden',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teks biasa<br />:Teks inden<br />::Teks inden',
	'wikieditor-toolbar-help-content-indent-result' => 'Teks normal<dl><dd>Teks inden<dl><dd>Teks inden</dd></dl></dd></dl>',
);

/** Igbo (Igbo)
 * @author Ukabia
 */
$messages['ig'] = array(
	'wikieditor-loading' => 'Ọ na biá',
	'wikieditor-preview-changes-tab' => 'Ihe gbanwere',
	'wikieditor-preview-loading' => 'Ọ biágó...',
	'wikieditor-previewDialog-tab' => 'Lètú',
	'wikieditor-publish-button-publish' => 'Bìpụta',
	'wikieditor-publish-button-cancel' => 'Kàchá',
	'wikieditor-publish-dialog-minor' => 'Orü ntà',
	'wikieditor-publish-dialog-publish' => 'Bìpụta',
	'wikieditor-publish-dialog-goback' => 'Gá na àzú',
	'wikieditor-template-editor-dialog-title' => 'Rüwa àtụ',
	'wikieditor-template-editor-dialog-submit' => 'Dịnwanye mmā',
	'wikieditor-template-editor-dialog-cancel' => 'Kàchá',
	'wikieditor-toc-show' => 'Zí ihe di ímé',
	'wikieditor-toc-hide' => 'Zonari ihe di ímé',
	'wikieditor-toolbar-loading' => 'Ọ biágó...',
	'wikieditor-toolbar-tool-bold' => 'Shí íke',
	'wikieditor-toolbar-tool-bold-example' => 'Mkpúrù èdè íke',
	'wikieditor-toolbar-tool-italic' => 'Édémédé nsem',
	'wikieditor-toolbar-tool-italic-example' => 'Mkpurụ okwu sélénsé',
	'wikieditor-toolbar-tool-ilink' => 'Jikodo nke ímé',
	'wikieditor-toolbar-tool-ilink-example' => 'Ishi edemede nke jikodo',
	'wikieditor-toolbar-tool-link' => 'Jikodo',
	'wikieditor-toolbar-tool-link-title' => 'Tìnyé jikodo',
	'wikieditor-toolbar-tool-link-ext-target' => 'Jikodo URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Jikodo mkpúrù èdè:',
	'wikieditor-toolbar-tool-link-cancel' => 'Kàchá',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Ihü dị',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Jikodo di èzí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Kàchá',
	'wikieditor-toolbar-tool-reference-insert' => 'Tìnyé',
	'wikieditor-toolbar-tool-heading-1' => 'Ọtú 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ọtú 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ọtú 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ọtú 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ọtú 5',
	'wikieditor-toolbar-tool-heading-example' => 'Mkpụrụ édé íshí',
	'wikieditor-toolbar-tool-big' => 'Ukwu',
	'wikieditor-toolbar-tool-big-example' => 'Mkpụrụ okwu nke ukwu',
	'wikieditor-toolbar-tool-small' => 'Ntàkiri',
	'wikieditor-toolbar-tool-small-example' => 'Mkpụrụ okwu nke ntàkịrị',
	'wikieditor-toolbar-tool-newline' => 'Áhịrị ohürù',
	'wikieditor-toolbar-tool-table' => 'Agada',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Ǹdịlị',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Ogìdì',
	'wikieditor-toolbar-tool-table-cancel' => 'Kàchá',
	'wikieditor-toolbar-tool-replace-search' => 'Chọwa màkà:',
	'wikieditor-toolbar-tool-replace-close' => 'Mèchié',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin dọrọ',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Nkárí',
	'wikieditor-toolbar-characters-page-greek' => 'Greek',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillic',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiki',
	'wikieditor-toolbar-characters-page-persian' => 'Asụsụ Persia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Asụsụ Hebrew',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Asụsụ Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Asụsụ Laos',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Nkwádo',
	'wikieditor-toolbar-help-heading-description' => 'Nkówká ihe ȯ bụ',
	'wikieditor-toolbar-help-page-link' => 'Jikodo',
	'wikieditor-toolbar-help-page-heading' => 'Íshí édé',
	'wikieditor-toolbar-help-page-list' => 'Ndetu',
	'wikieditor-toolbar-help-page-file' => 'Usòrò',
	'wikieditor-toolbar-help-page-discussion' => 'Ákíkó',
	'wikieditor-toolbar-help-content-italic-description' => 'Édémédé nsem',
	'wikieditor-toolbar-help-content-bold-description' => 'Shí íke',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Édémédé shírí íké'''",
	'wikieditor-toolbar-help-content-ilink-description' => 'Jikodo nke ímé',
	'wikieditor-toolbar-help-content-xlink-description' => 'Jikodo di èzí',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Édémédé íshí ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Íshí edemede</h2>',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Édémédé íshí ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Íshí edemede</h3>',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Édémédé íshí ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Íshí edemede</h4>',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Édémédé íshí =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Íshí edemede</h5>',
	'wikieditor-toolbar-help-content-signature-description' => 'Áhà gi',
	'wikieditor-toolbar-help-content-indent-description' => 'Tụ atụ',
);

/** Iloko (Ilokano)
 * @author Lam-ang
 */
$messages['ilo'] = array(
	'wikieditor' => 'Antenamo a wikitext a panagurnos nga interface',
	'wikieditor-desc' => 'Agisagana ti maipadakkel a wikitext a panagurnos nga interface ken adu pay kadagiti agisagana ti langa a module',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Agkarkarga...',
	'wikieditor-preview-preference' => 'Pakabaelan na ti bangir-babaen-bangir a panagpadas',
	'wikieditor-preview-tab' => 'Ipadas',
	'wikieditor-preview-changes-tab' => 'Dagiti sinukatan',
	'wikieditor-preview-loading' => 'Agkarkarga...',
	'wikieditor-previewDialog-preference' => 'Pakabaelan ti panagsarsarita ti panagpadas',
	'wikieditor-previewDialog-tab' => 'Ipadas',
	'wikieditor-previewDialog-loading' => 'Agkarkarga...',
	'wikieditor-publish-preference' => 'Pakabaelan ti addang-babaen-addang a panagipablaak',
	'wikieditor-publish-button-publish' => 'Ipablaak',
	'wikieditor-publish-button-cancel' => 'Ukasen',
	'wikieditor-publish-dialog-title' => 'Ipabablaak idiay {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Pakapukpukan ti pinagurnos (ipalawag bassit dagiti sinukatam) :',
	'wikieditor-publish-dialog-minor' => 'Bassit a pinag-urnos',
	'wikieditor-publish-dialog-watch' => 'Bantayan daytoy a panid',
	'wikieditor-publish-dialog-publish' => 'Ipablaak',
	'wikieditor-publish-dialog-goback' => 'Agsubli',
	'wikieditor-template-editor-preference' => 'Pakabaelan ti naibatay ti nakabuklan a pinag-urnos kadagiti plantilia ti wiki',
	'wikieditor-template-editor-dialog-title' => 'Urnosen ti plantilia',
	'wikieditor-template-editor-dialog-submit' => 'Pabaro',
	'wikieditor-template-editor-dialog-cancel' => 'Ukasen',
	'wikieditor-templates-preference' => 'Pakabaelan ti panagrebba ti plantilia',
	'wikieditor-toc-preference' => 'Pakabaelan ti pagdaliasat kadagiti linaon ti tabla',
	'wikieditor-toc-show' => 'Ipakita dagiti linaon',
	'wikieditor-toc-hide' => 'Ilemmeng dagiti linaon',
	'wikieditor-toolbar' => 'Ramit a baras ti pinag-urnos',
	'wikieditor-toolbar-desc' => 'Ramit ti baras ti pinag-urnos nga addan ti napasayaat a pinag-usar',
	'wikieditor-toolbar-preference' => 'Pakabaelan ti napasayaat a ramit ti baras a pinag-urnos',
	'wikieditor-toolbar-dialogs-preference' => 'Pakabaekan dagiti panagsarsarita para iti panagsengngat kadagiti panilpo, tab-tabla ken adu pay',
	'wikieditor-toolbar-hidesig' => 'Ilemmeng ti pirma a buton manipud kadagidiay panid iti umuna a nagan ti lugar',
	'wikieditor-toolbar-loading' => 'Agkarkarga...',
	'wikieditor-toolbar-tool-bold' => 'Napuskol',
	'wikieditor-toolbar-tool-bold-example' => 'Napuskol a teksto',
	'wikieditor-toolbar-tool-italic' => 'Agir-irig',
	'wikieditor-toolbar-tool-italic-example' => 'Nakairig a teksto',
	'wikieditor-toolbar-tool-ilink' => 'Akin-uneg a panilpo',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulo ti panilpo',
	'wikieditor-toolbar-tool-xlink' => 'Akinruar a panilpo (laglagipen ti http:// a prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titulo ti panilpo',
	'wikieditor-toolbar-tool-link' => 'Panilpo',
	'wikieditor-toolbar-tool-link-title' => 'Isengngat ti panilpo',
	'wikieditor-toolbar-tool-link-int' => 'Iti panid a wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Puntaan a panid wenno URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titulo ti panid wenno URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Teksto nga iparang:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teksto nga iparang',
	'wikieditor-toolbar-tool-link-ext' => 'Idiay akin-uneg a panid ti sapot',
	'wikieditor-toolbar-tool-link-ext-target' => 'Isilpo ti URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Isilpo ti teksto:',
	'wikieditor-toolbar-tool-link-insert' => 'Isengngat ti panilpo',
	'wikieditor-toolbar-tool-link-cancel' => 'Ukasen',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Addaan ti panid',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Awan ti panid',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Imbalido a titulo',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kasilpo iti ruar',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kitkitaen no addaan ti panid...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Ti titulo a nainaganam ket imbalido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Ti URL a nainaganam ket kasla naaramid a panilpo iti sabali a panid ti wiki.
Kayatmo mga aramiden nga akin-uneg a panilpo?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Akin-uneg a panilpo',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kasilpo iti ruar',
	'wikieditor-toolbar-tool-link-empty' => 'Awan ti inkabil mo a pakaisilpuan.',
	'wikieditor-toolbar-tool-file' => 'Naisengngat a papeles',
	'wikieditor-toolbar-tool-file-example' => 'Kas pagarigan.jpg',
	'wikieditor-toolbar-tool-reference' => 'Pinagibasaran',
	'wikieditor-toolbar-tool-reference-example' => 'Isengngat ti paammo ti baba a teksto ditoy',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ukasen',
	'wikieditor-toolbar-tool-reference-title' => 'Isengngat ti pinagibasaran',
	'wikieditor-toolbar-tool-reference-insert' => 'Isengngat',
	'wikieditor-toolbar-tool-reference-text' => 'Teksto ti pinagibasaran',
	'wikieditor-toolbar-tool-signature' => 'Pirma, petsa ken oras',
	'wikieditor-toolbar-section-advanced' => 'Antenamo',
	'wikieditor-toolbar-tool-heading' => 'Paulo',
	'wikieditor-toolbar-tool-heading-1' => 'Agpang 1',
	'wikieditor-toolbar-tool-heading-2' => 'Agpang 2',
	'wikieditor-toolbar-tool-heading-3' => 'Agpang 3',
	'wikieditor-toolbar-tool-heading-4' => 'Agpang 4',
	'wikieditor-toolbar-tool-heading-5' => 'Agpang 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teksto ti paulo',
	'wikieditor-toolbar-group-format' => 'Pormat',
	'wikieditor-toolbar-tool-ulist' => 'Punglo a listaan',
	'wikieditor-toolbar-tool-ulist-example' => 'Punglo a listaan ti banag',
	'wikieditor-toolbar-tool-olist' => 'Nabilangan a listaan',
	'wikieditor-toolbar-tool-olist-example' => 'Nabilangan a listaan ti banag',
	'wikieditor-toolbar-tool-indent' => 'Lennekan',
	'wikieditor-toolbar-tool-indent-example' => 'Nalennekan a linia',
	'wikieditor-toolbar-tool-nowiki' => 'Saan a pormaen a kas wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Mangisuldong iti saan a nabuklan a teksto ditoy',
	'wikieditor-toolbar-tool-redirect' => 'Baw-ing',
	'wikieditor-toolbar-tool-redirect-example' => 'Nagan ti puntaan a panid',
	'wikieditor-toolbar-tool-big' => 'Dakkel',
	'wikieditor-toolbar-tool-big-example' => 'Dakkel a teksto',
	'wikieditor-toolbar-tool-small' => 'Bassit',
	'wikieditor-toolbar-tool-small-example' => 'Bassit a teksto',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Teksto ti superscript',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Teksto ti subscript',
	'wikieditor-toolbar-group-insert' => 'Isengngat',
	'wikieditor-toolbar-tool-gallery' => 'Palko ti retrato',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Naisurat1
$1:Example.jpg|Naisurat2',
	'wikieditor-toolbar-tool-newline' => 'Baro a linia',
	'wikieditor-toolbar-tool-table' => 'Tabla',
	'wikieditor-toolbar-tool-table-example-old' => '-
! paulo 1
! paulo 2
! paulo 3
|-
| aray 1, cell 1
| aray 1, cell 2
| aray 1, cell 3
|-
| aray2, cell 1
| aray2, cell 2
| aray 2, cell 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teksto ti cell',
	'wikieditor-toolbar-tool-table-example-header' => 'Teksto ti paulo',
	'wikieditor-toolbar-tool-table-title' => 'Isengngat ti tabla',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Ar-aray:',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Tuk-tukol:',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Agnayon to paulo nga aray',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo nga addaan kadagit pagbeddengan',
	'wikieditor-toolbar-tool-table-sortable' => 'Aramiden ti tabla tapno mabalin a mailasin',
	'wikieditor-toolbar-tool-table-example' => 'Kas pagarigan',
	'wikieditor-toolbar-tool-table-preview' => 'Ipadas',
	'wikieditor-toolbar-tool-table-insert' => 'Isengngat',
	'wikieditor-toolbar-tool-table-cancel' => 'Ukasen',
	'wikieditor-toolbar-tool-table-toomany' => 'Ti agisengngat ti tabla nga addan ti adadu pay ngem $1 a dagiti sell ket saan a mabalin iti daytoy a pagsarsarita',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Saan ka pay a nakaikabil ti umisu a numero iti ar-aray wenno tuk-tukol.',
	'wikieditor-toolbar-tool-table-zero' => 'Saan mo a mabalin ti agisengngat ti tabla nga addan ti sero nga ar-aray wenno tuk-tukol.',
	'wikieditor-toolbar-tool-replace' => 'Agbiruk ken sukatan',
	'wikieditor-toolbar-tool-replace-title' => 'Agbiruk ken sukatan',
	'wikieditor-toolbar-tool-replace-search' => 'Biruken iti:',
	'wikieditor-toolbar-tool-replace-replace' => 'Sukatan iti:',
	'wikieditor-toolbar-tool-replace-case' => 'Agpada a kaso',
	'wikieditor-toolbar-tool-replace-regex' => 'Kasuen ti biruken a kuerdas a kasla kadawyan a panangisao',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Sapulen ti sumaruno',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Sukatan',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Sukatan amin',
	'wikieditor-toolbar-tool-replace-close' => 'Irikep',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ti panagbiruk mo ket awan napada na.',
	'wikieditor-toolbar-tool-replace-success' => '$1 ti naaramid a nasukatan.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Awan ti ikabil mo  a biruken.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ti kadawyan a panangisao nga inkabil mo ket imbalido: $1',
	'wikieditor-toolbar-section-characters' => 'Dagiti napagpagruna a karakter',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin napaatiddog',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Dagiti tanda',
	'wikieditor-toolbar-characters-page-greek' => 'Griego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillic',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabic',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabic a napaatiddog',
	'wikieditor-toolbar-characters-page-persian' => 'Persian',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrew',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Tulong',
	'wikieditor-toolbar-help-heading-description' => 'Deskripsion',
	'wikieditor-toolbar-help-heading-syntax' => 'Ania a kita',
	'wikieditor-toolbar-help-heading-result' => 'Ania ti maalam',
	'wikieditor-toolbar-help-page-format' => 'Panagporma',
	'wikieditor-toolbar-help-page-link' => 'Dagiti panilpo',
	'wikieditor-toolbar-help-page-heading' => 'Dagiti paulo',
	'wikieditor-toolbar-help-page-list' => 'Dagiti listaan',
	'wikieditor-toolbar-help-page-file' => 'Dagiti papeles',
	'wikieditor-toolbar-help-page-reference' => 'Pinagibasaran',
	'wikieditor-toolbar-help-page-discussion' => 'Pagtungtongan',
	'wikieditor-toolbar-help-content-italic-description' => 'Naka-irig',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Naka-irig a teksto''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Naka-irig  a teksto</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Napuskol',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Napuskol a teksto'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Napuskol a teksto</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Napuskol&amp; nakairig',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Napuskol &amp; nakairig a teksto'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Nauskol &amp; nakairig a teksto</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Akin-uneg a panilpo',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titulo ti panid|Etiketa ti panilpo]]<br />[[Titulo ti panid]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etiketa ti panilpo</a><br /><a href='#'>Titulo ti panid</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kasilpo iti ruar',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Etiketa ti panilpo]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etiketa ti panilpo</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Maika-2 nga agpang a paulo',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Teksto ti paulo ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Teksto ti paulo</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Maika-3 nga agpang a paulo',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Teksto ti paulo ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Teksto ti paulo</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Maika-4 nga agpang a paulo',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Teksto ti paulo ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Teksto ti paulo</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Maika-5 nga agpang a paulo',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Teksto ti paulo =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Teksto ti paulo</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punglo a listaan',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ilista ti banag<br />* Ilista ti banag',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ilista ti banag</li><li>Ilista ti banag</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nabilangan a listaan',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Ilista ti banag<br /># Ilista ti banag',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ilista ti banag</li><li>Ilista ti banag</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Naisengngat a papeles',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Naisurat a tekstot]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Naisurat a teksto' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Padakkelen' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Naisurat a teksto</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Pinagibasaran',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teksto ti panid.&lt;ref name="test"&gt;[http://www.example.org Teksto ti panilpo], nainayon a teksto.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teksto ti panid.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Nainayon a panagusar ti agpada pinagibasaran',
	'wikieditor-toolbar-help-content-rereference-result' => "Teksto ti panid.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Iparang dagiti pinagibasaran',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Teksto ti panilpo</a>, nainayon a teksto.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ti pirmam nga addaan ti oras ken petsa',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nagan ti agar-aramat</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10 Hunio 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Pirma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nagan ti agar-aramat</a> (<a href='#' title='{{#special:mytalk}}'>patang</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Lennekan',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Kadawyana teksto<br />:Nalennekan a teksto<br />::Nalennekan a teksto',
	'wikieditor-toolbar-help-content-indent-result' => 'Kadawyan ateksto<dl><dd>Nalennekan a teksto<dl><dd>Nalennekan a teksto</dd></dl></dd></dl>',
);

/** Ingush (ГІалгІай Ğalğaj)
 * @author Amire80
 * @author Sapral Mikail
 */
$messages['inh'] = array(
	'wikieditor-toolbar-characters-page-latin' => 'Лаьтмий',
	'wikieditor-toolbar-characters-page-greek' => 'Джелтий',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Цырилиций',
	'wikieditor-toolbar-characters-page-arabic' => 'Ӏарбий',
	'wikieditor-toolbar-characters-page-persian' => 'Фаьранзий',
	'wikieditor-toolbar-characters-page-hebrew' => 'Жугтий',
);

/** Ido (Ido)
 * @author Malafaya
 */
$messages['io'] = array(
	'wikieditor-preview-changes-tab' => 'Chanji',
	'wikieditor-publish-button-cancel' => 'Anular',
	'wikieditor-publish-dialog-minor' => 'Mikra chanjo',
	'wikieditor-publish-dialog-watch' => 'Surveyar ca pagino',
	'wikieditor-publish-dialog-goback' => 'Retroirar',
	'wikieditor-template-editor-dialog-submit' => 'Aktualigar',
	'wikieditor-template-editor-dialog-cancel' => 'Anular',
	'wikieditor-toolbar-tool-italic' => 'Kursiva',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiva texto',
	'wikieditor-toolbar-tool-ilink' => 'Interna ligilo',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulo dil ligilo',
	'wikieditor-toolbar-tool-xlink' => 'Extera ligilo (memorez la http://-prefixo)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titulo dil ligilo',
	'wikieditor-toolbar-tool-link' => 'Ligilo',
	'wikieditor-toolbar-tool-link-title' => 'Adjuntar ligilo',
	'wikieditor-toolbar-tool-link-int' => 'A wiki-pagino',
	'wikieditor-toolbar-tool-link-insert' => 'Adjuntar ligilo',
	'wikieditor-toolbar-tool-link-cancel' => 'Anular',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pagino existas',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pagino ne existas',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ne-valida titulo',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interna ligilo',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Extera ligilo',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference-insert' => 'Adjuntar',
	'wikieditor-toolbar-tool-heading-1' => 'Nivelo 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivelo 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivelo 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivelo 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivelo 5',
	'wikieditor-toolbar-group-format' => 'Listo',
	'wikieditor-toolbar-tool-big' => 'Granda',
	'wikieditor-toolbar-tool-big-example' => 'Granda texto',
	'wikieditor-toolbar-tool-small' => 'Mikra',
	'wikieditor-toolbar-tool-small-example' => 'Mikra texto',
	'wikieditor-toolbar-tool-newline' => 'Nova lineo',
	'wikieditor-toolbar-tool-table' => 'Tabelo',
	'wikieditor-toolbar-tool-table-title' => 'Adjuntar tabelo',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linei',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolumni',
	'wikieditor-toolbar-tool-table-example' => 'Exemplo',
	'wikieditor-toolbar-tool-table-preview' => 'Previdar',
	'wikieditor-toolbar-tool-table-insert' => 'Adjuntar',
	'wikieditor-toolbar-tool-table-cancel' => 'Anular',
	'wikieditor-toolbar-tool-replace-search' => 'Serchar:',
	'wikieditor-toolbar-tool-replace-close' => 'Klozar',
	'wikieditor-toolbar-tool-replace-success' => '$1 remplasigo(i) facita.',
	'wikieditor-toolbar-characters-page-latin' => 'Latina',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latina extensita',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grekiana',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirila',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiana',
	'wikieditor-toolbar-characters-page-persian' => 'Persiana',
	'wikieditor-toolbar-section-help' => 'Helpo',
	'wikieditor-toolbar-help-page-link' => 'Ligili',
	'wikieditor-toolbar-help-page-list' => 'Listi',
	'wikieditor-toolbar-help-page-file' => 'Arkivi',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interna ligilo',
	'wikieditor-toolbar-help-content-xlink-description' => 'Extera ligilo',
	'wikieditor-toolbar-help-content-signature-description' => 'Signaturo',
);

/** Icelandic (Íslenska)
 * @author Krun
 * @author Maxí
 */
$messages['is'] = array(
	'wikieditor-wikitext-tab' => 'Wiki-texti',
	'wikieditor-loading' => 'Hleður...',
	'wikieditor-preview-tab' => 'Forskoða',
	'wikieditor-preview-changes-tab' => 'Breytingar',
	'wikieditor-publish-button-cancel' => 'Hætta við',
	'wikieditor-template-editor-dialog-cancel' => 'Hætta við',
	'wikieditor-toolbar-tool-bold' => 'Feitletrað',
	'wikieditor-toolbar-tool-bold-example' => 'Feitletraður texti',
	'wikieditor-toolbar-tool-italic' => 'Skáletrað',
	'wikieditor-toolbar-tool-italic-example' => 'Skáletraður texti',
	'wikieditor-toolbar-tool-ilink' => 'Innri tengill',
	'wikieditor-toolbar-tool-ilink-example' => 'Titill tengils',
	'wikieditor-toolbar-tool-xlink' => 'Ytri tengill (munið að setja http:// á undan)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titill tengils',
	'wikieditor-toolbar-tool-link' => 'Tengill',
	'wikieditor-toolbar-tool-link-title' => 'Setja inn tengil',
	'wikieditor-toolbar-tool-link-int' => 'Í wiki-síðu',
	'wikieditor-toolbar-tool-link-int-target' => 'Síða sem tengja á í, eða vefslóð',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titill síðu eða vefslóð',
	'wikieditor-toolbar-tool-link-int-text' => 'Texti til birtingar:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Texti sem á að birta',
	'wikieditor-toolbar-tool-link-ext' => 'Í ytri vefsíðu',
	'wikieditor-toolbar-tool-link-cancel' => 'Hætta við',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Síða er til',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Síðan er ekki til',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ógildur titill',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titillinn sem þú gafst upp er ógildur.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Slóðin sem þú gafst upp lítur út eins og hún hafi verið ætluð til að tengja í aðra wiki-síðu.
Viltu gera hana að innri tengli?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Innri tengill',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ytri tengill',
	'wikieditor-toolbar-tool-link-empty' => 'Þú slóst ekki inn neitt til að tengja í.',
	'wikieditor-toolbar-tool-file-example' => 'Sýnishorn.jpg',
	'wikieditor-toolbar-tool-reference-cancel' => 'Hætta við',
	'wikieditor-toolbar-section-advanced' => 'Ítarlegt',
	'wikieditor-toolbar-tool-big' => 'Stór',
	'wikieditor-toolbar-tool-big-example' => 'Stór texti',
	'wikieditor-toolbar-tool-small' => 'Lítill',
	'wikieditor-toolbar-tool-small-example' => 'Lítill texti',
	'wikieditor-toolbar-group-insert' => 'Setja inn',
	'wikieditor-toolbar-tool-newline' => 'Ný lína',
	'wikieditor-toolbar-tool-table' => 'Tafla',
	'wikieditor-toolbar-tool-table-example-old' => '-
! titill 1
! titill 2
! titill 3
|-
| röð 1, reitur 1
| röð 1, reitur 2
| röð 1, reitur 3
| -
| röð 2, reitur 1
| röð 2, reitur 2
| röð 2, reitur 3',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Raðir',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Dálkar',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Bæta titilröð við',
	'wikieditor-toolbar-tool-table-example' => 'Dæmi',
	'wikieditor-toolbar-tool-table-preview' => 'Forskoðun',
	'wikieditor-toolbar-tool-table-cancel' => 'Hætta við',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Þú slóst ekki inn neitt til að leita að.',
	'wikieditor-toolbar-section-characters' => 'Sérstafir',
	'wikieditor-toolbar-characters-page-latin' => 'Latneskt',
	'wikieditor-toolbar-characters-page-latinextended' => 'Aukið latneskt',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Tákn',
	'wikieditor-toolbar-characters-page-greek' => 'Grískt',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kýrillískt',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabískt',
	'wikieditor-toolbar-characters-page-persian' => 'Persneskt',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreskt',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalskt',
	'wikieditor-toolbar-characters-page-telugu' => 'Telúgú',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhalskt',
	'wikieditor-toolbar-characters-page-thai' => 'Taílenskt',
	'wikieditor-toolbar-characters-page-lao' => 'Laoskt',
	'wikieditor-toolbar-section-help' => 'Hjálp',
	'wikieditor-toolbar-help-heading-description' => 'Lýsing',
	'wikieditor-toolbar-help-heading-syntax' => 'Það sem þú skrifar',
	'wikieditor-toolbar-help-heading-result' => 'Það sem kemur út',
	'wikieditor-toolbar-help-page-link' => 'Tenglar',
	'wikieditor-toolbar-help-page-heading' => 'Fyrirsagnir',
	'wikieditor-toolbar-help-page-list' => 'Listar',
	'wikieditor-toolbar-help-page-file' => 'Skrár',
	'wikieditor-toolbar-help-page-reference' => 'Heimildir',
	'wikieditor-toolbar-help-page-discussion' => 'Umræða',
	'wikieditor-toolbar-help-content-italic-description' => 'Skáletrað',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Skáletraður texti''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Skáletraður texti</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Feitletrað',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Feitletraður texti'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Feitletraður texti</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Feit- og skáletrað',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Feit- og skáletraður texti'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Feit- og skáletraður texti</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Innri tengill',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Síðuheiti|Tengiltexti]] <br /> [[Síðuheiti]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tengiltexti</a> <br /> <a href='#'>Síðuheiti</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ytri tengill',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Tengiltexti]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tengiltexti</a> <br /> <a href='#' class='external autonumber'>[1]</a> <br /> <a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. stigs fyrirsögn',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Fyrirsögn ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Fyrirsögn</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. stigs fyrirsögn',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Fyrirsögn ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Fyrirsögn</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. stigs fyrirsögn',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Fyrirsögn ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Fyrirsögn</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. stigs fyrirsögn',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Fyrirsögn =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Fyrirsögn</h5>',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Undirskrift þín auk tímasetningar',
	'wikieditor-toolbar-help-content-signature-description' => 'Undirskrift',
);

/** Italian (Italiano)
 * @author Aushulz
 * @author Beta16
 * @author F. Cosoleto
 * @author Gianfranco
 * @author Gliu
 * @author McDutchie
 * @author Nemo bis
 * @author PaoloRomano
 * @author Una giornata uggiosa '94
 * @author Vituzzu
 */
$messages['it'] = array(
	'wikieditor' => 'Interfaccia avanzata di modifica del wikitesto',
	'wikieditor-desc' => "Fornisce un'interfaccia di modifica del wikitesto estensibile e molti moduli che forniscono altre funzionalità",
	'wikieditor-wikitext-tab' => 'Wikitesto',
	'wikieditor-loading' => 'Caricamento',
	'wikieditor-preview-preference' => 'Abilita anteprima laterale',
	'wikieditor-preview-tab' => 'Anteprima',
	'wikieditor-preview-changes-tab' => 'Modifiche',
	'wikieditor-preview-loading' => 'Caricamento...',
	'wikieditor-previewDialog-preference' => 'Abilita la finestra di dialogo di anteprima',
	'wikieditor-previewDialog-tab' => 'Anteprima',
	'wikieditor-previewDialog-loading' => 'Caricamento...',
	'wikieditor-publish-preference' => 'Abilita pubblicazione passo dopo passo',
	'wikieditor-publish-button-publish' => 'Pubblica',
	'wikieditor-publish-button-cancel' => 'Annulla',
	'wikieditor-publish-dialog-title' => 'Pubblica su {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Oggetto (descrivi brevemente le modifiche che hai fatto):',
	'wikieditor-publish-dialog-minor' => 'Modifica di minore importanza',
	'wikieditor-publish-dialog-watch' => 'Osserva questa pagina',
	'wikieditor-publish-dialog-publish' => 'Pubblica',
	'wikieditor-publish-dialog-goback' => 'Indietro',
	'wikieditor-template-editor-preference' => 'Abilita la modifica dei template attraverso moduli',
	'wikieditor-template-editor-dialog-title' => 'Modifica template',
	'wikieditor-template-editor-dialog-submit' => 'Aggiorna',
	'wikieditor-template-editor-dialog-cancel' => 'Annulla',
	'wikieditor-templates-preference' => 'Abilita la funzione per nascondere i template',
	'wikieditor-toc-preference' => 'Abilita indice navigabile',
	'wikieditor-toc-show' => 'Mostra i contenuti',
	'wikieditor-toc-hide' => 'Nascondi i contenuti',
	'wikieditor-toolbar' => 'Barra degli strumenti di modifica',
	'wikieditor-toolbar-desc' => 'Barra degli strumenti di modifica della pagina con migliorata usabilità',
	'wikieditor-toolbar-preference' => 'Abilita barra degli strumenti di modifica avanzata',
	'wikieditor-toolbar-dialogs-preference' => "Abilita le finestre per l'inserimento di link, tabelle ed altro",
	'wikieditor-toolbar-hidesig' => 'Nasconde il pulsante della firma dalle pagine nel namespace principale',
	'wikieditor-toolbar-loading' => 'Caricamento in corso...',
	'wikieditor-toolbar-tool-bold' => 'Grassetto',
	'wikieditor-toolbar-tool-bold-example' => 'Testo in grassetto',
	'wikieditor-toolbar-tool-italic' => 'Corsivo',
	'wikieditor-toolbar-tool-italic-example' => 'Testo in corsivo',
	'wikieditor-toolbar-tool-ilink' => 'Collegamento interno',
	'wikieditor-toolbar-tool-ilink-example' => 'Titolo del collegamento',
	'wikieditor-toolbar-tool-xlink' => 'Collegamento esterno (ricorda il prefisso http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titolo del collegamento',
	'wikieditor-toolbar-tool-link' => 'Collegamento',
	'wikieditor-toolbar-tool-link-title' => 'Inserisci link',
	'wikieditor-toolbar-tool-link-int' => 'A una pagina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Titolo della pagina:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titolo della pagina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testo del link:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Inserisci il testo da visualizzare',
	'wikieditor-toolbar-tool-link-ext' => 'A una pagina di un sito web esterno',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL del link:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testo del link:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserisci link',
	'wikieditor-toolbar-tool-link-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Pagina esistente',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Pagina inesistente',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titolo non valido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Collegamento esterno',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Controllo dell'esistenza della pagina in corso....",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Il titolo che hai specificato non è valido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "La URL che hai indicato sembra un link verso un'altra pagina wiki.
Vuoi che sia un link interno?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Link interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Collegamento esterno',
	'wikieditor-toolbar-tool-link-empty' => 'Non hai indicato la destinazione del collegamento.',
	'wikieditor-toolbar-tool-file' => 'File incorporato',
	'wikieditor-toolbar-tool-file-example' => 'Esempio.jpg',
	'wikieditor-toolbar-tool-reference' => 'Nota',
	'wikieditor-toolbar-tool-reference-example' => 'Inserire qui il testo della nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-reference-title' => 'Inserisci nota',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserisci',
	'wikieditor-toolbar-tool-reference-text' => 'Testo della nota',
	'wikieditor-toolbar-tool-signature' => 'Firma e data',
	'wikieditor-toolbar-section-advanced' => 'Avanzate',
	'wikieditor-toolbar-tool-heading' => 'Intestazione',
	'wikieditor-toolbar-tool-heading-1' => 'Livello 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livello 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livello 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livello 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livello 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titolo sezione',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Elenco puntato',
	'wikieditor-toolbar-tool-ulist-example' => "Elemento dell'elenco puntato",
	'wikieditor-toolbar-tool-olist' => 'Elenco numerato',
	'wikieditor-toolbar-tool-olist-example' => "Elemento dell'elenco numerato",
	'wikieditor-toolbar-tool-indent' => 'Indentazione',
	'wikieditor-toolbar-tool-indent-example' => "Linea d'indentazione",
	'wikieditor-toolbar-tool-nowiki' => 'Ignora formattazione wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserisci il testo da non formattare',
	'wikieditor-toolbar-tool-redirect' => "Rinvia a un'altra pagina",
	'wikieditor-toolbar-tool-redirect-example' => 'Nome della pagina di destinazione',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Testo grande',
	'wikieditor-toolbar-tool-small' => 'Piccolo',
	'wikieditor-toolbar-tool-small-example' => 'Testo piccolo',
	'wikieditor-toolbar-tool-superscript' => 'Apice',
	'wikieditor-toolbar-tool-superscript-example' => 'Testo in apice',
	'wikieditor-toolbar-tool-subscript' => 'Pedice',
	'wikieditor-toolbar-tool-subscript-example' => 'Testo in pedice',
	'wikieditor-toolbar-group-insert' => 'Inserisci',
	'wikieditor-toolbar-tool-gallery' => 'Galleria di immagini',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Esempio.jpg|Didascalia1
$1:Esempio.jpg|Didascalia2',
	'wikieditor-toolbar-tool-newline' => 'Nuova riga',
	'wikieditor-toolbar-tool-table' => 'Tabella',
	'wikieditor-toolbar-tool-table-example-old' => '-
! titolo 1
! titolo 2
! titolo 3
|-
| riga 1, cella 1
| riga 1, cella 2
| riga 1, cella 3
|-
| riga 2, cella 1
| riga 2, cella 2
| riga 2, cella 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testo della cella',
	'wikieditor-toolbar-tool-table-example-header' => 'Testo del titolo',
	'wikieditor-toolbar-tool-table-title' => 'Inserisci tabella',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Righe',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colonne',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Includi una riga per i titoli',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stile con bordi',
	'wikieditor-toolbar-tool-table-sortable' => 'Rendi la tabella ordinabile',
	'wikieditor-toolbar-tool-table-example' => 'Testo della cella',
	'wikieditor-toolbar-tool-table-preview' => 'Anteprima',
	'wikieditor-toolbar-tool-table-insert' => 'Inserisci',
	'wikieditor-toolbar-tool-table-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-table-toomany' => 'Con questo strumento non è possibile inserire una tabella che abbia più di $1 celle.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Non hai indicato un numero valido di righe o di colonne.',
	'wikieditor-toolbar-tool-table-zero' => 'Non puoi inserire una tabella senza righe e/o senza colonne.',
	'wikieditor-toolbar-tool-replace' => 'Cerca e sostituisci',
	'wikieditor-toolbar-tool-replace-title' => 'Cerca e sostituisci',
	'wikieditor-toolbar-tool-replace-search' => 'Cerca:',
	'wikieditor-toolbar-tool-replace-replace' => 'Sostituisci con:',
	'wikieditor-toolbar-tool-replace-case' => 'Maiuscole/minuscole',
	'wikieditor-toolbar-tool-replace-regex' => "Usa la stringa di ricerca come un'espressione regolare",
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Trova successivi',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Sostituisci',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Sostituisci tutto',
	'wikieditor-toolbar-tool-replace-close' => 'Chiudi',
	'wikieditor-toolbar-tool-replace-nomatch' => 'La tua ricerca non ha prodotto risultati.',
	'wikieditor-toolbar-tool-replace-success' => '$1 sostituzione/i effettuata/e.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Non hai indicato cosa cercare.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'espressione regolare immessa non è valida: $1",
	'wikieditor-toolbar-section-characters' => 'Caratteri speciali',
	'wikieditor-toolbar-characters-page-latin' => 'Latino',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latino esteso',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Greco',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirillico',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabo',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabo esteso',
	'wikieditor-toolbar-characters-page-persian' => 'Persiano',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebraico',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalese',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalese',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thailandese',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Aiuto',
	'wikieditor-toolbar-help-heading-description' => 'Descrizione',
	'wikieditor-toolbar-help-heading-syntax' => 'Cosa si digita',
	'wikieditor-toolbar-help-heading-result' => 'Cosa si ottiene',
	'wikieditor-toolbar-help-page-format' => 'Formattazione',
	'wikieditor-toolbar-help-page-link' => 'Collegamenti',
	'wikieditor-toolbar-help-page-heading' => 'Intestazioni',
	'wikieditor-toolbar-help-page-list' => 'Elenchi',
	'wikieditor-toolbar-help-page-file' => 'File',
	'wikieditor-toolbar-help-page-reference' => 'Note',
	'wikieditor-toolbar-help-page-discussion' => 'Discussione',
	'wikieditor-toolbar-help-content-italic-description' => 'Corsivo',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testo in corsivo''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testo in corsivo</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grassetto',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testo in grassetto'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testo in grassetto</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grassetto e corsivo',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testo in grassetto e corsivo'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testo in grassetto e corsivo</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Collegamento interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titolo pagina|Etichetta collegamento]]<br />[[Titolo pagina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etichetta collegamento</a><br /><a href='#'>Titolo pagina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Collegamento esterno',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Etichetta collegamento]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etichetta collegamento</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2° livello di intestazione',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Titolo sezione ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titolo sezione</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3° livello di intestazione',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Titolo sezione ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titolo sezione</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4° livello di intestazione',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Titolo sezione ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titolo sezione</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5° livello di intestazione',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Titolo sezione =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titolo sezione</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Elenco puntato',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* Elemento dell'elenco<br />* Elemento dell'elenco",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elemento dell'elenco</li><li>Elemento dell'elenco</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Elenco numerato',
	'wikieditor-toolbar-help-content-olist-syntax' => "# Elemento dell'elenco<br /># Elemento dell'elenco",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elemento dell'elenco</li><li>Elemento dell'elenco</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => 'File incorporato',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Esempio.png|thumb|Testo della didascalia]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Testo della didascalia</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Nota',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testo della pagina.&lt;ref name="test"&gt;[http://www.example.org Testo del collegamento], testo aggiuntivo.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Testo della pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ulteriore uso della stessa nota',
	'wikieditor-toolbar-help-content-rereference-result' => "Testo della pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostra note',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Testo del collegamento</a>, testo aggiuntivo.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma con data e ora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome utente</a> (<a href='#' title='{{#special:mytalk}}'>discussione</a>) 15:54, 10 giu 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome utente</a> (<a href='#' title='{{#special:mytalk}}'>discussione</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentazione',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testo normale<br />:Testo indentato<br />::Testo indentato',
	'wikieditor-toolbar-help-content-indent-result' => 'Testo normale<dl><dd>Testo indentato<dl><dd>Testo indentato</dd></dl></dd></dl>',
);

/** Japanese (日本語)
 * @author Aotake
 * @author Fryed-peach
 * @author Hosiryuhosi
 * @author Ohgi
 * @author Schu
 * @author Whym
 * @author 青子守歌
 */
$messages['ja'] = array(
	'wikieditor' => '高度なウィキテキスト編集インターフェイス',
	'wikieditor-desc' => '拡張可能なウィキテキスト編集インターフェイスと多数の機能モジュールを提供する',
	'wikieditor-wikitext-tab' => 'ウィキテキスト',
	'wikieditor-loading' => '読み込み中',
	'wikieditor-preview-preference' => '比較プレビューを有効化する',
	'wikieditor-preview-tab' => 'プレビュー',
	'wikieditor-preview-changes-tab' => '変更',
	'wikieditor-preview-loading' => '読み込み中…',
	'wikieditor-previewDialog-preference' => 'プレビュー・ダイアログを有効化する',
	'wikieditor-previewDialog-tab' => 'プレビュー',
	'wikieditor-previewDialog-loading' => '読み込み中…',
	'wikieditor-publish-preference' => '段階的投稿を有効化する',
	'wikieditor-publish-button-publish' => '投稿',
	'wikieditor-publish-button-cancel' => '中止',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} への投稿',
	'wikieditor-publish-dialog-summary' => '編集内容の要約 (あなたが為した変更を簡潔に説明してください):',
	'wikieditor-publish-dialog-minor' => '細部の編集',
	'wikieditor-publish-dialog-watch' => 'このページをウォッチする',
	'wikieditor-publish-dialog-publish' => '投稿',
	'wikieditor-publish-dialog-goback' => '戻る',
	'wikieditor-template-editor-preference' => 'フォームを利用したテンプレートの編集を有効化する',
	'wikieditor-template-editor-dialog-title' => 'テンプレートを編集する',
	'wikieditor-template-editor-dialog-submit' => '更新',
	'wikieditor-template-editor-dialog-cancel' => '中止',
	'wikieditor-templates-preference' => 'テンプレート折り畳みを有効にする',
	'wikieditor-toc-preference' => '編集用目次を有効化する',
	'wikieditor-toc-show' => '目次を表示',
	'wikieditor-toc-hide' => '目次を非表示',
	'wikieditor-toolbar' => '編集ツールバー',
	'wikieditor-toolbar-desc' => '使いやすさの向上したページ編集ツールバー',
	'wikieditor-toolbar-preference' => '改良型編集ツールバーを有効にする',
	'wikieditor-toolbar-dialogs-preference' => 'リンクや表などの挿入ダイアログを有効化する',
	'wikieditor-toolbar-hidesig' => '標準名前空間で署名ボタンを非表示にする',
	'wikieditor-toolbar-loading' => '読み込み中…',
	'wikieditor-toolbar-tool-bold' => '太字',
	'wikieditor-toolbar-tool-bold-example' => '太字文',
	'wikieditor-toolbar-tool-italic' => '斜体',
	'wikieditor-toolbar-tool-italic-example' => '斜体文',
	'wikieditor-toolbar-tool-ilink' => '内部リンク',
	'wikieditor-toolbar-tool-ilink-example' => 'リンクタイトル',
	'wikieditor-toolbar-tool-xlink' => '外部リンク (接頭辞 http:// を忘れずに)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com リンクタイトル',
	'wikieditor-toolbar-tool-link' => 'リンク',
	'wikieditor-toolbar-tool-link-title' => 'リンクの挿入',
	'wikieditor-toolbar-tool-link-int' => 'ウィキページへ',
	'wikieditor-toolbar-tool-link-int-target' => 'ページ名:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'ページ名か URL',
	'wikieditor-toolbar-tool-link-int-text' => 'リンク文:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => '表示する文字列を入力してください',
	'wikieditor-toolbar-tool-link-ext' => '外部のウェブページへ',
	'wikieditor-toolbar-tool-link-ext-target' => 'リンクURL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'リンク文:',
	'wikieditor-toolbar-tool-link-insert' => 'リンク挿入',
	'wikieditor-toolbar-tool-link-cancel' => '中止',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'ページは存在します',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'ページは存在しません',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ページ名として無効です',
	'wikieditor-toolbar-tool-link-int-target-status-external' => '外部リンク',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'ページの存在を確認中…',
	'wikieditor-toolbar-tool-link-int-invalid' => '指定したページ名は無効です。',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => '指定された URL は別のウィキページへのリンクのようです。
これを内部リンクにしますか？',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '内部リンク',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '外部リンク',
	'wikieditor-toolbar-tool-link-empty' => 'リンクすべき入力が与えられていません。',
	'wikieditor-toolbar-tool-file' => '埋め込みファイル',
	'wikieditor-toolbar-tool-file-example' => '例.jpg',
	'wikieditor-toolbar-tool-reference' => '注釈',
	'wikieditor-toolbar-tool-reference-example' => '注釈文をここに入力してください',
	'wikieditor-toolbar-tool-reference-cancel' => '中止',
	'wikieditor-toolbar-tool-reference-title' => '出典を挿入',
	'wikieditor-toolbar-tool-reference-insert' => '挿入',
	'wikieditor-toolbar-tool-reference-text' => '出典情報',
	'wikieditor-toolbar-tool-signature' => '時刻付き署名',
	'wikieditor-toolbar-section-advanced' => '上級',
	'wikieditor-toolbar-tool-heading' => '見出し',
	'wikieditor-toolbar-tool-heading-1' => 'レベル1',
	'wikieditor-toolbar-tool-heading-2' => 'レベル2',
	'wikieditor-toolbar-tool-heading-3' => 'レベル3',
	'wikieditor-toolbar-tool-heading-4' => 'レベル4',
	'wikieditor-toolbar-tool-heading-5' => 'レベル5',
	'wikieditor-toolbar-tool-heading-example' => '見出しタイトル',
	'wikieditor-toolbar-group-format' => '形式',
	'wikieditor-toolbar-tool-ulist' => '番号なし箇条書き',
	'wikieditor-toolbar-tool-ulist-example' => '番号なし箇条書きの項目',
	'wikieditor-toolbar-tool-olist' => '番号付き箇条書き',
	'wikieditor-toolbar-tool-olist-example' => '番号付き箇条書きの項目',
	'wikieditor-toolbar-tool-indent' => '字下げ',
	'wikieditor-toolbar-tool-indent-example' => '字下げされた行',
	'wikieditor-toolbar-tool-nowiki' => 'ウィキ書式なし',
	'wikieditor-toolbar-tool-nowiki-example' => 'ここにマークアップを無効にするテキストを入力します',
	'wikieditor-toolbar-tool-redirect' => 'リダイレクト',
	'wikieditor-toolbar-tool-redirect-example' => '転送先のページ名',
	'wikieditor-toolbar-tool-big' => '大',
	'wikieditor-toolbar-tool-big-example' => '大きなテキスト',
	'wikieditor-toolbar-tool-small' => '小',
	'wikieditor-toolbar-tool-small-example' => '小さなテキスト',
	'wikieditor-toolbar-tool-superscript' => '上付き文字',
	'wikieditor-toolbar-tool-superscript-example' => '上付き文字',
	'wikieditor-toolbar-tool-subscript' => '下付き文字',
	'wikieditor-toolbar-tool-subscript-example' => '下付き文字',
	'wikieditor-toolbar-group-insert' => '挿入',
	'wikieditor-toolbar-tool-gallery' => '画像ギャラリー',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|キャプション1
$1:Example.jpg|キャプション2',
	'wikieditor-toolbar-tool-newline' => '改行',
	'wikieditor-toolbar-tool-table' => '表',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 見出し 1
! 見出し 2
! 見出し 3
|-
| 行 1、セル 1
| 行 1、セル 2
| 行 1、セル 3
|-
| 行 2、セル 1
| 行 2、セル 2
| 行 2、セル 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'セル内のテキスト',
	'wikieditor-toolbar-tool-table-example-header' => '見出しテキスト',
	'wikieditor-toolbar-tool-table-title' => '表を挿入',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '行数',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '列数',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ヘッダ列を含める',
	'wikieditor-toolbar-tool-table-wikitable' => '罫線のあるスタイル',
	'wikieditor-toolbar-tool-table-sortable' => '表を並び替えできるようにする',
	'wikieditor-toolbar-tool-table-example' => 'セル内のテキスト',
	'wikieditor-toolbar-tool-table-preview' => 'プレビュー',
	'wikieditor-toolbar-tool-table-insert' => '挿入',
	'wikieditor-toolbar-tool-table-cancel' => '中止',
	'wikieditor-toolbar-tool-table-toomany' => 'このダイアログでは$1個を超えるセルをもつ表を挿入することはできません。',
	'wikieditor-toolbar-tool-table-invalidnumber' => '行あるいは列の数として有効な値が入力されていません。',
	'wikieditor-toolbar-tool-table-zero' => '行あるいは列がゼロ個の表を挿入することはできません。',
	'wikieditor-toolbar-tool-replace' => '検索と置換',
	'wikieditor-toolbar-tool-replace-title' => '検索と置換',
	'wikieditor-toolbar-tool-replace-search' => '検索する文字列:',
	'wikieditor-toolbar-tool-replace-replace' => '置換後の文字列:',
	'wikieditor-toolbar-tool-replace-case' => '大文字・小文字を区別する',
	'wikieditor-toolbar-tool-replace-regex' => '正規表現で検索する',
	'wikieditor-toolbar-tool-replace-button-findnext' => '次を検索',
	'wikieditor-toolbar-tool-replace-button-replace' => '差し替える',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'すべて置換',
	'wikieditor-toolbar-tool-replace-close' => '閉じる',
	'wikieditor-toolbar-tool-replace-nomatch' => '検索文字列に一致するものはありませんでした。',
	'wikieditor-toolbar-tool-replace-success' => '$1回の置換が行われました。',
	'wikieditor-toolbar-tool-replace-emptysearch' => '検索するものが何も入力されていません。',
	'wikieditor-toolbar-tool-replace-invalidregex' => '入力された正規表現に誤りがあります: $1',
	'wikieditor-toolbar-section-characters' => '特殊文字',
	'wikieditor-toolbar-characters-page-latin' => 'ラテン文字',
	'wikieditor-toolbar-characters-page-latinextended' => 'ラテン文字拡張',
	'wikieditor-toolbar-characters-page-ipa' => '国際音声記号',
	'wikieditor-toolbar-characters-page-symbols' => '記号',
	'wikieditor-toolbar-characters-page-greek' => 'ギリシア文字',
	'wikieditor-toolbar-characters-page-cyrillic' => 'キリル文字',
	'wikieditor-toolbar-characters-page-arabic' => 'アラビア文字',
	'wikieditor-toolbar-characters-page-arabicextended' => 'アラビア文字拡張',
	'wikieditor-toolbar-characters-page-persian' => 'ペルシア文字',
	'wikieditor-toolbar-characters-page-hebrew' => 'ヘブライ文字',
	'wikieditor-toolbar-characters-page-bangla' => 'ベンガル文字',
	'wikieditor-toolbar-characters-page-telugu' => 'テルグ文字',
	'wikieditor-toolbar-characters-page-sinhala' => 'シンハラ文字',
	'wikieditor-toolbar-characters-page-gujarati' => 'グジャラート文字',
	'wikieditor-toolbar-characters-page-thai' => 'タイ文字',
	'wikieditor-toolbar-characters-page-lao' => 'ラオス文字',
	'wikieditor-toolbar-characters-page-khmer' => 'クメール文字',
	'wikieditor-toolbar-section-help' => 'ヘルプ',
	'wikieditor-toolbar-help-heading-description' => '解説',
	'wikieditor-toolbar-help-heading-syntax' => '入力内容',
	'wikieditor-toolbar-help-heading-result' => '出力結果',
	'wikieditor-toolbar-help-page-format' => '書式設定',
	'wikieditor-toolbar-help-page-link' => 'リンク',
	'wikieditor-toolbar-help-page-heading' => '見出し',
	'wikieditor-toolbar-help-page-list' => '箇条書き',
	'wikieditor-toolbar-help-page-file' => 'ファイル',
	'wikieditor-toolbar-help-page-reference' => '注釈',
	'wikieditor-toolbar-help-page-discussion' => '議論',
	'wikieditor-toolbar-help-content-italic-description' => '斜体',
	'wikieditor-toolbar-help-content-italic-syntax' => "''斜体テキスト''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>斜体テキスト</em>',
	'wikieditor-toolbar-help-content-bold-description' => '太字',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''太字テキスト'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>太字テキスト</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => '太字かつ斜体',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''太字かつ斜体'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>太字かつ斜体</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => '内部リンク',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[ページ名|リンクラベル]]<br />[[ページ名]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>リンクラベル</a><br /><a href='#'>ページ名</a>",
	'wikieditor-toolbar-help-content-xlink-description' => '外部リンク',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org リンクラベル]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>リンクラベル</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '見出しレベル2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== 見出し ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>見出し</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '見出しレベル3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== 見出し ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>見出し</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '見出しレベル4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== 見出し ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>見出し</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '見出しレベル5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== 見出し =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>見出し</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => '番号なし箇条書き',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* 箇条書き項目<br />* 箇条書き項目',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>箇条書き項目</li><li>箇条書き項目</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => '番号付き箇条書き',
	'wikieditor-toolbar-help-content-olist-syntax' => '# 箇条書き項目<br /># 箇条書き項目',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>箇条書き項目</li><li>箇条書き項目</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => '埋め込みファイル',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|キャプション]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='キャプション' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>キャプション</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => '注釈',
	'wikieditor-toolbar-help-content-reference-syntax' => 'ページ本文&lt;ref name="test"&gt;[http://www.example.org リンクタイトル]、追加テキスト&lt;/ref&gt;。',
	'wikieditor-toolbar-help-content-reference-result' => "ページ本文<sup><a href='#'>[1]</a></sup>。",
	'wikieditor-toolbar-help-content-rereference-description' => '同じ注釈の追加利用',
	'wikieditor-toolbar-help-content-rereference-result' => "ページ本文<sup><a href='#'>[1]</a></sup>。",
	'wikieditor-toolbar-help-content-showreferences-description' => '脚注の表示',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>リンクタイトル</a>、追加テキスト</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '時刻付き署名',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>利用者名</a> (<a href='#' title='{{#special:mytalk}}'>トーク</a>) 2009年6月10日 (水) 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => '署名',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>利用者名</a> (<a href='#' title='{{#special:mytalk}}'>トーク</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'インデント',
	'wikieditor-toolbar-help-content-indent-syntax' => '通常の文章<br />:インデントされた文章<br />::インデントされた文章',
	'wikieditor-toolbar-help-content-indent-result' => '通常の文章<dl><dd>インデントされた文章<dl><dd>インデントされた文章</dd></dl></dd></dl>',
);

/** Lojban (Lojban)
 * @author Ruzihm
 */
$messages['jbo'] = array(
	'wikieditor-toolbar' => 'stika samtcikajna',
	'wikieditor-toolbar-desc' => "samtcikajna pe lo stika mutpapri zi'e poi filmau selpli",
	'wikieditor-toolbar-loading' => 'ca puvbre',
	'wikieditor-toolbar-tool-bold' => 'plana',
);

/** Javanese (Basa Jawa)
 * @author Meursault2004
 */
$messages['jv'] = array(
	'wikieditor-publish-button-cancel' => 'Batalna',
);

/** Georgian (ქართული)
 * @author BRUTE
 * @author David1010
 * @author Dawid Deutschland
 * @author ITshnik
 * @author გიორგიმელა
 */
$messages['ka'] = array(
	'wikieditor' => 'ვიკიტექსტის რედაქტირების გაფართოებული ინტერფეისი',
	'wikieditor-desc' => 'ვიკიტექსტის რედაქტირების გაფართოებული ინტერფეისისა და სხვა ფუნქციებს უზრუნველყოფს',
	'wikieditor-wikitext-tab' => 'ვიკიტექსტი',
	'wikieditor-loading' => 'იტვირთება',
	'wikieditor-preview-preference' => 'ჩართეთ გვერდითი გადახედვა',
	'wikieditor-preview-tab' => 'წინასწარ',
	'wikieditor-preview-changes-tab' => 'ცვლილებები',
	'wikieditor-preview-loading' => 'იტვირთება...',
	'wikieditor-previewDialog-preference' => 'წინასწარი გადახედვის დიალოგის ჩართვა',
	'wikieditor-previewDialog-tab' => 'წინასწარ',
	'wikieditor-previewDialog-loading' => 'იტვირთება...',
	'wikieditor-publish-preference' => 'ჩართეთ ნაბიჯ-ნაბიჯი პუბლიკაცია',
	'wikieditor-publish-button-publish' => 'გამოქვეყნება',
	'wikieditor-publish-button-cancel' => 'გაუქმება',
	'wikieditor-publish-dialog-title' => 'გამოქვეყნება {{SITENAME}}-ში.',
	'wikieditor-publish-dialog-summary' => 'ცვლილების მოკლე აღწერა (წერილობით აღწერეთ, თუ რა ცვლილება შეიტანეთ):',
	'wikieditor-publish-dialog-minor' => 'მცირე შესწორება',
	'wikieditor-publish-dialog-watch' => 'ამ გვერდის თვალთვალი',
	'wikieditor-publish-dialog-publish' => 'გამოქვეყნება',
	'wikieditor-publish-dialog-goback' => 'უკან',
	'wikieditor-template-editor-preference' => 'თარგების რედაქტირება ფორმების მეშვეობით - ჩართვა',
	'wikieditor-template-editor-dialog-title' => 'თარგის რედაქტირება',
	'wikieditor-template-editor-dialog-submit' => 'განახლება',
	'wikieditor-template-editor-dialog-cancel' => 'გაუქმება',
	'wikieditor-templates-preference' => 'ჩაკეცილი თარგის ჩართვა',
	'wikieditor-toc-preference' => 'ჩართეთ სარჩევი ნავიგაციის შესაძლებლობით',
	'wikieditor-toc-show' => 'აჩვენეთ სარჩევი',
	'wikieditor-toc-hide' => 'სარჩევის დამალვა',
	'wikieditor-toolbar' => 'რედაქტირების პანელი',
	'wikieditor-toolbar-desc' => 'რედაქტირების პანელი გაუმჯობესებული იუზაბილითით',
	'wikieditor-toolbar-preference' => 'ჩართეთ რედაქტირების გაუმჯობესებული პანელი',
	'wikieditor-toolbar-dialogs-preference' => 'ჩართეთ დიალოგები ბმულების, ტაბულებისა და სხვა ობიექტების ჩასასმელად',
	'wikieditor-toolbar-loading' => 'იტვირთება…',
	'wikieditor-toolbar-tool-bold' => 'მუქი',
	'wikieditor-toolbar-tool-bold-example' => 'მუქი ტექსტი',
	'wikieditor-toolbar-tool-italic' => 'კურსივი',
	'wikieditor-toolbar-tool-italic-example' => 'კურსივის ტექსტი',
	'wikieditor-toolbar-tool-ilink' => 'შიდა ბმული',
	'wikieditor-toolbar-tool-ilink-example' => 'ბმულის სათაური',
	'wikieditor-toolbar-tool-xlink' => 'გარე ბმული (გახსოვდეთ http:// პრეფიქსი)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ბმულის სათაური',
	'wikieditor-toolbar-tool-link' => 'ბმული',
	'wikieditor-toolbar-tool-link-title' => 'ბმულის ჩასმა',
	'wikieditor-toolbar-tool-link-int' => 'ვიკი გვერდზე',
	'wikieditor-toolbar-tool-link-int-target' => 'გვერდის სათაური:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'გვერდის სახელი ან URL',
	'wikieditor-toolbar-tool-link-int-text' => 'ჩვენებული ტექსტი:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'საჩვენებელი ტექსტი',
	'wikieditor-toolbar-tool-link-ext' => 'გარე ვებ-გვერდზე',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL ბმული:',
	'wikieditor-toolbar-tool-link-ext-text' => 'ბმულის ტექსტი:',
	'wikieditor-toolbar-tool-link-insert' => 'ბმულის ჩასმა',
	'wikieditor-toolbar-tool-link-cancel' => 'გაუქმება',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'გვერდი არსებობს',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'გვერდი არ არსებობს',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'არასწორი დასახელება',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'გარე ბმული',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'არსებული გვერდების შემოწმება...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'მითითებული დასახელება არ არსებობს',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'თქვენ მიერ მითითებული URL, როგორც ჩანს მითითებულია სხვა ვიკი-გვერდზე. გინდათ იყოს ის შიდა ბმული?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'შიდა ბმული',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'გარე ბმული',
	'wikieditor-toolbar-tool-link-empty' => 'თქვენ არ მიუთითეთ ბმული.',
	'wikieditor-toolbar-tool-file' => 'ჩასმული ფაილი',
	'wikieditor-toolbar-tool-file-example' => 'მაგალითი.jpg',
	'wikieditor-toolbar-tool-reference' => 'მინიშნებები',
	'wikieditor-toolbar-tool-reference-example' => 'ჩასვით მინიშნებების ტექსტი აქ',
	'wikieditor-toolbar-tool-reference-cancel' => 'გაუქმება',
	'wikieditor-toolbar-tool-reference-title' => 'სქოლიოს ჩასმა',
	'wikieditor-toolbar-tool-reference-insert' => 'ჩასმა',
	'wikieditor-toolbar-tool-reference-text' => 'სქოლიოს ტექსტი',
	'wikieditor-toolbar-tool-signature' => 'ხელმოწერა და დრო',
	'wikieditor-toolbar-section-advanced' => 'დამატებით',
	'wikieditor-toolbar-tool-heading' => 'სათაური',
	'wikieditor-toolbar-tool-heading-1' => 'დონე 1',
	'wikieditor-toolbar-tool-heading-2' => 'დონე 2',
	'wikieditor-toolbar-tool-heading-3' => 'დონე 3',
	'wikieditor-toolbar-tool-heading-4' => 'დონე4',
	'wikieditor-toolbar-tool-heading-5' => 'დონე 5',
	'wikieditor-toolbar-tool-heading-example' => 'სათაურის ტექსტი',
	'wikieditor-toolbar-group-format' => 'ფორმატი',
	'wikieditor-toolbar-tool-ulist' => 'მონიშნული სია',
	'wikieditor-toolbar-tool-ulist-example' => 'მონიშნული სიის ელემენტი',
	'wikieditor-toolbar-tool-olist' => 'დათვლადი სია',
	'wikieditor-toolbar-tool-olist-example' => 'დათვლადი სიის ელემენტი',
	'wikieditor-toolbar-tool-indent' => 'გადახრა',
	'wikieditor-toolbar-tool-indent-example' => 'ხაზი გადახრით',
	'wikieditor-toolbar-tool-nowiki' => 'ვიკის ფორმატირების იგნორირება',
	'wikieditor-toolbar-tool-nowiki-example' => 'ჩასვით დაუფორმატებელი ტექსტი აქ',
	'wikieditor-toolbar-tool-redirect' => 'გადამისამართება',
	'wikieditor-toolbar-tool-redirect-example' => 'გვერდის სამიზნო სახელი',
	'wikieditor-toolbar-tool-big' => 'დიდი',
	'wikieditor-toolbar-tool-big-example' => 'დიდი ტექსტი',
	'wikieditor-toolbar-tool-small' => 'მცირე',
	'wikieditor-toolbar-tool-small-example' => 'მცირე ტექსტი',
	'wikieditor-toolbar-tool-superscript' => 'ზეხაზური',
	'wikieditor-toolbar-tool-superscript-example' => 'ზეხაზური ტექსტი',
	'wikieditor-toolbar-tool-subscript' => 'ქვეხაზური',
	'wikieditor-toolbar-tool-subscript-example' => 'ქვეხაზური ტექსტი',
	'wikieditor-toolbar-group-insert' => 'ჩასმა',
	'wikieditor-toolbar-tool-gallery' => 'გამოსახულებათა გალერეა',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|აღწერა1
$1:Example.jpg|აღწერა2',
	'wikieditor-toolbar-tool-newline' => 'ახალი ხაზი',
	'wikieditor-toolbar-tool-table' => 'ტაბულა',
	'wikieditor-toolbar-tool-table-example-old' => '-
! სახელი 1
! სახელი 2
! სახელი 3
|-
| ხაზი 1, უჯრედი 1
| ხაზი 1, უჯრედი 2
| ხაზი 1, უჯრედი 3
|-
| ხაზი 2, უჯრედი 1
| ხაზი 2, უჯრედი 2
| ხაზი 2, უჯრედი 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'უჯრედის ტექსტი',
	'wikieditor-toolbar-tool-table-example-header' => 'სათაურის ტექსტი',
	'wikieditor-toolbar-tool-table-title' => 'ტაბულის ჩასმა',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'რიგიები',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'სვეტები',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ჩასვათ სათაურის ხაზი',
	'wikieditor-toolbar-tool-table-wikitable' => 'გაფორმება საზღვრებით',
	'wikieditor-toolbar-tool-table-sortable' => 'სორტირებული ცხრილის შექმნა',
	'wikieditor-toolbar-tool-table-example' => 'მაგალითი',
	'wikieditor-toolbar-tool-table-preview' => 'წინასწარ',
	'wikieditor-toolbar-tool-table-insert' => 'ჩასმა',
	'wikieditor-toolbar-tool-table-cancel' => 'გაუქმება',
	'wikieditor-toolbar-tool-table-toomany' => 'ეს დიალოგი ვერ შექმნის $1 უჯრედზე მეტი უჯრედის შემცვლელ ტაბულას',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'თქვენ არ მიგითითებიათ ხაზების ან სვეტების რაოდენობა',
	'wikieditor-toolbar-tool-table-zero' => 'თქვენ ვერ ჩასვავთ ხაზების ან სვეტების ნულოვან რაოდენობას',
	'wikieditor-toolbar-tool-replace' => 'ძებნა და შეცვლა',
	'wikieditor-toolbar-tool-replace-title' => 'ძებნა და შეცვლა',
	'wikieditor-toolbar-tool-replace-search' => 'ძიება:',
	'wikieditor-toolbar-tool-replace-replace' => 'შეცვლა:',
	'wikieditor-toolbar-tool-replace-case' => 'რეგისტრის გათვალისწინება',
	'wikieditor-toolbar-tool-replace-regex' => 'ჩათვალეთ ძიების ხაზი რეგულარულ გამოსახულებად',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'შემდეგის მოძიება',
	'wikieditor-toolbar-tool-replace-button-replace' => 'ჩანაცვლება',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'შეცვალეთ ყველაფერი',
	'wikieditor-toolbar-tool-replace-close' => 'დახურვა',
	'wikieditor-toolbar-tool-replace-nomatch' => 'თქვენი მოთხოვნის შესაბამისი არაფერია ნაპოვნი',
	'wikieditor-toolbar-tool-replace-success' => '$1 შეცვლა განხორციელდა.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'თქვენ არ მიუთითეთ საძიებელი.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'თქვენს მიერ შეტანილი რეგულარული გამოსახულება არასწორია: $1',
	'wikieditor-toolbar-section-characters' => 'სპეციალური სიმბოლოები',
	'wikieditor-toolbar-characters-page-latin' => 'ლათინური',
	'wikieditor-toolbar-characters-page-latinextended' => 'ლათინური გაფართოება',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'სიმბოლოები',
	'wikieditor-toolbar-characters-page-greek' => 'ბერძნული',
	'wikieditor-toolbar-characters-page-cyrillic' => 'კირილიცა',
	'wikieditor-toolbar-characters-page-arabic' => 'არაბული',
	'wikieditor-toolbar-characters-page-persian' => 'სპარსული',
	'wikieditor-toolbar-characters-page-hebrew' => 'ებრაული',
	'wikieditor-toolbar-characters-page-bangla' => 'ბენგალური',
	'wikieditor-toolbar-characters-page-telugu' => 'ტელუგუ',
	'wikieditor-toolbar-characters-page-sinhala' => 'სინგალური',
	'wikieditor-toolbar-characters-page-gujarati' => 'გუჯარათი',
	'wikieditor-toolbar-characters-page-thai' => 'ტაილანდური',
	'wikieditor-toolbar-characters-page-lao' => 'ლაოსური',
	'wikieditor-toolbar-characters-page-khmer' => 'ქჰმერული',
	'wikieditor-toolbar-section-help' => 'დახმარება',
	'wikieditor-toolbar-help-heading-description' => 'აღწერა',
	'wikieditor-toolbar-help-heading-syntax' => 'რას ბეჭდავთ',
	'wikieditor-toolbar-help-heading-result' => 'რას მიიღებთ',
	'wikieditor-toolbar-help-page-format' => 'ფორმატირება',
	'wikieditor-toolbar-help-page-link' => 'ბმულები',
	'wikieditor-toolbar-help-page-heading' => 'სათაურები',
	'wikieditor-toolbar-help-page-list' => 'სიები',
	'wikieditor-toolbar-help-page-file' => 'ფაილები',
	'wikieditor-toolbar-help-page-reference' => 'მინიშნებები',
	'wikieditor-toolbar-help-page-discussion' => 'განხილვა',
	'wikieditor-toolbar-help-content-italic-description' => 'კურსივი',
	'wikieditor-toolbar-help-content-italic-syntax' => "''დახრილი ტექსტი''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>დახრილი ტექსტი</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'სქელი',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''სქელი ტექსტი'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>სქელი ტექსტი</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'სქელი დახრილი',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''სქელი დახრილი ტექსტი'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>სქელი დახრილი ტექსტი</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'შიდა ბმული',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[გვერდის სათაური|ბმულის წარწერა]]<br />[[გვერდის სათაური]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>ბმულის ტექსტი</a><br /><a href='#'>გვერდის სათაური</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'გარე ბმული',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org ბმულის წარწერა]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>ბმულის წარწერა</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'მე-2&nbsp;დონის სათაური',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== სათაურის ტექსტი ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>სათაურის ტექსტი</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'მე-3&nbsp;დონის საათაური',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== სათაურის ტექსტი ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>სათაურის ტექსტი</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'მე-4&nbsp; დონის სათაური',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== სათაურის ტექსტი ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>სათაურის ტექსტი</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'მე-5&nbsp; დონის სათაური',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== სათაურის ტექსტი =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>სათაურის ტექსტი</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'მარკირებული სია',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* სიის ელემენტი<br />* სიის ელემენტი',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>სიის ელემენტი</li><li>სიის ელემენტი</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'დანომრილი სია',
	'wikieditor-toolbar-help-content-olist-syntax' => '#სიის ელემენტი<br /># სიის ელემენტი',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>სიის ელემენტი</li><li>სიის ელემენტი</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'ჩასმული ფაილი',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|წარწერის ტექსტი]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='წარწერის ტექსტი' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>წარწერის ტექსტი</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'მინიშნება',
	'wikieditor-toolbar-help-content-reference-syntax' => 'გვერდის ტექსტი&lt;ref name="test"&gt;[http://www.example.org ბმულის ტექსტი], დამატებითი ტექსტი.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "გვერდის ტექსტი<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-rereference-description' => 'იგივე მინიშნების დამატებითი გამოყენება',
	'wikieditor-toolbar-help-content-rereference-result' => "გვერდის ტექსტი<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'სქოლიოს ჩვენება',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>ბმულის ტექსტი</a>, დამატებითი ტექსტი.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'ხელმოწერა დროის მითითებით',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>მომხმარებლის სახელი</a> (<a href='#' title='{{#special:mytalk}}'>განხილვა</a>) 15:54, 10 ივნისი 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'ხელმოწერა',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>მომხმარებლის სახელი</a> (<a href='#' title='{{#special:mytalk}}'>განხილვა</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'შეწევა',
	'wikieditor-toolbar-help-content-indent-syntax' => 'ჩვეულებრივი ტექსტი<br />:შეწეული ტექსტი<br />::შეწეული ტექსტი',
	'wikieditor-toolbar-help-content-indent-result' => 'ჩვეულებრივი ტექსტი<dl><dd>შეწეული ტექსტი<dl><dd>შეწეული ტექსტი</dd></dl></dd></dl>',
);

/** Адыгэбзэ (Адыгэбзэ)
 * @author Bogups
 */
$messages['kbd-cyrl'] = array(
	'wikieditor-toolbar-tool-reference' => 'ЩӀэупӀщӀэгъуэ',
	'wikieditor-toolbar-section-advanced' => 'Нэхъыбу',
	'wikieditor-toolbar-section-characters' => 'Дэмыгъэ специалхэр',
);

/** Kirmanjki (Kırmancki)
 * @author Mirzali
 */
$messages['kiu'] = array(
	'wikieditor-toolbar-tool-link' => 'Girê',
);

/** Kazakh (Cyrillic script) (‪Қазақша (кирил)‬)
 * @author GaiJin
 */
$messages['kk-cyrl'] = array(
	'wikieditor-toolbar-section-advanced' => 'Кеңейтілген',
	'wikieditor-toolbar-group-format' => 'Пішім',
	'wikieditor-toolbar-group-insert' => 'Енгізу',
	'wikieditor-toolbar-section-characters' => 'Арнайы таңбалар',
	'wikieditor-toolbar-section-help' => 'Анықтама',
);

/** Khmer (ភាសាខ្មែរ)
 * @author គីមស៊្រុន
 */
$messages['km'] = array(
	'wikieditor' => 'អន្តរមុខសំរាប់កែប្រែអត្ថបទវិគីថ្នាក់ខ្ពស់',
	'wikieditor-wikitext-tab' => 'អត្ថបទវិគី',
	'wikieditor-loading' => 'កំពុងផ្ទុក',
	'wikieditor-preview-preference' => 'ប្រើការមើលមុខផ្ទឹមគ្នា',
	'wikieditor-preview-tab' => 'ការមើលមុន',
	'wikieditor-preview-changes-tab' => 'បំលាស់ប្ដូរ',
	'wikieditor-preview-loading' => 'កំពុងផ្ទុក…',
	'wikieditor-publish-button-publish' => 'បោះផ្សាយ',
	'wikieditor-publish-button-cancel' => 'បោះបង់',
	'wikieditor-publish-dialog-title' => 'បោះផ្សាយក្នុង{{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'ចំណារពន្យល់ (រៀបរាប់ដោយសង្ខេបពីកំណែប្រែដែលអ្នកបានធ្វើឡើង)៖',
	'wikieditor-publish-dialog-minor' => 'កំណែប្រែតិចតួច',
	'wikieditor-publish-dialog-watch' => 'តាមដាន​ទំព័រនេះ',
	'wikieditor-publish-dialog-publish' => 'បោះផ្សាយ',
	'wikieditor-publish-dialog-goback' => 'ត្រឡប់​ក្រោយ',
	'wikieditor-template-editor-dialog-submit' => 'ធ្វើឱ្យទាន់សម័យ',
	'wikieditor-template-editor-dialog-cancel' => 'បោះបង់',
	'wikieditor-toc-show' => 'បង្ហាញខ្លឺមសារ',
	'wikieditor-toc-hide' => 'លាក់ខ្លឹមសារ',
	'wikieditor-toolbar' => 'របារឧបករណ៍កែប្រែ',
	'wikieditor-toolbar-preference' => 'ប្រើរបារឧបករណ៍កែប្រែទំនើប',
	'wikieditor-toolbar-dialogs-preference' => 'ប្រើផ្ទាំងពិសេសសំរាប់បញ្ចូលតំណភ្ជាប់ តារាង ជាដើម',
	'wikieditor-toolbar-loading' => 'កំពុងផ្ទុក…',
	'wikieditor-toolbar-tool-bold' => 'អក្សរដិត',
	'wikieditor-toolbar-tool-bold-example' => 'អត្ថបទជាអក្សរដិត',
	'wikieditor-toolbar-tool-italic' => 'អក្សរទ្រេត',
	'wikieditor-toolbar-tool-italic-example' => 'អត្ថបទជាអក្សរទ្រេត',
	'wikieditor-toolbar-tool-ilink' => 'តំណភ្ជាប់​ខាងក្នុង',
	'wikieditor-toolbar-tool-ilink-example' => 'ចំណងជើង​តំណភ្ជាប់',
	'wikieditor-toolbar-tool-xlink' => 'តំណភ្ជាប់​ខាងក្រៅ (កុំភ្លេច​ដាក់ http:// នៅពីមុខ)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ចំណងជើង​តំណភ្ជាប់',
	'wikieditor-toolbar-tool-link' => 'តំណ​ភ្ជាប់',
	'wikieditor-toolbar-tool-link-title' => 'បញ្ចូលតំណភ្ជាប់',
	'wikieditor-toolbar-tool-link-int' => 'ទៅកាន់ទំព័រក្នុងវិគី',
	'wikieditor-toolbar-tool-link-int-target' => 'ទំព័រគោលដៅឬURL៖',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'ចំណងជើងទំព័រឫURL',
	'wikieditor-toolbar-tool-link-int-text' => 'ពាក្យដែលត្រូវបង្ហាញ៖',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'ពាក្យដែលត្រូវបង្ហាញ',
	'wikieditor-toolbar-tool-link-ext' => 'ទៅកាន់ទំព័រវិបសាយខាងក្រៅ',
	'wikieditor-toolbar-tool-link-ext-target' => 'តំណភ្ជាប់URL',
	'wikieditor-toolbar-tool-link-ext-text' => 'ពាក្យត្រូវដាក់តំណភ្ជាប់៖',
	'wikieditor-toolbar-tool-link-insert' => 'បញ្ចូលតំណភ្ជាប់',
	'wikieditor-toolbar-tool-link-cancel' => 'បោះបង់​',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'ទំព័រ​មានរួចហើយ',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'ទំព័រមិនទាន់មាន',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ចំណងជើងមិនត្រឹមត្រូវ',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'តំណភ្ជាប់​ខាងក្រៅ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'កំពុងពិនិត្យថាតើទំព័រមានហើយឫនៅ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ចំណងជើងដែលអ្នកបានផ្ដល់អោយមិនត្រឹមត្រូវទេ',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URLដែលអ្នកបានផ្ដល់អោយ ទំនងជាតំណភ្ជាប់ទៅកាន់ទំព័រមួយទៀតក្នុងវិគី។

តើអ្នកចង់ប្ដូរវាជាតំណភ្ជាប់ខាងក្នុងវិញទេ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'តំណភ្ជាប់​ខាងក្នុង',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'តំណភ្ជាប់​ខាងក្រៅ',
	'wikieditor-toolbar-tool-link-empty' => 'អ្នកមិនបានវាយបញ្ចូលពាក្យសំរាប់ដាក់តំណភ្ជាប់ទេ។',
	'wikieditor-toolbar-tool-file' => 'រូបភាពបង្កប់',
	'wikieditor-toolbar-tool-file-example' => 'ឧទាហរណ៍.jpg',
	'wikieditor-toolbar-tool-reference' => 'ឯកសារយោង',
	'wikieditor-toolbar-tool-reference-example' => 'បញ្ចូលអត្ថបទយោងនៅទីនេះ',
	'wikieditor-toolbar-tool-reference-cancel' => 'បោះបង់',
	'wikieditor-toolbar-tool-reference-title' => 'បញ្ចូលឯកសារយោង',
	'wikieditor-toolbar-tool-reference-insert' => 'បញ្ចូល',
	'wikieditor-toolbar-tool-reference-text' => 'អត្ថបទយោង',
	'wikieditor-toolbar-tool-signature' => 'ហត្ថលេខា​និងកាលបរិច្ឆេទ',
	'wikieditor-toolbar-section-advanced' => 'ថ្នាក់ខ្ពស់',
	'wikieditor-toolbar-tool-heading' => 'កូនចំណងជើង',
	'wikieditor-toolbar-tool-heading-1' => 'កំរិត១',
	'wikieditor-toolbar-tool-heading-2' => 'កំរិត២',
	'wikieditor-toolbar-tool-heading-3' => 'កំរិត៣',
	'wikieditor-toolbar-tool-heading-4' => 'កំរិត៤',
	'wikieditor-toolbar-tool-heading-5' => 'កំរិត៥',
	'wikieditor-toolbar-tool-heading-example' => 'អត្ថបទកូនចំណងជើង',
	'wikieditor-toolbar-group-format' => 'ទំរង់',
	'wikieditor-toolbar-tool-ulist' => 'បញ្ជីផ្ដើមដោយត្រេ',
	'wikieditor-toolbar-tool-ulist-example' => 'ធាតុរបស់បញ្ជីផ្ដើមដោយត្រេ',
	'wikieditor-toolbar-tool-olist' => 'បញ្ជីផ្ដើមដោយលេខរៀង',
	'wikieditor-toolbar-tool-olist-example' => 'ធាតុរបស់បញ្ជីផ្ដើមដោយលេខរៀង',
	'wikieditor-toolbar-tool-indent' => 'ចូលបន្ទាត់',
	'wikieditor-toolbar-tool-indent-example' => 'ជួរចូលបន្ទាត់',
	'wikieditor-toolbar-tool-nowiki' => 'មិនមានទំរង់វិគី',
	'wikieditor-toolbar-tool-nowiki-example' => 'បញ្ចូល​អត្ថបទគ្មានទម្រង់​នៅទីនេះ',
	'wikieditor-toolbar-tool-redirect' => 'បញ្ជូនបន្ត',
	'wikieditor-toolbar-tool-redirect-example' => 'ទំព័រគោលដៅ',
	'wikieditor-toolbar-tool-big' => 'ធំ',
	'wikieditor-toolbar-tool-big-example' => 'អត្ថបទធំ',
	'wikieditor-toolbar-tool-small' => 'តូច',
	'wikieditor-toolbar-tool-small-example' => 'អត្ថបទតូច',
	'wikieditor-toolbar-tool-superscript' => 'និទស្សន្តន៍',
	'wikieditor-toolbar-tool-superscript-example' => 'ឃ្លាជានិទស្សន្តន៍',
	'wikieditor-toolbar-tool-subscript' => 'សន្ទស្សន៍',
	'wikieditor-toolbar-tool-subscript-example' => 'ឃ្លាជាសន្ទស្សន៍',
	'wikieditor-toolbar-group-insert' => 'បញ្ជូល',
	'wikieditor-toolbar-tool-gallery' => 'វិចិត្រសាលរូបភាព',
	'wikieditor-toolbar-tool-gallery-example' => '$1:ឧទាហរណ៍.jpg|ចំនងជើងក្រោមរូបភាព១

$1:ឧទាហរណ៍.jpg|ចំនងជើងក្រោមរូបភាព២',
	'wikieditor-toolbar-tool-newline' => 'ចុះបន្ទាត់',
	'wikieditor-toolbar-tool-table' => 'តារាង',
	'wikieditor-toolbar-tool-table-example-old' => '-
! ឈ្មោះជួរឈរ 1
! ឈ្មោះជួរឈរ 2
! ឈ្មោះជួរឈរ 3
|-
| ជួរដេក 1, ប្រអប់ 1
| ជួរដេក 1, ប្រអប់ 2
| ជួរដេក 1, ប្រអប់ 3
|-
| ជួរដេក 2, ប្រអប់ 1
| ជួរដេក 2, ប្រអប់ 2
| ជួរដេក 2, ប្រអប់ 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'អត្ថបទក្នុងប្រអប់',
	'wikieditor-toolbar-tool-table-example-header' => 'ឈ្មោះជួរឈរ',
	'wikieditor-toolbar-tool-table-title' => 'បញ្ចូលតារាង',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ជួរដេក',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ជួរឈរ',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'បន្ថែមជេរដេកឈ្មោះជួរឈរ',
	'wikieditor-toolbar-tool-table-wikitable' => 'រចនាបថមានស៊ុមព័ទ្ធជុំវិញ',
	'wikieditor-toolbar-tool-table-sortable' => 'ធ្វើតារាងដែលអាចធ្វើការតំរៀបតាមអក្ខរក្រមបាន',
	'wikieditor-toolbar-tool-table-example' => 'ឧទាហរណ៍',
	'wikieditor-toolbar-tool-table-preview' => 'មើលជាមុន',
	'wikieditor-toolbar-tool-table-insert' => 'បញ្ចូល',
	'wikieditor-toolbar-tool-table-cancel' => 'បោះបង់​',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'អ្នកមិនបានបញ្ចូលចំនួនជួរដេកនិងជួរឈរបានត្រឹមត្រូវទេ។',
	'wikieditor-toolbar-tool-table-zero' => 'អ្នកមិនអាចបញ្ចូលតារាងដែលមានជួរដេកឬជួរឈរចំនួនសូន្យបានទេ។',
	'wikieditor-toolbar-tool-replace' => 'ស្វែងរកនិងជំនួស',
	'wikieditor-toolbar-tool-replace-title' => 'ស្វែងរកនិងជំនួស',
	'wikieditor-toolbar-tool-replace-search' => 'ស្វែងរក៖',
	'wikieditor-toolbar-tool-replace-replace' => 'ជំនួសដោយ៖',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'រុករក​បន្ទាប់​',
	'wikieditor-toolbar-tool-replace-button-replace' => 'ជំនួស',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'ជំនួសទាំងអស់',
	'wikieditor-toolbar-tool-replace-close' => 'បិទ',
	'wikieditor-toolbar-tool-replace-nomatch' => 'រកមិនឃើញអ្វីដែលអ្នកចង់រកទេ។',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'អ្នកមិនបានវាយបញ្ចូលពាក្យសំរាប់ស្វែងរកទេ។',
	'wikieditor-toolbar-section-characters' => 'តួអក្សរពិសេសៗ',
	'wikieditor-toolbar-characters-page-latin' => 'អក្សរឡាតាំង',
	'wikieditor-toolbar-characters-page-latinextended' => 'អក្សរឡាតាំងផ្សេងទៀត',
	'wikieditor-toolbar-characters-page-ipa' => 'អក្ខរក្រមសំលេងអន្តរជាតិ',
	'wikieditor-toolbar-characters-page-symbols' => 'សញ្ញា',
	'wikieditor-toolbar-characters-page-greek' => 'អក្សរក្រិច',
	'wikieditor-toolbar-characters-page-cyrillic' => 'អក្សរស៊ីរីល',
	'wikieditor-toolbar-characters-page-arabic' => 'អក្សរអារ៉ាប់',
	'wikieditor-toolbar-characters-page-arabicextended' => 'អក្សរអារ៉ាប់បន្ថែម',
	'wikieditor-toolbar-characters-page-persian' => 'អក្សរពែក្ស',
	'wikieditor-toolbar-characters-page-hebrew' => 'អក្សរហេប៊្រូ',
	'wikieditor-toolbar-characters-page-bangla' => 'អក្សរបេងក្លា',
	'wikieditor-toolbar-characters-page-telugu' => 'អក្សរតិលគ្គ',
	'wikieditor-toolbar-characters-page-sinhala' => 'អក្សរស៊ិនហាឡា',
	'wikieditor-toolbar-characters-page-gujarati' => 'អក្សរគុចរទី',
	'wikieditor-toolbar-characters-page-thai' => 'អក្សរថៃ',
	'wikieditor-toolbar-characters-page-lao' => 'អក្សរឡាវ',
	'wikieditor-toolbar-characters-page-khmer' => 'អក្សរខ្មែរ',
	'wikieditor-toolbar-section-help' => 'ជំនួយ',
	'wikieditor-toolbar-help-heading-description' => 'ការពិពណ៌នា',
	'wikieditor-toolbar-help-heading-syntax' => 'អ្វីដែលអ្នកវាយបញ្ចូល',
	'wikieditor-toolbar-help-heading-result' => 'អ្វីដែលអ្នកបាន',
	'wikieditor-toolbar-help-page-format' => 'ទំរង់ទ្រង់ទ្រាយ',
	'wikieditor-toolbar-help-page-link' => 'តំណភ្ជាប់',
	'wikieditor-toolbar-help-page-heading' => 'កូនចំនងជើង',
	'wikieditor-toolbar-help-page-list' => 'បញ្ជី',
	'wikieditor-toolbar-help-page-file' => 'ឯកសារ',
	'wikieditor-toolbar-help-page-reference' => 'ឯកសារយោង',
	'wikieditor-toolbar-help-page-discussion' => 'ការពិភាក្សា',
	'wikieditor-toolbar-help-content-italic-description' => 'អក្សរទ្រេត',
	'wikieditor-toolbar-help-content-italic-syntax' => "''អត្ថបទជាអក្សរទ្រេត''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>អត្ថបទជាអក្សរទ្រេត</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'អក្សរដិត',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''អត្ថបទជាអក្សរដិត'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>អត្ថបទជាអក្សរដិត</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'អក្សរដិត &amp; ទ្រេត',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''អត្ថបទជាអក្សរដិត &amp; ទ្រេត'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>អត្ថបទជាអក្សរដិត &amp; ទ្រេត</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'តំណភ្ជាប់​ខាងក្នុង',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[ចំនងជើងទំព័រ|ប្លាកសំគាល់តំនភ្ជាប់]]<br />[[ចំនងជើងទំព័រ]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>ប្លាកសំគាល់តំនភ្ជាប់</a><br /><a href='#'>ចំនងជើងទំព័រ</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'តំណភ្ជាប់​ខាងក្រៅ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.ឧទាហរណ៍.org ប្លាកសំគាល់តំនភ្ជាប់]<br />[http://www.ឧទាហរណ៍.org]<br />http://www.ឧទាហរណ៍.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>ប្លាកសំគាល់តំនភ្ជាប់</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.ឧទាហរណ៍.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'កូនចំនងជើងកំរិត២',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== កូនចំនងជើង ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>កូនចំនងជើង</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'កូនចំនងជើងកំរិត៣',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== កូនចំនងជើង ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>កូនចំនងជើង</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'កូនចំនងជើងកំរិត៤',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== កូនចំនងជើង ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>កូនចំនងជើង</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'កូនចំនងជើងកំរិត៥',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== កូនចំនងជើង =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>កូនចំនងជើង</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'បញ្ជីផ្ដើមដោយត្រេ',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* ធាតុរបស់បញ្ជី<br />* ធាតុរបស់បញ្ជី',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ធាតុរបស់បញ្ជី</li><li>ធាតុរបស់បញ្ជី</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'បញ្ជីផ្ដើមដោយលេខ',
	'wikieditor-toolbar-help-content-olist-syntax' => '# ធាតុរបស់បញ្ជី<br /># ធាតុរបស់បញ្ចី',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ធាតុរបស់បញ្ជី</li><li>ធាតុរបស់បញ្ជី</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'រូបភាពបង្កប់',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:ឧទាហរណ៍.png|thumb|ចំនងជើងក្រោមរូបភាព]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='ចំណងជើងក្រោមរូបភាព' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='ពង្រីក' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>ចំណងជើងក្រោមរូបភាព</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'ឯកសារ​យោង​',
	'wikieditor-toolbar-help-content-reference-syntax' => 'អត្ថបទ​ទំព័រ​.&lt;ref name="test"&gt;[http://www.example.org តំណ​ភ្ជាប់], អក្សរ​បន្ថែម​.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "អត្ថបទ​ទំព័រ​.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'ការប្រើប្រាស់​បន្ថែម​នៃ​ឯកសារ​យោង​ដូចគ្នា​',
	'wikieditor-toolbar-help-content-rereference-result' => "អត្ថបទ​ទំព័រ​.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'បង្ហាញ​ឯកសារ​យោង​',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>អត្ថបទតំណភ្ជាប់/a>, អត្ថបទបន្ថែម។</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'ហត្ថលេខា​ ជាមួយនឹង​ត្រាពេលវេលា​',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>អត្តនាម</a> (<a href='#' title='{{#special:mytalk}}'>ការពិភាក្សា</a>) ១៥:៥៤, ១០ មិថុនា ២០០៩ (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'ហត្ថលេខា​',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>អត្តនាម</a> (<a href='#' title='{{#special:mytalk}}'>ការពិភាក្សា</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'ខិតចូល (Indent)',
	'wikieditor-toolbar-help-content-indent-syntax' => 'អក្សរ​ធម្មតា​<br />:អក្សរ​ខិតចូល​<br />::អក្សរ​ខិតចូល​',
	'wikieditor-toolbar-help-content-indent-result' => 'អក្សរ​ធម្មតា​​<dl><dd>អក្សរ​ខិតចូល​<dl><dd>អក្សរ​ខិតចូល​</dd></dl></dd></dl>',
);

/** Kannada (ಕನ್ನಡ)
 * @author Nayvik
 */
$messages['kn'] = array(
	'wikieditor-preview-tab' => 'ಮುನ್ನೋಟ',
	'wikieditor-previewDialog-tab' => 'ಮುನ್ನೋಟ',
	'wikieditor-template-editor-dialog-cancel' => 'ರದ್ದು ಮಾಡು',
	'wikieditor-toolbar-tool-reference-cancel' => 'ರದ್ದು ಮಾಡು',
	'wikieditor-toolbar-tool-heading-1' => 'ದರ್ಜೆ ೧',
	'wikieditor-toolbar-tool-heading-2' => 'ದರ್ಜೆ ೨',
	'wikieditor-toolbar-tool-heading-3' => 'ದರ್ಜೆ ೩',
	'wikieditor-toolbar-tool-heading-4' => 'ದರ್ಜೆ ೪',
	'wikieditor-toolbar-tool-heading-5' => 'ದರ್ಜೆ ೫',
	'wikieditor-toolbar-group-format' => 'ಪಟ್ಟಿ',
	'wikieditor-toolbar-tool-table' => 'ಪಟ್ಟಿ',
	'wikieditor-toolbar-tool-table-example' => 'ಉದಾಹರಣೆ',
	'wikieditor-toolbar-tool-table-preview' => 'ಮುನ್ನೋಟ',
	'wikieditor-toolbar-characters-page-latin' => 'ಲ್ಯಾಟಿನ',
	'wikieditor-toolbar-characters-page-greek' => 'ಗ್ರೀಕ್',
	'wikieditor-toolbar-characters-page-arabic' => 'ಅರೇಬಿಕ್',
	'wikieditor-toolbar-characters-page-hebrew' => 'ಹೀಬ್ರೂ',
	'wikieditor-toolbar-characters-page-telugu' => 'ತೆಲುಗು',
	'wikieditor-toolbar-characters-page-gujarati' => 'ಗುಜರಾತಿ',
	'wikieditor-toolbar-help-page-list' => 'ಪಟ್ಟಿಗಳು',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== ಶೀರ್ಷಿಕೆ ಪಠ್ಯ ==',
	'wikieditor-toolbar-help-content-signature-description' => 'ಸಹಿ',
);

/** Korean (한국어)
 * @author Devunt
 * @author IRTC1015
 * @author Klutzy
 * @author Kwj2772
 */
$messages['ko'] = array(
	'wikieditor' => '확장된 위키텍스트 편집 인터페이스',
	'wikieditor-desc' => '확장된 위키 문법 편집 인터페이스와 다양한 기능을 제공하는 모듈을 제공',
	'wikieditor-wikitext-tab' => '위키텍스트',
	'wikieditor-loading' => '로딩중',
	'wikieditor-preview-preference' => '미리 보기 비교 활성화',
	'wikieditor-preview-tab' => '미리 보기',
	'wikieditor-preview-changes-tab' => '차이',
	'wikieditor-preview-loading' => '불러오는 중...',
	'wikieditor-previewDialog-preference' => '미리보기 대화 상자 사용하기',
	'wikieditor-previewDialog-tab' => '미리 보기',
	'wikieditor-previewDialog-loading' => '불러오는 중...',
	'wikieditor-publish-preference' => '한 단계씩 게시 활성화',
	'wikieditor-publish-button-publish' => '게시',
	'wikieditor-publish-button-cancel' => '취소',
	'wikieditor-publish-dialog-title' => '{{SITENAME}}에 게시',
	'wikieditor-publish-dialog-summary' => '편집 요약 (무엇을 편집했는지 간략하게 설명합니다):',
	'wikieditor-publish-dialog-minor' => '사소한 편집',
	'wikieditor-publish-dialog-watch' => '이 문서 주시하기',
	'wikieditor-publish-dialog-publish' => '게시',
	'wikieditor-publish-dialog-goback' => '돌아가기',
	'wikieditor-template-editor-preference' => '위키 틀의 폼 기반 편집을 활성화하기',
	'wikieditor-template-editor-dialog-title' => '틀 편집하기',
	'wikieditor-template-editor-dialog-submit' => '업데이트',
	'wikieditor-template-editor-dialog-cancel' => '취소',
	'wikieditor-templates-preference' => '틀 접기 활성화하기',
	'wikieditor-toc-preference' => '편집용 목차를 활성화',
	'wikieditor-toc-show' => '내용 보기',
	'wikieditor-toc-hide' => '내용 숨김',
	'wikieditor-toolbar' => '편집 툴바',
	'wikieditor-toolbar-desc' => '사용성이 향상된 편집 툴바',
	'wikieditor-toolbar-preference' => '기능이 향상된 편집 툴바 사용하기',
	'wikieditor-toolbar-dialogs-preference' => '링크와 표 등을 삽입할 때 대화 상자 사용하기',
	'wikieditor-toolbar-hidesig' => '일반 문서 이름공간에서 서명 단추를 숨기기',
	'wikieditor-toolbar-loading' => '불러오는 중…',
	'wikieditor-toolbar-tool-bold' => '굵은 글씨',
	'wikieditor-toolbar-tool-bold-example' => '굵은 글씨',
	'wikieditor-toolbar-tool-italic' => '기울인 글씨',
	'wikieditor-toolbar-tool-italic-example' => '기울인 글씨',
	'wikieditor-toolbar-tool-ilink' => '내부 링크',
	'wikieditor-toolbar-tool-ilink-example' => '문서 제목',
	'wikieditor-toolbar-tool-xlink' => '외부 사이트 링크 (주소 앞에 http://가 있어야 합니다.)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com 링크 이름',
	'wikieditor-toolbar-tool-link' => '링크',
	'wikieditor-toolbar-tool-link-title' => '링크 추가',
	'wikieditor-toolbar-tool-link-int' => '위키 문서로 연결',
	'wikieditor-toolbar-tool-link-int-target' => '문서 제목:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => '문서 제목 또는 URL',
	'wikieditor-toolbar-tool-link-int-text' => '링크 텍스트:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => '문서에 표시되는 문장',
	'wikieditor-toolbar-tool-link-ext' => '외부 웹 페이지로 연결',
	'wikieditor-toolbar-tool-link-ext-target' => '링크 URL:',
	'wikieditor-toolbar-tool-link-ext-text' => '링크 텍스트:',
	'wikieditor-toolbar-tool-link-insert' => '링크 추가하기',
	'wikieditor-toolbar-tool-link-cancel' => '취소',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => '문서가 존재합니다.',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => '문서가 존재하지 않습니다.',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => '제목이 잘못되었습니다.',
	'wikieditor-toolbar-tool-link-int-target-status-external' => '외부 링크',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => '문서가 존재하는 지 확인 중…',
	'wikieditor-toolbar-tool-link-int-invalid' => '입력한 제목이 잘못되었습니다.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => '당신이 입력한 URL은 다른 내부 문서일 수 있습니다. 내부 링크로 바꾸시겠습니까?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '내부 링크',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '외부 링크',
	'wikieditor-toolbar-tool-link-empty' => '링크할 대상을 입력하지 않았습니다.',
	'wikieditor-toolbar-tool-file' => '파일 넣기',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => '출처',
	'wikieditor-toolbar-tool-reference-example' => '여기에 출처 내용을 적어 주세요',
	'wikieditor-toolbar-tool-reference-cancel' => '취소',
	'wikieditor-toolbar-tool-reference-title' => '주석 추가',
	'wikieditor-toolbar-tool-reference-insert' => '추가',
	'wikieditor-toolbar-tool-reference-text' => '참조 텍스트',
	'wikieditor-toolbar-tool-signature' => '서명 및 시각',
	'wikieditor-toolbar-section-advanced' => '고급 기능',
	'wikieditor-toolbar-tool-heading' => '문단 제목',
	'wikieditor-toolbar-tool-heading-1' => '1단계',
	'wikieditor-toolbar-tool-heading-2' => '2단계',
	'wikieditor-toolbar-tool-heading-3' => '3단계',
	'wikieditor-toolbar-tool-heading-4' => '4단계',
	'wikieditor-toolbar-tool-heading-5' => '5단계',
	'wikieditor-toolbar-tool-heading-example' => '제목',
	'wikieditor-toolbar-group-format' => '기능',
	'wikieditor-toolbar-tool-ulist' => '순서 없는 목록',
	'wikieditor-toolbar-tool-ulist-example' => '항목',
	'wikieditor-toolbar-tool-olist' => '순서 있는 목록',
	'wikieditor-toolbar-tool-olist-example' => '항목',
	'wikieditor-toolbar-tool-indent' => '들여쓰기',
	'wikieditor-toolbar-tool-indent-example' => '들여쓰기',
	'wikieditor-toolbar-tool-nowiki' => '위키 문법 사용하지 않기',
	'wikieditor-toolbar-tool-nowiki-example' => '여기에 위키 문법을 사용하지 않을 글을 적어 주세요',
	'wikieditor-toolbar-tool-redirect' => '넘겨주기',
	'wikieditor-toolbar-tool-redirect-example' => '대상 문서 이름',
	'wikieditor-toolbar-tool-big' => '크게',
	'wikieditor-toolbar-tool-big-example' => '큰 글자',
	'wikieditor-toolbar-tool-small' => '작게',
	'wikieditor-toolbar-tool-small-example' => '작은 글자',
	'wikieditor-toolbar-tool-superscript' => '위 첨자',
	'wikieditor-toolbar-tool-superscript-example' => '위 첨자',
	'wikieditor-toolbar-tool-subscript' => '아래 첨자',
	'wikieditor-toolbar-tool-subscript-example' => '아래 첨자',
	'wikieditor-toolbar-group-insert' => '추가',
	'wikieditor-toolbar-tool-gallery' => '화랑',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|설명1
$1:Example.jpg|설명2',
	'wikieditor-toolbar-tool-newline' => '새 줄',
	'wikieditor-toolbar-tool-table' => '표',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 제목 1
! 제목 2
! 제목 3
|-
| 1행 1열
| 1행 2열
| 1행 3열
|-
| 2행 1열
| 2행 2열
| 2행 3열',
	'wikieditor-toolbar-tool-table-example-cell-text' => '셀 내용',
	'wikieditor-toolbar-tool-table-example-header' => '표 제목',
	'wikieditor-toolbar-tool-table-title' => '표 추가하기',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '행',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '열',
	'wikieditor-toolbar-tool-table-dimensions-header' => '표 제목란을 포함시키기',
	'wikieditor-toolbar-tool-table-wikitable' => '셀 경계선이 있는 스타일',
	'wikieditor-toolbar-tool-table-sortable' => '표를 정렬 가능하게 만들기',
	'wikieditor-toolbar-tool-table-example' => '셀 내용',
	'wikieditor-toolbar-tool-table-preview' => '미리 보기',
	'wikieditor-toolbar-tool-table-insert' => '추가',
	'wikieditor-toolbar-tool-table-cancel' => '취소',
	'wikieditor-toolbar-tool-table-toomany' => '이 기능을 통해서는 $1개 이상의 셀을 가진 틀을 추가할 수 없습니다.',
	'wikieditor-toolbar-tool-table-invalidnumber' => '당신은 행이나 열의 개수를 잘못 입력하였습니다.',
	'wikieditor-toolbar-tool-table-zero' => '행이나 열의 개수가 0인 표를 추가할 수 없습니다.',
	'wikieditor-toolbar-tool-replace' => '찾아 바꾸기',
	'wikieditor-toolbar-tool-replace-title' => '찾아 바꾸기',
	'wikieditor-toolbar-tool-replace-search' => '찾기:',
	'wikieditor-toolbar-tool-replace-replace' => '바꾸기:',
	'wikieditor-toolbar-tool-replace-case' => '대소문자를 구별',
	'wikieditor-toolbar-tool-replace-regex' => '찾을 문자열에 정규 표현식을 적용',
	'wikieditor-toolbar-tool-replace-button-findnext' => '다음 찾기',
	'wikieditor-toolbar-tool-replace-button-replace' => '바꾸기',
	'wikieditor-toolbar-tool-replace-button-replaceall' => '모두 바꾸기',
	'wikieditor-toolbar-tool-replace-close' => '닫기',
	'wikieditor-toolbar-tool-replace-nomatch' => '일치하는 문자열을 찾지 못했습니다.',
	'wikieditor-toolbar-tool-replace-success' => '문자열을 $1회 치환하였습니다.',
	'wikieditor-toolbar-tool-replace-emptysearch' => '찾을 문자열을 입력하지 않았습니다.',
	'wikieditor-toolbar-tool-replace-invalidregex' => '당신이 입력한 정규 표현식이 잘못되었습니다: $1',
	'wikieditor-toolbar-section-characters' => '특수문자',
	'wikieditor-toolbar-characters-page-latin' => '라틴 문자',
	'wikieditor-toolbar-characters-page-latinextended' => '확장 라틴 문자',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA 문자',
	'wikieditor-toolbar-characters-page-symbols' => '기호',
	'wikieditor-toolbar-characters-page-greek' => '그리스 문자',
	'wikieditor-toolbar-characters-page-cyrillic' => '키릴 문자',
	'wikieditor-toolbar-characters-page-arabic' => '아랍 문자',
	'wikieditor-toolbar-characters-page-arabicextended' => '아랍어 확장',
	'wikieditor-toolbar-characters-page-persian' => '페르시아어',
	'wikieditor-toolbar-characters-page-hebrew' => '히브리 문자',
	'wikieditor-toolbar-characters-page-bangla' => '뱅골어',
	'wikieditor-toolbar-characters-page-telugu' => '텔루구어 문자',
	'wikieditor-toolbar-characters-page-sinhala' => '싱할라 문자',
	'wikieditor-toolbar-characters-page-gujarati' => '구자라트 문자',
	'wikieditor-toolbar-characters-page-thai' => '타이어',
	'wikieditor-toolbar-characters-page-lao' => '라오어',
	'wikieditor-toolbar-characters-page-khmer' => '크메르어',
	'wikieditor-toolbar-section-help' => '도움말',
	'wikieditor-toolbar-help-heading-description' => '설명',
	'wikieditor-toolbar-help-heading-syntax' => '입력하는 내용',
	'wikieditor-toolbar-help-heading-result' => '문서에 나오는 결과',
	'wikieditor-toolbar-help-page-format' => '글자 모양',
	'wikieditor-toolbar-help-page-link' => '링크',
	'wikieditor-toolbar-help-page-heading' => '문단 제목',
	'wikieditor-toolbar-help-page-list' => '목록',
	'wikieditor-toolbar-help-page-file' => '파일',
	'wikieditor-toolbar-help-page-reference' => '출처',
	'wikieditor-toolbar-help-page-discussion' => '토론',
	'wikieditor-toolbar-help-content-italic-description' => '기울인 글씨',
	'wikieditor-toolbar-help-content-italic-syntax' => "''기울인 글씨''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>기울인 글씨</em>',
	'wikieditor-toolbar-help-content-bold-description' => '굵은 글씨',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''굵은 글씨'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>굵은 글씨</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => '굵고 기울인 글씨',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''굵고 기울인 글씨'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>굵고 기울인 글씨</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => '내부 링크',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[문서 이름|다른 이름]]<br />
[[문서 이름]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>다른 이름</a><br /><a href='#'>문서 이름</a>",
	'wikieditor-toolbar-help-content-xlink-description' => '외부 링크',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org 링크 이름]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>링크 이름</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2단계 제목',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== 제목 ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>제목</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3단계 제목',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== 제목 ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>제목</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4단계 제목',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== 제목 ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>제목</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5단계 제목',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== 제목 =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>제목</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => '순서 없는 목록',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* 목록 항목<br />* 목록 항목',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>목록 항목</li><li>목록 항목</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => '순서 있는 목록',
	'wikieditor-toolbar-help-content-olist-syntax' => '# 목록 항목<br /># 목록 항목',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>목록 항목</li><li>목록 항목</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => '파일 넣기',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|그림 설명]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='실제 크기로' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>그림 설명</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => '출처',
	'wikieditor-toolbar-help-content-reference-syntax' => '문서 내용.&lt;ref name="test"&gt;[http://www.example.org 링크 제목], 기타 설명.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "문서 내용.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => '기존에 붙인 출처 재사용하기',
	'wikieditor-toolbar-help-content-rereference-result' => "문서 내용.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => '출처 표시하기',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>링크 제목</a>, 기타 설명.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '서명 및 시각',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>사용자 이름</a> (<a href='#' title='{{#special:mytalk}}'>토론</a>) 2009년 6월 10일 (수) 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => '서명',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>사용자 이름</a> (<a href='#' title='{{#special:mytalk}}'>토론</a>)",
	'wikieditor-toolbar-help-content-indent-description' => '들여쓰기',
	'wikieditor-toolbar-help-content-indent-syntax' => '보통 글<br />:들여쓰기된 글<br />::들여쓰기된 글',
	'wikieditor-toolbar-help-content-indent-result' => '보통 글<dl><dd>들여쓰기된 글<dl><dd>들여쓰기된 글</dd></dl></dd></dl>',
);

/** Karachay-Balkar (Къарачай-Малкъар)
 * @author Iltever
 * @author Къарачайлы
 */
$messages['krc'] = array(
	'wikieditor' => 'Викитекст редакторлауну кенгертилген интерфейси',
	'wikieditor-desc' => 'Викитекст редакторлауну кенгертилген интерфейсин эмда модулла берген кёб башха функцияны джетиштиреди.',
	'wikieditor-wikitext-tab' => 'Викитекст',
	'wikieditor-loading' => 'Джюклеу',
	'wikieditor-preview-preference' => 'Бир бири къатында ал къарауну джандыр',
	'wikieditor-preview-tab' => 'Ал къарау',
	'wikieditor-preview-changes-tab' => 'Тюрлениуле',
	'wikieditor-preview-loading' => 'Джюклениу...',
	'wikieditor-publish-preference' => 'Атлам-атлам чыгъарыуну джандыр',
	'wikieditor-publish-button-publish' => 'Чыгъар',
	'wikieditor-publish-button-cancel' => 'Ызына алыу',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} проектде чыгъар',
	'wikieditor-publish-dialog-summary' => 'Тюрлениулени ачыкълау (къаллай тюрлениулени этилгенин къысхасы бла белгилегиз):',
	'wikieditor-publish-dialog-minor' => 'Гитче тюрлендириу',
	'wikieditor-publish-dialog-watch' => 'Бу бетни сынчыкъла',
	'wikieditor-publish-dialog-publish' => 'Чыгъар',
	'wikieditor-publish-dialog-goback' => 'Артха',
	'wikieditor-template-editor-preference' => 'Шаблонланы формала бла тюрлендириу амалны джандыр',
	'wikieditor-template-editor-dialog-title' => 'Шаблонну тюрлендириу',
	'wikieditor-template-editor-dialog-submit' => 'Джангырт',
	'wikieditor-template-editor-dialog-cancel' => 'Ызына алыу',
	'wikieditor-templates-preference' => 'Шаблонланы джашырыу амалны джандыр',
	'wikieditor-toc-preference' => 'Навигация амалы бла ичиндегилени таблицасын джандыр',
	'wikieditor-toc-show' => 'Башларын кёргюз',
	'wikieditor-toc-hide' => 'Башларын джашыр',
	'wikieditor-toolbar' => 'Тюзетиулени панели',
	'wikieditor-toolbar-desc' => 'Хайырланыр мадары игиленнген тюрлендириу панель',
	'wikieditor-toolbar-preference' => 'Игиленнген тюрлендириу панелни джандыр',
	'wikieditor-toolbar-dialogs-preference' => 'Джибериулени, таблицаланы эмда андан башханы къошар ючюн диалогланы джандыр',
	'wikieditor-toolbar-loading' => 'Джюклениу...',
	'wikieditor-toolbar-tool-bold' => 'Къалын',
	'wikieditor-toolbar-tool-bold-example' => 'Къалын джазыу',
	'wikieditor-toolbar-tool-italic' => 'Курсив',
	'wikieditor-toolbar-tool-italic-example' => 'Курсив джазыу',
	'wikieditor-toolbar-tool-ilink' => 'Ич джибериу',
	'wikieditor-toolbar-tool-ilink-example' => 'Джибериуню башлыгъы',
	'wikieditor-toolbar-tool-xlink' => 'Тыш джибериу (http:// префиксни унутмагъыз)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com линкни ачыкълауу',
	'wikieditor-toolbar-tool-link' => 'Джибериу',
	'wikieditor-toolbar-tool-link-title' => 'Джибериуню сал',
	'wikieditor-toolbar-tool-link-int' => 'Вики-бетге',
	'wikieditor-toolbar-tool-link-int-target' => 'Нюзюр этилген бет неда URL',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Бетни башлыгъы неда URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Кёргюзюлген текст',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Кёргюзюлюрге керек текстни салыгъыз',
	'wikieditor-toolbar-tool-link-ext' => 'Тыш веб-бетге',
	'wikieditor-toolbar-tool-link-ext-target' => 'Джибериуню URL-и:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Джибериуню тексти',
	'wikieditor-toolbar-tool-link-insert' => 'Джибериуню сал',
	'wikieditor-toolbar-tool-link-cancel' => 'Ызына алыу',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Бет барды',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Быллай бет джокъду',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Джараусуз ат',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Тыш джибериу',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Бетни бар болууу сыналады...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Белгиленнген ат джараусузду',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Кёргюзген URL, башха вики бетге джибериу этилирге изленнгеннге ушайды. Аннга къарамай ич джибериу этерге излеймисиз?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ич джибериу',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Тыш джибериу',
	'wikieditor-toolbar-tool-link-empty' => 'Джибериу этилирча джукъ белгилемегенсиз',
	'wikieditor-toolbar-tool-file' => 'Эндирилген файл',
	'wikieditor-toolbar-tool-file-example' => 'Юлгю.jpg',
	'wikieditor-toolbar-tool-reference' => 'Белги',
	'wikieditor-toolbar-tool-reference-example' => 'Белгини текстин былайгъа салыгъыз',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ызына алыу',
	'wikieditor-toolbar-tool-reference-title' => 'Билгини сал',
	'wikieditor-toolbar-tool-reference-insert' => 'Сал',
	'wikieditor-toolbar-tool-reference-text' => 'Белгини тексти',
	'wikieditor-toolbar-tool-signature' => 'Къол  салыннган бла заман белгиси',
	'wikieditor-toolbar-section-advanced' => 'Къошакъ',
	'wikieditor-toolbar-tool-heading' => 'Башлыкъ',
	'wikieditor-toolbar-tool-heading-1' => '1-чи дараджа',
	'wikieditor-toolbar-tool-heading-2' => '2-чи дараджа',
	'wikieditor-toolbar-tool-heading-3' => '3-чю дараджа',
	'wikieditor-toolbar-tool-heading-4' => '4-чю дараджа',
	'wikieditor-toolbar-tool-heading-5' => '5-чи дараджа',
	'wikieditor-toolbar-tool-heading-example' => 'Башлыкъны тексти',
	'wikieditor-toolbar-group-format' => 'Формат',
	'wikieditor-toolbar-tool-ulist' => 'Ышанлы список',
	'wikieditor-toolbar-tool-ulist-example' => 'Ышанлы списокну элементи',
	'wikieditor-toolbar-tool-olist' => 'Номерленнген список',
	'wikieditor-toolbar-tool-olist-example' => 'Номерли списокну элементи',
	'wikieditor-toolbar-tool-indent' => 'Абзац',
	'wikieditor-toolbar-tool-indent-example' => 'Абзацлы тизгин',
	'wikieditor-toolbar-tool-nowiki' => 'Вики-формат этиуню игнор эт',
	'wikieditor-toolbar-tool-nowiki-example' => 'Формат этилинмеген текстни бери салыгъыз',
	'wikieditor-toolbar-tool-redirect' => 'Джангыдан джибериу',
	'wikieditor-toolbar-tool-redirect-example' => 'Нюзюр бетни аты',
	'wikieditor-toolbar-tool-big' => 'Уллу',
	'wikieditor-toolbar-tool-big-example' => 'Уллу текст',
	'wikieditor-toolbar-tool-small' => 'Гитче',
	'wikieditor-toolbar-tool-small-example' => 'Гитче текст',
	'wikieditor-toolbar-tool-superscript' => 'Тизгин башы',
	'wikieditor-toolbar-tool-superscript-example' => 'Тизгин башы текст',
	'wikieditor-toolbar-tool-subscript' => 'Тизгин тюбю',
	'wikieditor-toolbar-tool-subscript-example' => 'Тизгин тюбю текст',
	'wikieditor-toolbar-group-insert' => 'Къош',
	'wikieditor-toolbar-tool-gallery' => 'Суратланы галереясы',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Юлгю.jpg|Ангылатыу1
$1:Юлгю.jpg|Ангылатыу2',
	'wikieditor-toolbar-tool-newline' => 'Джангы тизгин',
	'wikieditor-toolbar-tool-table' => 'Таблица',
	'wikieditor-toolbar-tool-table-example-old' => '-
! башлыкъ 1
! башлыкъ 2
! башлыкъ 3
|-
| тизгин 1, кюбюр 1
| тизгин 1, кюбюр 2
| тизгин 1, кюбюр 3
|-
| тизгин 2, кюбюр 1
| тизгин 2, кюбюр 2
| тизгин 2, кюбюр 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Кюбюрдеги текст',
	'wikieditor-toolbar-tool-table-example-header' => 'Башлыкъны тексти',
	'wikieditor-toolbar-tool-table-title' => 'Таблица сал',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Тизгинле',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Ёре тизгинле',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Башлыкъ тизгин къош',
	'wikieditor-toolbar-tool-table-wikitable' => 'Чекле бла этиу',
	'wikieditor-toolbar-tool-table-sortable' => 'Таблицаны тизиучю эт',
	'wikieditor-toolbar-tool-table-example' => 'Кюбюрню тексти',
	'wikieditor-toolbar-tool-table-preview' => 'Ал къарау',
	'wikieditor-toolbar-tool-table-insert' => 'Сал',
	'wikieditor-toolbar-tool-table-cancel' => 'Ызына алыу',
	'wikieditor-toolbar-tool-table-toomany' => 'Бу диалог $1 кюбюрден кёб таблица салыргъа къоймайды.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Тизгинлеем неда ёре тизгинлени санларын тюз джазмагъансыз.',
	'wikieditor-toolbar-tool-table-zero' => 'Тизгинлерини неда ёре тизгинлерини саны нуль болгъан таблица салынмайды.',
	'wikieditor-toolbar-tool-replace' => 'Излеу бла алмашдырыу',
	'wikieditor-toolbar-tool-replace-title' => 'Излеу бла алмашдырыу',
	'wikieditor-toolbar-tool-replace-search' => 'Изле:',
	'wikieditor-toolbar-tool-replace-replace' => 'Мунга алмашдыр:',
	'wikieditor-toolbar-tool-replace-case' => 'Уллу-гитче харифлени айыр',
	'wikieditor-toolbar-tool-replace-regex' => 'Излеу тизгинни регуляр выражениеге сана',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Эндигини таб',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Барын да ауушдур',
	'wikieditor-toolbar-tool-replace-close' => 'Джаб',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Сорууугъуз бла келишген эсеб джокъду.',
	'wikieditor-toolbar-tool-replace-success' => '$1 ауушдуруу этилгенди.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Нени излерге керек болгъанын белгилемегенсиз.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Сиз джазгъан регуляр выражение терсди: $1',
	'wikieditor-toolbar-section-characters' => 'Энчи символла',
	'wikieditor-toolbar-characters-page-latin' => 'Латинча',
	'wikieditor-toolbar-characters-page-latinextended' => 'Кенгертилген латинча',
	'wikieditor-toolbar-characters-page-ipa' => 'ХАФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Символла',
	'wikieditor-toolbar-characters-page-greek' => 'Грекча',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кириллица',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабча',
	'wikieditor-toolbar-characters-page-persian' => 'Къаджарча',
	'wikieditor-toolbar-characters-page-hebrew' => 'Иврит',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгалча',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингалча',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджарати',
	'wikieditor-toolbar-characters-page-thai' => 'Тай',
	'wikieditor-toolbar-characters-page-lao' => 'Лаос',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмер',
	'wikieditor-toolbar-section-help' => 'Ангылатыу',
	'wikieditor-toolbar-help-heading-description' => 'Ачыкълау',
	'wikieditor-toolbar-help-heading-syntax' => 'Джазгъаныгъыз',
	'wikieditor-toolbar-help-heading-result' => 'Алгъаныгъыз',
	'wikieditor-toolbar-help-page-format' => 'Бичимлендириу',
	'wikieditor-toolbar-help-page-link' => 'Джибериуле',
	'wikieditor-toolbar-help-page-heading' => 'Башлыкъла',
	'wikieditor-toolbar-help-page-list' => 'Списокла',
	'wikieditor-toolbar-help-page-file' => 'Файлла',
	'wikieditor-toolbar-help-page-reference' => 'Белгиле',
	'wikieditor-toolbar-help-page-discussion' => 'Сюзюу',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсив',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсив джазыу''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсив джазыу</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Къалын',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Къалын джазыу'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Къалын джазыу</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Къалын курсив',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Къалын курсив'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Къалын курсив</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ич джибериу',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Бетни башлыгъы|Джибериуню тексти]]<br />[[Бетни башлыгъы]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Джибериуню тексти</a><br /><a href='#'>Бетни башлыгъы</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Тыш джибериу',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Джибериуню тексти]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Джибериуню тексти</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-чи дараджа башлыкъ',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Башлыкъны тексти ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Башлыкъны тексти</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-чю дараджа башлыкъ',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Башлыкъны тексти ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Башлыкъны тексти</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-чю дараджа башлыкъ',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Башлыкъны тексти ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Башлыкъны тексти</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-чи дараджа башлыкъ',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Башлыкъны тексти =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Башлыкъны тексти</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Ышанлы список',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Списокну элементи<br />* Списокну элементи',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Списокну элементи</li><li>Списокну элементи</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Номерленнген список',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Списокну элементи<br /># Списокну элементи',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Списокну элементи</li><li>Списокну элементи</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Эндирилген файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Ачыкълау текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='
Ачыкълау текст' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Уллайт' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>
Ачыкълау текст</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Белги',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Бетни тексти.&lt;ref name="test"&gt;[http://www.example.org Джибериуню тексти], къошакъ текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Бетни тексти.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Бир белгини джангыдан хайырланыу',
	'wikieditor-toolbar-help-content-rereference-result' => "Бетни тексти.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Белгилени кёргюз',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Джибериуню тексти</a>, къошакъ текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Къол  салыннган бла заман белгиси',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Къошлуучуну аты</a> (<a href='#' title='{{#special:mytalk}}'>сюзюу</a>) 15:54, 10 июнь 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Къол',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Къошлуучуну аты</a> (<a href='#' title='{{#special:mytalk}}'>сюзюу</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Бош атлам',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Нормал текст<br />:Бош атламы бла текст<br />::Бош атламы бла текст',
	'wikieditor-toolbar-help-content-indent-result' => 'Нормал текст<dl><dd>Бош атламы бла текст<dl><dd>Бош атламы бла текст</dd></dl></dd></dl>',
);

/** Colognian (Ripoarisch)
 * @author Purodha
 */
$messages['ksh'] = array(
	'wikieditor' => 'Fottjeschredde Eddiror för de WikiTäx',
	'wikieditor-desc' => 'Brängk en Müjjeleschkeit för Wikitäx enzejävve un ze ändere en et Wiki, di mer ußboue kann, un noch allerhand Kröhmsches met dobei hät.',
	'wikieditor-wikitext-tab' => 'Wikitäx',
	'wikieditor-loading' => 'Am Lade',
	'wikieditor-preview-preference' => "Donn de {{int:preview}} nevve'eneijn zohlohße",
	'wikieditor-preview-tab' => '{{int:preview}}',
	'wikieditor-preview-changes-tab' => 'Änderunge',
	'wikieditor-preview-loading' => 'Ben aam Laade{{int:ellipsis}}',
	'wikieditor-previewDialog-preference' => 'Donn de Frooch noh ene Aansish vöraf aanschallde',
	'wikieditor-previewDialog-tab' => '{{int:preview}}',
	'wikieditor-previewDialog-loading' => 'Ben aam Laade{{int:ellipsis}}',
	'wikieditor-publish-preference' => 'Et Schrett för Schrett öffentlesch Maache zohlohße',
	'wikieditor-publish-button-publish' => 'Öffentlesch maache!',
	'wikieditor-publish-button-cancel' => '{{int:cancel}}',
	'wikieditor-publish-dialog-title' => 'En dä {{SITENAME}} öffentlesch maache',
	'wikieditor-publish-dialog-summary' => 'Koot Zosammejefass (Wat De verändert häs, en koot):',
	'wikieditor-publish-dialog-minor' => '{{int:minoredit}}',
	'wikieditor-publish-dialog-watch' => '{{int:watchthis}}',
	'wikieditor-publish-dialog-publish' => '{{int:wikieditor-publish-button-publish}}',
	'wikieditor-publish-dialog-goback' => 'Jangk Retuur!',
	'wikieditor-template-editor-preference' => 'Schablone em Wiki övver Fommulaare ändere',
	'wikieditor-template-editor-dialog-title' => 'Schablon beärbeide',
	'wikieditor-template-editor-dialog-submit' => 'Lohß Jonn!',
	'wikieditor-template-editor-dialog-cancel' => 'Ophüre',
	'wikieditor-templates-preference' => 'Donn et Schablone-Zosammefallde zohlohße',
	'wikieditor-toc-preference' => 'Schalld e Enhaltsverzeischnes aan, woh mer dren eröm wandere kann',
	'wikieditor-toc-show' => 'Enhalld aanzeije',
	'wikieditor-toc-hide' => 'Enhalld verschteische',
	'wikieditor-toolbar' => 'Werkzüsh för et Ändere',
	'wikieditor-toolbar-desc' => 'Verbesserte Werkzüsh för et Ändere',
	'wikieditor-toolbar-preference' => 'Donn et ußföerlesh Werkzüsh för et Ändere aanzeije (bruch Java_Skripp)',
	'wikieditor-toolbar-dialogs-preference' => 'Donn de Lengks aanzeije för Lengks, Tabälle, un mieh en Sigge em Wiki ennzefööje',
	'wikieditor-toolbar-hidesig' => 'Donn dä Knopp för de „Ongerschreff“ nit aanzeije för nomaale Sigge vum Wiki singem Enhalld.',
	'wikieditor-toolbar-loading' => 'Am Laade{{int:ellipsis}}',
	'wikieditor-toolbar-tool-bold' => 'Fätte Schreff',
	'wikieditor-toolbar-tool-bold-example' => 'Fätte Schreff',
	'wikieditor-toolbar-tool-italic' => 'Scheive Schreff',
	'wikieditor-toolbar-tool-italic-example' => 'Scheive Schreff',
	'wikieditor-toolbar-tool-ilink' => 'Lenk en et Wiki',
	'wikieditor-toolbar-tool-ilink-example' => 'Dä Tittel vun dä Sigk, woh dä Lengk drop jonn sull',
	'wikieditor-toolbar-tool-xlink' => 'Lengk noh Ußerhallf vum Wiki',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Täx för Aanzezeije, för däm Lengk singe Anker',
	'wikieditor-toolbar-tool-link' => 'Lenk',
	'wikieditor-toolbar-tool-link-title' => 'Donn ene Lengk dobei',
	'wikieditor-toolbar-tool-link-int' => 'Op en Sigg em Wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Dä Sigg iere Tittel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Jif dä Sigg iere Tittel udder ene <i lang="en">URL</i> en',
	'wikieditor-toolbar-tool-link-int-text' => 'Dat Woot udder de Wööter zom Aanklecke:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Jif dä Täx en, dä aanjezeijsch wääde sullt',
	'wikieditor-toolbar-tool-link-ext' => 'Op en Websigg ußerhallef',
	'wikieditor-toolbar-tool-link-ext-target' => 'Dä <i lang="en">URL</i> för dä Lengk:',
	'wikieditor-toolbar-tool-link-ext-text' => 'De Wööt zem Aanklecke:',
	'wikieditor-toolbar-tool-link-insert' => 'Lohß Jonn!',
	'wikieditor-toolbar-tool-link-cancel' => 'Ophüre!',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Di Sigg jidd_et alld',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Di Sigg jidd_et nit',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Dat es ene onjöltijje Tittel för en Sigg',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ene Lengk noh ußerhallef vum Wiki',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Ben aam Prööfe, ov et di Sigg jitt{{int:ellipsis}}',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Dä aanjejovve Tittel för en Sigg en onjöltesch.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Ding <i lang="en">URL</i> schingk obb en Sigg em Wiki sellver ze jon. Wells De ene ääschte Lengk en et Wiki druß maache?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ene Lengk en et Wiki',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ene Lengk uß em Wiki moh ußerhallef',
	'wikieditor-toolbar-tool-link-empty' => 'Mer han nix faßjehallde för ne Lingk drop ze maache.',
	'wikieditor-toolbar-tool-file' => 'Enjefösh Dattei',
	'wikieditor-toolbar-tool-file-example' => 'Beld_Beishpöll.jpeg',
	'wikieditor-toolbar-tool-reference' => 'Fohßnoht',
	'wikieditor-toolbar-tool-reference-example' => 'Donn hef dä Täx es för en Fohßnoht enjävve',
	'wikieditor-toolbar-tool-reference-cancel' => 'Ophüre',
	'wikieditor-toolbar-tool-reference-title' => 'Ene einzelne Verwieß enfööje',
	'wikieditor-toolbar-tool-reference-insert' => 'Lohß Jonn!',
	'wikieditor-toolbar-tool-reference-text' => 'Dä Täx vun däm Verwieß',
	'wikieditor-toolbar-tool-signature' => '„Ongerschreff“ met Dattum un Uhrzick',
	'wikieditor-toolbar-section-advanced' => 'Fottjeschredde',
	'wikieditor-toolbar-tool-heading' => 'Övverschreff',
	'wikieditor-toolbar-tool-heading-1' => 'Om bövverschte Nivvoh',
	'wikieditor-toolbar-tool-heading-2' => 'Om zwette Nivvoh',
	'wikieditor-toolbar-tool-heading-3' => 'Om dette Nivvoh',
	'wikieditor-toolbar-tool-heading-4' => 'Om veete Nivvoh',
	'wikieditor-toolbar-tool-heading-5' => 'Om fönnefte Nivvoh',
	'wikieditor-toolbar-tool-heading-example' => 'Dä Övverschreff iere Tex',
	'wikieditor-toolbar-group-format' => 'Fommaat:',
	'wikieditor-toolbar-tool-ulist' => 'En Leß met Knöpp',
	'wikieditor-toolbar-tool-ulist-example' => 'Ene Enndraach en dä Leß',
	'wikieditor-toolbar-tool-olist' => 'En Leß met Nummere',
	'wikieditor-toolbar-tool-olist-example' => 'Ene Enndraach en dä Leß',
	'wikieditor-toolbar-tool-indent' => 'Enjeröck',
	'wikieditor-toolbar-tool-indent-example' => 'Enjeröck Reih',
	'wikieditor-toolbar-tool-nowiki' => 'Der Wiki-Code för et Fommatteere üvverjonn',
	'wikieditor-toolbar-tool-nowiki-example' => 'Jif dä Tex en, dä vun de Wiki-Soffwär nit bearbeid, un en Rauh jelooße wääde soll',
	'wikieditor-toolbar-tool-redirect' => 'En Ömleidung',
	'wikieditor-toolbar-tool-redirect-example' => 'Dä Tittel vun dä Sigg, wo et hen jonn sull',
	'wikieditor-toolbar-tool-big' => 'Met en jröößer Schreff jeschrevve',
	'wikieditor-toolbar-tool-big-example' => 'Met en jröößer Schreff jeschrevve',
	'wikieditor-toolbar-tool-small' => 'Met en kleiner Schreff jeschrevve',
	'wikieditor-toolbar-tool-small-example' => 'Met en kleiner Schreff jeschrevve',
	'wikieditor-toolbar-tool-superscript' => 'Huh jeschtallt',
	'wikieditor-toolbar-tool-superscript-example' => 'En noh bovve, huh jeschtallte Schreff jeschrevve',
	'wikieditor-toolbar-tool-subscript' => 'Deef jeschtallt',
	'wikieditor-toolbar-tool-subscript-example' => 'En deef, noh unge, jeschtallte Schreff jeschrevve',
	'wikieditor-toolbar-group-insert' => 'Erin donn:',
	'wikieditor-toolbar-tool-gallery' => 'Jallerih met Belldscher',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Beishpell.jpg|eezte Beld-Täx
$1:Beishpell.jpg|zweijte Beld-Täx',
	'wikieditor-toolbar-tool-newline' => 'Neu Reih',
	'wikieditor-toolbar-tool-table' => 'Tabäll',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 1. Shpalldekopp
! 2. Shpalldekopp
! 3. Shpalldekopp
|-
| 1. Reij, 1. Shpalldt
| 1. Reij, 2. Shpalldt
| 1. Reij, 3. Shpalldt
|-
| 2. Reij, 1. Shpalldt
| 2. Reij, 2. Shpalldt
| 2. Reij, 3. Shpalldt',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Täx en enem Feld en dä Tabäll',
	'wikieditor-toolbar-tool-table-example-header' => 'Kopp-Täx',
	'wikieditor-toolbar-tool-table-title' => 'Tabäll ennfööje',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Zeile ov Reije',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Schpallde ov Kolommne',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Donn de Övverscherff jäz dobei',
	'wikieditor-toolbar-tool-table-wikitable' => 'Maach Linnije öm di Tabäll un zwesche de Felder',
	'wikieditor-toolbar-tool-table-sortable' => 'Maach, dat mer di Tabäll zoteere kan',
	'wikieditor-toolbar-tool-table-example' => 'Täx en enem Feld en dä Tabäll',
	'wikieditor-toolbar-tool-table-preview' => '{{int:preview}}',
	'wikieditor-toolbar-tool-table-insert' => 'Lohß Jonn!',
	'wikieditor-toolbar-tool-table-cancel' => 'Schloß! Ophüüre!',
	'wikieditor-toolbar-tool-table-toomany' => 'En Tabäll met mieh wi $1 Pläz kann heh dat Projramm nit en dä Täx enboue.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Do häs kein jöltije Zahl för de Reije udder de Schpallde enjejovve.',
	'wikieditor-toolbar-tool-table-zero' => 'Do kanns kein Tabäll ennfööje, woh kein Schpallde udder kein Reije dren sin.',
	'wikieditor-toolbar-tool-replace' => 'Söhke un Tuusche',
	'wikieditor-toolbar-tool-replace-title' => 'Söhke un Ußtuusche',
	'wikieditor-toolbar-tool-replace-search' => 'Söhk noh:',
	'wikieditor-toolbar-tool-replace-replace' => 'Tuusch dat uß jähje:',
	'wikieditor-toolbar-tool-replace-case' => 'Jruß un klein Boochstaave ongerscheide',
	'wikieditor-toolbar-tool-replace-regex' => '„{{int:Edittoolbar-tool-replace-search}}“ es en <i lang="en">regular expression</i>',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Dä näxte fenge',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ußtuusche',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alle ußtuusche',
	'wikieditor-toolbar-tool-replace-close' => 'Zohmaache',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Doh ham_mer nix jefonge.',
	'wikieditor-toolbar-tool-replace-success' => '$1 Mohl jet <!--{{PLURAL:$1|Eijmol|$1 Mohl jet|Nix}}--> jetuusch.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Do häs nix aanjejovve, för donoh ze söhke.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Do häs en onjöltijje <i lang="en">regular expression</i> aanjejovve: $1',
	'wikieditor-toolbar-section-characters' => 'Sönderzeijsche',
	'wikieditor-toolbar-characters-page-latin' => 'Lateinesch',
	'wikieditor-toolbar-characters-page-latinextended' => 'Lateinesch met Extras',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA, et engernazjonal foneetesch Alfabeet',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Jriischesch',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillesch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabesch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Araabesch met Extras',
	'wikieditor-toolbar-characters-page-persian' => 'Pärsesch',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebräjesch',
	'wikieditor-toolbar-characters-page-bangla' => 'Benjaalesch',
	'wikieditor-toolbar-characters-page-telugu' => 'Teluuju',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singhaleesesch',
	'wikieditor-toolbar-characters-page-gujarati' => 'Jujaraatesch',
	'wikieditor-toolbar-characters-page-thai' => 'Thailändesch',
	'wikieditor-toolbar-characters-page-lao' => 'Laotesch',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer-Kambodschaanesch',
	'wikieditor-toolbar-section-help' => 'Hölp',
	'wikieditor-toolbar-help-heading-description' => 'Beschrevve',
	'wikieditor-toolbar-help-heading-syntax' => 'Wat De schriifs',
	'wikieditor-toolbar-help-heading-result' => 'Wat De kriß',
	'wikieditor-toolbar-help-page-format' => 'Fommaat',
	'wikieditor-toolbar-help-page-link' => 'Lengks',
	'wikieditor-toolbar-help-page-heading' => 'Övverschreffte',
	'wikieditor-toolbar-help-page-list' => 'Leßte',
	'wikieditor-toolbar-help-page-file' => 'Datteije',
	'wikieditor-toolbar-help-page-reference' => 'Fohßnuhte',
	'wikieditor-toolbar-help-page-discussion' => 'Klaaf',
	'wikieditor-toolbar-help-content-italic-description' => 'Scheive Schreff',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Scheive Schreff''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Scheive Schreff</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fätte Schreff',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fätte Schreff'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fätte Schreff</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fätt un scheive Schreff',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fätt un scheive Schreff'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fätt un scheive Schreff</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lengk en et Wiki',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sigge_Tittel|Täx för dä Lengk]]<br />[[Sigge_Tittel]]',
	'wikieditor-toolbar-help-content-ilink-result' => '<a href="#">Täx för dä Lengk</a><br /><a href="#">Sigge_Tittel</a>',
	'wikieditor-toolbar-help-content-xlink-description' => 'Lengk noh ußerhallf vum Wiki',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Täx för dä Lengk]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => '<a href="#" class="external">Täx för dä Lengk</a><br /><a href="#" class="external autonumber">[1]</a><br /><a href="#" class="external">http://www.example.org</a>',
	'wikieditor-toolbar-help-content-heading2-description' => 'Övverschreff om zwette Nivvoh',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Övverschreff om zwette Nivvoh ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Övverschreff om zwette Nivvoh</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Övverschreff om drette Nivvoh',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Övverschreff om drette Nivvoh ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Övverschreff om drette Nivvoh</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '<h4>Övverschreff om veete Nivvoh</h4>',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Övverschreff om veete Nivvoh ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Övverschreff om veete Nivvoh</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '<h5>Övverschreff om fönnefte Nivvoh</h5>',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Övverschreff om fönnefte Nivvoh =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Övverschreff om fönnefte Nivvoh</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Leß met Knöpp',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Enndraach en de Leß<br />* Enndraach en de Leß',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Enndraach en de Leß</li><li>Enndraach en de Leß</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Leß met Nummere',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Enndraach en de Leß<br /># Enndraach en de Leß',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Enndraach en de Leß</li><li>Enndraach en de Leß</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Enjeföösch Dattei',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Beld_Ungerschreff]]',
	'wikieditor-toolbar-help-content-file-result' => '<div style="width:104px;" class="thumbinner"><a title="Schreff unger dä Beld" class="image" href="/wiki/File:Wiki.png"><img height="50" width="100" border="0" class="thumbimage" src="extensions/WikiEditor/modules/images/toolbar/example-image.png" alt=""/></a><div class="thumbcaption"><div class="magnify"><a title="Enlarge" class="internal" href="/wiki/File:Wiki.png"><img height="11" width="15" alt="" src="$1/common/images/magnify-clip.png"/></a></div>Schreff unger dä Beld</div></div>',
	'wikieditor-toolbar-help-content-reference-description' => 'Fohßnoht',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tex en dä Sigg. &lt;ref name="versoht"&gt;[http://www.example.org Täx för dä Lengk], un noch jät mieh Täx.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => 'Tex en dä Sigg. <sup><a href="#">[1]</a></sup>',
	'wikieditor-toolbar-help-content-rereference-description' => 'Noch ens desellve Fohßnoht bruche',
	'wikieditor-toolbar-help-content-rereference-result' => 'Tex en dä Sigg. <sup><a href="#">[1]</a></sup>',
	'wikieditor-toolbar-help-content-showreferences-description' => 'Fohßnuuhte aanzeije',
	'wikieditor-toolbar-help-content-showreferences-result' => '<ol class="references"><li id="cite_note-test-0"><b><a title="" href="#">^</a></b> <a rel="nofollow" title="http://www.example.org" class="external text" href="#">Täx för dä Lengk</a>, un noch jät mieh Täx.</li></ol>',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '„Ongerschreff“ met Dattum un Uhrzick',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => '<a href="#" title="{{#special:mypage}}">Metmaacher_Name</a> (<a href="#" title="{{#special:mytalk}}">Klaaf</a>) 15:54, 10. Juni 2009 (CET)',
	'wikieditor-toolbar-help-content-signature-description' => '„Ongerschreff“',
	'wikieditor-toolbar-help-content-signature-result' => '<a href="#" title="{{#special:mypage}}">Metmaacher_Name</a> (<a href="#" title="{{#special:mytalk}}">Klaaf</a>)',
	'wikieditor-toolbar-help-content-indent-description' => 'Enjerök',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Nommaale Täx<br />:Enjerök<br />::Un norrens enjerök',
	'wikieditor-toolbar-help-content-indent-result' => 'Nommaale Täx<dl><dd>Enjerök<dl><dd>Un norrens enjerök</dd></dl></dd></dl>',
);

/** Kurdish (Latin script) (‪Kurdî (latînî)‬)
 * @author Erdal Ronahi
 * @author George Animal
 * @author Gomada
 */
$messages['ku-latn'] = array(
	'wikieditor-loading' => 'Bar dibe',
	'wikieditor-preview-tab' => 'Pêşdîtin',
	'wikieditor-preview-changes-tab' => 'Guhartin',
	'wikieditor-preview-loading' => 'Bar dibe…',
	'wikieditor-previewDialog-tab' => 'Pêşdîtin',
	'wikieditor-previewDialog-loading' => 'Bar dibe…',
	'wikieditor-publish-button-publish' => 'Weşandin',
	'wikieditor-publish-button-cancel' => 'Betal',
	'wikieditor-publish-dialog-minor' => 'Guhertina biçûk',
	'wikieditor-publish-dialog-watch' => 'Vê rûpelê bişopîne',
	'wikieditor-publish-dialog-publish' => 'Weşandin',
	'wikieditor-publish-dialog-goback' => 'Vegere',
	'wikieditor-template-editor-dialog-title' => 'Şablonê biguherîne',
	'wikieditor-template-editor-dialog-submit' => 'Rojanekirin',
	'wikieditor-template-editor-dialog-cancel' => 'Betal',
	'wikieditor-toc-show' => 'Naverokan nîşan bide',
	'wikieditor-toc-hide' => 'Naverokan veşêre',
	'wikieditor-toolbar-loading' => 'Bar dibe…',
	'wikieditor-toolbar-tool-bold' => 'Stûr',
	'wikieditor-toolbar-tool-bold-example' => 'Nivîsa stûr',
	'wikieditor-toolbar-tool-italic' => 'Xwahr',
	'wikieditor-toolbar-tool-italic-example' => 'Nivîsa xwar',
	'wikieditor-toolbar-tool-ilink' => 'Girêdana navxweyî',
	'wikieditor-toolbar-tool-ilink-example' => 'Sernavê lînkê',
	'wikieditor-toolbar-tool-xlink' => 'Girêdana derve (http:// di destpêkê de ji bîr neke)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.minak.com sernavê lînkê',
	'wikieditor-toolbar-tool-link' => 'Girêdan',
	'wikieditor-toolbar-tool-link-title' => 'Girêdanê têxe',
	'wikieditor-toolbar-tool-link-cancel' => 'Betal',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Rûpel heye',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Rûpel tune',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Girêdanên derve',
	'wikieditor-toolbar-tool-file-example' => 'Mînak.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referans',
	'wikieditor-toolbar-tool-reference-cancel' => 'Betal',
	'wikieditor-toolbar-tool-reference-title' => 'Referans têxe',
	'wikieditor-toolbar-tool-reference-insert' => 'Têxistin',
	'wikieditor-toolbar-tool-reference-text' => 'Teksta referansê',
	'wikieditor-toolbar-tool-signature' => 'Destnîşan û demxeya demê',
	'wikieditor-toolbar-section-advanced' => 'Pêşketî',
	'wikieditor-toolbar-tool-heading' => 'Sernivîs',
	'wikieditor-toolbar-tool-heading-1' => 'Asta 1',
	'wikieditor-toolbar-tool-heading-2' => 'Asta 2',
	'wikieditor-toolbar-tool-heading-3' => 'Asta 3',
	'wikieditor-toolbar-tool-heading-4' => 'Asta 4',
	'wikieditor-toolbar-tool-heading-5' => 'Asta 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teksta sernivîsê',
	'wikieditor-toolbar-group-format' => 'Teşe',
	'wikieditor-toolbar-tool-nowiki-example' => 'Nivîs ku nebe formatkirin li vir têxe',
	'wikieditor-toolbar-tool-redirect' => 'Beralîkirin',
	'wikieditor-toolbar-tool-redirect-example' => 'Navê rûpela hedef',
	'wikieditor-toolbar-tool-big' => 'Mezin',
	'wikieditor-toolbar-tool-big-example' => 'Nivîsa girdek',
	'wikieditor-toolbar-tool-small' => 'Biçûk',
	'wikieditor-toolbar-tool-gallery' => 'Galeriya wêneyan',
	'wikieditor-toolbar-tool-newline' => 'Rêzika nû',
	'wikieditor-toolbar-tool-table' => 'Tablo',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rêzik',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sitûn',
	'wikieditor-toolbar-tool-table-example' => 'Mînak',
	'wikieditor-toolbar-tool-table-preview' => 'Pêşdîtin',
	'wikieditor-toolbar-tool-table-insert' => 'Têxistin',
	'wikieditor-toolbar-tool-table-cancel' => 'Betal',
	'wikieditor-toolbar-tool-replace-close' => 'Girtin',
	'wikieditor-toolbar-characters-page-latin' => 'Latînî',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latînî berfirehkirî',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sembol',
	'wikieditor-toolbar-characters-page-greek' => 'Yewnanî',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirîlî',
	'wikieditor-toolbar-characters-page-arabic' => 'Erebî',
	'wikieditor-toolbar-characters-page-persian' => 'Farsî',
	'wikieditor-toolbar-characters-page-hebrew' => 'Îbranî',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telûgû',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gucaratî',
	'wikieditor-toolbar-characters-page-thai' => 'Tay',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Xmer',
	'wikieditor-toolbar-section-help' => 'Alîkarî',
	'wikieditor-toolbar-help-heading-description' => 'Danasîn',
	'wikieditor-toolbar-help-page-format' => 'Teşekirin',
	'wikieditor-toolbar-help-page-link' => 'Girêdan',
	'wikieditor-toolbar-help-page-heading' => 'Sernivîs',
	'wikieditor-toolbar-help-page-list' => 'Lîste',
	'wikieditor-toolbar-help-page-file' => 'Pel',
	'wikieditor-toolbar-help-page-reference' => 'Referans',
	'wikieditor-toolbar-help-page-discussion' => 'Guftûgo',
	'wikieditor-toolbar-help-content-italic-description' => 'Xwahr',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Nivîşa îtalîk''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Nivîsa xwahr</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Stûr',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Nivîsa stûr'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Nivîsa stûr</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Stûr û xwahr',
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Nivîsa qalind û îtalîk</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lînka hundirî',
	'wikieditor-toolbar-help-content-xlink-description' => 'Lînka derve',
	'wikieditor-toolbar-help-content-reference-description' => 'Referans',
	'wikieditor-toolbar-help-content-signature-description' => 'Îmze',
);

/** Cornish (Kernowek)
 * @author Kw-Moon
 */
$messages['kw'] = array(
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Ow carga',
	'wikieditor-preview-tab' => 'Ragweles',
	'wikieditor-preview-changes-tab' => 'Chanjyow',
	'wikieditor-preview-loading' => 'Ow carga...',
	'wikieditor-previewDialog-tab' => 'Ragwel',
	'wikieditor-previewDialog-loading' => 'Ow carga...',
	'wikieditor-publish-button-publish' => 'Dyllo',
	'wikieditor-publish-button-cancel' => 'Hedhy',
	'wikieditor-publish-dialog-title' => 'Dyllo war {{SITENAME}}',
	'wikieditor-publish-dialog-minor' => 'Chanj bian',
	'wikieditor-publish-dialog-watch' => 'Golyas an folen-ma',
	'wikieditor-publish-dialog-publish' => 'Dyllo',
	'wikieditor-template-editor-dialog-submit' => 'Nowedha',
	'wikieditor-template-editor-dialog-cancel' => 'Hedhy',
	'wikieditor-toolbar' => 'Toulvar chanjya',
	'wikieditor-toolbar-desc' => 'Bar toulys folen chanjya gen devnydh gwellhes',
	'wikieditor-toolbar-preference' => 'Galosegy bar toulys chanjya gwellhes',
	'wikieditor-toolbar-loading' => 'Ow carga...',
	'wikieditor-toolbar-tool-bold' => 'Tew',
	'wikieditor-toolbar-tool-bold-example' => 'Text tew',
	'wikieditor-toolbar-tool-italic' => 'Italek',
	'wikieditor-toolbar-tool-italic-example' => 'Text italek',
	'wikieditor-toolbar-tool-ilink' => 'Kevren bervedhel',
	'wikieditor-toolbar-tool-ilink-example' => 'Titel an gevren',
	'wikieditor-toolbar-tool-xlink' => 'Kevren a-mes (na nakevowgh an rager http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titel an gevren',
	'wikieditor-toolbar-tool-link' => 'Kevren',
	'wikieditor-toolbar-tool-link-title' => 'Keworra kevren',
	'wikieditor-toolbar-tool-link-int' => 'War-tu folen wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Folen po URL costen:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titel po URL an folen:',
	'wikieditor-toolbar-tool-link-int-text' => 'Text rag disqwedhes:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Text dhe vos disqwedhys',
	'wikieditor-toolbar-tool-link-ext' => 'War-tu folen wias a-mes',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL an gevren:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Text an gevren:',
	'wikieditor-toolbar-tool-link-insert' => 'Keworra kevren',
	'wikieditor-toolbar-tool-link-cancel' => 'Hedhy',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titel drog',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kevren a-mes',
	'wikieditor-toolbar-tool-link-int-invalid' => "Drog ew an titel a wrugo'whi ri.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Ma'n URL a wrugo'whi ri ow kevredna dhe folen wiki aral. A vedno'whi y dreylya dhe gevren bervedhel?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Kevren bervedhel',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kevren a-mes',
	'wikieditor-toolbar-tool-link-empty' => "Na wrugo'whi entra tra vedh dhe gevredna dhodho.",
	'wikieditor-toolbar-tool-file' => 'Restren neythys',
	'wikieditor-toolbar-tool-file-example' => 'Ensampel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Devyn',
	'wikieditor-toolbar-tool-reference-example' => 'Entrowgh text an drosnoten obma',
	'wikieditor-toolbar-tool-reference-cancel' => 'Hedhy',
	'wikieditor-toolbar-tool-reference-title' => 'Keworra devyn',
	'wikieditor-toolbar-tool-reference-insert' => 'Keworra',
	'wikieditor-toolbar-tool-reference-text' => 'Text an devyn',
	'wikieditor-toolbar-tool-signature' => 'Sinans ha dedhyans',
	'wikieditor-toolbar-section-advanced' => 'Avoncys',
	'wikieditor-toolbar-tool-heading' => 'Titel',
	'wikieditor-toolbar-tool-heading-1' => 'Nivel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivel 5',
	'wikieditor-toolbar-tool-heading-example' => 'Text an titel',
	'wikieditor-toolbar-group-format' => 'Furvyans',
	'wikieditor-toolbar-tool-ulist' => 'Rol bulettys',
	'wikieditor-toolbar-tool-ulist-example' => "Elven a'n rol bulettys",
	'wikieditor-toolbar-tool-olist' => 'Rol niverys',
	'wikieditor-toolbar-tool-olist-example' => "Elven a'n rol niverys",
	'wikieditor-toolbar-tool-indent' => 'Crybans',
	'wikieditor-toolbar-tool-indent-example' => 'Linen grybys',
	'wikieditor-toolbar-tool-nowiki' => 'Heb furvyans wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Keworrowgh text heb furvyans obma',
	'wikieditor-toolbar-tool-redirect' => 'Daswedyans',
	'wikieditor-toolbar-tool-redirect-example' => 'Hanow an folen gosten',
	'wikieditor-toolbar-tool-big' => 'Broas',
	'wikieditor-toolbar-tool-big-example' => 'Text bras',
	'wikieditor-toolbar-tool-small' => 'Bian',
	'wikieditor-toolbar-tool-small-example' => 'Tekst bian',
	'wikieditor-toolbar-tool-superscript' => 'Gorscrif',
	'wikieditor-toolbar-tool-superscript-example' => 'Text gorscrif',
	'wikieditor-toolbar-tool-subscript' => 'Isscrif',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst isskrif',
	'wikieditor-toolbar-group-insert' => 'Keworra',
	'wikieditor-toolbar-tool-gallery' => 'Mirva imajys',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ensampel.jpg|Descrifans1
$1:Ensampel.jpg|Descrifans2',
	'wikieditor-toolbar-tool-newline' => 'Linen noweth',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! pednlinen 1
! pednlinen 2
! pednlinen 3
|-
| rew 1, kellik 1
| rew 1, kellik 2
| rew 1, kellik 3
|-
| rew 2, kellik 1
| rew 2, kellik 2
| rew 2, kellik 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Text an kellik',
	'wikieditor-toolbar-tool-table-example-header' => 'Text an bednlinen',
	'wikieditor-toolbar-tool-table-title' => 'Gorra tabel a-bervedh',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rewyow',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colovednow',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Keworra rew pednlinen',
	'wikieditor-toolbar-tool-table-wikitable' => 'Keworra emlow',
	'wikieditor-toolbar-tool-table-sortable' => 'Gwul sortyadow an tabel',
	'wikieditor-toolbar-tool-table-example' => 'Ensampel',
	'wikieditor-toolbar-tool-table-preview' => 'Ragwel',
	'wikieditor-toolbar-tool-table-insert' => 'Keworra',
	'wikieditor-toolbar-tool-table-cancel' => 'Hedhy',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nag eus entrys genowgh niver da a rewyow po colovednow.',
	'wikieditor-toolbar-tool-table-zero' => "Nag ello'whi gorra a-bervedh tabel heb rew po coloven.",
	'wikieditor-toolbar-tool-replace' => 'Whilas ha kemeres le',
	'wikieditor-toolbar-tool-replace-title' => 'Whilas ha kemeres le',
	'wikieditor-toolbar-tool-replace-search' => 'Whila:',
	'wikieditor-toolbar-tool-replace-replace' => 'Kemeres le a:',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cavos an nessa',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Kemeres le pubtra',
	'wikieditor-toolbar-tool-replace-close' => 'Degea',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Na wrug agas whilans machya tra veth.',
	'wikieditor-toolbar-tool-replace-emptysearch' => "Na wrugo'whi entra tra veth dhe whilas.",
	'wikieditor-toolbar-section-characters' => 'Nosow arbednek',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin ystydnys',
	'wikieditor-toolbar-characters-page-ipa' => 'LFK (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Arwodhyow',
	'wikieditor-toolbar-characters-page-greek' => 'Greca',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabek',
	'wikieditor-toolbar-characters-page-persian' => 'Persek',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebrow',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalek',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tay',
	'wikieditor-toolbar-characters-page-lao' => 'Laosek',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Gweres',
	'wikieditor-toolbar-help-heading-description' => 'Descrifans',
	'wikieditor-toolbar-help-heading-syntax' => 'An peth a scrifowgh',
	'wikieditor-toolbar-help-heading-result' => 'An sewyans',
	'wikieditor-toolbar-help-page-format' => 'Furvyans',
	'wikieditor-toolbar-help-page-link' => 'Kevrednow',
	'wikieditor-toolbar-help-page-heading' => 'Titlys',
	'wikieditor-toolbar-help-page-list' => 'Rolyow',
	'wikieditor-toolbar-help-page-file' => 'Restrednow',
	'wikieditor-toolbar-help-page-reference' => 'Devydnow',
	'wikieditor-toolbar-help-page-discussion' => 'Kescows',
	'wikieditor-toolbar-help-content-italic-description' => 'Italek',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Text italek''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Text italek</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tew',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Text tew'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Text tew</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tew &amp; italek',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Text tew &amp; italek'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Text tew &amp; italek</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Kevren bervedhel',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titel an folen|Text an gevren]]<br />[[Titel an folen]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Text an gevren</a><br /><a href='#'>Titel an folen</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kevren bervedhel',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.ensampel.org Text an gevren]<br />[http://www.ensampel.org]<br />http://www.ensampel.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Text an gevren</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.ensampel.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titel nivel 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Text an titel ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Text an titel</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titel nivel 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Text an titel ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Text an titel</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titel nivel 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Text an titel ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Text an titel</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titel nivel 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Text an titel =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Text an titel</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Rol bulettys',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* Elven a'n rol<br />* Elven a'n rol",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elven a'n rol</li><li>Elven a'n rol</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Rol niverys',
	'wikieditor-toolbar-help-content-olist-syntax' => "# Elven a'n rol<br /># Elven a'n rol",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elven a'n rol</li><li>Elven a'n rol</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => 'Restren neythys',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ensampel.png|thumb|Text an descrifans]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Text an descrifans' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Brashe' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Text an descrifans</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Devyn',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Text an folen.&lt;ref name="test"&gt;[http://www.ensampel.org Text an gevren], text keworansel.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Text an folen.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => "Devnydh keworansel a'n keth devyn",
	'wikieditor-toolbar-help-content-rereference-result' => "Text an folen.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Disqwedhes devydnow',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.ensampel.org' class='external text' href='#'>Text an gevren</a>, text keworansel.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sinans gen an dedhyans',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Hanow-usyer</a> (<a href='#' title='{{#special:mytalk}}'>kescows</a>) 15:54, 10 Metheven 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sinans',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Hanow-usyer</a> (<a href='#' title='{{#special:mytalk}}'>kescows</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Cryba',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Text usadow<br />:Text crybys<br />::Text crybys',
	'wikieditor-toolbar-help-content-indent-result' => 'Text usadow<dl><dd>Text crybys<dl><dd>Text crybys</dd></dl></dd></dl>',
);

/** Latin (Latina)
 * @author OrbiliusMagister
 * @author UV
 */
$messages['la'] = array(
	'wikieditor-preview-tab' => 'Praevisum',
	'wikieditor-preview-changes-tab' => 'Mutata',
	'wikieditor-preview-loading' => 'Depromens...',
	'wikieditor-previewDialog-tab' => 'Praevisum',
	'wikieditor-previewDialog-loading' => 'Depromens...',
	'wikieditor-toolbar-loading' => 'Depromens…',
	'wikieditor-toolbar-tool-bold' => 'Litterae pingues',
	'wikieditor-toolbar-tool-bold-example' => 'Textus litteris pinguibus scriptus',
	'wikieditor-toolbar-tool-italic' => 'Litterae italicae',
	'wikieditor-toolbar-tool-italic-example' => 'Textus litteris Italicis scriptus',
	'wikieditor-toolbar-tool-ilink' => 'Nexus internus',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulus nexus',
	'wikieditor-toolbar-tool-xlink' => 'Nexus externus (memento praefixi http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titulus nexus externi',
	'wikieditor-toolbar-tool-link' => 'Nexus',
	'wikieditor-toolbar-tool-link-title' => 'Nexum addere',
	'wikieditor-toolbar-tool-link-int' => 'Ad paginam vici',
	'wikieditor-toolbar-tool-link-insert' => 'Nexum addere',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Pagina iam est',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Pagina non est',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Nexus externus',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Nexus internus',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Nexus externus',
	'wikieditor-toolbar-tool-file' => 'Fasciculus in pagina impositus',
	'wikieditor-toolbar-tool-file-example' => 'Exemplum.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referentia bibliographica',
	'wikieditor-toolbar-tool-reference-title' => 'Referentiam bibliographicam addere',
	'wikieditor-toolbar-tool-signature' => 'Subscriptio tua cum indicatione temporis',
	'wikieditor-toolbar-tool-heading-1' => 'Planities 1',
	'wikieditor-toolbar-tool-big' => 'Magna',
	'wikieditor-toolbar-tool-big-example' => 'Textus magnus',
	'wikieditor-toolbar-tool-small' => 'Parva',
	'wikieditor-toolbar-tool-small-example' => 'Textus parvus',
	'wikieditor-toolbar-tool-superscript' => 'Superscriptum',
	'wikieditor-toolbar-tool-superscript-example' => 'Textus superscriptus',
	'wikieditor-toolbar-tool-subscript' => 'Subscriptum',
	'wikieditor-toolbar-tool-subscript-example' => 'Textus subscriptus',
	'wikieditor-toolbar-group-insert' => 'Inserere',
	'wikieditor-toolbar-tool-gallery' => 'Pinacotheca',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemplum.jpg|Descriptio 1
$1:Exemplum.jpg|Descriptio 2',
	'wikieditor-toolbar-tool-newline' => 'Nova linea',
	'wikieditor-toolbar-tool-table' => 'Tabula',
	'wikieditor-toolbar-section-characters' => 'Characteres speciales',
	'wikieditor-toolbar-characters-page-latin' => 'Latinum',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latinum extensum',
	'wikieditor-toolbar-characters-page-ipa' => 'API',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbola',
	'wikieditor-toolbar-characters-page-greek' => 'Graecum',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillicum',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabicum',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraicum',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-section-help' => 'Adiutatum',
	'wikieditor-toolbar-help-heading-description' => 'Descriptio',
	'wikieditor-toolbar-help-page-format' => 'Formatio',
	'wikieditor-toolbar-help-page-link' => 'Nexus',
	'wikieditor-toolbar-help-page-file' => 'Fasciculi',
	'wikieditor-toolbar-help-page-reference' => 'Referentiae bibliographicae',
	'wikieditor-toolbar-help-page-discussion' => 'Disputatio',
	'wikieditor-toolbar-help-content-italic-description' => 'Litterae italicae',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Textus litteris Italicis scriptus''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Textus litteris Italicis scriptus</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Litterae pingues',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Textus litteris pinguibus scriptus'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Textus litteris pinguibus scriptus</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Pingues &amp; Italicae',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Textus litteris pinguibus &amp; italicis scriptus'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Textus litteris pinguibus &amp; italicis scriptus</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Nexus internus',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titulus paginae|Titulus nexus]]<br />[[Titulus paginae]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Titulus nexus</a><br /><a href='#'>Titulus paginae</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Nexus externus',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Titulus nexus]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Titulus nexus</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-file-description' => 'Fasciculus in pagina impositus',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemplum.png|thumb|Descriptio fasciculi]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Descriptio fasciculi' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Augere' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Descriptio fasciculi</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referentia bibliographica',
	'wikieditor-toolbar-help-content-showreferences-description' => 'Referentias bibliographicas monstrare',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Subscriptio tua cum indicatione temporis',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nomen usoris</a> (<a href='#' title='{{#special:mytalk}}'>disputatio</a>) 15:54, 10 Iunii 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Subscriptio',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nomen usoris</a> (<a href='#' title='{{#special:mytalk}}'>disputatio</a>)",
);

/** Luxembourgish (Lëtzebuergesch)
 * @author Robby
 */
$messages['lb'] = array(
	'wikieditor' => "Erweiderten Interface fir d'Änner vu Wikitext",
	'wikieditor-desc' => "Liwwert en erweiderbaren Interface fir d'Ännere vu Wikitext a vill Module mat Fonctiounen",
	'wikieditor-wikitext-tab' => 'WikiText',
	'wikieditor-loading' => 'Lueden',
	'wikieditor-preview-preference' => 'side-by-side kucken ouni ze späicheren aschalten',
	'wikieditor-preview-tab' => 'Kucken ouni ze späicheren',
	'wikieditor-preview-changes-tab' => 'Ännerungen',
	'wikieditor-preview-loading' => 'Lueden...',
	'wikieditor-previewDialog-preference' => 'Preview-Dialog aschalten',
	'wikieditor-previewDialog-tab' => 'Kucken ouni ze späicheren',
	'wikieditor-previewDialog-loading' => 'Lueden...',
	'wikieditor-publish-preference' => 'Schrëtt-fir-Schrëtt Publikatioun aschalten',
	'wikieditor-publish-button-publish' => 'Verëffentlechen',
	'wikieditor-publish-button-cancel' => 'Ofbriechen',
	'wikieditor-publish-dialog-title' => 'Op {{SITENAME}} verëffentlechen',
	'wikieditor-publish-dialog-summary' => "Resumé vun der Ännerung (beschreift kuerz d'Ännerungen déi Dir gemaach hutt):",
	'wikieditor-publish-dialog-minor' => 'Kleng Ännerung',
	'wikieditor-publish-dialog-watch' => 'Dës Säit iwwerwaachen',
	'wikieditor-publish-dialog-publish' => 'Verëffentlechen',
	'wikieditor-publish-dialog-goback' => 'Zréck goen',
	'wikieditor-template-editor-preference' => "D'Ännere vu Wiki-Schablounen op der Basis vu Formulairen aschalten",
	'wikieditor-template-editor-dialog-title' => 'Schabloun änneren',
	'wikieditor-template-editor-dialog-submit' => 'Aktualiséieren',
	'wikieditor-template-editor-dialog-cancel' => 'Annulléieren',
	'wikieditor-templates-preference' => 'Zesummeklappe vu Schablounen aschalten',
	'wikieditor-toc-preference' => 'Inhaltsverzeechnes fir ze navigéieren aschalten',
	'wikieditor-toc-show' => 'Inhalt weisen',
	'wikieditor-toc-hide' => 'Inhalt verstoppen',
	'wikieditor-toolbar' => 'Toolbar änneren',
	'wikieditor-toolbar-desc' => 'Toolbar vun de Säitenännerunge mat erweiderter Benotzerfrëndlechkeet',
	'wikieditor-toolbar-preference' => 'Déi erweidert Ännerungs-Toolbar aktivéieren',
	'wikieditor-toolbar-dialogs-preference' => "Dialoge fir d'Drasetze vu Linken, Tabellen a méi aschalten",
	'wikieditor-toolbar-hidesig' => 'Den Ënnerschrëftsknäppchen op Säiten am Haaptnummraum verstoppen',
	'wikieditor-toolbar-loading' => 'Lueden...',
	'wikieditor-toolbar-tool-bold' => 'Fettgedréckt',
	'wikieditor-toolbar-tool-bold-example' => 'Fettgedréckten Text',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiven Text',
	'wikieditor-toolbar-tool-ilink' => 'Interne Link',
	'wikieditor-toolbar-tool-ilink-example' => 'Titel vum Link',
	'wikieditor-toolbar-tool-xlink' => 'Externe Link (denkt un de Prefix http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Titel vum Link',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Link drasetzen',
	'wikieditor-toolbar-tool-link-int' => 'Op e Wikiartikel/eng Wikisäit',
	'wikieditor-toolbar-tool-link-int-target' => 'Titel vum Artikel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titel vun der Säit oder URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Linkt-Text:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Gitt den Text an dee soll ugewise ginn',
	'wikieditor-toolbar-tool-link-ext' => 'Op eng extern Websäit',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL vum Link:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Link-Text:',
	'wikieditor-toolbar-tool-link-insert' => 'Link drasetzen',
	'wikieditor-toolbar-tool-link-cancel' => 'Ofbriechen',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Säit gëtt et',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Säit gëtt et net',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Net valabelen Titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Externe Link',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Et gëtt nogekuckt ob et d'Säit gëtt...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Den Titel deen Dir uginn hutt ass net valabel.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Déi URL déi dir uginn hutt gesäit aus wéi e Link op eng aner Wikisäit. Wëllt dir doraus en interne Link maachen?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interne Link',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Externe Link',
	'wikieditor-toolbar-tool-link-empty' => 'Dir hutt näischt aginn op dat verlinkt soll ginn.',
	'wikieditor-toolbar-tool-file' => 'Agebonnene Fichier',
	'wikieditor-toolbar-tool-file-example' => 'Beispill.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referenz',
	'wikieditor-toolbar-tool-reference-example' => 'Setzt den Text vun der Foussnote hei ann',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annulléieren',
	'wikieditor-toolbar-tool-reference-title' => 'Referenz drasetzen',
	'wikieditor-toolbar-tool-reference-insert' => 'Drasetzen',
	'wikieditor-toolbar-tool-reference-text' => 'Referenztext',
	'wikieditor-toolbar-tool-signature' => 'Ënnerschrëft an Zäitstempel',
	'wikieditor-toolbar-section-advanced' => 'Erweidert',
	'wikieditor-toolbar-tool-heading' => 'Iwwerschrëft',
	'wikieditor-toolbar-tool-heading-1' => 'Niveau 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveau 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveau 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveau 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveau 5',
	'wikieditor-toolbar-tool-heading-example' => 'Text vum Titel',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Lëscht mat Punkten',
	'wikieditor-toolbar-tool-ulist-example' => 'Element vun der Lëscht mat Punkten',
	'wikieditor-toolbar-tool-olist' => 'Numeréiert Lëscht',
	'wikieditor-toolbar-tool-olist-example' => 'Element vun der numeréieter Lëscht',
	'wikieditor-toolbar-tool-indent' => 'Indentatioun',
	'wikieditor-toolbar-tool-indent-example' => 'Erageréckelt Linn',
	'wikieditor-toolbar-tool-nowiki' => 'Keng Wiki-Formatéierung',
	'wikieditor-toolbar-tool-nowiki-example' => 'Net-formatéierten Text hei drasetzen',
	'wikieditor-toolbar-tool-redirect' => 'Viruleeden',
	'wikieditor-toolbar-tool-redirect-example' => 'Zilsäitennumm',
	'wikieditor-toolbar-tool-big' => 'Grouss',
	'wikieditor-toolbar-tool-big-example' => 'Groussen Text',
	'wikieditor-toolbar-tool-small' => 'Kleng',
	'wikieditor-toolbar-tool-small-example' => 'Klengen Text',
	'wikieditor-toolbar-tool-superscript' => 'Exposant',
	'wikieditor-toolbar-tool-superscript-example' => 'Text den am exposant steet',
	'wikieditor-toolbar-tool-subscript' => 'Indice',
	'wikieditor-toolbar-tool-subscript-example' => 'Text den am Indice steet',
	'wikieditor-toolbar-group-insert' => 'Drasetzen',
	'wikieditor-toolbar-tool-gallery' => 'Billergallerie',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Beschreiwung1
$1:Example.jpg|Beschreiwung2',
	'wikieditor-toolbar-tool-newline' => 'Nei Linn',
	'wikieditor-toolbar-tool-table' => 'Tabell',
	'wikieditor-toolbar-tool-table-example-old' => '-
! Iwwerschrëft 1
! Iwwerschrëft 2
! Iwwerschrëft 3
|-
| Rei 1, Zell 1
| Rei 1, Zell 2
| Rei 1, Zell 3
|-
| Rei 2, Zell 1
| Rei 2, Zell 2
| Rei 2, Zell 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Text an der Zell',
	'wikieditor-toolbar-tool-table-example-header' => 'Text vun der Iwwerschrëft',
	'wikieditor-toolbar-tool-table-title' => 'Tabell drasetzen',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Reien',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colonnen',
	'wikieditor-toolbar-tool-table-dimensions-header' => "D'Rei vun der Iwwerschrëft matabezéien",
	'wikieditor-toolbar-tool-table-wikitable' => 'Styl mat Ränner',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabell zortéierbar maachen',
	'wikieditor-toolbar-tool-table-example' => 'Text an der Zell',
	'wikieditor-toolbar-tool-table-preview' => 'Kucken ouni ze späicheren',
	'wikieditor-toolbar-tool-table-insert' => 'Drasetzen',
	'wikieditor-toolbar-tool-table-cancel' => 'Ofbriechen',
	'wikieditor-toolbar-tool-table-toomany' => 'Et ass net méiglech méi wéi $1 Zelle mat dësem Dialog dranzesetzen',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Dir hutt keng valabel Zuel vu Reien oder Kolonnen aginn.',
	'wikieditor-toolbar-tool-table-zero' => 'Dir kënnt Tabell mat null Reien a Kolonnen drasetzen.',
	'wikieditor-toolbar-tool-replace' => 'Sichen an ersetzen',
	'wikieditor-toolbar-tool-replace-title' => 'Sichen an ersetzen',
	'wikieditor-toolbar-tool-replace-search' => 'Sichen no:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ersetzen duerch:',
	'wikieditor-toolbar-tool-replace-case' => 'Op grouss a kleng Schreiwen oppassen',
	'wikieditor-toolbar-tool-replace-regex' => 'Dat no deem Dir sicht als regulären Ausdrock behandelen',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Den nächste fannen',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ersetzen',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alles ersetzen',
	'wikieditor-toolbar-tool-replace-close' => 'Zoumaachen',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Beim Siche gouf näischt fonnt.',
	'wikieditor-toolbar-tool-replace-success' => '$1 mol ersat.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Dir hutt näisch aginn nodeem Dir siche wëllt.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'De regulären Ausdrock deen Dir aginn hutt ass net valabel: $1',
	'wikieditor-toolbar-section-characters' => 'Spezialzeechen',
	'wikieditor-toolbar-characters-page-latin' => 'Laténgesch',
	'wikieditor-toolbar-characters-page-latinextended' => 'Laténgesch, erweidert',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboler',
	'wikieditor-toolbar-characters-page-greek' => 'Griichesch',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabesch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabesch, erweidert',
	'wikieditor-toolbar-characters-page-persian' => 'Persesch',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebräisch',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangalesch',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hëllef',
	'wikieditor-toolbar-help-heading-description' => 'Beschreiwung',
	'wikieditor-toolbar-help-heading-syntax' => 'Wat Dir antippt',
	'wikieditor-toolbar-help-heading-result' => 'Wat Dir kritt',
	'wikieditor-toolbar-help-page-format' => 'Formatéierung',
	'wikieditor-toolbar-help-page-link' => 'Linken',
	'wikieditor-toolbar-help-page-heading' => 'Iwwerschrëften',
	'wikieditor-toolbar-help-page-list' => 'Lëschten',
	'wikieditor-toolbar-help-page-file' => 'Fichieren',
	'wikieditor-toolbar-help-page-reference' => 'Referenzen',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussioun',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiven Text''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiven Text</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fett',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fetten Text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fetten Text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fett &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fetten &amp; kursiven Text'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fetten &amp; kursiven Text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interne Link',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Text vum Link]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Text vum Link</a><br /><a href='#'>Titel vun der Säit</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Externe Link',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Text vum Link]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "a href='#' class='external'>Text vum Link</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Iwwerschrëft vum 2. Niveau',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Text vum Titel ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Text vum Titel</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Iwwerschrëft vum 3. Niveau',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Text vum Titel ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Text vum Titel</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Iwwerschrëft vum 4. Niveau',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Text vum Titel ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Text vum Titel</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Iwwerschrëft vum 5. Niveau',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Text vum Titel =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Text vum Titel</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lëscht mat Punkten',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element vun der Lëscht<br />
* Element vun der Lëscht',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul>
 <li>Element vun der Lëscht</li>
 <li>Element vun der Lëscht</li>
</ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numeréiert Lëscht',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element vun der Lëscht<br />
# Element vun der Lëscht',
	'wikieditor-toolbar-help-content-olist-result' => '<ol>
 <li>Element vun der Lëscht</li>
 <li>Element vun der Lëscht</li>
</ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Agebonnene Fichier',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Ugewisenen Text]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Ugewisenen Texte' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Ugewisenen Text</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referenz',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Text vun der Säit.&lt;ref name="test"&gt;[http://www.example.org Text vum Link], zousätzlechen Text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Text vun der Säit <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Zousätzleche Gebrauch vun derselwëschter Referenz',
	'wikieditor-toolbar-help-content-rereference-result' => "Text vun der Säit. <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Referenze weisen',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'>
 <li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Text vum Link</a>, zousätzlechen Text.</li>
</ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ënnerschrëft mat Datum an Auerzäit',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Benotzernumm</a> (<a href='#' title='{{#special:mytalk}}'>Diskussioun</a>) 10 Juni 2009 àëm 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ënnerschrëft',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Benotzernumm</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Erasetzen',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalen Text<br />
:Erageréckelten Text<br />
::Erageréckelten Text',
	'wikieditor-toolbar-help-content-indent-result' => 'Normalen Text
<dl>
 <dd>Erageréckelten Text
  <dl>
    <dd>Erageréckelten Text</dd>
  </dl>
 </dd>
</dl>',
);

/** Limburgish (Limburgs)
 * @author Ooswesthoesbes
 * @author Pahles
 */
$messages['li'] = array(
	'wikieditor' => 'Oetgebreijde teksverwèrker veur wikiteks',
	'wikieditor-desc' => "Voeg 'nen oetbreidbare teksverwerker veur wikiteks toe en modules mit extra meugelikheje",
	'wikieditor-wikitext-tab' => 'Wikiteks',
	'wikieditor-loading' => 'Laje',
	'wikieditor-preview-preference' => 'Bewirke en betrachte naevenein',
	'wikieditor-preview-tab' => 'Veurbesjouwing',
	'wikieditor-preview-changes-tab' => 'Verangeringe',
	'wikieditor-preview-loading' => 'Laje...',
	'wikieditor-previewDialog-preference' => "Zèt 't betrachtingsvinster aan",
	'wikieditor-previewDialog-tab' => 'Veurbesjouwing',
	'wikieditor-previewDialog-loading' => 'Laje…',
	'wikieditor-publish-preference' => 'Zèt oetbringe ein veur ein aan',
	'wikieditor-publish-button-publish' => 'Bring oet',
	'wikieditor-publish-button-cancel' => 'Braek aaf',
	'wikieditor-publish-dialog-title' => 'Bring oet nao {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Bewerkingssamevatting (besjrief kórt de gemaakdje verangeringe):',
	'wikieditor-publish-dialog-minor' => 'Klein bewèrking',
	'wikieditor-publish-dialog-watch' => 'Volg dees pazjena',
	'wikieditor-publish-dialog-publish' => 'Bring oet',
	'wikieditor-publish-dialog-goback' => 'Trök',
	'wikieditor-template-editor-preference' => 'Zèt formeleergebaseerdj bewèrke van wikisjablone aan',
	'wikieditor-template-editor-dialog-title' => 'Bewèrk veurlaag',
	'wikieditor-template-editor-dialog-submit' => 'Wèrk bie',
	'wikieditor-template-editor-dialog-cancel' => 'Braek aaf',
	'wikieditor-templates-preference' => 'Zèt inklapbaar sjablone aan',
	'wikieditor-toc-preference' => 'Zèt navigeerbaar inhaudsopgaaf aan',
	'wikieditor-toc-show' => 'Tuun inhawd',
	'wikieditor-toc-hide' => 'Verbegr inhawd',
	'wikieditor-toolbar' => 'Bewèrkingswèrkbalk',
	'wikieditor-toolbar-desc' => 'Nuje bewèrkingsbalk',
	'wikieditor-toolbar-preference' => 'Gebroek de nuje bewèrkingsbalk',
	'wikieditor-toolbar-dialogs-preference' => 'Zèt inveurvensters aan',
	'wikieditor-toolbar-hidesig' => 'Verberg de knoep veur óngerteikene in dees naamruumde',
	'wikieditor-toolbar-loading' => 'Laje…',
	'wikieditor-toolbar-tool-bold' => 'Vèt',
	'wikieditor-toolbar-tool-bold-example' => 'Vètten teks',
	'wikieditor-toolbar-tool-italic' => 'Sjuuns',
	'wikieditor-toolbar-tool-italic-example' => 'Sjuunsen tèks',
	'wikieditor-toolbar-tool-ilink' => 'Interne link',
	'wikieditor-toolbar-tool-ilink-example' => 'Link titel',
	'wikieditor-toolbar-tool-xlink' => 'Extern link (mit de http:// prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com link titel',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Voog link in',
	'wikieditor-toolbar-tool-link-int' => 'Naoë wikipaasj',
	'wikieditor-toolbar-tool-link-int-target' => 'Paasjnaam:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Paasjnaam of URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Waer te gaeve teks:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Waer te gaeve teks',
	'wikieditor-toolbar-tool-link-ext' => "Nao 'n extern webpaasj",
	'wikieditor-toolbar-tool-link-ext-target' => 'URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Linkteks:',
	'wikieditor-toolbar-tool-link-insert' => 'Voog link in',
	'wikieditor-toolbar-tool-link-cancel' => 'Aafbraeke',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Paasj besteit',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'pazjena besteit neet',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Óngeljige titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Extern verwiezinge',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kiek t paasjbestaon nao...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'De opgegaeve pazjenanaam is óngeljig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "De URL dae se haes ópgegaeve liek gemèndj te zeen es 'n verwiezing nao 'n anger wikipagina.
Wils se d'r 'n intern verwiezing van make?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interne link',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Extern verwiezinge',
	'wikieditor-toolbar-tool-link-empty' => 'Doe höbs nieks ópgegaeven om te linke.',
	'wikieditor-toolbar-tool-file' => 'Mediabesjtandj',
	'wikieditor-toolbar-tool-file-example' => 'Veurbeildj.jpg',
	'wikieditor-toolbar-tool-reference' => 'Verwiezing',
	'wikieditor-toolbar-tool-reference-example' => 'Voog hie de vootnoot in',
	'wikieditor-toolbar-tool-reference-cancel' => 'Braek aaf',
	'wikieditor-toolbar-tool-reference-title' => 'Voog verwiezing in',
	'wikieditor-toolbar-tool-reference-insert' => 'Voog in',
	'wikieditor-toolbar-tool-reference-text' => 'Referensjeteks',
	'wikieditor-toolbar-tool-signature' => 'Handjteikening en tied',
	'wikieditor-toolbar-section-advanced' => 'Oetgebreid',
	'wikieditor-toolbar-tool-heading' => 'Subkop',
	'wikieditor-toolbar-tool-heading-1' => 'Huuegdje 1',
	'wikieditor-toolbar-tool-heading-2' => 'Huuegdje 2',
	'wikieditor-toolbar-tool-heading-3' => 'Huuegdje 3',
	'wikieditor-toolbar-tool-heading-4' => 'Huuegdje 4',
	'wikieditor-toolbar-tool-heading-5' => 'Huuegdje 5',
	'wikieditor-toolbar-tool-heading-example' => 'Kopteks',
	'wikieditor-toolbar-group-format' => 'Ópmaak',
	'wikieditor-toolbar-tool-ulist' => 'Óngenómmerdje lies',
	'wikieditor-toolbar-tool-ulist-example' => 'Regel in óngenómmerdje lies',
	'wikieditor-toolbar-tool-olist' => 'Genómmerdje lies',
	'wikieditor-toolbar-tool-olist-example' => 'Regel in genómmerdje lies',
	'wikieditor-toolbar-tool-indent' => 'Spring in',
	'wikieditor-toolbar-tool-indent-example' => 'Ingesprónge regel',
	'wikieditor-toolbar-tool-nowiki' => 'Verloup wiki-opmaak',
	'wikieditor-toolbar-tool-nowiki-example' => 'Veur hiej de neet op te make teks in',
	'wikieditor-toolbar-tool-redirect' => 'Dórchverwiezing',
	'wikieditor-toolbar-tool-redirect-example' => 'Doelpagina',
	'wikieditor-toolbar-tool-big' => 'Groeat',
	'wikieditor-toolbar-tool-big-example' => 'Groeate teks',
	'wikieditor-toolbar-tool-small' => 'Klein',
	'wikieditor-toolbar-tool-small-example' => 'Klein teks',
	'wikieditor-toolbar-tool-superscript' => 'Euversjrif',
	'wikieditor-toolbar-tool-superscript-example' => 'Euversjrifteks',
	'wikieditor-toolbar-tool-subscript' => 'Óngersjrif',
	'wikieditor-toolbar-tool-subscript-example' => 'Óngersjrifteks',
	'wikieditor-toolbar-group-insert' => 'Voog in',
	'wikieditor-toolbar-tool-gallery' => 'Beeljegalerie',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Veurbeildj1|Biesjrif1
$1:Veurbeildj2|Biesjrif2',
	'wikieditor-toolbar-tool-newline' => 'Nuuje regel',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kóp 1
! kóp 2
! kóp 3
|-
| rie 1, cel 1
| rie 1, cel 2
| rie 1, cel 3
|-
| rie 2, cel 1
| rie 2, cel 2
| rie 2, cel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celteks',
	'wikieditor-toolbar-tool-table-example-header' => 'Kopteks',
	'wikieditor-toolbar-tool-table-title' => 'Voog tabel in',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rieje',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolomme',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Voog koprie toe',
	'wikieditor-toolbar-tool-table-wikitable' => 'Voog celrenj toe',
	'wikieditor-toolbar-tool-table-sortable' => 'Maak tabel sorteerbaar',
	'wikieditor-toolbar-tool-table-example' => 'Veurbeildj',
	'wikieditor-toolbar-tool-table-preview' => 'Betrach',
	'wikieditor-toolbar-tool-table-insert' => 'Voog in',
	'wikieditor-toolbar-tool-table-cancel' => 'Braek aaf',
	'wikieditor-toolbar-tool-table-toomany' => "'t Invoge van 'n tabel mit mieër es $1 celle kèn neet via dit venster.",
	'wikieditor-toolbar-tool-table-invalidnumber' => "Doe höbs 'n óngeljig aantal regels of kolomme ópgegaeve.",
	'wikieditor-toolbar-tool-table-zero' => 'Doe kins gein tabel invoge zónger regels of kolomme.',
	'wikieditor-toolbar-tool-replace' => 'Zeuk en vervang',
	'wikieditor-toolbar-tool-replace-title' => 'Zeuk en vervang',
	'wikieditor-toolbar-tool-replace-search' => 'Zeuk nao:',
	'wikieditor-toolbar-tool-replace-replace' => 'Vervang door:',
	'wikieditor-toolbar-tool-replace-case' => 'Houflettergeveulig',
	'wikieditor-toolbar-tool-replace-regex' => 'Behanjel de zeukreiks es regulier oetdrukking',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Zeuk de volgende',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Vervang',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Vervang alles',
	'wikieditor-toolbar-tool-replace-close' => 'Sloet',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Dien zeukopdrach haet gein rizzeltaote gegaeve.',
	'wikieditor-toolbar-tool-replace-success' => "d'r Zeen $1 deil vervange.",
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Doe höbs gein zeukterme opgegaeve.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'De door dich ingegaeve regulier oetdrokkig is valsj: $1',
	'wikieditor-toolbar-section-characters' => 'Speciaal teikes',
	'wikieditor-toolbar-characters-page-latin' => 'Letien',
	'wikieditor-toolbar-characters-page-latinextended' => 'Oetgebreid letien',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Grieks',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillisch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Oetgebreid Arabisch',
	'wikieditor-toolbar-characters-page-persian' => 'Perzisch',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreeuws',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaals',
	'wikieditor-toolbar-characters-page-telugu' => 'Teloegoe',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Goedzjarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Cambodzjaans',
	'wikieditor-toolbar-section-help' => 'Hölp',
	'wikieditor-toolbar-help-heading-description' => 'Besjrieving',
	'wikieditor-toolbar-help-heading-syntax' => 'Det se tieps',
	'wikieditor-toolbar-help-heading-result' => 'Dat dich weurt getuind',
	'wikieditor-toolbar-help-page-format' => 'Ópmaak',
	'wikieditor-toolbar-help-page-link' => 'Link',
	'wikieditor-toolbar-help-page-heading' => 'Subkoppe',
	'wikieditor-toolbar-help-page-list' => 'Lieste',
	'wikieditor-toolbar-help-page-file' => 'Bestenj',
	'wikieditor-toolbar-help-page-reference' => 'Verwiezinge',
	'wikieditor-toolbar-help-page-discussion' => 'Euverlègk',
	'wikieditor-toolbar-help-content-italic-description' => 'Sjuuns',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Sjuunse teks''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Sjuunse teks</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Vèt',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Dieken teks'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Dieken teks</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Vèt en sjuuns',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Vèt en sjuunse teks'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Vèt en sjunse teks</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interne link',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Paginanaam|Verwiezingslabel]]<br />[[Paginanaam]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Verwiezingslabel</a><br /><a href='#'>Paginanaam</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Extern verwiezinge',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Verwiezingslabel]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Verwiezingslabel</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Tweede kóp',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Kópteks==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Kópteks</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Dèrde kóp',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===Kópteks===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Kópteks</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Veerde kóp',
	'wikieditor-toolbar-help-content-heading4-syntax' => '====Kópteks====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Kópteks</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Viefde kóp',
	'wikieditor-toolbar-help-content-heading5-syntax' => '=====Kópteks=====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Kópteks</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Óngenómmerdje lies',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Regel in óngenummerde lies<br />* Regel in óngenummerde lies',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Regel in óngenummerde lies</li><li>Regel in óngenummerde lies</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Genómmerdje lies',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Regel in genummerde lies<br /># Regel in genummerde lies',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Regel in genummerde lies</li><li>Regel in genummerde lies</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Mediabesjtandj',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Biesjrif]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Biesjrif' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Vergroeat' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Biesjrif</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Verwiezing',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Paginateks.&lt;ref name="test"&gt;[http://www.example.org Verwiezingsteks], biekómmendje teks.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Paginateks. <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Hergebroek van dezelfdje referentie',
	'wikieditor-toolbar-help-content-rereference-result' => "Paginateks. <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Toean verwiezinge',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Verwiezingsteks</a>, biekómstige teks.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Handjteikening en tied',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Gebroekersnaam</a> (<a href='#' title='{{#special:mytalk}}'>euverlègk</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Handjteikening',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Gebroekersnaam</a> (<a href='#' title='{{#special:mytalk}}'>euverlègk</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Spring in',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normaal teks<br />:Ingesprónge teks<br />::Ingesprónge teks',
	'wikieditor-toolbar-help-content-indent-result' => 'Normaal teks<dl><dd>Ingesprónge teks<dl><dd>Ingesprónge teks</dd></dl></dd></dl>',
);

/** Lithuanian (Lietuvių)
 * @author Garas
 * @author Hugo.arg
 * @author Matasg
 * @author Vpovilaitis
 */
$messages['lt'] = array(
	'wikieditor' => 'Išplėstinė wikiteksto redagavimo sąsaja',
	'wikieditor-desc' => 'Prideda išplečiamą wikiteksto redagavimo sąsają ir daug funkcijų turinčius modulius',
	'wikieditor-wikitext-tab' => 'Wikitekstas',
	'wikieditor-loading' => 'Įkeliama',
	'wikieditor-preview-preference' => "Įjungti ''side-by-side'' peržiūrą",
	'wikieditor-preview-tab' => 'Peržiūra',
	'wikieditor-preview-changes-tab' => 'Pokyčiai',
	'wikieditor-preview-loading' => 'Kraunama...',
	'wikieditor-previewDialog-tab' => 'Peržiūra',
	'wikieditor-previewDialog-loading' => 'Įkeliama…',
	'wikieditor-publish-preference' => 'Įjungti žingsnis po žingsnio publikavimą',
	'wikieditor-publish-button-publish' => 'Publikuoti',
	'wikieditor-publish-button-cancel' => 'Atšaukti',
	'wikieditor-publish-dialog-title' => 'Publikuoti į {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Redagavimo komentaras (trumpai aprašykite, kokius pakeitimus padarėte):',
	'wikieditor-publish-dialog-minor' => 'Smulkus keitimas',
	'wikieditor-publish-dialog-watch' => 'Stebėti šį puslapį',
	'wikieditor-publish-dialog-publish' => 'Publikuoti',
	'wikieditor-publish-dialog-goback' => 'Grįžti',
	'wikieditor-template-editor-preference' => 'Įjungti formos pagrindu sukurtą wiki šablonų redagavimą',
	'wikieditor-template-editor-dialog-title' => 'Redaguoti šabloną',
	'wikieditor-template-editor-dialog-submit' => 'Pakeisti',
	'wikieditor-template-editor-dialog-cancel' => 'Atšaukti',
	'wikieditor-templates-preference' => 'Įgalinti šablonų sutraukimą',
	'wikieditor-toc-preference' => 'Įjungti naršomą turinį',
	'wikieditor-toc-show' => 'Rodyti turinį',
	'wikieditor-toc-hide' => 'Slėpti turinį',
	'wikieditor-toolbar' => 'Redagavimo įrankių juosta',
	'wikieditor-toolbar-desc' => 'Redaguoti įrankių juostą, siekiant didesnio praktiškumo',
	'wikieditor-toolbar-preference' => 'Įjungti naudingesnę įrankių juostą',
	'wikieditor-toolbar-dialogs-preference' => 'Įjungti dialogus įterpti nuorodas, lenteles ir daugiau',
	'wikieditor-toolbar-loading' => 'Kraunama...',
	'wikieditor-toolbar-tool-bold' => 'Paryškinti',
	'wikieditor-toolbar-tool-bold-example' => 'Paryškinti tekstą',
	'wikieditor-toolbar-tool-italic' => 'Kursyvas',
	'wikieditor-toolbar-tool-italic-example' => 'Tekstas kursyvu',
	'wikieditor-toolbar-tool-ilink' => 'Vidinė nuoroda',
	'wikieditor-toolbar-tool-ilink-example' => 'Nuorodos pavadinimas',
	'wikieditor-toolbar-tool-xlink' => 'Išorinė nuoroda (nepamirškite http:// priedėlio)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com nuorodos pavadinimas',
	'wikieditor-toolbar-tool-link' => 'Nuoroda',
	'wikieditor-toolbar-tool-link-title' => 'Įterpti nuorodą',
	'wikieditor-toolbar-tool-link-int' => 'Į wiki puslapį',
	'wikieditor-toolbar-tool-link-int-target' => 'Paskirties puslapis arba URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Puslapio pavadinimas arba URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Rodomas tekstas:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekstas, kuris bus rodomas',
	'wikieditor-toolbar-tool-link-ext' => 'Į išorinį tinklalapį',
	'wikieditor-toolbar-tool-link-ext-target' => 'Nuoroda:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Nuorodos tekstas:',
	'wikieditor-toolbar-tool-link-insert' => 'Įterpti nuorodą',
	'wikieditor-toolbar-tool-link-cancel' => 'Atšaukti',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Puslapis yra',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Puslapis neegzistuoja',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Neleistinas pavadinimas',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Išorinė nuoroda',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Tikrinama, ar puslapis egzistuoja...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Nurodytas pavadinimas yra neleistinas',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Adresas, kurį nurodėte, atrodo, turėjo yra nuoroda į kitą wiki puslapį. Ar norite paversti nuorodą vidine?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Vidinė nuoroda',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Išorinė nuoroda',
	'wikieditor-toolbar-tool-link-empty' => 'Jūs neįvedėte nieko, į ką nurodyti.',
	'wikieditor-toolbar-tool-file' => 'Įdėti failą',
	'wikieditor-toolbar-tool-file-example' => 'Pavyzdys.jpg',
	'wikieditor-toolbar-tool-reference' => 'Išnaša',
	'wikieditor-toolbar-tool-reference-example' => 'Čia įterpkite teksto išnašą',
	'wikieditor-toolbar-tool-reference-cancel' => 'Atšaukti',
	'wikieditor-toolbar-tool-reference-title' => 'Įtraukti nuorodą',
	'wikieditor-toolbar-tool-reference-insert' => 'Įtraukti',
	'wikieditor-toolbar-tool-reference-text' => 'Nuorodos tekstas',
	'wikieditor-toolbar-tool-signature' => 'Jūsų parašas bei laikas',
	'wikieditor-toolbar-section-advanced' => 'Išplėstinis',
	'wikieditor-toolbar-tool-heading' => 'Antraštė',
	'wikieditor-toolbar-tool-heading-1' => 'Pirmo lygio',
	'wikieditor-toolbar-tool-heading-2' => 'Antro lygio',
	'wikieditor-toolbar-tool-heading-3' => 'Trečio lygio',
	'wikieditor-toolbar-tool-heading-4' => 'Ketvirto lygio',
	'wikieditor-toolbar-tool-heading-5' => 'Penkto lygio',
	'wikieditor-toolbar-tool-heading-example' => 'Antraštinis tekstas',
	'wikieditor-toolbar-group-format' => 'Formatas',
	'wikieditor-toolbar-tool-ulist' => 'Punktuotas sąrašas',
	'wikieditor-toolbar-tool-ulist-example' => 'Punktuoto sąrašo elementas',
	'wikieditor-toolbar-tool-olist' => 'Numeruotas sąrašas',
	'wikieditor-toolbar-tool-olist-example' => 'Numeruoto sąrašo elementas',
	'wikieditor-toolbar-tool-indent' => 'Įtrauka',
	'wikieditor-toolbar-tool-indent-example' => 'Įtraukta eilutė',
	'wikieditor-toolbar-tool-nowiki' => 'Ignoruoti wiki formatą',
	'wikieditor-toolbar-tool-nowiki-example' => 'Čia įterpkite neformuotą tekstą',
	'wikieditor-toolbar-tool-redirect' => 'nukreipimą',
	'wikieditor-toolbar-tool-redirect-example' => 'Tikslinio puslapio pavadinimas',
	'wikieditor-toolbar-tool-big' => 'Didelis',
	'wikieditor-toolbar-tool-big-example' => 'Didelis tekstas',
	'wikieditor-toolbar-tool-small' => 'Mažas',
	'wikieditor-toolbar-tool-small-example' => 'Mažas tekstas',
	'wikieditor-toolbar-tool-superscript' => 'Viršuje',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekstas viršuje',
	'wikieditor-toolbar-tool-subscript' => 'Apačioje',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekstas apačioje',
	'wikieditor-toolbar-group-insert' => 'Įterpti',
	'wikieditor-toolbar-tool-gallery' => 'Paveikslėlių galerija',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Pavyzdys.jpg|Aprašymas1
$1:Pavyzdys.jpg|Aprašymas2',
	'wikieditor-toolbar-tool-newline' => 'Nauja linija',
	'wikieditor-toolbar-tool-table' => 'Lentelė',
	'wikieditor-toolbar-tool-table-example-old' => '-
! antraštė 1
! antraštė 2
! antraštė 3
|-
| eilutė 1, langelis 1
| eilutė 1, langelis 2
| eilutė 1, langelis 3
|-
| eilutė 2, langelis 1
| eilutė 2, langelis 2
| eilutė 2, langelis 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Langelio tekstas',
	'wikieditor-toolbar-tool-table-example-header' => 'Antraštės tekstas',
	'wikieditor-toolbar-tool-table-title' => 'Įterpti lentelę',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Eilutės',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Stulpeliai',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Pridėti antraštinę eilutę',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stilius su rėmeliais',
	'wikieditor-toolbar-tool-table-sortable' => 'Padaryti lentelę rikiuojamą',
	'wikieditor-toolbar-tool-table-example' => 'Pavyzdys',
	'wikieditor-toolbar-tool-table-preview' => 'Peržiūra',
	'wikieditor-toolbar-tool-table-insert' => 'Įterpti',
	'wikieditor-toolbar-tool-table-cancel' => 'Atšaukti',
	'wikieditor-toolbar-tool-table-toomany' => 'Įterpti lentelę su daugiau nei $1 langelių šiame lange negalima.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Jūs neįvedėte leistino skaičiaus eilučių ar stulpelių.',
	'wikieditor-toolbar-tool-table-zero' => 'Jūs negalite įterpti lentelės su nuliu eilučių ar stulpelių.',
	'wikieditor-toolbar-tool-replace' => 'Ieškoti ir pakeisti',
	'wikieditor-toolbar-tool-replace-title' => 'Ieškoti ir pakeisti',
	'wikieditor-toolbar-tool-replace-search' => 'Ieškoti:',
	'wikieditor-toolbar-tool-replace-replace' => 'Pakeisti su:',
	'wikieditor-toolbar-tool-replace-case' => 'Skirti didžiąsias ir mažąsias raides',
	'wikieditor-toolbar-tool-replace-regex' => 'Laikyti paieškos eilutę kaip reguliariąją išraišką',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Rasti kitą',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Pakeisti visus',
	'wikieditor-toolbar-tool-replace-close' => 'Uždaryti',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Jūsų paieška nieko nerado.',
	'wikieditor-toolbar-tool-replace-success' => 'Atlikta $1 pakeitimas (-ų).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Jūs neįvedėte nieko ieškoti.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Reguliarioji išraiška, kurią įvedėte, yra neleistina: $1',
	'wikieditor-toolbar-section-characters' => 'Specialieji simboliai',
	'wikieditor-toolbar-characters-page-latin' => 'Lotynų',
	'wikieditor-toolbar-characters-page-latinextended' => 'Lotynų išplėstoji',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboliai',
	'wikieditor-toolbar-characters-page-greek' => 'Graikų',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabų',
	'wikieditor-toolbar-characters-page-persian' => 'Persų',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrajų',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalų',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugų',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhalų',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžaratų',
	'wikieditor-toolbar-characters-page-thai' => 'Tajų',
	'wikieditor-toolbar-characters-page-lao' => 'Laosiečių',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerų',
	'wikieditor-toolbar-section-help' => 'Pagalba',
	'wikieditor-toolbar-help-heading-description' => 'Aprašymas',
	'wikieditor-toolbar-help-heading-syntax' => 'Ką rašote',
	'wikieditor-toolbar-help-heading-result' => 'Ką gaunate',
	'wikieditor-toolbar-help-page-format' => 'Formatavimas',
	'wikieditor-toolbar-help-page-link' => 'Nuorodos',
	'wikieditor-toolbar-help-page-heading' => 'Antraštės',
	'wikieditor-toolbar-help-page-list' => 'Sąrašai',
	'wikieditor-toolbar-help-page-file' => 'Failai',
	'wikieditor-toolbar-help-page-reference' => 'Išnašos',
	'wikieditor-toolbar-help-page-discussion' => 'Aptarimas',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursyvas',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tekstas kursyvu''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tekstas kursyvu</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Paryškintas',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Paryškintas tekstas'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Paryškintas tekstas</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Paryškintas ir kursyvas',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Paryškintas tekstas kursyvu'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Paryškintas tekstas kursyvu</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Vidinė nuoroda',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Puslapio pavadinimas|Pavadinimas]]<br />[[Puslapio pavadinimas]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Nuorodos pavadinimas</a><br /><a href='#'>Puslapio pavadinimas</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Išorinė nuoroda',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Nuorodos pavadinimas]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Nuorodos pavadinimas</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-ojo lygio antraštė',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Antraštės tekstas ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Antraštės tekstas</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-ojo lygio antraštė',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Antraštės tekstas ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Antraštės tekstas</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-ojo lygio antraštė',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Antraštės tekstas ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Antraštės tekstas</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-ojo lygio antraštė',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Antraštės tekstas =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Antraštės tekstas</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punktuotas sąrašas',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Sąrašo elementas<br />* Sąrašo elementas',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Sąrašo elementas</li><li>Sąrašo elementas</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numeruotas sąrašas',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Sąrašo elementas<br /># Sąrašo elementas',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Sąrašo elementas</li><li>Sąrašo elementas</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Įterpti failą',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Aprašymas]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Aprašymas</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Išnaša',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Puslapio tekstas.&lt;ref name="test"&gt;[http://www.example.org Nuorodos tekstas], papildomas tekstas.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Puslapio tekstas.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Papildomas tos pačios išnašos naudojimas',
	'wikieditor-toolbar-help-content-rereference-result' => "Puslapio tekstas.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Rodyti išnašas',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Nuorodos tekstas</a>, papildomas tekstas.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Parašas bei laikas',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Naudotojo vardas</a> (<a href='#' title='{{#special:mytalk}}'>aptarimas</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Parašas',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Naudotojo vardas</a> (<a href='#' title='{{#special:mytalk}}'>aptarimas</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Įtrauka',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalus tekstas<br />:Įtrauktas tekstas<br />::Įtrauktas tekstas',
	'wikieditor-toolbar-help-content-indent-result' => 'Normalus tekstas<dl><dd>Įtrauktas tekstas<dl><dd>Įtrauktas tekstas</dd></dl></dd></dl>',
);

/** Latgalian (Latgaļu)
 * @author Dark Eagle
 */
$messages['ltg'] = array(
	'wikieditor-template-editor-dialog-submit' => 'Atjaunynuot',
);

/** Latvian (Latviešu)
 * @author Gleb Borisov
 * @author GreenZeb
 * @author Marozols
 * @author Papuass
 * @author Xil
 */
$messages['lv'] = array(
	'wikieditor-wikitext-tab' => 'Vikiteksts',
	'wikieditor-loading' => 'Ielādē…',
	'wikieditor-preview-preference' => "Ieslēgt ''side-by-side'' priekšskatu",
	'wikieditor-preview-tab' => 'Pirmskats',
	'wikieditor-preview-changes-tab' => 'Izmaiņas',
	'wikieditor-preview-loading' => 'Ielādē…',
	'wikieditor-previewDialog-preference' => 'Atļaut priekšskates dialogu',
	'wikieditor-previewDialog-tab' => 'Pirmskats',
	'wikieditor-previewDialog-loading' => 'Ielādē…',
	'wikieditor-publish-button-publish' => 'Publicēt',
	'wikieditor-publish-button-cancel' => 'Atcelt',
	'wikieditor-publish-dialog-minor' => 'Maznozīmīgs labojums',
	'wikieditor-publish-dialog-watch' => 'Uzraudzīt šo lapu',
	'wikieditor-publish-dialog-publish' => 'Publicēt',
	'wikieditor-template-editor-dialog-title' => 'Rediģēt veidni',
	'wikieditor-template-editor-dialog-cancel' => 'Atcelt',
	'wikieditor-toc-preference' => 'Ieslēgt satura rādītāju ar navigācijas iespējām',
	'wikieditor-toc-show' => 'Parādīt satura rādītāju',
	'wikieditor-toc-hide' => 'Paslēpt satura rādītāju',
	'wikieditor-toolbar' => 'Rediģēšanas rīku josla',
	'wikieditor-toolbar-desc' => 'Rediģēšanas rīku josla ar uzlabotu lietojamību',
	'wikieditor-toolbar-preference' => 'Izmantot paplašināto rediģēšanas rīkjoslu',
	'wikieditor-toolbar-dialogs-preference' => 'Izmantot dialoga logus saišu, tabulu u.c. ievietošanai',
	'wikieditor-toolbar-loading' => 'Ielādē…',
	'wikieditor-toolbar-tool-bold' => 'Pustrekns',
	'wikieditor-toolbar-tool-bold-example' => 'Pustrekns teksts',
	'wikieditor-toolbar-tool-italic' => 'Kursīvā',
	'wikieditor-toolbar-tool-italic-example' => 'Teksts kursīvā',
	'wikieditor-toolbar-tool-ilink' => 'Iekšējā saite',
	'wikieditor-toolbar-tool-ilink-example' => 'Saites teksts',
	'wikieditor-toolbar-tool-xlink' => 'Ārējā saite (neaizmirsti adresi sākt ar "http://")',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com saites teksts',
	'wikieditor-toolbar-tool-link' => 'Saite',
	'wikieditor-toolbar-tool-link-title' => 'Ievietot saiti',
	'wikieditor-toolbar-tool-link-int' => 'Iekšēja saite',
	'wikieditor-toolbar-tool-link-int-target' => 'Lapas nosaukums:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Lapas nosaukums vai URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Saites teksts:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Attēlojamais teksts',
	'wikieditor-toolbar-tool-link-ext' => 'Ārēja saite',
	'wikieditor-toolbar-tool-link-ext-target' => 'Saites URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Saites teksts:',
	'wikieditor-toolbar-tool-link-insert' => 'Ievietot saiti',
	'wikieditor-toolbar-tool-link-cancel' => 'Atcelt',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Lapa eksistē',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Lapa neeksistē',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nekorekts nosaukums',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ārējā saite',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Tiek pārbaudīts vai lapa eksistē...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Norādītais nosaukums nav derīgs.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Norādītais URL izskatās pēc saites uz viki lapu. Vai vēlaties to pārveidot par iekšēju saiti?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Iekšējā saite',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ārējā saite',
	'wikieditor-toolbar-tool-link-empty' => 'Jūs nenorādījāt lapu, uz kuru jāizveido saite.',
	'wikieditor-toolbar-tool-file' => 'Iekļaut failu',
	'wikieditor-toolbar-tool-file-example' => 'Piemērs.jpg',
	'wikieditor-toolbar-tool-reference' => 'Atsauce',
	'wikieditor-toolbar-tool-reference-example' => 'Ievadi zemsvītras atsauces tekstu šeit',
	'wikieditor-toolbar-tool-reference-cancel' => 'Atcelt',
	'wikieditor-toolbar-tool-reference-title' => 'Ievietot atsauci',
	'wikieditor-toolbar-tool-reference-insert' => 'Ievietot',
	'wikieditor-toolbar-tool-reference-text' => 'Atsauces teksts',
	'wikieditor-toolbar-tool-signature' => 'Paraksts un parakstīšanās laiks',
	'wikieditor-toolbar-section-advanced' => 'Papildu iespējas',
	'wikieditor-toolbar-tool-heading' => 'Virsraksts',
	'wikieditor-toolbar-tool-heading-1' => '1. līmeņa',
	'wikieditor-toolbar-tool-heading-2' => '2. līmeņa',
	'wikieditor-toolbar-tool-heading-3' => '3. līmeņa',
	'wikieditor-toolbar-tool-heading-4' => '4. līmeņa',
	'wikieditor-toolbar-tool-heading-5' => '5. līmeņa',
	'wikieditor-toolbar-tool-heading-example' => 'Virsraksta teksts',
	'wikieditor-toolbar-group-format' => 'Formāts',
	'wikieditor-toolbar-tool-ulist' => 'Nenumurēts saraksts',
	'wikieditor-toolbar-tool-ulist-example' => 'Nenumurēta saraksta elements',
	'wikieditor-toolbar-tool-olist' => 'Numurēts saraksts',
	'wikieditor-toolbar-tool-olist-example' => 'Numurēta saraksta elements',
	'wikieditor-toolbar-tool-indent' => 'Atkāpes',
	'wikieditor-toolbar-tool-indent-example' => 'Rindiņa ar atkāpi',
	'wikieditor-toolbar-tool-nowiki' => 'Ignorēt wiki formatējumu',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ievietojiet tekstu, ko nevajag formatēt, šeit',
	'wikieditor-toolbar-tool-redirect' => 'Pāradresācija',
	'wikieditor-toolbar-tool-redirect-example' => 'Mērķa lapas nosaukums',
	'wikieditor-toolbar-tool-big' => 'Liels',
	'wikieditor-toolbar-tool-big-example' => 'Liels teksts',
	'wikieditor-toolbar-tool-small' => 'Mazs',
	'wikieditor-toolbar-tool-small-example' => 'Mazs teksts',
	'wikieditor-toolbar-tool-superscript' => 'Augšējais indekss',
	'wikieditor-toolbar-tool-superscript-example' => 'Augšējā indeksa teksts',
	'wikieditor-toolbar-tool-subscript' => 'Apakšējais indekss',
	'wikieditor-toolbar-tool-subscript-example' => 'Apakšējā indeksa teksts',
	'wikieditor-toolbar-group-insert' => 'Ievietot',
	'wikieditor-toolbar-tool-gallery' => 'Attēlu galerija',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Apraksts1
$1:Example.jpg|Apraksts2',
	'wikieditor-toolbar-tool-newline' => 'Jauna rinda',
	'wikieditor-toolbar-tool-table' => 'Tabula',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 1. virsraksts
! 2. virsraksts
! 3. virsraksts
|-
| 1. rinda, 1. šūna
| 1. rinda, 2. šūna
| 1. rinda, 3. šūna
|-
| 2. rinda, 1. šūna
| 2. rinda, 2. šūna
| 2. rinda, 3. šūna',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Rinda $1, šūna $2',
	'wikieditor-toolbar-tool-table-example-header' => 'Virsraksta teksts',
	'wikieditor-toolbar-tool-table-title' => 'Ievietot tabulu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rindas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolonnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Ievietot rindu ar kolonnu virsrakstiem',
	'wikieditor-toolbar-tool-table-wikitable' => 'Noformēt apmales',
	'wikieditor-toolbar-tool-table-sortable' => 'Padarīt tabulu kārtojamu',
	'wikieditor-toolbar-tool-table-example' => 'Piemērs',
	'wikieditor-toolbar-tool-table-preview' => 'Pirmskats',
	'wikieditor-toolbar-tool-table-insert' => 'Ievietot',
	'wikieditor-toolbar-tool-table-cancel' => 'Atcelt',
	'wikieditor-toolbar-tool-table-toomany' => 'Ar šī dialoga loga palīdzību nav iespējams ievietot tabulu, kas satur vairāk nekā $1 šūnas.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ievadītais rindu vai kolonnu skaits nav korekts.',
	'wikieditor-toolbar-tool-table-zero' => 'Nav iespējams ievietot tabulu, kas nesatur nevienu rindu vai kolonnu.',
	'wikieditor-toolbar-tool-replace' => 'Meklēt un aizstāt',
	'wikieditor-toolbar-tool-replace-title' => 'Meklēt un aizstāt',
	'wikieditor-toolbar-tool-replace-search' => 'Meklēt:',
	'wikieditor-toolbar-tool-replace-replace' => 'Aizstāt ar:',
	'wikieditor-toolbar-tool-replace-case' => 'Ņemt vērā lielos un mazos burtus',
	'wikieditor-toolbar-tool-replace-regex' => 'Uztvert meklējamo virkni kā regulāru izteiksmi',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Meklēt nākamo',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Aizvietot visus',
	'wikieditor-toolbar-tool-replace-close' => 'Aizvērt',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Nekas netika atrasts.',
	'wikieditor-toolbar-tool-replace-success' => 'Aizvietots $1 vietā(s).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Nav norādīta meklējamā simbolu virkne.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Šī ievadītā regulārā izteiksme nav korekta: $1',
	'wikieditor-toolbar-section-characters' => 'Īpašie simboli',
	'wikieditor-toolbar-characters-page-latin' => 'Latīņu',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latīņu (papildus)',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grieķu',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arābu',
	'wikieditor-toolbar-characters-page-persian' => 'Persiešu',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebreju',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengāļu',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singāļu',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-section-help' => 'Palīdzība',
	'wikieditor-toolbar-help-heading-description' => 'Paskaidrojums',
	'wikieditor-toolbar-help-heading-syntax' => 'Ko tu raksti',
	'wikieditor-toolbar-help-heading-result' => 'Ko tu dabū',
	'wikieditor-toolbar-help-page-format' => 'Formatējums',
	'wikieditor-toolbar-help-page-link' => 'Saites',
	'wikieditor-toolbar-help-page-heading' => 'Virsraksti',
	'wikieditor-toolbar-help-page-list' => 'Saraksti',
	'wikieditor-toolbar-help-page-file' => 'Faili',
	'wikieditor-toolbar-help-page-reference' => 'Atsauces',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusija',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursīvā',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teksts kursīvā''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teksts kursīvā</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Pustrekns',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Pustrekns teksts'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Pustrekns teksts</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Pustrekns un kursīvā',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Pustrekns teksts kursīvā'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Pustrekns teksts kursīvā</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Iekšējā saite',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Lapas nosaukums|Saites teksts]]<br />[[Lapas nosaukums]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Saites teksts</a><br /><a href='#'>Lapas nosaukums</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ārējā saite',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Saites teksts]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Saites teksts</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. līmeņa virsraksts',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Virsraksta teksts ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Virsraksta teksts</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. līmeņa virsraksts',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Virsraksta teksts ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Virsraksta teksts</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. līmeņa virsraksts',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Virsraksta teksts ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Virsraksta teksts</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. līmeņa virsraksts',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Virsraksta teksts =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Virsraksta teksts</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Nenumurēts saraksts',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Saraksta elements<br />* Saraksta elements',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Saraksta elements</li><li>Saraksta elements</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numurēts saraksts',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Saraksta elements<br /># Saraksta elements',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Saraksta elements</li><li>Saraksta elements</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Iekļauts fails',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Apraksts]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Apraksts' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Palielināt' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Apraksts</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Atsauce',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Lapas teksts.&lt;ref name="test"&gt;[http://www.example.org Saites teksts], papildus teksts.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Lapas teksts.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Atkārtota jau esošas atsauces izmantošana',
	'wikieditor-toolbar-help-content-rereference-result' => "Lapas teksts.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Parādīt atsauces',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Saites teksts</a>, papildus teksts.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Paraksts un parakstīšanās laiks',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Lietotāja vārds</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>) 15:54, 10 jūnijā, 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tikai paraksts',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Lietotāja vārds</a> (<a href='#' title='{{#special:mytalk}}'>diskusija</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Atkāpe',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teksts bez atkāpes<br />:Teksts ar atkāpi<br />::Teksts ar atkāpi',
	'wikieditor-toolbar-help-content-indent-result' => 'Teksts bez atkāpes<dl><dd>Teksts ar atkāpi<dl><dd>Teksts ar atkāpi</dd></dl></dd></dl>',
);

/** Lazuri (Lazuri)
 * @author Bombola
 */
$messages['lzz'] = array(
	'wikieditor-toolbar-tool-small' => "Ç'ut'a",
	'wikieditor-toolbar-tool-gallery' => "Suret'iş Galeri",
	'wikieditor-toolbar-characters-page-latin' => "Lat'ini",
	'wikieditor-toolbar-characters-page-greek' => 'Xorumi',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabuli',
);

/** Minangkabau (Baso Minangkabau)
 * @author VoteITP
 */
$messages['min'] = array(
	'wikieditor' => 'Suntingan antarmuka teks wiki lanjut',
	'wikieditor-desc' => 'Menyediakan suntingan antarmuka teks wiki dan babarapo ruang penyedia corak',
	'wikieditor-wikitext-tab' => 'Teks wiki',
	'wikieditor-loading' => 'Maunggah',
	'wikieditor-preview-preference' => 'Aktifkan pratonton basisian',
	'wikieditor-preview-tab' => 'Pratonton',
	'wikieditor-preview-changes-tab' => 'Parubahan',
	'wikieditor-preview-loading' => 'Maunggah...',
	'wikieditor-publish-preference' => 'Aktifkan penerbitan batahap',
	'wikieditor-publish-button-publish' => 'Terbitkan',
	'wikieditor-publish-button-cancel' => 'Batalkan',
	'wikieditor-publish-dialog-title' => 'Mencetak {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Ringkasan suntingan (jelaskan dengan ringkas parubahan yang awak buek):',
	'wikieditor-publish-dialog-minor' => 'Suntingan ketek',
	'wikieditor-publish-dialog-watch' => 'Pantau laman ko',
	'wikieditor-publish-dialog-publish' => 'Terbitkan',
	'wikieditor-publish-dialog-goback' => 'Baliak',
	'wikieditor-template-editor-preference' => 'Aktifkan formulir suntingan templat wiki',
	'wikieditor-template-editor-dialog-title' => 'Suntiang templat',
	'wikieditor-template-editor-dialog-submit' => 'Perbarui',
	'wikieditor-template-editor-dialog-cancel' => 'Batalkan',
	'wikieditor-templates-preference' => 'Aktifkan fungsi tutup templat',
	'wikieditor-toc-preference' => 'Senarai kandungan dapek dilayari',
	'wikieditor-toc-show' => 'Tampilkan kandungan',
	'wikieditor-toc-hide' => 'Suruakkan kandungan',
	'wikieditor-toolbar' => 'Bilah suntiang',
	'wikieditor-toolbar-desc' => 'Laman bilah suntiang jo kagunoan lanjut',
	'wikieditor-toolbar-preference' => 'Bilah suntiang lanjut lah aktif',
	'wikieditor-toolbar-dialogs-preference' => 'Aktifkan bantuan untuak manambah tautan, tabel dan lainnyo',
	'wikieditor-toolbar-loading' => 'Maunggah...',
	'wikieditor-toolbar-tool-bold' => 'Taba',
	'wikieditor-toolbar-tool-bold-example' => 'Teks dicetak taba',
	'wikieditor-toolbar-tool-italic' => 'Miriang',
	'wikieditor-toolbar-tool-italic-example' => 'Teks dicetak miriang',
	'wikieditor-toolbar-tool-ilink' => 'Pranala dalam',
	'wikieditor-toolbar-tool-ilink-example' => 'Judul pranala',
	'wikieditor-toolbar-tool-xlink' => 'Pranala lua (ingek awalannyo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com judul pranala',
	'wikieditor-toolbar-tool-link' => 'Tautan',
	'wikieditor-toolbar-tool-link-title' => 'Masuakkan tautan',
	'wikieditor-toolbar-tool-link-int' => 'Ka laman wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Laman sasaran atau URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Judul laman atau URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tampilan teks:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teks yang ka ditampilkan',
	'wikieditor-toolbar-tool-link-ext' => 'Ka laman web lua',
	'wikieditor-toolbar-tool-link-ext-target' => 'Tautan URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tautan teks:',
	'wikieditor-toolbar-tool-link-insert' => 'Masuakkan tautan',
	'wikieditor-toolbar-tool-link-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Laman yang lah ado',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Laman alun tasadio',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Judul indak sah',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Pranala lua',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Memeriksa keadaan laman...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Judul yang awak berikan indak sah',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL yang awak berikan tampaknyo marupokan tautan ka laman wiki lain.
Apo awak ingin mambueknyo jadi pranala dalam?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Pranala dalam',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Pranala lua',
	'wikieditor-toolbar-tool-link-empty' => 'Awak indak mamasuakkan apo pun untuak ditautkan',
	'wikieditor-toolbar-tool-file' => 'Cantumkan berkas',
	'wikieditor-toolbar-tool-file-example' => 'Contoh.jpg',
	'wikieditor-toolbar-tool-reference' => 'Rujukan',
	'wikieditor-toolbar-tool-reference-example' => 'Sisipkan teks catatan kaki di siko',
	'wikieditor-toolbar-tool-reference-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-reference-title' => 'Masuakkan rujukan',
	'wikieditor-toolbar-tool-reference-insert' => 'Masuakkan',
	'wikieditor-toolbar-tool-reference-text' => 'Teks rujukan',
	'wikieditor-toolbar-tool-signature' => 'Tandotangan dan tandomaso',
	'wikieditor-toolbar-section-advanced' => 'Lanjutan',
	'wikieditor-toolbar-tool-heading' => 'Judul',
	'wikieditor-toolbar-tool-heading-1' => 'Tingkek 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tingkek 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tingkek 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tingkek 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tingkek 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teks tajuk',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Senarai babantuak peluru',
	'wikieditor-toolbar-tool-ulist-example' => 'Hal senarai babantuak peluru',
	'wikieditor-toolbar-tool-olist' => 'Senarai babantuak nomor',
	'wikieditor-toolbar-tool-olist-example' => 'Hal senarai babantuak nomor',
	'wikieditor-toolbar-tool-indent' => 'Lekukan',
	'wikieditor-toolbar-tool-indent-example' => 'Barih lekuk',
	'wikieditor-toolbar-tool-nowiki' => 'Indak ado pemformatan wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Masuakkan disiko teks yang indak diformat',
	'wikieditor-toolbar-tool-redirect' => 'Pengalihan',
	'wikieditor-toolbar-tool-redirect-example' => 'Namo laman sasaran',
	'wikieditor-toolbar-tool-big' => 'Gadang',
	'wikieditor-toolbar-tool-big-example' => 'Teks gadang',
	'wikieditor-toolbar-tool-small' => 'Ketek',
	'wikieditor-toolbar-tool-small-example' => 'Teks ketek',
	'wikieditor-toolbar-tool-superscript' => 'Ditulis di atas',
	'wikieditor-toolbar-tool-superscript-example' => 'Teks ditulis di atas',
	'wikieditor-toolbar-tool-subscript' => 'Ditulis di bawah',
	'wikieditor-toolbar-tool-subscript-example' => 'Teks ditulis di bawah',
	'wikieditor-toolbar-group-insert' => 'Masuakkan',
	'wikieditor-toolbar-tool-gallery' => 'Galeri gambar',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Contoh.jpg|Judul1
$1:Contoh.jpg|Judul2',
	'wikieditor-toolbar-tool-newline' => 'Barih baru',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kapalo judul 1
! kapalo judul 2
! kapalo judul 3
|-
| barih 1, sel 1
| barih 1, sel 2
| barih 1, sel 3
|-
| barih 2, sel 1
| barih 2, sel 2
| barih 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teks sel',
	'wikieditor-toolbar-tool-table-example-header' => 'Teks tajuk',
	'wikieditor-toolbar-tool-table-title' => 'Masuakkan tabel',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Barih',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolom',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Tambahkan kapalo barih',
	'wikieditor-toolbar-tool-table-wikitable' => 'Gaya pakai bingkai',
	'wikieditor-toolbar-tool-table-sortable' => 'Buek tabel yang baurutan',
	'wikieditor-toolbar-tool-table-example' => 'Contoh',
	'wikieditor-toolbar-tool-table-preview' => 'Pratonton',
	'wikieditor-toolbar-tool-table-insert' => 'Masuakkan',
	'wikieditor-toolbar-tool-table-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-table-toomany' => 'Disiko indak mungkin mambuek tabel dengan jumlah selnyo malebihi $1.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Awak indak mamasuakkan jumlah sah dari barih atau kolom.',
	'wikieditor-toolbar-tool-table-zero' => 'Awak indak boleh mamasuakkan tabel dengan jumlah kosong pado barih atau kolom',
	'wikieditor-toolbar-tool-replace' => 'Cari dan ganti',
	'wikieditor-toolbar-tool-replace-title' => 'Cari dan ganti',
	'wikieditor-toolbar-tool-replace-search' => 'Cari:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ganti jo:',
	'wikieditor-toolbar-tool-replace-case' => 'Keadaan cocok',
	'wikieditor-toolbar-tool-replace-regex' => 'Perlakukan string cari sebagai "regular expression"',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cari berikutnyo',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ganti semua',
	'wikieditor-toolbar-tool-replace-close' => 'Tutup',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Pencarian awak indak berhasil',
	'wikieditor-toolbar-tool-replace-success' => 'Tajadi $1 penggantian',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Awak indak mamasuakkan apo pun untuak dicari.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ekspresi biaso yang awak masuakkan indak sah: $1',
	'wikieditor-toolbar-section-characters' => 'Karakter istimewa',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin diperluas',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbol',
	'wikieditor-toolbar-characters-page-greek' => 'Yunani',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Sirilik',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-persian' => 'Persia',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ibrani',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarat',
	'wikieditor-toolbar-characters-page-thai' => 'Siam',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Bantuan',
	'wikieditor-toolbar-help-heading-description' => 'Keterangan',
	'wikieditor-toolbar-help-heading-syntax' => 'Apo yang awak ketik',
	'wikieditor-toolbar-help-heading-result' => 'Apo yang awak dapek',
	'wikieditor-toolbar-help-page-format' => 'Pemformatan',
	'wikieditor-toolbar-help-page-link' => 'Tautan',
	'wikieditor-toolbar-help-page-heading' => 'Judul',
	'wikieditor-toolbar-help-page-list' => 'Senarai',
	'wikieditor-toolbar-help-page-file' => 'Berkas',
	'wikieditor-toolbar-help-page-reference' => 'Rujukan',
	'wikieditor-toolbar-help-page-discussion' => 'Pembicaraan',
	'wikieditor-toolbar-help-content-italic-description' => 'Miriang',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teks miriang''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teks miriang</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Taba',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Teks taba'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teks taba</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Taba &amp; miriang',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Teks taba &amp; teks miriang'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teks taba &amp; teks miriang</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Pranala dalam',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Judul laman|Label tautan]]<br />[[Judul laman]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Label tautan</a><br /><a href='#'>Judul laman</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Pranala lua',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Label tautan]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Label tautan</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Judul tingkek 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Teks judul ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Teks judul</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Judul tingkek 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Teks judul ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Teks judul</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Judul tingkek 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Teks judul ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Teks judul</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Judul tingkek 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Teks judul =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Teks judul</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Senarai babantuak peluru',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Senarai hal<br />* Senarai hal',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Senarai hal</li><li>Senarai hal</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Senarai babantuak nomor',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Senarai hal<br /># Senarai hal',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Senarai hal</li><li>Senarai hal</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Cantumkan berkas',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Contoh.png|thumb|Teks gambar]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Teks gambar' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Pagadang' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teks gambar</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Rujukan',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teks laman.&lt;ref name="test"&gt;[http://www.example.org Teks tautan], teks tambahan.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teks laman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Rujukan samo digunoan ulang',
	'wikieditor-toolbar-help-content-rereference-result' => "Teks laman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Tampilkan rujukan',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, Teks tambahan.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Tandotangan dan tandomaso',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Namo pangguno</a> (<a href='#' title='{{#special:mytalk}}'>bincang</a>) 15:54, 10 Juni 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tandotangan',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Namo pangguno</a> (<a href='#' title='{{#special:mytalk}}'>bincang</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Melekuk',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teks normal<br />:Teks lekuk<br />::Teks lekuk',
	'wikieditor-toolbar-help-content-indent-result' => 'Teks normal<dl><dd>Teks lekuk<dl><dd>Teks lekuk</dd></dl></dd></dl>',
);

/** Macedonian (Македонски)
 * @author Bjankuloski06
 * @author Brest
 */
$messages['mk'] = array(
	'wikieditor' => 'Посредник за напредно уредување со викитекст',
	'wikieditor-desc' => 'Дава проширлив посредник за уредување со викитекст и многу модули за разни други алатки',
	'wikieditor-wikitext-tab' => 'ВикиТекст',
	'wikieditor-loading' => 'Вчитувам',
	'wikieditor-preview-preference' => 'Овозможи преглед „рамо до рамо“',
	'wikieditor-preview-tab' => 'Преглед',
	'wikieditor-preview-changes-tab' => 'Промени',
	'wikieditor-preview-loading' => 'Вчитувам...',
	'wikieditor-previewDialog-preference' => 'Овозможи дијалог за преглед',
	'wikieditor-previewDialog-tab' => 'Преглед',
	'wikieditor-previewDialog-loading' => 'Вчитувам...',
	'wikieditor-publish-preference' => 'Овозможи објавување „чекор по чекор“',
	'wikieditor-publish-button-publish' => 'Објави',
	'wikieditor-publish-button-cancel' => 'Откажи',
	'wikieditor-publish-dialog-title' => 'Објави на {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Опис на уредувањето (накратко опишете ги промените кои ги направивте):',
	'wikieditor-publish-dialog-minor' => 'Ситно уредување',
	'wikieditor-publish-dialog-watch' => 'Набљудувај ја страницава',
	'wikieditor-publish-dialog-publish' => 'Објави',
	'wikieditor-publish-dialog-goback' => 'Назад',
	'wikieditor-template-editor-preference' => 'Овозможи уредување на вики-шаблони преку образец',
	'wikieditor-template-editor-dialog-title' => 'Уреди шаблон',
	'wikieditor-template-editor-dialog-submit' => 'Поднови',
	'wikieditor-template-editor-dialog-cancel' => 'Откажи',
	'wikieditor-templates-preference' => 'Овозможи расклопување на шаблоните',
	'wikieditor-toc-preference' => 'Овозможи навигабилна табела и содржина',
	'wikieditor-toc-show' => 'Прикажи содржина',
	'wikieditor-toc-hide' => 'Скриј содржина',
	'wikieditor-toolbar' => 'Алатник за уредување',
	'wikieditor-toolbar-desc' => 'Алатник за уредување со подобрена употребливост',
	'wikieditor-toolbar-preference' => 'Овозможи подобрен алатник за уредување',
	'wikieditor-toolbar-dialogs-preference' => 'Овозможи дијалози за вметнување врски, табели и повеќе',
	'wikieditor-toolbar-hidesig' => 'Скриј го копчето за потпис на страниците во главниот именски простор',
	'wikieditor-toolbar-loading' => 'Вчитувам...',
	'wikieditor-toolbar-tool-bold' => 'Задебелено',
	'wikieditor-toolbar-tool-bold-example' => 'Задебелен текст',
	'wikieditor-toolbar-tool-italic' => 'Косо',
	'wikieditor-toolbar-tool-italic-example' => 'Закосен текст',
	'wikieditor-toolbar-tool-ilink' => 'Внатрешна врска',
	'wikieditor-toolbar-tool-ilink-example' => 'Наслов на врската',
	'wikieditor-toolbar-tool-xlink' => 'Надворешна врска (бара префикс http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.пример.com наслов на врската',
	'wikieditor-toolbar-tool-link' => 'Врска',
	'wikieditor-toolbar-tool-link-title' => 'Вметни врска',
	'wikieditor-toolbar-tool-link-int' => 'Кон вики-страница',
	'wikieditor-toolbar-tool-link-int-target' => 'Наслов на страницата:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Наслов на страницата или URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Текст на врската:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Внесете текст за прикажување',
	'wikieditor-toolbar-tool-link-ext' => 'Кон надворешна страница',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL на врската:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст на врската:',
	'wikieditor-toolbar-tool-link-insert' => 'Вметни врска',
	'wikieditor-toolbar-tool-link-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Страницата постои',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Страницата не постои',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Погрешен наслов',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Надворешна врска',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Проверувам дали постои страницата...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Наведениот наслов е неважечки.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL адресата која ја назначивте изгледа како врска до друга вики-страница. Сакате ова да биде внатрешна врска?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Внатрешна врска',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Надворешна врска',
	'wikieditor-toolbar-tool-link-empty' => 'Не внесовте одредница за врската.',
	'wikieditor-toolbar-tool-file' => 'Вметната податотека',
	'wikieditor-toolbar-tool-file-example' => 'Пример.jpg',
	'wikieditor-toolbar-tool-reference' => 'Навод',
	'wikieditor-toolbar-tool-reference-example' => 'Тука внесете текст на фуснотата',
	'wikieditor-toolbar-tool-reference-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-reference-title' => 'Вметни навод',
	'wikieditor-toolbar-tool-reference-insert' => 'Вметни',
	'wikieditor-toolbar-tool-reference-text' => 'Текст на наводот',
	'wikieditor-toolbar-tool-signature' => 'Вашиот потпис со време',
	'wikieditor-toolbar-section-advanced' => 'Напредно',
	'wikieditor-toolbar-tool-heading' => 'Наслов',
	'wikieditor-toolbar-tool-heading-1' => 'Ниво 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ниво 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ниво 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ниво 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ниво 5',
	'wikieditor-toolbar-tool-heading-example' => 'Наслов',
	'wikieditor-toolbar-group-format' => 'Формат',
	'wikieditor-toolbar-tool-ulist' => 'Список со потточки',
	'wikieditor-toolbar-tool-ulist-example' => 'Потточка во списокот',
	'wikieditor-toolbar-tool-olist' => 'Список со редни броеви',
	'wikieditor-toolbar-tool-olist-example' => 'Реден број во список',
	'wikieditor-toolbar-tool-indent' => 'Вовлечeно',
	'wikieditor-toolbar-tool-indent-example' => 'Вовлечен ред',
	'wikieditor-toolbar-tool-nowiki' => 'Без викиформатирање',
	'wikieditor-toolbar-tool-nowiki-example' => 'Тука вметнете неформатиран текст',
	'wikieditor-toolbar-tool-redirect' => 'Пренасочи',
	'wikieditor-toolbar-tool-redirect-example' => 'Име на целната страница',
	'wikieditor-toolbar-tool-big' => 'Голем',
	'wikieditor-toolbar-tool-big-example' => 'Голем текст',
	'wikieditor-toolbar-tool-small' => 'Мал',
	'wikieditor-toolbar-tool-small-example' => 'Мал текст',
	'wikieditor-toolbar-tool-superscript' => 'Горен индекс',
	'wikieditor-toolbar-tool-superscript-example' => 'Текст на горниот индекс',
	'wikieditor-toolbar-tool-subscript' => 'Долен индекс',
	'wikieditor-toolbar-tool-subscript-example' => 'Текст на долниот индекс',
	'wikieditor-toolbar-group-insert' => 'Вметни',
	'wikieditor-toolbar-tool-gallery' => 'Галерија',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Пример.jpg|Опис1
$1:Пример.jpg|Опис2',
	'wikieditor-toolbar-tool-newline' => 'Нов ред',
	'wikieditor-toolbar-tool-table' => 'Табела',
	'wikieditor-toolbar-tool-table-example-old' => '-
! наслов 1
! наслов 2
! наслов 3
|-
| ред 1, поле 1
| ред 1, поле 2
| ред 1, поле 3
|-
| ред 2, поле 1
| ред 2, поле 2
| ред 2, поле 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст во полето',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст на наслов',
	'wikieditor-toolbar-tool-table-title' => 'Вметни табела',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Редови',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Колони',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Вклучи насловен ред',
	'wikieditor-toolbar-tool-table-wikitable' => 'Стил со граници',
	'wikieditor-toolbar-tool-table-sortable' => 'Подредлива табела',
	'wikieditor-toolbar-tool-table-example' => 'Пример',
	'wikieditor-toolbar-tool-table-preview' => 'Преглед',
	'wikieditor-toolbar-tool-table-insert' => 'Вметни',
	'wikieditor-toolbar-tool-table-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-table-toomany' => 'Не можете да вметнувате табела со повеќе од $1 ќелии со овој дијалог.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Не внесовте важечки број на редови или колони.',
	'wikieditor-toolbar-tool-table-zero' => 'Не можете да вметнувате табела со нула редови или колони.',
	'wikieditor-toolbar-tool-replace' => 'Најди и замени',
	'wikieditor-toolbar-tool-replace-title' => 'Најди и замени',
	'wikieditor-toolbar-tool-replace-search' => 'Барај:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замени со:',
	'wikieditor-toolbar-tool-replace-case' => 'Прави разлика помеѓу големи и мали букви',
	'wikieditor-toolbar-tool-replace-regex' => 'Сметај ја низата за пребарување за регуларен израз',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Пронајди следно',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Замени',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замени сè',
	'wikieditor-toolbar-tool-replace-close' => 'Затвори',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Ништо не се совпадна со бараното.',
	'wikieditor-toolbar-tool-replace-success' => 'Направени се $1 замени.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Не внесовте зборови за пребарување.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Регуларниот израз кој го внесовте е неважечки: $1',
	'wikieditor-toolbar-section-characters' => 'Специјални знаци',
	'wikieditor-toolbar-characters-page-latin' => 'Латиница',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латиница-проширено',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА',
	'wikieditor-toolbar-characters-page-symbols' => 'Симболи',
	'wikieditor-toolbar-characters-page-greek' => 'Грчки',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кирилица',
	'wikieditor-toolbar-characters-page-arabic' => 'Арапски',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Арапски-проширено',
	'wikieditor-toolbar-characters-page-persian' => 'персиски',
	'wikieditor-toolbar-characters-page-hebrew' => 'Хебрејски',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгалски',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Синхалски',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуџарати',
	'wikieditor-toolbar-characters-page-thai' => 'Тајландски',
	'wikieditor-toolbar-characters-page-lao' => 'Лаошки',
	'wikieditor-toolbar-characters-page-khmer' => 'Кмерски',
	'wikieditor-toolbar-section-help' => 'Помош',
	'wikieditor-toolbar-help-heading-description' => 'Опис',
	'wikieditor-toolbar-help-heading-syntax' => 'Што пишувате',
	'wikieditor-toolbar-help-heading-result' => 'Што излегува',
	'wikieditor-toolbar-help-page-format' => 'Форматирање',
	'wikieditor-toolbar-help-page-link' => 'Врски',
	'wikieditor-toolbar-help-page-heading' => 'Наслови',
	'wikieditor-toolbar-help-page-list' => 'Списоци',
	'wikieditor-toolbar-help-page-file' => 'Податотеки',
	'wikieditor-toolbar-help-page-reference' => 'Наводи',
	'wikieditor-toolbar-help-page-discussion' => 'Разговор',
	'wikieditor-toolbar-help-content-italic-description' => 'Закосено',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Закосен текст''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Закосен текст</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Задебелено',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Задебелен текст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Задебелен текст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Задебелено + закосено',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Задебелен + закосен текст'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Задебелен и закосен текст</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Внатрешна врска',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Наслов на страницата|Наслов на врската]]<br />[[Наслов на страницата]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Наслов на врската</a><br /><a href='#'>Наслов на страницата</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Надворешна врска',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.пример.org Наслов на врската]<br />[http://www.пример.org]<br />http://www.пример.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Наслов на врската</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.пример.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2 ниво наслов',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Наслов ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Наслов</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3 ниво наслов',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Наслов ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Наслов</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4 ниво наслов',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Наслов ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Наслов</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5 ниво наслов',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Наслов =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Наслов</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Список со потточки',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ставка<br />* Ставка',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ставка</li><li>Ставка</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Список со редни броеви',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Ставка<br /># Ставка',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ставка</li><li>Ставка</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Вметната податотека',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Описен текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Опис' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Зголеми' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Опис</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Навод',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст во страницата.&lt;ref name="test"&gt;[http://www.пример.org Текст на врската], дополнителен текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Текст во страницата.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Понатамошна употреба на истиот навод',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="проба" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст во страницата.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Прикажи наводи',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.пример.org' class='external text' href='#'>Текст на врската</a>, дополнителен текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Вашиот потпис со време',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Корисничко име</a> (<a href='#' title='{{#special:mytalk}}'>разговор</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Потпис',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Корисничко име</a> (<a href='#' title='{{#special:mytalk}}'>разговор</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Вовлекување',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Нормален текст<br />:Вовлечен текст<br />::Вовлечен текст',
	'wikieditor-toolbar-help-content-indent-result' => 'Нормален текст<dl><dd>Вовлечен текст<dl><dd>Вовлечен текст</dd></dl></dd></dl>',
);

/** Malayalam (മലയാളം)
 * @author McDutchie
 * @author Praveenp
 */
$messages['ml'] = array(
	'wikieditor' => 'വിക്കിഎഴുത്തുകൾ തിരുത്തുവാനുള്ള നൂതന സമ്പർക്കമുഖം',
	'wikieditor-desc' => 'വികസിപ്പിക്കാവുന്ന വിധത്തിലുള്ള വിക്കിഎഴുത്ത് തിരുത്തൽ സമ്പർക്കമുഖവും മറ്റ് സവിശേഷ ഘടകങ്ങളും നൽകുന്നു',
	'wikieditor-wikitext-tab' => 'വിക്കിഎഴുത്ത്',
	'wikieditor-loading' => 'ശേഖരിക്കുന്നു',
	'wikieditor-preview-preference' => 'അരികിലായുള്ള പ്രിവ്യൂ സജ്ജമാക്കുക',
	'wikieditor-preview-tab' => 'എങ്ങനെയുണ്ടെന്നു കാണുക',
	'wikieditor-preview-changes-tab' => 'മാറ്റങ്ങൾ',
	'wikieditor-preview-loading' => 'ശേഖരിക്കുന്നു...',
	'wikieditor-previewDialog-preference' => 'എങ്ങനെയുണ്ടെന്ന് കാണൽ സൗകര്യം സജ്ജമാക്കുക',
	'wikieditor-previewDialog-tab' => 'എങ്ങനെയുണ്ടെന്നു കാണുക',
	'wikieditor-previewDialog-loading' => 'ശേഖരിക്കുന്നു...',
	'wikieditor-publish-preference' => 'ഘട്ടം ഘട്ടമായുള്ള പ്രസിദ്ധപ്പെടുത്തൽ സജ്ജമാക്കുക',
	'wikieditor-publish-button-publish' => 'പ്രസിദ്ധീകരിക്കുക',
	'wikieditor-publish-button-cancel' => 'റദ്ദാക്കുക',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} സംരംഭത്തിൽ പ്രസിദ്ധീകരിക്കുക',
	'wikieditor-publish-dialog-summary' => 'തിരുത്തലിന്റെ ചുരുക്കം (താങ്കൾ വരുത്തിയ മാറ്റങ്ങൾ ലഘുവായി വിശദീകരിക്കുക):',
	'wikieditor-publish-dialog-minor' => 'ചെറു തിരുത്തൽ',
	'wikieditor-publish-dialog-watch' => 'ഈ താൾ ശ്രദ്ധിക്കുക',
	'wikieditor-publish-dialog-publish' => 'പ്രസിദ്ധീകരിക്കുക',
	'wikieditor-publish-dialog-goback' => 'പഴയ താളിലേയ്ക്ക് മടങ്ങുക',
	'wikieditor-template-editor-preference' => 'വിക്കി ഫലകങ്ങളിൽ തിരുത്തുവാൻ ഫോം ഉപയോഗിക്കൽ സജ്ജമാക്കുക',
	'wikieditor-template-editor-dialog-title' => 'ഫലകം തിരുത്തുക',
	'wikieditor-template-editor-dialog-submit' => 'പുതുക്കുക',
	'wikieditor-template-editor-dialog-cancel' => 'റദ്ദാക്കുക',
	'wikieditor-templates-preference' => 'ഫലകം ചുരുക്കൽ സജ്ജമാക്കുക',
	'wikieditor-toc-preference' => 'താളിന്റെ ഉള്ളടക്ക പട്ടിക വഴികാട്ടിയായി ഉപയോഗിക്കുക',
	'wikieditor-toc-show' => 'ഉള്ളടക്കം പ്രദർശിപ്പിക്കുക',
	'wikieditor-toc-hide' => 'ഉള്ളടക്കം മറയ്ക്കുക',
	'wikieditor-toolbar' => 'തിരുത്തൽ പണിപ്പെട്ടി',
	'wikieditor-toolbar-desc' => 'തിരുത്താനുള്ള താളിൽ മെച്ചപ്പെട്ട ഉപയോഗത്തിനായുള്ള പണിപ്പെട്ടി',
	'wikieditor-toolbar-preference' => 'തിരുത്തുവാനുള്ള വിശദ പണിപ്പെട്ടി ഉപയോഗപ്പെടുത്തുക',
	'wikieditor-toolbar-dialogs-preference' => 'കണ്ണികൾ, പട്ടികകൾ തുടങ്ങിയവ ഉൾപ്പെടുത്താനുള്ള സൗകര്യം സജ്ജമാക്കുക',
	'wikieditor-toolbar-hidesig' => 'പ്രധാന നാമമേഖലയിലുള്ള താളുകളിൽ ഒപ്പിടാനുള്ള ബട്ടൺ മറയ്ക്കുക',
	'wikieditor-toolbar-loading' => 'ശേഖരിക്കുന്നു...',
	'wikieditor-toolbar-tool-bold' => 'കടുപ്പിക്കുക',
	'wikieditor-toolbar-tool-bold-example' => 'കട്ടികൂട്ടിയ എഴുത്ത്',
	'wikieditor-toolbar-tool-italic' => 'ചെരിച്ച്',
	'wikieditor-toolbar-tool-italic-example' => 'ചെരിച്ചുള്ള എഴുത്ത്',
	'wikieditor-toolbar-tool-ilink' => 'ആന്തരിക കണ്ണി',
	'wikieditor-toolbar-tool-ilink-example' => 'കണ്ണിയുടെ തലക്കെട്ട്',
	'wikieditor-toolbar-tool-xlink' => 'പുറത്തേയ്ക്കുള്ള കണ്ണി (ആദ്യം http:// കൊടുക്കാൻ ഓർക്കുക)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com കണ്ണി തലക്കെട്ട്',
	'wikieditor-toolbar-tool-link' => 'കണ്ണി',
	'wikieditor-toolbar-tool-link-title' => 'കണ്ണി ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-link-int' => 'ഒരു വിക്കി താളിലേയ്ക്ക്',
	'wikieditor-toolbar-tool-link-int-target' => 'താളിന്റെ തലക്കെട്ട്',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'താളിന്റെ തലക്കെട്ട് അഥവാ യൂ.ആർ.എൽ.',
	'wikieditor-toolbar-tool-link-int-text' => 'കണ്ണിയാവേണ്ട എഴുത്ത്:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'പ്രദർശിപ്പിക്കേണ്ട എഴുത്ത് നൽകുക',
	'wikieditor-toolbar-tool-link-ext' => 'പുറത്തുള്ള വെബ് താളിലേയ്ക്ക്',
	'wikieditor-toolbar-tool-link-ext-target' => 'കണ്ണിയുടെ യൂആർഎൽ',
	'wikieditor-toolbar-tool-link-ext-text' => 'കണ്ണിയാകേണ്ട എഴുത്ത്:',
	'wikieditor-toolbar-tool-link-insert' => 'കണ്ണി ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-link-cancel' => 'റദ്ദാക്കുക',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'താൾ നിലവിലുണ്ട്',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'താൾ നിലവിലില്ല',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'അസാധുവായ തലക്കെട്ട്',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'പുറത്തേയ്ക്കുള്ള കണ്ണി',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'താൾ നിലനിൽക്കുന്നുണ്ടോ എന്നു പരിശോധിക്കുന്നു...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'താങ്കൾ നൽകിയ തലക്കെട്ട് അസാധുവാണ്.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'താങ്കൾ വ്യക്തമാക്കിയ യൂ.ആർ.എൽ. കണ്ടിട്ട് മറ്റൊരു വിക്കി താളിലേയ്ക്കുള്ളതാണെന്നു തോന്നുന്നു. ഇതൊരു ആഭ്യന്തര കണ്ണി ആക്കണോ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'ആഭ്യന്തര കണ്ണി',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'പുറത്തേയ്ക്കുള്ള കണ്ണി',
	'wikieditor-toolbar-tool-link-empty' => 'കണ്ണിവത്കരിക്കേണ്ട ഒന്നും താങ്കൾ നൽകിയിട്ടില്ല.',
	'wikieditor-toolbar-tool-file' => 'പ്രമാണം ചേർക്കൽ',
	'wikieditor-toolbar-tool-file-example' => 'ഉദാഹരണം.jpg',
	'wikieditor-toolbar-tool-reference' => 'അവലംബം',
	'wikieditor-toolbar-tool-reference-example' => 'അടിക്കുറിപ്പിനുള്ള എഴുത്ത് ഇവിടെ ചേർക്കുക',
	'wikieditor-toolbar-tool-reference-cancel' => 'റദ്ദാക്കുക',
	'wikieditor-toolbar-tool-reference-title' => 'അവലംബം ചേർക്കുക',
	'wikieditor-toolbar-tool-reference-insert' => 'ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-reference-text' => 'അവലംബ എഴുത്ത്',
	'wikieditor-toolbar-tool-signature' => 'ഒപ്പും സമയമുദ്രയും',
	'wikieditor-toolbar-section-advanced' => 'വിപുലം',
	'wikieditor-toolbar-tool-heading' => 'തലക്കെട്ട്',
	'wikieditor-toolbar-tool-heading-1' => 'തലം 1',
	'wikieditor-toolbar-tool-heading-2' => 'തലം 2',
	'wikieditor-toolbar-tool-heading-3' => 'തലം 3',
	'wikieditor-toolbar-tool-heading-4' => 'തലം 4',
	'wikieditor-toolbar-tool-heading-5' => 'തലം 5',
	'wikieditor-toolbar-tool-heading-example' => 'തലക്കെട്ടാകാനുള്ള എഴുത്ത്',
	'wikieditor-toolbar-group-format' => 'വിന്യാസം',
	'wikieditor-toolbar-tool-ulist' => 'എണ്ണമിടാത്ത ലിസ്റ്റ്',
	'wikieditor-toolbar-tool-ulist-example' => 'എണ്ണമിടാത്ത ലിസ്റ്റിന്റെ ഉള്ളിലെ പദങ്ങൾ',
	'wikieditor-toolbar-tool-olist' => 'എണ്ണമിട്ട ലിസ്റ്റ്',
	'wikieditor-toolbar-tool-olist-example' => 'എണ്ണമിട്ട ലിസ്റ്റിലെ അംഗം',
	'wikieditor-toolbar-tool-indent' => 'ഇടയിട്ടു ക്രമീകരിക്കൽ',
	'wikieditor-toolbar-tool-indent-example' => 'ഇടയിട്ടു ക്രമീകരിച്ച വരി',
	'wikieditor-toolbar-tool-nowiki' => 'വിക്കി എഴുത്തുരീതി ഉപയോഗിക്കേണ്ട',
	'wikieditor-toolbar-tool-nowiki-example' => 'വിക്കിരീതിയിലല്ലാത്ത എഴുത്ത് ഇവിടെ ചേർക്കുക',
	'wikieditor-toolbar-tool-redirect' => 'തിരിച്ചുവിടൽ',
	'wikieditor-toolbar-tool-redirect-example' => 'ലക്ഷ്യതാളിന്റെ പേര്',
	'wikieditor-toolbar-tool-big' => 'വലുത്',
	'wikieditor-toolbar-tool-big-example' => 'വലിയ എഴുത്ത്',
	'wikieditor-toolbar-tool-small' => 'ചെറുത്',
	'wikieditor-toolbar-tool-small-example' => 'ചെറിയ എഴുത്ത്',
	'wikieditor-toolbar-tool-superscript' => 'മുകളിലായുള്ള എഴുത്ത്',
	'wikieditor-toolbar-tool-superscript-example' => 'സൂപ്പർസ്ക്രിപ്റ്റ് എഴുത്ത്',
	'wikieditor-toolbar-tool-subscript' => 'താഴെയായുള്ള എഴുത്ത്',
	'wikieditor-toolbar-tool-subscript-example' => 'സബ്സ്ക്രിപ്റ്റ് എഴുത്ത്',
	'wikieditor-toolbar-group-insert' => 'ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-gallery' => 'ചിത്രശാല',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|കുറിപ്പ്1
$1:Example.jpg|കുറിപ്പ്2',
	'wikieditor-toolbar-tool-newline' => 'പുതിയ വരി',
	'wikieditor-toolbar-tool-table' => 'പട്ടിക',
	'wikieditor-toolbar-tool-table-example-old' => '-
! തലക്കുറി 1
! തലക്കുറി 2
! തലക്കുറി 3
|-
| വരി 1, കളം 1
| വരി 1, കളം 2
| വരി 1, കളം 3
|-
| വരി 2, കളം 1
| വരി 2, കളം 2
| വരി 2, കളം 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'കളത്തിലെ എഴുത്ത്',
	'wikieditor-toolbar-tool-table-example-header' => 'തലക്കുറി എഴുത്ത്',
	'wikieditor-toolbar-tool-table-title' => 'പട്ടിക ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'വരികൾ',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'നിരകൾ',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'തലക്കുറിയ്ക്കുള്ള വരി ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-table-wikitable' => 'അതിർവരയോടു കൂടിയ രീതി',
	'wikieditor-toolbar-tool-table-sortable' => 'പട്ടിക ക്രമപ്പെടുത്താവുന്നതാക്കുക',
	'wikieditor-toolbar-tool-table-example' => 'കളത്തിലെ എഴുത്ത്',
	'wikieditor-toolbar-tool-table-preview' => 'എങ്ങനെയുണ്ടെന്നു കാണുക',
	'wikieditor-toolbar-tool-table-insert' => 'ഉൾപ്പെടുത്തുക',
	'wikieditor-toolbar-tool-table-cancel' => 'റദ്ദാക്കുക',
	'wikieditor-toolbar-tool-table-toomany' => 'ഇതുപയോഗിച്ച് $1 കളങ്ങളിൽ അധികമുള്ള പട്ടിക ഉൾപ്പെടുത്തുക സാദ്ധ്യമല്ല.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'വരികൾക്കും നിരകൾക്കും സാധുവായ എണ്ണം താങ്കൾ നൽകിയിട്ടില്ല.',
	'wikieditor-toolbar-tool-table-zero' => 'പൂജ്യം വരികളോ നിരകളോ ഉള്ള പട്ടിക ഉൾപ്പെടുത്താൻ താങ്കൾക്കു കഴിയില്ല.',
	'wikieditor-toolbar-tool-replace' => 'കണ്ടെത്തുക മാറ്റുക',
	'wikieditor-toolbar-tool-replace-title' => 'കണ്ടെത്തുക മാറ്റുക',
	'wikieditor-toolbar-tool-replace-search' => 'ഇതു കണ്ടെത്തുക:',
	'wikieditor-toolbar-tool-replace-replace' => 'ഇതുകൊണ്ടു മാറ്റുക:',
	'wikieditor-toolbar-tool-replace-case' => 'അക്ഷരമാലാ തരവും (case) ഒത്തുനോക്കുക',
	'wikieditor-toolbar-tool-replace-regex' => 'അന്വേഷിക്കുന്ന പദത്തെ റെഗുലർ എക്സ്പ്രഷനായി കണക്കാക്കുക',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'അടുത്തതു കണ്ടെത്തുക',
	'wikieditor-toolbar-tool-replace-button-replace' => 'മാറ്റിച്ചേർക്കുക',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'എല്ലാം മാറ്റിച്ചേർക്കുക',
	'wikieditor-toolbar-tool-replace-close' => 'അടയ്ക്കുക',
	'wikieditor-toolbar-tool-replace-nomatch' => 'താങ്കളുടെ തിരച്ചിലുമായി ഒന്നും ഒത്തുപോകുന്നില്ല.',
	'wikieditor-toolbar-tool-replace-success' => '$1 മാറ്റിവെയ്ക്കൽ(കൾ) നടത്തി.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'തിരയാനായി താങ്കൾ ഒന്നും നൽകിയിട്ടില്ല.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'താങ്കൾ നൽകിയ റെഗുലർ എക്സ്പ്രഷൻ അസാധുവാണ്‌: $1',
	'wikieditor-toolbar-section-characters' => 'പ്രത്യേക ലിപികൾ',
	'wikieditor-toolbar-characters-page-latin' => 'ലാറ്റിൻ',
	'wikieditor-toolbar-characters-page-latinextended' => 'ലാറ്റിൻ വിപുലം',
	'wikieditor-toolbar-characters-page-ipa' => 'ഐ.പി.എ.',
	'wikieditor-toolbar-characters-page-symbols' => 'ചിഹ്നങ്ങൾ',
	'wikieditor-toolbar-characters-page-greek' => 'ഗ്രീക്ക്',
	'wikieditor-toolbar-characters-page-cyrillic' => 'സിറിലിക്',
	'wikieditor-toolbar-characters-page-arabic' => 'അറബിക്',
	'wikieditor-toolbar-characters-page-arabicextended' => 'അറബി വിപുലം',
	'wikieditor-toolbar-characters-page-persian' => 'പേർഷ്യൻ',
	'wikieditor-toolbar-characters-page-hebrew' => 'ഹീബ്രു',
	'wikieditor-toolbar-characters-page-bangla' => 'ബംഗ്ലാ',
	'wikieditor-toolbar-characters-page-telugu' => 'തെലുങ്ക്',
	'wikieditor-toolbar-characters-page-sinhala' => 'സിംഹള',
	'wikieditor-toolbar-characters-page-gujarati' => 'ഗുജറാത്തി',
	'wikieditor-toolbar-characters-page-thai' => 'തായ്',
	'wikieditor-toolbar-characters-page-lao' => 'ലാവോ',
	'wikieditor-toolbar-characters-page-khmer' => 'ഖെമർ',
	'wikieditor-toolbar-section-help' => 'സഹായം',
	'wikieditor-toolbar-help-heading-description' => 'വിവരണം',
	'wikieditor-toolbar-help-heading-syntax' => 'താങ്കൾ ടൈപ്പ് ചെയ്യുന്നത്',
	'wikieditor-toolbar-help-heading-result' => 'താങ്കൾക്ക് ലഭിക്കുന്നത്',
	'wikieditor-toolbar-help-page-format' => 'വിന്യാസം',
	'wikieditor-toolbar-help-page-link' => 'കണ്ണികൾ',
	'wikieditor-toolbar-help-page-heading' => 'തലക്കെട്ടുകൾ',
	'wikieditor-toolbar-help-page-list' => 'ലിസ്റ്റുകൾ',
	'wikieditor-toolbar-help-page-file' => 'പ്രമാണങ്ങൾ',
	'wikieditor-toolbar-help-page-reference' => 'അവലംബങ്ങൾ',
	'wikieditor-toolbar-help-page-discussion' => 'സംവാദം',
	'wikieditor-toolbar-help-content-italic-description' => 'ചെരിച്ചുള്ളത്',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ചെരിച്ചുള്ള എഴുത്ത്''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ചെരിച്ചുള്ള എഴുത്ത്</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'കട്ടികൂട്ടിയുള്ള',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''കട്ടികൂട്ടിയ എഴുത്ത്'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>കട്ടികൂട്ടിയ എഴുത്ത്</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'കട്ടികൂട്ടി ചെരിച്ചുള്ളത്',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''കട്ടികൂട്ടി ചെരിച്ചുള്ള എഴുത്ത്'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>കട്ടികൂട്ടി ചെരിച്ചുള്ള എഴുത്ത്</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'ആന്തരിക കണ്ണി',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[താളിന്റെ തലക്കെട്ട്|കണ്ണിയുടെ നാമം]]<br />[[താളിന്റെ തലക്കെട്ട്]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>കണ്ണിയുടെ നാമം</a><br /><a href='#'>താളിന്റെ തലക്കെട്ട്</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'പുറത്തേയ്ക്കുള്ള കണ്ണി',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org കണ്ണിയുടെ പേര്]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>കണ്ണിയുടെ പേര്</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'ദ്വിതീയ തല തലക്കെട്ട്',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== തലക്കെട്ട് എഴുത്ത് ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>തലക്കെട്ട് എഴുത്ത്</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'തൃതീയ തല തലക്കെട്ട്',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== തലക്കെട്ട് എഴുത്ത് ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3> തലക്കെട്ട് എഴുത്ത് </h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'നാലാം തല തലക്കെട്ട്',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== തലക്കെട്ട് എഴുത്ത് ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>തലക്കെട്ട് എഴുത്ത്</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'അഞ്ചാം തല തലക്കെട്ട്',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== തലക്കെട്ട് എഴുത്ത് =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>തലക്കെട്ട് എഴുത്ത്</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'എണ്ണമിടാത്ത ലിസ്റ്റ്',
	'wikieditor-toolbar-help-content-ulist-syntax' => '*ലിസ്റ്റിലെ അംഗം<br />*ലിസ്റ്റിലെ അംഗം',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ലിസ്റ്റിലെ അംഗം</li><li>ലിസ്റ്റിലെ അംഗം</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'എണ്ണമിട്ട ലിസ്റ്റ്',
	'wikieditor-toolbar-help-content-olist-syntax' => '#ലിസ്റ്റിലെ അംഗം<br />#ലിസ്റ്റിലെ അംഗം',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ലിസ്റ്റിലെ അംഗം</li><li>ലിസ്റ്റിലെ അംഗം</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'പ്രമാണം ചേർക്കൽ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|വിവരണ കുറിപ്പ്]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='കുറിപ്പായുള്ള എഴുത്ത്' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt='ലഘുചിത്രം'/></a><div class='thumbcaption'><div class='magnify'><a title='വലുതാക്കുക' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>കുറിപ്പായുള്ള എഴുത്ത്</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'അവലംബം',
	'wikieditor-toolbar-help-content-reference-syntax' => 'താളിലെ എഴുത്ത്.&lt;ref name="test"&gt;[http://www.example.org കണ്ണിയായുള്ള എഴുത്ത്], കൂടുതൽ എഴുത്ത്.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "താളിലെ എഴുത്ത്.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'അതേ അവലംബത്തിന്റെ കൂടുതൽ ഉപയോഗം',
	'wikieditor-toolbar-help-content-rereference-result' => "താളിലെ എഴുത്ത്.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'അവലംബങ്ങൾ പ്രദർശിപ്പിക്കുക',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>കണ്ണിയായുള്ള എഴുത്ത്</a>, കൂടുതൽ എഴുത്ത്.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'സമയമുദ്രയോടുകൂടിയ ഒപ്പ്',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ഉപയോക്തൃനാമം</a> (<a href='#' title='{{#special:mytalk}}'>സംവാദം</a>) 15:54, 10 ജൂൺ 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'ഒപ്പ്',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ഉപയോക്തൃനാമം</a> (<a href='#' title='{{#special:mytalk}}'>സംവാദം</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'നീക്കിയെഴുതുക',
	'wikieditor-toolbar-help-content-indent-syntax' => 'സാധാരണ എഴുത്ത്<br />:നീക്കിയുള്ള എഴുത്ത്<br />::നീക്കിയുള്ള എഴുത്ത്',
	'wikieditor-toolbar-help-content-indent-result' => 'സാധാരണ എഴുത്ത്<dl><dd>നീക്കിയുള്ള എഴുത്ത്<dl><dd>നീക്കിയുള്ള എഴുത്ത്</dd></dl></dd></dl>',
);

/** Mongolian (Монгол)
 * @author Chinneeb
 */
$messages['mn'] = array(
	'wikieditor-template-editor-dialog-cancel' => 'Цуцлах',
	'wikieditor-toolbar-loading' => 'Уншиж байна...',
	'wikieditor-toolbar-tool-italic' => 'Налуу',
	'wikieditor-toolbar-tool-reference-cancel' => 'Цуцлах',
	'wikieditor-toolbar-help-content-italic-description' => 'Налуу бичиг',
);

/** Marathi (मराठी)
 * @author Htt
 * @author Mahitgar
 * @author McDutchie
 * @author Rahuldeshmukh101
 * @author V.narsikar
 * @author अभय नातू
 */
$messages['mr'] = array(
	'wikieditor' => 'विकिमजकूर संपादनाची विकसित सुविधा',
	'wikieditor-desc' => 'विस्तारणीय विकिमजकुर संपादन आंतरपृष्ठ (इंटरफेस) आणि बर्‍याच वैशिष्ट्यपूर्ण निश्चयिका (मॊड्यूल्स) पुरवते',
	'wikieditor-wikitext-tab' => 'विकिमजकूर',
	'wikieditor-loading' => 'चढवत आहे…',
	'wikieditor-preview-preference' => 'सोबतच आजु-बाजूस दिसणारी झलक शक्य करा.',
	'wikieditor-preview-tab' => 'झलक',
	'wikieditor-preview-changes-tab' => 'बदल',
	'wikieditor-preview-loading' => 'चढवत आहे…',
	'wikieditor-previewDialog-preference' => '"झलक पहा" चौकट सक्षम करा',
	'wikieditor-previewDialog-tab' => 'झलक पहा',
	'wikieditor-previewDialog-loading' => 'चढवत आहे…',
	'wikieditor-publish-preference' => 'टप्प्या-टप्प्याने प्रकाशन शक्य करा',
	'wikieditor-publish-button-publish' => 'प्रकाशित करा
दाखवा',
	'wikieditor-publish-button-cancel' => 'रद्द करा',
	'wikieditor-publish-dialog-title' => '{{संकेतस्थळनाव}} येथे प्रदर्शित करा',
	'wikieditor-publish-dialog-summary' => 'बदलांचा आढावा :(आपण केलेल्या बदलांचे थोडक्यात वर्णन करा.)',
	'wikieditor-publish-dialog-minor' => 'छोटा बदल',
	'wikieditor-publish-dialog-watch' => 'या पानावर बदलांसाठी लक्ष ठेवा',
	'wikieditor-publish-dialog-publish' => 'प्रकाशित करा',
	'wikieditor-publish-dialog-goback' => 'मागे जा',
	'wikieditor-template-editor-preference' => 'विकि साच्यांची नमुना संपादन सक्षम करा',
	'wikieditor-template-editor-dialog-title' => 'साच्याचे संपादन करा',
	'wikieditor-template-editor-dialog-submit' => 'अद्ययावत करा',
	'wikieditor-template-editor-dialog-cancel' => 'रद्द करा',
	'wikieditor-templates-preference' => 'साच्यांची घडीक्षमता सक्षम करा',
	'wikieditor-toc-preference' => 'सुचालनयोग्य अनुक्रमणिका सक्षम करा',
	'wikieditor-toc-show' => 'अनुक्रमणिका दाखवा
यात काय आहे ते दाखवा',
	'wikieditor-toc-hide' => 'अनुक्रमणिका लपवा',
	'wikieditor-toolbar' => 'संपादन साधनपट्टी',
	'wikieditor-toolbar-desc' => 'सुलभीकरणाने वर्धित संपादनपान  साधनपट्टी',
	'wikieditor-toolbar-preference' => 'वर्धित संपादन साधनपट्टी सक्षम करा',
	'wikieditor-toolbar-dialogs-preference' => 'दुवे, सारण्या (टेबल) आणि इतर भरण्याकरिता  dialogs  सक्षम करा',
	'wikieditor-toolbar-hidesig' => 'मुख्य नामविश्वातील पानांपासून स्वाक्षरीची कळ लपवा',
	'wikieditor-toolbar-loading' => 'चढवत आहे…',
	'wikieditor-toolbar-tool-bold' => 'ठळक',
	'wikieditor-toolbar-tool-bold-example' => 'ठळक मजकूर',
	'wikieditor-toolbar-tool-italic' => 'तिरपी मुद्राक्षरे',
	'wikieditor-toolbar-tool-italic-example' => 'तिरपी मुद्राक्षरे',
	'wikieditor-toolbar-tool-ilink' => 'अंतर्गत दुवा',
	'wikieditor-toolbar-tool-ilink-example' => 'शीर्षकास दुवा द्या',
	'wikieditor-toolbar-tool-xlink' => 'बाह्य दुव्यात (http:// हा उपसर्ग विसरू नका)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com दुव्याचे शीर्षक',
	'wikieditor-toolbar-tool-link' => 'दुवा',
	'wikieditor-toolbar-tool-link-title' => 'दुवा जोडा',
	'wikieditor-toolbar-tool-link-int' => 'एका विकि पानास',
	'wikieditor-toolbar-tool-link-int-target' => 'लक्ष्यपान अथवा URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'पान शीर्षक अथवा URL',
	'wikieditor-toolbar-tool-link-int-text' => 'दर्शनीय मजकूर',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'दर्शवला जाणारा मजकूर',
	'wikieditor-toolbar-tool-link-ext' => 'एका बाह्य संकेतस्थळाकडे',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL दुवा:',
	'wikieditor-toolbar-tool-link-ext-text' => 'मजकूर जोडा:',
	'wikieditor-toolbar-tool-link-insert' => 'दुवा जोडा',
	'wikieditor-toolbar-tool-link-cancel' => 'रद्द करा',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'पान अस्तित्वात आहे',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'पान अस्तित्वात नाही',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'अग्राह्य शीर्षक',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'बाह्य दुवा',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'पानाचे अस्तीत्व तपासत आहे...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'तुम्ही नमुद केलेले शीर्षक अग्राह्य आहे.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'तुम्ही नमुद केलेली यूआरएल इतर विकिपानास जोडावयाची आहे असे दिसते. तुम्हाला अंतर्गत दुवा बनवायचा आहे काय ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'अंतर्गत दुवा',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'बाह्य दुवा',
	'wikieditor-toolbar-tool-link-empty' => 'तुम्ही दुवा देण्याकरिता काही भरलेले नाही.',
	'wikieditor-toolbar-tool-file' => 'संलग्न संचिका',
	'wikieditor-toolbar-tool-file-example' => 'उदाहरण.jpg',
	'wikieditor-toolbar-tool-reference' => 'संदर्भ',
	'wikieditor-toolbar-tool-reference-example' => 'तळटीप मजकूर येथे भरा',
	'wikieditor-toolbar-tool-reference-cancel' => 'रद्द करा',
	'wikieditor-toolbar-tool-reference-title' => 'संदर्भ भरा',
	'wikieditor-toolbar-tool-reference-insert' => 'समाविष्टकरा',
	'wikieditor-toolbar-tool-reference-text' => 'संदर्भ मजकूर',
	'wikieditor-toolbar-tool-signature' => 'सही आणि वेळठसा',
	'wikieditor-toolbar-section-advanced' => 'प्रगत',
	'wikieditor-toolbar-tool-heading' => 'मथळा',
	'wikieditor-toolbar-tool-heading-1' => 'स्तर १',
	'wikieditor-toolbar-tool-heading-2' => 'स्तर २',
	'wikieditor-toolbar-tool-heading-3' => 'स्तर ३',
	'wikieditor-toolbar-tool-heading-4' => 'स्तर ४',
	'wikieditor-toolbar-tool-heading-5' => 'स्तर ५',
	'wikieditor-toolbar-tool-heading-example' => 'अग्रशीर्ष मजकूर',
	'wikieditor-toolbar-group-format' => 'आराखडा',
	'wikieditor-toolbar-tool-ulist' => 'बिंदी क्रमांकन',
	'wikieditor-toolbar-tool-ulist-example' => 'बिंदी क्रमांकन घटक',
	'wikieditor-toolbar-tool-olist' => 'अनुक्रम यादी',
	'wikieditor-toolbar-tool-olist-example' => 'अनुक्रम यादी घटक',
	'wikieditor-toolbar-tool-indent' => 'समासांतर',
	'wikieditor-toolbar-tool-indent-example' => 'समासांतर ओळ',
	'wikieditor-toolbar-tool-nowiki' => 'विकि स्वरूपण नको',
	'wikieditor-toolbar-tool-nowiki-example' => 'अस्वरूपित मजकूर येथे भरा',
	'wikieditor-toolbar-tool-redirect' => 'पुर्ननिर्देशन',
	'wikieditor-toolbar-tool-redirect-example' => 'लक्ष्यपान नाव',
	'wikieditor-toolbar-tool-big' => 'मोठे',
	'wikieditor-toolbar-tool-big-example' => 'मोठा मजकूर',
	'wikieditor-toolbar-tool-small' => 'छोटा',
	'wikieditor-toolbar-tool-small-example' => 'छोटा मजकूर',
	'wikieditor-toolbar-tool-superscript' => 'शीर्षलेखन',
	'wikieditor-toolbar-tool-superscript-example' => 'शीर्षलेखन मजकूर',
	'wikieditor-toolbar-tool-subscript' => 'अधोलेखन',
	'wikieditor-toolbar-tool-subscript-example' => 'अधोलेखन मजकूर',
	'wikieditor-toolbar-group-insert' => 'समाविष्टकरा',
	'wikieditor-toolbar-tool-gallery' => 'चित्रदिर्घा',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|चित्रपरिचय १
$1:Example.jpg|चित्रपरिचय २',
	'wikieditor-toolbar-tool-newline' => 'नवी ओळ',
	'wikieditor-toolbar-tool-table' => 'सारणी',
	'wikieditor-toolbar-tool-table-example-old' => '! मथळा १
! मथळा २
! मथळा ३
|-
| ओळ १, कप्पा १
| ओळ १, कप्पा २
| ओळ १, कप्पा ३
|-
| ओळ २, कप्पा १
| ओळ २, कप्पा २
| ओळ २, कप्पा ३',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'कप्प्यातील मजकूर',
	'wikieditor-toolbar-tool-table-example-header' => 'मथळा मजकूर',
	'wikieditor-toolbar-tool-table-title' => 'सारणी समाविष्ट करा',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ओळी',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'रकाना',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'मथळा ओळ जोडा',
	'wikieditor-toolbar-tool-table-wikitable' => 'काठासहीत शैली',
	'wikieditor-toolbar-tool-table-sortable' => 'सारणी क्रमानुसारी करण्याजोगी करा',
	'wikieditor-toolbar-tool-table-example' => 'उदाहरण',
	'wikieditor-toolbar-tool-table-preview' => 'झलक',
	'wikieditor-toolbar-tool-table-insert' => 'समाविष्टकरा',
	'wikieditor-toolbar-tool-table-cancel' => 'रद्द करा',
	'wikieditor-toolbar-tool-table-toomany' => '$1 कप्यापेक्षा जास्त कप्पे असलेली सारणी (टेबल) या संवादगवाक्षातून शक्य नाही.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'आपण रकाने(कॉलम) किंवा ओळींचा (रो) ग्राह्य  आकडा टाकला नाही.',
	'wikieditor-toolbar-tool-table-zero' => 'आपण शून्य रकाने किंवा ओळींची सारणी टाकू शकत नाही.',
	'wikieditor-toolbar-tool-replace' => 'शोधा व त्याजागी बदला.',
	'wikieditor-toolbar-tool-replace-title' => 'शोधा व त्याजागी बदला.',
	'wikieditor-toolbar-tool-replace-search' => 'यासाठी शोधा:',
	'wikieditor-toolbar-tool-replace-replace' => 'टाकुन बदला:',
	'wikieditor-toolbar-tool-replace-case' => '’केस’जुळवा',
	'wikieditor-toolbar-tool-replace-regex' => 'शोध सूत्रास(स्ट्रिंग) नियमीत पदावली(एक्सप्रेशन) प्रमाणे गृहीत धरा.',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'पुढील शोधा:',
	'wikieditor-toolbar-tool-replace-button-replace' => 'पुनर्स्थापित करा',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'सर्व बदली करा.',
	'wikieditor-toolbar-tool-replace-close' => 'बंद करा.',
	'wikieditor-toolbar-tool-replace-nomatch' => 'आपला शोध कशाशीच जुळत नाही.',
	'wikieditor-toolbar-tool-replace-success' => '$1 बदलविलेत.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'आपण शोधण्यासाठी काहीही भरले नाही.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'या तुम्ही टाकलेलेली नेहमीची पदावली अग्राह्य आहे:$1',
	'wikieditor-toolbar-section-characters' => 'विशेष वर्ण',
	'wikieditor-toolbar-characters-page-latin' => 'लॅटीन',
	'wikieditor-toolbar-characters-page-latinextended' => 'विस्तारीत लॅटीन भाषा',
	'wikieditor-toolbar-characters-page-ipa' => 'आंतरराष्ट्रीय उच्चारानुरूप अक्षरपद्धती',
	'wikieditor-toolbar-characters-page-symbols' => 'चिन्ह',
	'wikieditor-toolbar-characters-page-greek' => 'ग्रीक भाषा',
	'wikieditor-toolbar-characters-page-cyrillic' => 'सिरिलीक',
	'wikieditor-toolbar-characters-page-arabic' => 'अरेबिक भाषा',
	'wikieditor-toolbar-characters-page-arabicextended' => 'अरबी विस्तारित',
	'wikieditor-toolbar-characters-page-persian' => 'फार्सी',
	'wikieditor-toolbar-characters-page-hebrew' => 'हिब्रू भाषा',
	'wikieditor-toolbar-characters-page-bangla' => 'बंगाली भाषा',
	'wikieditor-toolbar-characters-page-telugu' => 'तेलगु भाषा',
	'wikieditor-toolbar-characters-page-sinhala' => 'सिंहला',
	'wikieditor-toolbar-characters-page-gujarati' => 'गुजराती भाषा',
	'wikieditor-toolbar-characters-page-thai' => 'थाई भाषा',
	'wikieditor-toolbar-characters-page-lao' => 'लाऒ भाषा',
	'wikieditor-toolbar-characters-page-khmer' => 'खमेर',
	'wikieditor-toolbar-section-help' => 'सहाय्य',
	'wikieditor-toolbar-help-heading-description' => 'वर्णन',
	'wikieditor-toolbar-help-heading-syntax' => 'जे तुम्ही टंकीत(टाईप) कराल',
	'wikieditor-toolbar-help-heading-result' => 'तुम्हाला मिळेल',
	'wikieditor-toolbar-help-page-format' => 'स्वरूपण',
	'wikieditor-toolbar-help-page-link' => 'दुवे',
	'wikieditor-toolbar-help-page-heading' => 'मथळे',
	'wikieditor-toolbar-help-page-list' => 'यादी',
	'wikieditor-toolbar-help-page-file' => 'संचिका',
	'wikieditor-toolbar-help-page-reference' => 'संदर्भ',
	'wikieditor-toolbar-help-page-discussion' => 'चर्चा',
	'wikieditor-toolbar-help-content-italic-description' => 'तिरपी मुद्राक्षरे',
	'wikieditor-toolbar-help-content-italic-syntax' => "''तीरका मजकूर''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>तीरका मजकूर</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ठळक',
	'wikieditor-toolbar-help-content-bold-syntax' => '’’’ठळक मजकूर’’’',
	'wikieditor-toolbar-help-content-bold-result' => '<strong>ठळक मजकूर</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ठळक &amp; तीरकी',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''ठळक &amp; तीरका मजकूर'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>ठळक आणि तीरका मजकूर</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'अंतर्गत दुवा',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[लेख शीर्षक|दृश्य शब्दलेखन]]<br />[[लेख शीर्षक]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>दृश्य शब्दलेखन</a><br /><a href='#'>पानाचे नाव</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'बाह्य दुवा',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org दृश्य शब्दलेखन]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>दुवा नाव</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'द्वितीय स्तराचा मथळा',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==अग्रशीर्ष मजकुर==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>मथळ्याचा मजकूर</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'तृतीय स्तराचा मथळा',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===दुय्यम शीर्षक===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>मथळ्याचा मजकूर</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'चतुर्थस्तर अग्रशीर्ष मजकुर',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== मथळा मजकुर====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>मथळ्याचा मजकूर</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '५वा स्तर मथळा',
	'wikieditor-toolbar-help-content-heading5-syntax' => '=====मथळा मजकूर=====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>मथळ्याचा मजकूर</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'बिंदीक्रमांकीत यादी',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* यादी कलम<br />* यादी कलम',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>यादी घटक</li><li>यादी घटक</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'अनुक्रम यादी',
	'wikieditor-toolbar-help-content-olist-syntax' => '# यादी घटक<br /># यादी घटक',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>यादी घटक</li><li>यादी घटक</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'संलग्न संचिका',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|मथळा मजकूर]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='मथळा मजकूर' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Caption text</div></div>
<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Caption text</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'संदर्भ',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Page text.&lt;ref name="test"&gt;[http://www.example.org Link text], additional text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Page text.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'याच संदर्भाचा अतिरीक्त वापर',
	'wikieditor-toolbar-help-content-rereference-result' => "पान मजकूर.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'संदर्भ दर्शवा',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'वेळेसह तुमची सही
तुमची सही व वेळ',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>सदस्यनाव</a> (<a href='#' title='{{#special:mytalk}}'>चर्चा</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'सही',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#विशेष:माझेसदस्यपान}}'>सदस्यनाव</a> (<a href='#' title='{{#विशेष:माझ्याचर्चा}}'>चर्चा</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'समासांतर',
	'wikieditor-toolbar-help-content-indent-syntax' => 'सामान्य मजकूर<br />:समासीत मजकूर<br />::समासीत मजकूर',
	'wikieditor-toolbar-help-content-indent-result' => 'सामान्य मजकूर<dl><dd>समासीत मजकूर<dl><dd>समासीत मजकूर</dd></dl></dd></dl>',
);

/** Malay (Bahasa Melayu)
 * @author Anakmalaysia
 * @author Aurora
 * @author Aviator
 * @author CoolCityCat
 * @author Diagramma Della Verita
 * @author Yosri
 */
$messages['ms'] = array(
	'wikieditor' => 'Wikiteks keutamaan halaman suntingan',
	'wikieditor-desc' => 'Menyediakan halaman wikitext suntingan dan ciri modul lain',
	'wikieditor-wikitext-tab' => 'Wikiteks',
	'wikieditor-loading' => 'Editor sedang dimuatkan',
	'wikieditor-preview-preference' => 'Aktifkan pralihat perbandingan',
	'wikieditor-preview-tab' => 'Pralihat',
	'wikieditor-preview-changes-tab' => 'Perubahan',
	'wikieditor-preview-loading' => 'Memuatkan...',
	'wikieditor-previewDialog-preference' => 'Aktifkan dialog pralihat',
	'wikieditor-previewDialog-tab' => 'Pralihat',
	'wikieditor-previewDialog-loading' => 'Memuatkan...',
	'wikieditor-publish-preference' => 'Aktifkan tutorial penerbitan',
	'wikieditor-publish-button-publish' => 'Terbitkan',
	'wikieditor-publish-button-cancel' => 'Batalkan',
	'wikieditor-publish-dialog-title' => 'Paparkan pada laman ((sitename))',
	'wikieditor-publish-dialog-summary' => 'Sunting ringkasan (jelaskan perubahan yang disertakan secara ringkas)',
	'wikieditor-publish-dialog-minor' => 'Suntingan kecil',
	'wikieditor-publish-dialog-watch' => 'Pantau laman ini',
	'wikieditor-publish-dialog-publish' => 'Terbitkan',
	'wikieditor-publish-dialog-goback' => 'Kembali',
	'wikieditor-template-editor-preference' => 'Aktifkan borang penyuntingan wiki templat',
	'wikieditor-template-editor-dialog-title' => 'Sunting templat',
	'wikieditor-template-editor-dialog-submit' => 'Mengemas kini',
	'wikieditor-template-editor-dialog-cancel' => 'Batalkan',
	'wikieditor-templates-preference' => 'Aktifkan templat',
	'wikieditor-toc-preference' => 'Aktifkan navigasi senarai kandungan',
	'wikieditor-toc-show' => 'Tampilkan kandungan',
	'wikieditor-toc-hide' => 'Sembunyikan kandungan',
	'wikieditor-toolbar' => 'Bar alatan penyuntingan',
	'wikieditor-toolbar-desc' => 'Bar alatan penyuntingan maju',
	'wikieditor-toolbar-preference' => 'Bolehkan alatan penyuntingan maju',
	'wikieditor-toolbar-dialogs-preference' => 'Aktifkan dialog untuk menyelitkan pautan, jadual dan lain-lain',
	'wikieditor-toolbar-hidesig' => 'Sorokkan butang tandatangan daripada laman-laman dalam ruang nama utama',
	'wikieditor-toolbar-loading' => 'Memuatkan...',
	'wikieditor-toolbar-tool-bold' => 'Teks tebal',
	'wikieditor-toolbar-tool-bold-example' => 'Teks tebal',
	'wikieditor-toolbar-tool-italic' => 'Teks condong',
	'wikieditor-toolbar-tool-italic-example' => 'Teks condong',
	'wikieditor-toolbar-tool-ilink' => 'Pautan dalaman',
	'wikieditor-toolbar-tool-ilink-example' => 'Tajuk pautan',
	'wikieditor-toolbar-tool-xlink' => 'Pautan luar (jangan lupa awalan http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com tajuk pautan',
	'wikieditor-toolbar-tool-link' => 'Pautan',
	'wikieditor-toolbar-tool-link-title' => 'Sisip pautan',
	'wikieditor-toolbar-tool-link-int' => 'Ke laman wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tajuk laman:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tajuk laman dan URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Teks pautan:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Teks untuk dipaparkan',
	'wikieditor-toolbar-tool-link-ext' => 'Ke pautan luar',
	'wikieditor-toolbar-tool-link-ext-target' => 'Pautan URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Teks pautan:',
	'wikieditor-toolbar-tool-link-insert' => 'Sisip pautan',
	'wikieditor-toolbar-tool-link-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Laman wujud',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Laman tidak wujud',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tajuk tidak sah',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Pautan luar',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Memeriksa kewujudan laman...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Tajuk yang anda nyatakan tidak sah.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL yang diselitkan merupakan halaman wiki? Adakah anda ingin menyelitkan pautan dalaman?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Pautan dalaman',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Pautan luar',
	'wikieditor-toolbar-tool-link-empty' => 'Anda tidak memasukkan apa-apa untuk dipautkan.',
	'wikieditor-toolbar-tool-file' => 'Fail terbenam',
	'wikieditor-toolbar-tool-file-example' => 'Contoh.jpg',
	'wikieditor-toolbar-tool-reference' => 'Rujukan',
	'wikieditor-toolbar-tool-reference-example' => 'Sisip nota kaki di sini',
	'wikieditor-toolbar-tool-reference-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-reference-title' => 'Sisip rujukan',
	'wikieditor-toolbar-tool-reference-insert' => 'Sisip',
	'wikieditor-toolbar-tool-reference-text' => 'Teks rujukan',
	'wikieditor-toolbar-tool-signature' => 'Tandatangan dan cap waktu',
	'wikieditor-toolbar-section-advanced' => 'Maju',
	'wikieditor-toolbar-tool-heading' => 'Judul',
	'wikieditor-toolbar-tool-heading-1' => 'Aras 1',
	'wikieditor-toolbar-tool-heading-2' => 'Aras 2',
	'wikieditor-toolbar-tool-heading-3' => 'Aras 3',
	'wikieditor-toolbar-tool-heading-4' => 'Aras 4',
	'wikieditor-toolbar-tool-heading-5' => 'Aras 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teks judul',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Senarai berbutir',
	'wikieditor-toolbar-tool-ulist-example' => 'Perkara senarai berbutir',
	'wikieditor-toolbar-tool-olist' => 'Senarai bernombor',
	'wikieditor-toolbar-tool-olist-example' => 'Perkara senarai bernombor',
	'wikieditor-toolbar-tool-indent' => 'Inden',
	'wikieditor-toolbar-tool-indent-example' => 'Baris terinden',
	'wikieditor-toolbar-tool-nowiki' => 'Tiada pemformatan wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Sisip teks tak berformat di sini',
	'wikieditor-toolbar-tool-redirect' => 'Pindah',
	'wikieditor-toolbar-tool-redirect-example' => 'Tajuk laman',
	'wikieditor-toolbar-tool-big' => 'Besar',
	'wikieditor-toolbar-tool-big-example' => 'Teks besar',
	'wikieditor-toolbar-tool-small' => 'Kecil',
	'wikieditor-toolbar-tool-small-example' => 'Teks kecil',
	'wikieditor-toolbar-tool-superscript' => 'Superskrip',
	'wikieditor-toolbar-tool-superscript-example' => 'Teks superskrip',
	'wikieditor-toolbar-tool-subscript' => 'Subskrip',
	'wikieditor-toolbar-tool-subscript-example' => 'Teks subskrip',
	'wikieditor-toolbar-group-insert' => 'Sisip',
	'wikieditor-toolbar-tool-gallery' => 'Galeri gambar',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Contoh.jpg|Sari kata 1
$1:Contoh.jpg|Sari kata 2',
	'wikieditor-toolbar-tool-newline' => 'Baris baru',
	'wikieditor-toolbar-tool-table' => 'Jadual',
	'wikieditor-toolbar-tool-table-example-old' => '-
! pengatas 1
! pengatas 2
! pengatas 3
|-
| baris 1, sel 1
| baris 1, sel 2
| baris 1, sel 3
|-
| baris 2, sel 1
| baris 2, sel 2
| baris 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teks sel',
	'wikieditor-toolbar-tool-table-example-header' => 'Teks pengepala',
	'wikieditor-toolbar-tool-table-title' => 'Sisipkan jadual',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Baris',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Lajur',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Sertakan baris pengepala',
	'wikieditor-toolbar-tool-table-wikitable' => 'Gaya dengan bingkai',
	'wikieditor-toolbar-tool-table-sortable' => 'Jadikan jadual boleh disusun',
	'wikieditor-toolbar-tool-table-example' => 'Teks sel',
	'wikieditor-toolbar-tool-table-preview' => 'Pralihat',
	'wikieditor-toolbar-tool-table-insert' => 'Sisip',
	'wikieditor-toolbar-tool-table-cancel' => 'Batalkan',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-toomany' => 'Memasukkan jadual dengan lebih $1 sel tidak dibenarkan dengan dialog ini.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Anda tidak menyertakan nombor yang sah untuk bilangan baris dan lajur.',
	'wikieditor-toolbar-tool-table-zero' => 'Anda tidak boleh menyisipkan jadual dengan baris atau lajur sifar.',
	'wikieditor-toolbar-tool-replace' => 'Ganti',
	'wikieditor-toolbar-tool-replace-title' => 'Cari dan ganti',
	'wikieditor-toolbar-tool-replace-search' => 'Carikan:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ganti dengan:',
	'wikieditor-toolbar-tool-replace-case' => 'Padankan atur huruf',
	'wikieditor-toolbar-tool-replace-regex' => 'Anggap rentetan carian sebagai ungkapan nalar',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Carian berikutnya',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ganti',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Tukar semua',
	'wikieditor-toolbar-tool-replace-close' => 'Tutup',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Tiada padanan ditemui untuk carian anda.',
	'wikieditor-toolbar-tool-replace-success' => '$1 gantian dilakukan.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Anda tidak memasukkan apa-apa untuk dicari.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ungkapan yang anda masukkan tidak sah: $1',
	'wikieditor-toolbar-section-characters' => 'Aksara khas',
	'wikieditor-toolbar-characters-page-latin' => 'Rumi',
	'wikieditor-toolbar-characters-page-latinextended' => 'Rumi lanjutan',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbol',
	'wikieditor-toolbar-characters-page-greek' => 'Yunani',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyril',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arab lanjutan',
	'wikieditor-toolbar-characters-page-persian' => 'Parsi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ibrani',
	'wikieditor-toolbar-characters-page-bangla' => 'Benggala',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Bantuan',
	'wikieditor-toolbar-help-heading-description' => 'Keterangan',
	'wikieditor-toolbar-help-heading-syntax' => 'Yang ditaip',
	'wikieditor-toolbar-help-heading-result' => 'Yang anda dapat',
	'wikieditor-toolbar-help-page-format' => 'Memformat',
	'wikieditor-toolbar-help-page-link' => 'Pautan',
	'wikieditor-toolbar-help-page-heading' => 'Penjudulan',
	'wikieditor-toolbar-help-page-list' => 'Senarai',
	'wikieditor-toolbar-help-page-file' => 'Fail',
	'wikieditor-toolbar-help-page-reference' => 'Rujukan',
	'wikieditor-toolbar-help-page-discussion' => 'Perbincangan',
	'wikieditor-toolbar-help-content-italic-description' => 'Teks condong',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teks condong''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teks condong</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Teks tebal',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Teks tebal'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teks tebal </strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tebal &amp; condong',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Teks tebal &amp; condong'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teks tebal &amp; condong</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Pautan dalaman',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Tajuk laman|Label pautan]]<br />[[Tajuk laman]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Label pautan</a><br /><a href='#'>Tajuk laman</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Pautan luar',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.contoh.org Label pautan]<br />[http://www.contoh.org]<br />http://www.contoh.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Label pautan</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.contoh.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Pengatas aras 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Teks pengatas ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Teks pengatas</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Pengatas aras 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Teks pengatas ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Teks pengatas</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Pengatas aras 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Teks pengatas ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Teks pengatas</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Pengatas aras 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Teks pengatas =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Teks pengatas</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Senarai berbutir',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Perkara senarai<br />
* Perkara senarai',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Perkara senarai</li><li>Perkara senarai</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Senarai bernombor',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Perkara senarai<br />
# Perkara senarai',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Perkara senarai</li><li>Perkara senarai</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fail terbenam',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Contoh.png|thumb|Teks kapsyen]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Teks kapsyen' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Besarkan' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teks kapsyen</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Rujukan',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teks laman.&lt;ref nama="cubaan"&gt;[http://www.contoh.org Teks pautan], teks tambahan.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teks laman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Penggunaan rujukan sama',
	'wikieditor-toolbar-help-content-rereference-result' => "Teks laman.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Paparkan senarai rujukan',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.contoh.org' class='external text' href='#'>Teks pautan</a>, teks tambahan.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Tandatangan dengan waktu',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nama pengguna</a> (<a href='#' title='{{#special:mytalk}}'>bual</a>) 15:54, 10 Jun 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tandatangan',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nama pengguna</a> (<a href='#' title='{{#special:mytalk}}'>bual</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Inden',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teks normal<br />:Teks terinden<br />::Teks terinden',
	'wikieditor-toolbar-help-content-indent-result' => 'Teks normal<dl><dd>Teks terinden<dl><dd>Teks terinden</dd></dl></dd></dl>',
);

/** Maltese (Malti)
 * @author Chrisportelli
 */
$messages['mt'] = array(
	'wikieditor' => "Interfaċċa avvanzata ta' modifika tat-test tal-wiki",
	'wikieditor-desc' => "Tipprovdi interfaċċa ta' modifika tat-test tal-wiki estendibbli u ħafna moduli li jipprovdu aktar funzjonalitajiet",
	'wikieditor-wikitext-tab' => 'Test tal-wiki',
	'wikieditor-loading' => "Tiela'",
	'wikieditor-preview-preference' => 'Ippermetti dehra proviżorja fil-ġenb',
	'wikieditor-preview-tab' => 'Dehra proviżorja',
	'wikieditor-preview-changes-tab' => 'Tibdil',
	'wikieditor-preview-loading' => "Tiela'...",
	'wikieditor-previewDialog-tab' => 'Dehra proviżorja',
	'wikieditor-previewDialog-loading' => "Tiela'...",
	'wikieditor-publish-preference' => 'Ippermetti pubblikazzjoni pass pass',
	'wikieditor-publish-button-publish' => 'Ippubblika',
	'wikieditor-publish-button-cancel' => 'Annulla',
	'wikieditor-publish-dialog-title' => 'Ippubblika fuq {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Taqsira (iddeskrivi fil-qasir it-tibdil li għamilt):',
	'wikieditor-publish-dialog-minor' => 'Modifika minuri',
	'wikieditor-publish-dialog-watch' => 'Segwi din il-paġna',
	'wikieditor-publish-dialog-publish' => 'Ippubblika',
	'wikieditor-publish-dialog-goback' => 'Mur lura',
	'wikieditor-template-editor-preference' => "Ippermetti l-modifika tal-mudelli permezz ta' moduli",
	'wikieditor-template-editor-dialog-title' => 'Immodifika l-mudell',
	'wikieditor-template-editor-dialog-submit' => 'Aġġorna',
	'wikieditor-template-editor-dialog-cancel' => 'Annulla',
	'wikieditor-templates-preference' => 'Ippermetti l-funzjoni li taħbi l-mudelli',
	'wikieditor-toc-preference' => 'Ippermetti werrej navigabbli',
	'wikieditor-toc-show' => 'Uri l-kontenut',
	'wikieditor-toc-hide' => 'Aħbi l-kontenut',
	'wikieditor-toolbar' => 'Kaxxa tal-għodda għall-immodifikar',
	'wikieditor-toolbar-desc' => "Immodifika l-kaxxa tal-għodda b'akbar użabilità",
	'wikieditor-toolbar-preference' => 'Awtorizza l-użu tal-kaxxa tal-għodda estiża',
	'wikieditor-toolbar-dialogs-preference' => "Awtorizza l-għajnuna għaż-żieda ta' test wiki avvanzat",
	'wikieditor-toolbar-loading' => "Tiela'...",
	'wikieditor-toolbar-tool-bold' => 'Tipa ħoxna',
	'wikieditor-toolbar-tool-bold-example' => 'Tipa ħoxna',
	'wikieditor-toolbar-tool-italic' => 'Tipa korsiva',
	'wikieditor-toolbar-tool-italic-example' => 'Tipa korsiva',
	'wikieditor-toolbar-tool-ilink' => 'Ħolqa interna',
	'wikieditor-toolbar-tool-ilink-example' => 'Titlu tal-ħolqa',
	'wikieditor-toolbar-tool-xlink' => 'Ħolqa esterna (ftakar il-prefiss http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com titlu tal-ħolqa',
	'wikieditor-toolbar-tool-link' => 'Ħolqa',
	'wikieditor-toolbar-tool-link-title' => 'Daħħal ħolqa',
	'wikieditor-toolbar-tool-link-int' => 'Lejn paġna wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Titlu tal-paġna:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titlu tal-paġna jew URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Test tal-ħolqa:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Daħħal it-test li jrid jidher',
	'wikieditor-toolbar-tool-link-ext' => "Lejn paġna ta' sit elettroniku estern",
	'wikieditor-toolbar-tool-link-ext-target' => 'URL tal-ħolqa:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Test tal-ħolqa:',
	'wikieditor-toolbar-tool-link-insert' => 'Daħħal ħolqa',
	'wikieditor-toolbar-tool-link-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Il-paġna teżisti',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Il-paġna ma teżistix',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titlu invalidu',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ħolqa esterna',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Qiegħdha tiġi ċċekkjata l-eżistenza tal-paġna...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'It-titlu li speċifikjat huwa invalidu.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Il-URL li indikajt jidher li ħolqa lejn paġna wiki oħra. Trid li tagħmilha ħolqa interna?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ħolqa interna',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ħolqa esterna',
	'wikieditor-toolbar-tool-link-empty' => 'Ma daħħalt xejn lejn fejn se torbot.',
	'wikieditor-toolbar-tool-file' => 'Fajl inkorporat',
	'wikieditor-toolbar-tool-file-example' => 'Eżempju.jpg',
	'wikieditor-toolbar-tool-reference' => 'Nota',
	'wikieditor-toolbar-tool-reference-example' => 'Daħħal hawnhekk it-test tan-nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-reference-title' => 'Daħħal nota',
	'wikieditor-toolbar-tool-reference-insert' => 'Daħħal',
	'wikieditor-toolbar-tool-reference-text' => 'Test tan-nota',
	'wikieditor-toolbar-tool-signature' => 'Firma u data',
	'wikieditor-toolbar-section-advanced' => 'Avvanzati',
	'wikieditor-toolbar-tool-heading' => 'Isem tas-sezzjoni',
	'wikieditor-toolbar-tool-heading-1' => 'Livell 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livell 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livell 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livell 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livell 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titlu tas-sezzjoni',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Lista puntata',
	'wikieditor-toolbar-tool-ulist-example' => 'Element tal-lista puntata',
	'wikieditor-toolbar-tool-olist' => 'Lista numerata',
	'wikieditor-toolbar-tool-olist-example' => 'Element tal-lista numerata',
	'wikieditor-toolbar-tool-indent' => 'Indentazzjoni',
	'wikieditor-toolbar-tool-indent-example' => 'Linja indentata',
	'wikieditor-toolbar-tool-nowiki' => 'Injora l-ifformattjar wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Daħħal it-test li mhux se tifformattja hawnhekk',
	'wikieditor-toolbar-tool-redirect' => 'Rindirizz',
	'wikieditor-toolbar-tool-redirect-example' => "Isem tal-paġna ta' destinazzjoni",
	'wikieditor-toolbar-tool-big' => 'Kbir',
	'wikieditor-toolbar-tool-big-example' => 'Test kbir',
	'wikieditor-toolbar-tool-small' => 'Żgħir',
	'wikieditor-toolbar-tool-small-example' => 'Test żgħir',
	'wikieditor-toolbar-tool-superscript' => "Indiċi ta' fuq",
	'wikieditor-toolbar-tool-superscript-example' => "Test ta' indiċi ta' fuq",
	'wikieditor-toolbar-tool-subscript' => "Indiċi ta' taħt",
	'wikieditor-toolbar-tool-subscript-example' => "Test ta' indiċi ta' taħt",
	'wikieditor-toolbar-group-insert' => 'Daħħal',
	'wikieditor-toolbar-tool-gallery' => 'Gallerija tal-istampi',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Eżempju.jpg|Deskrizzjoni1
$1:Eżempju.jpg|Deskrizzjoni2',
	'wikieditor-toolbar-tool-newline' => 'Linja ġdida',
	'wikieditor-toolbar-tool-table' => 'Tabella',
	'wikieditor-toolbar-tool-table-example-old' => '-
! ras 1
! ras 2
! ras 3
|-
| filliera 1, ċellola 1
| filliera 1, ċellola 2
| filliera 1, ċellola 3
|-
| filliera 2, ċellola 1
| filliera 2, ċellola 2
| filliera 2, ċellola 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Test taċ-ċellola',
	'wikieditor-toolbar-tool-table-example-header' => 'Test tar-ras',
	'wikieditor-toolbar-tool-table-title' => 'Daħħal tabella',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Fillieri',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolonni',
	'wikieditor-toolbar-tool-table-dimensions-header' => "Inkludi l-filliera ta' fuq",
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil bil-burduri',
	'wikieditor-toolbar-tool-table-sortable' => 'Agħmel it-tabella bl-ordni',
	'wikieditor-toolbar-tool-table-example' => 'Test taċ-ċellola',
	'wikieditor-toolbar-tool-table-preview' => 'Dehra proviżorja',
	'wikieditor-toolbar-tool-table-insert' => 'Daħħal',
	'wikieditor-toolbar-tool-table-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-table-toomany' => "B'dan l-istrument mhuwiex possibbli li ddaħħal tabella li għandha aktar minn $1 ċellola",
	'wikieditor-toolbar-tool-table-invalidnumber' => "Ma daħħaltx numru validu ta' fillieri jew kolonni.",
	'wikieditor-toolbar-tool-table-zero' => "Ma tistax iddaħħal tabella b'ebda filliera jew kolonna.",
	'wikieditor-toolbar-tool-replace' => 'Fittex u biddel',
	'wikieditor-toolbar-tool-replace-title' => 'Fittex u biddel',
	'wikieditor-toolbar-tool-replace-search' => 'Fittex għal:',
	'wikieditor-toolbar-tool-replace-replace' => "Biddel ma':",
	'wikieditor-toolbar-tool-replace-case' => 'Ittra kapitali/żgħira',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratta t-test tat-tfittxija bħala espressjoni regolari',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Sib li jmiss',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Biddel kollox',
	'wikieditor-toolbar-tool-replace-close' => 'Agħlaq',
	'wikieditor-toolbar-tool-replace-nomatch' => 'It-tfittxija ma tat l-ebda riżultat.',
	'wikieditor-toolbar-tool-replace-success' => 'Saret/u $1 tibdila/iet.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ma indikajt xejn xi trid tfittex.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'L-espressjonali regolari li daħħalt hi invalida: $1',
	'wikieditor-toolbar-section-characters' => 'Karattri speċjali',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin estiż',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grieg',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Ċirilliku',
	'wikieditor-toolbar-characters-page-arabic' => 'Għarbi',
	'wikieditor-toolbar-characters-page-persian' => 'Persjan',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebrajk',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinħaliż',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'Għajnuna',
	'wikieditor-toolbar-help-heading-description' => 'Deskrizzjoni',
	'wikieditor-toolbar-help-heading-syntax' => "X'tikteb",
	'wikieditor-toolbar-help-heading-result' => "X'tikseb",
	'wikieditor-toolbar-help-page-format' => 'Ifformattjar',
	'wikieditor-toolbar-help-page-link' => 'Ħoloq',
	'wikieditor-toolbar-help-page-heading' => 'Sezzjonijiet',
	'wikieditor-toolbar-help-page-list' => 'Elenki',
	'wikieditor-toolbar-help-page-file' => 'Fajls',
	'wikieditor-toolbar-help-page-reference' => 'Referenzi',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussjoni',
	'wikieditor-toolbar-help-content-italic-description' => 'Tipa korsiva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tipa korsiva''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tipa korsiva</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tipa ħoxna',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tipa ħoxna'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tipa ħoxna</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tipa ħoxna u korsiva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tipa ħoxna u korsiva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tipa ħoxna u korsiva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ħolqa interna',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titlu tal-paġna|Tikketta tal-ħolqa]]<br />[[Titlu tal-paġna]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tikketta tal-ħolqa</a><br /><a href='#'>Titlu tal-paġna</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ħolqa esterna',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Tikketta tal-ħolqa]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tikketta tal-ħolqa</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Sezzjoni tat-2 livell',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Titlu tas-sezzjoni ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titlu tas-sezzjoni</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Sezzjoni tat-3 livell',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Titlu tas-sezzjoni ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titlu tas-sezzjoni</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Sezzjoni tar-4 livell',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Titlu tas-sezzjoni ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titlu tas-sezzjoni</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Sezzjoni tal-5 livell',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Titlu tas-sezzjoni =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titlu tas-sezzjoni</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista puntata',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element tal-lista<br />* Element tal-lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Element tal-lista</li><li>Element tal-lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerata',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element tal-lista<br /># Element tal-lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Element tal-lista</li><li>Element tal-lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fajl inkorporat',
	'wikieditor-toolbar-help-content-file-syntax' => "[[$1:Eżempju.png|thumb|thumb|Test ta' deskrizzjoni]]",
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Test tad-deskrizzjoni' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Kabbar' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Test tad-deskrizzjoni</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referenza',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Test tal-paġna.&lt;ref name="test"&gt;[http://www.example.org Test tal-ħolqa], test addizzjonali.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Test tal-paġna.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Użu addizzjonali tal-istess referenza',
	'wikieditor-toolbar-help-content-rereference-result' => "Test tal-paġna.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Viżwal tar-referenzi',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Test tal-ħolqa</a>, test addizzjonali.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma bid-data u l-ħin',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Isem tal-utent</a> (<a href='#' title='{{#special:mytalk}}'>diskussjoni</a>) 15:54, 10 Ġunju 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Isem tal-utent</a> (<a href='#' title='{{#special:mytalk}}'>diskussjoni</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentazzjoni',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Test normali<br />:Test indentat<br />::Test indentat',
	'wikieditor-toolbar-help-content-indent-result' => 'Test normali<dl><dd>Test indentat<dl><dd>Test indentat</dd></dl></dd></dl>',
);

/** Erzya (Эрзянь)
 * @author Botuzhaleny-sodamo
 */
$messages['myv'] = array(
	'wikieditor-toolbar-tool-bold' => 'Эчкстэ',
	'wikieditor-toolbar-tool-bold-example' => 'Эчкстэ текст',
	'wikieditor-toolbar-tool-italic' => 'Комавтонь текст',
	'wikieditor-toolbar-tool-italic-example' => 'Комавтонь текст',
	'wikieditor-toolbar-tool-link' => 'Сюлмавома пене',
	'wikieditor-toolbar-tool-heading' => 'Коняксозо',
	'wikieditor-toolbar-tool-superscript' => 'Кепедень текст',
	'wikieditor-toolbar-tool-superscript-example' => 'Кепедень текст',
	'wikieditor-toolbar-tool-subscript' => 'Валгстонь текст',
	'wikieditor-toolbar-tool-subscript-example' => 'Валгстонь текст',
	'wikieditor-toolbar-characters-page-latin' => 'Латиница',
	'wikieditor-toolbar-characters-page-symbols' => 'Тешкстт',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кириллица',
	'wikieditor-toolbar-help-page-link' => 'Сюлмавома пенеть',
	'wikieditor-toolbar-help-page-heading' => 'Конякст',
	'wikieditor-toolbar-help-page-file' => 'Файлат',
	'wikieditor-toolbar-help-content-signature-description' => 'Кедень путома',
);

/** Nahuatl (Nāhuatl)
 * @author Ricardo gs
 * @author Teòtlalili
 */
$messages['nah'] = array(
	'wikieditor' => 'Wel senka yankuik netzòwilìxtlâtli in tlenìk moyêyèktlàlia in wikitlâkuilòlmantli',
	'wikieditor-desc' => 'Tèwàlmàktia sè mìxmankànetzòwilìxtlâtli kàmpa wìtz in wikitlâkuilòlmantli tlèn moyêyèktlàlis ìwàn kèski ìyànalòwan kàmpa mowàlnèxtia in ìntlâtlamảtilis',
	'wikieditor-wikitext-tab' => 'Wikitlâkuilòlmantli',
	'wikieditor-loading' => 'Motlamàmaltîtỉka',
	'wikieditor-preview-preference' => 'Motekitìltìs in tlanênektikàyö achtỏpaỉtalistli',
	'wikieditor-preview-tab' => 'Achtỏpaỉtalistli',
	'wikieditor-preview-changes-tab' => 'Tlapảtlalistli',
	'wikieditor-preview-loading' => 'Motlamàmaltîtỉka....',
	'wikieditor-previewDialog-preference' => 'Motekitìltìs ìyachtỏpaỉtalis in nenônòtzalistli',
	'wikieditor-previewDialog-tab' => 'Tlachtỏpaỉtalòs',
	'wikieditor-previewDialog-loading' => 'Tlamàmâtỉka...',
	'wikieditor-publish-preference' => 'Motekitìltìs tlasêsêsèntèìxmảchìltìstli',
	'wikieditor-publish-button-publish' => 'Motèìxmảchìltìs',
	'wikieditor-publish-button-cancel' => 'Moxỉtìnìs',
	'wikieditor-publish-dialog-title' => 'Motèìxmảchìltìs ìpan {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Ìpòpòwilis tlayèktlàlilòtl (xikỉto ìka kèski tlatòlli in tlapảtlalistli tlèn òtikchìuh):',
	'wikieditor-publish-dialog-minor' => 'Tepỉtzìn tlayèktlàlilòtl',
	'wikieditor-publish-dialog-watch' => 'Mopanỉtas inìn tlaìxtlapalli',
	'wikieditor-publish-dialog-publish' => 'Motèìxmảchìltìs',
	'wikieditor-publish-dialog-goback' => 'Ximokuẻpa',
	'wikieditor-template-editor-preference' => 'Motekitìltìs in ìntlayêyèktlàlilis wikinemachiòmë ìka tlaìyỏkàyêkàyẻyàntli',
	'wikieditor-template-editor-dialog-title' => 'Xitlanemachiòyèktlàli',
	'wikieditor-template-editor-dialog-submit' => 'Tlayankuilỉlòs',
	'wikieditor-template-editor-dialog-cancel' => 'Moxỉtìnìs',
	'wikieditor-templates-preference' => 'Motekitìltìs nemachiòxitìnalli',
	'wikieditor-toc-preference' => 'Motekitìltìs nènemòni tlapialpalli',
	'wikieditor-toc-show' => 'Monèxtìs in tlapialli',
	'wikieditor-toc-hide' => 'Motlàtìs in tlapialli',
	'wikieditor-toolbar' => 'Tlayêyèktlàlilòkàtekitiâpalli',
	'wikieditor-toolbar-desc' => 'Ìtekitiâpal in tlayêyèktlàlilòkàtlaìxtlapalli ìwàn okảchi kuâkualli tlamantli tlatekitiliskàyòtl',
	'wikieditor-toolbar-preference' => 'Motekitìltìs in okảchi kualli tekitiâpalli tlèn ìka tlayêyèktlàlilo',
	'wikieditor-toolbar-dialogs-preference' => 'Motekitìltìs tlanônòtzaliskàyòtl tlèn ìnka tlatzòtzòwìltlàlilòs, tlatlapaltlàlilòs wàn oksẻki îtlàtlèn monẻkis motlàlìs',
	'wikieditor-toolbar-hidesig' => 'Motlàtìs in machiòpàchitl ìwikpa ìtlaìxtlapalwàn in achkàuhtòkâyẻyàntli',
	'wikieditor-toolbar-loading' => 'Motlamàmaltîtỉka....',
	'wikieditor-toolbar-tool-bold' => 'Tlìltik',
	'wikieditor-toolbar-tool-bold-example' => 'Tlìltik tlâkuilòlmantli',
	'wikieditor-toolbar-tool-italic' => 'Ìxtèktli',
	'wikieditor-toolbar-tool-italic-example' => 'Ìxtèktli tlâkuilòlmantli',
	'wikieditor-toolbar-tool-ilink' => 'Tlâtektzòwistli',
	'wikieditor-toolbar-tool-ilink-example' => 'Tzòwistòkâtli',
	'wikieditor-toolbar-tool-xlink' => 'Panitzòwistli (mà molnàmiki in tlaìxpantlâkuilòlli http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com tzòwistòkâtli',
	'wikieditor-toolbar-tool-link' => 'Tzòwistli',
	'wikieditor-toolbar-tool-link-title' => 'Motzòwilyòtìs',
	'wikieditor-toolbar-tool-link-int' => 'Ìpan sè wikitlaìxtlapalli',
	'wikieditor-toolbar-tool-link-int-target' => 'In tlaìxtlapalli tlèn motèmowa noso in URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tlaìxtlapaltòkâtli noso URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Ìtòka in tzòwistli',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'In tlâkuilòlmantli tlèn monèxtìs',
	'wikieditor-toolbar-tool-link-ext' => 'Ìpan sè panika tlàltikpaktzànìllaìxtlapalli',
	'wikieditor-toolbar-tool-link-ext-target' => 'ÌyURL in tzòwistli:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tzòwistòkâtli',
	'wikieditor-toolbar-tool-link-insert' => 'Motzòwilyòtìs',
	'wikieditor-toolbar-tool-link-cancel' => 'Moxỉtìnìs',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Ka in tlaìxtlapalli',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Ayàk in tlaìxtlapalli',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Âmò kualli tòkâtli',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Panikàtzòwistli',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Motztỉka intlà kox kä in tlaìxtlapalli',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Âmò kualli in tòkâtli tlèn òtimîkuilwili.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'In URL tlèn timonekiltia mîtòs kineki mochìwas ìtzòwilòka oksè wikitlaìxtlapalli.
¿Timonekiltia mà mokuẻpa sè tlatlâtek tzòwìlli?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Tlâtektzòwistli',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Panikàtzòwistli',
	'wikieditor-toolbar-tool-link-empty' => 'Âmò tikîkuilôtika in tlèn kàmpa tlatzòwilòs.',
	'wikieditor-toolbar-tool-file' => 'Tlatlatzèkòltìlèwálli',
	'wikieditor-toolbar-tool-file-example' => 'Neìxkuitìlli.jpg',
	'wikieditor-toolbar-tool-reference' => 'Ànálòtl',
	'wikieditor-toolbar-tool-reference-example' => 'Mà motlàli nikàn in tlakxỉpanáwatilòtl',
	'wikieditor-toolbar-tool-reference-cancel' => 'Moxỉtìnìs',
	'wikieditor-toolbar-tool-reference-title' => 'Motlalìs sè ànálòtl',
	'wikieditor-toolbar-tool-reference-insert' => 'Motlàlìs',
	'wikieditor-toolbar-tool-reference-text' => 'Tlâkuilòlmanànálòtl',
	'wikieditor-toolbar-tool-signature' => 'Netèìxmachìtìlmachiòtl wàn tlapảnolpòwálli',
	'wikieditor-toolbar-section-advanced' => 'Tlèkànki',
	'wikieditor-toolbar-tool-heading' => 'Tòkâtlàlistli',
	'wikieditor-toolbar-tool-heading-1' => 'Tlàlilòkâtli 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tlàlilòkâtli 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tlàlilòkâtli 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tlàlilòkâtli 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tlàlilòkâtli 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tòkâtlàlistlâkuilòlmantli',
	'wikieditor-toolbar-group-format' => 'Chîchìwilòkâtli',
	'wikieditor-toolbar-tool-nowiki' => 'Âmò tlawikichîchìwilòkàyö',
	'wikieditor-toolbar-tool-nowiki-example' => 'Xikmotlàlili nikàn in âmò tlachîchìuhtli tlâkuilòlmantli',
	'wikieditor-toolbar-tool-redirect' => 'Tlaôwitilistli',
	'wikieditor-toolbar-tool-redirect-example' => 'Ìtòka in tlâsiànkôyàntlaìxpalli',
	'wikieditor-toolbar-tool-big' => 'Wèyi',
	'wikieditor-toolbar-tool-big-example' => 'Wèyi tlâkuilòlmantli',
	'wikieditor-toolbar-tool-small' => 'Tepỉtòn',
	'wikieditor-toolbar-tool-small-example' => 'Tepỉtòn tlâkuilòlmantli',
	'wikieditor-toolbar-tool-superscript' => 'Tlapanîkuilòlli',
	'wikieditor-toolbar-tool-superscript-example' => 'Tlapanîkuilòlyo tlâkuilòlmantli',
	'wikieditor-toolbar-tool-subscript' => 'Tlanitlahcuilōlli',
	'wikieditor-toolbar-tool-subscript-example' => 'Tlanitlahcuilōliztli',
	'wikieditor-toolbar-tool-gallery' => 'Īxiptlahtēcpāntiliztli',
	'wikieditor-toolbar-tool-newline' => 'Yancuīc pāntli',
	'wikieditor-toolbar-tool-table-example-old' => '-
! cuāitl 1
! cuāitl 2
! cuāitl 3
|-
| pāntli 1, cochiyāntli 1
| pāntli 1, cochiyāntli 2
| pāntli 1, cochiyāntli 3
|-
| pāntli 2, cochiyāntli 1
| pāntli 2, cochiyāntli 2
| pāntli 2, cochiyāntli 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Cochiyāntlahcuilōliztli',
	'wikieditor-toolbar-tool-table-example-header' => 'Cāitl tlahcuilōliztli',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Pāntli',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Tlaquetzalli',
	'wikieditor-toolbar-tool-table-example' => 'Machiyōtl',
	'wikieditor-toolbar-tool-table-cancel' => 'Ticcuepāz',
	'wikieditor-toolbar-tool-replace' => 'Tictēmōz īhuān ticpatlāz',
	'wikieditor-toolbar-tool-replace-title' => 'Tictēmōz īhuān ticpatlāz',
	'wikieditor-toolbar-tool-replace-search' => 'Tictēmōz:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ticpatlāz ic:',
	'wikieditor-toolbar-tool-replace-regex' => 'Ticnōtzāz in tlatēmolizmecatl iuhquin nāhuatīlmatillahtōliztli',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ticpatlāz mochi',
	'wikieditor-toolbar-tool-replace-close' => 'Tiquitzacuāz',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Âmò tlèn òkâsik in motlatemòlistzìn',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'In nāhuatīlmatillahtōliztli tlein ōtitlahcuiloh ahtlaceliāni ca: $1',
	'wikieditor-toolbar-characters-page-latin' => 'Latintlahcuilōlli',
	'wikieditor-toolbar-characters-page-latinextended' => 'Mantoc latintlahcuilōlli',
	'wikieditor-toolbar-characters-page-greek' => 'Greciatlahcuilōlli',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilotlahcuilōlli',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiatlahcuilōlli',
	'wikieditor-toolbar-characters-page-persian' => 'Persiatlahcuilōlli',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreotlahcuilōlli',
	'wikieditor-toolbar-characters-page-bangla' => 'Banglatlahcuilōlli',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugutlahcuilōlli',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalatlahcuilōlli',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guyaratitlahcuilōlli',
	'wikieditor-toolbar-characters-page-thai' => 'Taitlahcuilōlli',
	'wikieditor-toolbar-characters-page-lao' => 'Laotlahcuilōlli',
	'wikieditor-toolbar-characters-page-khmer' => 'Jemertlahcuilōlli',
	'wikieditor-toolbar-section-help' => 'Tēpalēhuiliztli',
	'wikieditor-toolbar-help-page-link' => 'Tzòtzòwistìn',
	'wikieditor-toolbar-help-page-heading' => 'Tòkâtlàlistìn',
	'wikieditor-toolbar-help-page-file' => 'Èwáltìn',
	'wikieditor-toolbar-help-page-reference' => 'Ànálòmë',
	'wikieditor-toolbar-help-page-discussion' => 'Tēixnāmiquiliztli',
	'wikieditor-toolbar-help-content-italic-description' => 'Cōliuhqui',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Cōliuhqui tlahcuilōliztli''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Cōliuhqui tlahcuilōliztli</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Tlīltic',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tlīltic tlahcuilōliztli'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tlīltic tlahcuilōliztli</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Tlīltic &amp; cōliuhqui',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tlīltic &amp; cōliuhqui tlahcuilōliztli'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tlīltic &amp; cōliuhqui tlahcuilōliztli</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Tlâtek tzòwistli',
	'wikieditor-toolbar-help-content-xlink-description' => 'Calān tzonhuiliztli',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ejemplo.png|thumb|Tlatòkâyòtilisyòtl]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tlatòkâyòtilisyòtl</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Tlànalòyàntli',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tlaìxtlapallâkuilòlmantli.&lt;ref name="test"&gt;[http://www.example.org Tzòwistlâkuilòlmantli], tlâxitìllâkuilòlmantli.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tlaìxtlapallâkuilòlmantli.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ìtlâtlatekitìltilis in yi yë tlànalòyàntli',
	'wikieditor-toolbar-help-content-rereference-result' => "Tlaìxtlapallâkuilòlmantli.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Monèxtis tlànalòyàntli',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tzòwistlâkuilòlmantli</a>, tlâxitìllâkuilòlmantli.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Netèìxmachìtìlmachiòtl wàn tlapảnolpòwálli',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Tekitkàtòkâtli</a> (<a href='#' title='{{#special:mytalk}}'>nenônòtzalistli</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Netèìxmachìtìlmachiòtl',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Tekitkàtòkâtli</a> (<a href='#' title='{{#special:mytalk}}'>nenônòtzalistli</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Tlâtlapouhki',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Sâsanỉman tlâkuilòlmantli<br />:Tlâtlapouhki tlakuilòlmantli<br />::Tlâtlapouhki tlâkuilòlmantli',
	'wikieditor-toolbar-help-content-indent-result' => 'Sâsanỉman tlâkuilòlmantli<dl><dd>Tlâtlapouhki tlakuilòlmantli<dl><dd>Tlâtlapouhki tlâkuilòlmantli</dd></dl></dd></dl>',
);

/** Norwegian (bokmål)‬ (‪Norsk (bokmål)‬)
 * @author Event
 * @author Jon Harald Søby
 * @author Laaknor
 * @author Nghtwlkr
 */
$messages['nb'] = array(
	'wikieditor' => 'Avansert grensesnitt for redigering av wikitekst',
	'wikieditor-desc' => 'Gir et utvidbart tekstredigeringsgrensesnitt og mange utvidelsesmoduler',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Laster',
	'wikieditor-preview-preference' => 'Aktiver forhåndsvisning side-ved-side',
	'wikieditor-preview-tab' => 'Forhåndsvisning',
	'wikieditor-preview-changes-tab' => 'Endringer',
	'wikieditor-preview-loading' => 'Laster...',
	'wikieditor-previewDialog-preference' => 'Aktiver forhåndsvisningsdialog',
	'wikieditor-previewDialog-tab' => 'Forhåndsvisning',
	'wikieditor-previewDialog-loading' => 'Laster...',
	'wikieditor-publish-preference' => 'Aktiver steg-for-steg publisering',
	'wikieditor-publish-button-publish' => 'Publiser',
	'wikieditor-publish-button-cancel' => 'Avbryt',
	'wikieditor-publish-dialog-title' => 'Publiser til {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Redigeringssammendrag (oppsummering av hvilke endringer du har gjort)',
	'wikieditor-publish-dialog-minor' => 'Mindre endring',
	'wikieditor-publish-dialog-watch' => 'Overvåk denne siden',
	'wikieditor-publish-dialog-publish' => 'Publiser',
	'wikieditor-publish-dialog-goback' => 'Gå tilbake',
	'wikieditor-template-editor-preference' => 'Aktiver skjemabasert redigering av wikimaler',
	'wikieditor-template-editor-dialog-title' => 'Rediger mal',
	'wikieditor-template-editor-dialog-submit' => 'Oppdater',
	'wikieditor-template-editor-dialog-cancel' => 'Avbryt',
	'wikieditor-templates-preference' => 'Aktiver sammenleggbare maler',
	'wikieditor-toc-preference' => 'Aktiver navigerbar innholdsfortegnelse',
	'wikieditor-toc-show' => 'Vis innhold',
	'wikieditor-toc-hide' => 'Skjul innhold',
	'wikieditor-toolbar' => 'Verktøylinje for redigering',
	'wikieditor-toolbar-desc' => 'Verktøylinje for redigering med utvidet brukervennlighet',
	'wikieditor-toolbar-preference' => 'Aktiver utvidet verktøylinje for redigering',
	'wikieditor-toolbar-dialogs-preference' => 'Slå på dialoger for innsetting av lenker, tabeller og mer',
	'wikieditor-toolbar-hidesig' => 'Skjul signaturknappen fra sider i hovednavnerommet',
	'wikieditor-toolbar-loading' => 'Laster...',
	'wikieditor-toolbar-tool-bold' => 'Fet',
	'wikieditor-toolbar-tool-bold-example' => 'Fet tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiv tekst',
	'wikieditor-toolbar-tool-ilink' => 'Intern lenke',
	'wikieditor-toolbar-tool-ilink-example' => 'Lenketittel',
	'wikieditor-toolbar-tool-xlink' => 'Ekstern lenke (husk http:// først)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com lenketittel',
	'wikieditor-toolbar-tool-link' => 'Lenke',
	'wikieditor-toolbar-tool-link-title' => 'Sett inn lenke',
	'wikieditor-toolbar-tool-link-int' => 'Til en wikiartikkel/-side',
	'wikieditor-toolbar-tool-link-int-target' => 'Sidetittel/artikkeltittel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sidetittel eller internettadresse',
	'wikieditor-toolbar-tool-link-int-text' => 'Lenketekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Legg inn teksten som skal vises',
	'wikieditor-toolbar-tool-link-ext' => 'Til en ekstern webside',
	'wikieditor-toolbar-tool-link-ext-target' => 'Adresse:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Lenketekst:',
	'wikieditor-toolbar-tool-link-insert' => 'Sett inn lenke',
	'wikieditor-toolbar-tool-link-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Siden finnes',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Siden finnes ikke',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ugyldig tittel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ekstern lenke',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrollerer om siden finnes...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Tittelen du gav er ugyldig',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URLen du la inn ser ut som en lenke til en annen wikiside. Vil du gjøre den til en internlenke?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Intern lenke',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ekstern lenke',
	'wikieditor-toolbar-tool-link-empty' => 'Du skrev ikke inn noe å lenke til',
	'wikieditor-toolbar-tool-file' => 'Fil',
	'wikieditor-toolbar-tool-file-example' => 'Eksempel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referanse',
	'wikieditor-toolbar-tool-reference-example' => 'Sett inn fotnotetekst her',
	'wikieditor-toolbar-tool-reference-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-reference-title' => 'Sett inn referanse',
	'wikieditor-toolbar-tool-reference-insert' => 'Sett inn',
	'wikieditor-toolbar-tool-reference-text' => 'Referansetekst',
	'wikieditor-toolbar-tool-signature' => 'Din signatur med dato',
	'wikieditor-toolbar-section-advanced' => 'Avansert',
	'wikieditor-toolbar-tool-heading' => 'Overskrift',
	'wikieditor-toolbar-tool-heading-1' => 'Nivå 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivå 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivå 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivå 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivå 5',
	'wikieditor-toolbar-tool-heading-example' => 'Overskriftstekst',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Punktliste',
	'wikieditor-toolbar-tool-ulist-example' => 'Punktlisteelement',
	'wikieditor-toolbar-tool-olist' => 'Nummerert liste',
	'wikieditor-toolbar-tool-olist-example' => 'Nummerert liste-element',
	'wikieditor-toolbar-tool-indent' => 'Indentering',
	'wikieditor-toolbar-tool-indent-example' => 'Indentert linje',
	'wikieditor-toolbar-tool-nowiki' => 'Ingen wikiformatering',
	'wikieditor-toolbar-tool-nowiki-example' => 'Sett inn uformatert tekst her',
	'wikieditor-toolbar-tool-redirect' => 'Omdiriger',
	'wikieditor-toolbar-tool-redirect-example' => 'Målsidenavn',
	'wikieditor-toolbar-tool-big' => 'Stor',
	'wikieditor-toolbar-tool-big-example' => 'Stor tekst',
	'wikieditor-toolbar-tool-small' => 'Liten',
	'wikieditor-toolbar-tool-small-example' => 'Liten tekst',
	'wikieditor-toolbar-tool-superscript' => 'Hevet',
	'wikieditor-toolbar-tool-superscript-example' => 'Hevet tekst',
	'wikieditor-toolbar-tool-subscript' => 'Senket',
	'wikieditor-toolbar-tool-subscript-example' => 'Senket tekst',
	'wikieditor-toolbar-group-insert' => 'Sett inn',
	'wikieditor-toolbar-tool-gallery' => 'Bildegalleri',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Bildetekst1
$1:Example.jpg|Bildetekst2',
	'wikieditor-toolbar-tool-newline' => 'Linjeskift',
	'wikieditor-toolbar-tool-table' => 'Tabell',
	'wikieditor-toolbar-tool-table-example-old' => '-
! overskrift 1
! overskrift 2
! overskrift 3
|-
| rad 1, celle 1
| rad 1, celle 2
| rad 1, celle 3
|-
| rad 2, celle 1
| rad 2, celle 2
| rad 2, celle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celletekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Overskriftstekst',
	'wikieditor-toolbar-tool-table-title' => 'Sett inn tabell',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rader',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolonner',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Inkluder overskriftsrad',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil med kanter',
	'wikieditor-toolbar-tool-table-sortable' => 'Gjør tabellen sorterbar',
	'wikieditor-toolbar-tool-table-example' => 'Celletekst',
	'wikieditor-toolbar-tool-table-preview' => 'Forhåndsvisning',
	'wikieditor-toolbar-tool-table-insert' => 'Sett inn',
	'wikieditor-toolbar-tool-table-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-table-toomany' => 'Det er ikke mulig å sette inn mer enn $1 celler med denne boksen.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du har ikke skrevet inn et gyldig antall rader eller kolonner.',
	'wikieditor-toolbar-tool-table-zero' => 'De kan ikke sette inn en tabell med null rader eller kolonner.',
	'wikieditor-toolbar-tool-replace' => 'Søk og erstatt',
	'wikieditor-toolbar-tool-replace-title' => 'Søk og erstatt',
	'wikieditor-toolbar-tool-replace-search' => 'Søk etter:',
	'wikieditor-toolbar-tool-replace-replace' => 'Erstatt med:',
	'wikieditor-toolbar-tool-replace-case' => 'Skill mellom store/små bokstaver',
	'wikieditor-toolbar-tool-replace-regex' => 'Bruk søkestrengen som et regulært uttrykk',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Finn neste',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Erstatt alle',
	'wikieditor-toolbar-tool-replace-close' => 'Lukk',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Søket ga ingen resultater.',
	'wikieditor-toolbar-tool-replace-success' => 'Gjorde $1 erstating(er).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du skrev ikke inn noe å søke etter.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Det regulære uttrykket du skrev inn er ugyldig: $1',
	'wikieditor-toolbar-section-characters' => 'Spesialtegn',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Utvidet Latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboler',
	'wikieditor-toolbar-characters-page-greek' => 'Gresk',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisk',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisk',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Utvidet arabisk',
	'wikieditor-toolbar-characters-page-persian' => 'Persisk',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraisk',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalesisk',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laotisk',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hjelp',
	'wikieditor-toolbar-help-heading-description' => 'Beskrivelse',
	'wikieditor-toolbar-help-heading-syntax' => 'Hva du skriver',
	'wikieditor-toolbar-help-heading-result' => 'Hva du får',
	'wikieditor-toolbar-help-page-format' => 'Formatering',
	'wikieditor-toolbar-help-page-link' => 'Lenker',
	'wikieditor-toolbar-help-page-heading' => 'Overskrifter',
	'wikieditor-toolbar-help-page-list' => 'Lister',
	'wikieditor-toolbar-help-page-file' => 'Filer',
	'wikieditor-toolbar-help-page-reference' => 'Referanser',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusjon',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiv tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiv tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fet',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fet tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fet tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fet &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fet &amp; kursiv tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fet &amp; kursiv tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Intern lenke',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sidetittel|Lenkenavn]]<br />[[Sidetittel]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Lenkenavn</a><br /><a href='#'>Sidetittel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ekstern lenke',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Lenkenavn]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Lenkenavn</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. nivå overskrift',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Overskrift ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Overskrift</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. nivå overskrift',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Overskrift ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Overskrift</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. nivå overskrift',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Overskrift ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Overskrift</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. nivå overskrift',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Overskrift =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Overskrift</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punktliste',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listeelement<br />
* Listeelement',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listeelement</li><li>Listeelement</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nummerert liste',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listeelement<br />
# Listeelement',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listeelement</li><li>Listeelement</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fil',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Bildetekst]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bildetekst' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Forstørr' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bildetekst</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referanse',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tekst.&lt;ref name="test"&gt;[http://www.example.org Lenketekst], ytterligere tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ytterligere bruk av samme referanse',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Vis referanser',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Lenketekst</a>, ytterligere tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatur med tidsangivelse',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Brukernavn</a> (<a href='#' title='{{#special:mytalk}}'>diskusjon</a>) 10. juni 2009, 15:54 (CEST)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Brukernavn</a> (<a href='#' title='{{#special:mytalk}}'>diskusjon</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Innrykk',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal tekst<br />:Innrykket tekst<br />::Innrykket tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal tekst<dl><dd>Innrykket tekst<dl><dd>Innrykket tekst</dd></dl></dd></dl>',
);

/** Nedersaksisch (Nedersaksisch)
 * @author Servien
 */
$messages['nds-nl'] = array(
	'wikieditor' => 'Uutebreien tekstverwarker veur wikitekste',
	'wikieditor-desc' => "Hierdeur krie-j n tekstverwarker veur wikitekste die'j uut kunnen breien en modules mit extra funksies",
	'wikieditor-wikitext-tab' => 'Wikitekste',
	'wikieditor-loading' => 'An t laojen',
	'wikieditor-preview-preference' => 'Bewarken en naokieken naos mekaar',
	'wikieditor-preview-tab' => 'Naokieken',
	'wikieditor-preview-changes-tab' => 'Wiezigingen',
	'wikieditor-preview-loading' => 'An t laojen...',
	'wikieditor-publish-preference' => 'Stap veur stap publiseren inschakelen',
	'wikieditor-publish-button-publish' => 'Publiseren',
	'wikieditor-publish-button-cancel' => 'Aofbreken',
	'wikieditor-publish-dialog-title' => 'Publiseren naor {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Bewarkingssamenvatting (beschrief de wijzingen in t kort):',
	'wikieditor-publish-dialog-minor' => 'Kleine bewarking',
	'wikieditor-publish-dialog-watch' => 'Volg disse pagina',
	'wikieditor-publish-dialog-publish' => 'Publiseren',
	'wikieditor-publish-dialog-goback' => 'Weerumme',
	'wikieditor-template-editor-preference' => 'Formulier-ebaseerd bewarken van wikimallen inschakelen',
	'wikieditor-template-editor-dialog-title' => 'Mallen bewarken',
	'wikieditor-template-editor-dialog-submit' => 'Biewarken',
	'wikieditor-template-editor-dialog-cancel' => 'Aofbreken',
	'wikieditor-templates-preference' => 'Inklapbaore mallen',
	'wikieditor-toc-preference' => 'Navigeerbaore onderwarplieste inschakelen',
	'wikieditor-toc-show' => 'Onderwarpen laoten zien',
	'wikieditor-toc-hide' => 'Onderwarpen verbargen',
	'wikieditor-toolbar' => 'Bewarkingswarkbalke',
	'wikieditor-toolbar-desc' => 'Bewarkingsbalke die makkeliker te gebruken is',
	'wikieditor-toolbar-preference' => 'De uutebreien bewarkingsbalke anzetten',
	'wikieditor-toolbar-dialogs-preference' => 'Dialogen veur t plaotsen van verwiezingen, tabellen en meer inschakelen',
	'wikieditor-toolbar-loading' => 'Bezig mit laojen...',
	'wikieditor-toolbar-tool-bold' => 'Vet',
	'wikieditor-toolbar-tool-bold-example' => 'Vet-edrokten tekste',
	'wikieditor-toolbar-tool-italic' => 'Schunedrokt',
	'wikieditor-toolbar-tool-italic-example' => 'Schunedrokten tekste',
	'wikieditor-toolbar-tool-ilink' => 'Interne verwiezing',
	'wikieditor-toolbar-tool-ilink-example' => 'Verwiezingsbeschrieving',
	'wikieditor-toolbar-tool-xlink' => 'Uutgaonde verwiezing (vergeet t veurvoegsel http:// niet)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com beschrieving',
	'wikieditor-toolbar-tool-link' => 'Verwiezing',
	'wikieditor-toolbar-tool-link-title' => 'Verwiezing derbie doon',
	'wikieditor-toolbar-tool-link-int' => 'Naor n wikipagina',
	'wikieditor-toolbar-tool-link-int-target' => 'Paginanaam:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Paginanaam of webadres',
	'wikieditor-toolbar-tool-link-int-text' => 'Beschrieving:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Zet hier de tekste in die te zien mut ween',
	'wikieditor-toolbar-tool-link-ext' => 'Naor n uutgaonde webpagina',
	'wikieditor-toolbar-tool-link-ext-target' => 'Webadres:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Beschrieving:',
	'wikieditor-toolbar-tool-link-insert' => 'Verwiezing derbie doon',
	'wikieditor-toolbar-tool-link-cancel' => 'Aofbreken',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'De pagina besteet al',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'De pagina besteet niet',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ongeldige paginanaam',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Uutgaonde verwiezing',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Is an t kieken of disse pagina al besteet...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'De op-egeven pagina is ongeldig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "t Lik as of t webadres da'j op-egeven hebben n verwiezing naor n aandere wikipagina mut ween.
Wi'j der n interne verwiezing van maken?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interne verwiezing',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Uutgaonde verwiezing',
	'wikieditor-toolbar-tool-link-empty' => 'Je hebben niks op-egeven um naor te verwiezen.',
	'wikieditor-toolbar-tool-file' => 'Bestaand derbie doon',
	'wikieditor-toolbar-tool-file-example' => 'Veurbeeld.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referensie',
	'wikieditor-toolbar-tool-reference-example' => 'Plaots hier tekste veur de vootnote',
	'wikieditor-toolbar-tool-reference-cancel' => 'Aofbreken',
	'wikieditor-toolbar-tool-reference-title' => 'Referensie derbie doon',
	'wikieditor-toolbar-tool-reference-insert' => 'Invoegen',
	'wikieditor-toolbar-tool-reference-text' => 'Referensietekste',
	'wikieditor-toolbar-tool-signature' => 'Ondertekening en tiedstempel',
	'wikieditor-toolbar-section-advanced' => 'Meer funksies',
	'wikieditor-toolbar-tool-heading' => 'Kopjen',
	'wikieditor-toolbar-tool-heading-1' => 'Nivo 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivo 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivo 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivo 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivo 5',
	'wikieditor-toolbar-tool-heading-example' => 'Koptekste',
	'wikieditor-toolbar-group-format' => 'Opmaak',
	'wikieditor-toolbar-tool-ulist' => 'Lieste zonder nummers',
	'wikieditor-toolbar-tool-ulist-example' => 'Regel in n lieste zonder nummers',
	'wikieditor-toolbar-tool-olist' => 'Lieste mit nummers',
	'wikieditor-toolbar-tool-olist-example' => 'Regel in n lieste mit nummers',
	'wikieditor-toolbar-tool-indent' => 'Inspringen',
	'wikieditor-toolbar-tool-indent-example' => 'In-espröngen regel',
	'wikieditor-toolbar-tool-nowiki' => 'Gien wiki-opmaak',
	'wikieditor-toolbar-tool-nowiki-example' => 'Tekste zonder opmaak hier invoegen',
	'wikieditor-toolbar-tool-redirect' => 'Deurverwiezing',
	'wikieditor-toolbar-tool-redirect-example' => 'Doelpagina',
	'wikieditor-toolbar-tool-big' => 'Groot',
	'wikieditor-toolbar-tool-big-example' => 'Groot edrokten tekste',
	'wikieditor-toolbar-tool-small' => 'Klein',
	'wikieditor-toolbar-tool-small-example' => 'Klein edrokten tekste',
	'wikieditor-toolbar-tool-superscript' => 'Bovenschrift',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekste in bovenschrift',
	'wikieditor-toolbar-tool-subscript' => 'Onderschrift',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekste in onderschrift',
	'wikieditor-toolbar-group-insert' => 'Derbie doon',
	'wikieditor-toolbar-tool-gallery' => 'Foto-uutstallige',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Veurbeeld1|Bieschrift1
$1:Veurbeeld2|Bieschrift2',
	'wikieditor-toolbar-tool-newline' => 'Nieje regel',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kop 1
! kop 2
! kop 3
|-
| rie 1, sel 1
| rie 1, sel 2
| rie 1, sel 3
|-
| rie 2, sel 1
| rie 2, sel 2
| rie 2, sel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Seltekste',
	'wikieditor-toolbar-tool-table-example-header' => 'Koptekste',
	'wikieditor-toolbar-tool-table-title' => 'Tabel derbie doon',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Riejen',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolommen',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Koptekste derbie doon',
	'wikieditor-toolbar-tool-table-wikitable' => 'Laot de selraanden zien',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabel sorteerbaor maken',
	'wikieditor-toolbar-tool-table-example' => 'Veurbeeld',
	'wikieditor-toolbar-tool-table-preview' => 'Naokieken',
	'wikieditor-toolbar-tool-table-insert' => 'Invoegen',
	'wikieditor-toolbar-tool-table-cancel' => 'Aofbreken',
	'wikieditor-toolbar-tool-table-toomany' => 'Je kunnen via dit dialoogvienster gien tabel derbie doon mit meer as $1 sellen.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Je hebben nog gien geldig antal regels of kolommen op-egeven.',
	'wikieditor-toolbar-tool-table-zero' => 'Je kunnen gien tabel derbie doon zonder regels of kolommen.',
	'wikieditor-toolbar-tool-replace' => 'Zeuken en vervangen',
	'wikieditor-toolbar-tool-replace-title' => 'Zeuken en vervangen',
	'wikieditor-toolbar-tool-replace-search' => 'Zeuken naor:',
	'wikieditor-toolbar-tool-replace-replace' => 'Vervöngen deur:',
	'wikieditor-toolbar-tool-replace-case' => 'Heufdlettergeveulig',
	'wikieditor-toolbar-tool-replace-regex' => 'De zeukreeks as reguliere expressie behaandelen',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Volgende zeuken',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alles vervangen',
	'wikieditor-toolbar-tool-replace-close' => 'Sluten',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Joew zeukopdrach hef niks op-eleverd.',
	'wikieditor-toolbar-tool-replace-success' => 'Der bin $1 vervangingen edaon.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Je hebben gien zeukterm op-egeven.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "De reguliere die'j op-egeven hebben is ongeldig: $1",
	'wikieditor-toolbar-section-characters' => 'Spesiale tekens',
	'wikieditor-toolbar-characters-page-latin' => 'Latien',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latien uutebreid',
	'wikieditor-toolbar-characters-page-ipa' => 'Internasionaal Klankeschrift',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbolen',
	'wikieditor-toolbar-characters-page-greek' => 'Grieks',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillies',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabies',
	'wikieditor-toolbar-characters-page-persian' => 'Perzies',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreeuws',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaals',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalees',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'Hulpe',
	'wikieditor-toolbar-help-heading-description' => 'Beschrieving',
	'wikieditor-toolbar-help-heading-syntax' => "Wa'j tikken",
	'wikieditor-toolbar-help-heading-result' => "Wa'j kriegen",
	'wikieditor-toolbar-help-page-format' => 'Opmaak',
	'wikieditor-toolbar-help-page-link' => 'Verwiezingen',
	'wikieditor-toolbar-help-page-heading' => 'Kopjes',
	'wikieditor-toolbar-help-page-list' => 'Liesten',
	'wikieditor-toolbar-help-page-file' => 'Bestaanden',
	'wikieditor-toolbar-help-page-reference' => 'Referensies',
	'wikieditor-toolbar-help-page-discussion' => 'Overleg',
	'wikieditor-toolbar-help-content-italic-description' => 'Schunedrokt',
	'wikieditor-toolbar-help-content-italic-syntax' => 'Schunedrokten tekste',
	'wikieditor-toolbar-help-content-italic-result' => '<em>Schunedrokten tekste</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Vet-edrokt',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Vet-edrokten tekste'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Vet-edrokten tekste</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Vet- en schunedrokt',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Vet- en schunedrokten tekste'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Vet- en schunedrokten tekste</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interne verwiezing',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Paginanaam|Beschrieving]]<br />[[Paginanaam]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Beschrieving</a><br /><a href='#'>Paginanaam</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Uutgaonde verwiezing',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Beschrieving]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Beschrieving</a><br /><a href='#' class='external autonummering'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kopjen nivo 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Koptekste ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Koptekste</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kopjen nivo 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Koptekste ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Koptekste</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kopjen nivo 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Koptekste ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Koptekste</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kopjen nivo 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Koptekste =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Koptekste</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lieste zonder nummers',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Regel in n lieste zonder nummers<br />* Regel in n lieste zonder nummers',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Regel in n lieste zonder nummers</li><li>Regel in n lieste zonder nummers</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lieste mit nummers',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Regel in n lieste mit nummers<br /># Regel in n lieste mit nummers',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Regel in n lieste mit nummers</li><li>Regel in n lieste mit nummers</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Bestaand derbie doon',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Veurbeeld.png|thumb|Beschrieving]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bieschrift' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Vergroten' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bieschrift</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referensie',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Paginatekste.&lt;ref name="test"&gt;[http://www.example.org Beschrieving], eventuele tekste.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Paginatekste <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Hergebruuk van de zelfde referensie',
	'wikieditor-toolbar-help-content-rereference-result' => "Paginatekste <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Referensies weergeven',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Beschrieving</a>, eventuele tekste.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ondertekening mit tiedstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Gebrukersnaam</a> (<a href='#' title='{{#special:mytalk}}'>overleg</a>) 15:54, 10 juni 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ondertekening',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Gebrukersnaam</a> (<a href='#' title='{{#special:mytalk}}'>overleg</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Inspringen',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normale tekste<br />: In-espröngen tekste<br />::In-espröngen tekste',
	'wikieditor-toolbar-help-content-indent-result' => 'Normale tekste<dl><dd>In-espröngen tekste<dl><dd>In-espröngen tekste</dd></dl></dd></dl>',
);

/** Nepali (नेपाली)
 * @author Bhawani Gautam
 */
$messages['ne'] = array(
	'wikieditor-toolbar-section-advanced' => 'उन्नत',
	'wikieditor-toolbar-tool-heading' => 'शीर्षक',
	'wikieditor-toolbar-tool-heading-2' => 'शीर्षक 2',
	'wikieditor-toolbar-tool-heading-3' => 'शीर्षक 3',
	'wikieditor-toolbar-tool-heading-4' => 'शीर्षक 4',
	'wikieditor-toolbar-tool-heading-5' => 'शीर्षक 5',
	'wikieditor-toolbar-section-characters' => 'विशेष वर्णहरु',
);

/** Dutch (Nederlands)
 * @author Hamaryns
 * @author McDutchie
 * @author SPQRobin
 * @author Siebrand
 * @author Tvdm
 */
$messages['nl'] = array(
	'wikieditor' => 'Uitgebreide tekstverwerker voor wikitekst',
	'wikieditor-desc' => 'Voegt een uitbreidbare tekstverwerker voor wikitekst toe en modules met extra mogelijkheden',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Bezig met laden...',
	'wikieditor-preview-preference' => 'Bewerken en voorvertoning naast elkaar',
	'wikieditor-preview-tab' => 'Voorvertoning',
	'wikieditor-preview-changes-tab' => 'Wijzigingen',
	'wikieditor-preview-loading' => 'Bezig met laden…',
	'wikieditor-previewDialog-preference' => 'Voorvertoningsdialoogvenster inschakelen',
	'wikieditor-previewDialog-tab' => 'Voorvertoning',
	'wikieditor-previewDialog-loading' => 'Bezig met laden…',
	'wikieditor-publish-preference' => 'Stap voor stap publiceren inschakelen',
	'wikieditor-publish-button-publish' => 'Publiceren',
	'wikieditor-publish-button-cancel' => 'Annuleren',
	'wikieditor-publish-dialog-title' => 'Publiceren naar {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Bewerkingssamenvatting (beschrijf kort de gemaakte wijzingen):',
	'wikieditor-publish-dialog-minor' => 'Kleine bewerking',
	'wikieditor-publish-dialog-watch' => 'Deze pagina volgen',
	'wikieditor-publish-dialog-publish' => 'Publiceren',
	'wikieditor-publish-dialog-goback' => 'Terug',
	'wikieditor-template-editor-preference' => 'Formuliergebaseerd bewerken van wikisjablonen inschakelen',
	'wikieditor-template-editor-dialog-title' => 'Sjabloon bewerken',
	'wikieditor-template-editor-dialog-submit' => 'Bijwerken',
	'wikieditor-template-editor-dialog-cancel' => 'Annuleren',
	'wikieditor-templates-preference' => 'Inklapbare sjablonen inschakelen',
	'wikieditor-toc-preference' => 'Navigeerbare inhoudsopgave inschakelen',
	'wikieditor-toc-show' => 'Inhoud weergeven',
	'wikieditor-toc-hide' => 'Inhoud verbergen',
	'wikieditor-toolbar' => 'Bewerkingswerkbalk',
	'wikieditor-toolbar-desc' => 'Bewerkingsbalk die eenvoudiger te gebruiken is',
	'wikieditor-toolbar-preference' => 'Uitgebreide bewerkingsbalk inschakelen',
	'wikieditor-toolbar-dialogs-preference' => 'Dialogen voor het toevoegen van verwijzingen, tabellen en meer inschakelen',
	'wikieditor-toolbar-hidesig' => 'De knop voor ondertekenen in deze naamruimte verbergen',
	'wikieditor-toolbar-loading' => 'Bezig met laden…',
	'wikieditor-toolbar-tool-bold' => 'Vet',
	'wikieditor-toolbar-tool-bold-example' => 'Vetgedrukte tekst',
	'wikieditor-toolbar-tool-italic' => 'Cursief',
	'wikieditor-toolbar-tool-italic-example' => 'Cursief gedrukte tekst',
	'wikieditor-toolbar-tool-ilink' => 'Interne verwijzing',
	'wikieditor-toolbar-tool-ilink-example' => 'Verwijzingsbeschrijving',
	'wikieditor-toolbar-tool-xlink' => 'Externe verwijzing (vergeet het voorvoegsel http:// niet)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com verwijzingsbeschrijving',
	'wikieditor-toolbar-tool-link' => 'Verwijzing',
	'wikieditor-toolbar-tool-link-title' => 'Verwijzing invoegen',
	'wikieditor-toolbar-tool-link-int' => 'Naar een wikipagina',
	'wikieditor-toolbar-tool-link-int-target' => 'Doelpagina of URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Paginanaam of URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Weer te geven tekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Weer te geven tekst',
	'wikieditor-toolbar-tool-link-ext' => 'Naar een externe webpagina',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Verwijzingstekst:',
	'wikieditor-toolbar-tool-link-insert' => 'Verwijzing invoegen',
	'wikieditor-toolbar-tool-link-cancel' => 'Annuleren',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'De pagina bestaat al',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'De pagina bestaat niet',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ongeldige paginanaam',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Externe verwijzing',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Bezig met controleren of de pagina al bestaat...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'De opgegeven pagina is ongeldig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'De URL die u hebt opgegeven lijkt bedoeld te zijn als verwijzing naar een andere wikipagina.
Wilt u er een interne verwijzing van maken?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interne verwijzing',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Externe verwijzing',
	'wikieditor-toolbar-tool-link-empty' => 'U hebt niets opgegeven om naar te verwijzen.',
	'wikieditor-toolbar-tool-file' => 'Ingebed bestand',
	'wikieditor-toolbar-tool-file-example' => 'Voorbeeld.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referentie',
	'wikieditor-toolbar-tool-reference-example' => 'Plaats hier tekst voor de voetnoot',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annuleren',
	'wikieditor-toolbar-tool-reference-title' => 'Referentie invoegen',
	'wikieditor-toolbar-tool-reference-insert' => 'Invoegen',
	'wikieditor-toolbar-tool-reference-text' => 'Referentietekst',
	'wikieditor-toolbar-tool-signature' => 'Ondertekening en tijdstempel',
	'wikieditor-toolbar-section-advanced' => 'Gevorderde functies',
	'wikieditor-toolbar-tool-heading' => 'Kopje',
	'wikieditor-toolbar-tool-heading-1' => 'Niveau 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveau 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveau 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveau 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveau 5',
	'wikieditor-toolbar-tool-heading-example' => 'Koptekst',
	'wikieditor-toolbar-group-format' => 'Opmaak',
	'wikieditor-toolbar-tool-ulist' => 'Ongenummerde lijst',
	'wikieditor-toolbar-tool-ulist-example' => 'Regel in ongenummerde lijst',
	'wikieditor-toolbar-tool-olist' => 'Genummerde lijst',
	'wikieditor-toolbar-tool-olist-example' => 'Regel in genummerde lijst',
	'wikieditor-toolbar-tool-indent' => 'Inspringen',
	'wikieditor-toolbar-tool-indent-example' => 'Ingesprongen regel',
	'wikieditor-toolbar-tool-nowiki' => 'Geen wikiopmaak',
	'wikieditor-toolbar-tool-nowiki-example' => 'Hier tekst zonder opmaak invoegen',
	'wikieditor-toolbar-tool-redirect' => 'Doorverwijzing',
	'wikieditor-toolbar-tool-redirect-example' => 'Doelpagina',
	'wikieditor-toolbar-tool-big' => 'Groot',
	'wikieditor-toolbar-tool-big-example' => 'Groot gedrukte tekst',
	'wikieditor-toolbar-tool-small' => 'Klein',
	'wikieditor-toolbar-tool-small-example' => 'Klein gedrukte tekst',
	'wikieditor-toolbar-tool-superscript' => 'Superscript',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst in superscript',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst in subscript',
	'wikieditor-toolbar-group-insert' => 'Invoegen',
	'wikieditor-toolbar-tool-gallery' => 'Beeldengalerij',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Voorbeeld.jpg|Bijschrift1
$1:Voorbeeld.jpg|Bijschrift2',
	'wikieditor-toolbar-tool-newline' => 'Nieuwe regel',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kop 1
! kop 2
! kop 3
|-
| rij 1, cel 1
| rij 1, cel 2
| rij 1, cel 3
|-
| rij 2, cel 1
| rij 2, cel 2
| rij 2, cel 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celtekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Koptekst',
	'wikieditor-toolbar-tool-table-title' => 'Tabel invoegen',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rijen',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolommen',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Koprij toevoegen',
	'wikieditor-toolbar-tool-table-wikitable' => 'Celranden toevoegen',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabel sorteerbaar maken',
	'wikieditor-toolbar-tool-table-example' => 'Voorbeeld',
	'wikieditor-toolbar-tool-table-preview' => 'Voorvertoning',
	'wikieditor-toolbar-tool-table-insert' => 'Invoegen',
	'wikieditor-toolbar-tool-table-cancel' => 'Annuleren',
	'wikieditor-toolbar-tool-table-toomany' => 'Het invoegen van een tabel met meer dan $1 cellen is niet mogelijk via dit dialoogvenster.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'U hebt een ongeldig aantal regels of kolommen opgegeven.',
	'wikieditor-toolbar-tool-table-zero' => 'U kunt geen tabel invoegen zonder regels of kolommen.',
	'wikieditor-toolbar-tool-replace' => 'Zoeken en vervangen',
	'wikieditor-toolbar-tool-replace-title' => 'Zoeken en vervangen',
	'wikieditor-toolbar-tool-replace-search' => 'Zoeken naar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Vervangen door:',
	'wikieditor-toolbar-tool-replace-case' => 'Hoofdlettergevoelig',
	'wikieditor-toolbar-tool-replace-regex' => 'De zoekreeks als reguliere expressie behandelen',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Volgende zoeken',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Vervangen',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Alles vervangen',
	'wikieditor-toolbar-tool-replace-close' => 'Sluiten',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Uw zoekopdracht heeft geen resultaten opgeleverd.',
	'wikieditor-toolbar-tool-replace-success' => 'Er zijn $1 items vervangen.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'U hebt geen zoekterm opgegeven.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'De door u ingegeven reguliere expressie is ongeldig: $1',
	'wikieditor-toolbar-section-characters' => 'Speciale tekens',
	'wikieditor-toolbar-characters-page-latin' => 'Latijn',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latijn uitgebreid',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbolen',
	'wikieditor-toolbar-characters-page-greek' => 'Grieks',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrillisch',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisch',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Uitgebreid Arabisch',
	'wikieditor-toolbar-characters-page-persian' => 'Farsi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreeuws',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaals',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalees',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laotiaans',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hulp',
	'wikieditor-toolbar-help-heading-description' => 'Beschrijving',
	'wikieditor-toolbar-help-heading-syntax' => 'Wat u typt',
	'wikieditor-toolbar-help-heading-result' => 'Wat u te zien krijgt',
	'wikieditor-toolbar-help-page-format' => 'Opmaak',
	'wikieditor-toolbar-help-page-link' => 'Verwijzingen',
	'wikieditor-toolbar-help-page-heading' => 'Kopjes',
	'wikieditor-toolbar-help-page-list' => 'Lijsten',
	'wikieditor-toolbar-help-page-file' => 'Bestanden',
	'wikieditor-toolbar-help-page-reference' => 'Referenties',
	'wikieditor-toolbar-help-page-discussion' => 'Overleg',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursief',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Cursieve tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Cursief gedrukte tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Vet',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Vetgedrukte tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Vetgedrukte tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Vet en cursief',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Vet- en cursief gedrukte tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Vet- en cursief gedrukte tekst</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interne verwijzing',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Paginanaam|Verwijzingslabel]]<br />[[Paginanaam]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Verwijzingslabel</a><br /><a href='#'>Paginanaam</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Externe verwijzing',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Verwijzingslabel]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Verwijzingslabel</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kopje tweede niveau',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Koptekst==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Koptekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kopje derde niveau',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===Koptekst===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Koptekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kopje vierde niveau',
	'wikieditor-toolbar-help-content-heading4-syntax' => '====Koptekst====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Koptekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kopje vijfde niveau',
	'wikieditor-toolbar-help-content-heading5-syntax' => '=====Koptekst=====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Koptekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Ongenummerde lijst',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Regel in ongenummerde lijst<br />* Regel in ongenummerde lijst',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Regel in ongenummerde lijst</li><li>Regel in ongenummerde lijst</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Genummerde lijst',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Regel in genummerde lijst<br /># Regel in genummerde lijst',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Regel in genummerde lijst</li><li>Regel in genummerde lijst</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ingebed bestand',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Voorbeeld.png|thumb|Bijschrift]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bijschrift' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Vergroten' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bijschrift</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referentie',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Paginatekst.&lt;ref name="test"&gt;[http://www.example.org Verwijzingstekst], bijkomende tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Paginatekst. <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Hergebruik van dezelfde referentie',
	'wikieditor-toolbar-help-content-rereference-result' => "Paginatekst. <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Referenties weergeven',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Verwijzingstekst</a>, additionele tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ondertekening met tijdstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Gebruikersnaam</a> (<a href='#' title='{{#special:mytalk}}'>overleg</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ondertekening',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Gebruikersnaam</a> (<a href='#' title='{{#special:mytalk}}'>overleg</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Inspringen',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normale tekst<br />:Ingesprongen tekst<br />::Ingesprongen tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Normale tekst<dl><dd>Ingesprongen tekst<dl><dd>Ingesprongen tekst</dd></dl></dd></dl>',
);

/** Norwegian Nynorsk (‪Norsk (nynorsk)‬)
 * @author Eirik
 * @author Gunnernett
 * @author Harald Khan
 * @author Nghtwlkr
 */
$messages['nn'] = array(
	'wikieditor' => 'Avansert grensesnitt for endring av wikitekst',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Lastar',
	'wikieditor-preview-preference' => 'Ta i bruk førehandsvising side-om-side',
	'wikieditor-preview-tab' => 'Førehandsvising',
	'wikieditor-preview-changes-tab' => 'Endringar',
	'wikieditor-preview-loading' => 'Lastar…',
	'wikieditor-previewDialog-tab' => 'Førehandsvising',
	'wikieditor-previewDialog-loading' => 'Lastar…',
	'wikieditor-publish-preference' => 'Ta i bruk steg for steg-publisering',
	'wikieditor-publish-button-publish' => 'Publiser',
	'wikieditor-publish-button-cancel' => 'Avbryt',
	'wikieditor-publish-dialog-title' => 'Publiser på {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Endringssamandrag (oppsummering av kva for endringar du har gjort):',
	'wikieditor-publish-dialog-minor' => 'Småplukk',
	'wikieditor-publish-dialog-watch' => 'Overvak denne sida',
	'wikieditor-publish-dialog-publish' => 'Publiser',
	'wikieditor-publish-dialog-goback' => 'Gå tilbake',
	'wikieditor-template-editor-preference' => 'Ta i bruk skjemabasert redigering av wikimalar',
	'wikieditor-template-editor-dialog-title' => 'Endre mal',
	'wikieditor-template-editor-dialog-submit' => 'Oppdater',
	'wikieditor-template-editor-dialog-cancel' => 'Avbryt',
	'wikieditor-templates-preference' => 'Ta i bruk samanslåing av malar',
	'wikieditor-toc-preference' => 'Ta i bruk navigerbar innhaldsliste',
	'wikieditor-toc-show' => 'Vis innhald',
	'wikieditor-toc-hide' => 'Gøym innhald',
	'wikieditor-toolbar' => 'Verktøyline for redigering',
	'wikieditor-toolbar-desc' => 'Ei meir brukarvenleg verktøylinje for redigering',
	'wikieditor-toolbar-preference' => 'Ta i bruk utvida verktøylinje for redigering',
	'wikieditor-toolbar-dialogs-preference' => 'Aktiver dialogar for insetjing av lenkjer, tabellar og meir',
	'wikieditor-toolbar-loading' => 'Lastar …',
	'wikieditor-toolbar-tool-bold' => 'Feit',
	'wikieditor-toolbar-tool-bold-example' => 'Feit tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiv tekst',
	'wikieditor-toolbar-tool-ilink' => 'Intern lenkja',
	'wikieditor-toolbar-tool-ilink-example' => 'Lenkjetittel',
	'wikieditor-toolbar-tool-xlink' => 'Ekstern lenkja (hugs http:// -forstavinga)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com lenkjetittel',
	'wikieditor-toolbar-tool-link' => 'Lenkja',
	'wikieditor-toolbar-tool-link-title' => 'Set inn lenkja',
	'wikieditor-toolbar-tool-link-int' => 'Til ei wikisida',
	'wikieditor-toolbar-tool-link-int-target' => 'Måltittel eller -internettadressa',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sidetittel eller -internettadressa',
	'wikieditor-toolbar-tool-link-int-text' => 'Lenkjetekst:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Skriv inn teksten som skal visa',
	'wikieditor-toolbar-tool-link-ext' => 'Til ei ekstern nettsida',
	'wikieditor-toolbar-tool-link-ext-target' => 'Adressa:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Lenkjetekst:',
	'wikieditor-toolbar-tool-link-insert' => 'Set inn lenkja',
	'wikieditor-toolbar-tool-link-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sida finst',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sida finst ikkje',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ugyldig tittel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ekstern lenkja',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrollerer om sida finnst...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Tittelen du oppgav er ikkje gyldig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Lenkja du oppgav ser ut til å vera meint som ei lenkja til ei anna wikisida. Ynskjer du å gjera ho til ei intern lenkja?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Intern lenkja',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ekstern lenkja',
	'wikieditor-toolbar-tool-link-empty' => 'Du skreiv ikkje inn noko å lenkja til.',
	'wikieditor-toolbar-tool-file' => 'Fil',
	'wikieditor-toolbar-tool-file-example' => 'Døme.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referanse',
	'wikieditor-toolbar-tool-reference-example' => 'Set inn referansetekst her',
	'wikieditor-toolbar-tool-reference-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-reference-title' => 'Set inn referanse',
	'wikieditor-toolbar-tool-reference-insert' => 'Set inn',
	'wikieditor-toolbar-tool-reference-text' => 'Referansetekst',
	'wikieditor-toolbar-tool-signature' => 'Signatur med tidsstempel',
	'wikieditor-toolbar-section-advanced' => 'Avansert',
	'wikieditor-toolbar-tool-heading' => 'Overskrift',
	'wikieditor-toolbar-tool-heading-1' => 'Nivå 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivå 1',
	'wikieditor-toolbar-tool-heading-3' => 'Nivå 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivå 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivå 5',
	'wikieditor-toolbar-tool-heading-example' => 'Overskriftstekst',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Punktlista',
	'wikieditor-toolbar-tool-ulist-example' => 'Punktlisteelement',
	'wikieditor-toolbar-tool-olist' => 'Nummerert lista',
	'wikieditor-toolbar-tool-olist-example' => 'Nummerert listeelement',
	'wikieditor-toolbar-tool-indent' => 'Innrykk',
	'wikieditor-toolbar-tool-indent-example' => 'Innrykt lina',
	'wikieditor-toolbar-tool-nowiki' => 'Inga wikiformatering',
	'wikieditor-toolbar-tool-nowiki-example' => 'Set inn uformatert tekst her',
	'wikieditor-toolbar-tool-redirect' => 'Omdirigering',
	'wikieditor-toolbar-tool-redirect-example' => 'Målsidenamn',
	'wikieditor-toolbar-tool-big' => 'Stor',
	'wikieditor-toolbar-tool-big-example' => 'Stor tekst',
	'wikieditor-toolbar-tool-small' => 'Liten',
	'wikieditor-toolbar-tool-small-example' => 'Liten tekst',
	'wikieditor-toolbar-tool-superscript' => 'Heva skrift',
	'wikieditor-toolbar-tool-superscript-example' => 'Opphøgd tekst',
	'wikieditor-toolbar-tool-subscript' => 'Senka skrift',
	'wikieditor-toolbar-tool-subscript-example' => 'Senka skrift',
	'wikieditor-toolbar-group-insert' => 'Set inn',
	'wikieditor-toolbar-tool-gallery' => 'Biletgalleri',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Døme.jpg|Bilettekst1
$1:Døme.jpg|Bilettekst2',
	'wikieditor-toolbar-tool-newline' => 'Ny lina',
	'wikieditor-toolbar-tool-table' => 'Tabell',
	'wikieditor-toolbar-tool-table-example-old' => '-
! overskrift 1
! overskrift 2
! overskrift 3
|-
| rad 1, selle 1
| rad 1, selle 2
| rad 1, selle 3
|-
| rad 2, selle 1
| rad 2, selle 2
| rad 2, selle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Selletekst',
	'wikieditor-toolbar-tool-table-example-header' => 'Overskriftstekst',
	'wikieditor-toolbar-tool-table-title' => 'Set inn tabell',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rader',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolonner',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Legg til overskriftsrad',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil med kantar',
	'wikieditor-toolbar-tool-table-sortable' => 'Gjer tabellen sorterbar',
	'wikieditor-toolbar-tool-table-example' => 'Døme',
	'wikieditor-toolbar-tool-table-preview' => 'Førehandsvising',
	'wikieditor-toolbar-tool-table-insert' => 'Set inn',
	'wikieditor-toolbar-tool-table-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-table-toomany' => 'Det er ikkje mogleg å setja inn meir enn $1 seller med denne dialogen.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du har ikkje skrive inn eit gyldig tal på rader eller kolonner.',
	'wikieditor-toolbar-tool-table-zero' => 'Ein kan ikkje setja inn ein tabell med null rader eller kolonner.',
	'wikieditor-toolbar-tool-replace' => 'Søk og erstatt',
	'wikieditor-toolbar-tool-replace-title' => 'Søk og erstatt',
	'wikieditor-toolbar-tool-replace-search' => 'Søk etter:',
	'wikieditor-toolbar-tool-replace-replace' => 'Erstatt med:',
	'wikieditor-toolbar-tool-replace-case' => 'Skil mellom små og store bokstavar',
	'wikieditor-toolbar-tool-replace-regex' => 'Handsam søkjestrengen som eit regulæruttrykk',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Finn neste',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Erstatt alle',
	'wikieditor-toolbar-tool-replace-close' => 'Lukk',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Søket gav ingen resultat.',
	'wikieditor-toolbar-tool-replace-success' => 'Gjorde $1 erstatting(ar).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du skreiv ikkje inn noko å søkja etter.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Regulæruttrykket du skreiv inn er ugyldig: $1',
	'wikieditor-toolbar-section-characters' => 'Spesialteikn',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Utvida latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbol',
	'wikieditor-toolbar-characters-page-greek' => 'Gresk',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrillisk',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisk',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraisk',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalesisk',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'Hjelp',
	'wikieditor-toolbar-help-heading-description' => 'Skildring',
	'wikieditor-toolbar-help-heading-syntax' => 'Kva du skriv inn',
	'wikieditor-toolbar-help-heading-result' => 'Kva du får',
	'wikieditor-toolbar-help-page-format' => 'Formatering',
	'wikieditor-toolbar-help-page-link' => 'Lenkjer',
	'wikieditor-toolbar-help-page-heading' => 'Overskrifter',
	'wikieditor-toolbar-help-page-list' => 'Lister',
	'wikieditor-toolbar-help-page-file' => 'Filer',
	'wikieditor-toolbar-help-page-reference' => 'Referansar',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusjon',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiv tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiv tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Feit',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Feit tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Feit tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Feit og kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Feit og kursiv tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Feit og kursiv tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Intern lenkja',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[sidetittel|lenkjenamn]]<br />[[sidetittel]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>lenkjenamn</a><br /><a href='#'>sidetittel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ekstern lenkja',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.døme.org Lenkjenamn]<br />[http://www.døme.org]<br />http://www.døme.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Lenkjetekst</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.døme.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Overskrift på andre nivå',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Overskriftstekst ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Overskriftstekst</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Overskrift på tredje nivå',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Overskriftstekst ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Overskriftstekst</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Overskrift på fjerde nivå',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Overskriftstekst ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Overskriftstekst</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Overskrift på femte nivå',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Overskriftstekst =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Overskriftstekst</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punktlista',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listeelement<br />* Listeelement',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listeelement</li><li>Listeelement</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nummerert lista',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listeelement<br /># Listeelement',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listeelement</li><li>Listeelement</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fil',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Bilettekst]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bilettekst'class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Forstørr' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bilettekst</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referanse',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sidetekst.&lt;ref name="test"&gt;[http://www.døme.org Lenkjetekst], ekstra lenkjetekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sidetekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ytterlegare bruk av same referanse',
	'wikieditor-toolbar-help-content-rereference-result' => "Sidetekst.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Vis referansar',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.døme.org' class='external text' href='#'>Lenkjetekst</a>, ekstra tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatur med tidsstempel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Brukarnamn</a> (<a href='#' title='{{#special:mytalk}}'>diskusjon</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Brukarnamn</a> (<a href='#' title='{{#special:mytalk}}'>diskusjon</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Innrykk',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal tekst<br />:Tekst med innrykk<br />::Tekst med innrykk',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal tekst<dl><dd>Tekst med innrykk<dl><dd>Tekst med innrykk</dd></dl></dd></dl>',
);

/** Northern Sotho (Sesotho sa Leboa)
 * @author Mohau
 */
$messages['nso'] = array(
	'wikieditor-loading' => 'Laiša',
	'wikieditor-preview-changes-tab' => 'Diphetogo',
	'wikieditor-preview-loading' => 'Laiša...',
	'wikieditor-publish-button-cancel' => 'Khansela',
	'wikieditor-publish-dialog-goback' => 'Boela morago',
	'wikieditor-template-editor-dialog-cancel' => 'Khansela',
	'wikieditor-toolbar-loading' => 'Laiša...',
	'wikieditor-toolbar-tool-xlink' => 'Hlomaganyo ya kantle (gopola go thoma ka http://)',
	'wikieditor-toolbar-tool-link' => 'Hlomaganyo',
	'wikieditor-toolbar-tool-link-title' => 'Lokela hlomaganyo',
	'wikieditor-toolbar-tool-link-cancel' => 'Khansela',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Letlakala le gona',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Letlakala ga le hwetšagale',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Hlogo gaya dumelwa',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Hhlomaganyo ya kantle',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Hhlomaganyo ya kantle',
	'wikieditor-toolbar-tool-reference-cancel' => 'Khansela',
	'wikieditor-toolbar-tool-heading' => 'Hlogo-taba',
	'wikieditor-toolbar-tool-table-example' => 'Mohlala',
	'wikieditor-toolbar-tool-table-cancel' => 'Khansela',
	'wikieditor-toolbar-help-page-link' => 'Dihlomaganyo',
	'wikieditor-toolbar-help-content-xlink-description' => 'Hhlomaganyo ya kantle',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Ditlhaka tša hlogo-taba ==',
	'wikieditor-toolbar-help-content-heading3-syntax' => '== Ditlhaka tša hlogo-taba ==',
	'wikieditor-toolbar-help-content-heading4-syntax' => '== Ditlhaka tša hlogo-taba ==',
	'wikieditor-toolbar-help-content-heading5-syntax' => '== Ditlhaka tša hlogo-taba ==',
);

/** Occitan (Occitan)
 * @author Boulaur
 * @author Cedric31
 * @author Jfblanc
 * @author McDutchie
 */
$messages['oc'] = array(
	'wikieditor' => 'Interfàcia avançada de modificacion de wikitèxte',
	'wikieditor-desc' => 'Provesís una interfàcia de modificacion de wikitèxte extensible e mantuna foncionalitats.',
	'wikieditor-wikitext-tab' => 'Wikitèxte',
	'wikieditor-loading' => 'Cargament',
	'wikieditor-preview-preference' => 'Activar la previsualizacion còsta a còsta',
	'wikieditor-preview-tab' => 'Previsualizacion',
	'wikieditor-preview-changes-tab' => 'Cambiaments',
	'wikieditor-preview-loading' => 'Cargament...',
	'wikieditor-previewDialog-tab' => 'Previsualizacion',
	'wikieditor-previewDialog-loading' => 'Cargament...',
	'wikieditor-publish-preference' => 'Activar la publicacion etapa per etapa',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Anullar',
	'wikieditor-publish-dialog-title' => 'Publicar sus {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Resumit de modificacion (descrivètz brèvament los cambiaments qu'avètz aportats) :",
	'wikieditor-publish-dialog-minor' => 'Modificacion menora',
	'wikieditor-publish-dialog-watch' => 'Seguir aquesta pagina',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Retorn',
	'wikieditor-template-editor-preference' => 'Activar la modificacion a basa de formularis dels modèls wiki',
	'wikieditor-template-editor-dialog-title' => 'Modificar lo modèl',
	'wikieditor-template-editor-dialog-submit' => 'Metre a jorn',
	'wikieditor-template-editor-dialog-cancel' => 'Anullar',
	'wikieditor-templates-preference' => 'Activar lo replegament dels modèls',
	'wikieditor-toc-preference' => "Activar l'ensenhador navigable",
	'wikieditor-toc-show' => 'Afichar lo contengut',
	'wikieditor-toc-hide' => 'Amagar lo contengut',
	'wikieditor-toolbar' => 'Modificacion de la barra d’espleches',
	'wikieditor-toolbar-desc' => "Modificacion de la barra d'espleches amb l'utilizabilitat melhorada",
	'wikieditor-toolbar-preference' => "Activar la barra d'espleches melhorada",
	'wikieditor-toolbar-dialogs-preference' => 'Activar las bóstias de dialòg per apondre de ligams, de tablèus e mai encara',
	'wikieditor-toolbar-loading' => 'Cargament ...',
	'wikieditor-toolbar-tool-bold' => 'Gras',
	'wikieditor-toolbar-tool-bold-example' => 'Tèxte en gras',
	'wikieditor-toolbar-tool-italic' => 'Italica',
	'wikieditor-toolbar-tool-italic-example' => 'Tèxte en italica',
	'wikieditor-toolbar-tool-ilink' => 'Ligam intèrne',
	'wikieditor-toolbar-tool-ilink-example' => 'Títol del ligam',
	'wikieditor-toolbar-tool-xlink' => 'Ligam extèrne ( doblidetz pas lo prefix http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com títol del ligam',
	'wikieditor-toolbar-tool-link' => 'Ligam',
	'wikieditor-toolbar-tool-link-title' => 'Inserir un ligam',
	'wikieditor-toolbar-tool-link-int' => 'Cap a un article / una pagina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Títol de l’article :',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Títol de la pagina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tèxte del ligam :',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Entratz lo tèxte que deuriá èsser afichat',
	'wikieditor-toolbar-tool-link-ext' => 'Cap a una pagina web extèrna',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL cibla del ligam :',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tèxte del ligam :',
	'wikieditor-toolbar-tool-link-insert' => 'Inserir lo ligam',
	'wikieditor-toolbar-tool-link-cancel' => 'Abandonar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pagina existís',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pagina existís pas',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Títol invalid',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ligam extèrne',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Verificacion de l'existéncia de la pagina...",
	'wikieditor-toolbar-tool-link-int-invalid' => "Lo títol qu'avètz especificat es incorrècte.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "L'URL qu'avètz especificada sembla ligar cap a una autra pagina del wiki. Volètz utilizar un ligam intèrne a la plaça ?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ligam intèrne',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ligam extèrne',
	'wikieditor-toolbar-tool-link-empty' => 'Avètz pas entrat res que pòsca èsser ligat.',
	'wikieditor-toolbar-tool-file' => 'Fichièr inserit',
	'wikieditor-toolbar-tool-file-example' => 'Exemple.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referéncia',
	'wikieditor-toolbar-tool-reference-example' => 'Inserir lo tèxte de la nòta en bas de pagina aicí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anullar',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserir',
	'wikieditor-toolbar-tool-signature' => 'Signatura e data',
	'wikieditor-toolbar-section-advanced' => 'Avançat',
	'wikieditor-toolbar-tool-heading' => 'Títol',
	'wikieditor-toolbar-tool-heading-1' => 'Nivèl 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivèl 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivèl 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivèl 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivèl 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tèxte del títol',
	'wikieditor-toolbar-group-format' => 'Lista',
	'wikieditor-toolbar-tool-ulist' => 'Lista amb de piuses',
	'wikieditor-toolbar-tool-ulist-example' => 'Element de la lista amb de piuses',
	'wikieditor-toolbar-tool-olist' => 'Lista numerotada',
	'wikieditor-toolbar-tool-olist-example' => 'Element de la lista numerotada',
	'wikieditor-toolbar-tool-indent' => 'Indentacion',
	'wikieditor-toolbar-tool-indent-example' => 'Linha indentada',
	'wikieditor-toolbar-tool-big' => 'Grand',
	'wikieditor-toolbar-tool-big-example' => 'Tèxte grand',
	'wikieditor-toolbar-tool-small' => 'Pichon',
	'wikieditor-toolbar-tool-small-example' => 'Tèxte pichon',
	'wikieditor-toolbar-tool-superscript' => 'Exponent',
	'wikieditor-toolbar-tool-superscript-example' => 'Tèxte en exponent',
	'wikieditor-toolbar-tool-subscript' => 'Indici',
	'wikieditor-toolbar-tool-subscript-example' => 'Tèxte en indici',
	'wikieditor-toolbar-group-insert' => 'Inserir',
	'wikieditor-toolbar-tool-gallery' => 'Galariá de fichièrs',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemple.jpg|Descripcion 1
$1:Exemple.jpg|Descripcion 2',
	'wikieditor-toolbar-tool-newline' => 'Saut de linha',
	'wikieditor-toolbar-tool-table' => 'Tablèu',
	'wikieditor-toolbar-tool-table-example-old' => '-
! entèsta 1
! entèsta 2
! entèsta 3
|-
| linha 1, casa 1
| linha 1, casa 2
| linha 1, casa 3
|-
| linha 2, casa 1
| linha 2, casa 2
| linha 2, casa 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Tèxte de la cellula',
	'wikieditor-toolbar-tool-table-example-header' => "Tèxte de l'entèsta",
	'wikieditor-toolbar-tool-table-title' => 'Inserir un tablèu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linhas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colomnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => "Inclure la linha d'entèsta",
	'wikieditor-toolbar-tool-table-wikitable' => 'Estil amb bordaduras',
	'wikieditor-toolbar-tool-table-sortable' => 'Far lo tablèu triable',
	'wikieditor-toolbar-tool-table-example' => 'Tèxte de la cellula',
	'wikieditor-toolbar-tool-table-preview' => 'Previsualizacion',
	'wikieditor-toolbar-tool-table-insert' => 'Inserir',
	'wikieditor-toolbar-tool-table-cancel' => 'Anullar',
	'wikieditor-toolbar-tool-table-toomany' => "Es pas possible d'inserir un tablèu de mai de $1 cellulas amb aquesta aisina.",
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Avètz pas entrat un nombre de linhas o de colomnas valid.',
	'wikieditor-toolbar-tool-table-zero' => 'Podètz pas inserir un tablèu sens linha o sens colomna.',
	'wikieditor-toolbar-tool-replace' => 'Recercar & remplaçar',
	'wikieditor-toolbar-tool-replace-title' => 'Recercar e remplaçar',
	'wikieditor-toolbar-tool-replace-search' => 'Recercar :',
	'wikieditor-toolbar-tool-replace-replace' => 'Remplaçar amb :',
	'wikieditor-toolbar-tool-replace-case' => 'Far correspondre la cassa',
	'wikieditor-toolbar-tool-replace-regex' => 'Tractar la cadena de recèrca coma una expression regulara',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Recercar lo seguent',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Remplaçar tot',
	'wikieditor-toolbar-tool-replace-close' => 'Tampar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Vòstra recèrca a pas trobat cap de correspondéncia.',
	'wikieditor-toolbar-tool-replace-success' => '$1 remplaçaments faches.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Avètz pas indicat de tèxte de recercar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'expression racionala entrada es invalida : $1",
	'wikieditor-toolbar-section-characters' => 'Caractèrs especials',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin espandit',
	'wikieditor-toolbar-characters-page-ipa' => 'API',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbòls',
	'wikieditor-toolbar-characters-page-greek' => 'Grèc',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirillic',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebrieu',
	'wikieditor-toolbar-characters-page-telugu' => 'Telogó',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalés',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => 'Ajuda',
	'wikieditor-toolbar-help-heading-description' => 'Descripcion',
	'wikieditor-toolbar-help-heading-syntax' => 'Çò que picatz',
	'wikieditor-toolbar-help-heading-result' => "Çò qu'obtenètz",
	'wikieditor-toolbar-help-page-format' => 'Formatatge',
	'wikieditor-toolbar-help-page-link' => 'Ligams',
	'wikieditor-toolbar-help-page-heading' => 'Títols',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Fichièrs',
	'wikieditor-toolbar-help-page-reference' => 'Referéncias',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Italica',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tèxte en italica''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tèxte en italica</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Gras',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tèxte en gras'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tèxte en gras</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Gras &amp; italica',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tèxte en gras &amp; en italica'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tèxte en gras &amp; en italica</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ligam intèrne',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Títol de la pagina|Tèxte del ligam]]<br />[[Títol de la pagina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tèxte del ligam</a><br /><a href='#'>Títol de la pagina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ligam extèrne',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.exemple.org Tèxte del ligam]<br />[http://www.exemple.org]<br />http://www.exemple.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tèxte del ligam</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.exemple.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Títol de segond nivèl',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Tèxte del títol ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Tèxte del títol</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Títol de tresen nivèl',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tèxte del títol ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Tèxte del títol</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Títol de quatren nivèl',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tèxte del títol ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Tèxte del títol</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Títol de cinquen nivèl',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Tèxte del títol =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Tèxte del títol</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista amb de piuses',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element de la lista<br />* Element de la lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Element de la lista</li><li>Element de la lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerotada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element de la lista<br /># Element de la lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Element de la lista</li><li>Element de la lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fichièr inserit',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Tèxte afichat]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Tèxte afichat' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tèxte afichat</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referéncia',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Tèxte de la pagina.&lt;ref name="test"&gt;[http://www.example.org tèxte del ligam], tèxte adicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Tèxte de la pagina <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Utilizacion adicionala de la meteissa referéncia',
	'wikieditor-toolbar-help-content-rereference-result' => "Tèxte de la pagina <sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Afichar las referéncias',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Tèxte del ligam</a>, tèxte adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Signatura amb data',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nom d'utilizaire</a> (<a href='#' title='{{#special:mytalk}}'>discutir</a>) 10 de junh de 2009 a 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nom d'utilizaire</a> (<a href='#' title='{{#special:mytalk}}'>discutir</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Identacion',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Tèxte normal<br />:Tèxte indentat<br />::Tèxte indentat',
	'wikieditor-toolbar-help-content-indent-result' => 'Tèxte normal<dl><dd>Tèxte indentat<dl><dd>Tèxte indentat</dd></dl></dd></dl>',
);

/** Oriya (ଓଡ଼ିଆ)
 * @author Ansumang
 * @author Odisha1
 * @author Psubhashish
 */
$messages['or'] = array(
	'wikieditor' => 'ଉନ୍ନତ ଉଇକିଟେକ୍ସଟ ସମ୍ପାଦନା ଇଣ୍ଟରଫେସ',
	'wikieditor-desc' => 'ଏକ ଉନ୍ନତ ଉଇକିଟେକ୍ସଟ ସମ୍ପାଦନା ଇଣ୍ଟରଫେସ ଓ ଅନେକ ସୁବିଧା ଯୋଗାଣକାରୀ ମଡ୍ୟୁଲ ଯୋଗାଇଥାଏ',
	'wikieditor-wikitext-tab' => 'ଉଇକିଟେକ୍ସଟ',
	'wikieditor-loading' => 'ଖୋଜୁଅଛି',
	'wikieditor-preview-preference' => 'ପାଖାପାଖି ଦେଖଣା ସଚଳ କରାଇବେ',
	'wikieditor-preview-tab' => 'ସାଇତା ଆଗରୁ ଦେଖଣା',
	'wikieditor-preview-changes-tab' => 'ବଦଳସବୁ',
	'wikieditor-preview-loading' => 'ଖୋଲୁଅଛି...',
	'wikieditor-previewDialog-preference' => 'ଦେଖଣା ଘରଟି ଖୋଲୁଅଛି',
	'wikieditor-previewDialog-tab' => 'ସାଇତା ଆଗରୁ ଦେଖଣା',
	'wikieditor-previewDialog-loading' => 'ଖୋଲୁଅଛି...',
	'wikieditor-publish-preference' => 'ସ୍ତର ପରେ ସ୍ତର ପ୍ରକାଶନ',
	'wikieditor-publish-button-publish' => 'ପ୍ରକାଶ କରିବେ',
	'wikieditor-publish-button-cancel' => 'ନାକଚ',
	'wikieditor-publish-dialog-title' => '{{SITENAME}}ରେ ପ୍ରକାଶିତ କରିବେ',
	'wikieditor-publish-dialog-summary' => 'ସାରକଥା ସମ୍ପାଦନ କରିବେ (ଆପଣ କରିଥିବା ବଦଳସବୁକୁ ଅଳ୍ପରେ ବଖାଣିବେ):',
	'wikieditor-publish-dialog-minor' => 'ଟିକେ ବଦଳ',
	'wikieditor-publish-dialog-watch' => 'ଏହି ପୃଷ୍ଠାଟିକୁ ଦେଖିବେ',
	'wikieditor-publish-dialog-publish' => 'ପ୍ରକାଶ କରିବେ',
	'wikieditor-publish-dialog-goback' => 'ପଛକୁ ଫେରିବେ',
	'wikieditor-template-editor-preference' => 'ଉଇକି-ଛାଞ୍ଚସବୁର ଫର୍ମ ବାଲା ସମ୍ପାଦନାକୁ ସଚଳ କରାଇବେ',
	'wikieditor-template-editor-dialog-title' => 'ଛାଞ୍ଚ ସମ୍ପାଦନ କରିବେ',
	'wikieditor-template-editor-dialog-submit' => 'ଅପଡେଟ',
	'wikieditor-template-editor-dialog-cancel' => 'ନାକଚ',
	'wikieditor-templates-preference' => 'ଛାଞ୍ଚର ଦେଖାଇବା-ଲୁଚାଇବା ସୁବିଧ ସଚଳ କରିବେ',
	'wikieditor-toc-preference' => 'ଖୋଜା ଯାଇପାରୁଥିବା ସୂଚି',
	'wikieditor-toc-show' => 'ସୂଚି ଦେଖାଇବେ',
	'wikieditor-toc-hide' => 'ସୂଚି ଲୁଚାଇବେ',
	'wikieditor-toolbar' => 'ସମ୍ପାଦନା ଉପକରଣ ପଟିକା',
	'wikieditor-toolbar-desc' => 'ଅଧିକ ବ୍ୟବହାର ସୁବିଧା ସହ ପୃଷ୍ଠା ସମ୍ପାଦନା ଉପକରଣ ପଟିକା',
	'wikieditor-toolbar-preference' => 'ଉନ୍ନତ ସମ୍ପାଦନା ଉପକରଣ ପେଡ଼ିକୁ ସଚଳ କରିବେ',
	'wikieditor-toolbar-dialogs-preference' => 'ଲିଙ୍କ, ସାରଣୀ ଓ ଅଧିକ ସୁବିଧା ସବୁ ଯୋଡ଼ିବା ନିମନ୍ତେ ଆଦେଶ ସଚଳ କରାଇବେ',
	'wikieditor-toolbar-hidesig' => 'ମୂଳ ନେମସ୍ପେସରେ ପୃଷ୍ଠାମାନଙ୍କରୁ  ସନ୍ତକ ଦେବା ସୁବିଧାଟିକୁ ଲୁଚାଇଦେବେ',
	'wikieditor-toolbar-loading' => 'ଖୋଲୁଅଛି...',
	'wikieditor-toolbar-tool-bold' => 'ମୋଟା ଅକ୍ଷର',
	'wikieditor-toolbar-tool-bold-example' => 'ମୋଟା ଲେଖା',
	'wikieditor-toolbar-tool-italic' => 'ତେରେଛା',
	'wikieditor-toolbar-tool-italic-example' => 'ତେରେଛା ଲେଖା',
	'wikieditor-toolbar-tool-ilink' => 'ଭିତର ଲିଙ୍କ',
	'wikieditor-toolbar-tool-ilink-example' => 'ଲିଙ୍କ ଶିରୋନାମା',
	'wikieditor-toolbar-tool-xlink' => 'ବାହାର ଲିଙ୍କ (http:// ଆଗରେ ଲଗାଇବାକୁ ମନେରଖିଥିବେ)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ଲିଙ୍କ ଶିରୋନାମା',
	'wikieditor-toolbar-tool-link' => 'ଲିଙ୍କ',
	'wikieditor-toolbar-tool-link-title' => 'ଲିଙ୍କ ପୁରାଇବେ',
	'wikieditor-toolbar-tool-link-int' => 'ଏକ ଉଇକି ପୃଷ୍ଠାକୁ',
	'wikieditor-toolbar-tool-link-int-target' => 'ଲକ୍ଷ ପୃଷ୍ଠା ବା URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'ପୃଷ୍ଠା ଶିରୋନାମା ଅବା URL',
	'wikieditor-toolbar-tool-link-int-text' => 'ଦେଖଣା ଲେଖା:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'ଦେଖଣା ଲେଖା',
	'wikieditor-toolbar-tool-link-ext' => 'ଏକ ବାହାର ଵେବ ପୃଷ୍ଠା ନିମନ୍ତେ',
	'wikieditor-toolbar-tool-link-ext-target' => 'ଲିଙ୍କ URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'ଲିଙ୍କ ଲେଖା:',
	'wikieditor-toolbar-tool-link-insert' => 'ଲିଙ୍କ ପୁରାଇବେ',
	'wikieditor-toolbar-tool-link-cancel' => 'ନାକଚ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'ପୃଷ୍ଠାଟି ଅଛି',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'ପୃଷ୍ଠାଟି ନାହିଁ',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ଅଚଳ ଶିରୋନାମା',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'ବାହାର ଲିଙ୍କ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'ପୃଷ୍ଠାର ସ୍ଥିତି ଦେଖୁଅଛି...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ଆପଣ ଦେଇଥିବା ଶିରୋନାମାଟି ଅଚଳ ଅଟେ ।',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'ଆପଣ ଦେଇଥିବା URL ଟି ଆଉ ଗୋଟେ ଉଇକି ପୃଷ୍ଠାର ଲିଙ୍କ ଭଳି ବୋଧ ହେଉଛି ।
ଆପଣ ଏହାକୁ ଏକ ଭିତର ଲିଙ୍କ କରିବାକୁ ଚାହାନ୍ତି କି?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'ଭିତର ଲିଙ୍କ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'ବାହାର ଲିଙ୍କ',
	'wikieditor-toolbar-tool-link-empty' => 'ଆପଣ କିଛି ଲିଙ୍କ ସମ୍ପର୍କିତ କରିବା ପାଇଁ ଦେଇନାହାନ୍ତି ।',
	'wikieditor-toolbar-tool-file' => 'ଏମବେଡ଼ ହୋଇ ଥିବା ଫାଇଲ',
	'wikieditor-toolbar-tool-file-example' => 'ଉଦାହରଣ.jpg',
	'wikieditor-toolbar-tool-reference' => 'ଆଧାର',
	'wikieditor-toolbar-tool-reference-example' => 'ଏଠାରେ ପାଦଟୀକାଟି ରଖିବେ',
	'wikieditor-toolbar-tool-reference-cancel' => 'ନାକଚ',
	'wikieditor-toolbar-tool-reference-title' => 'ଆଧାର ଦେବେ',
	'wikieditor-toolbar-tool-reference-insert' => 'ଭରିବେ',
	'wikieditor-toolbar-tool-reference-text' => 'ଆଧାର ଲେଖା',
	'wikieditor-toolbar-tool-signature' => 'ସନ୍ତକ ଓ ସମୟଚିହ୍ନ',
	'wikieditor-toolbar-section-advanced' => 'ଉନ୍ନତ',
	'wikieditor-toolbar-tool-heading' => 'ଶିରୋନାମା',
	'wikieditor-toolbar-tool-heading-1' => 'ସ୍ତର ୧',
	'wikieditor-toolbar-tool-heading-2' => 'ସ୍ତର ୨',
	'wikieditor-toolbar-tool-heading-3' => 'ସ୍ତର ୩',
	'wikieditor-toolbar-tool-heading-4' => 'ସ୍ତର ୪',
	'wikieditor-toolbar-tool-heading-5' => 'ସ୍ତର ୫',
	'wikieditor-toolbar-tool-heading-example' => 'ଶିରୋନାମା ଲେଖା',
	'wikieditor-toolbar-group-format' => 'ସଜାଣି',
	'wikieditor-toolbar-tool-ulist' => 'ବିନ୍ଦୁ ଦିଆ ତାଲିକା',
	'wikieditor-toolbar-tool-ulist-example' => 'ବିନ୍ଦୁ ଦିଆ ତାଲିକା ବସ୍ତୁ',
	'wikieditor-toolbar-tool-olist' => 'ସଂଖ୍ୟାଦିଆ ତାଲିକା',
	'wikieditor-toolbar-tool-olist-example' => 'ସଂଖ୍ୟା ଦିଆ ତାଲିକା ବସ୍ତୁ',
	'wikieditor-toolbar-tool-indent' => 'ଅନୁଚ୍ଛେଦ ଛାଡ଼',
	'wikieditor-toolbar-tool-indent-example' => 'ମାର୍ଜିନରୁ ଆରମ୍ଭ ଧାଡ଼ି',
	'wikieditor-toolbar-tool-nowiki' => 'ଉଇକି ସଜାଣି ବିନା',
	'wikieditor-toolbar-tool-nowiki-example' => 'ଅସଜଡ଼ା ଲେଖା ଏଠାରେ ଭରିବେ',
	'wikieditor-toolbar-tool-redirect' => 'ପୁନପ୍ରେରଣ',
	'wikieditor-toolbar-tool-redirect-example' => 'ମୁକାମ ପୃଷ୍ଠାର ନାମ',
	'wikieditor-toolbar-tool-big' => 'ବଡ଼',
	'wikieditor-toolbar-tool-big-example' => 'ବଡ଼ ଅକ୍ଷର',
	'wikieditor-toolbar-tool-small' => 'ଛୋଟ',
	'wikieditor-toolbar-tool-small-example' => 'ଛୋଟ ଅକ୍ଷର',
	'wikieditor-toolbar-tool-superscript' => 'ଉପର ଅକ୍ଷର',
	'wikieditor-toolbar-tool-superscript-example' => 'ଉପର ଛୋଟ ଅକ୍ଷର',
	'wikieditor-toolbar-tool-subscript' => 'ପାଦାଙ୍କ',
	'wikieditor-toolbar-tool-subscript-example' => 'ପାଦାଙ୍କ',
	'wikieditor-toolbar-group-insert' => 'ଭରିବେ',
	'wikieditor-toolbar-tool-gallery' => 'ଛବି ସମୂହ',
	'wikieditor-toolbar-tool-gallery-example' => '$1:ଉଦାହରଣ.jpg|ଶିରୋନାମା୧
$1:ଉଦାହରଣ.jpg|ଶିରୋନାମା୨',
	'wikieditor-toolbar-tool-newline' => 'ନୂଆ ଧାଡ଼ି',
	'wikieditor-toolbar-tool-table' => 'ସାରଣୀ',
	'wikieditor-toolbar-tool-table-example-old' => '-
! ଶିରୋନାମା ୧
! ଶିରୋନାମା ୨
! ଶିରୋନାମା ୩
|-
| ଧାଡ଼ି ୧, କୋଷ ୧
| ଧାଡ଼ି ୧, କୋଷ ୨
| ଧାଡ଼ି ୧, କୋଷ ୩
|-
| ଧାଡ଼ି ୨, କୋଷ ୧
| ଧାଡ଼ି ୨, କୋଷ ୨
| ଧାଡ଼ି ୨, କୋଷ ୩',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'କୋଷ ଲେଖା',
	'wikieditor-toolbar-tool-table-example-header' => 'ଶିରୋନାମା ଲେଖା',
	'wikieditor-toolbar-tool-table-title' => 'ସାରଣିଟିଏ ପୁରାନ୍ତୁ',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ଧାଡ଼ି',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ସ୍ତମ୍ଭସବୁ',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ଉପର ଶିରୋନାମା ଧାଡ଼ି',
	'wikieditor-toolbar-tool-table-wikitable' => 'ସୀମା ସହିତ ସଜାଣି',
	'wikieditor-toolbar-tool-table-sortable' => 'ଶ୍ରେଣୀ ଅନୁସାରେ ସାରଣି ତିଆରି କରିବେ',
	'wikieditor-toolbar-tool-table-example' => 'ଉଦାହରଣ',
	'wikieditor-toolbar-tool-table-preview' => 'ସାଇତା ଆଗରୁ ଦେଖଣା',
	'wikieditor-toolbar-tool-table-insert' => 'ଭରିବେ',
	'wikieditor-toolbar-tool-table-cancel' => 'ନାକଚ',
	'wikieditor-toolbar-tool-table-toomany' => 'ଏହି ଆଦେଶରେ $1 ରୁ ଅଧିକ କୋଷ ଥିବା ସାରଣୀ ପୁରାଇବା ସମ୍ଭବପର ନୁହେଁ ।',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'ଆପଣ ଏକ ସଠିକ ଧାଡ଼ି ଓ ସ୍ତମ୍ଭ ସଂଖ୍ୟା ଦେଇ ନାହାନ୍ତି ।',
	'wikieditor-toolbar-tool-table-zero' => 'ଆପଣ କିଛି ଧାଡ଼ି ବ ସ୍ତମ୍ଭ ନଥାଇ ସାରଣୀଟିଏ ପୁରାଇପାରିବେ ନାହିଁ ।',
	'wikieditor-toolbar-tool-replace' => 'ଖୋଜି ବଦଳାଇବେ',
	'wikieditor-toolbar-tool-replace-title' => 'ଖୋଜି ବଦଳାଇବେ',
	'wikieditor-toolbar-tool-replace-search' => 'ଖୋଜିବେ:',
	'wikieditor-toolbar-tool-replace-replace' => 'ପ୍ରତିବଦଳ:',
	'wikieditor-toolbar-tool-replace-case' => 'ବଡ଼ ଛୋଟ ଅକ୍ଷର ମେଳାଇବେ',
	'wikieditor-toolbar-tool-replace-regex' => 'ଏକ ସାଧାରଣ ଦେଖଣା ଭାବରେ ପ୍ରଶ୍ନଟି ଖୋଜିବେ',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'ଆଗାମୀ ଖୋଜିବେ',
	'wikieditor-toolbar-tool-replace-button-replace' => 'ପ୍ରତିବଦଳ',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'ସବୁ ବଦଳାଇବେ',
	'wikieditor-toolbar-tool-replace-close' => 'ବନ୍ଦ କରିବେ',
	'wikieditor-toolbar-tool-replace-nomatch' => 'ଆପଣଙ୍କ ଖୋଜା କାହା ସଙ୍ଗେ ମେଳ ଖାଇଲା ନାହିଁ',
	'wikieditor-toolbar-tool-replace-success' => '$1 ଟି ଜାଗାରେ ପ୍ରତିବଦଳ କରାଗଲା ।',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'ଆପଣ କିଛି ଖୋଜିବା ପାଇଁ ଦେଇନାହାନ୍ତି ।',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'ଆପଣ ଦେଇଥିବା ନିୟମିତ ଅଭିବ୍ୟକ୍ତି ଅବୈଧ ଅଟେ : $1',
	'wikieditor-toolbar-section-characters' => 'ବିଶେଷ ସଙ୍କେତ',
	'wikieditor-toolbar-characters-page-latin' => 'ଲାଟିନ',
	'wikieditor-toolbar-characters-page-latinextended' => 'ଲାଟିନ ଅଧିକ ଅକ୍ଷର',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'ସଙ୍କେତ',
	'wikieditor-toolbar-characters-page-greek' => 'ଗ୍ରିକ',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ସିରିଲିକ',
	'wikieditor-toolbar-characters-page-arabic' => 'ଆରବୀ',
	'wikieditor-toolbar-characters-page-arabicextended' => 'ଆରବିକ ଅଧିକ ଅକ୍ଷର',
	'wikieditor-toolbar-characters-page-persian' => 'ପାରସିକ',
	'wikieditor-toolbar-characters-page-hebrew' => 'ହିବୁରୁ',
	'wikieditor-toolbar-characters-page-bangla' => 'ବଙ୍ଗଳା',
	'wikieditor-toolbar-characters-page-telugu' => 'ତେଲୁଗୁ',
	'wikieditor-toolbar-characters-page-sinhala' => 'ସିଂହଳି',
	'wikieditor-toolbar-characters-page-gujarati' => 'ଗୁଜୁରାଟି',
	'wikieditor-toolbar-characters-page-thai' => 'ଥାଇ',
	'wikieditor-toolbar-characters-page-lao' => 'ଲାଓ',
	'wikieditor-toolbar-characters-page-khmer' => 'କମେର ଭାଷା',
	'wikieditor-toolbar-section-help' => 'ସହଯୋଗ',
	'wikieditor-toolbar-help-heading-description' => 'ବିବରଣୀ',
	'wikieditor-toolbar-help-heading-syntax' => 'ଆପଣ କଣ ଟାଇପ କରିଛନ୍ତି',
	'wikieditor-toolbar-help-heading-result' => 'ଆପଣ କଣ ପାଇଛନ୍ତି',
	'wikieditor-toolbar-help-page-format' => 'ସଜାଣି',
	'wikieditor-toolbar-help-page-link' => 'ଲିଙ୍କ',
	'wikieditor-toolbar-help-page-heading' => 'ଶିରୋନାମା',
	'wikieditor-toolbar-help-page-list' => 'ତାଲିକା',
	'wikieditor-toolbar-help-page-file' => 'ଫାଇଲ',
	'wikieditor-toolbar-help-page-reference' => 'ଆଧାର',
	'wikieditor-toolbar-help-page-discussion' => 'ଆଲୋଚନା',
	'wikieditor-toolbar-help-content-italic-description' => 'ତେରେଛା',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ତେରେଛା ଲେଖା''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ତେରେଛା ଲେଖା</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ମୋଟା ଅକ୍ଷର',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''ମୋଟା ଅକ୍ଷର'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>ମୋଟା ଲେଖା</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ମୋଟା ଓ ତେରେଛା',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''ମୋଟା ଓ ତେରେଛା ଅକ୍ଷର'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>ମୋଟା ଓ ତେରେଛା ଅକ୍ଷର</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'ଭିତର ଲିଙ୍କ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[ପୃଷ୍ଠା ନାମ|ଲିଙ୍କ ନାମ]]<br />[[ପୃଷ୍ଠା ନାମ]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>ଲିଙ୍କ ନାମ</a><br /><a href='#'>ପୃଷ୍ଠା ନାମ</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'ବାହାର ଲିଙ୍କ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org ଲିଙ୍କ ନାମ]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='ବାହାର'>ଲିଙ୍କ ନାମ</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='ବାହାର'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '୨ୟ ସ୍ତରର ଶିରୋନାମା',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== ଶିରୋନାମା ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>ଶିରୋନାମା ଲେଖା</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '୩ୟ ସ୍ତରର ଶିରୋନାମା',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== ଶିରୋନାମା ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>ଶିରୋନାମା ଲେଖା</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '୪ର୍ଥ ସ୍ତରର ଶିରୋନାମା',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== ଶିରୋନାମା ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>ଶିରୋନାମା ଲେଖା</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '୫ମ ସ୍ତରର ଶିରୋନାମା',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== ଶିରୋନାମା =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>ଶିରୋନାମା ଲେଖା</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'ବିନ୍ଦୁ ଦିଆ ତାଲିକା',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* ତାଲିକା ଚିଜ<br />* ତାଲିକା ଚିଜ',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ତାଲିକା ଚିଜ</li><li>ତାଲିକା ଚିଜ</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'ସଂଖ୍ୟାଦିଆ ତାଲିକା',
	'wikieditor-toolbar-help-content-olist-syntax' => '# ତାଲିକା ଚିଜ<br /># ତାଲିକା ଚିଜ',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ତାଲିକା ଚିଜ</li><li>ତାଲିକା ଚିଜ</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'ଏମବେଡ଼ ହୋଇ ଥିବା ଫାଇଲ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:ଉଦାହରଣ.png|thumb|ଶିରୋନାମା ଲେଖା]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='ଶିରୋନାମା ଲେଖା' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='ବଡ଼ କରିବେ' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>ଶିରୋନାମା ଲେଖା</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'ଆଧାର',
	'wikieditor-toolbar-help-content-reference-syntax' => 'ପୃଷ୍ଠା ଲେଖା.&lt;ref name="test"&gt;[http://www.example.org Link text], ଅତିରିକ୍ତ ଲେଖା ।&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "ପୃଷ୍ଠା ଲେଖା ।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'ଏକ ଆଧାରର ଅତିରିକ୍ତ ବ୍ୟବହାର',
	'wikieditor-toolbar-help-content-rereference-result' => "ପୃଷ୍ଠା ଲେଖା ।<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'ଦେଖଣା ଆଧାରସମୂହ',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, ଅଧିକ ବିବରଣୀ ।</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'ସନ୍ତକ ସହିତ ସମୟଚିହ୍ନ',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ଇଉଜର ନାମ</a> (<a href='#' title='{{#special:mytalk}}'>ଆଲୋଚନା</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'ସନ୍ତକ',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ଇଉଜର ନାମ</a> (<a href='#' title='{{#special:mytalk}}'>ଆଲୋଚନା</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'ଅନୁଚ୍ଛେଦ ଛାଡ଼',
	'wikieditor-toolbar-help-content-indent-syntax' => 'ସାଧାରଣ ଲେଖା<br />:ମାର୍ଜିନ ଦିଆ ଲେଖା<br />::ମାର୍ଜିନ ଦିଆ ଲେଖା',
	'wikieditor-toolbar-help-content-indent-result' => 'ସାଧାରଣ ଲେଖା<dl><dd>ମାର୍ଜିନ ଦିଆ ଲେଖା<dl><dd>ମାର୍ଜିନ ଦିଆ ଲେଖା</dd></dl></dd></dl>',
);

/** Deitsch (Deitsch)
 * @author Xqt
 */
$messages['pdc'] = array(
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Laade',
	'wikieditor-preview-tab' => 'Aagucke',
	'wikieditor-preview-changes-tab' => 'Enneringe',
	'wikieditor-preview-loading' => 'am laade…',
	'wikieditor-previewDialog-tab' => 'Aasicht',
	'wikieditor-previewDialog-loading' => 'am laade…',
	'wikieditor-publish-dialog-minor' => 'Nur Gleenigkeete sinn gennert',
	'wikieditor-publish-dialog-watch' => 'Des Blatt watsche',
	'wikieditor-publish-dialog-goback' => 'Zerrick',
	'wikieditor-toolbar' => 'Gscharr fer Enneringe',
	'wikieditor-toolbar-loading' => 'Laade…',
	'wikieditor-toolbar-tool-bold' => 'Fett',
	'wikieditor-toolbar-tool-bold-example' => 'Wadde fett gmarrickt',
	'wikieditor-toolbar-tool-ilink' => 'Gleecher',
	'wikieditor-toolbar-tool-ilink-example' => 'Gleecher-Titel',
	'wikieditor-toolbar-tool-xlink' => 'Gewebbgleecher (acht uff http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Gleecher-Text',
	'wikieditor-toolbar-tool-link' => 'Gleecher',
	'wikieditor-toolbar-tool-link-ext-target' => 'Gleecher-Adress:',
	'wikieditor-toolbar-tool-link-insert' => 'Neier Gleecher',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Letzer Titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Gewebbgleecher',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Seller Naame vun dem Blatt iss letz.',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Gewebbgleecher',
	'wikieditor-toolbar-tool-file-example' => 'Beeschpiel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Beweisung',
	'wikieditor-toolbar-tool-heading' => 'Iwwerschrift',
	'wikieditor-toolbar-tool-heading-example' => 'Iwwerschrift',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-redirect' => 'Weiderleiding',
	'wikieditor-toolbar-tool-big' => 'Gross',
	'wikieditor-toolbar-tool-small' => 'Glee',
	'wikieditor-toolbar-tool-small-example' => 'Glee Text',
	'wikieditor-toolbar-group-insert' => 'Dezu duh',
	'wikieditor-toolbar-tool-table' => 'Tabell',
	'wikieditor-toolbar-tool-table-example-header' => 'Iwwerschrift',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kallems',
	'wikieditor-toolbar-tool-table-example' => 'Beischpiel',
	'wikieditor-toolbar-tool-table-preview' => 'Aagucke',
	'wikieditor-toolbar-tool-replace-search' => 'Uffgucke nooch:',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Neegschte finne',
	'wikieditor-toolbar-tool-replace-close' => 'Zumache',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-section-help' => 'Hilf',
	'wikieditor-toolbar-help-page-link' => 'Gleecher',
	'wikieditor-toolbar-help-page-heading' => 'Iwwerschrifte',
	'wikieditor-toolbar-help-page-list' => 'Lischte',
	'wikieditor-toolbar-help-page-file' => 'Feils',
	'wikieditor-toolbar-help-page-reference' => 'Beweisunge',
	'wikieditor-toolbar-help-page-discussion' => 'Dischbedutt',
	'wikieditor-toolbar-help-content-bold-description' => 'Fett',
	'wikieditor-toolbar-help-content-ilink-description' => 'Gleecher',
	'wikieditor-toolbar-help-content-xlink-description' => 'Gewebbgleecher',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Iwwerschrift ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Iwwerschrift</h2>',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Iwwerschrift ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Iwwerschrift</h3>',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Iwwerschrift ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Iwwerschrift</h4>',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Iwwerschrift =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Iwwerschrift</h5>',
	'wikieditor-toolbar-help-content-reference-description' => 'Beweisung',
	'wikieditor-toolbar-help-content-signature-description' => 'Unnerschrift',
);

/** Polish (Polski)
 * @author Leinad
 * @author Marcin Łukasz Kiejzik
 * @author Nux
 * @author Olgak85
 * @author Sp5uhe
 * @author ToSter
 * @author Wpedzich
 */
$messages['pl'] = array(
	'wikieditor' => 'Zaawansowany interfejs edycji wikitekstu',
	'wikieditor-desc' => 'Dostarcza rozszerzalny interfejs edycji wikitekstu oraz wiele funkcji oferowane przez moduły',
	'wikieditor-wikitext-tab' => 'Wikikod',
	'wikieditor-loading' => 'Ładowanie',
	'wikieditor-preview-preference' => 'Włącz sąsiadujący podgląd',
	'wikieditor-preview-tab' => 'Podgląd',
	'wikieditor-preview-changes-tab' => 'Zmiany',
	'wikieditor-preview-loading' => 'Wczytywanie...',
	'wikieditor-previewDialog-preference' => 'Włącz okno podglądu',
	'wikieditor-previewDialog-tab' => 'Podgląd',
	'wikieditor-previewDialog-loading' => 'Wczytywanie...',
	'wikieditor-publish-preference' => 'Wspomaga publikację materiału krok po kroku',
	'wikieditor-publish-button-publish' => 'Opublikuj',
	'wikieditor-publish-button-cancel' => 'Anuluj',
	'wikieditor-publish-dialog-title' => 'Opublikuj w {{GRAMMAR:MS.lp|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Zmiany (krótki opis wykonanych zmian)',
	'wikieditor-publish-dialog-minor' => 'Drobna zmiana',
	'wikieditor-publish-dialog-watch' => 'Obserwuj tę stronę',
	'wikieditor-publish-dialog-publish' => 'Publikowanie',
	'wikieditor-publish-dialog-goback' => 'Wróć',
	'wikieditor-template-editor-preference' => 'Umożliwia edycję szablonów wiki za pomocą formularzy',
	'wikieditor-template-editor-dialog-title' => 'Edytuj szablon',
	'wikieditor-template-editor-dialog-submit' => 'Uaktualnij',
	'wikieditor-template-editor-dialog-cancel' => 'Anuluj',
	'wikieditor-templates-preference' => 'Włącz zwijanie szablonów',
	'wikieditor-toc-preference' => 'Włącz umożliwiający nawigację spis treści',
	'wikieditor-toc-show' => 'Pokaż zawartość',
	'wikieditor-toc-hide' => 'Ukryj zawartość',
	'wikieditor-toolbar' => 'Pasek narzędzi edycyjnych',
	'wikieditor-toolbar-desc' => 'Ułatwiający pracę pasek narzędzi edycyjnych',
	'wikieditor-toolbar-preference' => 'Włącz rozszerzony pasek narzędzi edycyjnych',
	'wikieditor-toolbar-dialogs-preference' => 'Włącz okienka dodawania linków, tabel itp.',
	'wikieditor-toolbar-hidesig' => 'Ukryj przycisk podpisu na stronach głównej przestrzeni nazw',
	'wikieditor-toolbar-loading' => 'Ładowanie...',
	'wikieditor-toolbar-tool-bold' => 'Wytłuszczenie',
	'wikieditor-toolbar-tool-bold-example' => 'Tekst tłustą czcionką',
	'wikieditor-toolbar-tool-italic' => 'Pochyły',
	'wikieditor-toolbar-tool-italic-example' => 'Tekst pochyłą czcionką',
	'wikieditor-toolbar-tool-ilink' => 'Link wewnętrzny',
	'wikieditor-toolbar-tool-ilink-example' => 'Tytuł linku',
	'wikieditor-toolbar-tool-xlink' => 'Link zewnętrzny (pamiętaj o przedrostku http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.przyklad.com opis linku',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Wstaw link',
	'wikieditor-toolbar-tool-link-int' => 'Do strony wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Strona docelowa lub pełny link',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tytuł lub adres URL strony',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst do wyświetlenia',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Wprowadź tekst, który powinien być wyświetlany',
	'wikieditor-toolbar-tool-link-ext' => 'Do zewnętrznej strony internetowej',
	'wikieditor-toolbar-tool-link-ext-target' => 'Adres URL linku',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst',
	'wikieditor-toolbar-tool-link-insert' => 'Wstaw link',
	'wikieditor-toolbar-tool-link-cancel' => 'Zrezygnuj',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Strona istnieje',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Strona nie istnieje',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nieprawidłowy tytuł',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Link zewnętrzny',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Sprawdzanie czy strona istnieje…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Wprowadzony tytuł jest nieprawidłowy.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Podany URL wygląda jak link do innej strony wiki. Czy chcesz, aby był to link wewnętrzny?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Link wewnętrzny',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Link zewnętrzny',
	'wikieditor-toolbar-tool-link-empty' => 'Nie podałeś adresu do którego ma prowadzić link.',
	'wikieditor-toolbar-tool-file' => 'Plik osadzony',
	'wikieditor-toolbar-tool-file-example' => 'Przykład.jpg',
	'wikieditor-toolbar-tool-reference' => 'Przypis',
	'wikieditor-toolbar-tool-reference-example' => 'Wstaw tekst przypisu',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anuluj',
	'wikieditor-toolbar-tool-reference-title' => 'Wstaw przypis',
	'wikieditor-toolbar-tool-reference-insert' => 'Wstaw',
	'wikieditor-toolbar-tool-reference-text' => 'Treść przypisu',
	'wikieditor-toolbar-tool-signature' => 'Podpis oraz aktualna data i czas',
	'wikieditor-toolbar-section-advanced' => 'Zaawansowane',
	'wikieditor-toolbar-tool-heading' => 'Nagłówek',
	'wikieditor-toolbar-tool-heading-1' => 'Poziom 1',
	'wikieditor-toolbar-tool-heading-2' => 'Poziom 2',
	'wikieditor-toolbar-tool-heading-3' => 'Poziom 3',
	'wikieditor-toolbar-tool-heading-4' => 'Poziom 4',
	'wikieditor-toolbar-tool-heading-5' => 'Poziom 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tekst nagłówka',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Lista punktowana',
	'wikieditor-toolbar-tool-ulist-example' => 'Pozycja na liście punktowanej',
	'wikieditor-toolbar-tool-olist' => 'Lista numerowana',
	'wikieditor-toolbar-tool-olist-example' => 'Pozycja na liście numerowanej',
	'wikieditor-toolbar-tool-indent' => 'Wcięcia',
	'wikieditor-toolbar-tool-indent-example' => 'Wcięcie wiersza',
	'wikieditor-toolbar-tool-nowiki' => 'Zignoruj formatowanie wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Wprowadź tutaj tekst niesformatowany',
	'wikieditor-toolbar-tool-redirect' => 'Przekierowanie',
	'wikieditor-toolbar-tool-redirect-example' => 'Nazwa strony docelowej',
	'wikieditor-toolbar-tool-big' => 'Powiększony',
	'wikieditor-toolbar-tool-big-example' => 'Powiększony tekst',
	'wikieditor-toolbar-tool-small' => 'Pomniejszony',
	'wikieditor-toolbar-tool-small-example' => 'Pomniejszony tekst',
	'wikieditor-toolbar-tool-superscript' => 'Indeks górny',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst indeksu górnego',
	'wikieditor-toolbar-tool-subscript' => 'Indeks dolny',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst indeksu dolnego',
	'wikieditor-toolbar-group-insert' => 'Wstaw',
	'wikieditor-toolbar-tool-gallery' => 'Galeria obrazków',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Podpis1
$1:Example.jpg|Podpis2',
	'wikieditor-toolbar-tool-newline' => 'Nowy wiersz',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! nagłówek 1
! nagłówek 2
! nagłówek 3
| -
| wiersz 1, komórka 1
| wiersz 1, komórka 2
| wiersz 1, komórka 3
| -
| wiersz 2, komórka 1
| wiersz 2, komórka 2
| wiersz 2, komórka 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Treść komórki',
	'wikieditor-toolbar-tool-table-example-header' => 'Tekst nagłówka',
	'wikieditor-toolbar-tool-table-title' => 'Wstaw tabelę',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Wiersze',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolumny',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Dołącz wiersz nagłówka',
	'wikieditor-toolbar-tool-table-wikitable' => 'Styl z krawędziami',
	'wikieditor-toolbar-tool-table-sortable' => 'Dodaj do tabeli możliwość sortowania',
	'wikieditor-toolbar-tool-table-example' => 'Treść komórki',
	'wikieditor-toolbar-tool-table-preview' => 'Podgląd',
	'wikieditor-toolbar-tool-table-insert' => 'Wstaw',
	'wikieditor-toolbar-tool-table-cancel' => 'Anuluj',
	'wikieditor-toolbar-tool-table-toomany' => 'Wstawianie tabeli o większej liczbie kolumn niż $1 nie jest możliwe z użyciem tego okna.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nie wprowadziłeś poprawnej liczby wierszy i kolumn.',
	'wikieditor-toolbar-tool-table-zero' => 'Nie można wstawić tabeli z zerową liczbą wierszy lub kolumn.',
	'wikieditor-toolbar-tool-replace' => 'Wyszukaj i zastąp',
	'wikieditor-toolbar-tool-replace-title' => 'Wyszukaj i zamień',
	'wikieditor-toolbar-tool-replace-search' => 'Szukaj',
	'wikieditor-toolbar-tool-replace-replace' => 'Zastąp przez',
	'wikieditor-toolbar-tool-replace-case' => 'Uwzględnij wielkość znaków',
	'wikieditor-toolbar-tool-replace-regex' => 'Traktuj wyszukiwany ciąg jako wyrażenie regularne',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Znajdź następne',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Zamień',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zastąp wszystkie',
	'wikieditor-toolbar-tool-replace-close' => 'Zamknij',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Wyszukiwanego wzorca nie odnaleziono.',
	'wikieditor-toolbar-tool-replace-success' => 'Wykonano $1 zamian.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Nie określiłeś niczego do wyszukania.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Nieprawidłowe wyrażenie regularne – $1',
	'wikieditor-toolbar-section-characters' => 'Znaki specjalne',
	'wikieditor-toolbar-characters-page-latin' => 'Łacińskie',
	'wikieditor-toolbar-characters-page-latinextended' => 'Łacińskie (rozszerzony)',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symbole',
	'wikieditor-toolbar-characters-page-greek' => 'Greckie',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cyrylica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabskie',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabskie (rozszerzony)',
	'wikieditor-toolbar-characters-page-persian' => 'Perskie',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrajskie',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalski',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Syngaleskie',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudźarackie',
	'wikieditor-toolbar-characters-page-thai' => 'Tajskie',
	'wikieditor-toolbar-characters-page-lao' => 'Laotańskie',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerskie',
	'wikieditor-toolbar-section-help' => 'Pomoc',
	'wikieditor-toolbar-help-heading-description' => 'Opis',
	'wikieditor-toolbar-help-heading-syntax' => 'Należy wpisać',
	'wikieditor-toolbar-help-heading-result' => 'Aby uzyskać',
	'wikieditor-toolbar-help-page-format' => 'Formatowanie',
	'wikieditor-toolbar-help-page-link' => 'Linki',
	'wikieditor-toolbar-help-page-heading' => 'Nagłówki',
	'wikieditor-toolbar-help-page-list' => 'Listy',
	'wikieditor-toolbar-help-page-file' => 'Pliki',
	'wikieditor-toolbar-help-page-reference' => 'Przypisy',
	'wikieditor-toolbar-help-page-discussion' => 'Dyskusja',
	'wikieditor-toolbar-help-content-italic-description' => 'Pochyły',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tekst pochyłą czcionką''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tekst pochyłą czcionką</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Wytłuszczenie',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tekst tłustą czcionką'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tekst tłustą czcionką</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Wytłuszczenie i pochylenie',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tekst tłustą pochyłą czcionką'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Tekst tłustą pochyłą czcionką</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Link wewnętrzny',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Tytuł strony|Opis linku]]<br />[[Tytuł strony]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Opis linku</a><br /><a href='#'>Tytuł strony</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Link zewnętrzny',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.przyklad.org Opis linku]<br />[http://www.przyklad.org]<br />http://www.przyklad.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Opis linku</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.przyklad.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Nagłówek drugiego poziomu',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Treść nagłówka ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Treść nagłówka</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Nagłówek trzeciego poziomu',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Treść nagłówka ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Treść nagłówka</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Nagłówek czwartego poziomu',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Treść nagłówka ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Treść nagłówka</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Nagłówek piątego poziomu',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Treść nagłówka =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Treść nagłówka</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista punktowana',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Pozycja listy<br />* Pozycja listy',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Pozycja listy</li><li>Pozycja listy</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerowana',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Pozycja listy<br /># Pozycja listy',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Pozycja listy</li><li>Pozycja listy</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Plik osadzony',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Przykład.png|thumb|Tekst podpisu]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tekst podpisu</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Przypis',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Treść strony&lt;ref name="test"&gt; [http://www.przyklad.org Opis linku], dodatkowy tekst. &lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Treść strony<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-rereference-description' => 'Kolejne użycie nazwanego przypisu',
	'wikieditor-toolbar-help-content-rereference-result' => "Treść strony<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Wyświetl przypisy',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.przyklad.org' class='external text' href='#'>Opis linku</a>, dodatkowy tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Podpis wraz z datą i czasem',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nazwa użytkownika</a> (<a href='#' title='{{#special:mytalk}}'>dyskusja</a>) 15:54, 10 czerwca 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Podpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nazwa użytkownika</a> (<a href='#' title='{{#special:mytalk}}'>dyskusja</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Wcięcie',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Zwykły tekst<br />:Tekst wcięty<br />::Tekst wcięty',
	'wikieditor-toolbar-help-content-indent-result' => 'Zwykły tekst<dl><dd>Tekst wcięty<dl><dd>Tekst wcięty</dd></dl></dd></dl>',
);

/** Piedmontese (Piemontèis)
 * @author Borichèt
 * @author Dragonòt
 */
$messages['pms'] = array(
	'wikieditor' => 'Antërfacia ëd modìfica avansà ëd wikitext',
	'wikieditor-desc' => "A dà n'antërfacia ëd modìfica estendìbil ëd wikitext e motobin ëd modoj ch'a dan ëd fonsionalità",
	'wikieditor-wikitext-tab' => 'Test Wiki',
	'wikieditor-loading' => 'Cariament',
	'wikieditor-preview-preference' => 'Abìlita la previsualisassion da part a part',
	'wikieditor-preview-tab' => 'Previsualisassion',
	'wikieditor-preview-changes-tab' => 'Cangiament',
	'wikieditor-preview-loading' => 'A caria ...',
	'wikieditor-previewDialog-preference' => 'Abilité le conversassion ëd preuva',
	'wikieditor-previewDialog-tab' => 'Previsualisassion',
	'wikieditor-previewDialog-loading' => 'A caria ...',
	'wikieditor-publish-preference' => 'Abìlita publicassion pass për pass',
	'wikieditor-publish-button-publish' => 'Pùblica',
	'wikieditor-publish-button-cancel' => 'Scancela',
	'wikieditor-publish-dialog-title' => 'Pùblica dzora {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => "Modìfica resumé (descriv curtament ij cambi ch'it l'has fàit)",
	'wikieditor-publish-dialog-minor' => 'Modìfiche pì cite',
	'wikieditor-publish-dialog-watch' => "Ten d'euj sta pàgina-sì",
	'wikieditor-publish-dialog-publish' => 'Pùblica',
	'wikieditor-publish-dialog-goback' => 'Torna andré',
	'wikieditor-template-editor-preference' => 'Abìlita le modìfiche basà su forma djë stamp wiki',
	'wikieditor-template-editor-dialog-title' => 'Modifiché lë stamp',
	'wikieditor-template-editor-dialog-submit' => 'Agiorné',
	'wikieditor-template-editor-dialog-cancel' => 'Scancela',
	'wikieditor-templates-preference' => 'Abilité lë sgnacament ëd jë stamp',
	'wikieditor-toc-preference' => 'Abìlita a scanucié la tàula dij contnù',
	'wikieditor-toc-show' => 'Mosta contnù',
	'wikieditor-toc-hide' => 'Stërma contnù',
	'wikieditor-toolbar' => "Bara d'utiss ëd modìfica",
	'wikieditor-toolbar-desc' => "Bara d'utiss ëd modìfica con dovrabilità ameliorà",
	'wikieditor-toolbar-preference' => "Ativé la bara d'utiss ameliorà",
	'wikieditor-toolbar-dialogs-preference' => "Ativé ij quàder ëd diàlogh për anserì anliure, tàule e d'àutr",
	'wikieditor-toolbar-hidesig' => 'Stërmé ël boton ëd firma ant le pàgine ëd lë spassi nominal prinsipal',
	'wikieditor-toolbar-loading' => 'Cariament...',
	'wikieditor-toolbar-tool-bold' => 'Grassèt',
	'wikieditor-toolbar-tool-bold-example' => 'Test an grassèt',
	'wikieditor-toolbar-tool-italic' => 'Corsiv',
	'wikieditor-toolbar-tool-italic-example' => 'Test an corsiv',
	'wikieditor-toolbar-tool-ilink' => 'Anliura anterna',
	'wikieditor-toolbar-tool-ilink-example' => "Tìtol dl'anliura",
	'wikieditor-toolbar-tool-xlink' => 'Anliura esterna (dësmentié nen ël prefiss http://)',
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.com tìtol dl'anliura",
	'wikieditor-toolbar-tool-link' => 'Anliura',
	'wikieditor-toolbar-tool-link-title' => "Anseriss n'anliura",
	'wikieditor-toolbar-tool-link-int' => 'A na pàgina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tìtol dla pàgina',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => "Tìtol dla pàgina o adrëssa dl'aragnà",
	'wikieditor-toolbar-tool-link-int-text' => "Test ëd l'anliura:",
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "Ch'a buta ël test ch'a dovrìa esse mostrà",
	'wikieditor-toolbar-tool-link-ext' => "A na pàgina an sl'aragnà esterna",
	'wikieditor-toolbar-tool-link-ext-target' => 'Anliura URL:',
	'wikieditor-toolbar-tool-link-ext-text' => "Test ëd l'anliura:",
	'wikieditor-toolbar-tool-link-insert' => "Anserì l'anliura",
	'wikieditor-toolbar-tool-link-cancel' => 'Scancelé',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pàgina a esist',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pàgina a esist pa',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tìtol nen vàlid',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Anliura esterna',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Verìfica ëd l'esistensa dla pàgina...",
	'wikieditor-toolbar-tool-link-int-invalid' => "Ël tìtol ch'a l'ha spessificà a va pa bin.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "L'URL ch'a l'ha spessificà a smijërìa n'anliura a n'àutra pàgina wiki. Veul-lo fene n'anliura anterna?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Anliura anterna',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Anliura esterna',
	'wikieditor-toolbar-tool-link-empty' => "A l'ha anserì gnente al qual a-i peula esse n'anliura.",
	'wikieditor-toolbar-tool-file' => 'Archivi anserì',
	'wikieditor-toolbar-tool-file-example' => 'Esempi.jpg',
	'wikieditor-toolbar-tool-reference' => 'Arferiment',
	'wikieditor-toolbar-tool-reference-example' => 'Anserì ël test ëd la nòta an bass dla pàgina ambelessì',
	'wikieditor-toolbar-tool-reference-cancel' => 'Scancela',
	'wikieditor-toolbar-tool-reference-title' => "Anserì n'arferiment",
	'wikieditor-toolbar-tool-reference-insert' => 'Anserì',
	'wikieditor-toolbar-tool-reference-text' => "Test d'arferiment",
	'wikieditor-toolbar-tool-signature' => 'Signatura e dàita',
	'wikieditor-toolbar-section-advanced' => 'Avansà',
	'wikieditor-toolbar-tool-heading' => 'Antestassion',
	'wikieditor-toolbar-tool-heading-1' => 'Livel 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livel 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livel 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livel 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livel 5',
	'wikieditor-toolbar-tool-heading-example' => "Test ëd l'antestassion",
	'wikieditor-toolbar-group-format' => 'Formà',
	'wikieditor-toolbar-tool-ulist' => 'Lista pontà',
	'wikieditor-toolbar-tool-ulist-example' => 'Element ëd la lista pontà',
	'wikieditor-toolbar-tool-olist' => 'Lista numerà',
	'wikieditor-toolbar-tool-olist-example' => 'Element ëd la lista numerà',
	'wikieditor-toolbar-tool-indent' => 'Andentassion',
	'wikieditor-toolbar-tool-indent-example' => 'Linia andentà',
	'wikieditor-toolbar-tool-nowiki' => 'Pa gnun-e formatassion wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Anseriss ël test pa formatà ambelessì',
	'wikieditor-toolbar-tool-redirect' => 'Ridiression',
	'wikieditor-toolbar-tool-redirect-example' => 'Nòm ëd la pàgina ëd destinassion',
	'wikieditor-toolbar-tool-big' => 'Grand',
	'wikieditor-toolbar-tool-big-example' => 'Test grand',
	'wikieditor-toolbar-tool-small' => 'Cit',
	'wikieditor-toolbar-tool-small-example' => 'Test cit',
	'wikieditor-toolbar-tool-superscript' => 'Ìndes an àut',
	'wikieditor-toolbar-tool-superscript-example' => 'Test butà an ìndes an àut',
	'wikieditor-toolbar-tool-subscript' => 'Ìndes an bass',
	'wikieditor-toolbar-tool-subscript-example' => 'Test a ìndes an bass',
	'wikieditor-toolbar-group-insert' => 'Anserì',
	'wikieditor-toolbar-tool-gallery' => 'Galarìa ëd plance',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Esempi.jpg|Descrission1
$1:Esempi.jpg|Descrission2',
	'wikieditor-toolbar-tool-newline' => 'A cap',
	'wikieditor-toolbar-tool-table' => 'Tàula',
	'wikieditor-toolbar-tool-table-example-old' => '-
! antestassion 1
! antestassion 2
! antestassion 3
|-
| linia 1, casela 1
| linia 1, casela 2
| linia 1, casela 3
|-
| linia 2, casela 1
| linia 2, casela 2
| linia 2, casela 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Test ëd la casela',
	'wikieditor-toolbar-tool-table-example-header' => "Test ëd l'antestassion",
	'wikieditor-toolbar-tool-table-title' => 'Anserì na tàula',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linie',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colòne',
	'wikieditor-toolbar-tool-table-dimensions-header' => "Comprende la linia d'antestassion",
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil con bordure',
	'wikieditor-toolbar-tool-table-sortable' => 'Rende la tàula selessionàbil',
	'wikieditor-toolbar-tool-table-example' => 'Test ëd la casela',
	'wikieditor-toolbar-tool-table-preview' => 'Previsualisassion',
	'wikieditor-toolbar-tool-table-insert' => 'Anserì',
	'wikieditor-toolbar-tool-table-cancel' => 'Scancelé',
	'wikieditor-toolbar-tool-table-toomany' => "Anserì na tàula con pì che $1 casele a l'é nen possìbil con cost utiss.",
	'wikieditor-toolbar-tool-table-invalidnumber' => "A l'ha butà un nùmer ëd linie o colòne nen bon.",
	'wikieditor-toolbar-tool-table-zero' => 'A peul pa anserì na tàula sensa gnun-a linia o colòna',
	'wikieditor-toolbar-tool-replace' => 'Sërché e rampiassé',
	'wikieditor-toolbar-tool-replace-title' => 'Sërché e rampiassé',
	'wikieditor-toolbar-tool-replace-search' => 'Sërché:',
	'wikieditor-toolbar-tool-replace-replace' => 'Rampiassé con:',
	'wikieditor-toolbar-tool-replace-case' => 'Fé corësponde majùscole e minùscole',
	'wikieditor-toolbar-tool-replace-regex' => "Traté la sequensa d'arserca 'me n'espression regolar",
	'wikieditor-toolbar-tool-replace-button-findnext' => "Trové col ch'a-i ven dòp",
	'wikieditor-toolbar-tool-replace-button-replace' => 'Rimpiassa',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Rampiassé tut',
	'wikieditor-toolbar-tool-replace-close' => 'Sara',
	'wikieditor-toolbar-tool-replace-nomatch' => "Soa arserca a l'ha nen trovà 'd corëspondense.",
	'wikieditor-toolbar-tool-replace-success' => '$1 sostitussion fàite.',
	'wikieditor-toolbar-tool-replace-emptysearch' => "A l'ha butà gnun test da arserché.",
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'espression regolar ch'a l'ha anserì a l'é nen bon-a: $1",
	'wikieditor-toolbar-section-characters' => 'Caràter speciaj',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin ëspantià',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sìmboj',
	'wikieditor-toolbar-characters-page-greek' => 'Grech',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Sirìlich',
	'wikieditor-toolbar-characters-page-arabic' => 'Àrabo',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Àrabo spantià',
	'wikieditor-toolbar-characters-page-persian' => 'Persian',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebréo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalèis',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Agiut',
	'wikieditor-toolbar-help-heading-description' => 'Descrission',
	'wikieditor-toolbar-help-heading-syntax' => "Lòn ch'a bat",
	'wikieditor-toolbar-help-heading-result' => "Lòn ch'a oten",
	'wikieditor-toolbar-help-page-format' => 'Modlage',
	'wikieditor-toolbar-help-page-link' => 'Anliure',
	'wikieditor-toolbar-help-page-heading' => 'Antestassion',
	'wikieditor-toolbar-help-page-list' => 'Liste',
	'wikieditor-toolbar-help-page-file' => 'Archivi',
	'wikieditor-toolbar-help-page-reference' => 'Arferiment',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Corsiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Test corsiv''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Test corsiv</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grassèt',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Test an grassèt'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Test an grassèt</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grassèt &amp; corsiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Test an grassèt &amp; corsiv'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Test an grassèt &amp; corsiv</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Anliura interna',
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[Tìtol dla pàgina|Test ëd l'anliura]]<br />[[Tìtol dla pàgina]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Test ëd l'anliura</a><br /><a href='#'>Tìtol dla pàgina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Anliura esterna',
	'wikieditor-toolbar-help-content-xlink-syntax' => "[http://www.example.org Test ëd l'anliura]<br />[http://www.example.org]<br />http://www.example.org",
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Test ëd l'anliura</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Antestassion ëd 2<sup>nd</sup> livel',
	'wikieditor-toolbar-help-content-heading2-syntax' => "== Test ëd l'antestassion ==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Test ëd l'antestassion</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => 'Antestassion ëd 3<sup>rs</sup> livel',
	'wikieditor-toolbar-help-content-heading3-syntax' => "=== Test ëd l'antestassion ===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Test ëd l'antestassion</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => 'Antestassion ëd 4<sup>rt</sup> livel',
	'wikieditor-toolbar-help-content-heading4-syntax' => "==== Test ëd l'antestassion ====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Test ëd l'antestassion</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => 'Antestassion ëd 5<sup>nt</sup> livel',
	'wikieditor-toolbar-help-content-heading5-syntax' => "===== Test ëd l'antestassion =====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Test ëd l'antestassion</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista pontà',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element ëd la lista<br />* Element ëd la lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Element ëd la lista</li><li>Element ëd la lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerà',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element ëd la lista<br /># Element ëd la lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Element ëd la lista</li><li>Element ëd la lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Archivi anserì',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Test dël tìtol]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Test mostrà' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Test mostrà</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Arferiment',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Test ëd dla pàgina.&lt;ref name="test"&gt;[http://www.example.org Test dël colegament], test adissional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Test ëd la pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Usagi adissional dël midem arferiment',
	'wikieditor-toolbar-help-content-rereference-result' => "Test ëd la pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Visualisa arferiment',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Test dël colegament</a>, test adissional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma con timestamp',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nòm utent</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>) 15:54, 10 giugn 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nòm utent</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indenta',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Test normal<br />:Test indentà<br />::Test indentà',
	'wikieditor-toolbar-help-content-indent-result' => 'Test normal<dl><dd>Test indentà<dl><dd>Test indentà</dd></dl></dd></dl>',
);

/** Western Punjabi (پنجابی)
 * @author Khalid Mahmood
 */
$messages['pnb'] = array(
	'wikieditor' => 'اگیودواں وکیٹکسٹ نوں تبدیل کرن دا سسٹم',
	'wikieditor-desc' => 'وڈا ہون والا وکیٹیکسٹ ایڈیٹنگ  تے موڈیولز دیو۔',
	'wikieditor-wikitext-tab' => 'وکی ٹکسٹ',
	'wikieditor-loading' => 'لوڈنگ',
	'wikieditor-preview-preference' => 'نال نال دتا وکھالہ قابل کرو۔',
	'wikieditor-preview-tab' => 'کچا کم وکھاؤ',
	'wikieditor-preview-changes-tab' => 'تبدیلیاں',
	'wikieditor-preview-loading' => 'لوڈنگ۔۔۔',
	'wikieditor-previewDialog-preference' => 'پریویو ڈائیلاگ قابل کرو۔',
	'wikieditor-previewDialog-tab' => 'کچا کم وکھاؤ',
	'wikieditor-previewDialog-loading' => 'لوڈنگ۔۔۔',
	'wikieditor-publish-preference' => 'تھوڑی تھوڑی چھپائی قابل کرو۔',
	'wikieditor-publish-button-publish' => 'چھاپو',
	'wikieditor-publish-button-cancel' => 'کینسل',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} تے چھاپ دیو',
	'wikieditor-publish-dialog-summary' => 'سمری بدلو (تھوڑے بولاں تبدیلیاں جیہڑیاں تساں کیتیاں دسو):',
	'wikieditor-publish-dialog-minor' => 'نکی تبدیلی',
	'wikieditor-publish-dialog-watch' => 'اس صفحے تے اکھ رکھو',
	'wikieditor-publish-dialog-publish' => 'چھاپو',
	'wikieditor-publish-dialog-goback' => 'واپس آؤ',
	'wikieditor-template-editor-preference' => 'وکی ٹیمپلیٹ دیاں فارم والیاں تبدیلیں قابل کرو',
	'wikieditor-template-editor-dialog-title' => 'سانچہ تبدیل کرو',
	'wikieditor-template-editor-dialog-submit' => 'نواں کرو',
	'wikieditor-template-editor-dialog-cancel' => 'کینسل',
	'wikieditor-templates-preference' => 'ٹمپلیٹ کلیپسنگ قابل کرو۔',
	'wikieditor-toc-preference' => 'ویکھن والے مواد نوں ویکھن قابل کرو۔',
	'wikieditor-toc-show' => 'مال وکھاؤ',
	'wikieditor-toc-hide' => 'مال لکاؤ',
	'wikieditor-toolbar' => 'لکھت اوزار',
	'wikieditor-toolbar-desc' => 'اوزار پٹی چ تبدیلی ورتن کرکے کرو۔',
	'wikieditor-toolbar-preference' => 'ودیا اوزار پٹی نوں چالو کرو۔',
	'wikieditor-toolbar-dialogs-preference' => 'ڈائیلاگ نوں قابل کرو جوڑ یا پعاڑے یا ہور رلان لئی۔',
	'wikieditor-toolbar-hidesig' => 'دسخص بٹن نوں ناںتھاں صفیاں توں لکاؤ۔',
	'wikieditor-toolbar-loading' => 'لوڈنگ۔۔۔',
	'wikieditor-toolbar-tool-bold' => 'موٹا',
	'wikieditor-toolbar-tool-bold-example' => 'موٹی لکھائی',
	'wikieditor-toolbar-tool-italic' => 'ترچھی',
	'wikieditor-toolbar-tool-italic-example' => 'ترچھی لکھائی',
	'wikieditor-toolbar-tool-ilink' => 'اندر دا جوڑ',
	'wikieditor-toolbar-tool-ilink-example' => 'جوڑ ناں',
	'wikieditor-toolbar-tool-xlink' => 'بارلا جوڑ (یاد رکھو http:// prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com جوڑ دا ناں',
	'wikieditor-toolbar-tool-link' => 'جوڑ',
	'wikieditor-toolbar-tool-link-title' => 'جوڑ پاؤ',
	'wikieditor-toolbar-tool-link-int' => 'اک وکی صفے ول',
	'wikieditor-toolbar-tool-link-int-target' => 'تارگٹ صفہ یا یوار ایل:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'صفہ سرخی یا یوار ایل',
	'wikieditor-toolbar-tool-link-int-text' => 'لکھائی دکھان ل‏ی:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'وکھان والی لکھت',
	'wikieditor-toolbar-tool-link-ext' => 'اک بارلے ویب صفے ل‏ی',
	'wikieditor-toolbar-tool-link-ext-target' => 'جور یوآر ایل:',
	'wikieditor-toolbar-tool-link-ext-text' => 'جوڑ لکھائی:',
	'wikieditor-toolbar-tool-link-insert' => 'جوڑ پاؤ',
	'wikieditor-toolbar-tool-link-cancel' => 'واپس',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'صفہ ہیگا اے',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'صفہ نئیں ہیگا',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ناں منی جان والی سرخی',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'بارلے جوڑ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'صفہ ہون دی کھوج',
	'wikieditor-toolbar-tool-link-int-invalid' => 'صفہ جیہڑا تساں دسیا اے نئیں اے۔',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'یو آر ایل تسیں دسی اے لگدا اے کسے ہور وکی نال جوڑ اے۔ کیا تسیں اینوں کسے اندرلے جوڑ نال جوڑنا چاندے او؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'اندر دا جوڑ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'بار دا جوڑ',
	'wikieditor-toolbar-tool-link-empty' => 'جوڑ لئی تساں کوئی شے نئیں لکھی۔',
	'wikieditor-toolbar-tool-file' => 'جوڑیا گیا لگاؤ',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'اتہ پتہ',
	'wikieditor-toolbar-tool-reference-example' => 'فٹ نوٹ لکھت ایتھے لکھو',
	'wikieditor-toolbar-tool-reference-cancel' => 'واپس',
	'wikieditor-toolbar-tool-reference-title' => 'اتہ پتہ لکھو',
	'wikieditor-toolbar-tool-reference-insert' => 'لکھو',
	'wikieditor-toolbar-tool-reference-text' => 'اتہ پتہ لکھت',
	'wikieditor-toolbar-tool-signature' => 'دسخط تے تریخ',
	'wikieditor-toolbar-section-advanced' => 'اگے دا',
	'wikieditor-toolbar-tool-heading' => 'سرخی',
	'wikieditor-toolbar-tool-heading-1' => 'پدھر 1',
	'wikieditor-toolbar-tool-heading-2' => 'پدھر 2',
	'wikieditor-toolbar-tool-heading-3' => 'پدھر 3',
	'wikieditor-toolbar-tool-heading-4' => 'پدھر 4',
	'wikieditor-toolbar-tool-heading-5' => 'پدھر 5',
	'wikieditor-toolbar-tool-heading-example' => 'سرخی شبد',
	'wikieditor-toolbar-group-format' => 'فارمیٹ',
	'wikieditor-toolbar-tool-ulist' => 'نشان والی لسٹ',
	'wikieditor-toolbar-tool-ulist-example' => 'نشان والی لسٹ والی شے',
	'wikieditor-toolbar-tool-olist' => 'نمبراں والی لسٹ',
	'wikieditor-toolbar-tool-olist-example' => 'نمبراں والی لسٹ والی شے',
	'wikieditor-toolbar-tool-indent' => 'انڈنٹیشن',
	'wikieditor-toolbar-tool-indent-example' => 'انڈنٹڈ لیک',
	'wikieditor-toolbar-tool-nowiki' => 'کوئی وکی فارمیٹنگ نئیں',
	'wikieditor-toolbar-tool-nowiki-example' => 'ناں فارمیٹ کیتی گئی لکھت ایتھے دیو',
	'wikieditor-toolbar-tool-redirect' => 'ریڈائرکٹ',
	'wikieditor-toolbar-tool-redirect-example' => 'تارگٹ کیتے گۓ صفے دا ناں',
	'wikieditor-toolbar-tool-big' => 'وڈا',
	'wikieditor-toolbar-tool-big-example' => 'وڈی لکھت',
	'wikieditor-toolbar-tool-small' => 'نکی',
	'wikieditor-toolbar-tool-small-example' => 'نکی لکھت',
	'wikieditor-toolbar-tool-superscript' => 'اتلی لکھائی',
	'wikieditor-toolbar-tool-superscript-example' => 'اتلی لکھائی لکھت',
	'wikieditor-toolbar-tool-subscript' => 'تھلویں لکھائی',
	'wikieditor-toolbar-tool-subscript-example' => 'تھلویں لکھائی',
	'wikieditor-toolbar-group-insert' => 'رلاؤ',
	'wikieditor-toolbar-tool-gallery' => 'مورت نگری',
	'wikieditor-toolbar-tool-gallery-example' => '$1:ادھارن.جےپیجی|سرخی1
$1:ادھارن.جےپیجی|سرخی2',
	'wikieditor-toolbar-tool-newline' => 'نویں لکیر',
	'wikieditor-toolbar-tool-table' => 'ٹیبل',
	'wikieditor-toolbar-tool-table-example-old' => '-
! سرخی 1
! سرخی 2
! سرخی 3
|-
| لیک 1, ڈبی 1
| لیک 1, ڈبی 2
| لیک 1, ڈبی 3
|-
| لیک 2, ڈبی 1
| لیک 2, ڈبی 2
| لیک 2, ڈبی 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'ڈبی لکھت',
	'wikieditor-toolbar-tool-table-example-header' => 'سرخی شبد',
	'wikieditor-toolbar-tool-table-title' => 'ٹیبل پاؤ',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'لیناں',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'کالم',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'سرخی لین جوڑو',
	'wikieditor-toolbar-tool-table-wikitable' => 'بارڈر نال سٹائل',
	'wikieditor-toolbar-tool-table-sortable' => 'ٹیبل ترتیب چ کرو',
	'wikieditor-toolbar-tool-table-example' => 'ادھارن',
	'wikieditor-toolbar-tool-table-preview' => 'کچا کم',
	'wikieditor-toolbar-tool-table-insert' => 'رلاؤ',
	'wikieditor-toolbar-tool-table-cancel' => 'واپس',
	'wikieditor-toolbar-tool-table-toomany' => '$1 توں زیادہ ڈبیاں ایس ٹیبل چ پانا ایس کم چ نئیں ہوسکدا۔',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'تساں نیں کوئی ٹھیک کالم یا لیکاں نئیں پایاں۔',
	'wikieditor-toolbar-tool-table-zero' => 'صفر قطار یا کالم نئیں پاا جاسکدا۔',
	'wikieditor-toolbar-tool-replace' => 'لبو تے بدلو۔',
	'wikieditor-toolbar-tool-replace-title' => 'لبو تے بدلو',
	'wikieditor-toolbar-tool-replace-search' => 'ایس لئی لبو:',
	'wikieditor-toolbar-tool-replace-replace' => 'ایدے نال بدلو:',
	'wikieditor-toolbar-tool-replace-case' => 'آمنے سامنے رکھو',
	'wikieditor-toolbar-tool-replace-regex' => 'کھوجی رسی نوں اک عام ہون والی گل وانکوں لو۔',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'اگلا لبو',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'سارے بدلو',
	'wikieditor-toolbar-tool-replace-close' => 'بند کرو',
	'wikieditor-toolbar-tool-replace-nomatch' => 'تھاڈی کھوج کسے نال نئیں رلدی',
	'wikieditor-toolbar-tool-replace-success' => '$1 بدلیا.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'جوڑ لئی تساں کوئی شے نئیں لکھی۔',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'ایکسپریشن جیہڑی تساں پائی اے ٹھیک نغیں:$1',
	'wikieditor-toolbar-section-characters' => 'خاص کیریکٹرز',
	'wikieditor-toolbar-characters-page-latin' => 'لاطینی',
	'wikieditor-toolbar-characters-page-latinextended' => 'ودویں لاطینی',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'نشان',
	'wikieditor-toolbar-characters-page-greek' => 'یونانی',
	'wikieditor-toolbar-characters-page-cyrillic' => 'سریلیک',
	'wikieditor-toolbar-characters-page-arabic' => 'عربی',
	'wikieditor-toolbar-characters-page-arabicextended' => 'عربی ودویں',
	'wikieditor-toolbar-characters-page-persian' => 'فارسی',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبرانی',
	'wikieditor-toolbar-characters-page-bangla' => 'بنگالی',
	'wikieditor-toolbar-characters-page-telugu' => 'تلیگو',
	'wikieditor-toolbar-characters-page-sinhala' => 'سنہالی',
	'wikieditor-toolbar-characters-page-gujarati' => 'گجراتی',
	'wikieditor-toolbar-characters-page-thai' => 'تھائی',
	'wikieditor-toolbar-characters-page-lao' => 'لاؤ',
	'wikieditor-toolbar-characters-page-khmer' => 'کھیمر',
	'wikieditor-toolbar-section-help' => 'مدد',
	'wikieditor-toolbar-help-heading-description' => 'بیان',
	'wikieditor-toolbar-help-heading-syntax' => 'تسی کی لکھدے او',
	'wikieditor-toolbar-help-heading-result' => 'تسانوں کی لبدا اے',
	'wikieditor-toolbar-help-page-format' => 'فارمیٹنگ',
	'wikieditor-toolbar-help-page-link' => 'جوڑ',
	'wikieditor-toolbar-help-page-heading' => 'سرخیاں',
	'wikieditor-toolbar-help-page-list' => 'لسٹاں',
	'wikieditor-toolbar-help-page-file' => 'فاغلاں',
	'wikieditor-toolbar-help-page-reference' => 'اتے پتے',
	'wikieditor-toolbar-help-page-discussion' => 'گل بات',
	'wikieditor-toolbar-help-content-italic-description' => 'ترچھا',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ترچھی لکھت''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ترجھی لکھت</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'موٹا',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''موٹی لکھت'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>موٹی لکھت</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'موٹی &amp; ترچھی',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''موٹی &amp; ترچھی لکھت'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>موٹی &amp; ترچھی لکھت</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'اندرونی جوڑ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[صفہ سرخی|جوڑ نشان]]<br />[[صفہ سرخی]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>جوڑ نشان</a><br /><a href='#'>صفہ سرناواں</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'بارلے جوڑ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org جوڑ نشان]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' کلاس='بارلا'>جوڑ لیبل</a><br /><a href='#' class='بارلا آٹونمبر'>[1]</a><br /><a href='#' کلاس='بارلا'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'دوجی پڈھر دی سرخی',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== سرخی لکھت ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>سرخی لکھت</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'تیجی پڈھر دی سرخی',
	'wikieditor-toolbar-help-content-heading3-syntax' => '== سرخی لکھت ==',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>سرخی لکھت</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'چوتھی پڈھر دی سرخی',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== سرخی لکھت ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>سرخی لکھت </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'پنجویں پدہر دی سرخی',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== سرخی لکھت =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>سرخی لکھت</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'نشان والی لسٹ',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* لسٹ آئٹم<br />* لسٹ آئٹم',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>لسٹ آئٹم</li><li>لسٹ آئٹم</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'نمبراں والی لسٹ',
	'wikieditor-toolbar-help-content-olist-syntax' => '#لسٹ آئٹم<br />#لسٹ آئٹم',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>لسٹ آئٹم</li><li>لسٹ آئٹم</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'مورت لگی فائل',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|سرخی]]',
	'wikieditor-toolbar-help-content-file-result' => "<div سٹائل='چوڑائی:104px;' کلاس='تھمبنر'><اک سرخی='سرخی لکھت' کلاس='مورت' href='#'><مورت اونچائی='50' چوڑائی='100' باڈر='0' کلاس='تھمبامیج' src='ایکسٹنشن/وکیایڈیٹر/موڈیولز/مورتاں/اوزار پٹی/ادھارن-مورت.پیاینجی' alt=''/></a><ڈو کلاس='تھمبسرخی'><ڈو کلاس='وڈاکرنا'><اک سرخی='وڈا' کلاس='انٹرنل' href='#'><مورت انچائی='11' چوڑائی='15' alt='' src='$1/کامن/مورتاں/وڈا کلپ۔پیاینجی.پیاینجی'/></a></div>سرخی لکھت</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'اتے پتے',
	'wikieditor-toolbar-help-content-reference-syntax' => 'صفہ لکھت.&lt;ref name="test"&gt;[http://www.example.org جوڑ لکھت], ہور لکھت.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "صفا لکھت.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'ہور ورتن اوسے اتے پتے دا',
	'wikieditor-toolbar-help-content-rereference-result' => "صفہ لکھت.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'اتے پتے وکھاؤ',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'تواڈے دستخط ویلے دے نال',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ورتن والے دا ناں</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'دسخط',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ورتن ناں</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'انڈنٹ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'نارمل لکھت<br />:ودی لکھت<br />::ودی لکھت',
	'wikieditor-toolbar-help-content-indent-result' => 'نارمل لکھت<dl><dd>ودی لکھت<dl><dd>ودی لکھت</dd></dl></dd></dl>',
);

/** Pontic (Ποντιακά) */
$messages['pnt'] = array(
	'wikieditor-toolbar-loading' => "Φορτών'...",
	'wikieditor-toolbar-tool-big-example' => 'Τρανόν κείμενον',
	'wikieditor-toolbar-characters-page-ipa' => 'ΔΦΑ',
	'wikieditor-toolbar-characters-page-telugu' => 'Τελούγκου',
	'wikieditor-toolbar-help-content-signature-description' => 'Υπογραφή',
);

/** Pashto (پښتو)
 * @author Ahmed-Najib-Biabani-Ibrahimkhel
 */
$messages['ps'] = array(
	'wikieditor' => 'د پرمختللی ويکي متن د سمون ليدنمخ',
	'wikieditor-wikitext-tab' => 'ويکي متن',
	'wikieditor-loading' => 'د برسېرېدو په حال کې',
	'wikieditor-preview-preference' => 'څنګ په څنګ مخليدنه چارنده کول',
	'wikieditor-preview-tab' => 'مخليدنه',
	'wikieditor-preview-changes-tab' => 'بدلونونه',
	'wikieditor-preview-loading' => 'د برسېرېدلو په حال کې...',
	'wikieditor-previewDialog-tab' => 'مخليدنه',
	'wikieditor-previewDialog-loading' => 'د برسېرېدلو په حال کې...',
	'wikieditor-publish-preference' => 'ګام په ګام خپرېدنه چارنده کول',
	'wikieditor-publish-button-publish' => 'خپرول',
	'wikieditor-publish-button-cancel' => 'ناګارل',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} کې خپرول',
	'wikieditor-publish-dialog-summary' => 'د سمون لنډيز (په لنډه توګه د خپلو بدلونونو څرګندونه وکړۍ):',
	'wikieditor-publish-dialog-minor' => 'وړوکی سمون',
	'wikieditor-publish-dialog-watch' => 'همدا مخ کتل',
	'wikieditor-publish-dialog-publish' => 'خپرول',
	'wikieditor-publish-dialog-goback' => 'پر شا تلل',
	'wikieditor-template-editor-dialog-title' => 'کينډۍ سمول',
	'wikieditor-template-editor-dialog-submit' => 'اوسمهالول',
	'wikieditor-template-editor-dialog-cancel' => 'ناګارل',
	'wikieditor-templates-preference' => 'کينډۍ غځول چارنده کول',
	'wikieditor-toc-show' => 'مېنځپانګه ښکاره کول',
	'wikieditor-toc-hide' => 'مېنځپانګه پټول',
	'wikieditor-toolbar' => 'د سمون توکپټه',
	'wikieditor-toolbar-loading' => 'د برسېرېدلو په حال کې...',
	'wikieditor-toolbar-tool-bold' => 'زغرد',
	'wikieditor-toolbar-tool-bold-example' => 'زغرد متن',
	'wikieditor-toolbar-tool-italic' => 'رېوند',
	'wikieditor-toolbar-tool-italic-example' => 'د رېوندليک متن',
	'wikieditor-toolbar-tool-ilink' => 'کورنۍ تړنه',
	'wikieditor-toolbar-tool-ilink-example' => 'د تړنې سرليک',
	'wikieditor-toolbar-tool-xlink' => 'باندنۍ تړنه (د http:// مختاړی مه هېروی)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com د تړنې سرليک',
	'wikieditor-toolbar-tool-link' => 'تړنه',
	'wikieditor-toolbar-tool-link-title' => 'تړنه ورټومبل',
	'wikieditor-toolbar-tool-link-int' => 'د ويکي يو مخ ته',
	'wikieditor-toolbar-tool-link-int-target' => 'د موخې مخ يا انټرنټي پته:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'د مخ سرليک يا URL',
	'wikieditor-toolbar-tool-link-int-text' => 'د ښکارېدلو متن:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'د ښکارېدلو متن',
	'wikieditor-toolbar-tool-link-ext' => 'د جال يوه باندني مخ ته',
	'wikieditor-toolbar-tool-link-ext-target' => 'د تړنې URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'د تړنې متن:',
	'wikieditor-toolbar-tool-link-insert' => 'تړنه ورټومبل',
	'wikieditor-toolbar-tool-link-cancel' => 'ناګارل',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'پدې نوم مخ شته',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'پدې نوم مخ نشته',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'ناسم سرليک',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'باندنۍ تړنه',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'د مخ د شتون څارنه...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ستاسې ځانګړی شوی سرليک سم نه وو.',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'کورنۍ تړنه',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'باندنۍ تړنه',
	'wikieditor-toolbar-tool-file' => 'خښه شوې دوتنه',
	'wikieditor-toolbar-tool-reference' => 'سرچينه',
	'wikieditor-toolbar-tool-reference-example' => 'د پايڅوړ متن دلته وليکۍ',
	'wikieditor-toolbar-tool-reference-cancel' => 'ناګارل',
	'wikieditor-toolbar-tool-reference-title' => 'سرچينه ورګډول',
	'wikieditor-toolbar-tool-reference-insert' => 'ورټومبل',
	'wikieditor-toolbar-tool-reference-text' => 'د سرچينې متن',
	'wikieditor-toolbar-tool-signature' => 'لاسليک او د وخت ټاپه',
	'wikieditor-toolbar-section-advanced' => 'پرمختللی',
	'wikieditor-toolbar-tool-heading' => 'سرليک',
	'wikieditor-toolbar-tool-heading-1' => '۱ کچه',
	'wikieditor-toolbar-tool-heading-2' => '۲ کچه',
	'wikieditor-toolbar-tool-heading-3' => '۳ کچه',
	'wikieditor-toolbar-tool-heading-4' => '۴ کچه',
	'wikieditor-toolbar-tool-heading-5' => '۵ کچه',
	'wikieditor-toolbar-tool-heading-example' => 'د سرليک متن',
	'wikieditor-toolbar-group-format' => 'بڼه',
	'wikieditor-toolbar-tool-ulist' => 'ګولۍ داره لړليک',
	'wikieditor-toolbar-tool-ulist-example' => 'د ګولۍ داره لړليک توکی',
	'wikieditor-toolbar-tool-olist' => 'شمېر لرونکی لړليک',
	'wikieditor-toolbar-tool-redirect-example' => 'د هدفي مخ نوم',
	'wikieditor-toolbar-tool-big' => 'لوی',
	'wikieditor-toolbar-tool-big-example' => 'لوی متن',
	'wikieditor-toolbar-tool-small' => 'وړوکی',
	'wikieditor-toolbar-tool-small-example' => 'وړوکی متن',
	'wikieditor-toolbar-tool-superscript' => 'جګليک',
	'wikieditor-toolbar-tool-superscript-example' => 'د جګليک متن',
	'wikieditor-toolbar-tool-subscript' => 'ټيټليک',
	'wikieditor-toolbar-tool-subscript-example' => 'د ټيټليک متن',
	'wikieditor-toolbar-group-insert' => 'ورټومبل',
	'wikieditor-toolbar-tool-gallery' => 'د انځورونو انځورتون',
	'wikieditor-toolbar-tool-newline' => 'نوې کرښه',
	'wikieditor-toolbar-tool-table' => 'لښتيال',
	'wikieditor-toolbar-tool-table-example-header' => 'د سرليک متن',
	'wikieditor-toolbar-tool-table-title' => 'لښتيال ورټومبل',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'ليکې',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'ستنې',
	'wikieditor-toolbar-tool-table-wikitable' => 'ډول او پولې',
	'wikieditor-toolbar-tool-table-sortable' => 'لښتيال د اوډون وړ ګرځول',
	'wikieditor-toolbar-tool-table-example' => 'بېلګه',
	'wikieditor-toolbar-tool-table-preview' => 'مخليدنه',
	'wikieditor-toolbar-tool-table-insert' => 'ورټومبل',
	'wikieditor-toolbar-tool-table-cancel' => 'ناګارل',
	'wikieditor-toolbar-tool-replace' => 'پلټل او ځايناستول',
	'wikieditor-toolbar-tool-replace-title' => 'پلټل او ځايناستول',
	'wikieditor-toolbar-tool-replace-search' => 'پلټنه د:',
	'wikieditor-toolbar-tool-replace-replace' => 'ځايناستول سره د:',
	'wikieditor-toolbar-tool-replace-case' => 'د کټ مټ ورته تورو مطابقت',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'بل موندل',
	'wikieditor-toolbar-tool-replace-button-replace' => 'ځايناستول',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'ټول ځايناستول',
	'wikieditor-toolbar-tool-replace-close' => 'تړل',
	'wikieditor-toolbar-tool-replace-nomatch' => 'ستاسې پلټنه د هېڅ کوم شي سره اړونده نه وه.',
	'wikieditor-toolbar-section-characters' => 'ځانګړي توري',
	'wikieditor-toolbar-characters-page-latin' => 'لاتين',
	'wikieditor-toolbar-characters-page-latinextended' => 'غځېدلی لاتين',
	'wikieditor-toolbar-characters-page-ipa' => 'ن.غ.ا',
	'wikieditor-toolbar-characters-page-symbols' => 'سمبولونه',
	'wikieditor-toolbar-characters-page-greek' => 'يوناني',
	'wikieditor-toolbar-characters-page-cyrillic' => 'سرېليک',
	'wikieditor-toolbar-characters-page-arabic' => 'عربي',
	'wikieditor-toolbar-characters-page-arabicextended' => 'غځېدلې عربي',
	'wikieditor-toolbar-characters-page-persian' => 'پارسي',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبراني',
	'wikieditor-toolbar-characters-page-bangla' => 'بنګالي',
	'wikieditor-toolbar-characters-page-telugu' => 'تېلوګو',
	'wikieditor-toolbar-characters-page-sinhala' => 'سېنهالي',
	'wikieditor-toolbar-characters-page-gujarati' => 'ګجراتي',
	'wikieditor-toolbar-characters-page-thai' => 'تايلنډي',
	'wikieditor-toolbar-characters-page-lao' => 'لاوي',
	'wikieditor-toolbar-characters-page-khmer' => 'خمري',
	'wikieditor-toolbar-section-help' => 'لارښود',
	'wikieditor-toolbar-help-heading-description' => 'څرګندونه',
	'wikieditor-toolbar-help-heading-syntax' => 'هغه څه چې ليکۍ',
	'wikieditor-toolbar-help-heading-result' => 'هغه څه چې لاس ته راوړۍ',
	'wikieditor-toolbar-help-page-link' => 'تړنې',
	'wikieditor-toolbar-help-page-heading' => 'سرليکونه',
	'wikieditor-toolbar-help-page-list' => 'لړليکونه',
	'wikieditor-toolbar-help-page-file' => 'دوتنې',
	'wikieditor-toolbar-help-page-reference' => 'سرچينې',
	'wikieditor-toolbar-help-page-discussion' => 'خبرې اترې',
	'wikieditor-toolbar-help-content-italic-description' => 'رېوند',
	'wikieditor-toolbar-help-content-italic-syntax' => 'د رېوندليک متن',
	'wikieditor-toolbar-help-content-italic-result' => '<em>رېوند متن</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'زغرد',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''زغرد متن'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>زغرد متن</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'زغرد او رېوندليک',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''زغرد او رېوند متن'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>زغرد او رېوند متن</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'کورنۍ تړنه',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[د مخ سرليک|د تړنې نوم]]<br />[[د مخ سرليک]]',
	'wikieditor-toolbar-help-content-xlink-description' => 'باندنۍ تړنه',
	'wikieditor-toolbar-help-content-heading2-description' => 'د دويمې کچې سرليک',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== د سرليک متن ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>د سرليک متن</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'د دريمې کچې سرليک',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== د سرليک متن ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>د سرليک متن</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'د څلورمې کچې سرليک',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== د سرليک متن ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>د سرليک متن</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'د پينځمې کچې سرليک',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== د سرليک متن =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>د سرليک متن</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'ګولۍ داره لړليک',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* د لړليک توکی<br />* د لړليک توکی',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>د لړليک توکی</li><li>د لړليک توکی</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'شمېر لرونکی لړليک',
	'wikieditor-toolbar-help-content-olist-syntax' => '# د لړليک توکی<br /># د لړليک توکی',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>د لړليک توکی</li><li>د لړليک توکی</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'خښه شوې دوتنه',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|د څرګندولو متن]]',
	'wikieditor-toolbar-help-content-reference-description' => 'سرچينه',
	'wikieditor-toolbar-help-content-reference-syntax' => 'د مخ متن.&lt;ref name="test"&gt;[http://www.example.org د تړنې متن], اضافي متن.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "د مخ متن.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'د سرچينو اضافي کارېدنه',
	'wikieditor-toolbar-help-content-rereference-result' => "د مخ متن.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'سرچينې ښکاره کول',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>د تړنې متن</a>, اضافي متن.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'لاسليک د وخت د ټاپې سره',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>کارن نوم</a> (<a href='#' title='{{#special:mytalk}}'>خبرې اترې</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'لاسليک',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>کارن نوم</a> (<a href='#' title='{{#special:mytalk}}'>خبرې اترې</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'سرتشه',
	'wikieditor-toolbar-help-content-indent-syntax' => 'عادي متن<br />:سرتشېدلی متن<br />::سرتشېدلی متن',
	'wikieditor-toolbar-help-content-indent-result' => 'عادي  متن<dl><dd>سرتشېدلی متن<dl><dd>سرتشېدلی متن</dd></dl></dd></dl>',
);

/** Portuguese (Português)
 * @author 555
 * @author Giro720
 * @author Hamilton Abreu
 * @author Helder.wiki
 * @author João Sousa
 * @author Luckas Blade
 * @author Malafaya
 * @author MetalBrasil
 */
$messages['pt'] = array(
	'wikieditor' => 'Interface avançada de edição de texto wiki',
	'wikieditor-desc' => 'Fornece uma interface extensível de edição de texto wiki e vários módulos funcionais',
	'wikieditor-wikitext-tab' => 'Texto Wiki',
	'wikieditor-loading' => 'A carregar',
	'wikieditor-preview-preference' => 'Possibilitar antevisão lado a lado',
	'wikieditor-preview-tab' => 'Antevisão',
	'wikieditor-preview-changes-tab' => 'Alterações',
	'wikieditor-preview-loading' => 'A carregar...',
	'wikieditor-previewDialog-preference' => 'Activar o diálogo de antevisão',
	'wikieditor-previewDialog-tab' => 'Antevisão',
	'wikieditor-previewDialog-loading' => 'A carregar...',
	'wikieditor-publish-preference' => 'Possibilitar publicação passo a passo',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancelar',
	'wikieditor-publish-dialog-title' => 'Publicar na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Resumo de edição (breve descrição das suas alterações):',
	'wikieditor-publish-dialog-minor' => 'Edição menor',
	'wikieditor-publish-dialog-watch' => 'Vigiar esta página',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Voltar',
	'wikieditor-template-editor-preference' => 'Possibilitar edição de predefinições com base em formulários',
	'wikieditor-template-editor-dialog-title' => 'Editar predefinição',
	'wikieditor-template-editor-dialog-submit' => 'Actualizar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancelar',
	'wikieditor-templates-preference' => 'Possibilitar a recolha e expansão de predefinições',
	'wikieditor-toc-preference' => 'Possibilitar tabela de conteúdo navegável',
	'wikieditor-toc-show' => 'Mostrar conteúdo',
	'wikieditor-toc-hide' => 'Esconder conteúdo',
	'wikieditor-toolbar' => 'Barra de ferramentas de edição',
	'wikieditor-toolbar-desc' => 'Barra de ferramentas de edição com usabilidade melhorada',
	'wikieditor-toolbar-preference' => 'Activar a barra de ferramentas de edição melhorada',
	'wikieditor-toolbar-dialogs-preference' => 'Possibilitar diálogos de inserção de links, tabelas e outros',
	'wikieditor-toolbar-hidesig' => 'Esconder o botão da assinatura nas páginas do espaço nominal principal',
	'wikieditor-toolbar-loading' => 'A carregar...',
	'wikieditor-toolbar-tool-bold' => 'Negrito',
	'wikieditor-toolbar-tool-bold-example' => 'Texto a negrito',
	'wikieditor-toolbar-tool-italic' => 'Itálico',
	'wikieditor-toolbar-tool-italic-example' => 'Texto em itálico',
	'wikieditor-toolbar-tool-ilink' => 'Link interno',
	'wikieditor-toolbar-tool-ilink-example' => 'Título do link',
	'wikieditor-toolbar-tool-xlink' => 'Link externo (lembre-se do prefixo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com título do link',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Inserir um link',
	'wikieditor-toolbar-tool-link-int' => 'Para uma página wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Página ou URL de destino:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Título ou URL da página',
	'wikieditor-toolbar-tool-link-int-text' => 'Texto a apresentar:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Introduza o texto a apresentar',
	'wikieditor-toolbar-tool-link-ext' => 'Para uma página externa na internet',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL do link:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Texto do link:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserir link',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'A página existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'A página não existe',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Título inválido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Link externo',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'A verificar se a página existe...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'O título que especificou é inválido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'A URL que especificou parece ser um link para outra página da wiki. Deseja torná-la num link interno?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Link interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Link externo',
	'wikieditor-toolbar-tool-link-empty' => 'Não introduziu o destino do link.',
	'wikieditor-toolbar-tool-file' => 'Ficheiro incorporado',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referência',
	'wikieditor-toolbar-tool-reference-example' => 'Inserir texto da referência aqui',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-reference-title' => 'Inserir referência',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserir',
	'wikieditor-toolbar-tool-reference-text' => 'Texto da referência',
	'wikieditor-toolbar-tool-signature' => 'Assinatura, hora e data',
	'wikieditor-toolbar-section-advanced' => 'Edição avançada',
	'wikieditor-toolbar-tool-heading' => 'Cabeçalho',
	'wikieditor-toolbar-tool-heading-1' => 'Nível 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nível 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nível 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nível 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nível 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto de cabeçalho',
	'wikieditor-toolbar-group-format' => 'Formatar',
	'wikieditor-toolbar-tool-ulist' => 'Lista com marcadores',
	'wikieditor-toolbar-tool-ulist-example' => 'Elemento de lista com marcas',
	'wikieditor-toolbar-tool-olist' => 'Lista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Elemento de lista numerada',
	'wikieditor-toolbar-tool-indent' => 'Indentação',
	'wikieditor-toolbar-tool-indent-example' => 'Linha indentada',
	'wikieditor-toolbar-tool-nowiki' => 'Sem formatação wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserir aqui texto sem formatação',
	'wikieditor-toolbar-tool-redirect' => 'Redireccionamento',
	'wikieditor-toolbar-tool-redirect-example' => 'Nome da página de destino',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Texto grande',
	'wikieditor-toolbar-tool-small' => 'Pequeno',
	'wikieditor-toolbar-tool-small-example' => 'Texto pequeno',
	'wikieditor-toolbar-tool-superscript' => 'Sobrescrito',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto em sobrescrito',
	'wikieditor-toolbar-tool-subscript' => 'Subscrito',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto em subscrito',
	'wikieditor-toolbar-group-insert' => 'Inserir',
	'wikieditor-toolbar-tool-gallery' => 'Galeria de imagens',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemplo1.jpg|Legenda1
$1:Exemplo2.jpg|Legenda2',
	'wikieditor-toolbar-tool-newline' => 'Nova linha',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! cabeçalho 1
! cabeçalho 2
! cabeçalho 3
|-
| linha 1, coluna 1
| linha 1, coluna 2
| linha 1, coluna 3
|-
| linha 2, coluna 1
| linha 2, coluna 2
| linha 2, coluna 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texto da célula',
	'wikieditor-toolbar-tool-table-example-header' => 'Texto do cabeçalho',
	'wikieditor-toolbar-tool-table-title' => 'Inserir tabela',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linhas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colunas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Adicionar linha de cabeçalho',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo com margens',
	'wikieditor-toolbar-tool-table-sortable' => 'Tornar a tabela ordenável',
	'wikieditor-toolbar-tool-table-example' => 'Exemplo',
	'wikieditor-toolbar-tool-table-preview' => 'Antevisão',
	'wikieditor-toolbar-tool-table-insert' => 'Inserir',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-table-toomany' => 'Neste diálogo não é possível inserir uma tabela com mais de $1 colunas.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Não introduziu um número válido de linhas ou colunas.',
	'wikieditor-toolbar-tool-table-zero' => 'Não pode inserir uma tabela com zero linhas ou colunas',
	'wikieditor-toolbar-tool-replace' => 'Pesquisar e substituir',
	'wikieditor-toolbar-tool-replace-title' => 'Pesquisar e substituir',
	'wikieditor-toolbar-tool-replace-search' => 'Pesquisar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Substituir por:',
	'wikieditor-toolbar-tool-replace-case' => 'Distinguir maiúsculas de minúsculas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratar texto de busca como uma expressão regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Procurar próximo',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Substituir',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Substituir todos',
	'wikieditor-toolbar-tool-replace-close' => 'Fechar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'A sua pesquisa não produziu resultados.',
	'wikieditor-toolbar-tool-replace-success' => 'Substituições realizadas: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Não introduziu nada para pesquisar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "A expressão regular ''(regex)'' que introduziu é inválida: $1",
	'wikieditor-toolbar-section-characters' => 'Caracteres especiais',
	'wikieditor-toolbar-characters-page-latin' => 'Latim',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latim expandido',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Grego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirílico',
	'wikieditor-toolbar-characters-page-arabic' => 'Árabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arábico estendido',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraico',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugo',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalês',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guzerate',
	'wikieditor-toolbar-characters-page-thai' => 'Tailandês',
	'wikieditor-toolbar-characters-page-lao' => 'Laociano',
	'wikieditor-toolbar-characters-page-khmer' => 'Cambojano',
	'wikieditor-toolbar-section-help' => 'Ajuda',
	'wikieditor-toolbar-help-heading-description' => 'Descrição',
	'wikieditor-toolbar-help-heading-syntax' => 'O que escreve',
	'wikieditor-toolbar-help-heading-result' => 'Resultado',
	'wikieditor-toolbar-help-page-format' => 'Formatação',
	'wikieditor-toolbar-help-page-link' => 'Links',
	'wikieditor-toolbar-help-page-heading' => 'Títulos de secções',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Ficheiros',
	'wikieditor-toolbar-help-page-reference' => 'Referências',
	'wikieditor-toolbar-help-page-discussion' => 'Discussão',
	'wikieditor-toolbar-help-content-italic-description' => 'Itálico',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto em itálico''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto em itálico</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negrito',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto a negrito'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto a negrito</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negrito e itálico',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto em negrito e itálico'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto em negrito e itálico</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Link interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Título da página|texto do link]]<br />[[Título da página]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Texto do link</a><br /><a href='#'>Título da página</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Link externo',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Texto do link]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texto do link</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Subtítulo de nível 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Subtítulo ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Subtítulo</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Subtítulo de nível 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Subtítulo ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Subtítulo</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Subtítulo de nível 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Subtítulo ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Subtítulo</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Subtítulo de nível 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Subtítulo =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Subtítulo</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista com marcadores',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Elemento de lista<br />* Elemento de lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Elemento de lista</li><li>Elemento de lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Elemento de lista<br /># Elemento de lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Elemento de lista</li><li>Elemento de lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Ficheiro incorporado',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemplo.png|thumb|Texto da legenda]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Legenda' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Aumentar' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Legenda</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referência',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto da página.&lt;ref name="teste"&gt;[http://www.exemplo.org Texto do link], texto adicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texto da página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Reutilização da mesma referência',
	'wikieditor-toolbar-help-content-rereference-result' => "Texto da página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostrar referências',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><a title='' href='#'><b>^</b></a> <a rel='nofollow' title=\"http://www.exemplo.org\" class='external text' href='#'>Texto do link</a>, texto adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Assinatura com data e hora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome de utilizador</a> (<a href='#' title='{{#special:mytalk}}'>discussão</a>) 15h54min de 10 de junho de 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Assinatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome de utilizador</a> (<a href='#' title='{{#special:mytalk}}'>discussão</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentação',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto indentado<br />::Texto indentado',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto indentado<dl><dd>Texto indentado</dd></dl></dd></dl>',
);

/** Brazilian Portuguese (Português do Brasil)
 * @author 555
 * @author Daemorris
 * @author Everton137
 * @author Giro720
 * @author Hamilton Abreu
 * @author Helder.wiki
 * @author Heldergeovane
 * @author Lijealso
 * @author Luckas Blade
 * @author MetalBrasil
 * @author Rafael Vargas
 */
$messages['pt-br'] = array(
	'wikieditor' => 'Interface avançada de edição de wikitexto',
	'wikieditor-desc' => 'Fornece uma interface extensível de edição de textowiki e vários módulos funcionais',
	'wikieditor-wikitext-tab' => 'Wikitexto',
	'wikieditor-loading' => 'Carregando',
	'wikieditor-preview-preference' => 'Habilitar a previsão lado-a-lado',
	'wikieditor-preview-tab' => 'Pré-visualização',
	'wikieditor-preview-changes-tab' => 'Alterações',
	'wikieditor-preview-loading' => 'Carregando...',
	'wikieditor-previewDialog-preference' => 'Ativar o diálogo de previsão',
	'wikieditor-previewDialog-tab' => 'Pré-visualização',
	'wikieditor-previewDialog-loading' => 'Carregando...',
	'wikieditor-publish-preference' => 'Ativar publicação passo-a-passo',
	'wikieditor-publish-button-publish' => 'Publicar',
	'wikieditor-publish-button-cancel' => 'Cancelar',
	'wikieditor-publish-dialog-title' => 'Publicar na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Sumário de edição (breve descrição das suas alterações):',
	'wikieditor-publish-dialog-minor' => 'Edição menor',
	'wikieditor-publish-dialog-watch' => 'Vigiar esta página',
	'wikieditor-publish-dialog-publish' => 'Publicar',
	'wikieditor-publish-dialog-goback' => 'Voltar',
	'wikieditor-template-editor-preference' => 'Possibilitar edição de predefinições com base em formulários',
	'wikieditor-template-editor-dialog-title' => 'Editar predefinição',
	'wikieditor-template-editor-dialog-submit' => 'Atualizar',
	'wikieditor-template-editor-dialog-cancel' => 'Cancelar',
	'wikieditor-templates-preference' => 'Habilitar predefinições colapsáveis',
	'wikieditor-toc-preference' => 'Habilita tabela de conteúdo navegável',
	'wikieditor-toc-show' => 'Mostrar conteúdo',
	'wikieditor-toc-hide' => 'Esconder conteúdo',
	'wikieditor-toolbar' => 'Barra de ferramentas de edição',
	'wikieditor-toolbar-desc' => 'Barra de ferramentas de edição com usabilidade melhorada',
	'wikieditor-toolbar-preference' => 'Ativar a barra de ferramentas de edição melhorada',
	'wikieditor-toolbar-dialogs-preference' => 'Possibilitar diálogos de inserção de ligações, tabelas e outros',
	'wikieditor-toolbar-hidesig' => 'Esconder o botão da assinatura nas páginas do espaço nominal principal',
	'wikieditor-toolbar-loading' => 'Carregando...',
	'wikieditor-toolbar-tool-bold' => 'Negrito',
	'wikieditor-toolbar-tool-bold-example' => 'Texto em negrito',
	'wikieditor-toolbar-tool-italic' => 'Itálico',
	'wikieditor-toolbar-tool-italic-example' => 'Texto em itálico',
	'wikieditor-toolbar-tool-ilink' => 'Link interno',
	'wikieditor-toolbar-tool-ilink-example' => 'Título do link',
	'wikieditor-toolbar-tool-xlink' => 'Link externo (lembre-se do prefixo http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com título do link',
	'wikieditor-toolbar-tool-link' => 'Link',
	'wikieditor-toolbar-tool-link-title' => 'Inserir link',
	'wikieditor-toolbar-tool-link-int' => 'Para uma página wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Página ou URL de destino:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Título ou URL da página',
	'wikieditor-toolbar-tool-link-int-text' => 'Texto de exibição:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Insira o texto a ser exibido',
	'wikieditor-toolbar-tool-link-ext' => 'À uma página web externa',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL do link:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Título do link:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserir link',
	'wikieditor-toolbar-tool-link-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'A página existe',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'A página não existe',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Título inválido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Link externo',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Verificando existência da página...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'O título que você especificou é inválido.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'A URL que você especificou parece ser um link para outra página do wiki. Você deseja usar como link interno?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Link interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Link externo',
	'wikieditor-toolbar-tool-link-empty' => 'Você não inseriu um link de destino.',
	'wikieditor-toolbar-tool-file' => 'Arquivo embutido',
	'wikieditor-toolbar-tool-file-example' => 'Exemplo.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referência',
	'wikieditor-toolbar-tool-reference-example' => 'Insira o texto da referência aqui',
	'wikieditor-toolbar-tool-reference-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-reference-title' => 'Inserir referência',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserir',
	'wikieditor-toolbar-tool-reference-text' => 'Texto da referência',
	'wikieditor-toolbar-tool-signature' => 'Assinatura, hora e data',
	'wikieditor-toolbar-section-advanced' => 'Edição avançada',
	'wikieditor-toolbar-tool-heading' => 'Cabeçalho',
	'wikieditor-toolbar-tool-heading-1' => 'Nível 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nível 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nível 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nível 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nível 5',
	'wikieditor-toolbar-tool-heading-example' => 'Texto de cabeçalho',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Lista com marcadores',
	'wikieditor-toolbar-tool-ulist-example' => 'Item de lista com marcadores',
	'wikieditor-toolbar-tool-olist' => 'Lista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Item de lista numerada',
	'wikieditor-toolbar-tool-indent' => 'Indentação',
	'wikieditor-toolbar-tool-indent-example' => 'Linha indentada',
	'wikieditor-toolbar-tool-nowiki' => 'Sem formatação wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserir aqui texto sem formatação',
	'wikieditor-toolbar-tool-redirect' => 'Redirecionamento',
	'wikieditor-toolbar-tool-redirect-example' => 'Nome da página de destino',
	'wikieditor-toolbar-tool-big' => 'Grande',
	'wikieditor-toolbar-tool-big-example' => 'Texto grande',
	'wikieditor-toolbar-tool-small' => 'Pequeno',
	'wikieditor-toolbar-tool-small-example' => 'Texto pequeno',
	'wikieditor-toolbar-tool-superscript' => 'Sobrescrito',
	'wikieditor-toolbar-tool-superscript-example' => 'Texto em sobrescrito',
	'wikieditor-toolbar-tool-subscript' => 'Subscrito',
	'wikieditor-toolbar-tool-subscript-example' => 'Texto em subscrito',
	'wikieditor-toolbar-group-insert' => 'Inserir',
	'wikieditor-toolbar-tool-gallery' => 'Galeria de imagens',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemplo.jpg|Legenda1
$1:Exemplo.jpg|Legenda2',
	'wikieditor-toolbar-tool-newline' => 'Nova linha',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! cabeçalho 1
! cabeçalho 2
! cabeçalho 3
|-
| linha 1, célula 1
| linha 1, célula 2
| linha 1, célula 3
|-
| linha 2, célula 1
| linha 2, célula 2
| linha 2, célula 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Texto da célula',
	'wikieditor-toolbar-tool-table-example-header' => 'Texto do cabeçalho',
	'wikieditor-toolbar-tool-table-title' => 'Inserir tabela',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linhas',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colunas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Inclui linha de cabeçalho',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilo com bordas',
	'wikieditor-toolbar-tool-table-sortable' => 'Tornar a tabela ordenável',
	'wikieditor-toolbar-tool-table-example' => 'Exemplo',
	'wikieditor-toolbar-tool-table-preview' => 'Pré-visualização',
	'wikieditor-toolbar-tool-table-insert' => 'Inserir',
	'wikieditor-toolbar-tool-table-cancel' => 'Cancelar',
	'wikieditor-toolbar-tool-table-toomany' => 'Não é possível inserir uma tabela com mais de $1 colunas com esta interface.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Você não introduziu um número válido de linhas ou colunas.',
	'wikieditor-toolbar-tool-table-zero' => 'Você não pode inserir uma tabela com zero linhas ou colunas.',
	'wikieditor-toolbar-tool-replace' => 'Localizar e substituir',
	'wikieditor-toolbar-tool-replace-title' => 'Localizar e substituir',
	'wikieditor-toolbar-tool-replace-search' => 'Localizar:',
	'wikieditor-toolbar-tool-replace-replace' => 'Substituir por:',
	'wikieditor-toolbar-tool-replace-case' => 'Coincidir maiúsculas e minúsculas',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratar texto da pesquisa como uma expressão regular',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Procurar próximo',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Substituir',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Substituir todos',
	'wikieditor-toolbar-tool-replace-close' => 'Fechar',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Não houve coincidências para a sua pesquisa.',
	'wikieditor-toolbar-tool-replace-success' => 'Substituições realizadas: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Você não introduziu nada para buscar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "A expressão regular ''(regex)'' que você introduziu é inválida: $1",
	'wikieditor-toolbar-section-characters' => 'Caracteres especiais',
	'wikieditor-toolbar-characters-page-latin' => 'Latino',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latino estendido',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Símbolos',
	'wikieditor-toolbar-characters-page-greek' => 'Grego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirílico',
	'wikieditor-toolbar-characters-page-arabic' => 'Árabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Árabe estendido',
	'wikieditor-toolbar-characters-page-persian' => 'Persa',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraico',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Cingalês',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guzerate',
	'wikieditor-toolbar-characters-page-thai' => 'Tailandês',
	'wikieditor-toolbar-characters-page-lao' => 'Laociano',
	'wikieditor-toolbar-characters-page-khmer' => 'Cambojano',
	'wikieditor-toolbar-section-help' => 'Ajuda',
	'wikieditor-toolbar-help-heading-description' => 'Descrição',
	'wikieditor-toolbar-help-heading-syntax' => 'O que você digita',
	'wikieditor-toolbar-help-heading-result' => 'O que você obtém',
	'wikieditor-toolbar-help-page-format' => 'Formatação',
	'wikieditor-toolbar-help-page-link' => 'Links',
	'wikieditor-toolbar-help-page-heading' => 'Títulos de seções',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Arquivos',
	'wikieditor-toolbar-help-page-reference' => 'Referências',
	'wikieditor-toolbar-help-page-discussion' => 'Discussão',
	'wikieditor-toolbar-help-content-italic-description' => 'Itálico',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Texto em itálico''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Texto em itálico</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Negrito',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Texto em negrito'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Texto em negrito</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Negrito &amp; itálico',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Texto em negrito &amp; itálico'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Texto em negrito &amp; itálico</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Link interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Título da página|texto do link]]<br />[[Título da página]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Título do link</a><br /><a href='#'>Título da página</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Link externo',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Título do link]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Texto da ligação</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.exemplo.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Subtítulo de nível 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Subtítulo ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Subtítulo</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Subtítulo de nível 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Subtítulo ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Subtítulo</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Subtítulo de nível 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Subtítulo ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Subtítulo</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Subtítulo de nível 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Subtítulo =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Subtítulo</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista com marcadores',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Item de lista<br />* Item de lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Item de lista</li><li>Item de lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Item de lista<br /># Item de lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Item de lista</li><li>Item de lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Arquivo embutido',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemplo.png|thumb|Legenda]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Legenda' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Aumentar' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Legenda</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referência',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Texto da página.&lt;ref name="teste"&gt;[http://www.exemplo.org Texto do link], texto adicional.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Texto da página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Reutilização da mesma referência',
	'wikieditor-toolbar-help-content-rereference-result' => "Texto da página.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostrar referências',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><a title='' href='#'><b>^</b></a> <a rel='nofollow' title=\"http://www.exemplo.org\" class='external text' href='#'>Texto do link</a>, texto adicional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Assinatura com hora e data',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome de usuário</a> (<a href='#' title='{{#special:mytalk}}'>discussão</a>) 15h54min de 10 de junho de 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Assinatura',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome de usuário</a> (<a href='#' title='{{#special:mytalk}}'>discussão</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentação',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Texto normal<br />:Texto indentado<br />::Texto indentado',
	'wikieditor-toolbar-help-content-indent-result' => 'Texto normal<dl><dd>Texto indentado<dl><dd>Texto indentado</dd></dl></dd></dl>',
);

/** Quechua (Runa Simi)
 * @author AlimanRuna
 */
$messages['qu'] = array(
	'wikieditor' => "Ñawparikusqa wiki qillqa llamk'apuna uyapura",
	'wikieditor-desc' => "Mast'arinalla wiki qillqa llamk'apuna uyapurata achka yanapaykuq llamk'anachakunatapas haywan",
	'wikieditor-wikitext-tab' => 'Wiki qillqa',
	'wikieditor-loading' => 'Chaqnamuspa',
	'wikieditor-preview-preference' => 'Chiqa-chiqallan ñawpaq qhawayta atichiy',
	'wikieditor-preview-tab' => 'Ñawpaqta qhawallay',
	'wikieditor-preview-changes-tab' => 'Hukchasqakuna',
	'wikieditor-preview-loading' => 'Chaqnamuspa…',
	'wikieditor-previewDialog-preference' => 'Ñawpaq qhawana willanakuyta atichiy',
	'wikieditor-previewDialog-tab' => 'Ñawpaqta qhawallay',
	'wikieditor-previewDialog-loading' => 'Chaqnamuspa…',
	'wikieditor-publish-preference' => 'Thatki-thatkilla uyaychayta atichiy',
	'wikieditor-publish-button-publish' => 'Uyaychay',
	'wikieditor-publish-button-cancel' => 'Ama niy',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} nisqapi uyaychay',
	'wikieditor-publish-dialog-summary' => "Llamk'apuypa pisichaynin (rurasqayki hukchasqakunata pisilla rimakunawan ch'uyanchay):",
	'wikieditor-publish-dialog-minor' => 'Aslla hukchay',
	'wikieditor-publish-dialog-watch' => "Kay p'anqata watiqay",
	'wikieditor-publish-dialog-publish' => 'Uyaychay',
	'wikieditor-publish-dialog-goback' => 'Kutimuy',
	'wikieditor-template-editor-preference' => "Hunt'ana p'anqawan plantilla llamk'apuyta atichiy",
	'wikieditor-template-editor-dialog-title' => "Plantillata llamk'apuy",
	'wikieditor-template-editor-dialog-submit' => 'Musuqchay',
	'wikieditor-template-editor-dialog-cancel' => 'Ama niy',
	'wikieditor-templates-preference' => 'Plantilla thuñiyta atichiy',
	'wikieditor-toc-preference' => "Wamp'unalla samiq wachuchasqata atichiy",
	'wikieditor-toc-show' => 'Samiqninta rikuchiy',
	'wikieditor-toc-hide' => 'Samiqninta pakay',
	'wikieditor-toolbar' => "Llamk'apunapaq butunnintin uma siq'i",
	'wikieditor-toolbar-desc' => "Kallpachasqa llamk'apunapaq butunnintin uma siq'i",
	'wikieditor-toolbar-preference' => "Kallpachasqa llamk'apunapaq butunnintin uma siq'ita atichiy",
	'wikieditor-toolbar-dialogs-preference' => "T'inkikunapaq, wachuchasqakunapaq, aswanpaqpas willanakuykunata atichiy",
	'wikieditor-toolbar-hidesig' => "Uma suti k'iti p'anqakunamanta silq'uy butunta pakay",
	'wikieditor-toolbar-loading' => 'Chaqnamuspa…',
	'wikieditor-toolbar-tool-bold' => 'Yanasapa',
	'wikieditor-toolbar-tool-bold-example' => 'Yanasapa qillqa',
	'wikieditor-toolbar-tool-italic' => 'Wiksu',
	'wikieditor-toolbar-tool-italic-example' => 'Wiksu qillqa',
	'wikieditor-toolbar-tool-ilink' => "Ukhu t'inki",
	'wikieditor-toolbar-tool-ilink-example' => "T'inkip sutin",
	'wikieditor-toolbar-tool-xlink' => "Hawa t'inki (ñawpaqta http:// nisqata yapariy)",
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.com t'inkip umallin",
	'wikieditor-toolbar-tool-link' => "T'inki",
	'wikieditor-toolbar-tool-link-title' => "T'inkita sat'iy",
	'wikieditor-toolbar-tool-link-int' => "Wiki p'anqaman",
	'wikieditor-toolbar-tool-link-int-target' => "Taripana p'anqap sutin icha URL:",
	'wikieditor-toolbar-tool-link-int-target-tooltip' => "P'anqap sutin icha URL",
	'wikieditor-toolbar-tool-link-int-text' => 'Qhawana qillqa:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Qhawanapaq qillqa',
	'wikieditor-toolbar-tool-link-ext' => "Hawa t'inki tiyayman",
	'wikieditor-toolbar-tool-link-ext-target' => "T'inki URL:",
	'wikieditor-toolbar-tool-link-ext-text' => "T'inki qillqa:",
	'wikieditor-toolbar-tool-link-insert' => "T'inkita sat'iy",
	'wikieditor-toolbar-tool-link-cancel' => 'Ama niy',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => "P'anqaqa kachkanñam.",
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => "P'anqaqa manaraqmi kachkanchu.",
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => "P'anqap sutinqa manam allinchu",
	'wikieditor-toolbar-tool-link-int-target-status-external' => "Hawa t'inki",
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "P'anqa kachkayta llanchichkaspa...",
	'wikieditor-toolbar-tool-link-int-invalid' => "Qusqayki p'anqap sutinqa manam allinchu.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Qusqayki URL nisqaqa huk wiki p'anqaman t'inkimuqmanmi rik'chakun. Ukhu t'inkiri kachunchu?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => "Ukhu t'inki",
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => "Hawa t'inki",
	'wikieditor-toolbar-tool-link-empty' => "Manam ima t'inkimunatapas yaykuchirqunkichu.",
	'wikieditor-toolbar-tool-file' => "Ch'aqtasqa rikcha",
	'wikieditor-toolbar-tool-file-example' => 'Qhawarichiy.jpg',
	'wikieditor-toolbar-tool-reference' => 'Pukyumanta willay',
	'wikieditor-toolbar-tool-reference-example' => "Kayman siki willapuy qillqata sat'iy",
	'wikieditor-toolbar-tool-reference-cancel' => 'Ama niy',
	'wikieditor-toolbar-tool-reference-title' => "Pukyumanta willayta sat'iy",
	'wikieditor-toolbar-tool-reference-insert' => "Sat'iy",
	'wikieditor-toolbar-tool-reference-text' => 'Pukyumanta willanapaq qillqa',
	'wikieditor-toolbar-tool-signature' => "Silq'uy pachawan",
	'wikieditor-toolbar-section-advanced' => 'Ñawparikusqa',
	'wikieditor-toolbar-tool-heading' => "Uma siq'i",
	'wikieditor-toolbar-tool-heading-1' => 'Hatun kay 1',
	'wikieditor-toolbar-tool-heading-2' => 'Hatun kay 2',
	'wikieditor-toolbar-tool-heading-3' => 'Hatun kay 3',
	'wikieditor-toolbar-tool-heading-4' => 'Hatun kay 4',
	'wikieditor-toolbar-tool-heading-5' => 'Hatun kay 5',
	'wikieditor-toolbar-tool-heading-example' => "Uma siq'i qillqa",
	'wikieditor-toolbar-group-format' => "Rikch'akuy",
	'wikieditor-toolbar-tool-ulist' => 'Muruchayuq sutisuyu',
	'wikieditor-toolbar-tool-ulist-example' => 'Muruchayuq sutisuyup qallawan',
	'wikieditor-toolbar-tool-olist' => 'Yupayniyuq sutisuyu',
	'wikieditor-toolbar-tool-olist-example' => 'Yupayniyuq sutisuyup qallawan',
	'wikieditor-toolbar-tool-indent' => 'Anchhuchisqa',
	'wikieditor-toolbar-tool-indent-example' => "Anchhuchisqa siq'i",
	'wikieditor-toolbar-tool-nowiki' => "Wiki rikch'akuy ama kachunchu",
	'wikieditor-toolbar-tool-nowiki-example' => "Kayman mana wiki rikch'akuyniyuq qillqata yapamuy",
	'wikieditor-toolbar-tool-redirect' => 'Pusapuna',
	'wikieditor-toolbar-tool-redirect-example' => "Taripana p'anqap sutin",
	'wikieditor-toolbar-tool-big' => 'Hatunyasqa',
	'wikieditor-toolbar-tool-big-example' => 'Hatunyasqa qillqa',
	'wikieditor-toolbar-tool-small' => 'Uchuyllayasqa',
	'wikieditor-toolbar-tool-small-example' => 'Uchuyllayasqa qillqa',
	'wikieditor-toolbar-tool-superscript' => 'Huqarisqa',
	'wikieditor-toolbar-tool-superscript-example' => 'Huqarisqa qillqa',
	'wikieditor-toolbar-tool-subscript' => 'Uraychasqa',
	'wikieditor-toolbar-tool-subscript-example' => 'Uraychasqa qillqa',
	'wikieditor-toolbar-group-insert' => "Sat'iy",
	'wikieditor-toolbar-tool-gallery' => 'Suyu-suyu',
	'wikieditor-toolbar-tool-gallery-example' => "$1:Qhawarichiy.jpg|Ch'uyanchay1
$1:Qhawarichiy.jpg|Ch'uyanchay2",
	'wikieditor-toolbar-tool-newline' => "Musuq siq'i",
	'wikieditor-toolbar-tool-table' => 'Wachuchasqa',
	'wikieditor-toolbar-tool-table-example-old' => "-
! uma siq'i 1
! uma siq'i 2
! uma siq'i 3
|-
| sinru 1, wachu ukhu 1
| sinru 1, wachu ukhu 2
| sinru 1, wachu ukhu 3
|-
| sinru 2, wachu ukhu 1
| sinru 2, wachu ukhu 2
| sinru 2, wachu ukhu 3",
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Wachu ukhu qillqa',
	'wikieditor-toolbar-tool-table-example-header' => "Uma siq'i qillqa",
	'wikieditor-toolbar-tool-table-title' => "Wachuchasqata sat'iy",
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Sinrukuna',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Wachukuna',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Uma sinruta yapay',
	'wikieditor-toolbar-tool-table-wikitable' => "Saywakunayuq rikch'akuy",
	'wikieditor-toolbar-tool-table-sortable' => 'Wachuchasqata allinchana kachiy',
	'wikieditor-toolbar-tool-table-example' => 'Qhawachina',
	'wikieditor-toolbar-tool-table-preview' => 'Ñawpaqta qhawallay',
	'wikieditor-toolbar-tool-table-insert' => "Sat'iy",
	'wikieditor-toolbar-tool-table-cancel' => 'Ama niy',
	'wikieditor-toolbar-tool-table-toomany' => "Kay willanakuypiqa manam $1-manta aswan wachu ukhukunata sat'iyta atinkichu.",
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Sinrukunapaq icha wachukunapaq allin yupayta manam yaykuchirqunkichu.',
	'wikieditor-toolbar-tool-table-zero' => "Sinrunnaq (0 sinruyuq) icha wachunnaq (0 wachuyuq) wachuchasqata manam sat'iyta atinkichu.",
	'wikieditor-toolbar-tool-replace' => 'Maskaspa huknachay',
	'wikieditor-toolbar-tool-replace-title' => 'Maskaspa huknachay',
	'wikieditor-toolbar-tool-replace-search' => 'Kayta maskay:',
	'wikieditor-toolbar-tool-replace-replace' => 'Kaywan huknachay:',
	'wikieditor-toolbar-tool-replace-case' => 'Hatunpas uchuypas sanampata qhawaykuy',
	'wikieditor-toolbar-tool-replace-regex' => "Taripana qillqata allinlla nisqata hina hat'alliy",
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Qatiqta maskay',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Tukuykunata huknachay',
	'wikieditor-toolbar-tool-replace-close' => "Wichq'ay",
	'wikieditor-toolbar-tool-replace-nomatch' => 'Maskayniykiwan manam imatapas taripankichu.',
	'wikieditor-toolbar-tool-replace-success' => '$1 kuti huknachasqam.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Manam ima maskanatapas yaykuchirqunkichu.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Qusqayki patanchay qillqananchaqa manam allinchu: $1',
	'wikieditor-toolbar-section-characters' => 'Sapaq sanampakuna',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => "Latin mast'arisqa",
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sananchakuna',
	'wikieditor-toolbar-characters-page-greek' => 'Grigu',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirilitsa',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabya',
	'wikieditor-toolbar-characters-page-persian' => 'Pharsi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Iwriyu',
	'wikieditor-toolbar-characters-page-bangla' => 'Banla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guyarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thay',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Yanapa',
	'wikieditor-toolbar-help-heading-description' => "T'iktuna",
	'wikieditor-toolbar-help-heading-syntax' => 'Qillqasqayki kaq',
	'wikieditor-toolbar-help-heading-result' => 'Chaskisqayki kaq',
	'wikieditor-toolbar-help-page-format' => "Rikch'akuychaspa",
	'wikieditor-toolbar-help-page-link' => "T'inkikuna",
	'wikieditor-toolbar-help-page-heading' => "Uma siq'ikuna",
	'wikieditor-toolbar-help-page-list' => 'Sutisuyukuna',
	'wikieditor-toolbar-help-page-file' => 'Willañiqikuna',
	'wikieditor-toolbar-help-page-reference' => 'Pukyumanta willaykuna',
	'wikieditor-toolbar-help-page-discussion' => 'Rimanakuy',
	'wikieditor-toolbar-help-content-italic-description' => 'Wiksu',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Wiksu qillqa''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Wiksu qillqa</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Yanasapa',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Yanasapa qillqa'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Yanasapa qillqa</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Yanasapa wiksu',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Yanasapa wiksu qillqa'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Yanasapa wiksu qillqa</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => "Ukhu t'inki",
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[P'anqap sutin|T'inki qillqa]]<br />[[P'anqap sutin]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>T'inki qillqa</a><br /><a href='#'>P'anqap sutin</a>",
	'wikieditor-toolbar-help-content-xlink-description' => "Hawa t'inki",
	'wikieditor-toolbar-help-content-xlink-syntax' => "[http://www.example.org T'inki qillqa]<br />[http://www.example.org]<br />http://www.example.org",
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>T'inki qillqa</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => "2 ñiqin hatun kayniyuq uma siq'i",
	'wikieditor-toolbar-help-content-heading2-syntax' => "== Uma siq'i qillqa ==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Uma siq'i qillqa</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => "3 ñiqin hatun kayniyuq uma siq'i",
	'wikieditor-toolbar-help-content-heading3-syntax' => "=== Uma siq'i qillqa ===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Uma siq'i qillqa</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => "4 ñiqin hatun kayniyuq uma siq'i",
	'wikieditor-toolbar-help-content-heading4-syntax' => "==== Uma siq'i qillqa ====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Uma siq'i qillqa</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => "5 ñiqin hatun kayniyuq uma siq'i",
	'wikieditor-toolbar-help-content-heading5-syntax' => "===== Uma siq'i qillqa =====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Uma siq'i qillqa</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Muruchayuq sutisuyu',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Sutisuyup qallawan<br />* Sutisuyup qallawan',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Sutisuyup qallawan</li><li>Sutisuyup qallawan</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Yupayniyuq sutisuyu',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Sutisuyup qallawan<br /># Sutisuyup qallawan',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Sutisuyup qallawan</li><li>Sutisuyup qallawan</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => "Ch'aqtasqa rikcha",
	'wikieditor-toolbar-help-content-file-syntax' => "[[$1:Qhawarichiy.png|thumb|Ch'uyanchay qillqa]]",
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Ch'uyanchay qillqa' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Hatunchay' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Ch'uyanchay qillqa</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Pukyumanta willay',
	'wikieditor-toolbar-help-content-reference-syntax' => 'P\'anqa qillqa.&lt;ref name="test"&gt;[http://www.example.org T\'inki qillqa], yapasqa qillqa.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "P'anqa qillqa.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => "Kay pukyumanta willayta yapalla llamk'achiy",
	'wikieditor-toolbar-help-content-rereference-result' => "P'anqa qillqa.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Pukyukunamanta willaykunata rikuchiy',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='hawa qillqa' href='#'>T'inki qillqa</a>, yapasqa qillqa.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => "Silq'uy pachawan",
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ruraqpa sutin</a> (<a href='#' title='{{#special:mytalk}}'>rimanakuy</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => "Silq'uy",
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ruraqpa sutin</a> (<a href='#' title='{{#special:mytalk}}'>rimanakuy</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Anchhuchisqa',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Sapsi qillqa<br />:Anchhuchisqa qillqa<br />::Anchhuchisqa qillqa',
	'wikieditor-toolbar-help-content-indent-result' => 'Sapsi qillqa<dl><dd>Anchhuchisqa qillqa<dl><dd>Anchhuchisqa qillqa</dd></dl></dd></dl>',
);

/** Romanian (Română)
 * @author AdiJapan
 * @author Cin
 * @author Firilacroco
 * @author Minisarm
 */
$messages['ro'] = array(
	'wikieditor' => 'Interfață de modificare wikitext avansată',
	'wikieditor-desc' => 'Afișează o interfață de modificare a wikitextului ce se poate extinde cu multe funcționalități',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Încărcare',
	'wikieditor-preview-preference' => 'Activează previzualizarea unul-lângă-altul',
	'wikieditor-preview-tab' => 'Previzualizare',
	'wikieditor-preview-changes-tab' => 'Modificări',
	'wikieditor-preview-loading' => 'Încărcare...',
	'wikieditor-previewDialog-preference' => 'Activează caseta de dialog pentru previzualizare',
	'wikieditor-previewDialog-tab' => 'Previzualizare',
	'wikieditor-previewDialog-loading' => 'Se încarcă...',
	'wikieditor-publish-preference' => 'Activează publicarea pas cu pas',
	'wikieditor-publish-button-publish' => 'Salvează pagina',
	'wikieditor-publish-button-cancel' => 'Renunță',
	'wikieditor-publish-dialog-title' => 'Publică pe {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Descrierea modificărilor (descrieți pe scurt modificările făcute):',
	'wikieditor-publish-dialog-minor' => 'Modificare minoră',
	'wikieditor-publish-dialog-watch' => 'Monitorizează această pagină',
	'wikieditor-publish-dialog-publish' => 'Salvează pagina',
	'wikieditor-publish-dialog-goback' => 'Înapoi',
	'wikieditor-template-editor-preference' => 'Activează modificarea formatelor wiki prin formulare',
	'wikieditor-template-editor-dialog-title' => 'Modificare format',
	'wikieditor-template-editor-dialog-submit' => 'Actualizare',
	'wikieditor-template-editor-dialog-cancel' => 'Revocare',
	'wikieditor-templates-preference' => 'Activează ascunderea formatului',
	'wikieditor-toc-preference' => 'Activează cuprins navigabil',
	'wikieditor-toc-show' => 'Arată',
	'wikieditor-toc-hide' => 'Ascunde',
	'wikieditor-toolbar' => 'Modificarea barei de instrumente',
	'wikieditor-toolbar-desc' => 'Modificarea barei de instrumente cu utilizare ridicată',
	'wikieditor-toolbar-preference' => 'Activează varianta îmbunătățită a barei de unelte',
	'wikieditor-toolbar-dialogs-preference' => 'Activează casetele de dialog pentru inserarea legăturilor, tabelelor și a altor funcționalități',
	'wikieditor-toolbar-hidesig' => 'Ascunde butonul de semnătură în cazul paginilor din spațiul de nume principal',
	'wikieditor-toolbar-loading' => 'Se încarcă...',
	'wikieditor-toolbar-tool-bold' => 'Aldin',
	'wikieditor-toolbar-tool-bold-example' => 'Text aldin',
	'wikieditor-toolbar-tool-italic' => 'Cursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Text cursiv',
	'wikieditor-toolbar-tool-ilink' => 'Legătură internă',
	'wikieditor-toolbar-tool-ilink-example' => 'Titlul legăturii',
	'wikieditor-toolbar-tool-xlink' => 'Legătură externă (cu prefixul http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.exemplu.com titlul legăturii',
	'wikieditor-toolbar-tool-link' => 'Legătură',
	'wikieditor-toolbar-tool-link-title' => 'Inserare legătură',
	'wikieditor-toolbar-tool-link-int' => 'Către o pagină wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Pagină țintă sau URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titlul paginii sau adresa URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Text de afișat:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Introduceți textul care ar trebui afișat',
	'wikieditor-toolbar-tool-link-ext' => 'Către o pagină web externă',
	'wikieditor-toolbar-tool-link-ext-target' => 'Legătură URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Textul legăturii:',
	'wikieditor-toolbar-tool-link-insert' => 'Introdu legătura',
	'wikieditor-toolbar-tool-link-cancel' => 'Revocare',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Pagina există',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Pagina nu există',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titlu incorect',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Legătură externă',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Verific existența paginii...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titlul specificat nu este corect.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL-ul specificat pare a fi o legătură către o altă pagină wiki. Doriți să o transformați într-o legătură internă?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Legătură internă',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Legătură externă',
	'wikieditor-toolbar-tool-link-empty' => 'Nu ați introdus nimic către care să stabilesc o legătură.',
	'wikieditor-toolbar-tool-file' => 'Fișier inserat',
	'wikieditor-toolbar-tool-file-example' => 'Exemplu.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referință',
	'wikieditor-toolbar-tool-reference-example' => 'Introduceți textul notei de subsol aici.',
	'wikieditor-toolbar-tool-reference-cancel' => 'Revocare',
	'wikieditor-toolbar-tool-reference-title' => 'Inserare referință',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserează',
	'wikieditor-toolbar-tool-reference-text' => 'Conținutul referinței',
	'wikieditor-toolbar-tool-signature' => 'Semnătură datată',
	'wikieditor-toolbar-section-advanced' => 'Avansat',
	'wikieditor-toolbar-tool-heading' => 'Titlu',
	'wikieditor-toolbar-tool-heading-1' => 'Nivelul 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivelul 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivelul 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivelul 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivelul 5',
	'wikieditor-toolbar-tool-heading-example' => 'Textul din titlu',
	'wikieditor-toolbar-group-format' => 'Formatare',
	'wikieditor-toolbar-tool-ulist' => 'Listă cu puncte',
	'wikieditor-toolbar-tool-ulist-example' => 'Element în listă cu puncte',
	'wikieditor-toolbar-tool-olist' => 'Listă numerotată',
	'wikieditor-toolbar-tool-olist-example' => 'Element în listă numerotată',
	'wikieditor-toolbar-tool-indent' => 'Alineat',
	'wikieditor-toolbar-tool-indent-example' => 'Linie cu alineat',
	'wikieditor-toolbar-tool-nowiki' => 'Fără formatare wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserați textul neformatat aici',
	'wikieditor-toolbar-tool-redirect' => 'Redirecționare',
	'wikieditor-toolbar-tool-redirect-example' => 'Numele paginii țintă',
	'wikieditor-toolbar-tool-big' => 'Mare',
	'wikieditor-toolbar-tool-big-example' => 'Text mare',
	'wikieditor-toolbar-tool-small' => 'Mic',
	'wikieditor-toolbar-tool-small-example' => 'Text mic',
	'wikieditor-toolbar-tool-superscript' => 'Exponent',
	'wikieditor-toolbar-tool-superscript-example' => 'Text la exponent',
	'wikieditor-toolbar-tool-subscript' => 'Indice',
	'wikieditor-toolbar-tool-subscript-example' => 'Text la indice',
	'wikieditor-toolbar-group-insert' => 'Inserare',
	'wikieditor-toolbar-tool-gallery' => 'Galerie de imagini',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exemplu.jpg|Descriere 1
$1:Exemplu.jpg|Descriere 2',
	'wikieditor-toolbar-tool-newline' => 'Linie nouă',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
! titlu coloană 1
! titlu coloană 2
! titlu coloană 3
|-
| rând 1, celula 1
| rând 1, celula 2
| rând 1, celula 3
|-
| rând 2, celula 1
| rând 2, celula 2
| rând 2, celula 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Textul celulei',
	'wikieditor-toolbar-tool-table-example-header' => 'Textul titlului coloanei',
	'wikieditor-toolbar-tool-table-title' => 'Inserare tabel',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Linii',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Coloane',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Adăugare rând pentru titlu de coloană',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil cu contur',
	'wikieditor-toolbar-tool-table-sortable' => 'Transformă în tabel sortabil',
	'wikieditor-toolbar-tool-table-example' => 'Exemplu',
	'wikieditor-toolbar-tool-table-preview' => 'Previzualizare',
	'wikieditor-toolbar-tool-table-insert' => 'Inserează',
	'wikieditor-toolbar-tool-table-cancel' => 'Revocare',
	'wikieditor-toolbar-tool-table-toomany' => 'Inserarea unui tabel cu mai mult de $1 celule nu este posibilă cu această unealtă.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nu ați introdus un număr valabil de rânduri sau coloane.',
	'wikieditor-toolbar-tool-table-zero' => 'Nu puteți introduce un tabel cu zero rânduri sau coloane.',
	'wikieditor-toolbar-tool-replace' => 'Căutare și înlocuire',
	'wikieditor-toolbar-tool-replace-title' => 'Căutare și înlocuire',
	'wikieditor-toolbar-tool-replace-search' => 'De căutat:',
	'wikieditor-toolbar-tool-replace-replace' => 'Înlocuire cu:',
	'wikieditor-toolbar-tool-replace-case' => 'Înlocuiește doar dacă este identic',
	'wikieditor-toolbar-tool-replace-regex' => 'Tratează sintagma ca o expresie regulată',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Găsește următorul',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Înlocuiește',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Înlocuiește toate',
	'wikieditor-toolbar-tool-replace-close' => 'Închide',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Căutarea dumneavoastră nu a generat niciun rezultat.',
	'wikieditor-toolbar-tool-replace-success' => '$1 înlocuire(i) efectuată(e).',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Nu ați introdus niciun cuvânt după care să căutați',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Expresia regulată introdusă nu este corectă: $1',
	'wikieditor-toolbar-section-characters' => 'Caractere speciale',
	'wikieditor-toolbar-characters-page-latin' => 'Latină',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latină extinsă',
	'wikieditor-toolbar-characters-page-ipa' => 'AFI',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboluri',
	'wikieditor-toolbar-characters-page-greek' => 'Greacă',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Chirilică',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabă',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabă extinsă',
	'wikieditor-toolbar-characters-page-persian' => 'Persană',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebraică',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengaleză',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thailandeză',
	'wikieditor-toolbar-characters-page-lao' => 'Laoțiană',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmeră',
	'wikieditor-toolbar-section-help' => 'Ajutor',
	'wikieditor-toolbar-help-heading-description' => 'Descriere',
	'wikieditor-toolbar-help-heading-syntax' => 'Ceea ce scrieți',
	'wikieditor-toolbar-help-heading-result' => 'Ceea ce obțineți',
	'wikieditor-toolbar-help-page-format' => 'Formatare',
	'wikieditor-toolbar-help-page-link' => 'Legături',
	'wikieditor-toolbar-help-page-heading' => 'Titluri',
	'wikieditor-toolbar-help-page-list' => 'Liste',
	'wikieditor-toolbar-help-page-file' => 'Fișiere',
	'wikieditor-toolbar-help-page-reference' => 'Referințe',
	'wikieditor-toolbar-help-page-discussion' => 'Discuție',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Text cursiv''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Text cursiv</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Aldin',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Text aldin'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Text aldin</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Aldin și cursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Text aldin și cursiv'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Text aldin și cursiv</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Legătură internă',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titlul paginii|Titlul legăturii]]<br />[[Titlul paginii]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Titlul legăturii</a><br /><a href='#'>Titlul paginii</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Legătură externă',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.exemplu.org Titlul legăturii]<br />[http://www.exemplu.org]<br />http://www.exemplu.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Titlul legăturii</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.exemplu.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Titlu de nivelul 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Titlu ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titlu</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Titlu de nivelul 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Titlu ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titlu</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Titlu de nivelul 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Titlu ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titlu</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Titlu de nivelul 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Titlu =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titlu</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Listă cu puncte',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Element<br />* Element',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Element</li><li>Element</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Listă numerotată',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Element<br /># Element',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Element</li><li>Element</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fișier inserat',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exemplu.png|thumb|Descrierea imaginii]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Descrierea imaginii' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Mărește' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Descrierea imaginii</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referință',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Textul paginii.&lt;ref name="test"&gt;[http://www.exemplu.org Textul legăturii], text suplimentar.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Textul paginii.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Utilizare suplimentară a aceleiași referințe',
	'wikieditor-toolbar-help-content-rereference-result' => "Textul paginii.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Afișare referințe',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Textul legăturii</a>, text adițional.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Semnătură datată',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nume de utilizator</a> (<a href='#' title='{{#special:mytalk}}'>discuție</a>) 15:54, 10 iunie 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Semnătură',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nume de utilizator</a> (<a href='#' title='{{#special:mytalk}}'>discuție</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indentare',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Text normal<br />:Text indentat<br />::Text indentat',
	'wikieditor-toolbar-help-content-indent-result' => 'Text normal<dl><dd>Text indentat<dl><dd>Text indentat</dd></dl></dd></dl>',
);

/** Tarandíne (Tarandíne)
 * @author Joetaras
 * @author Reder
 */
$messages['roa-tara'] = array(
	'wikieditor' => "Wikitext avanzate pe le cangiaminde de l'inderfacce",
	'wikieditor-desc' => "Dè 'nu wikitext estendibbele pe le cangiaminde de l'inderfacce e 'nu sbuenne de funzionalità de cchiù previste sus a le module",
	'wikieditor-wikitext-tab' => 'Uicchiteste',
	'wikieditor-loading' => 'Stoche a careche',
	'wikieditor-preview-preference' => "Abbilite l'andeprime da na vanne a l'otre",
	'wikieditor-preview-tab' => 'Andeprime',
	'wikieditor-preview-changes-tab' => 'Cangiaminde',
	'wikieditor-preview-loading' => 'Carecamende...',
	'wikieditor-previewDialog-preference' => "Abbilete 'u dialoghe de l'andeprime",
	'wikieditor-previewDialog-tab' => 'Andeprime',
	'wikieditor-previewDialog-loading' => 'Carecamende...',
	'wikieditor-publish-preference' => "Abbilete 'a pubblecazione passe pe passe",
	'wikieditor-publish-button-publish' => 'Pubbleche',
	'wikieditor-publish-button-cancel' => 'Annulle',
	'wikieditor-publish-dialog-title' => 'Pubbleche sus a {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Riepileghe de le cangiaminde (veloce veloce descrive le cangiaminde ca tu è fatte):',
	'wikieditor-publish-dialog-minor' => 'Cangiamende stuèdeche',
	'wikieditor-publish-dialog-watch' => 'Condrolle sta pàgene',
	'wikieditor-publish-dialog-publish' => 'Pubbleche',
	'wikieditor-publish-dialog-goback' => 'Tuèrne rrete',
	'wikieditor-template-editor-preference' => 'Abbilete le cangiaminde basate sus a le module de le template de uicchi',
	'wikieditor-template-editor-dialog-title' => "Cange 'u template",
	'wikieditor-template-editor-dialog-submit' => 'Aggiorne',
	'wikieditor-template-editor-dialog-cancel' => 'Scangille',
	'wikieditor-templates-preference' => "Abbilete 'a chiusure de le template",
	'wikieditor-toc-preference' => 'Abbilite le tabbele navigabbele de condenute',
	'wikieditor-toc-show' => 'Fà vedè le condenute',
	'wikieditor-toc-hide' => 'Scunne le condenute',
	'wikieditor-toolbar' => 'Barre de le cangiaminde',
	'wikieditor-toolbar-desc' => "Cange 'a pàgene d'a barre de le struminde cu l'usabbilità avanzate",
	'wikieditor-toolbar-preference' => "Abbilite 'a barre de le struminde pe le cangiaminde avanzate",
	'wikieditor-toolbar-dialogs-preference' => "Abbilite le dialoghe pe l'inzerimende de collegaminde, tabbelle e otre cose",
	'wikieditor-toolbar-hidesig' => "Scunne 'u buttone d'a firme da le pàggene jndr'à 'u namespace prengepàle",
	'wikieditor-toolbar-loading' => 'Stoche a careche…',
	'wikieditor-toolbar-tool-bold' => 'Grascette',
	'wikieditor-toolbar-tool-bold-example' => 'Teste grascette',
	'wikieditor-toolbar-tool-italic' => 'Corsive',
	'wikieditor-toolbar-tool-italic-example' => 'Teste corsive',
	'wikieditor-toolbar-tool-ilink' => "Collegamende jndr'à Uicchipèdie",
	'wikieditor-toolbar-tool-ilink-example' => "Titele d'u collegamende",
	'wikieditor-toolbar-tool-xlink' => "Collegamende fore a Uicchipèdie (arrecuerdete 'u prefisse http://)",
	'wikieditor-toolbar-tool-xlink-example' => "http://www.example.com titele d'u collegamende",
	'wikieditor-toolbar-tool-link' => 'Collegamende',
	'wikieditor-toolbar-tool-link-title' => "'Nzerisce 'nu collegamende",
	'wikieditor-toolbar-tool-link-int' => "A 'na vôsce/pàgene de Uicchi",
	'wikieditor-toolbar-tool-link-int-target' => "Titele d'a vôsce:",
	'wikieditor-toolbar-tool-link-int-target-tooltip' => "Titele d'a pàgene o URL",
	'wikieditor-toolbar-tool-link-int-text' => "Teste d'u collegamende:",
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "Mitte 'u teste ca avessa essere fatte vedè",
	'wikieditor-toolbar-tool-link-ext' => "A 'na pàgena web fore da Uicchipèdie",
	'wikieditor-toolbar-tool-link-ext-target' => "Colleghe 'n'URL:",
	'wikieditor-toolbar-tool-link-ext-text' => "Teste d'u collegamende:",
	'wikieditor-toolbar-tool-link-insert' => "'Nzerisce 'nu collegamende",
	'wikieditor-toolbar-tool-link-cancel' => 'Scangille',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => "'A pàgene esiste",
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => "'A pàgene non g'esiste",
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titele invalide',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Collegaminde fore a Uicchipèdie',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Stoche a verifiche l'esistenze d'a pàgene...",
	'wikieditor-toolbar-tool-link-int-invalid' => "'U titele ca è specificate jè invalide.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "'A URL ca tu è specificate pare manghe ca vò ccù punde a 'n'otra pàgene de Uicchi. Ce vuè ccù face 'nu collegamende inderne?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => "Collegamende jndr'à Uicchipèdie",
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Collegamende fore a Uicchipèdie',
	'wikieditor-toolbar-tool-link-empty' => 'Tu non ge inzeriste ninde ca se collegave.',
	'wikieditor-toolbar-tool-file' => 'Fiel ingapsulate',
	'wikieditor-toolbar-tool-file-example' => 'Esembie.jpg',
	'wikieditor-toolbar-tool-reference' => 'Riferimende',
	'wikieditor-toolbar-tool-reference-example' => "Mitte 'u teste le note de sotte aqquà",
	'wikieditor-toolbar-tool-reference-cancel' => 'Annulle',
	'wikieditor-toolbar-tool-reference-title' => "'Nzerisce referenze",
	'wikieditor-toolbar-tool-reference-insert' => "'Nzerisce",
	'wikieditor-toolbar-tool-reference-text' => 'Teste de referenze',
	'wikieditor-toolbar-tool-signature' => 'Firme e orarie',
	'wikieditor-toolbar-section-advanced' => 'Avanzate',
	'wikieditor-toolbar-tool-heading' => 'Testate',
	'wikieditor-toolbar-tool-heading-1' => 'Levèlle 1',
	'wikieditor-toolbar-tool-heading-2' => 'Levèlle 2',
	'wikieditor-toolbar-tool-heading-3' => 'Levèlle 3',
	'wikieditor-toolbar-tool-heading-4' => 'Levèlle 4',
	'wikieditor-toolbar-tool-heading-5' => 'Levèlle 5',
	'wikieditor-toolbar-tool-heading-example' => "Teste d'a testate",
	'wikieditor-toolbar-group-format' => 'Formate',
	'wikieditor-toolbar-tool-ulist' => 'Elenghe pundate',
	'wikieditor-toolbar-tool-ulist-example' => "Elemende de l'elenghe pundate",
	'wikieditor-toolbar-tool-olist' => 'Elenghe numerate',
	'wikieditor-toolbar-tool-olist-example' => "Elemende de l'elenghe numerate",
	'wikieditor-toolbar-tool-indent' => 'Idendazione',
	'wikieditor-toolbar-tool-indent-example' => 'Linèe idendate',
	'wikieditor-toolbar-tool-nowiki' => "No scè penzanne 'a formattazione de Uicchi",
	'wikieditor-toolbar-tool-nowiki-example' => 'Sckaffe teste non formattate aqquà',
	'wikieditor-toolbar-tool-redirect' => 'Redirezione',
	'wikieditor-toolbar-tool-redirect-example' => "Nome d'a pàgene de destinazione",
	'wikieditor-toolbar-tool-big' => 'Granne',
	'wikieditor-toolbar-tool-big-example' => 'Teste granne',
	'wikieditor-toolbar-tool-small' => 'Piccinne',
	'wikieditor-toolbar-tool-small-example' => 'Teste piccinne',
	'wikieditor-toolbar-tool-superscript' => 'Sovrascritte',
	'wikieditor-toolbar-tool-superscript-example' => 'Teste sovrascritte',
	'wikieditor-toolbar-tool-subscript' => 'Sottoscrive',
	'wikieditor-toolbar-tool-subscript-example' => 'Teste sottoscritte',
	'wikieditor-toolbar-group-insert' => "'Nzerisce",
	'wikieditor-toolbar-tool-gallery' => 'Gallerìe fotografeche',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Titele1
$1:Example.jpg|Titele2',
	'wikieditor-toolbar-tool-newline' => 'Linèa nove',
	'wikieditor-toolbar-tool-table' => 'Tabbelle',
	'wikieditor-toolbar-tool-table-example-old' => '-
! testate 1
! testate 2
! testate 3
|-
| righe 1, celle 1
| righe 1, celle 2
| righe 1, celle 3
|-
| righe 2, celle 1
| righe 2, celle 2
| righe 2, celle 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => "Teste d'a celle",
	'wikieditor-toolbar-tool-table-example-header' => "Teste d'a testate",
	'wikieditor-toolbar-tool-table-title' => "'Nzerisce 'na tabbelle",
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Righe',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Culonne',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Aggiunge righe de testate',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stile cu le borde',
	'wikieditor-toolbar-tool-table-sortable' => "Fà 'a tabbelle ordenabbele",
	'wikieditor-toolbar-tool-table-example' => "Teste d'a celle",
	'wikieditor-toolbar-tool-table-preview' => 'Andeprime',
	'wikieditor-toolbar-tool-table-insert' => 'Inzerisce',
	'wikieditor-toolbar-tool-table-cancel' => 'Annulle',
	'wikieditor-toolbar-tool-table-toomany' => "Inzerimende de 'na tabbelle cu cchiù de $1 celle non g'è possibbele cu stu dialoghe",
	'wikieditor-toolbar-tool-table-invalidnumber' => "Tu non g'è mise 'nu numere valide de righe o culonne.",
	'wikieditor-toolbar-tool-table-zero' => "Tu non ge puè inzerì 'na tabbelle cù zero righe o culonne.",
	'wikieditor-toolbar-tool-replace' => 'Cirche e sostituisce',
	'wikieditor-toolbar-tool-replace-title' => 'Cirche e sostituisce',
	'wikieditor-toolbar-tool-replace-search' => 'Cirche pe:',
	'wikieditor-toolbar-tool-replace-replace' => 'Sostituisce cu:',
	'wikieditor-toolbar-tool-replace-case' => 'Combronde maiuscole e minuscole',
	'wikieditor-toolbar-tool-replace-regex' => "Tratte 'a stringhe de ricerche cumme a 'n'espressione regolare",
	'wikieditor-toolbar-tool-replace-button-findnext' => "Cirche 'u prosseme",
	'wikieditor-toolbar-tool-replace-button-replace' => 'Sostituisce',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Sostituisce tutte',
	'wikieditor-toolbar-tool-replace-close' => 'Chiude',
	'wikieditor-toolbar-tool-replace-nomatch' => "'A ricerca toje non g'à acchiate ninde.",
	'wikieditor-toolbar-tool-replace-success' => '$1 sostituzione (sostituziune) fatte.',
	'wikieditor-toolbar-tool-replace-emptysearch' => "Tu non g'è mise ninde pe fà 'a ricerche.",
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'espressione regolare ca tu è 'nzerite jè invalide: $1",
	'wikieditor-toolbar-section-characters' => 'Carattere speciale',
	'wikieditor-toolbar-characters-page-latin' => 'Latine',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latine estese',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbole',
	'wikieditor-toolbar-characters-page-greek' => 'Greche',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilliche',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabe',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Estenziune arabe',
	'wikieditor-toolbar-characters-page-persian' => 'Persiane',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebbrèe',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangladesciane',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ajiute',
	'wikieditor-toolbar-help-heading-description' => 'Descrizione',
	'wikieditor-toolbar-help-heading-syntax' => 'Cè è scritte',
	'wikieditor-toolbar-help-heading-result' => 'Cè vuè',
	'wikieditor-toolbar-help-page-format' => 'Formattanne',
	'wikieditor-toolbar-help-page-link' => 'Collegaminde',
	'wikieditor-toolbar-help-page-heading' => 'Testate',
	'wikieditor-toolbar-help-page-list' => 'Liste',
	'wikieditor-toolbar-help-page-file' => 'File',
	'wikieditor-toolbar-help-page-reference' => 'Rifereminde',
	'wikieditor-toolbar-help-page-discussion' => "'Ngazzaminde",
	'wikieditor-toolbar-help-content-italic-description' => 'Corsive',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Teste Corsive''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Teste Corsive</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grascette',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Teste Grascette'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Teste Grascette</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grascette &amp; corsive',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Grascette &amp; corsive'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Teste grascette &amp; corsive</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Collegamende inderne',
	'wikieditor-toolbar-help-content-ilink-syntax' => "[[Titele d'a pàgene|etichette de collegamende]]<br />[[Titele d'a pàgene]]",
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etichette de collegamende</a><br /><a href='#'>Titele d'a pàgene</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Collegamende fore a Uicchipèdie',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.esembie.org etichette de collegamende]<bt />[http://www.esembie.org]<br />http://www.esembie.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etichette de collegamende</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.esembie.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2° levèlle de testate',
	'wikieditor-toolbar-help-content-heading2-syntax' => "== Teste d'a testate ==",
	'wikieditor-toolbar-help-content-heading2-result' => "<h2>Teste d'a testate</h2>",
	'wikieditor-toolbar-help-content-heading3-description' => '3° levèlle de testate',
	'wikieditor-toolbar-help-content-heading3-syntax' => "=== Teste d'a testate ===",
	'wikieditor-toolbar-help-content-heading3-result' => "<h3>Teste d'a testate</h3>",
	'wikieditor-toolbar-help-content-heading4-description' => '4° levèlle de testate',
	'wikieditor-toolbar-help-content-heading4-syntax' => "==== Teste d'a testate ====",
	'wikieditor-toolbar-help-content-heading4-result' => "<h4>Teste d'a testate</h4>",
	'wikieditor-toolbar-help-content-heading5-description' => '5° levèlle de testate',
	'wikieditor-toolbar-help-content-heading5-syntax' => "===== Teste d'a testate =====",
	'wikieditor-toolbar-help-content-heading5-result' => "<h5>Teste d'a testate</h5>",
	'wikieditor-toolbar-help-content-ulist-description' => 'Elenghe pundate',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* elemende de l'elenghe<br />*Elemende de l'elenghe",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elemende de l'elenghe</li><li>Elemende de l'elenghe</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Elenghe numerate',
	'wikieditor-toolbar-help-content-olist-syntax' => "# Elemende de l'elenghe numerate<br /># Elemende de l'elenghe numerate",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elemende de l'elenghe</li><li>Elemende de l'elenghe</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => "File 'ngorporate",
	'wikieditor-toolbar-help-content-file-syntax' => "[[$1:Example.png|thumb|Teste d'u titele]]",
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Teste d'u titele' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Allarie' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Teste d'u titele</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Riferimende',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teste d\'a pàgene.&lt;ref name="test"&gt;[http://www.example.org Teste d\'u collegamende], teste addizionale.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teste d'a pàgene.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => "Ause addizionale d'u stesse riferimende",
	'wikieditor-toolbar-help-content-rereference-result' => "Teste d'a pàgene.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Fà vedè le rifereminde',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Teste d'u collegamende</a>, teste addizionale.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => "firme cu l'orarie",
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome utende</a> (<a href='#' title='{{#special:mytalk}}'>'ngazzaminde</a>) 15:54, 10 Giugne 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firme',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome utende</a> (<a href='#' title='{{#special:mytalk}}'>'ngazzaminde</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Idente',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Teste normale<br />:Teste idendate<br />::Teste idendate',
	'wikieditor-toolbar-help-content-indent-result' => 'Teste normale<dl><dd>Teste idendate<dl><dd>Teste idendate</dd></dl></dd></dl>',
);

/** Russian (Русский)
 * @author Claymore
 * @author Dim Grits
 * @author Eleferen
 * @author G0rn
 * @author KPu3uC B Poccuu
 * @author Kaganer
 * @author Lockal
 * @author Temuri rajavi
 * @author Александр Сигачёв
 */
$messages['ru'] = array(
	'wikieditor' => 'Расширенный интерфейс редактирования викитекста',
	'wikieditor-desc' => 'Обеспечивает расширяемый интерфейс редактирования викитекста и многие функции, предоставляемые модулями',
	'wikieditor-wikitext-tab' => 'Викитекст',
	'wikieditor-loading' => 'Загрузка',
	'wikieditor-preview-preference' => 'Включить предпросмотр «бок о бок»',
	'wikieditor-preview-tab' => 'Предпросмотр',
	'wikieditor-preview-changes-tab' => 'Изменения',
	'wikieditor-preview-loading' => 'Загрузка…',
	'wikieditor-previewDialog-preference' => 'Включить диалог предпросмотра',
	'wikieditor-previewDialog-tab' => 'Предпросмотр',
	'wikieditor-previewDialog-loading' => 'Загрузка…',
	'wikieditor-publish-preference' => 'Включить пошаговую публикацию',
	'wikieditor-publish-button-publish' => 'Опубликовать',
	'wikieditor-publish-button-cancel' => 'Отмена',
	'wikieditor-publish-dialog-title' => 'Опубликование в проекте {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Описание изменений (кратко укажите какие изменения были произведены):',
	'wikieditor-publish-dialog-minor' => 'Малое изменение',
	'wikieditor-publish-dialog-watch' => 'Наблюдать за этой страницей',
	'wikieditor-publish-dialog-publish' => 'Опубликовать',
	'wikieditor-publish-dialog-goback' => 'Назад',
	'wikieditor-template-editor-preference' => 'Включить редактирование шаблонов с помощью форм',
	'wikieditor-template-editor-dialog-title' => 'Изменение шаблона',
	'wikieditor-template-editor-dialog-submit' => 'Обновить',
	'wikieditor-template-editor-dialog-cancel' => 'Отмена',
	'wikieditor-templates-preference' => 'Включить сворачивание шаблонов',
	'wikieditor-toc-preference' => 'Включить оглавление с возможностью навигации',
	'wikieditor-toc-show' => 'Показать оглавление',
	'wikieditor-toc-hide' => 'Скрыть оглавление',
	'wikieditor-toolbar' => 'Панель редактирования',
	'wikieditor-toolbar-desc' => 'Панель редактирования, более удобная в использовании',
	'wikieditor-toolbar-preference' => 'Включить улучшенную панель редактирования',
	'wikieditor-toolbar-dialogs-preference' => 'Включить диалоги для вставки ссылок, таблиц и других объектов',
	'wikieditor-toolbar-hidesig' => 'Скрыть кнопку подписи на страницах основного пространства имён',
	'wikieditor-toolbar-loading' => 'Загрузка…',
	'wikieditor-toolbar-tool-bold' => 'Полужирный',
	'wikieditor-toolbar-tool-bold-example' => 'Полужирное начертание',
	'wikieditor-toolbar-tool-italic' => 'Курсив',
	'wikieditor-toolbar-tool-italic-example' => 'Курсивное начертание',
	'wikieditor-toolbar-tool-ilink' => 'Внутренняя ссылка',
	'wikieditor-toolbar-tool-ilink-example' => 'Заголовок ссылки',
	'wikieditor-toolbar-tool-xlink' => 'Внешняя ссылка (не забудьте о префиксе http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com заголовок ссылки',
	'wikieditor-toolbar-tool-link' => 'Ссылка',
	'wikieditor-toolbar-tool-link-title' => 'Вставка ссылки',
	'wikieditor-toolbar-tool-link-int' => 'На вики-страницу',
	'wikieditor-toolbar-tool-link-int-target' => 'Целевая страница или URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Название страницы или URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Показываемый текст:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Введите текст, который должен отображаться',
	'wikieditor-toolbar-tool-link-ext' => 'На внешнюю веб-страницу',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL ссылки:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст ссылки:',
	'wikieditor-toolbar-tool-link-insert' => 'Вставить ссылку',
	'wikieditor-toolbar-tool-link-cancel' => 'Отмена',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Страница существует',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Страницы не существует',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Недопустимое название',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Внешняя ссылка',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Проверка существования страницы…',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Указанное название недопустимо.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Указанный вами URL похож на ссылку на другую вики-страницу. Вы хотите сделать данную ссылку внутренней?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Внутренняя ссылка',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Внешняя ссылка',
	'wikieditor-toolbar-tool-link-empty' => 'Вы не указали на что ссылаться.',
	'wikieditor-toolbar-tool-file' => 'Встроенный файл',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Сноска',
	'wikieditor-toolbar-tool-reference-example' => 'Вставьте сюда текст сноски',
	'wikieditor-toolbar-tool-reference-cancel' => 'Отмена',
	'wikieditor-toolbar-tool-reference-title' => 'Вставка сноски',
	'wikieditor-toolbar-tool-reference-insert' => 'Вставить',
	'wikieditor-toolbar-tool-reference-text' => 'Текст сноски',
	'wikieditor-toolbar-tool-signature' => 'Подпись с отметкой времени',
	'wikieditor-toolbar-section-advanced' => 'Дополнительно',
	'wikieditor-toolbar-tool-heading' => 'Заголовок',
	'wikieditor-toolbar-tool-heading-1' => 'Уровень 1',
	'wikieditor-toolbar-tool-heading-2' => 'Уровень 2',
	'wikieditor-toolbar-tool-heading-3' => 'Уровень 3',
	'wikieditor-toolbar-tool-heading-4' => 'Уровень 4',
	'wikieditor-toolbar-tool-heading-5' => 'Уровень 5',
	'wikieditor-toolbar-tool-heading-example' => 'Текст заголовка',
	'wikieditor-toolbar-group-format' => 'Формат',
	'wikieditor-toolbar-tool-ulist' => 'Маркированный список',
	'wikieditor-toolbar-tool-ulist-example' => 'Элемент маркированного списка',
	'wikieditor-toolbar-tool-olist' => 'Нумерованный список',
	'wikieditor-toolbar-tool-olist-example' => 'Элемент нумерованного списка',
	'wikieditor-toolbar-tool-indent' => 'Отступ',
	'wikieditor-toolbar-tool-indent-example' => 'Строка с отступом',
	'wikieditor-toolbar-tool-nowiki' => 'Игнорировать вики-форматирование',
	'wikieditor-toolbar-tool-nowiki-example' => 'Вставьте сюда текст, который не нужно форматировать',
	'wikieditor-toolbar-tool-redirect' => 'Перенаправление',
	'wikieditor-toolbar-tool-redirect-example' => 'Название целевой страницы',
	'wikieditor-toolbar-tool-big' => 'Крупный',
	'wikieditor-toolbar-tool-big-example' => 'Крупный текст',
	'wikieditor-toolbar-tool-small' => 'Мелкий',
	'wikieditor-toolbar-tool-small-example' => 'Мелкий текст',
	'wikieditor-toolbar-tool-superscript' => 'Надстрочный',
	'wikieditor-toolbar-tool-superscript-example' => 'Надстрочный текст',
	'wikieditor-toolbar-tool-subscript' => 'Подстрочный',
	'wikieditor-toolbar-tool-subscript-example' => 'Подстрочный текст',
	'wikieditor-toolbar-group-insert' => 'Вставка',
	'wikieditor-toolbar-tool-gallery' => 'Галерея картинок',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Описание1
$1:Example.jpg|Описание2',
	'wikieditor-toolbar-tool-newline' => 'Новая строка',
	'wikieditor-toolbar-tool-table' => 'Таблица',
	'wikieditor-toolbar-tool-table-example-old' => '-
! заголовок 1
! заголовок 2
! заголовок 3
|-
| строка 1, ячейка 1
| строка 1, ячейка 2
| строка 1, ячейка 3
|-
| строка 2, ячейка 1
| строка 2, ячейка 2
| строка 2, ячейка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст ячейки',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст заголовка',
	'wikieditor-toolbar-tool-table-title' => 'Вставить таблицу',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Строк',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Столбцов',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Добавить заголовочную строку',
	'wikieditor-toolbar-tool-table-wikitable' => 'Оформление с границами',
	'wikieditor-toolbar-tool-table-sortable' => 'Сделать таблицу сортируемой',
	'wikieditor-toolbar-tool-table-example' => 'Текст ячейки',
	'wikieditor-toolbar-tool-table-preview' => 'Предпросмотр',
	'wikieditor-toolbar-tool-table-insert' => 'Вставить',
	'wikieditor-toolbar-tool-table-cancel' => 'Отмена',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-toomany' => 'Этот диалог не позволяет вставить таблицу размером более $1 ячеек.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Вы не указали корректное количество строк или столбцов.',
	'wikieditor-toolbar-tool-table-zero' => 'Вы не можете вставить таблицу с нулевым количеством строк или столбцов.',
	'wikieditor-toolbar-tool-replace' => 'Поиск и замена',
	'wikieditor-toolbar-tool-replace-title' => 'Поиск и замена',
	'wikieditor-toolbar-tool-replace-search' => 'Найти:',
	'wikieditor-toolbar-tool-replace-replace' => 'Заменить на:',
	'wikieditor-toolbar-tool-replace-case' => 'Учитывать регистр',
	'wikieditor-toolbar-tool-replace-regex' => 'Считать строку поиска регулярным выражением',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Найти следующее',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Заменить',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Заменить все',
	'wikieditor-toolbar-tool-replace-close' => 'Закрыть',
	'wikieditor-toolbar-tool-replace-nomatch' => 'По вашему запросу ничего не найдено.',
	'wikieditor-toolbar-tool-replace-success' => 'Произведено замен: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Вы не указали что следует искать.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Введённое вами регулярное выражение ошибочно:  $1',
	'wikieditor-toolbar-section-characters' => 'Спецсимволы',
	'wikieditor-toolbar-characters-page-latin' => 'Латинские',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латинские расширенные',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Символы',
	'wikieditor-toolbar-characters-page-greek' => 'Греческие',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кириллица',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабские',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Арабские расширенные',
	'wikieditor-toolbar-characters-page-persian' => 'Персидские',
	'wikieditor-toolbar-characters-page-hebrew' => 'Иврит',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгальские',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингальские',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджарати',
	'wikieditor-toolbar-characters-page-thai' => 'Тайские',
	'wikieditor-toolbar-characters-page-lao' => 'Лаосские',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмерские',
	'wikieditor-toolbar-section-help' => 'Справка',
	'wikieditor-toolbar-help-heading-description' => 'Описание',
	'wikieditor-toolbar-help-heading-syntax' => 'Что вы вводите',
	'wikieditor-toolbar-help-heading-result' => 'Что вы получаете',
	'wikieditor-toolbar-help-page-format' => 'Форматирование',
	'wikieditor-toolbar-help-page-link' => 'Ссылки',
	'wikieditor-toolbar-help-page-heading' => 'Заголовки',
	'wikieditor-toolbar-help-page-list' => 'Списки',
	'wikieditor-toolbar-help-page-file' => 'Файлы',
	'wikieditor-toolbar-help-page-reference' => 'Примечания',
	'wikieditor-toolbar-help-page-discussion' => 'Обсуждение',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсив',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсивное начертание''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсивное начертание</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Полужирный',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Полужирное начертание'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Полужирное начертание</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Полужирный курсив',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Полужирный курсив'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Полужирный курсив</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Внутренняя ссылка',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Заголовок страницы|Текст ссылки]]<br />[[Заголовок страницы]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Текст ссылки</a><br /><a href='#'>Заголовок страницы</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Внешняя ссылка',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Текст ссылки]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Текст ссылки</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Заголовок 2&nbsp;уровня',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Текст заголовка ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Текст заголовка</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Заголовок 3&nbsp;уровня',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Текст заголовка ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Текст заголовка</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Заголовок 4&nbsp;уровня',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Текст заголовка ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Текст заголовка</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Заголовок 5&nbsp;уровня',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Текст заголовка =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Текст заголовка</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Маркированный список',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Элемент списка<br />* Элемент списка',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Элемент списка</li><li>Элемент списка</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Нумерованный список',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Элемент списка<br /># Элемент списка',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Элемент списка</li><li>Элемент списка</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Встроенный файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Пояснительный текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='
Пояснительный текст' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Увеличить' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>
Пояснительный текст</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Примечание',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст страницы.&lt;ref name="test"&gt;[http://www.example.org Текст ссылки], дополнительный текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Текст страницы.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Дополнительное использование той же ссылки',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="test" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст страницы<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Показывать примечания',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '&lt;references /&gt;',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Текст ссылки</a>, дополнительный текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Подпись с отметкой времени',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Имя участника</a> (<a href='#' title='{{#special:mytalk}}'>обсуждение</a>) 15:54, 10 июня 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Подпись',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Имя участника</a> (<a href='#' title='{{#special:mytalk}}'>обсуждение</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Отступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Обычный текст<br />:Текст с отступом<br />::Текст с отступом',
	'wikieditor-toolbar-help-content-indent-result' => 'Обычный текст<dl><dd>Текст с отступом<dl><dd>Текст с отступом</dd></dl></dd></dl>',
);

/** Rusyn (Русиньскый)
 * @author Gazeb
 */
$messages['rue'] = array(
	'wikieditor' => 'Росшыреный інтерфейс едітованя вікітексту',
	'wikieditor-desc' => 'Забезпечує росшырительный інтерфейс едітованя вікітексту з богато функціоналныма модулами',
	'wikieditor-wikitext-tab' => 'Вікітекст',
	'wikieditor-loading' => 'Награває ся',
	'wikieditor-preview-preference' => 'Запнути нагляды в панелї',
	'wikieditor-preview-tab' => 'Нагляд',
	'wikieditor-preview-changes-tab' => 'Зміны',
	'wikieditor-preview-loading' => 'Награваня...',
	'wikieditor-previewDialog-preference' => 'Хосновати діалоґ про нагляд',
	'wikieditor-previewDialog-tab' => 'Нагляд',
	'wikieditor-previewDialog-loading' => 'Награваня...',
	'wikieditor-publish-preference' => 'Запнути кроковане публікованя',
	'wikieditor-publish-button-publish' => 'Публіковати',
	'wikieditor-publish-button-cancel' => 'Сторно',
	'wikieditor-publish-dialog-title' => 'Публіковати на {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Опис едітованя (короткый опис змін, зробленых вами):',
	'wikieditor-publish-dialog-minor' => 'Мала едітація',
	'wikieditor-publish-dialog-watch' => 'Слїдовати тоту сторінку',
	'wikieditor-publish-dialog-publish' => 'Публіковати',
	'wikieditor-publish-dialog-goback' => 'Назад',
	'wikieditor-template-editor-preference' => 'Запнути формуларову едітацію шаблон вікі',
	'wikieditor-template-editor-dialog-title' => 'Едітовати шаблону',
	'wikieditor-template-editor-dialog-submit' => 'Обновити',
	'wikieditor-template-editor-dialog-cancel' => 'Сторно',
	'wikieditor-templates-preference' => 'Запнути згортаня шаблон',
	'wikieditor-toc-preference' => 'Запнути навіґовательный обсяг',
	'wikieditor-toc-show' => 'Вказати обсяг',
	'wikieditor-toc-hide' => 'Сховати обсяг',
	'wikieditor-toolbar' => 'Едітачный панел інштрументів',
	'wikieditor-toolbar-desc' => 'Едітачный панел інштрументів з вылїпшенов хосновательностёв',
	'wikieditor-toolbar-preference' => 'Запнути вылїпшеный панел інштрументів',
	'wikieditor-toolbar-dialogs-preference' => 'Поволити діалоґы про вкладаня одказів, таблиць ітд.',
	'wikieditor-toolbar-hidesig' => 'Скрыти клапку підпису на сторінках у головнім просторї назв',
	'wikieditor-toolbar-loading' => 'Награваня...',
	'wikieditor-toolbar-tool-bold' => 'Тучне',
	'wikieditor-toolbar-tool-bold-example' => 'Тучный текст',
	'wikieditor-toolbar-tool-italic' => 'Курзіва',
	'wikieditor-toolbar-tool-italic-example' => 'Текст курзівов',
	'wikieditor-toolbar-tool-ilink' => 'Інтерный одказ',
	'wikieditor-toolbar-tool-ilink-example' => 'Назва одказу',
	'wikieditor-toolbar-tool-xlink' => 'Екстерный одказ (не забудьте http:// prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com назва одказу',
	'wikieditor-toolbar-tool-link' => 'Одказ',
	'wikieditor-toolbar-tool-link-title' => 'Вложыти одказ',
	'wikieditor-toolbar-tool-link-int' => 'На вікі-сторінку',
	'wikieditor-toolbar-tool-link-int-target' => 'Цілёва сторінка або URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Назва сторінкы або URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Текст на вказаня:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Текст, котрый ся має зобразити',
	'wikieditor-toolbar-tool-link-ext' => 'На екстерну вебову сторінку',
	'wikieditor-toolbar-tool-link-ext-target' => 'Ціль одказу:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст одказу:',
	'wikieditor-toolbar-tool-link-insert' => 'Вложыти одказ',
	'wikieditor-toolbar-tool-link-cancel' => 'Сторно',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Сторінка екзістує',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Сторінка не екзістує',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Неприпустна назва',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Екстерный одказ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Перевірка екзістенції сторінкы...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Вами задана назва є неприпустна.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL котре сьте задали вызерать як одказ на іншу сторінку той вікі. Хочете з нєй зробити інтерный одказ?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Інтерный одказ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Екстерный одказ',
	'wikieditor-toolbar-tool-link-empty' => 'Мусите увести ціль одказу.',
	'wikieditor-toolbar-tool-file' => 'Вложеный файл',
	'wikieditor-toolbar-tool-file-example' => 'Приклад.jpg',
	'wikieditor-toolbar-tool-reference' => 'Позначкы',
	'wikieditor-toolbar-tool-reference-example' => 'Ту вложте текст позначкы',
	'wikieditor-toolbar-tool-reference-cancel' => 'Сторно',
	'wikieditor-toolbar-tool-reference-title' => 'Вложыти референцію',
	'wikieditor-toolbar-tool-reference-insert' => 'Вложыти',
	'wikieditor-toolbar-tool-reference-text' => 'Текст референції',
	'wikieditor-toolbar-tool-signature' => 'Підпис і датум',
	'wikieditor-toolbar-section-advanced' => 'Додатково',
	'wikieditor-toolbar-tool-heading' => 'Надпис',
	'wikieditor-toolbar-tool-heading-1' => '1 рівень',
	'wikieditor-toolbar-tool-heading-2' => '2 рівень',
	'wikieditor-toolbar-tool-heading-3' => '3 рівень',
	'wikieditor-toolbar-tool-heading-4' => '4 рівень',
	'wikieditor-toolbar-tool-heading-5' => '5 рівень',
	'wikieditor-toolbar-tool-heading-example' => 'Текст надпису',
	'wikieditor-toolbar-group-format' => 'Формат',
	'wikieditor-toolbar-tool-ulist' => 'Маркованый список',
	'wikieditor-toolbar-tool-ulist-example' => 'Елемент маркованого списку',
	'wikieditor-toolbar-tool-olist' => 'Чіслованый список',
	'wikieditor-toolbar-tool-olist-example' => 'Елемент чіслованого списку',
	'wikieditor-toolbar-tool-indent' => 'Одсек',
	'wikieditor-toolbar-tool-indent-example' => 'Одсадженый рядок',
	'wikieditor-toolbar-tool-nowiki' => 'Іґноровати вікі-форматованя',
	'wikieditor-toolbar-tool-nowiki-example' => 'Вложте ту неформатованый текст',
	'wikieditor-toolbar-tool-redirect' => 'Перенапрямлїня',
	'wikieditor-toolbar-tool-redirect-example' => 'Назва цілёвой сторінкы',
	'wikieditor-toolbar-tool-big' => 'Великый',
	'wikieditor-toolbar-tool-big-example' => 'Великый текст',
	'wikieditor-toolbar-tool-small' => 'Маленькый',
	'wikieditor-toolbar-tool-small-example' => 'Малый текст',
	'wikieditor-toolbar-tool-superscript' => 'Надрядковый',
	'wikieditor-toolbar-tool-superscript-example' => 'Надрядковый текст',
	'wikieditor-toolbar-tool-subscript' => 'Підрядковый',
	'wikieditor-toolbar-tool-subscript-example' => 'Підрядковый текст',
	'wikieditor-toolbar-group-insert' => 'Вложыти',
	'wikieditor-toolbar-tool-gallery' => 'Ґалерія',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Опис1
$1:Example.jpg|Опис2',
	'wikieditor-toolbar-tool-newline' => 'Новый рядок',
	'wikieditor-toolbar-tool-table' => 'Таблиця',
	'wikieditor-toolbar-tool-table-example-old' => '-
! надпис 1
! надпис 2
! надпис 3
|-
| рядок 1, коморка 1
| рядок 1, коморка 2
| рядок 1, коморка 3
|-
| рядок 2, коморка 1
| рядок 2, коморка 2
| рядок 2, коморка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст коморкы',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст надпису',
	'wikieditor-toolbar-tool-table-title' => 'Вложыти таблицю',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Рядків',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Стовпців',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Придати рядок надпису',
	'wikieditor-toolbar-tool-table-wikitable' => 'Штіл з окраями',
	'wikieditor-toolbar-tool-table-sortable' => 'Придати до таблицї можность сортованя',
	'wikieditor-toolbar-tool-table-example' => 'Приклад',
	'wikieditor-toolbar-tool-table-preview' => 'Нагляд',
	'wikieditor-toolbar-tool-table-insert' => 'Вложыти',
	'wikieditor-toolbar-tool-table-cancel' => 'Сторно',
	'wikieditor-toolbar-tool-table-toomany' => 'Тот діалоґ не доволює вложыти таблицю з веце як $1 коморками.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Мусите задати платне чісло рядків або стовпців.',
	'wikieditor-toolbar-tool-table-zero' => 'Не можете вложыти таблицю з нуловым почтом рядків або стовпців.',
	'wikieditor-toolbar-tool-replace' => 'Найти і нагородити',
	'wikieditor-toolbar-tool-replace-title' => 'Найти і нагородити',
	'wikieditor-toolbar-tool-replace-search' => 'Найти:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замінити на:',
	'wikieditor-toolbar-tool-replace-case' => 'Розлишыти великость писмен',
	'wikieditor-toolbar-tool-replace-regex' => 'Глядати помочов реґуларного выразу',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Найти далшый',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замінити вшытко',
	'wikieditor-toolbar-tool-replace-close' => 'Заперти',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Заданому гляданю ніч не одповідать.',
	'wikieditor-toolbar-tool-replace-success' => 'Зроблено замін: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Мусите увести што ся має глядати.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Заданый реґуларный выраз не є платный: $1',
	'wikieditor-toolbar-section-characters' => 'Шпеціалны сімболы',
	'wikieditor-toolbar-characters-page-latin' => 'Латиньскы',
	'wikieditor-toolbar-characters-page-latinextended' => 'Росшырена латинка',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Сімболы',
	'wikieditor-toolbar-characters-page-greek' => 'Ґрецькы',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кірíліця',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабськы',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Росшырїня Аравчіны',
	'wikieditor-toolbar-characters-page-persian' => 'Перськы',
	'wikieditor-toolbar-characters-page-hebrew' => 'Гебрейскы',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгалскы',
	'wikieditor-toolbar-characters-page-telugu' => 'Телуґу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сінгалскы',
	'wikieditor-toolbar-characters-page-gujarati' => 'Ґуджараті',
	'wikieditor-toolbar-characters-page-thai' => 'Тайськы',
	'wikieditor-toolbar-characters-page-lao' => 'Лаоськы',
	'wikieditor-toolbar-characters-page-khmer' => 'Кгмерськы',
	'wikieditor-toolbar-section-help' => 'Поміч',
	'wikieditor-toolbar-help-heading-description' => 'Попис',
	'wikieditor-toolbar-help-heading-syntax' => 'Што пишете',
	'wikieditor-toolbar-help-heading-result' => 'Што вы обтримете',
	'wikieditor-toolbar-help-page-format' => 'Форматованя',
	'wikieditor-toolbar-help-page-link' => 'Одказы',
	'wikieditor-toolbar-help-page-heading' => 'Надписы',
	'wikieditor-toolbar-help-page-list' => 'Спискы',
	'wikieditor-toolbar-help-page-file' => 'Файлы',
	'wikieditor-toolbar-help-page-reference' => 'Референції',
	'wikieditor-toolbar-help-page-discussion' => 'Діскузія',
	'wikieditor-toolbar-help-content-italic-description' => 'Курзіва',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Текст курзівов''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Текст курзівов</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Тучне',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Тучный текст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Тучный текст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Тучна курзіва',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Текст тучнов курзівов'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Текст тучнов курзівов</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Інтерный одказ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Назва сторінкы|Текст одказу]]<br />[[Назва сторінкы]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Текст одказу</a><br /><a href='#'>Назва сторінкы</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Екстерный одказ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Текст одказу]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Текст одказу</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Надпис 2<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Текст надпису ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Текст надпису</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Надпис 3<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Текст надпису ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Текст надпису</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Надпис 4<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Текст надпису ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Текст надпису</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Надпис 5<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Текст надпису =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Текст надпису</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Маркованый список',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Положка списку<br />* Положка списку',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Положка списку</li><li>Положка списку</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Чіслованый список',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Положка списку<br /># Положка списку',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Положка списку</li><li>Положка списку</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Вложіня файлу',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Пояснюючій текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Пояснюючій текст' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Звекшыти' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Пояснюючій текст</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Позначка',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст сторінкы&lt;ref name="test"&gt;[http://www.example.org Текст одказу], додатковый текст.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Текст сторінкы.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Далшый одказ на тоту саму позначку',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст сторінкы.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Вказати позначкы',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Текст одказу</a>, додатковый текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Підпис і датум',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Мено хоснователя</a> (<a href='#' title='{{#special:mytalk}}'>діскузії</a>) 15:54, 10 юна 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Підпис',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Мено хоснователя</a> (<a href='#' title='{{#special:mytalk}}'>діскузії</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Одступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Звычайный текст<br />:Текст з одступом<br />::Текст з одступом',
	'wikieditor-toolbar-help-content-indent-result' => 'Звычайный текст<dl><dd>Текст з одступом<dl><dd>Текст з одступом</dd></dl></dd></dl>',
);

/** Sanskrit (संस्कृतम्)
 * @author Ansumang
 * @author Bhawani Gautam
 */
$messages['sa'] = array(
	'wikieditor-toolbar-section-advanced' => 'उन्नतम्',
	'wikieditor-toolbar-tool-heading-2' => 'शीर्षकम् 2',
	'wikieditor-toolbar-tool-heading-3' => 'शीर्षकम्',
	'wikieditor-toolbar-tool-heading-4' => 'शीर्षकम् 4',
	'wikieditor-toolbar-tool-heading-5' => 'शीर्षकम्',
	'wikieditor-toolbar-section-characters' => 'विशेष-वर्णानि',
	'wikieditor-toolbar-characters-page-symbols' => 'प्रतीक',
	'wikieditor-toolbar-characters-page-greek' => 'ग्रीक',
	'wikieditor-toolbar-characters-page-bangla' => 'वङ्गलिपि',
	'wikieditor-toolbar-section-help' => 'साहाय्यम्',
);

/** Sakha (Саха тыла)
 * @author HalanTul
 */
$messages['sah'] = array(
	'wikieditor' => 'Биики тиэкиһи эрэдээксийэлиир кэҥэтиллибит интерфейс',
	'wikieditor-desc' => 'Биики тиэкис кэҥэтиллэр интерфейсын уонна модуллар көмөлөрүнэн атын кыахтары хааччыйар',
	'wikieditor-wikitext-tab' => 'Биики тиэкис',
	'wikieditor-loading' => 'Хачайдааһын',
	'wikieditor-preview-preference' => 'Инники көрүүнү сэргэстэһиннэрэ көрдөр',
	'wikieditor-preview-tab' => 'Инники көрүү',
	'wikieditor-preview-changes-tab' => 'Уларыйыылар',
	'wikieditor-preview-loading' => 'Хачайдана турар...',
	'wikieditor-previewDialog-preference' => 'Эрдэ көрүү диалогын холбуурга',
	'wikieditor-previewDialog-tab' => 'Инники көрүү',
	'wikieditor-previewDialog-loading' => 'Хачайдана турар...',
	'wikieditor-publish-preference' => 'Биирдии хаамыынан бэчээккэ таһаарыыны холбоо',
	'wikieditor-publish-button-publish' => 'Бэчээккэ таһаарарга',
	'wikieditor-publish-button-cancel' => 'Төнүн',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} бырайыакка бэчээттэммит',
	'wikieditor-publish-dialog-summary' => 'Уларытыы туһунан (тугу уларыппыккын кылгастык кэпсээ):',
	'wikieditor-publish-dialog-minor' => 'Кыра суолталаах уларытыы',
	'wikieditor-publish-dialog-watch' => 'Бу сирэйи кэтииргэ',
	'wikieditor-publish-dialog-publish' => 'Бэчээттииргэ',
	'wikieditor-publish-dialog-goback' => 'Төнүн',
	'wikieditor-template-editor-preference' => 'Халыыптары форма көмөтүнэн уларытары холбоо',
	'wikieditor-template-editor-dialog-title' => 'Халыыбы уларытыы',
	'wikieditor-template-editor-dialog-submit' => 'Саҥардан биэр',
	'wikieditor-template-editor-dialog-cancel' => 'Тохтот',
	'wikieditor-templates-preference' => 'Халыыптары сабыыны холбоо',
	'wikieditor-toc-preference' => 'Навигациялаах иһинээҕини холбуурга',
	'wikieditor-toc-show' => 'Иһинээҕитэ',
	'wikieditor-toc-hide' => 'Иһинээҕитин кистээ',
	'wikieditor-toolbar' => 'Көннөрүү хаптаһына (панель)',
	'wikieditor-toolbar-desc' => 'Тупсарыллыбыт уларытыы хаптаһына',
	'wikieditor-toolbar-preference' => 'Тупсарыллыбыт уларытыы хаптаһынын холбуурга',
	'wikieditor-toolbar-dialogs-preference' => 'Сигэлэри, таабыллары уонна атын объектары киллэрэр самалыктары холбуурга',
	'wikieditor-toolbar-loading' => 'Киллэрии...',
	'wikieditor-toolbar-tool-bold' => 'Модьу',
	'wikieditor-toolbar-tool-bold-example' => 'Модьу бичик',
	'wikieditor-toolbar-tool-italic' => 'Иҥнэри',
	'wikieditor-toolbar-tool-italic-example' => 'Иҥнэри бичик',
	'wikieditor-toolbar-tool-ilink' => 'Ис сигэ',
	'wikieditor-toolbar-tool-ilink-example' => 'Сигэ баһа',
	'wikieditor-toolbar-tool-xlink' => 'Тас сигэ (http:// диэни умнума)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com сигэ быһаарыыта',
	'wikieditor-toolbar-tool-link' => 'Сигэ',
	'wikieditor-toolbar-tool-link-title' => 'Сигэни туруоруу',
	'wikieditor-toolbar-tool-link-int' => 'Биики сирэйгэ',
	'wikieditor-toolbar-tool-link-int-target' => 'Сирэй баһа:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Сирэй аата эбэтэр URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Сигэ тиэксэ:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Көстүөхтээх тиэкиһи суруй',
	'wikieditor-toolbar-tool-link-ext' => 'Тас веб-сирэйгэ',
	'wikieditor-toolbar-tool-link-ext-target' => 'Сигэ URL-а:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Сигэ тиэксэ:',
	'wikieditor-toolbar-tool-link-insert' => 'Сигэни угуу',
	'wikieditor-toolbar-tool-link-cancel' => 'Бигэргэтимэ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Сирэй баар',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Сирэй суох',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Сатаммат бас',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Тас сигэ',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Сирэй баарын тургутуу...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Суруллубут аат туттуллара сатаммат.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Киллэрбит URL-аадырыһыҥ атын биики сирэйгэ сигэнэр. Ис сигэ оҥоророору гынаҕын дуо?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ис сигэ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Тас сигэ',
	'wikieditor-toolbar-tool-link-empty' => 'Сигэтин ыйбатаххын.',
	'wikieditor-toolbar-tool-file' => 'Иһинээҕи билэ',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Быһаарыы',
	'wikieditor-toolbar-tool-reference-example' => 'Манна быһаарыы тиэкиһин киллэр',
	'wikieditor-toolbar-tool-reference-cancel' => 'Тохтот',
	'wikieditor-toolbar-tool-reference-title' => 'Сносканы угуу',
	'wikieditor-toolbar-tool-reference-insert' => 'Угуу',
	'wikieditor-toolbar-tool-reference-text' => 'Сноска тиэкиһэ',
	'wikieditor-toolbar-tool-signature' => 'Илии баттааһын уонна кэмэ',
	'wikieditor-toolbar-section-advanced' => 'Дириҥник',
	'wikieditor-toolbar-tool-heading' => 'Бастарын тиһигэ',
	'wikieditor-toolbar-tool-heading-1' => '1 таһым',
	'wikieditor-toolbar-tool-heading-2' => '2 таһым',
	'wikieditor-toolbar-tool-heading-3' => '3 таһым',
	'wikieditor-toolbar-tool-heading-4' => '4 таһым',
	'wikieditor-toolbar-tool-heading-5' => '5 таһым',
	'wikieditor-toolbar-tool-heading-example' => 'Бас тиэкиһэ',
	'wikieditor-toolbar-group-format' => 'Формаата:',
	'wikieditor-toolbar-tool-ulist' => 'Бэлиэлээх тиһик',
	'wikieditor-toolbar-tool-ulist-example' => 'Бэлиэлээх тиһик бэлиэтэ',
	'wikieditor-toolbar-tool-olist' => 'Ахсааннаах тиһик',
	'wikieditor-toolbar-tool-olist-example' => 'Ахсааннаах тиһик бэлиэтэ',
	'wikieditor-toolbar-tool-indent' => 'Кыһыл строка',
	'wikieditor-toolbar-tool-indent-example' => 'Кыһыл строка',
	'wikieditor-toolbar-tool-nowiki' => 'Биики формааттааһынын билинимэ',
	'wikieditor-toolbar-tool-nowiki-example' => 'Формааттаныа суохтаах тиэкиһи манна киллэр',
	'wikieditor-toolbar-tool-redirect' => 'Утаарыы',
	'wikieditor-toolbar-tool-redirect-example' => 'Сорук-сирэй аата',
	'wikieditor-toolbar-tool-big' => 'Бөдөҥ',
	'wikieditor-toolbar-tool-big-example' => 'Бөдөҥ бичик',
	'wikieditor-toolbar-tool-small' => 'Кыра',
	'wikieditor-toolbar-tool-small-example' => 'Хоччоххой бичик',
	'wikieditor-toolbar-tool-superscript' => 'Устуруока үрдүнээҕи',
	'wikieditor-toolbar-tool-superscript-example' => 'Устуруока үрдүнээҕи бичик',
	'wikieditor-toolbar-tool-subscript' => 'Устуруока аннынааҕы',
	'wikieditor-toolbar-tool-subscript-example' => 'Устуруока аннынааҕы бичик',
	'wikieditor-toolbar-group-insert' => 'Угуу',
	'wikieditor-toolbar-tool-gallery' => 'Ойуулар галереялара',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Сурук1
$1:Example.jpg|Сурук2',
	'wikieditor-toolbar-tool-newline' => 'Кыһыл устуруока',
	'wikieditor-toolbar-tool-table' => 'Таабыл',
	'wikieditor-toolbar-tool-table-example-old' => '-
! баһа 1
! баһа 2
! баһа 3
|-
| строка 1, ячейка 1
| строка 1, ячейка 2
| строка 1, ячейка 3
|-
| строка 2, ячейка 1
| строка 2, ячейка 2
| строка 2, ячейка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Тиэкис хараҕа',
	'wikieditor-toolbar-tool-table-example-header' => 'Баһын аата',
	'wikieditor-toolbar-tool-table-title' => 'Табылыыссаны угуу',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Устуруоката',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Колуонката',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Бас устуруоканы эбии',
	'wikieditor-toolbar-tool-table-wikitable' => 'Хаймыылаах истиил',
	'wikieditor-toolbar-tool-table-sortable' => 'Таабылы наарданар гын',
	'wikieditor-toolbar-tool-table-example' => 'Тиэкис хараҕа',
	'wikieditor-toolbar-tool-table-preview' => 'Эрдэ көрүү',
	'wikieditor-toolbar-tool-table-insert' => 'Киллэрэргэ',
	'wikieditor-toolbar-tool-table-cancel' => 'Бигэргэтимэ',
	'wikieditor-toolbar-tool-table-toomany' => 'Бу диалог $1 килиэккэттэн ордугу угары көҥүллээбэт.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Устуруока уонна холуоҥка көҥүллэнэр ахсаанын туруорбатаххын.',
	'wikieditor-toolbar-tool-table-zero' => 'Устуруоката эбэтэр холуоҥката нуулга тэҥнэһэр таабылы угар кыаҕын суох.',
	'wikieditor-toolbar-tool-replace' => 'Көрдөөһүн уонна уларытыы',
	'wikieditor-toolbar-tool-replace-title' => 'Бул уонна уларыт',
	'wikieditor-toolbar-tool-replace-search' => 'Көрдөөһүн:',
	'wikieditor-toolbar-tool-replace-replace' => 'Манан уларыт:',
	'wikieditor-toolbar-tool-replace-case' => 'Регистрын учуоттуурга',
	'wikieditor-toolbar-tool-replace-regex' => 'Көрдөөһүн устуруокатын регулярнай выражение курдук көрөргө',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Аныгыскыны көрдөө',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Барытын уларыт',
	'wikieditor-toolbar-tool-replace-close' => 'Сап',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Эн көрдөбүлгүнэн туох да көстүбэтэ.',
	'wikieditor-toolbar-tool-replace-success' => 'Бачча уларытыы оҥоһулунна: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Тугу көрдүүргүн эппэтэххин.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Суруйбут этииҥ сыыһалаах: $1',
	'wikieditor-toolbar-section-characters' => 'Анал бэлиэлэр',
	'wikieditor-toolbar-characters-page-latin' => 'Латыынныы',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латыынныы кэтирэтиллибиттэр',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Бэлиэлэр',
	'wikieditor-toolbar-characters-page-greek' => 'Гириэктии',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кириллица',
	'wikieditor-toolbar-characters-page-arabic' => 'Араабтыы',
	'wikieditor-toolbar-characters-page-persian' => 'Персия',
	'wikieditor-toolbar-characters-page-hebrew' => 'Иврит',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгаал',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингаал',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гудьараат',
	'wikieditor-toolbar-characters-page-thai' => 'Таай',
	'wikieditor-toolbar-characters-page-lao' => 'Лаос',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмер',
	'wikieditor-toolbar-section-help' => 'Көмө',
	'wikieditor-toolbar-help-heading-description' => 'Быһаарыыта',
	'wikieditor-toolbar-help-heading-syntax' => 'Тугу киллэрэҕин',
	'wikieditor-toolbar-help-heading-result' => 'Туох тахсара',
	'wikieditor-toolbar-help-page-format' => 'Формааттааһын',
	'wikieditor-toolbar-help-page-link' => 'Сигэлэр',
	'wikieditor-toolbar-help-page-heading' => 'Бастара',
	'wikieditor-toolbar-help-page-list' => 'Тиһиктэр',
	'wikieditor-toolbar-help-page-file' => 'Билэлэр',
	'wikieditor-toolbar-help-page-reference' => 'Быһаарыылар',
	'wikieditor-toolbar-help-page-discussion' => 'Ырытыы',
	'wikieditor-toolbar-help-content-italic-description' => 'Иҥнэри',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Иҥнэри бичик''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Иҥнэри бичик</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Модьу',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Модьу бичик'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Модьу бичик</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Модьу &amp; иҥнэри',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Модьу &amp; иҥнэри'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Модьу &amp; иҥнэри бичик</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ис сигэ',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Сирэй баһын аата|Сигэ суруга]]<br />[[Сирэй баһын аата]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Сигэ суруга</a><br /><a href='#'>Сирэй баһын аата</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Тас сигэ',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Сигэ суруга]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Сигэ быһаарыыта</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Аат 2-с таһыма',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Бас аата ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Бас аата</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Аат 3-с таһыма',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Бас аата ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Бас аата</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Аат 4-с таһыма',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Бас аата ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Бас аата</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Аат 5-с таһыма',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Бас аата =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Бас аата</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Бэлиэлээх тиһик',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Тиһик бэлиэтэ<br />* Тиһик бэлиэтэ',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Тиһик бэлиэтэ</li><li>Тиһик бэлиэтэ</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Ахсааннаах тиһик',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Тиһик бэлиэтэ<br /># Тиһик бэлиэтэ',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Тиһик бэлиэтэ</li><li>Тиһик бэлиэтэ</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Иһинээҕи билэ',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Быһаарыыта]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='
Быһаарыы сурук' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>
Быһаарыы сурук</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Быһаарыы',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Сирэй тиэкиһэ.&lt;ref name="test"&gt;[http://www.example.org Сигэ быһаарыыта], эбии быһаарыы.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Сирэй тиэкиһэ.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ити сигэни эбии туттуу',
	'wikieditor-toolbar-help-content-rereference-result' => "Сирэй тиэкиһэ.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Быһаарыылары көрдөрүү',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Сигэ быһаарыыта</a>, эбии быһаарыы.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Илии батааһын кэмин кытта',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Кытааччы аата</a> (<a href='#' title='{{#special:mytalk}}'>ырытыы</a>) 15:54, Бэс ыйын 10, 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Илии баттааһын',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Кыттааччы аата</a> (<a href='#' title='{{#special:mytalk}}'>ырытыы</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Отступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Судургу тиэкис<br />:Отступтаах тиэкис<br />::Отступтаах тиэкис',
	'wikieditor-toolbar-help-content-indent-result' => 'Судургу тиэкис<dl><dd>Отступтаах тиэкис<dl><dd>Отступтаах тиэкис</dd></dl></dd></dl>',
);

/** Sardinian (Sardu)
 * @author Andria
 */
$messages['sc'] = array(
	'wikieditor-loading' => 'Carrigamentu',
	'wikieditor-preview-preference' => "Abilita s'antiprima cumparativa",
	'wikieditor-preview-tab' => 'Antiprima',
	'wikieditor-preview-changes-tab' => 'Mudàntzias',
	'wikieditor-preview-loading' => 'Carrigamentu...',
	'wikieditor-previewDialog-tab' => 'Antiprima',
	'wikieditor-previewDialog-loading' => 'Carrigamentu...',
	'wikieditor-publish-button-publish' => 'Pùblica',
	'wikieditor-publish-dialog-minor' => 'Acontzu minore',
	'wikieditor-publish-dialog-watch' => 'Pone custa pàgina in sa watchlist mea',
	'wikieditor-toolbar' => "Barra de is ainas pro s'acontzu",
	'wikieditor-toolbar-desc' => "Barra de is ainas pro s'acontzu megiorada",
	'wikieditor-toolbar-preference' => 'Abilita sa barra de is ainas megiorada',
	'wikieditor-toolbar-dialogs-preference' => 'Abilita is bentanas pro insertare ligàmines, tabellas e àteru',
	'wikieditor-toolbar-loading' => 'Carrigamentu...',
	'wikieditor-toolbar-tool-bold' => 'Grassu',
	'wikieditor-toolbar-tool-bold-example' => 'Testu grassu',
	'wikieditor-toolbar-tool-italic' => 'Corsivu',
	'wikieditor-toolbar-tool-italic-example' => 'Testu corsivu',
	'wikieditor-toolbar-tool-ilink' => 'Ligàmine a intro',
	'wikieditor-toolbar-tool-ilink-example' => 'Tìtulu de su ligàmine',
	'wikieditor-toolbar-tool-xlink' => 'Ligàmine a foras (ammenta su prefissu http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com tìtulu de su ligàmine',
	'wikieditor-toolbar-tool-link' => 'Ligàmine',
	'wikieditor-toolbar-tool-link-title' => 'Inserta su ligàmine',
	'wikieditor-toolbar-tool-link-int' => 'A una pàgina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tìtulu de sa pàgina:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tìtulu de sa pàgina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testu de ammustrare:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Inserta su testu de ammustrare',
	'wikieditor-toolbar-tool-link-ext' => 'A una pàgina web esterna',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL de su ligàmine:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testu de su ligàmine:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserta su ligàmine',
	'wikieditor-toolbar-tool-link-cancel' => 'Annudda',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sa pàgina esistit',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sa pàgina no esistit',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tìtulu non bàlidu',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ligàmine a foras',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Cumproende s'esistèntzia de sa pàgina...",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Su tìtulu ki as spetzificadu no est bàlidu.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "Su URL ki as spetzificadu paret essere unu ligàmine a un'àtera pàgina wiki. Boles a ddu mudare a ligàmine internu?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ligàmine a intro',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ligàmine a foras',
	'wikieditor-toolbar-tool-link-empty' => 'No as insertadu nudda a su cale ligare.',
	'wikieditor-toolbar-tool-file' => 'File incorporadu',
	'wikieditor-toolbar-tool-file-example' => 'Esèmpiu.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referèntzia',
	'wikieditor-toolbar-tool-reference-example' => 'Inserta inoghe su testu de sa nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annudda',
	'wikieditor-toolbar-tool-reference-title' => 'Inserta sa nota',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserta',
	'wikieditor-toolbar-tool-reference-text' => 'Testu de sa nota',
	'wikieditor-toolbar-tool-signature' => 'Firma e data',
	'wikieditor-toolbar-section-advanced' => 'Avantzadu',
	'wikieditor-toolbar-tool-heading' => 'Intestada',
	'wikieditor-toolbar-tool-heading-1' => 'Livellu 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livellu 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livellu 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livellu 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livellu 5',
	'wikieditor-toolbar-tool-heading-example' => 'Testu de su tìtulu',
	'wikieditor-toolbar-group-format' => 'Formadu',
	'wikieditor-toolbar-tool-ulist' => 'Lista puntegiada',
	'wikieditor-toolbar-tool-ulist-example' => 'Elementu de sa lista puntegiada',
	'wikieditor-toolbar-tool-olist' => 'Lista numerada',
	'wikieditor-toolbar-tool-olist-example' => 'Elementu de sa lista numerada',
	'wikieditor-toolbar-tool-indent' => 'Indentatzione',
	'wikieditor-toolbar-tool-indent-example' => 'Lìnia indentada',
	'wikieditor-toolbar-tool-nowiki' => 'Sena formadu wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserta su testu non-formatadu inoghe',
	'wikieditor-toolbar-tool-redirect' => 'Re-indiritzu',
	'wikieditor-toolbar-tool-redirect-example' => 'Nùmene de sa pàgina de destinatzione',
	'wikieditor-toolbar-tool-big' => 'Mannu',
	'wikieditor-toolbar-tool-big-example' => 'Testu mannu',
	'wikieditor-toolbar-tool-small' => 'Piticu',
	'wikieditor-toolbar-tool-small-example' => 'Testu piticu',
	'wikieditor-toolbar-tool-superscript' => 'Superscritu',
	'wikieditor-toolbar-tool-superscript-example' => 'Testu superscritu',
	'wikieditor-toolbar-tool-subscript' => 'Subscritu',
	'wikieditor-toolbar-tool-subscript-example' => 'Testu subscritu',
	'wikieditor-toolbar-group-insert' => 'Inserta',
	'wikieditor-toolbar-tool-gallery' => 'Galleria de immàgines',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Esèmpiu.jpg|Didascalia1
$1:Esèmpiu.jpg|Didascalia2',
	'wikieditor-toolbar-tool-newline' => 'Lìnia noa',
	'wikieditor-toolbar-tool-table' => 'Tabella',
	'wikieditor-toolbar-tool-table-example-old' => '-
! tìtulu 1
! tìtulu 2
! tìtulu 3
|-
| lìnia 1, tzella 1
| lìnia 1, tzella 2
| lìnia 1, tzella 3
|-
| lìnia 2, tzella 1
| lìnia 2, tzella 2
| lìnia 2, tzella 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testu de sa tzella',
	'wikieditor-toolbar-tool-table-example-header' => 'Testu de su tìtulu',
	'wikieditor-toolbar-tool-table-title' => 'Inserta una tabella',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Lìnias',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colunnas',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Include una lìnia pro is tìtulos',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stile cun òrulos',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabella ki si podet ordinare',
	'wikieditor-toolbar-tool-table-example' => 'Testu de sa tzella',
	'wikieditor-toolbar-tool-table-preview' => 'Antiprima',
	'wikieditor-toolbar-tool-table-insert' => 'Inserta',
	'wikieditor-toolbar-tool-table-cancel' => 'Annudda',
	'wikieditor-toolbar-tool-table-toomany' => 'Cun custu cuadru de allega no est possìbile insertare una tabella cun prus de $1 tzellas.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'No as insertadu unu nùmeru vàlidu de lìnias o colunnas.',
	'wikieditor-toolbar-tool-table-zero' => 'Non podes insertare una tabella cun zeru lìnias o colunnas.',
	'wikieditor-toolbar-tool-replace' => 'Chirca e rimpiatza',
	'wikieditor-toolbar-tool-replace-title' => 'Chirca e rimpiatza',
	'wikieditor-toolbar-tool-replace-search' => 'Chirca:',
	'wikieditor-toolbar-tool-replace-replace' => 'Rimpiatza cun:',
	'wikieditor-toolbar-tool-replace-case' => 'Distinghe lìteras mannas/minores',
	'wikieditor-toolbar-tool-replace-regex' => 'Trata sa cadena de chirca comente una espressione regulare',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Agata imbenientes',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Rimpiatza totu',
	'wikieditor-toolbar-tool-replace-close' => 'Serra',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Sa chirca tua no at agatadu cointzidèntzias.',
	'wikieditor-toolbar-tool-replace-success' => '$1 rimpiatzadu/os.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'No as indicadu ite chircare.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "S'espressione regulare insertada no est vàlida: $1",
	'wikieditor-toolbar-section-characters' => 'Caràteres spetziales',
	'wikieditor-toolbar-characters-page-latin' => 'Latinu',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latinu disterradu',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sìmbulos',
	'wikieditor-toolbar-characters-page-greek' => 'Grecu',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirìllicu',
	'wikieditor-toolbar-characters-page-arabic' => 'Aràbicu',
	'wikieditor-toolbar-characters-page-persian' => 'Persianu',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebreu',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalesu',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalesu',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Agiudu',
	'wikieditor-toolbar-help-heading-description' => 'Descritzione',
	'wikieditor-toolbar-help-heading-syntax' => 'Ite scries',
	'wikieditor-toolbar-help-heading-result' => 'Ite nde otènnes',
	'wikieditor-toolbar-help-page-format' => 'Formatatzione',
	'wikieditor-toolbar-help-page-link' => 'Ligàmines',
	'wikieditor-toolbar-help-page-heading' => 'Intestaduras',
	'wikieditor-toolbar-help-page-list' => 'Listas',
	'wikieditor-toolbar-help-page-file' => 'Files',
	'wikieditor-toolbar-help-page-reference' => 'Referèntzias',
	'wikieditor-toolbar-help-page-discussion' => 'Cuntierra',
	'wikieditor-toolbar-help-content-italic-description' => 'Corsivu',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testu in corsivu''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testu in corsivu</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grassu',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testu grassu'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testu grassu</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grassu &amp; corsivu',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testu grassu e corsivu'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testu grassu e corsivu</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ligàmine a intro',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Tìtulu de sa pàgina|Eticheta de su ligàmine]]<br />[[Tìtulu de sa pàgina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Eticheta de su ligàmine</a><br /><a href='#'>Tìtulu de sa pàgina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ligàmine a foras',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Eticheta de su ligàmine]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Eticheta de su ligàmine</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Su de 2 livellu de intestada',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Tìtulu de sa setzione ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Tìtulu de sa setzione</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Su de 3 livellu de intestada',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Tìtulu de sa setzione ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Tìtulu de sa setzione</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Su de 4 livellu de intestada',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Tìtulu de sa setzione ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Tìtulu de sa setzione</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Su de 5 livellu de intestada',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Tìtulu de sa setzione =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Tìtulu de sa setzione</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista puntegiada',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Elementu de sa lista<br />* Elementu de sa lista',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Elementu de sa lista</li><li>Elementu de sa lista</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista numerada',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Elementu de sa lista<br /># Elementu de sa lista',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Elementu de sa lista</li><li>Elementu de sa lista</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'File incorporadu',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Esempru.png|thumb|Testu de sa didascalia]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Testu de sa didascalia' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Amannia' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Testu de sa didascalia</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referèntzia',
	'wikieditor-toolbar-help-content-reference-result' => "Testu de sa pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-result' => "Testu de sa pàgina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Ammustra referèntzias',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma cun data e ora',
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-indent-description' => 'Indentatzione',
);

/** Sicilian (Sicilianu)
 * @author Aushulz
 * @author Gmelfi
 */
$messages['scn'] = array(
	'wikieditor' => 'Ntirfazza avanzata di canci di testu wiki',
	'wikieditor-desc' => 'Duna na ntirfazza di canci dû testu wiki ca si pò stènniri e assai àutri môduli ca dùnanu àutri funziunalità',
	'wikieditor-wikitext-tab' => 'testu wiki',
	'wikieditor-loading' => 'Caricamentu',
	'wikieditor-preview-preference' => 'Abbilita antiprima latirali',
	'wikieditor-preview-tab' => 'Antiprima',
	'wikieditor-preview-changes-tab' => 'Canci',
	'wikieditor-preview-loading' => 'Caricamentu...',
	'wikieditor-previewDialog-preference' => 'Abbilita la finestra di diàlucu di antiprima',
	'wikieditor-previewDialog-tab' => 'Antiprima',
	'wikieditor-previewDialog-loading' => "Carricamentu 'n cursu...",
	'wikieditor-publish-preference' => 'Abbilita pubblicazzioni passu doppu passu',
	'wikieditor-publish-button-publish' => 'Pubblica',
	'wikieditor-publish-button-cancel' => 'Annulla',
	'wikieditor-publish-dialog-title' => 'Pubblica supra {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Riassuntu dî canci (scrivi chiddu ca fa facisti)',
	'wikieditor-publish-dialog-minor' => 'Canci di mpurtanza nica',
	'wikieditor-publish-dialog-watch' => 'Talìa sta pàggina',
	'wikieditor-publish-dialog-publish' => 'Pubblica',
	'wikieditor-publish-dialog-goback' => 'Narreri',
	'wikieditor-template-editor-preference' => "Abbilita li canci dî ''template'' chê moduli",
	'wikieditor-template-editor-dialog-title' => 'Cancia template',
	'wikieditor-template-editor-dialog-submit' => 'Agghiurna',
	'wikieditor-template-editor-dialog-cancel' => 'Annulla',
	'wikieditor-templates-preference' => 'Abbilita la funzioni pi ammucciari li template',
	'wikieditor-toc-preference' => 'Abbilita lu sommariu navigabbili',
	'wikieditor-toc-show' => 'Ammuscia li cuntinuti',
	'wikieditor-toc-hide' => 'Ammuccia li cuntinuti',
	'wikieditor-toolbar' => 'Barra dî strummenta di canci',
	'wikieditor-toolbar-desc' => 'Barra dî strummenta di canci dâ pàggina cu na megghiu usabbilità',
	'wikieditor-toolbar-preference' => 'Abbilita la barra avanzata dî strummenta di canci',
	'wikieditor-toolbar-dialogs-preference' => 'Abbilita li finestri di dialugu pi nsirìri liami, tabbelli e àutri cosi',
	'wikieditor-toolbar-loading' => 'Caricamentu in corsu...',
	'wikieditor-toolbar-tool-bold' => 'Grassettu',
	'wikieditor-toolbar-tool-bold-example' => 'Testu in grassettu',
	'wikieditor-toolbar-tool-italic' => 'Cursivu',
	'wikieditor-toolbar-tool-italic-example' => 'Testu n cursivu',
	'wikieditor-toolbar-tool-ilink' => 'Liami nternu',
	'wikieditor-toolbar-tool-ilink-example' => 'Tîtulu dû liami',
	'wikieditor-toolbar-tool-xlink' => 'Liami di fora (nutati lu prifissu http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com tìtulu dû liami',
	'wikieditor-toolbar-tool-link' => 'Liami',
	'wikieditor-toolbar-tool-link-title' => 'Nsirìsci liami',
	'wikieditor-toolbar-tool-link-int' => 'A na pàggina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tìtulu dâ pàggina',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titulu dâ pàggina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testu dû liami',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => "Nsirisci lu testu ca s'havi a visualizzari",
	'wikieditor-toolbar-tool-link-ext' => 'A na pàggina di nu situ web di fora',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL dû liami',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testu dû liami',
	'wikieditor-toolbar-tool-link-insert' => 'Nsirìsci liami',
	'wikieditor-toolbar-tool-link-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Pàggina esistenti',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Pâggina ca nun esisti',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tîtulu nun vàliddu',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Liami di fora',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "Controllu di l'esistenza dâ pâggina n cursu",
	'wikieditor-toolbar-tool-link-int-invalid' => 'Lu tìtulu ca spicificasti nun è vàliddu',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "La URL ca nnicasti pari nu liami versu n'àutra pàggina wiki.
Vuoi ca forra nu liami nternu ?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Liami nternu',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Liami di fora',
	'wikieditor-toolbar-tool-link-empty' => 'Nun annicasti nenti versu cui mettiri lu liami',
	'wikieditor-toolbar-tool-file' => 'File ncurpuratu',
	'wikieditor-toolbar-tool-file-example' => 'Asempiu.jpg',
	'wikieditor-toolbar-tool-reference' => 'Rifirenza',
	'wikieditor-toolbar-tool-reference-example' => 'Nsirisci ccà lu testu dâ nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-reference-title' => 'Nsirisci la rifirenza',
	'wikieditor-toolbar-tool-reference-insert' => 'Nsirìsci',
	'wikieditor-toolbar-tool-reference-text' => 'Testu dâ rifirenza',
	'wikieditor-toolbar-tool-signature' => 'Firma e data',
	'wikieditor-toolbar-section-advanced' => 'Avanzati',
	'wikieditor-toolbar-tool-heading' => 'Ntistazzioni',
	'wikieditor-toolbar-tool-heading-1' => 'Liveddu 1',
	'wikieditor-toolbar-tool-heading-2' => 'Liveddu 2',
	'wikieditor-toolbar-tool-heading-3' => 'Liveddu 3',
	'wikieditor-toolbar-tool-heading-4' => 'Liveddu 4',
	'wikieditor-toolbar-tool-heading-5' => 'Liveddu 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titulu dâ sizzioni',
	'wikieditor-toolbar-group-format' => 'Furmatu',
	'wikieditor-toolbar-tool-ulist' => 'Lista appuntata',
	'wikieditor-toolbar-tool-ulist-example' => 'Elementu dâ lista appuntata',
	'wikieditor-toolbar-tool-olist' => 'Lista nummurata',
	'wikieditor-toolbar-tool-olist-example' => 'Elementu dâ lista nummurata',
	'wikieditor-toolbar-tool-indent' => 'Ndintazzioni',
	'wikieditor-toolbar-tool-indent-example' => 'Ligna di ndintazzioni',
	'wikieditor-toolbar-tool-nowiki' => 'Nun dunari cuntu â furmattazzioni wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Nzirisci ccà lu testu nun furmattatu',
	'wikieditor-toolbar-tool-redirect' => 'Rinnirizza',
	'wikieditor-toolbar-tool-redirect-example' => 'Nomu dâ pàggina di distinazzioni',
	'wikieditor-toolbar-tool-big' => 'Granni',
	'wikieditor-toolbar-tool-big-example' => 'Testu granni',
	'wikieditor-toolbar-tool-small' => 'Nicu',
	'wikieditor-toolbar-tool-small-example' => 'Testu nicu',
	'wikieditor-toolbar-tool-superscript' => 'Àpici',
	'wikieditor-toolbar-tool-superscript-example' => 'testu n àpici',
	'wikieditor-toolbar-tool-subscript' => 'Pèdici',
	'wikieditor-toolbar-tool-subscript-example' => 'testu n pèdici',
	'wikieditor-toolbar-group-insert' => 'Nsirìsci',
	'wikieditor-toolbar-tool-gallery' => 'Gallirìa di mmàggini',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Didascalia1
$1:Example.jpg|Didascalia2',
	'wikieditor-toolbar-tool-newline' => 'Ligna nova',
	'wikieditor-toolbar-tool-table' => 'Tabbella',
	'wikieditor-toolbar-tool-table-example-old' => '-
! titulu 1
! titulu 2
! titulu 3
|-
| ligna 1, cella 1
| ligna 1, cella 2
| ligna 1, cella 3
|-
| ligna 2, cella 1
| ligna 2, cella 2
| ligna 2, cella 3
-
! titulu 1
! titulu 2
! titulu 3
|-
| ligna 1, cella 1
| ligna 1, cella 2
| ligna 1, cella 3
|-
| ligna 2, cella 1
| ligna 2, cella 2
| ligna 2, cella 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testu dâ cella',
	'wikieditor-toolbar-tool-table-example-header' => 'Testz dû titulu',
	'wikieditor-toolbar-tool-table-title' => 'Nsirisci tabbella',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Lìgni',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Culonni',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Metti na ligna pî tìtula',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stili chê bordi',
	'wikieditor-toolbar-tool-table-sortable' => 'Renni la tebbella urdinàbbili',
	'wikieditor-toolbar-tool-table-example' => 'Testu dâ cella',
	'wikieditor-toolbar-tool-table-preview' => 'Antiprima',
	'wikieditor-toolbar-tool-table-insert' => 'Nsirìsci',
	'wikieditor-toolbar-tool-table-cancel' => 'Annulla',
	'wikieditor-toolbar-tool-table-toomany' => 'Cu stu strummentu nun è pussìbbili nsirìri na tabbella cu cchiossai di $1 celli',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nun andicasti nu nùmmuru vâliddu di ligni o di culonni',
	'wikieditor-toolbar-tool-table-zero' => 'Nun puoi nsiriri na tabbella senza ligni e/o senza culonni',
	'wikieditor-toolbar-tool-replace' => 'Cerca e sustituisci',
	'wikieditor-toolbar-tool-replace-title' => 'Cerca e sustituisci',
	'wikieditor-toolbar-tool-replace-search' => 'Cerca:',
	'wikieditor-toolbar-tool-replace-replace' => 'Sustituisci cu:',
	'wikieditor-toolbar-tool-replace-case' => 'Maiùsculi/minùsculi',
	'wikieditor-toolbar-tool-replace-regex' => "Tratta la stringa comu n'esprissioni rigulari",
	'wikieditor-toolbar-tool-replace-button-findnext' => "Trova l'àutri",
	'wikieditor-toolbar-tool-replace-button-replace' => 'Scancia',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Sustituisci tutticosi',
	'wikieditor-toolbar-tool-replace-close' => 'Chiudi',
	'wikieditor-toolbar-tool-replace-nomatch' => 'La tò ricerca nun prudicìu risurtati',
	'wikieditor-toolbar-tool-replace-success' => '$1 sustituzzioni fatta/fatti',
	'wikieditor-toolbar-tool-replace-emptysearch' => "Nun annicasti chidda ca s'havi a circari",
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'esprissioni rigulari misa nun è vàlidda: $1",
	'wikieditor-toolbar-section-characters' => 'Carattiri spiciali',
	'wikieditor-toolbar-characters-page-latin' => 'Latinu',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latinu estinnutu',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sìmmuli',
	'wikieditor-toolbar-characters-page-greek' => 'Grecu',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirillicu',
	'wikieditor-toolbar-characters-page-arabic' => 'Àrabbu',
	'wikieditor-toolbar-characters-page-persian' => 'Persianu',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebbreu',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalisi',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalisi',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tailannisi',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Aiutu',
	'wikieditor-toolbar-help-heading-description' => 'Discrizzioni',
	'wikieditor-toolbar-help-heading-syntax' => 'Chiddu ca scriviti',
	'wikieditor-toolbar-help-heading-result' => 'Chiddu ca uttiniti',
	'wikieditor-toolbar-help-page-format' => 'Furmattazzioni',
	'wikieditor-toolbar-help-page-link' => 'Culligamenti',
	'wikieditor-toolbar-help-page-heading' => 'Ntistazzioni',
	'wikieditor-toolbar-help-page-list' => 'Listi',
	'wikieditor-toolbar-help-page-file' => 'File',
	'wikieditor-toolbar-help-page-reference' => 'Rifirenzi',
	'wikieditor-toolbar-help-page-discussion' => 'Discussioni',
	'wikieditor-toolbar-help-content-italic-description' => 'Cursivu',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testu n cursivu''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>testu n cursivu</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grassettu',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testu n grassettu'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testu n grassettu</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grassettu e cursivu',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testu n grassettu e cursivu'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testuo n grassettu e cursivu</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Liami nternu',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titulu pàggina|Etichetta di culligamentu]]<br />[[Titulu pàggina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Etichetta di culligamentu</a><br /><a href='#'>Tìtulu dâ pàggina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Lijami di fora',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Etichetta dû liami]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Etichetta dû liami</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>
<a href='#' class='external'>Etichetta dû liami</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2° liveddu di ntistazzioni',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==Titulu dâ sizzioni ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titulu dâ sizzioni</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3° liveddu di ntistazzioni',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===Titulu dâ sizzioni===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titulu dâ sizzioni<h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4° liveddu di ntistazzioni',
	'wikieditor-toolbar-help-content-heading4-syntax' => '====Titulu dâ sizzioni====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titulu dâ sizzioni<h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5° liveddu di ntistazzioni',
	'wikieditor-toolbar-help-content-heading5-syntax' => '=====Titulu dâ sizzioni=====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titulu dâ sizzioni<h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista appuntata',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* Elementu di l'elencu<br />* Elementu di l'elencu",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elementu di l'elencu</li><li>Elementu di l'elencu</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Lista nummurata',
	'wikieditor-toolbar-help-content-olist-syntax' => "* Elementu di l'elencu<br />* Elementu di l'elencu",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elementu di l'elencu</li><li>Elementu di l'elencu</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => 'File ncurpuratu',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Testu dâ didascalia]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Testu dâ didascalia' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Ngrannisci' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Testu dâ didascalia</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Rifirenza',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testu dâ pàggina.&lt;ref name="test"&gt;[http://www.example.org Testu dû culligamentu], testu ca si pò junciri.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Testu dâ pàggina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Usu dâ stissa nota cchiù tardu',
	'wikieditor-toolbar-help-content-rereference-result' => "Testu dâ pàggina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Ammuscia li rifirenzi',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>
<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Testu dû culligamentu</a>, testu ca si pò junciri.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma cu data e ura',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nomu di l'utenti</a> (<a href='#' title='{{#special:mytalk}}'>discussioni</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nomu di l'utenti</a> (<a href='#' title='{{#special:mytalk}}'>discussioni</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Ndintazzioni',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testu nurmali<br />:Testu ndintatu<br />::Testu ndintatu',
	'wikieditor-toolbar-help-content-indent-result' => 'Testu nurmali<dl><dd>Testu ndintatu<dl><dd>Testu ndintatu</dd></dl></dd></dl>',
);

/** Scots (Scots) */
$messages['sco'] = array(
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
);

/** Sinhala (සිංහල)
 * @author Budhajeewa
 * @author Calcey
 * @author Pasanbhathiya2
 * @author Singhalawap
 * @author චතුනි අලහප්පෙරුම
 * @author තඹරු විජේසේකර
 * @author පසිඳු කාවින්ද
 * @author බිඟුවා
 */
$messages['si'] = array(
	'wikieditor' => 'දියුණු කළ විකි පෙළ සංස්කරණය කිරීමේ අතුරු මුහුණත',
	'wikieditor-desc' => 'විස්තීරණය කළ හැකි විකිපෙළ සංස්කරණය කිරීමේ අතුරු මුහුණතක් හා බොහෝ විශේෂාංග-ලබාදෙන මොඩියුල සපයයි',
	'wikieditor-wikitext-tab' => 'විකි පෙළ',
	'wikieditor-loading' => 'ප්‍රවේශනය වෙමින් පවතී',
	'wikieditor-preview-preference' => 'දෙපසින්වූ පූර්ව දර්ශනය සක්‍රීය කරයි',
	'wikieditor-preview-tab' => 'පෙර දසුන',
	'wikieditor-preview-changes-tab' => 'වෙනස් කිරීම්',
	'wikieditor-preview-loading' => 'ප්‍රවේශනය වෙමින් පවතී...',
	'wikieditor-previewDialog-preference' => 'පෙර-දැකුම් කවුළුව බලගන්වන්න.',
	'wikieditor-previewDialog-tab' => 'පෙර දසුන',
	'wikieditor-previewDialog-loading' => 'ප්‍රවේශනය වෙමින් පවතී...',
	'wikieditor-publish-preference' => 'පියවරෙන්-පියවර ප්‍රකාශනය කළ හැකියි',
	'wikieditor-publish-button-publish' => 'ප්‍රකාශයට පත්කරන්න',
	'wikieditor-publish-button-cancel' => 'අත් හරින්න',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} ට ප්‍රකාශනය කරන්න',
	'wikieditor-publish-dialog-summary' => 'සාරාංශය සංස්කරණය කරන්න (ඔබ සිදු කළ වෙනස්කම් කෙටියෙන් විස්තර කරන්න):',
	'wikieditor-publish-dialog-minor' => 'සුළු සංස්කරණය',
	'wikieditor-publish-dialog-watch' => 'මෙම පිටුව මුර කරන්න',
	'wikieditor-publish-dialog-publish' => 'ප්‍රකාශයට පත්කරන්න',
	'wikieditor-publish-dialog-goback' => 'ආපසු යන්න',
	'wikieditor-template-editor-preference' => 'විකි අච්චුවල පෝරම-මූලික සංස්කරණය සක්‍රීය කරන්න',
	'wikieditor-template-editor-dialog-title' => 'සැකිල්ල සංස්කරණය කරන්න',
	'wikieditor-template-editor-dialog-submit' => 'යාවත්කාලීන කළ',
	'wikieditor-template-editor-dialog-cancel' => 'අවලංගු කරන්න',
	'wikieditor-templates-preference' => 'ටෙම්ප්ලේට හැකිළුම සක්‍රීය කරන්න',
	'wikieditor-toc-preference' => 'සංචලනය කළ හැකි පටුන සක්‍රීය කරන්න',
	'wikieditor-toc-show' => 'අන්තර්ගතය පෙන්වන්න',
	'wikieditor-toc-hide' => 'අන්තර්ගතය සඟවන්න',
	'wikieditor-toolbar' => 'සංස්කරණ මෙවලම් තීරුව',
	'wikieditor-toolbar-desc' => 'වර්ධිත පරිශීලන හැකියාව සහිත සංස්කරණ පිටු මෙවලම් තීරුව',
	'wikieditor-toolbar-preference' => 'වර්ධිත මෙවලම් තීරුව සක්‍රීය කරන්න',
	'wikieditor-toolbar-dialogs-preference' => 'දියුණු කළ විකි පෙළක් ඇතුල් කිරීම ස‍ඳහා උදව් සක්‍රීය කරන්න',
	'wikieditor-toolbar-hidesig' => 'ප්‍රධාන නාමඅවකාශයේ තිබෙන පිටුවල අත්සන් බොත්තම සඟවන්න',
	'wikieditor-toolbar-loading' => 'ප්‍රවේශනය වෙමින් පවතී...',
	'wikieditor-toolbar-tool-bold' => 'තද පැහැ අකුරු',
	'wikieditor-toolbar-tool-bold-example' => 'තද පැහැති අකුරු පෙළ',
	'wikieditor-toolbar-tool-italic' => 'ඇළ අකුරු',
	'wikieditor-toolbar-tool-italic-example' => 'ඇළ අකුරු පෙළ',
	'wikieditor-toolbar-tool-ilink' => 'අභ්‍යන්තර සබැඳුම',
	'wikieditor-toolbar-tool-ilink-example' => 'සබැඳුම් මාතෘකාව',
	'wikieditor-toolbar-tool-xlink' => 'භාහිර සබැඳුම(http:// මුල් ඈඳුම මතක තබා ගන්න.)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com සබැඳුම් මාතෘකාව',
	'wikieditor-toolbar-tool-link' => 'සබැඳුම',
	'wikieditor-toolbar-tool-link-title' => 'සබැඳුමක් ඇතුල් කිරීම',
	'wikieditor-toolbar-tool-link-int' => 'විකි පිටුවක් වෙත',
	'wikieditor-toolbar-tool-link-int-target' => 'පිටු මාතෘකාව:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'පිටු මාතෘකාව හෝ URL',
	'wikieditor-toolbar-tool-link-int-text' => 'සබැඳුම් පෙළ:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'දර්ශනය කලයුතු පෙළ',
	'wikieditor-toolbar-tool-link-ext' => 'බාහිර වෙබ් පිටුවක් වෙත',
	'wikieditor-toolbar-tool-link-ext-target' => ' URL සබැඳුම:',
	'wikieditor-toolbar-tool-link-ext-text' => 'සබැඳුම් පෙළ:',
	'wikieditor-toolbar-tool-link-insert' => 'සබැඳුම ඇතුල්කරන්න',
	'wikieditor-toolbar-tool-link-cancel' => 'අවලංගු කරන්න',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'පිටුව පවතී',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'පිටුව නොපවතී',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'වලංගු මාතෘකාවක් නොවේ',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'බාහිර සබැඳුම',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'මෙවැනි පිටුවක තිබේද යන්න පරීක්‍ෂාකරමින් පවතී...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ඔබ සඳහන් කළ මාතෘකාව වලංගු නොවේ.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'ඔබ සඳහන් කළ URL  තවත් විකි පිටුවක සබැඳුමක් කිරීමට අදහස් කරන බව පෙනේ. ඔබට එය අභ්‍යන්තර සබැඳුමක් කිරීමට අවශයද?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'අභ්‍යන්තර සබැඳුම',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'බාහිර සබැඳුම',
	'wikieditor-toolbar-tool-link-empty' => 'ඔබ සබැඳුමකට කිසිවක් ඇතුළු කර නොමැත.',
	'wikieditor-toolbar-tool-file' => 'කා වැද්දූ ගොනුව',
	'wikieditor-toolbar-tool-file-example' => 'උදාහරණ.jpg',
	'wikieditor-toolbar-tool-reference' => 'යොමුව',
	'wikieditor-toolbar-tool-reference-example' => 'මෙහි footnote පෙළක් ඇතුල් කරන්න',
	'wikieditor-toolbar-tool-reference-cancel' => 'අවලංගු කරන්න',
	'wikieditor-toolbar-tool-reference-title' => 'යොමුවක්(Reference) ඇතුලුකරන්න',
	'wikieditor-toolbar-tool-reference-insert' => 'ඇතුල් කරන්න',
	'wikieditor-toolbar-tool-reference-text' => 'මූලාශ්‍ර පෙළ',
	'wikieditor-toolbar-tool-signature' => 'අත්සන හා කාල මුද්‍රාව',
	'wikieditor-toolbar-section-advanced' => 'තවත් සැකසුම්',
	'wikieditor-toolbar-tool-heading' => 'ශීර්ෂය',
	'wikieditor-toolbar-tool-heading-1' => '1 වෙනි මට්ටම',
	'wikieditor-toolbar-tool-heading-2' => '2 වෙනි මට්ටම',
	'wikieditor-toolbar-tool-heading-3' => '3 වෙනි මට්ටම',
	'wikieditor-toolbar-tool-heading-4' => '4 වෙනි මට්ටම',
	'wikieditor-toolbar-tool-heading-5' => '5 වෙනි මට්ටම',
	'wikieditor-toolbar-tool-heading-example' => 'ශීර්ෂ පෙළ',
	'wikieditor-toolbar-group-format' => 'ආකෘතිය',
	'wikieditor-toolbar-tool-ulist' => 'බුලට් යෙදූ ලැයිස්තුව',
	'wikieditor-toolbar-tool-ulist-example' => 'බුලට් යෙදූ ලැයිස්තු අයිතමය',
	'wikieditor-toolbar-tool-olist' => 'අංකිත ලැයිස්තුව',
	'wikieditor-toolbar-tool-olist-example' => 'අංකිත ලැයිස්තු අයිතමය',
	'wikieditor-toolbar-tool-indent' => 'ඉන්ඩෙන්ට් කිරීම',
	'wikieditor-toolbar-tool-indent-example' => 'ඉන්ඩෙන්ට් කළ රේඛාව',
	'wikieditor-toolbar-tool-nowiki' => 'විකි ආකෘතිකරණය නොසලකාහරින්න',
	'wikieditor-toolbar-tool-nowiki-example' => 'ආකෘතිකරණය-නොකල පෙළ මෙහි රුවන්න',
	'wikieditor-toolbar-tool-redirect' => 'යළියොමුව',
	'wikieditor-toolbar-tool-redirect-example' => 'ඉලක්ක පිටු නම',
	'wikieditor-toolbar-tool-big' => 'විශාල',
	'wikieditor-toolbar-tool-big-example' => 'විශාල පෙළ',
	'wikieditor-toolbar-tool-small' => 'කුඩා',
	'wikieditor-toolbar-tool-small-example' => 'කුඩා පෙළ',
	'wikieditor-toolbar-tool-superscript' => 'උඩු ලකුණු',
	'wikieditor-toolbar-tool-superscript-example' => 'උඩු ලකුණු පෙළ',
	'wikieditor-toolbar-tool-subscript' => 'යටි ලකුණු',
	'wikieditor-toolbar-tool-subscript-example' => 'යටි ලකුණු පෙළ',
	'wikieditor-toolbar-group-insert' => 'ඇතුල් කරන්න',
	'wikieditor-toolbar-tool-gallery' => 'පිංතූර ගැලරිය',
	'wikieditor-toolbar-tool-gallery-example' => '$1:උදාහරණ.jpg| 1 යටි ලියමන
$1:උදාහරණ.jpg| 2 යටි ලියමන',
	'wikieditor-toolbar-tool-newline' => 'නව පේළිය',
	'wikieditor-toolbar-tool-table' => 'වගුව',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 1 ශීර්ෂකය
! 2 ශීර්ෂකය
! 3 ශීර්ෂකය
|-
| 1 පේළිය,1 කොටුව
| 1 පේළිය,2 කොටුව
| 1 පේළිය,3 කොටුව
|-
| 2 පේළිය,1 කොටුව
| 2 පේළිය,2 කොටුව
| 2 පේළිය,3 කොටුව',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'කොටුවේ පෙළ',
	'wikieditor-toolbar-tool-table-example-header' => 'මාතෘකාව',
	'wikieditor-toolbar-tool-table-title' => 'වගුවක් ඇතුල් කිරීම',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'පේළි (Rows)',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'තීරු (Columns)',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ශීර්ෂ පේළියක් ඇතුල් කරන්න',
	'wikieditor-toolbar-tool-table-wikitable' => 'දාරයන් සහිතව',
	'wikieditor-toolbar-tool-table-sortable' => 'ආරෝහන/අවරෝහන පිලිවෙලින් සැකසියහැකි වගුවක් සකසන්න',
	'wikieditor-toolbar-tool-table-example' => 'කොටුවේ පෙළ',
	'wikieditor-toolbar-tool-table-preview' => 'පූර්ව දර්ශනය',
	'wikieditor-toolbar-tool-table-insert' => 'ඇතුල් කරන්න',
	'wikieditor-toolbar-tool-table-cancel' => 'අත් හරින්න',
	'wikieditor-toolbar-tool-table-toomany' => 'මෙහිදී $1 කොටුවකට වඩා ඇති වගුවක් ඇතුල් කිරීම කළ නොහැකිය.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'ඔබ පේළි හෝ තීරු ගණන සඳහා වලංගු අගයක් ඇතුළත් කර නැත.',
	'wikieditor-toolbar-tool-table-zero' => 'ඔබට පේළි හෝ තීරු ශුන්‍ය වන වගුවක් ඇතුල් කළ නොහැක.',
	'wikieditor-toolbar-tool-replace' => 'සෙවීම හා ප්‍රතිස්ථාපනය',
	'wikieditor-toolbar-tool-replace-title' => 'සෙවීම හා ප්‍රතිස්ථාපනය',
	'wikieditor-toolbar-tool-replace-search' => 'සොයන්නේ:',
	'wikieditor-toolbar-tool-replace-replace' => 'කුමක් සමඟ ද ප්‍රතිස්ථාපනය කරනු ලබන්නේ:',
	'wikieditor-toolbar-tool-replace-case' => 'අවස්ථාව ගළපන්න',
	'wikieditor-toolbar-tool-replace-regex' => 'සොයන පදය නියත ප්‍රකාශනයක් ලෙස සලකන්න',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'මීළඟ එක සොයන්න',
	'wikieditor-toolbar-tool-replace-button-replace' => 'ප්‍රතිස්ථාපනය',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'සියල්ලම ප්‍රතිස්ථාපනය කරන්න',
	'wikieditor-toolbar-tool-replace-close' => 'වසන්න',
	'wikieditor-toolbar-tool-replace-nomatch' => 'ඔබේ සෙවීම කිසිදු පදයක් හා නොගැළපේ.',
	'wikieditor-toolbar-tool-replace-success' => ' ප්‍රතිස්ථාපන $1ක් සිදු කරන ලදී.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'ඔබ සෙවීම සඳහා කිසිවක් ඇතුල් කර නැත.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'ඔබ ඇතුළත් කළ නිත්‍ය ප්‍රකාශනය වලංගු නොවේ:$1',
	'wikieditor-toolbar-section-characters' => 'විශේෂ අනු ලකුණු',
	'wikieditor-toolbar-characters-page-latin' => 'ලතින් අක්ෂර',
	'wikieditor-toolbar-characters-page-latinextended' => 'දීර්ඝ කළ ලතින් අක්ෂර',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA(ජාත්‍යන්තර වාග්විෂයක හෝඩිය)',
	'wikieditor-toolbar-characters-page-symbols' => 'සංකේත',
	'wikieditor-toolbar-characters-page-greek' => 'ග්‍රීක අක්ෂර',
	'wikieditor-toolbar-characters-page-cyrillic' => 'සිරිලික් අක්ෂර',
	'wikieditor-toolbar-characters-page-arabic' => 'අරාබි අක්ෂර',
	'wikieditor-toolbar-characters-page-arabicextended' => 'අරාබි දීර්ඝ කල',
	'wikieditor-toolbar-characters-page-persian' => 'පර්සියානු',
	'wikieditor-toolbar-characters-page-hebrew' => 'හෙබ්‍රෙව් අක්ෂර',
	'wikieditor-toolbar-characters-page-bangla' => 'බංග්ලා',
	'wikieditor-toolbar-characters-page-telugu' => 'තෙලිඟු අක්ෂර',
	'wikieditor-toolbar-characters-page-sinhala' => 'සිංහල',
	'wikieditor-toolbar-characters-page-gujarati' => 'ගුජරාටි',
	'wikieditor-toolbar-characters-page-thai' => 'තායි',
	'wikieditor-toolbar-characters-page-lao' => 'ලාඕ',
	'wikieditor-toolbar-characters-page-khmer' => 'ඛෙමර්',
	'wikieditor-toolbar-section-help' => 'උදව්',
	'wikieditor-toolbar-help-heading-description' => 'විස්තරය',
	'wikieditor-toolbar-help-heading-syntax' => 'ඔබ යතුරු ලියනය කරන දෙය',
	'wikieditor-toolbar-help-heading-result' => 'ඔබට ලැබෙන ආකාරය',
	'wikieditor-toolbar-help-page-format' => 'හැඩකරණය',
	'wikieditor-toolbar-help-page-link' => 'සබැඳුම්',
	'wikieditor-toolbar-help-page-heading' => 'ශීර්ෂ',
	'wikieditor-toolbar-help-page-list' => 'ලැයිස්තු',
	'wikieditor-toolbar-help-page-file' => 'ගොනු',
	'wikieditor-toolbar-help-page-reference' => 'යොමුවන්',
	'wikieditor-toolbar-help-page-discussion' => 'සාකච්ඡාව',
	'wikieditor-toolbar-help-content-italic-description' => 'ඇළ අකුරු',
	'wikieditor-toolbar-help-content-italic-syntax' => '"ඇළ අකුරු පෙළ"',
	'wikieditor-toolbar-help-content-italic-result' => '<em>ඇළ අකුරු පෙළ</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'තද පැහැ අකුරු',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''තද පැහැ අකුරු\"'",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>තද පැහැති අකුරු පෙළ</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'තද පැහැ  අකුරු&amp; ඇළ අකුරු',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''තද පැහැ අකුරු &amp; ඇළ අකුරු පෙළ'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>තද පැහැ අකුරු &amp;ඇළ අකුරු පෙළ</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => ' අභ්‍යන්තර සබැඳුම',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[පිටු මාතෘකාව|සබැඳුම් ලේබලය]]<br />[[පිටු මාතෘකාව]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>සබැඳුම් ලේබලය</a><br /><a href='#'>පිටු මාකෘකාව</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'බාහිර සබැඳුම',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org සබැඳුම් ලේබලය]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='භාහිර'>සබැඳුම් ලේබලය</a><br /><a href='#' class='භාහිර ස්වයංක්‍රීය අංකය'>[1]</a><br /><a href='#' class='භාහිර'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2 වෙනි මට්ටමේ ශීර්ෂය',
	'wikieditor-toolbar-help-content-heading2-syntax' => '==ශීර්ෂ පෙළ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>ශීර්ෂ පෙළ</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3 වෙනි මට්ටමේ ශීර්ෂය',
	'wikieditor-toolbar-help-content-heading3-syntax' => '===ශීර්ෂ පෙළ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>ශීර්ෂ පෙළ</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4 වෙන් මට්ටමේ ශීර්ෂය',
	'wikieditor-toolbar-help-content-heading4-syntax' => '====ශීර්ෂ පෙළ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>ශීර්ෂ පෙළ</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5 වෙනි මට්ටමේ ශීර්ෂය',
	'wikieditor-toolbar-help-content-heading5-syntax' => '=====ශීර්ෂ පෙළ=====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>ශීර්ෂ පෙළ</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'බුලට් යෙදූ ලැයිස්තුව',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* ලැයිස්තු අයිතමය<br />* ලැයිස්තු අයිතමය',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ලැයිස්තු අයිතමය</li><li>ලැයිස්තු අයිතමය</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'අංක යෙදූ ලැයිස්තුව',
	'wikieditor-toolbar-help-content-olist-syntax' => '# ලැයිස්තු අයිතමය<br /># ලැයිස්තු අයිතමය',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ලැයිස්තු අයිතමය</li><li>ලැයිස්තු අයිතමය</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'කා වැද්දූ ගොනුව',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|යටි ලියමන් පෙළ]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='යටි ලියමන් පෙළ' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='විශාලනය කිරීම' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>යටි ලියමන් පෙළ</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'යොමුව',
	'wikieditor-toolbar-help-content-reference-syntax' => 'පිටු පෙළ.&lt;ref name="test"&gt;[http://www.example.org සබැඳුම් පෙළ], අමතර පෙළ.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "පිටු පෙළ.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'එකම ‍යොමුව අමතර භාවිතය',
	'wikieditor-toolbar-help-content-rereference-result' => "පිටු පෙළ.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'යොමුවන් පෙන්වන්න',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='යොමුවන්'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='භාහිර පෙළ' href='#'>සබැඳුම් පෙළ</a>, අමතර පෙළ.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'කාල මුද්‍රාව සමඟ අත්සන',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:මගේ පිටුව}}'>පරිශිලක නාමය</a> (<a href='#' title='{{#special:මගේ කතාව}}'>කතාව</a>) 15:54, 10 ජූනි 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'අත්සන',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:මගේ පිටුව}}'>පරිශීලක නාමය</a> (<a href='#' title='{{#special:මගේ කතාව}}'>කතාව</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'ඉන්ඩෙන්ට් කිරිම',
	'wikieditor-toolbar-help-content-indent-syntax' => 'සාමාන්‍ය පෙළ<br />:ඉන්ඩෙන්ට් කළ පෙළ<br />::ඉන්ඩෙන්ට් කළ පෙළ',
	'wikieditor-toolbar-help-content-indent-result' => 'සාමාන්‍ය පෙළ<dl><dd>ඉන්ඩෙන්ට් කළ පෙළ<dl><dd>ඉන්ඩෙන්ට් කළ පෙළ</dd></dl></dd></dl>',
);

/** Slovak (Slovenčina)
 * @author Helix84
 * @author Jkjk
 * @author McDutchie
 */
$messages['sk'] = array(
	'wikieditor' => 'Pokročilé rozhranie na úpravu wikitextu',
	'wikieditor-desc' => 'Poskytuje rozšíriteľné rozhranie na úpravu wikitextu a mnohé moduly poskytujúce funkcionalitu',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Načítava sa',
	'wikieditor-preview-preference' => 'Zapnúť náhľad vedľa úprav',
	'wikieditor-preview-tab' => 'Náhľad',
	'wikieditor-preview-changes-tab' => 'Zmeny',
	'wikieditor-preview-loading' => 'Načítava sa...',
	'wikieditor-previewDialog-preference' => 'Zapnúť dialóg s náhľadom',
	'wikieditor-previewDialog-tab' => 'Náhľad',
	'wikieditor-previewDialog-loading' => 'Načítava sa...',
	'wikieditor-publish-preference' => 'Zapnúť publikovanie krok za krokom',
	'wikieditor-publish-button-publish' => 'Publikovať',
	'wikieditor-publish-button-cancel' => 'Zrušiť',
	'wikieditor-publish-dialog-title' => 'Publikovať na {{GRAMMAR:lokál|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Zhrnutie úprav (stručný popis zmien, ktoré ste vykonali):',
	'wikieditor-publish-dialog-minor' => 'Drobná úprava',
	'wikieditor-publish-dialog-watch' => 'Sledovať túto stránku',
	'wikieditor-publish-dialog-publish' => 'Zverejniť',
	'wikieditor-publish-dialog-goback' => 'Prejsť späť',
	'wikieditor-template-editor-preference' => 'Povoliť úpravu šablón wiki prostredníctvom formulárov',
	'wikieditor-template-editor-dialog-title' => 'Upraviť šablónu',
	'wikieditor-template-editor-dialog-submit' => 'Aktualizovať',
	'wikieditor-template-editor-dialog-cancel' => 'Zrušiť',
	'wikieditor-templates-preference' => 'Zapnúť zbaľovanie šablón',
	'wikieditor-toc-preference' => 'Povoliť obsah s odkazmi na časti',
	'wikieditor-toc-show' => 'Zobraziť obsah',
	'wikieditor-toc-hide' => 'Skryť obsah',
	'wikieditor-toolbar' => 'Panel nástrojov na úpravy',
	'wikieditor-toolbar-desc' => 'Panel nástrojov na úpravy stránky s rozšírenou použiteľnosťou',
	'wikieditor-toolbar-preference' => 'Zapnúť rozšírený panel nástrojov na úpravy',
	'wikieditor-toolbar-dialogs-preference' => 'Povoliť dialógy na vkladanie odkazov, tabuliek atď.',
	'wikieditor-toolbar-hidesig' => 'Skryť tlačidlo podpis zo stránok v hlavnom mennom priestore',
	'wikieditor-toolbar-loading' => 'Načítava sa...',
	'wikieditor-toolbar-tool-bold' => 'Hrubý',
	'wikieditor-toolbar-tool-bold-example' => 'Hrubý text',
	'wikieditor-toolbar-tool-italic' => 'Kurzíva',
	'wikieditor-toolbar-tool-italic-example' => 'Text kurzívou',
	'wikieditor-toolbar-tool-ilink' => 'Interný odkaz',
	'wikieditor-toolbar-tool-ilink-example' => 'Názov odkazu',
	'wikieditor-toolbar-tool-xlink' => 'Externý odkaz (pamätajte na predponu http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com názov odkazu',
	'wikieditor-toolbar-tool-link' => 'Odkaz',
	'wikieditor-toolbar-tool-link-title' => 'Vložiť odkaz',
	'wikieditor-toolbar-tool-link-int' => 'Na wiki stránku',
	'wikieditor-toolbar-tool-link-int-target' => 'Názov stránky:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Názov stránky alebo URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Text odkazu:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Zadajte text, ktorý sa má zobraziť',
	'wikieditor-toolbar-tool-link-ext' => 'Na externú webstránku',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL odkazu:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Text odkazu:',
	'wikieditor-toolbar-tool-link-insert' => 'Vložiť odkaz',
	'wikieditor-toolbar-tool-link-cancel' => 'Zrušiť',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stránka existuje',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stránka neexistuje',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Neplatný názov',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Externý odkaz',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontroluje sa existencia stránky...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Názov, ktorý ste zadali nie je platný.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL, ktorý ste zadali vyzerá ako odkaz na inú stránku wiki. Chcete z neho spraviť interný odkaz?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Interný odkaz',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Externý odkaz',
	'wikieditor-toolbar-tool-link-empty' => 'Nezadali ste na čo má odkaz odkazovať.',
	'wikieditor-toolbar-tool-file' => 'Vložený súbor',
	'wikieditor-toolbar-tool-file-example' => 'Príklad.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referencia',
	'wikieditor-toolbar-tool-reference-example' => 'Sem vložte text poznámky pod čiarou',
	'wikieditor-toolbar-tool-reference-cancel' => 'Zrušiť',
	'wikieditor-toolbar-tool-reference-title' => 'Vložiť referenciu',
	'wikieditor-toolbar-tool-reference-insert' => 'Vložiť',
	'wikieditor-toolbar-tool-reference-text' => 'Referenčný text',
	'wikieditor-toolbar-tool-signature' => 'Podpis a čas',
	'wikieditor-toolbar-section-advanced' => 'Pokročilé',
	'wikieditor-toolbar-tool-heading' => 'Nadpis',
	'wikieditor-toolbar-tool-heading-1' => '1. úroveň',
	'wikieditor-toolbar-tool-heading-2' => '2. úroveň',
	'wikieditor-toolbar-tool-heading-3' => '3. úroveň',
	'wikieditor-toolbar-tool-heading-4' => '4. úroveň',
	'wikieditor-toolbar-tool-heading-5' => '5. úroveň',
	'wikieditor-toolbar-tool-heading-example' => 'Text nadpisu',
	'wikieditor-toolbar-group-format' => 'Formát',
	'wikieditor-toolbar-tool-ulist' => 'Zoznam s odrážkami',
	'wikieditor-toolbar-tool-ulist-example' => 'Položka zoznamu s odrážkami',
	'wikieditor-toolbar-tool-olist' => 'Číslovaný zoznam',
	'wikieditor-toolbar-tool-olist-example' => 'Položka číslovaného zoznamu',
	'wikieditor-toolbar-tool-indent' => 'Odsadenie',
	'wikieditor-toolbar-tool-indent-example' => 'Odsadený riadok',
	'wikieditor-toolbar-tool-nowiki' => 'Ignorovať wiki formátovanie',
	'wikieditor-toolbar-tool-nowiki-example' => 'Sem vložte neformátovaný text',
	'wikieditor-toolbar-tool-redirect' => 'Presmerovanie',
	'wikieditor-toolbar-tool-redirect-example' => 'Cieľový názov stránky',
	'wikieditor-toolbar-tool-big' => 'Veľká',
	'wikieditor-toolbar-tool-big-example' => 'Veľký text',
	'wikieditor-toolbar-tool-small' => 'Malá',
	'wikieditor-toolbar-tool-small-example' => 'Malý text',
	'wikieditor-toolbar-tool-superscript' => 'Horný index',
	'wikieditor-toolbar-tool-superscript-example' => 'Horný index',
	'wikieditor-toolbar-tool-subscript' => 'Dolný index',
	'wikieditor-toolbar-tool-subscript-example' => 'Dolný index',
	'wikieditor-toolbar-group-insert' => 'Vložiť',
	'wikieditor-toolbar-tool-gallery' => 'Galéria obrázkov',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Príklad.jpg|Popis1
$1:Príklad.jpg|Popis2',
	'wikieditor-toolbar-tool-newline' => 'Nový riadok',
	'wikieditor-toolbar-tool-table' => 'Tabuľka',
	'wikieditor-toolbar-tool-table-example-old' => '-
! hlavička 1
! hlavička 2
! hlavička 3
|-
| riadok 1, bunka 1
| riadok 1, bunka 2
| riadok 1, bunka 3
|-
| riadok 2, bunka 1
| riadok 2, bunka 2
| riadok 2, bunka 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Text bunky',
	'wikieditor-toolbar-tool-table-example-header' => 'Text hlavičky',
	'wikieditor-toolbar-tool-table-title' => 'Vložiť tabuľku',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Riadkov',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Stĺpcov',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Vrátane hlavičkového riadka',
	'wikieditor-toolbar-tool-table-wikitable' => 'Štýl s okrajmi',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabuľka so zoraditeľnými hodnotami',
	'wikieditor-toolbar-tool-table-example' => 'Text bunky',
	'wikieditor-toolbar-tool-table-preview' => 'Náhľad',
	'wikieditor-toolbar-tool-table-insert' => 'Vložiť',
	'wikieditor-toolbar-tool-table-cancel' => 'Zrušiť',
	'wikieditor-toolbar-tool-table-toomany' => 'Vloženie tabuľky s viac ako $1 bunkami nie je možné pomocou tohto dialógu.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Nezadali ste platný počet riadkov alebo stĺpcov.',
	'wikieditor-toolbar-tool-table-zero' => 'Nemôžete vložiť tabuľku s nulovým počtom riadkov či stĺpcov.',
	'wikieditor-toolbar-tool-replace' => 'Hľadať a nahradiť',
	'wikieditor-toolbar-tool-replace-title' => 'Hľadať a nahradiť',
	'wikieditor-toolbar-tool-replace-search' => 'Hľadať:',
	'wikieditor-toolbar-tool-replace-replace' => 'Nahradiť čím:',
	'wikieditor-toolbar-tool-replace-case' => 'Na veľkosti písmen záleží',
	'wikieditor-toolbar-tool-replace-regex' => 'Vyhľadávací reťazec je regulárny výraz',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nájsť ďalší',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Nahradiť všetky',
	'wikieditor-toolbar-tool-replace-close' => 'Zatvoriť',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Vyhľadávanie nenašlo vyhovujúce položky.',
	'wikieditor-toolbar-tool-replace-success' => 'Nahradilo sa $1 výskytov.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Nezadali ste, čo sa má hľadať.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Regulárny výraz, ktorý ste zadali je neplatný: $1',
	'wikieditor-toolbar-section-characters' => 'Špeciálne znaky',
	'wikieditor-toolbar-characters-page-latin' => 'Latinka',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latina rozšírené',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboly',
	'wikieditor-toolbar-characters-page-greek' => 'Grécke',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Azbuka',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabské',
	'wikieditor-toolbar-characters-page-persian' => 'Perzský',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejské',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengálčina',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugčina',
	'wikieditor-toolbar-characters-page-sinhala' => 'sinhalčina',
	'wikieditor-toolbar-characters-page-gujarati' => 'gudžarátčina',
	'wikieditor-toolbar-characters-page-thai' => 'Thajské',
	'wikieditor-toolbar-characters-page-lao' => 'Laoské',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Pomocník',
	'wikieditor-toolbar-help-heading-description' => 'Popis',
	'wikieditor-toolbar-help-heading-syntax' => 'Čo napíšete',
	'wikieditor-toolbar-help-heading-result' => 'Čo dostanete',
	'wikieditor-toolbar-help-page-format' => 'Formátovanie',
	'wikieditor-toolbar-help-page-link' => 'Odkazy',
	'wikieditor-toolbar-help-page-heading' => 'Nadpisy',
	'wikieditor-toolbar-help-page-list' => 'Zoznamy',
	'wikieditor-toolbar-help-page-file' => 'Súbory',
	'wikieditor-toolbar-help-page-reference' => 'Referencie',
	'wikieditor-toolbar-help-page-discussion' => 'Diskusia',
	'wikieditor-toolbar-help-content-italic-description' => 'Kurzíva',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Text kurzívou''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Text kurzívou</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Hrubý',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Hrubý text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Hrubý text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Hrubý &amp; kurzíva',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Hrubý text &amp; kurzíva'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Hrubý text &amp; kurzíva</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Interný odkaz',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Názov stránky|Označenie odkazu]]<br />[[Názov stránky]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Označenie odkazu</a><br /><a href='#'>Názov stránky</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Externý odkaz',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Označenie odkazu]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Označenie odkazu</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Nadpis 2. úrovne',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Text nadpisu ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Text nadpisu</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Nadpis 3. úrovne',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Text nadpisu ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Text nadpisu</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Nadpis 4. úrovne',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Text nadpisu ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Text nadpisu</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Nadpis 5. úrovne',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Text nadpisu =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Text nadpisu</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Zoznam s odrážkami',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Položka zoznamu<br />* Položka zoznamu',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Položka zoznamu</li><li>Položka zoznamu</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Číslovaný zoznam',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Položka zoznamu<br /># Položka zoznamu',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Položka zoznamu</li><li>Položka zoznamu</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Vložený súbor',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Príklad.png|thumb|Text nadpisu]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Text nadpisu' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Zväčšiť' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Text nadpisu</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referencie',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Text stránky.&lt;ref name="test"&gt;[http://www.example.org Text odkazu], ďalší text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Text stránky.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ďalšie použitie rovnakej referencie',
	'wikieditor-toolbar-help-content-rereference-result' => "Text stránky.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Zobraziť referencie',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Text odkazu</a>, ďalší text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Podpis s časom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Používateľské meno</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10. jún 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Podpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Používateľské meno</a> (<a href='#' title='{{#special:mytalk}}'>diskusia</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Odsadenie',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Bežný text<br />:Odsadený text<br />::Odsadený text',
	'wikieditor-toolbar-help-content-indent-result' => 'Bežný text<dl><dd>Odsadený text<dl><dd>Odsadený text</dd></dl></dd></dl>',
);

/** Slovenian (Slovenščina)
 * @author Dbc334
 */
$messages['sl'] = array(
	'wikieditor' => 'Napredni vmesnik za urejanje wikibesedila',
	'wikieditor-desc' => 'Nudi razširjen vmesnik za urejanje wikibesedila in mnogo modulov z dodatnimi funkcijami',
	'wikieditor-wikitext-tab' => 'Wikibesedilo',
	'wikieditor-loading' => 'Nalaganje',
	'wikieditor-preview-preference' => 'Omogoči vzporedni predogled',
	'wikieditor-preview-tab' => 'Predogled',
	'wikieditor-preview-changes-tab' => 'Spremembe',
	'wikieditor-preview-loading' => 'Nalaganje ...',
	'wikieditor-previewDialog-preference' => 'Omogoči predogledno pogovorno okno',
	'wikieditor-previewDialog-tab' => 'Predogled',
	'wikieditor-previewDialog-loading' => 'Nalaganje ...',
	'wikieditor-publish-preference' => 'Omogoči objavljanje korak-po-koraku',
	'wikieditor-publish-button-publish' => 'Objavi',
	'wikieditor-publish-button-cancel' => 'Prekliči',
	'wikieditor-publish-dialog-title' => 'Objavi na {{GRAMMAR:dajalnik|{{SITENAME}}}}',
	'wikieditor-publish-dialog-summary' => 'Povzetek urejanja (na kratko opišite narejene spremembe):',
	'wikieditor-publish-dialog-minor' => 'Manjše urejanje',
	'wikieditor-publish-dialog-watch' => 'Opazuj stran',
	'wikieditor-publish-dialog-publish' => 'Objavi',
	'wikieditor-publish-dialog-goback' => 'Pojdi nazaj',
	'wikieditor-template-editor-preference' => 'Omogoči urejanje wikipredlog s pomočjo obrazca',
	'wikieditor-template-editor-dialog-title' => 'Uredi predlogo',
	'wikieditor-template-editor-dialog-submit' => 'Posodobi',
	'wikieditor-template-editor-dialog-cancel' => 'Prekliči',
	'wikieditor-templates-preference' => 'Omogoči združevanje predlog',
	'wikieditor-toc-preference' => 'Omogoči plovno kazalo vsebine',
	'wikieditor-toc-show' => 'Prikaži vsebino',
	'wikieditor-toc-hide' => 'Skrij vsebino',
	'wikieditor-toolbar' => 'Urejevalna orodna vrstica',
	'wikieditor-toolbar-desc' => 'Urejevalna orodna vrstica z večjo uporabnostjo',
	'wikieditor-toolbar-preference' => 'Omogoči izboljšano urejevalno vrstico',
	'wikieditor-toolbar-dialogs-preference' => 'Omogoči pogovorna okna za vstavljanje povezav, tabel itn.',
	'wikieditor-toolbar-hidesig' => 'Skrij gumb za podpis s strani v glavnem imenskem prostoru',
	'wikieditor-toolbar-loading' => 'Nalaganje ...',
	'wikieditor-toolbar-tool-bold' => 'Krepko',
	'wikieditor-toolbar-tool-bold-example' => 'Krepko besedilo',
	'wikieditor-toolbar-tool-italic' => 'Ležeče',
	'wikieditor-toolbar-tool-italic-example' => 'Ležeče besedilo',
	'wikieditor-toolbar-tool-ilink' => 'Notranja povezava',
	'wikieditor-toolbar-tool-ilink-example' => 'Naslov povezave',
	'wikieditor-toolbar-tool-xlink' => 'Zunanja povezava (ne pozabite na predpono http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com naslov povezave',
	'wikieditor-toolbar-tool-link' => 'Povezava',
	'wikieditor-toolbar-tool-link-title' => 'Vstavi povezavo',
	'wikieditor-toolbar-tool-link-int' => 'Na wiki stran',
	'wikieditor-toolbar-tool-link-int-target' => 'Naslov strani:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Naslov strani ali URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Oznaka povezave:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Besedilo za prikaz',
	'wikieditor-toolbar-tool-link-ext' => 'Na zunanjo spletno stran',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL povezave:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Oznaka povezave:',
	'wikieditor-toolbar-tool-link-insert' => 'Vstavi povezavo',
	'wikieditor-toolbar-tool-link-cancel' => 'Prekliči',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stran obstaja',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stran ne obstaja',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Neveljaven naslov',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Zunanja povezava',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Preverjanje obstoja strani ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Navedeni naslov ni veljaven.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Navedeni URL izgleda kot povezava na drugo wikistran. Ali jo želite narediti notranjo povezavo?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Notranja povezava',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Zunanja povezava',
	'wikieditor-toolbar-tool-link-empty' => 'Niste vnesli ničesar, na kar bi se lahko povezovalo.',
	'wikieditor-toolbar-tool-file' => 'Vgradi datoteko',
	'wikieditor-toolbar-tool-file-example' => 'Zgled.jpg',
	'wikieditor-toolbar-tool-reference' => 'Reference',
	'wikieditor-toolbar-tool-reference-example' => 'Tukaj vstavite besedilo opombe',
	'wikieditor-toolbar-tool-reference-cancel' => 'Prekliči',
	'wikieditor-toolbar-tool-reference-title' => 'Vstavi navedbo',
	'wikieditor-toolbar-tool-reference-insert' => 'Vstavi',
	'wikieditor-toolbar-tool-reference-text' => 'Besedilo navedbe',
	'wikieditor-toolbar-tool-signature' => 'Vaš podpis z datumom',
	'wikieditor-toolbar-section-advanced' => 'Napredno',
	'wikieditor-toolbar-tool-heading' => 'Poglavje',
	'wikieditor-toolbar-tool-heading-1' => 'Raven 1',
	'wikieditor-toolbar-tool-heading-2' => 'Raven 2',
	'wikieditor-toolbar-tool-heading-3' => 'Raven 3',
	'wikieditor-toolbar-tool-heading-4' => 'Raven 4',
	'wikieditor-toolbar-tool-heading-5' => 'Raven 5',
	'wikieditor-toolbar-tool-heading-example' => 'Naslov poglavja',
	'wikieditor-toolbar-group-format' => 'Oblika',
	'wikieditor-toolbar-tool-ulist' => 'Označen seznam',
	'wikieditor-toolbar-tool-ulist-example' => 'Vnos v označenem seznamu',
	'wikieditor-toolbar-tool-olist' => 'Oštevilčen seznam',
	'wikieditor-toolbar-tool-olist-example' => 'Vnos v oštevilčenem seznamu',
	'wikieditor-toolbar-tool-indent' => 'Zamik',
	'wikieditor-toolbar-tool-indent-example' => 'Zamaknjena vrstica',
	'wikieditor-toolbar-tool-nowiki' => 'Brez wikioblikovanja',
	'wikieditor-toolbar-tool-nowiki-example' => 'Tukaj vstavite neoblikovano besedilo',
	'wikieditor-toolbar-tool-redirect' => 'Preusmeritev',
	'wikieditor-toolbar-tool-redirect-example' => 'Ime ciljne strani',
	'wikieditor-toolbar-tool-big' => 'Veliko',
	'wikieditor-toolbar-tool-big-example' => 'Veliko besedilo',
	'wikieditor-toolbar-tool-small' => 'Majhno',
	'wikieditor-toolbar-tool-small-example' => 'Majhno besedilo',
	'wikieditor-toolbar-tool-superscript' => 'Nadpisano',
	'wikieditor-toolbar-tool-superscript-example' => 'Nadpisano besedilo',
	'wikieditor-toolbar-tool-subscript' => 'Podpisano',
	'wikieditor-toolbar-tool-subscript-example' => 'Podpisano besedilo',
	'wikieditor-toolbar-group-insert' => 'Vstavi',
	'wikieditor-toolbar-tool-gallery' => 'Galerija slik',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Primer 1.jpg|Napis 1
$1:Primer 2.jpg|Napis 2',
	'wikieditor-toolbar-tool-newline' => 'Nova vrstica',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! glava 1
! glava 2
! glava 3
|-
| vrstica 1, celica 1
| vrstica 1, celica 2
| vrstica 1, celica 3
|-
| vrstica 2, celica 1
| vrstica 2, celica 2
| vrstica 2, celica 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Besedilo celice',
	'wikieditor-toolbar-tool-table-example-header' => 'Besedilo glave',
	'wikieditor-toolbar-tool-table-title' => 'Vstavi tabelo',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Vrstice',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Stolpci',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Dodaj vrstico glave',
	'wikieditor-toolbar-tool-table-wikitable' => 'Oblikuj z obrobami',
	'wikieditor-toolbar-tool-table-sortable' => 'Naredi tabelo razvrstljivo',
	'wikieditor-toolbar-tool-table-example' => 'Besedilo celice',
	'wikieditor-toolbar-tool-table-preview' => 'Predogled',
	'wikieditor-toolbar-tool-table-insert' => 'Vstavi',
	'wikieditor-toolbar-tool-table-cancel' => 'Prekliči',
	'wikieditor-toolbar-tool-table-toomany' => 'Vstavljanje tabele z več kot $1 celicami s tem obrazcem ni mogoče.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Niste vnesli veljavnega števila vrstic ali stolpcev.',
	'wikieditor-toolbar-tool-table-zero' => 'Ne morete vstaviti tabele z nič vrsticami ali stolpci.',
	'wikieditor-toolbar-tool-replace' => 'Zamenjaj',
	'wikieditor-toolbar-tool-replace-title' => 'Poišči in zamenjaj',
	'wikieditor-toolbar-tool-replace-search' => 'Išči za:',
	'wikieditor-toolbar-tool-replace-replace' => 'Zamenjaj z:',
	'wikieditor-toolbar-tool-replace-case' => 'Ujemanje velikosti črk',
	'wikieditor-toolbar-tool-replace-regex' => 'Obravnavaj iskalni niz kot regularni izraz',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Najdi naslednje',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Zamenjaj',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zamenjaj vse',
	'wikieditor-toolbar-tool-replace-close' => 'Zapri',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Vaše iskanje s ne ujema z ničemur.',
	'wikieditor-toolbar-tool-replace-success' => 'Narejenih $1 zamenjav.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Niste vnesli ničesar za iskanje.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Običajni izraz, ki ste ga vnesli, je neveljaven: $1',
	'wikieditor-toolbar-section-characters' => 'Posebni znaki',
	'wikieditor-toolbar-characters-page-latin' => 'Latinica',
	'wikieditor-toolbar-characters-page-latinextended' => 'Razširjena latinica',
	'wikieditor-toolbar-characters-page-ipa' => 'Mednarodna fonetična abeceda (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grški',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabski',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Razširjena arabščina',
	'wikieditor-toolbar-characters-page-persian' => 'Perzijski',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebrejski',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalščina',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugijski',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalščina',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tajski',
	'wikieditor-toolbar-characters-page-lao' => 'Laoški',
	'wikieditor-toolbar-characters-page-khmer' => 'Kmerski',
	'wikieditor-toolbar-section-help' => 'Pomoč',
	'wikieditor-toolbar-help-heading-description' => 'Opis',
	'wikieditor-toolbar-help-heading-syntax' => 'Kaj vtipkaš',
	'wikieditor-toolbar-help-heading-result' => 'Kaj dobiš',
	'wikieditor-toolbar-help-page-format' => 'Skladnja',
	'wikieditor-toolbar-help-page-link' => 'Povezave',
	'wikieditor-toolbar-help-page-heading' => 'Poglavja',
	'wikieditor-toolbar-help-page-list' => 'Seznami',
	'wikieditor-toolbar-help-page-file' => 'Datoteke',
	'wikieditor-toolbar-help-page-reference' => 'Reference',
	'wikieditor-toolbar-help-page-discussion' => 'Pogovor',
	'wikieditor-toolbar-help-content-italic-description' => 'Ležeče',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Ležeče besedilo''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Ležeče besedilo</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Krepko',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Krepko besedilo'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Krepko besedilo</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Krepko in ležeče',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Krepko in ležeče besedilo'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Krepko in ležeče besedilo</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Notranja povezava',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Naslov strani|Oznaka strani]]<br />[[Naslov strani]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Oznaka strani</a> <br /> <a href='#'>Naslov strani</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Zunanja povezava',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Oznaka povezave] <br /> [http://www.example.org] <br /> http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Oznaka povezave</a> <br /> <a href='#' class='external autonumber'>[1]</a> <br /> <a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Drugostopenjsko poglavje (priporočeno)',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Besedilo naslovne vrstice ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Besedilo naslovne vrstice</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Tretjestopenjsko poglavje',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Besedilo naslovne vrstice ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Besedilo naslovne vrstice</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Četrtostopenjsko poglavje',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Besedilo naslovne vrstice ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Besedilo naslovne vrstice</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Petostopenjsko poglavje',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Besedilo naslovne vrstice =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Besedilo naslovne vrstice</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Označen seznam',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Vnos a<br />* Vnos b',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li> Vnos a </li><li> Vnos b </li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Oštevilčen seznam',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Vnos a <br /> # Vnos b',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li> Vnos a </li><li> Vnos b </li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Vgradnja slike',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Primer.png|thumb|Napis pod sliko]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'> <a title=\"Napis pod sliko\" class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a> <div class='thumbcaption'><div class='magnify'> <a title=\"Povečaj\" class='internal' href='#'><img height='11' width='15' alt='' src='\$1/common/images/magnify-clip.png'/></a> </div> Napis pod sliko </div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Sprotna opomba',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Besedilo strani. &lt;ref name=&quot;test&quot;&gt; [http://www.example.org Oznaka povezave], dodatno besedilo. &lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Besedilo strani. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ponovna uporaba iste sprotne opombe',
	'wikieditor-toolbar-help-content-rereference-result' => "Besedilo strani. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Prikaži sprotne opombe',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'> <a title='' href='#'><b>^</b></a> <a rel='nofollow' title=\"http://www.example.org\" class='external text' href='#'>Oznaka povezave</a>, dodatno besedilo.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Podpis z datumom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Uporabniško ime</a> (<a href='#' title='{{#special:mytalk}}'>pogovor</a>) 15:54, 10. junij 2009 (CEST)",
	'wikieditor-toolbar-help-content-signature-description' => 'Podpis',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Uporabniško ime</a> (<a href='#' title='{{#special:mytalk}}'>pogovor</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Zamik',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Navadno besedilo<br />:Zamaknjeno besedilo<br />::Še bolj zamaknjeno besedilo',
	'wikieditor-toolbar-help-content-indent-result' => 'Navadno besedilo <dl><dd> Zamaknjeno besedilo <dl><dd> Še bolj zamaknjeno besedilo </dd></dl></dd></dl>',
);

/** Albanian (Shqip)
 * @author Mikullovci11
 * @author Olsi
 */
$messages['sq'] = array(
	'wikieditor' => 'Editori i përparuar',
	'wikieditor-desc' => 'Siguron një redaktimi të vazhdueshëm wikitekst dhe shumë sigurime metrazhi',
	'wikieditor-wikitext-tab' => 'Tekstwiki',
	'wikieditor-loading' => 'Duke u ngarkuar',
	'wikieditor-preview-preference' => 'Aktivizoni parapamjen krah-për-krah',
	'wikieditor-preview-tab' => 'Parapamje',
	'wikieditor-preview-changes-tab' => 'Ndryshimet',
	'wikieditor-preview-loading' => 'Duke u ngarkuar...',
	'wikieditor-previewDialog-preference' => 'Aktivizoni parapamjen e një dialogu',
	'wikieditor-previewDialog-tab' => 'Parapamje',
	'wikieditor-previewDialog-loading' => 'Duke u ngarkuar...',
	'wikieditor-publish-preference' => 'Aktivizoni publikimin hap-pas-hapi',
	'wikieditor-publish-button-publish' => 'Publikuar',
	'wikieditor-publish-button-cancel' => 'Anulo',
	'wikieditor-publish-dialog-title' => 'Publikimi për {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Përmbledhje (përshkrim të shkurtër e ndryshimeve që e keni bërë):',
	'wikieditor-publish-dialog-minor' => 'Ky është një redaktim i vogël',
	'wikieditor-publish-dialog-watch' => 'Mbikqyre këtë faqe',
	'wikieditor-publish-dialog-publish' => 'Publikuar',
	'wikieditor-publish-dialog-goback' => 'Kthehu',
	'wikieditor-template-editor-preference' => 'Aktivizoni redaktimin form-based të stampave wiki',
	'wikieditor-template-editor-dialog-title' => 'Redaktoni stampën',
	'wikieditor-template-editor-dialog-submit' => 'Përmirësojeni',
	'wikieditor-template-editor-dialog-cancel' => 'Anulo',
	'wikieditor-templates-preference' => 'Aktivizoni mbylljen e stampës',
	'wikieditor-toc-preference' => 'Aktivizoni navigimin e tabelës së përmbajtjeve',
	'wikieditor-toc-show' => 'Shih tabelën e përmbajtjeve',
	'wikieditor-toc-hide' => 'Fshih tabelën e përmbajtjeve',
	'wikieditor-toolbar' => 'Redaktoni trat me vegla',
	'wikieditor-toolbar-desc' => 'Redaktoni shiritin e veglave të faqes me përdorshmëri të zgjeruar',
	'wikieditor-toolbar-preference' => 'Aktizoni redaktimin e zgjeruar të shiritit të mjeteve',
	'wikieditor-toolbar-dialogs-preference' => 'Aktivizoni dialogun për të futur lidhjet, tabelët etj.',
	'wikieditor-toolbar-loading' => 'Duke punuar...',
	'wikieditor-toolbar-tool-bold' => 'Trashë',
	'wikieditor-toolbar-tool-bold-example' => 'Tekst i trashë',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Tekst i theksuar',
	'wikieditor-toolbar-tool-ilink' => 'Lidhje të brëndshme',
	'wikieditor-toolbar-tool-ilink-example' => 'Titulli i lidhjes',
	'wikieditor-toolbar-tool-xlink' => 'Lidhje e jashtme (most harro prefiksin http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com Titulli i lidhjes',
	'wikieditor-toolbar-tool-link' => 'Lidhje',
	'wikieditor-toolbar-tool-link-title' => 'Shto lidhje',
	'wikieditor-toolbar-tool-link-int' => 'Tek një faqe wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Titulli i faqes:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titulli i faqes apo URL-n',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst për të shfaqur:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Shkruani tekstin që do të shfaqet',
	'wikieditor-toolbar-tool-link-ext' => 'Për një faqe të jashtme te internetit',
	'wikieditor-toolbar-tool-link-ext-target' => 'Adresa e lidhjes:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Titulli e lidhjes:',
	'wikieditor-toolbar-tool-link-insert' => 'Shto lidhje',
	'wikieditor-toolbar-tool-link-cancel' => 'Anulo',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Faqja ekziston',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Faqja nuk ekziston',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titulli i pavlefshëm',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Lidhje të jashtme',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrolloni a ekziston kjo faqe...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titulli i cila ju e keni specifikuar është i pavlefshëm.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL-n që të specifikuar është menduar si një lidhje në faqe të tjera wiki. A doni ta bëni këtë një lidhje të brendshme?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Lidhje të brëndshme',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Lidhje të jashtme',
	'wikieditor-toolbar-tool-link-empty' => 'Ju nuk keni nuk keni futur asgjë për të lidhur.',
	'wikieditor-toolbar-tool-file' => 'Skeda e ngulituar',
	'wikieditor-toolbar-tool-file-example' => 'Shembull.jpg',
	'wikieditor-toolbar-tool-reference' => 'Burimi',
	'wikieditor-toolbar-tool-reference-example' => 'Vendosni Tekst poshtëshënim këtu',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anulo',
	'wikieditor-toolbar-tool-reference-title' => 'Shto burimin',
	'wikieditor-toolbar-tool-reference-insert' => 'Shto',
	'wikieditor-toolbar-tool-reference-text' => 'Burim i tekstit',
	'wikieditor-toolbar-tool-signature' => 'Nënshkrimi dhe vula e kohës',
	'wikieditor-toolbar-section-advanced' => 'Avancuar',
	'wikieditor-toolbar-tool-heading' => 'Mbishkrimi',
	'wikieditor-toolbar-tool-heading-1' => 'Niveli 1',
	'wikieditor-toolbar-tool-heading-2' => 'Niveli 2',
	'wikieditor-toolbar-tool-heading-3' => 'Niveli 3',
	'wikieditor-toolbar-tool-heading-4' => 'Niveli 4',
	'wikieditor-toolbar-tool-heading-5' => 'Niveli 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titulli',
	'wikieditor-toolbar-group-format' => 'Formati',
	'wikieditor-toolbar-tool-ulist' => 'Lista e numëruar',
	'wikieditor-toolbar-tool-ulist-example' => 'Bulleted list item',
	'wikieditor-toolbar-tool-olist' => 'Lista e numëruar',
	'wikieditor-toolbar-tool-olist-example' => 'Numbered list item',
	'wikieditor-toolbar-tool-indent' => 'Kryeradhë',
	'wikieditor-toolbar-tool-indent-example' => 'Rresht me kryeradhë',
	'wikieditor-toolbar-tool-nowiki' => 'Pa formatim wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Vendosni këtu tekstin pa formatim',
	'wikieditor-toolbar-tool-redirect' => 'Përcjellë',
	'wikieditor-toolbar-tool-redirect-example' => 'emri i faqes së destinuar',
	'wikieditor-toolbar-tool-big' => 'Të madh',
	'wikieditor-toolbar-tool-big-example' => 'Tekst të madhe',
	'wikieditor-toolbar-tool-small' => 'Të vogël',
	'wikieditor-toolbar-tool-small-example' => 'Tekst të vogël',
	'wikieditor-toolbar-tool-superscript' => 'Indeks i sipërm',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst superscript',
	'wikieditor-toolbar-tool-subscript' => 'Subscript',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst subscript',
	'wikieditor-toolbar-group-insert' => 'Shto',
	'wikieditor-toolbar-tool-gallery' => 'Galeria i piktureve',
	'wikieditor-toolbar-tool-gallery-example' => '((Ns: file)): Shembull.jpg | Përshkrim1
((Ns: file)): Shembull.jpg | Përshkrim2',
	'wikieditor-toolbar-tool-newline' => 'Linjë te re',
	'wikieditor-toolbar-tool-table' => 'Tabel',
	'wikieditor-toolbar-tool-table-example-old' => '-
 ! titulli 1
 ! titulli 2
 ! titulli 3
 | -
 | linjë 1, qeliza 1
 | linjë 1, qeliza 2
 | linjë 1, qeliza 3
 | -
 | linjë 2, qeliza 1
 | linjë 2, qeliza 2
 | linjë 2, qeliza 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teksti e qelizës',
	'wikieditor-toolbar-tool-table-example-header' => 'Titulli',
	'wikieditor-toolbar-tool-table-title' => 'Shto tabelë',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rreshta',
	'wikieditor-toolbar-tool-table-dimensions-columns' => ' Kollona',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Shtoni Kryeradhen',
	'wikieditor-toolbar-tool-table-wikitable' => 'Me kufi',
	'wikieditor-toolbar-tool-table-sortable' => 'Bëni tabelë të rënditshme',
	'wikieditor-toolbar-tool-table-example' => 'Shembull',
	'wikieditor-toolbar-tool-table-preview' => 'Parapamje',
	'wikieditor-toolbar-tool-table-insert' => 'Shto',
	'wikieditor-toolbar-tool-table-cancel' => 'Anulo',
	'wikieditor-toolbar-tool-table-toomany' => 'Futja e një tabelë më shumë se $1 qeliza nuk është, në këtë dialog, e mundur.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ju nuk keni dhënë numër të vlefshme e rreshtave apo kollonave.',
	'wikieditor-toolbar-tool-table-zero' => 'Ju nuk mund të fusni një tabelë me zero rreshta apo kollona.',
	'wikieditor-toolbar-tool-replace' => 'Kërkoni dhe zhvendosni',
	'wikieditor-toolbar-tool-replace-title' => 'Kërkoni dhe zhvendosni',
	'wikieditor-toolbar-tool-replace-search' => 'Kërko për:',
	'wikieditor-toolbar-tool-replace-replace' => 'zhvendosni me:',
	'wikieditor-toolbar-tool-replace-case' => 'Vërejë shkronjat e mëdha dhe të vogëla',
	'wikieditor-toolbar-tool-replace-regex' => 'Trajtoni vargun e kërkimit si një shprehje të rregullt',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Kërko tjëter',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zëvendësojnë të gjitha',
	'wikieditor-toolbar-tool-replace-close' => 'Mbylle',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Nuk ka rezultate që përputhen me kërkesën.',
	'wikieditor-toolbar-tool-replace-success' => '$1 Zëvendësimi(et) duke u zbatuar.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ju nuk keni futur asgjë për të kërkuar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Shprehja që e keni futur është i pavlefshëm: $1',
	'wikieditor-toolbar-section-characters' => 'Karaktere të veçanta',
	'wikieditor-toolbar-characters-page-latin' => 'Latinisht',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latanisht, zgjeruar',
	'wikieditor-toolbar-characters-page-ipa' => 'Alfabeti Fonetik Ndërkombëtar (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Simbolet',
	'wikieditor-toolbar-characters-page-greek' => 'Grezisht',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirilik',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabisht',
	'wikieditor-toolbar-characters-page-persian' => 'Persisht',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebraisht',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalisht',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singhalisht',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guxharati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ndihmë',
	'wikieditor-toolbar-help-heading-description' => 'Përshkrimi',
	'wikieditor-toolbar-help-heading-syntax' => 'Çfarë ju shkruajti',
	'wikieditor-toolbar-help-heading-result' => 'Si duket',
	'wikieditor-toolbar-help-page-format' => 'Formatimi',
	'wikieditor-toolbar-help-page-link' => 'Lidhjet',
	'wikieditor-toolbar-help-page-heading' => 'Mbishkrimet',
	'wikieditor-toolbar-help-page-list' => 'Listat',
	'wikieditor-toolbar-help-page-file' => 'Figura',
	'wikieditor-toolbar-help-page-reference' => 'Burimet',
	'wikieditor-toolbar-help-page-discussion' => 'Diskutimet',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tekst i pjerrët''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tekst i pjerrët</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Trashë',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tekst i trashë'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tekst i trashë</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Trashë &amp; Kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tekst i pjerrët &amp; i trashë'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Tekst i pjerrët &amp; i trashë</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Lidhje të brëndshme',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Titulli i Faqës|Emëri i lidhjes]]<br />[[Titulli i Faqës]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Emri i lidhjes</a><br /><a href='#'>Titulli i Faqës</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Lidhje të jashtme',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.shembull.org Emri i lidhjes]<br />[http://www.shembull.org]<br />http://www.shembull.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Emri i lidhjes</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.shembull.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kryeradhe niveli 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Mbishkrimi ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Mbishkrimi</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kryeradhe niveli 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Mbishkrimi ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Mbishkrimi</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kryeradhe niveli 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Mbishkrimi ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Mbishkrimi</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kryeradhe niveli 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Mbishkrimi =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Mbishkrimi</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Lista e numruar',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Lista e artikujve<br />*Lista e artikujve',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Lista e artikujve</li><li>Lista e artikujve</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Lista e numëruar',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listo artikullin<br /># Listo artikullin',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listo artikullin</li><li>Listo artikullin</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Vendos një figurë',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Caption text]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Përshkrimi' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Zmadhoe' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Përshkrimi</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Burimi',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Teksti i Faqës.&lt;ref name="test"&gt;[http://www.shembull.org Teksti i lidhjes], Tekst shtues.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teksti i Faqës.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Përdorim shtesë i së njëjtës referencë',
	'wikieditor-toolbar-help-content-rereference-result' => "Teksti i Faqës.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Burim tregues',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Link text</a>, additional text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Nënshkrimi dhe vula e kohës',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Emri i përdoruesit</a> (<a href='#' title='{{#special:mytalk}}'>diskuto</a>) 15:54, 10 Qershor 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Emri i përdoruesit</a> (<a href='#' title='{{#special:mytalk}}'>diskuto</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Largoj nga ana e faqes',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Tekst normal<br />:Tekst me kryeradhë<br />::Tekst me kryeradhë',
	'wikieditor-toolbar-help-content-indent-result' => 'Tekst normal<dl><dd>Tekst me kryeradhë<dl><dd>Tekst me kryeradhë</dd></dl></dd></dl>',
);

/** Serbian (Cyrillic script) (‪Српски (ћирилица)‬)
 * @author Charmed94
 * @author Helios13
 * @author McDutchie
 * @author Rancher
 * @author Sasa Stefanovic
 * @author Жељко Тодоровић
 * @author Михајло Анђелковић
 */
$messages['sr-ec'] = array(
	'wikieditor' => 'Напредно сучеље уређивања викитекста',
	'wikieditor-wikitext-tab' => 'Викитекст',
	'wikieditor-loading' => 'Учитавање',
	'wikieditor-preview-preference' => 'Омогући упоредни преглед',
	'wikieditor-preview-tab' => 'Претпреглед',
	'wikieditor-preview-changes-tab' => 'Измене',
	'wikieditor-preview-loading' => 'Учитавам…',
	'wikieditor-previewDialog-preference' => 'Омогући прозорче за преглед',
	'wikieditor-previewDialog-tab' => 'Преглед',
	'wikieditor-previewDialog-loading' => 'Учитавам…',
	'wikieditor-publish-preference' => 'Омогући постепено објављивање',
	'wikieditor-publish-button-publish' => 'Објави',
	'wikieditor-publish-button-cancel' => 'Откажи',
	'wikieditor-publish-dialog-title' => 'Објави на {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Опис измене (укратко опишите шта сте изменили):',
	'wikieditor-publish-dialog-minor' => 'Мања измена',
	'wikieditor-publish-dialog-watch' => 'Надгледај ову страницу',
	'wikieditor-publish-dialog-publish' => 'Објави',
	'wikieditor-publish-dialog-goback' => 'Врати се',
	'wikieditor-template-editor-preference' => 'Омогући уређивање вики-шаблона преко обрасца',
	'wikieditor-template-editor-dialog-title' => 'Измени шаблон',
	'wikieditor-template-editor-dialog-submit' => 'Ажурирај',
	'wikieditor-template-editor-dialog-cancel' => 'Откажи',
	'wikieditor-templates-preference' => 'Омогућава размотавање шаблона',
	'wikieditor-toc-preference' => 'Омогући навигациону табелу садржаја',
	'wikieditor-toc-show' => 'Прикажи садржај',
	'wikieditor-toc-hide' => 'Сакриј садржај',
	'wikieditor-toolbar' => 'Алатна трака за уређивање',
	'wikieditor-toolbar-desc' => 'Алатна трака за уређивање с побољшаном употребљивошћу',
	'wikieditor-toolbar-preference' => 'Омогући побољшану траку за уређивање',
	'wikieditor-toolbar-dialogs-preference' => 'Омогући прозорчад за убацивање веза, табела и више',
	'wikieditor-toolbar-hidesig' => 'Сакриј дугме за потпис на страницама у главном именском простору',
	'wikieditor-toolbar-loading' => 'Учитавам…',
	'wikieditor-toolbar-tool-bold' => 'Подебљано',
	'wikieditor-toolbar-tool-bold-example' => 'Подебљан текст',
	'wikieditor-toolbar-tool-italic' => 'Курзив',
	'wikieditor-toolbar-tool-italic-example' => 'Искошени текст',
	'wikieditor-toolbar-tool-ilink' => 'Унутрашња веза',
	'wikieditor-toolbar-tool-ilink-example' => 'Наслов везе',
	'wikieditor-toolbar-tool-xlink' => "Спољна веза (с предметком ''http://'')",
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.primer.com наслов везе',
	'wikieditor-toolbar-tool-link' => 'Веза',
	'wikieditor-toolbar-tool-link-title' => 'Убаци везу',
	'wikieditor-toolbar-tool-link-int' => 'Према вики страници',
	'wikieditor-toolbar-tool-link-int-target' => 'Наслов странице:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Наслов странице или URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Текст везе:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Текст за приказ',
	'wikieditor-toolbar-tool-link-ext' => 'Према спољној страници',
	'wikieditor-toolbar-tool-link-ext-target' => 'Адреса везе:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст везе:',
	'wikieditor-toolbar-tool-link-insert' => 'Убаци везу',
	'wikieditor-toolbar-tool-link-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Страница постоји',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Страница не постоји',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Неисправан наслов',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Спољашња веза',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Провера постојања странице...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Наведени наслов је неисправан.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Спољашња веза коју сте унели изгледа као веза према другој вики страници. Да ли желите да је промените у унутрашњу везу?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Унутрашња веза',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Спољашња веза',
	'wikieditor-toolbar-tool-link-empty' => 'Ниста унели ништа за повезивање.',
	'wikieditor-toolbar-tool-file' => 'Уграђена датотека',
	'wikieditor-toolbar-tool-file-example' => 'Пример.jpg',
	'wikieditor-toolbar-tool-reference' => 'Навод',
	'wikieditor-toolbar-tool-reference-example' => 'Овде унесите текст фусноте',
	'wikieditor-toolbar-tool-reference-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-reference-title' => 'Убаци референцу',
	'wikieditor-toolbar-tool-reference-insert' => 'Убаци',
	'wikieditor-toolbar-tool-reference-text' => 'Текст навода',
	'wikieditor-toolbar-tool-signature' => 'Потпис с тренутним временом',
	'wikieditor-toolbar-section-advanced' => 'Напредно',
	'wikieditor-toolbar-tool-heading' => 'Наслов',
	'wikieditor-toolbar-tool-heading-1' => 'Ниво 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ниво 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ниво 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ниво 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ниво 5',
	'wikieditor-toolbar-tool-heading-example' => 'Текст наслова',
	'wikieditor-toolbar-group-format' => 'Облик',
	'wikieditor-toolbar-tool-ulist' => 'Списак с ознакама',
	'wikieditor-toolbar-tool-ulist-example' => 'Ставка пописа с ознакама',
	'wikieditor-toolbar-tool-olist' => 'Нумерисани списак',
	'wikieditor-toolbar-tool-olist-example' => 'Ставка нумерисаног списка',
	'wikieditor-toolbar-tool-indent' => 'Увучени ред',
	'wikieditor-toolbar-tool-indent-example' => 'Увучени ред',
	'wikieditor-toolbar-tool-nowiki' => 'Без вики обликовања',
	'wikieditor-toolbar-tool-nowiki-example' => 'Убаците необликован текст овде',
	'wikieditor-toolbar-tool-redirect' => 'Преусмерење',
	'wikieditor-toolbar-tool-redirect-example' => 'Име циљне странице',
	'wikieditor-toolbar-tool-big' => 'Велико',
	'wikieditor-toolbar-tool-big-example' => 'Велики текст',
	'wikieditor-toolbar-tool-small' => 'Мало',
	'wikieditor-toolbar-tool-small-example' => 'Мали текст',
	'wikieditor-toolbar-tool-superscript' => 'Експонент',
	'wikieditor-toolbar-tool-superscript-example' => 'Текст експонента',
	'wikieditor-toolbar-tool-subscript' => 'Индекс',
	'wikieditor-toolbar-tool-subscript-example' => 'Текст индекса',
	'wikieditor-toolbar-group-insert' => 'Убаци',
	'wikieditor-toolbar-tool-gallery' => 'Галерија слика',
	'wikieditor-toolbar-tool-gallery-example' => '$1:пример1.jpg|Наслов1
$1:пример2.jpg|Наслов2',
	'wikieditor-toolbar-tool-newline' => 'Нови ред',
	'wikieditor-toolbar-tool-table' => 'Табела',
	'wikieditor-toolbar-tool-table-example-old' => '-
! наслов 1
! наслов 2
! наслов 3
|-
| ред 1, ћелија 1
| ред 1, ћелија 2
| ред 1, ћелија 3
|-
| ред 2, ћелија 1
| ред 2, ћелија 2
| ред 2, ћелија 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст ћелије',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст наслова',
	'wikieditor-toolbar-tool-table-title' => 'Убаци табелу',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Редова',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Колона',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Додај насловни ред',
	'wikieditor-toolbar-tool-table-wikitable' => 'Стил с границама',
	'wikieditor-toolbar-tool-table-sortable' => 'Сврставање табеле',
	'wikieditor-toolbar-tool-table-example' => 'Пример',
	'wikieditor-toolbar-tool-table-preview' => 'Преглед',
	'wikieditor-toolbar-tool-table-insert' => 'Убаци',
	'wikieditor-toolbar-tool-table-cancel' => 'Откажи',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-toomany' => 'Не можете да убацујете табеле с више од $1 ћелија с овим прозорчетом.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Нисте унели валидан број редова и колона',
	'wikieditor-toolbar-tool-table-zero' => 'Не можете да унесете табелу са 0 редова или колона.',
	'wikieditor-toolbar-tool-replace' => 'Тражи и замени',
	'wikieditor-toolbar-tool-replace-title' => 'Тражи и замени',
	'wikieditor-toolbar-tool-replace-search' => 'Тражи:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замени са:',
	'wikieditor-toolbar-tool-replace-case' => 'Пази на величину слова',
	'wikieditor-toolbar-tool-replace-regex' => 'Поступи с нитима за претрагу као с обичним изразима',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Нађи следеће',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Замени',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замени све',
	'wikieditor-toolbar-tool-replace-close' => 'Затвори',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Претрага није пронашла резултате.',
	'wikieditor-toolbar-tool-replace-success' => 'Направљених замена: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Нисте унели ништа за претрагу.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Израз који сте унели није исправан: $1',
	'wikieditor-toolbar-section-characters' => 'Посебни знакови',
	'wikieditor-toolbar-characters-page-latin' => 'латиница',
	'wikieditor-toolbar-characters-page-latinextended' => 'проширена латиница',
	'wikieditor-toolbar-characters-page-ipa' => 'ИПА',
	'wikieditor-toolbar-characters-page-symbols' => 'симболи',
	'wikieditor-toolbar-characters-page-greek' => 'грчки',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ћирилица',
	'wikieditor-toolbar-characters-page-arabic' => 'арапски',
	'wikieditor-toolbar-characters-page-arabicextended' => 'проширени арапски',
	'wikieditor-toolbar-characters-page-persian' => 'персијски',
	'wikieditor-toolbar-characters-page-hebrew' => 'хебрејски',
	'wikieditor-toolbar-characters-page-bangla' => 'бенгалски',
	'wikieditor-toolbar-characters-page-telugu' => 'телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'синхалски',
	'wikieditor-toolbar-characters-page-gujarati' => 'гуџарати',
	'wikieditor-toolbar-characters-page-thai' => 'тајландски',
	'wikieditor-toolbar-characters-page-lao' => 'лаоски',
	'wikieditor-toolbar-characters-page-khmer' => 'кмерски',
	'wikieditor-toolbar-section-help' => 'Помоћ',
	'wikieditor-toolbar-help-heading-description' => 'Опис',
	'wikieditor-toolbar-help-heading-syntax' => 'Шта куцате',
	'wikieditor-toolbar-help-heading-result' => 'Шта добијате',
	'wikieditor-toolbar-help-page-format' => 'Обликовање',
	'wikieditor-toolbar-help-page-link' => 'Везе',
	'wikieditor-toolbar-help-page-heading' => 'Наслови',
	'wikieditor-toolbar-help-page-list' => 'Спискови',
	'wikieditor-toolbar-help-page-file' => 'Датотеке',
	'wikieditor-toolbar-help-page-reference' => 'Наводи',
	'wikieditor-toolbar-help-page-discussion' => 'Разговор',
	'wikieditor-toolbar-help-content-italic-description' => 'Искошено',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Искошени текст''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Искошени текст</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Подебљано',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Подебљани текст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Подебљани текст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Подебљано и искошено',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Подебљани и искошени текст'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Подебљани и искошени текст</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Унутрашња веза',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Наслов странице|Наслов везе]]<br />[[Наслов странице]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Назив везе</a><br /><a href='#'>Наслов странице</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Спољашња веза',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.primer.org Назив везе]<br />[http://www.primer.org]<br />http://www.primer.org',
	'wikieditor-toolbar-help-content-heading2-description' => 'Наслов другог нивоа',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Текст наслова ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Текст наслова</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Наслов трећег нивоа',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Текст наслова ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Наслов одељка</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Наслов четвртог нивоа',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Текст наслова ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Наслов одељка</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Наслов петог нивоа',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Текст наслова =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Наслов одељка</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Списак с ознакама',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ставка<br />* Ставка',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ставка</li><li>Ставка</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Нумерисани списак',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Ставка<br /># Ставка',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ставка</li><li>Ставка</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Уграђена датотека',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Пример.png|thumb|Описни текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Опис' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Повећај' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Опис</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Навод',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст странице.&lt;ref name="test"&gt;[http://www.primer.org Текст везе], додатни текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Текст странице.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Додатна употреба истог навода',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="проба" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст странице.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Прикажи наводе',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '&lt;наводи /&gt;',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.primer.org' class='external text' href='#'>Текст везе</a>, додатни текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Потпис с тренутним временом',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Корисник</a> (<a href='#' title='{{#special:mytalk}}'>разговор</a>) 15:54, 10. јун 2009. (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Потпис',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Корисничко име</a> (<a href='#' title='{{#special:mytalk}}'>разговор</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Увлачење',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Обични текст<br />:Увучени текст<br />::Увучени текст',
	'wikieditor-toolbar-help-content-indent-result' => 'Обични текст<dl><dd>Увучени текст<dl><dd>Увучени текст</dd></dl></dd></dl>',
);

/** Serbian (Latin script) (‪Srpski (latinica)‬)
 * @author Liangent
 * @author McDutchie
 * @author Rancher
 * @author Жељко Тодоровић
 */
$messages['sr-el'] = array(
	'wikieditor' => 'Napredno sučelje uređivanja vikiteksta',
	'wikieditor-wikitext-tab' => 'Vikitekst',
	'wikieditor-loading' => 'Učitavanje',
	'wikieditor-preview-tab' => 'Pretpregled',
	'wikieditor-preview-changes-tab' => 'Izmene',
	'wikieditor-preview-loading' => 'Učitavanje...',
	'wikieditor-previewDialog-tab' => 'Pregled',
	'wikieditor-previewDialog-loading' => 'Učitavanje...',
	'wikieditor-publish-preference' => 'Omogući postepeno objavljivanje',
	'wikieditor-publish-button-publish' => 'Objavi',
	'wikieditor-publish-button-cancel' => 'Otkaži',
	'wikieditor-publish-dialog-title' => 'Objavi na {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Opis izmene (ukratko opišite šta ste izmenili):',
	'wikieditor-publish-dialog-minor' => 'Mala izmena',
	'wikieditor-publish-dialog-watch' => 'Nadgledaj ovu stranicu',
	'wikieditor-publish-dialog-publish' => 'Objavi',
	'wikieditor-publish-dialog-goback' => 'Vrati se',
	'wikieditor-template-editor-dialog-title' => 'Izmeni šablon',
	'wikieditor-template-editor-dialog-submit' => 'Ažuriraj',
	'wikieditor-template-editor-dialog-cancel' => 'Otkaži',
	'wikieditor-templates-preference' => 'Omogućava razmotavanje šablona',
	'wikieditor-toc-preference' => 'Omogući navigacionu tabelu sadržaja',
	'wikieditor-toc-show' => 'Pokaži sadržaj',
	'wikieditor-toc-hide' => 'Sakrij sadržaj',
	'wikieditor-toolbar' => 'Alatna traka za uređivanje',
	'wikieditor-toolbar-preference' => 'Omogući poboljšanu traku za uređivanje',
	'wikieditor-toolbar-loading' => 'Učitavanje...',
	'wikieditor-toolbar-tool-bold' => 'Podebljan',
	'wikieditor-toolbar-tool-bold-example' => 'Podebljan tekst',
	'wikieditor-toolbar-tool-italic' => 'Korziv',
	'wikieditor-toolbar-tool-italic-example' => 'Kurzivan tekst',
	'wikieditor-toolbar-tool-ilink' => 'Unutrašnja veza',
	'wikieditor-toolbar-tool-ilink-example' => 'Naslov veze',
	'wikieditor-toolbar-tool-xlink' => 'Spoljašnja veza (ne zaboravite <a href="http://">http://</a> prefiks)',
	'wikieditor-toolbar-tool-xlink-example' => '<a href="http://www.example.com">http://www.example.com</a> naslov veze',
	'wikieditor-toolbar-tool-link' => 'Veza',
	'wikieditor-toolbar-tool-link-title' => 'Ubaci vezu',
	'wikieditor-toolbar-tool-link-int' => 'Prema viki stranici',
	'wikieditor-toolbar-tool-link-int-target' => 'Naslov strane:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Naslov stranice ili URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Tekst veze:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Tekst za prikaz',
	'wikieditor-toolbar-tool-link-ext' => 'Prema spoljnoj stranici',
	'wikieditor-toolbar-tool-link-ext-target' => 'Putanja veze (URL):',
	'wikieditor-toolbar-tool-link-ext-text' => 'Tekst veze:',
	'wikieditor-toolbar-tool-link-insert' => 'Ubaci vezu',
	'wikieditor-toolbar-tool-link-cancel' => 'Otkaži',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Stranica postoji',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Stranica ne postoji',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Pogrešan naslov',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Spoljašnja veza',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Provera postojanja stranice...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Naslov koji ste izabrali nije validan',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Spoljašnja veza koju ste uneli izgleda kao veza prema drugoj viki stranici. Da li želite da je promenite u unutrašnju vezu?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Unutrašnja veza',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Spoljašnja veza',
	'wikieditor-toolbar-tool-link-empty' => 'Nista uneli ništa za povezivanje.',
	'wikieditor-toolbar-tool-file' => 'Ugrađena datoteka',
	'wikieditor-toolbar-tool-file-example' => 'Primer.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referenca',
	'wikieditor-toolbar-tool-reference-example' => 'Unesite tekst fusnote ovde',
	'wikieditor-toolbar-tool-reference-cancel' => 'Otkaži',
	'wikieditor-toolbar-tool-reference-title' => 'Ubaci referencu',
	'wikieditor-toolbar-tool-reference-insert' => 'Ubaci',
	'wikieditor-toolbar-tool-reference-text' => 'Tekst navoda',
	'wikieditor-toolbar-tool-signature' => 'Potpis sa trenutnim vremenom',
	'wikieditor-toolbar-section-advanced' => 'Napredno',
	'wikieditor-toolbar-tool-heading' => 'Odeljak',
	'wikieditor-toolbar-tool-heading-1' => 'Nivo 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivo 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivo 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivo 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivo 5',
	'wikieditor-toolbar-tool-heading-example' => 'Tekst odeljka',
	'wikieditor-toolbar-group-format' => 'Oblik',
	'wikieditor-toolbar-tool-ulist' => 'Spisak s oznakama',
	'wikieditor-toolbar-tool-ulist-example' => 'Stavka popisa s oznakama',
	'wikieditor-toolbar-tool-olist' => 'Numerisani spisak',
	'wikieditor-toolbar-tool-olist-example' => 'Stavka numerisanog spiska',
	'wikieditor-toolbar-tool-indent' => 'Uvučeni red',
	'wikieditor-toolbar-tool-indent-example' => 'Uvučeni red',
	'wikieditor-toolbar-tool-nowiki' => 'Bez viki oblikovanja',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ubacite neoblikovan tekst ovde',
	'wikieditor-toolbar-tool-redirect' => 'Preusmerenje',
	'wikieditor-toolbar-tool-big' => 'Velik',
	'wikieditor-toolbar-tool-big-example' => 'Velik tekst',
	'wikieditor-toolbar-tool-small' => 'Mali',
	'wikieditor-toolbar-tool-small-example' => 'Mali tekst',
	'wikieditor-toolbar-tool-superscript' => 'Eksponent',
	'wikieditor-toolbar-tool-superscript-example' => 'Tekst eksponenta',
	'wikieditor-toolbar-tool-subscript' => 'Indeks',
	'wikieditor-toolbar-tool-subscript-example' => 'Tekst indeksa',
	'wikieditor-toolbar-group-insert' => 'Ubaci',
	'wikieditor-toolbar-tool-gallery' => 'Galerija slika',
	'wikieditor-toolbar-tool-gallery-example' => '$1:primer1.jpg|Naslov1
$1:primer2.jpg|Naslov2',
	'wikieditor-toolbar-tool-newline' => 'Nova linija',
	'wikieditor-toolbar-tool-table' => 'Tabela',
	'wikieditor-toolbar-tool-table-example-old' => '-
! naslov 1
! naslov 2
! naslov 3
|-
| red 1, ćelija 1
| red 1, ćelija 2
| red 1, ćelija 3
|-
| red 2, ćelija 1
| red 2, ćelija 2
| red 2, ćelija 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Tekst ćelije',
	'wikieditor-toolbar-tool-table-example-header' => 'Tekst naslova',
	'wikieditor-toolbar-tool-table-title' => 'Ubaci tabelu',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Redovi',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolona',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Dodaj naslovni red',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil sa okvirima',
	'wikieditor-toolbar-tool-table-sortable' => 'Mogućnost sortiranja tabele',
	'wikieditor-toolbar-tool-table-example' => 'Primer',
	'wikieditor-toolbar-tool-table-preview' => 'Pregled',
	'wikieditor-toolbar-tool-table-insert' => 'Ubaci',
	'wikieditor-toolbar-tool-table-cancel' => 'Otkaži',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Niste uneli validan broj redova i kolona',
	'wikieditor-toolbar-tool-table-zero' => 'Ne možete da unesete tabelu sa 0 redova ili kolona.',
	'wikieditor-toolbar-tool-replace' => 'Traži i zameni',
	'wikieditor-toolbar-tool-replace-title' => 'Traži i zameni',
	'wikieditor-toolbar-tool-replace-search' => 'Traži:',
	'wikieditor-toolbar-tool-replace-replace' => 'Zameni sa:',
	'wikieditor-toolbar-tool-replace-case' => 'Pazi na veličinu slova',
	'wikieditor-toolbar-tool-replace-regex' => 'Postupi s nitima za pretragu kao s običnim izrazima',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Nađi sledeće',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Zameni sve',
	'wikieditor-toolbar-tool-replace-close' => 'Zatvori',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Pretraga nije pronašla rezultate.',
	'wikieditor-toolbar-tool-replace-success' => 'Napravljenih zamena: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Niste uneli ništa za pretragu.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Izraz koji ste uneli nije ispravan: $1',
	'wikieditor-toolbar-section-characters' => 'Posebni znakovi',
	'wikieditor-toolbar-characters-page-latin' => 'latinica',
	'wikieditor-toolbar-characters-page-latinextended' => 'proširena latinica',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simboli',
	'wikieditor-toolbar-characters-page-greek' => 'grčki',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ćirilica',
	'wikieditor-toolbar-characters-page-arabic' => 'arapski',
	'wikieditor-toolbar-characters-page-arabicextended' => 'prošireni arapski',
	'wikieditor-toolbar-characters-page-persian' => 'persijski',
	'wikieditor-toolbar-characters-page-hebrew' => 'jevrejsko',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'sinhalski',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-characters-page-thai' => 'tajlandski',
	'wikieditor-toolbar-characters-page-lao' => 'laoski',
	'wikieditor-toolbar-characters-page-khmer' => 'kmerski',
	'wikieditor-toolbar-section-help' => 'Pomoć',
	'wikieditor-toolbar-help-heading-description' => 'Opis',
	'wikieditor-toolbar-help-heading-syntax' => 'Šta kucate',
	'wikieditor-toolbar-help-heading-result' => 'Šta dobijete',
	'wikieditor-toolbar-help-page-format' => 'Formatiranje',
	'wikieditor-toolbar-help-page-link' => 'Veze',
	'wikieditor-toolbar-help-page-heading' => 'Naslovi',
	'wikieditor-toolbar-help-page-list' => 'Spiskovi',
	'wikieditor-toolbar-help-page-file' => 'Datoteke',
	'wikieditor-toolbar-help-page-reference' => 'Reference',
	'wikieditor-toolbar-help-page-discussion' => 'Razgovor',
	'wikieditor-toolbar-help-content-italic-description' => 'Kurziv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kurzivan tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tekst u kurzivu</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Podebljano',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Podebljani tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Podebljan tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Podebljano &amp; iskošeno',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Podebljani &amp; iskošeni tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Podebljan &amp; iskošen tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Unutrašnja veza',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Naziv veze</a><br /><a href='#'>Naslov stranice</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Spoljašnja veza',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.primer.org Naslov veze]<br />[http://www.primer.org]<br />http://www.primer.org',
	'wikieditor-toolbar-help-content-heading2-description' => 'Odeljak drugog nivoa',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Naslov odeljka ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Naslov odeljka</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Odeljak trećeg nivoa',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Naslov odeljka ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Naslov odeljka</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Odeljak četvrtog nivoa',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Naslov odeljka ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Naslov odeljka</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Odeljak petog nivoa',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Naslov odeljka =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Naslov odeljka</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Spisak s oznakama',
	'wikieditor-toolbar-help-content-olist-description' => 'Numerisana lista',
	'wikieditor-toolbar-help-content-file-description' => 'Ugrađena datoteka',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Primjer.png|thumb|Naziv slike]]',
	'wikieditor-toolbar-help-content-reference-description' => 'Reference',
	'wikieditor-toolbar-help-content-reference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Dodatna upotreba istog navoda',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="proba" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Tekst stranice.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Prikaži reference',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '&lt;navodi /&gt;',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Potpis s trenutnim vremenom',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Korisnik</a> (<a href='#' title='{{#special:mytalk}}'>razgovor</a>) 15:54, 10. jun 2009. (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Potpis',
	'wikieditor-toolbar-help-content-indent-description' => 'Uvlačenje',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normalan tekst<br />:Uvučen tekst<br />::Uvučen tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Obični tekst<dl><dd>Uvučeni tekst<dl><dd>Uvučeni tekst</dd></dl></dd></dl>',
);

/** Seeltersk (Seeltersk) */
$messages['stq'] = array(
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fatten &amp; kursiven Text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Internen Link',
);

/** Sundanese (Basa Sunda)
 * @author Kandar
 */
$messages['su'] = array(
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Ngamuat',
	'wikieditor-preview-tab' => 'Pramidang',
	'wikieditor-preview-changes-tab' => 'Parobahan',
	'wikieditor-preview-loading' => 'Ngamuat…',
	'wikieditor-publish-button-publish' => 'Terbitkeun',
	'wikieditor-publish-button-cancel' => 'Bolay',
	'wikieditor-publish-dialog-title' => 'Terbitkeun di {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Ringkesna (parobahan naon anu dijieun):',
	'wikieditor-publish-dialog-minor' => 'Éditan minor',
	'wikieditor-publish-dialog-watch' => 'Awaskeun ieu kaca',
	'wikieditor-publish-dialog-publish' => 'Terbitkeun',
	'wikieditor-publish-dialog-goback' => 'Balik deui',
	'wikieditor-template-editor-preference' => 'Citakan wiki kudu bisa diédit maké bentuk formulir',
	'wikieditor-template-editor-dialog-title' => 'Édit citakan',
	'wikieditor-template-editor-dialog-submit' => 'Anyarkeun',
	'wikieditor-template-editor-dialog-cancel' => 'Bolay',
	'wikieditor-templates-preference' => 'Citakanana kudu bisa ditilepkeun',
	'wikieditor-toc-show' => 'Témbongkeun eusi',
	'wikieditor-toc-hide' => 'Sumputkeun eusi',
	'wikieditor-toolbar' => 'Tulbar paranti ngédit',
	'wikieditor-toolbar-loading' => 'Ngamuat…',
	'wikieditor-toolbar-tool-bold' => 'Kandel',
	'wikieditor-toolbar-tool-bold-example' => 'Tulisan kandel',
	'wikieditor-toolbar-tool-italic' => 'Déngdék',
	'wikieditor-toolbar-tool-italic-example' => 'Tulisan déngdék',
	'wikieditor-toolbar-tool-ilink' => 'Tutumbu internal',
	'wikieditor-toolbar-tool-ilink-example' => 'Judul tutumbu',
	'wikieditor-toolbar-tool-xlink' => 'Tutumbu kaluar (inget awalan http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com judul tutumbu',
	'wikieditor-toolbar-tool-link' => 'Tutumbu',
	'wikieditor-toolbar-tool-link-title' => 'Asupkeun tutumbu',
	'wikieditor-toolbar-tool-link-int' => 'Ka kaca wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tujul kaca atawa URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Judul kaca atawa URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Téks témbongkeuneun:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Téks témbongkeuneun:',
	'wikieditor-toolbar-tool-link-ext' => 'Ka kaca ramat éksternal',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL tutumbu:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Téks tutumbu:',
	'wikieditor-toolbar-tool-link-insert' => 'Asupkeun tutumbu',
	'wikieditor-toolbar-tool-link-cancel' => 'Bolay...',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Kaca aya',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Kacana euweuh',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Judul teu bener',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Tutumbu kaluar',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Mariksa aya/henteuna kaca...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Judul anu dipénta teu bener.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL anu diasupkeun sigana tutumbu ka kaca wiki lianna. Badé didamel tutumbu internal?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Tutumbu internal',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Tutumbu éksternal',
	'wikieditor-toolbar-tool-link-empty' => 'Anjeun teu ngasupkeun nanaon pikeun tutumbu.',
	'wikieditor-toolbar-tool-file-example' => 'Conto.jpg',
	'wikieditor-toolbar-tool-reference' => 'Rujukan',
	'wikieditor-toolbar-tool-reference-example' => 'Asupkeun catetan susuku di dieu',
	'wikieditor-toolbar-tool-reference-cancel' => 'Bolay',
	'wikieditor-toolbar-tool-reference-title' => 'Asupkeun rujukan',
	'wikieditor-toolbar-tool-reference-insert' => 'Asupkeun',
	'wikieditor-toolbar-tool-reference-text' => 'Téks rujukan',
	'wikieditor-toolbar-tool-signature' => 'Tandatangan jeung titimangsa',
	'wikieditor-toolbar-tool-heading' => 'Lulugu',
	'wikieditor-toolbar-tool-heading-1' => 'Tingkat 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tingkat 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tingkat 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tingkat 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tingkat 5',
	'wikieditor-toolbar-tool-heading-example' => 'Téks subjudul',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Béréndélan pélor',
	'wikieditor-toolbar-tool-olist' => 'Béréndélan nomer',
	'wikieditor-toolbar-tool-indent-example' => 'Baris ngelok',
	'wikieditor-toolbar-tool-nowiki' => 'Tanpa format wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Asupkeun téks tanpa format di dieu',
	'wikieditor-toolbar-tool-redirect' => 'Pindah',
	'wikieditor-toolbar-tool-redirect-example' => 'Ngaran tujul kaca',
	'wikieditor-toolbar-tool-big' => 'Badag',
	'wikieditor-toolbar-tool-big-example' => 'Téks badag',
	'wikieditor-toolbar-tool-small' => 'Leutik',
	'wikieditor-toolbar-tool-small-example' => 'Téks leutik',
	'wikieditor-toolbar-tool-superscript' => 'Superskrip',
	'wikieditor-toolbar-tool-superscript-example' => 'Téks superskrip',
	'wikieditor-toolbar-tool-subscript' => 'Subskrip',
	'wikieditor-toolbar-tool-subscript-example' => 'Téks subskrip',
	'wikieditor-toolbar-group-insert' => 'Asupkeun',
	'wikieditor-toolbar-tool-gallery' => 'Galeri gambar',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Conto.jpg|Pedaran1
$1:Conto.jpg|Pedaran2',
	'wikieditor-toolbar-tool-newline' => 'Baris anyar',
	'wikieditor-toolbar-tool-table' => 'Tabél',
	'wikieditor-toolbar-tool-table-example-old' => '-
! huhulu 1
! huhulu 2
! huhulu 3
|-
| baris 1, sél 1
| baris 1, sél 2
| baris 1, sél 3
|-
| baris 2, sél 1
| baris 2, sél 2
| baris 2, sél 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Téks sél',
	'wikieditor-toolbar-tool-table-example-header' => 'Téks huhulu',
	'wikieditor-toolbar-tool-table-title' => 'Asupkeun tabél',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Baris',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolom',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Tambahan baris huhulu',
	'wikieditor-toolbar-tool-table-example' => 'Conto',
	'wikieditor-toolbar-tool-table-preview' => 'Pramidang',
	'wikieditor-toolbar-tool-table-insert' => 'Asupkeun',
	'wikieditor-toolbar-tool-table-cancel' => 'Bolay',
	'wikieditor-toolbar-tool-table-toomany' => 'Dialog ieu teu bisa dipaké pikeun nyieun tabél anu sélna leuwih ti $1.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Jumlah baris atawa kolom nu diasupkeun teu bener.',
	'wikieditor-toolbar-tool-table-zero' => 'Anjeun teu bisa nyieun tabél nu baris jeung kolomna enol.',
	'wikieditor-toolbar-tool-replace' => 'Téang jeung ganti',
	'wikieditor-toolbar-tool-replace-title' => 'Téang jeung ganti',
	'wikieditor-toolbar-tool-replace-search' => 'Téangan:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ganti ku:',
	'wikieditor-toolbar-tool-replace-case' => 'Ciples gedé/leutikna',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Téangan salajengna',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ganti sadayana',
	'wikieditor-toolbar-tool-replace-close' => 'Tutup',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Taya nu cocog jeung nu ditéang.',
	'wikieditor-toolbar-tool-replace-success' => '$1 geus diganti.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Anjeun teu ngasupkeun naon anu kudu disungsi.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Éksprési régulér anu diasupkeun teu bener: $1',
	'wikieditor-toolbar-section-characters' => 'Karakter husus',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Lambang',
	'wikieditor-toolbar-characters-page-greek' => 'Yunani',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Sirilik',
	'wikieditor-toolbar-characters-page-arabic' => 'Arab',
	'wikieditor-toolbar-characters-page-persian' => 'Parsi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ibrani',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Pitulung',
	'wikieditor-toolbar-help-heading-description' => 'Pedaran',
	'wikieditor-toolbar-help-heading-syntax' => 'NU diketikkeun',
	'wikieditor-toolbar-help-heading-result' => 'Nu katémbong',
	'wikieditor-toolbar-help-page-link' => 'Tutumbu',
	'wikieditor-toolbar-help-page-heading' => 'Subjudul',
	'wikieditor-toolbar-help-page-list' => 'Béréndélan',
	'wikieditor-toolbar-help-page-file' => 'Berkas',
	'wikieditor-toolbar-help-page-reference' => 'Rujukan',
	'wikieditor-toolbar-help-page-discussion' => 'Sawala',
	'wikieditor-toolbar-help-content-italic-description' => 'Déngdék',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Téks déngdék''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Téks déngdék</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Kandel',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Téks kandel'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Téks kandel</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Kandel &amp; déngdék',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Téks kandel &amp; déngdék'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Téks kandel &amp; déngdék</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Tutumbu internal',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Judul kaca|Labél tutumbu]]<br />[[Judul kaca]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Labél tutumbu</a><br /><a href='#'>Judul kaca</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Tutumbu kaluar',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.conto.org Labél tutumbu]<br />[http://www.conto.org]<br />http://www.conto.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Labél tutumbu</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.conto.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Subjudul tingkat ka-2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Téks lulugu ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Téks subjudul</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Subjudul tingkat ka-3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Téks subjudul ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Téks subjudul</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Subjudul tingkat ka-4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Téks subjudul ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Téks subjudul</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Subjudul tingkat ka-5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Téks subjudul =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Téks subjudul</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Béréndélan pélor',
	'wikieditor-toolbar-help-content-olist-description' => 'Béréndélan nomer',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Conto.png|thumb|Téks gambar]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Téks pedaran' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Gedéan' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Téks pedaran</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Rujukan',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Téks kaca.&lt;ref name="test"&gt;[http://www.conto.org Téks tutumbu], téks panambih.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Téks kaca.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-result' => "Téks kaca.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Témbongkeun rujukan',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.conto.org' class='téks éksternal' href='#'>Téks tutumbu</a>, téks panambih.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Tandatangan jeung titimangsa',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Sandiasma</a> (<a href='#' title='{{#special:mytalk}}'>obrolan</a>) 15:54, 10 Juni 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Tandatangan',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Sandiasma</a> (<a href='#' title='{{#special:mytalk}}'>obrolan</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Ngelok',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Téks normal<br />:Téks ngelok<br />::Téks ngelok',
	'wikieditor-toolbar-help-content-indent-result' => 'Téks normal<dl><dd>Téks ngelok<dl><dd>Téks ngelok</dd></dl></dd></dl>',
);

/** Swedish (Svenska)
 * @author Ainali
 * @author Boivie
 * @author Cohan
 * @author Dafer45
 * @author Hannibal
 * @author McDutchie
 * @author Sertion
 * @author Warrakkk
 */
$messages['sv'] = array(
	'wikieditor' => 'Avancerat gränssnitt för redigering av wikitext',
	'wikieditor-desc' => 'Tillhandahåller ett utökat gränssnitt för redigering av wikitext och många moduler som tillhandahåller funktioner',
	'wikieditor-wikitext-tab' => 'Wikitext',
	'wikieditor-loading' => 'Laddar',
	'wikieditor-preview-preference' => 'Aktivera förhandsgranskning sida-vid-sida',
	'wikieditor-preview-tab' => 'Förhandsgranska',
	'wikieditor-preview-changes-tab' => 'Ändringar',
	'wikieditor-preview-loading' => 'Laddar...',
	'wikieditor-previewDialog-preference' => 'Aktivera förhandsgranska',
	'wikieditor-previewDialog-tab' => 'Förhandsgranska',
	'wikieditor-previewDialog-loading' => 'Laddar...',
	'wikieditor-publish-preference' => 'Aktivera steg-efter-steg-publicering',
	'wikieditor-publish-button-publish' => 'Publicera',
	'wikieditor-publish-button-cancel' => 'Avbryt',
	'wikieditor-publish-dialog-title' => 'Publicera i {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Redigeringssammanfattning (beskriv överskådligt de förändringar du har gjort):',
	'wikieditor-publish-dialog-minor' => 'Mindre ändring',
	'wikieditor-publish-dialog-watch' => 'Bevaka denna sida',
	'wikieditor-publish-dialog-publish' => 'Publicera',
	'wikieditor-publish-dialog-goback' => 'Gå tillbaka',
	'wikieditor-template-editor-preference' => 'Aktivera form-baserad redigering av wikimallar',
	'wikieditor-template-editor-dialog-title' => 'Redigera mall',
	'wikieditor-template-editor-dialog-submit' => 'Uppdatera',
	'wikieditor-template-editor-dialog-cancel' => 'Avbryt',
	'wikieditor-templates-preference' => 'Aktivera ihopfällbara mallar',
	'wikieditor-toc-preference' => 'Aktivera navigerbar innehållsförteckning',
	'wikieditor-toc-show' => 'Visa innehåll',
	'wikieditor-toc-hide' => 'Göm innehåll',
	'wikieditor-toolbar' => 'Redigeringsverktygsrad',
	'wikieditor-toolbar-desc' => 'Redigeringsverktygsrad med utökad användbarhet',
	'wikieditor-toolbar-preference' => 'Aktivera utökad redigeringsverktygsrad',
	'wikieditor-toolbar-dialogs-preference' => 'Aktivera dialoger för inläggning av länkar, tabeller och annat',
	'wikieditor-toolbar-hidesig' => 'Dölj knappen signatur på sidor i huvudnamnrymden',
	'wikieditor-toolbar-loading' => 'Laddar...',
	'wikieditor-toolbar-tool-bold' => 'Fet',
	'wikieditor-toolbar-tool-bold-example' => 'Fet text',
	'wikieditor-toolbar-tool-italic' => 'Kursiv',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiv text',
	'wikieditor-toolbar-tool-ilink' => 'Intern länk',
	'wikieditor-toolbar-tool-ilink-example' => 'Länktitel',
	'wikieditor-toolbar-tool-xlink' => 'Extern länk (kom ihåg http:// -prefixet)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.exempel.com länktitel',
	'wikieditor-toolbar-tool-link' => 'Länk',
	'wikieditor-toolbar-tool-link-title' => 'Lägg till länk',
	'wikieditor-toolbar-tool-link-int' => 'Till en wikisida',
	'wikieditor-toolbar-tool-link-int-target' => 'Sidtitel:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sidtitel eller URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Länktext:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Ange texten som skulle visas',
	'wikieditor-toolbar-tool-link-ext' => 'Till extern webbsida',
	'wikieditor-toolbar-tool-link-ext-target' => 'Länkadress:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Länktext:',
	'wikieditor-toolbar-tool-link-insert' => 'Lägg till länk',
	'wikieditor-toolbar-tool-link-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sidan existerar',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sidan existerar inte',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Ogiltig titel',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Extern länk',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kontrollerar om sidan existerar...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Titeln du angav är ogiltig.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL:et du specificerade ser ut att vara avsett som en länk till en annan wikisida. Vill du göra det till en intern länk?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Intern länk',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Extern länk',
	'wikieditor-toolbar-tool-link-empty' => 'Du skrev inget att länka till.',
	'wikieditor-toolbar-tool-file' => 'Inbäddad fil',
	'wikieditor-toolbar-tool-file-example' => 'Exempel.jpg',
	'wikieditor-toolbar-tool-reference' => 'Referens',
	'wikieditor-toolbar-tool-reference-example' => 'Sätt in fotnotstexten här',
	'wikieditor-toolbar-tool-reference-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-reference-title' => 'Lägg till referens',
	'wikieditor-toolbar-tool-reference-insert' => 'Infoga',
	'wikieditor-toolbar-tool-reference-text' => 'Referenstext',
	'wikieditor-toolbar-tool-signature' => 'Signatur och tidsstämpel',
	'wikieditor-toolbar-section-advanced' => 'Avancerad',
	'wikieditor-toolbar-tool-heading' => 'Rubrik',
	'wikieditor-toolbar-tool-heading-1' => 'Nivå 1',
	'wikieditor-toolbar-tool-heading-2' => 'Nivå 2',
	'wikieditor-toolbar-tool-heading-3' => 'Nivå 3',
	'wikieditor-toolbar-tool-heading-4' => 'Nivå 4',
	'wikieditor-toolbar-tool-heading-5' => 'Nivå 5',
	'wikieditor-toolbar-tool-heading-example' => 'Rubriktext',
	'wikieditor-toolbar-group-format' => 'Format',
	'wikieditor-toolbar-tool-ulist' => 'Punktlista',
	'wikieditor-toolbar-tool-ulist-example' => 'Punktlistelement',
	'wikieditor-toolbar-tool-olist' => 'Numrerad lista',
	'wikieditor-toolbar-tool-olist-example' => 'Numrerad listelement',
	'wikieditor-toolbar-tool-indent' => 'Indentering',
	'wikieditor-toolbar-tool-indent-example' => 'Indenterad rad',
	'wikieditor-toolbar-tool-nowiki' => 'Ingen wikiformatering',
	'wikieditor-toolbar-tool-nowiki-example' => 'Lägg till icke-formaterad text här',
	'wikieditor-toolbar-tool-redirect' => 'Omdirigera',
	'wikieditor-toolbar-tool-redirect-example' => 'Målsidans namn',
	'wikieditor-toolbar-tool-big' => 'Stor',
	'wikieditor-toolbar-tool-big-example' => 'Stor text',
	'wikieditor-toolbar-tool-small' => 'Liten',
	'wikieditor-toolbar-tool-small-example' => 'Liten text',
	'wikieditor-toolbar-tool-superscript' => 'Upphöjd',
	'wikieditor-toolbar-tool-superscript-example' => 'Upphöjd text',
	'wikieditor-toolbar-tool-subscript' => 'Nedsänkt',
	'wikieditor-toolbar-tool-subscript-example' => 'Nedsänkt text',
	'wikieditor-toolbar-group-insert' => 'Sätt in',
	'wikieditor-toolbar-tool-gallery' => 'Bildgalleri',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Exempel.jpg|Bildtext1
$1:Exempel.jpg|Bildtext2',
	'wikieditor-toolbar-tool-newline' => 'Ny rad',
	'wikieditor-toolbar-tool-table' => 'Tabell',
	'wikieditor-toolbar-tool-table-example-old' => '-
! överskrift 1
! överskrift 2
! överskrift 3
|-
| rad 1, cell 1
| rad 1, cell 2
| rad 1, cell 3
|-
| rad 2, cell 1
| rad 2, cell 2
| rad 2, cell 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Celltext',
	'wikieditor-toolbar-tool-table-example-header' => 'Överskriftstext',
	'wikieditor-toolbar-tool-table-title' => 'Sätt in tabell',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rader',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Kolumner',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Inkludera överskriftsrad',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stil med kanter',
	'wikieditor-toolbar-tool-table-sortable' => 'Gör tabell sorterbar',
	'wikieditor-toolbar-tool-table-example' => 'Celltext',
	'wikieditor-toolbar-tool-table-preview' => 'Förhandsgranska',
	'wikieditor-toolbar-tool-table-insert' => 'Sätt in',
	'wikieditor-toolbar-tool-table-cancel' => 'Avbryt',
	'wikieditor-toolbar-tool-table-toomany' => 'Att sätta in en tabell med fler än $1 celler är inte möjligt med denna dialog.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Du har inte angett ett giltigt antal rader eller kolumner.',
	'wikieditor-toolbar-tool-table-zero' => 'Du kan inte sätta in en tabell med noll rader eller kolumner.',
	'wikieditor-toolbar-tool-replace' => 'Sök och ersätt',
	'wikieditor-toolbar-tool-replace-title' => 'Sök och ersätt',
	'wikieditor-toolbar-tool-replace-search' => 'Sök efter:',
	'wikieditor-toolbar-tool-replace-replace' => 'Ersätt med:',
	'wikieditor-toolbar-tool-replace-case' => 'Skilj mellan små/stora bokstäver',
	'wikieditor-toolbar-tool-replace-regex' => 'Behandla söksträngen som ett reguljärt uttryck',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Hitta nästa',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Ersätt',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ersätt alla',
	'wikieditor-toolbar-tool-replace-close' => 'Stäng',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Sökningen gav inget resultat.',
	'wikieditor-toolbar-tool-replace-success' => '$1 ersättning(ar) gjorda.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Du matade inte in något att söka efter.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Det reguljära uttryck du angav är ogiltigt: $1',
	'wikieditor-toolbar-section-characters' => 'Specialtecken',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Utökad latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Symboler',
	'wikieditor-toolbar-characters-page-greek' => 'Grekiska',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kyrilliskt',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabiska',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Arabiska utökade',
	'wikieditor-toolbar-characters-page-persian' => 'Persiska',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreiska',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengali',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalesiska',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Laotisk',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Hjälp',
	'wikieditor-toolbar-help-heading-description' => 'Beskrivning',
	'wikieditor-toolbar-help-heading-syntax' => 'Vad du skriver',
	'wikieditor-toolbar-help-heading-result' => 'Vad du får',
	'wikieditor-toolbar-help-page-format' => 'Formatering',
	'wikieditor-toolbar-help-page-link' => 'Länkar',
	'wikieditor-toolbar-help-page-heading' => 'Rubriker',
	'wikieditor-toolbar-help-page-list' => 'Listor',
	'wikieditor-toolbar-help-page-file' => 'Filer',
	'wikieditor-toolbar-help-page-reference' => 'Referenser',
	'wikieditor-toolbar-help-page-discussion' => 'Diskussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiv',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiv text''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiv text</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Fet',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Fet text'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Fet text</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Fet &amp; kursiv',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Fet &amp; kursiv text'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Fet &amp; kursiv text</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Intern länk',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sidtitel|Länktext]]<br />[[Sidtitel]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Länktext</a><br /><a href='#'>Sidtitel</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Extern länk',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.exeample.org Länktext]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Länktext</a><br /><a href=\"'#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Rubriknivå 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Rubriktext ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Rubriktext</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Rubriknivå 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Rubriktext ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Rubriktext</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Rubriknivå 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Rubriktext ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Rubriktext</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Rubriknivå 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Rubriktext =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Rubriktext</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Punktlista',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Listelement<br />*Listelement',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Listelement</li><li>Listelement</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numrerad lista',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Listelement<br /># Listelement',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Listelement</li><li>Listelement</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Inbäddad fil',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Exempel.png|thumb|Bildtext]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Bildtext' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Förstora' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Bildtext</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Referens',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Brödtext.&lt;ref name="test"&gt;[http://www.example.org Länktext], ytterligare text.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Brödtext.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ytterligare användning av samma referens',
	'wikieditor-toolbar-help-content-rereference-result' => "Brödtext.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Visa referenser',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Länktext</a>, ytterligare text.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Din signatur med tidsstämpel',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Användarnamn</a> (<a href='#' title='{{#special:mytalk}}'>diskussion</a>) 10 juni 2009 kl. 15:54 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Signatur',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Användarnamn</a> (<a href='#' title='{{#special:mytalk}}'>diskussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Indrag',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal text<br />:indragen text<br />::indragen text',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal text<dl><dd>indragen text<dl><dd>indragen text</dd></dl></dd></dl>',
);

/** Swahili (Kiswahili)
 * @author Lloffiwr
 * @author Muddyb Blast Producer
 */
$messages['sw'] = array(
	'wikieditor' => 'Kusano ya juu ya kuandika kiwiki',
	'wikieditor-wikitext-tab' => 'Maandishi ya kiwiki',
	'wikieditor-loading' => 'Inapakizwa',
	'wikieditor-preview-preference' => 'Kuona hakikisho ya mabadiliko na ukurasa ulivyo sasa kwa pamoja.',
	'wikieditor-preview-tab' => 'Hakiki',
	'wikieditor-preview-changes-tab' => 'Mabadiliko',
	'wikieditor-preview-loading' => 'Inapakiwa...',
	'wikieditor-previewDialog-preference' => 'Wezesha kisanduku cha kudhibiti hakikisho',
	'wikieditor-previewDialog-tab' => 'Hakiki',
	'wikieditor-previewDialog-loading' => 'Inapakiwa...',
	'wikieditor-publish-preference' => 'Kuwezesha kutoa mabadiliko hatua kwa hatua',
	'wikieditor-publish-button-publish' => 'Toa',
	'wikieditor-publish-button-cancel' => 'Batilisha',
	'wikieditor-publish-dialog-title' => 'Kutoa kwenye {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Muhtasari ya kuhariri (ueleze kifupi mabadiliko ulioyafanya):',
	'wikieditor-publish-dialog-minor' => 'Badiliko dogo',
	'wikieditor-publish-dialog-watch' => 'Fuatilia ukurasa huu',
	'wikieditor-publish-dialog-publish' => 'Chapisha',
	'wikieditor-publish-dialog-goback' => 'Rudi',
	'wikieditor-template-editor-preference' => 'Wezesha fomu inayo-hariri vigezo vya wiki',
	'wikieditor-template-editor-dialog-title' => 'Kuhariri kigezo',
	'wikieditor-template-editor-dialog-submit' => 'Sasisha',
	'wikieditor-template-editor-dialog-cancel' => 'Batilisha',
	'wikieditor-templates-preference' => 'Wezesha kigezo kijikunje',
	'wikieditor-toc-preference' => 'Iwezeshwe orodha ya yaliyomo inayoweza kurambazwa',
	'wikieditor-toc-show' => 'Fichua yaliyomo',
	'wikieditor-toc-hide' => 'Ficha yaliyomo',
	'wikieditor-toolbar' => 'Mwambaa zana wa kuhariri',
	'wikieditor-toolbar-desc' => 'Mwambaa zana wa kuhariri uliozidishwa',
	'wikieditor-toolbar-preference' => 'Tumia mwambaa zana wa kuhariri uliozidishwa',
	'wikieditor-toolbar-dialogs-preference' => 'Kuwezesha visanduku vya zana za kuingiza viungo, jedwali na mengineyo',
	'wikieditor-toolbar-loading' => 'Inapakizwa...',
	'wikieditor-toolbar-tool-bold' => 'Koze',
	'wikieditor-toolbar-tool-bold-example' => 'Maandishi ya kooze',
	'wikieditor-toolbar-tool-italic' => 'Italiki',
	'wikieditor-toolbar-tool-italic-example' => 'Maandishi ya italiki',
	'wikieditor-toolbar-tool-ilink' => 'Kiungo cha ndani',
	'wikieditor-toolbar-tool-ilink-example' => 'Jina la kiungo',
	'wikieditor-toolbar-tool-xlink' => 'Kiungo cha nje (kumbuka kuanza na http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com jina la kiungo',
	'wikieditor-toolbar-tool-link' => 'Kiungo',
	'wikieditor-toolbar-tool-link-title' => 'Kuweka kiungo',
	'wikieditor-toolbar-tool-link-int' => 'Kwa ukurasa mwingine wa wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Jina la ukurasa:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Andika jina la ukurasa au URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Maandishi ya kiungo:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Andika maandishi yatakayoonekana',
	'wikieditor-toolbar-tool-link-ext' => 'Kwa gombo wavu la nje',
	'wikieditor-toolbar-tool-link-ext-target' => 'KISARA ya kiungo:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Maandishi ya kiungo:',
	'wikieditor-toolbar-tool-link-insert' => 'Weka kiungo',
	'wikieditor-toolbar-tool-link-cancel' => 'Batilisha',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Ukurasa unapatikana',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Ukurasa haupatikani',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Jina batili',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kiungo cha nje',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Inahakikishwa kwamba ukurasa inapatikana...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Jina la ukurasa uliloliandika ni batili.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Inaonekana kwamba KISARA (URL) ulioingiza inaelekea ukurasa mwingine wa wiki hii. Je, unataka kutengeneza kiungo cha ndani?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Kiungo cha ndani',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kiungo cha nje',
	'wikieditor-toolbar-tool-link-empty' => 'Hukuandika kitu cha kuunganisha naye.',
	'wikieditor-toolbar-tool-file' => 'Faili futike',
	'wikieditor-toolbar-tool-file-example' => 'Mfano.jpg',
	'wikieditor-toolbar-tool-reference' => 'Tiniwayo',
	'wikieditor-toolbar-tool-reference-example' => 'Weka maneno ya tiniwayo hapa',
	'wikieditor-toolbar-tool-reference-cancel' => 'Batilisha',
	'wikieditor-toolbar-tool-reference-title' => 'Ingiza marejeo',
	'wikieditor-toolbar-tool-reference-insert' => 'Ingiza',
	'wikieditor-toolbar-tool-reference-text' => 'Maandishi ya marejeo',
	'wikieditor-toolbar-tool-signature' => 'Sahihi na stempu ya saa',
	'wikieditor-toolbar-section-advanced' => 'Hali ya juu',
	'wikieditor-toolbar-tool-heading' => 'Kichwa',
	'wikieditor-toolbar-tool-heading-1' => 'Kiwango cha 1',
	'wikieditor-toolbar-tool-heading-2' => 'Kiwango cha 2',
	'wikieditor-toolbar-tool-heading-3' => 'Kiwango cha 3',
	'wikieditor-toolbar-tool-heading-4' => 'Kiwango cha 4',
	'wikieditor-toolbar-tool-heading-5' => 'Kiwango cha 5',
	'wikieditor-toolbar-tool-heading-example' => 'Maandishi ya kichwa',
	'wikieditor-toolbar-group-format' => 'Fomati',
	'wikieditor-toolbar-tool-ulist' => 'Orodha zenye alama',
	'wikieditor-toolbar-tool-ulist-example' => 'Aya ya orodha zenye alama',
	'wikieditor-toolbar-tool-olist' => 'Orodha zenye namba',
	'wikieditor-toolbar-tool-olist-example' => 'Aya ya orodha zenye namba',
	'wikieditor-toolbar-tool-indent' => 'Kijongezo',
	'wikieditor-toolbar-tool-indent-example' => 'Mstari uliojongezwa ndani',
	'wikieditor-toolbar-tool-nowiki' => 'Bila fomati ya wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Weka maandishi bila fomati hapa',
	'wikieditor-toolbar-tool-redirect' => 'Elekezo',
	'wikieditor-toolbar-tool-redirect-example' => 'jina la ukurasa la kikomo',
	'wikieditor-toolbar-tool-big' => 'Kubwa',
	'wikieditor-toolbar-tool-big-example' => 'Maandishi makubwa',
	'wikieditor-toolbar-tool-small' => 'Ndogo',
	'wikieditor-toolbar-tool-small-example' => 'Maandishi madogo',
	'wikieditor-toolbar-tool-superscript' => 'Herufi za juu',
	'wikieditor-toolbar-tool-superscript-example' => 'Maandishi ya juu',
	'wikieditor-toolbar-tool-subscript' => 'Herufi za chini',
	'wikieditor-toolbar-tool-subscript-example' => 'Maandishi ya chini',
	'wikieditor-toolbar-group-insert' => 'Kuweka',
	'wikieditor-toolbar-tool-gallery' => 'Mkusanyiko wa picha',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Maelezo mafupi 1
$1:Example.jpg|Maelezo mafupi 2',
	'wikieditor-toolbar-tool-newline' => 'Mstari mpya',
	'wikieditor-toolbar-tool-table' => 'Jedwali',
	'wikieditor-toolbar-tool-table-example-old' => '-
! kichwa 1
! kichwa 2
! kichwa 3
|-
| mstari 1, kisanduku 1
| mstari 1, kisanduku 2
| mstari 1, kisanduku 3
|-
| mstari 2, kisanduku 1
| mstari 2, kisanduku 2
| mstari 2, kisanduku 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Maandishi ya kisanduku jedwali',
	'wikieditor-toolbar-tool-table-example-header' => 'Maandiko ya kichwa',
	'wikieditor-toolbar-tool-table-title' => 'Weka jedwali',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Mistari',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Safu',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Weka mstari wa vichwa',
	'wikieditor-toolbar-tool-table-wikitable' => 'Mtindo wenye mipaka',
	'wikieditor-toolbar-tool-table-sortable' => 'Tengeneza jedwali linalopangika',
	'wikieditor-toolbar-tool-table-example' => 'Mfano',
	'wikieditor-toolbar-tool-table-preview' => 'Hakiki',
	'wikieditor-toolbar-tool-table-insert' => 'Weka',
	'wikieditor-toolbar-tool-table-cancel' => 'Batilisha',
	'wikieditor-toolbar-tool-table-toomany' => 'Huwezi kutengeneza jedwali yenye visanduku zaidi na $1 kwa kutumia zana hii.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'You have not entered a valid number of rows or columns.
Idadi ya mistari au ya safu si halali.',
	'wikieditor-toolbar-tool-table-zero' => 'Huwezi kuweka jedwali ambalo halina mistari wala safu zozote.',
	'wikieditor-toolbar-tool-replace' => 'Kutafuta na kubadilisha maandishi',
	'wikieditor-toolbar-tool-replace-title' => 'Kutafuta na kubadilisha maandishi',
	'wikieditor-toolbar-tool-replace-search' => 'Tafuta:',
	'wikieditor-toolbar-tool-replace-replace' => 'Maandishi mapya:',
	'wikieditor-toolbar-tool-replace-case' => 'Oanisha herufi kwa ukubwa wake',
	'wikieditor-toolbar-tool-replace-regex' => 'Fanya mtindo wa tafuta kama uonyesho wa kawaida',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Tafuta maandishi yajayo',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Badilisha',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Badilisha yote',
	'wikieditor-toolbar-tool-replace-close' => 'Funga',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Maandishi ulioyatafuta hayakupatikana.',
	'wikieditor-toolbar-tool-replace-success' => 'Yalifanyiwa (ma)badiliko $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Hukuweka maandishi ya kutafutwa.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Uonyesho wa kawaida ulichoingiza ni batili: $1',
	'wikieditor-toolbar-section-characters' => 'Herufi maalum',
	'wikieditor-toolbar-characters-page-latin' => 'Kilatini',
	'wikieditor-toolbar-characters-page-latinextended' => 'Kilatini kilichoongezwa',
	'wikieditor-toolbar-characters-page-ipa' => 'Herufi za Fonetiki za Kimataifa (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Alama',
	'wikieditor-toolbar-characters-page-greek' => 'Kigiriki',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kikyrili',
	'wikieditor-toolbar-characters-page-arabic' => 'Kiarabu',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Kiarabu kilichoongezwa',
	'wikieditor-toolbar-characters-page-persian' => 'Kiajemi',
	'wikieditor-toolbar-characters-page-hebrew' => 'Kiyahudi',
	'wikieditor-toolbar-characters-page-bangla' => 'Kibangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Kitelugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Kisinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Kigujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Kitai',
	'wikieditor-toolbar-characters-page-lao' => 'Kilao',
	'wikieditor-toolbar-characters-page-khmer' => 'Kikhmeri',
	'wikieditor-toolbar-section-help' => 'Msaada',
	'wikieditor-toolbar-help-heading-description' => 'Elezo',
	'wikieditor-toolbar-help-heading-syntax' => 'Ukiandika haya',
	'wikieditor-toolbar-help-heading-result' => 'Utapata huu',
	'wikieditor-toolbar-help-page-format' => 'Kufomati',
	'wikieditor-toolbar-help-page-link' => 'Viungo',
	'wikieditor-toolbar-help-page-heading' => 'Vichwa',
	'wikieditor-toolbar-help-page-list' => 'Orodha',
	'wikieditor-toolbar-help-page-file' => 'Mafaili',
	'wikieditor-toolbar-help-page-reference' => 'Tiniwayo',
	'wikieditor-toolbar-help-page-discussion' => 'Majadiliano',
	'wikieditor-toolbar-help-content-italic-description' => 'Italiki',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Maandishi ya italiki''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Maandishi ya italiki</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Koze',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Maandishi ya kooze'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Maandishi ya kooze</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Koze na italiki',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Maandishi ya koze na italiki'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Maandishi ya koze na italiki</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Kiungo cha ndani ya wiki',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Jina la ukurasa|Maandishi ya kiungo]]<br />[[Jina la ukurasa]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Maandishi ya kiungo</a><br /><a href='#'>Jina la ukurasa</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kiungo cha nje',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Maandishi ya kiungo]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Maandishi ya kiungo</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Kichwa cha kiwango cha 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Kichwa cha habari ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Kichwa cha habari</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Kichwa cha kiwango cha 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Kichwa cha habari ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Kichwa cha habari</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Kichwa cha kiwango cha 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Kichwa cha habari ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Kichwa cha habari</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Kichwa cha kiwango cha 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Kichwa cha habari =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Kichwa cha habari</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Orodha zenye alama',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Aya<br />* Aya',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Aya</li><li>Aya</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Orodha zenye namba',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Aya<br /># Aya',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Aya</li><li>Aya</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Faili futike',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Maelezo mafupi]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Maelezo mafupi' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Kuza' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Maelezo mafupi</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Tiniwayo',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Maandishi ya ukurasa.&lt;ref name="mfano"&gt;[http://www.example.org Maandishi ya kiungo], maandishi mengine.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Maandiko.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Kutumia tiniwayo fulani kwa mara nyingine',
	'wikieditor-toolbar-help-content-rereference-result' => "Maandiko.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Onyesha tiniwayo',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Maandishi ya kiungo</a>, maandishi mengine.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Sahihi pamoja na stempu ya saa',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Jina la mtumiaji</a> (<a href='#' title='{{#special:mytalk}}'>majadiliano</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Sahihi',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Jina la mtumiaji</a> (<a href='#' title='{{#special:mytalk}}'>majadiliano</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Jongeza ndani',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Maandiko ya kawaida<br />:Yaliyojongezwa ndani<br />::Yaliyojongezwa ndani',
	'wikieditor-toolbar-help-content-indent-result' => 'Maandiko ya kawaida<dl><dd>Yaliyojongezwa ndani<dl><dd>Yaliyojongezwa ndani</dd></dl></dd></dl>',
);

/** Tamil (தமிழ்)
 * @author Surya Prakash.S.A.
 * @author TRYPPN
 * @author செல்வா
 */
$messages['ta'] = array(
	'wikieditor' => 'மேம்பட்ட விக்கியுரைத் தொகுப்பு இடைமுகம்',
	'wikieditor-desc' => 'நீட்டிக்கத்தகு விக்கிஉரை இடைமுகத்தையும் மேலும் பல அம்சங்களையும் தருகிறது',
	'wikieditor-wikitext-tab' => 'விக்கிஉரை',
	'wikieditor-loading' => 'ஏற்றப்படுகிறது',
	'wikieditor-preview-preference' => 'பக்கம் பக்கமாக முன்னோட்டம் பார்த்தலைச் செயல்படுத்துக',
	'wikieditor-preview-tab' => 'முன்தோற்றம்',
	'wikieditor-preview-changes-tab' => 'மாற்றங்கள்',
	'wikieditor-preview-loading' => 'ஏற்றப்படுகிறது...',
	'wikieditor-previewDialog-preference' => 'முன்னோட்ட உரையாடலைச் செயல்படுத்துக',
	'wikieditor-previewDialog-tab' => 'முன்தோற்றம்',
	'wikieditor-previewDialog-loading' => 'ஏற்றப்படுகிறது...',
	'wikieditor-publish-preference' => 'படிப்படியாக வெளியிடலைச் செயல்படுத்துக',
	'wikieditor-publish-button-publish' => 'வெளியிடு',
	'wikieditor-publish-button-cancel' => 'விட்டுவிடு',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} என்பதற்கு வெளியிடு',
	'wikieditor-publish-dialog-summary' => 'தொகுப்புச் சுருக்கம் (நீங்கள் செய்த மாற்றங்களைச் சுருக்கமாகக் கூறவும்):',
	'wikieditor-publish-dialog-minor' => 'சிறு தொகுப்பு',
	'wikieditor-publish-dialog-watch' => 'இந்தப் பக்கத்தைக் கவனிக்கவும்',
	'wikieditor-publish-dialog-publish' => 'வெளியிடு',
	'wikieditor-publish-dialog-goback' => 'பின் செல்லவும்',
	'wikieditor-template-editor-preference' => 'விக்கி வார்ப்புருக்களின் படிவ-அடிப்படையிலான தொகுத்தலைச் செயல்படுத்துக',
	'wikieditor-template-editor-dialog-title' => 'வார்ப்புருவை தொகுத்தல்',
	'wikieditor-template-editor-dialog-submit' => 'புதுப்பி',
	'wikieditor-template-editor-dialog-cancel' => 'விட்டுவிடு',
	'wikieditor-toc-show' => 'உள்ளடக்கங்களை காட்டு',
	'wikieditor-toc-hide' => 'உள்ளடக்கங்களை மறை',
	'wikieditor-toolbar' => 'தொகுப்புக் கருவிப்பட்டை',
	'wikieditor-toolbar-desc' => 'பக்கக் கருவிப்பட்டையை மேம்படுத்தப்பட்ட பயன்பாட்டுடன் தொகுக்கவும்',
	'wikieditor-toolbar-preference' => 'மேம்படுத்தப்பட்ட தொகுத்தல் கருவிப்பட்டையைச் செயற்படுத்தவும்',
	'wikieditor-toolbar-hidesig' => 'முதன்மைப் பெயர்வெளியிலிருக்கும் பக்கங்களில் கையொப்பப் பொத்தானை மறைக்கவும்',
	'wikieditor-toolbar-loading' => 'ஏற்றப்படுகிறது...',
	'wikieditor-toolbar-tool-bold' => 'தடித்த',
	'wikieditor-toolbar-tool-bold-example' => 'தடித்த எழுத்துக்கள்',
	'wikieditor-toolbar-tool-italic' => 'சாய்ந்த',
	'wikieditor-toolbar-tool-italic-example' => 'சாய்ந்த எழுத்துக்கள்',
	'wikieditor-toolbar-tool-ilink' => 'உள்ளிணைப்பு',
	'wikieditor-toolbar-tool-ilink-example' => '# இணைப்புத் தலைப்பு
# தலைப்பை இணை',
	'wikieditor-toolbar-tool-xlink' => 'வெளியிணைப்பு (http:// முன்னிணைப்பை மறக்காதீர்)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com இணைப்புத் தலைப்பு',
	'wikieditor-toolbar-tool-link' => 'இணைப்பு',
	'wikieditor-toolbar-tool-link-title' => 'இணைப்பையிடு',
	'wikieditor-toolbar-tool-link-int' => 'ஒரு விக்கியின் பக்கத்திற்கு',
	'wikieditor-toolbar-tool-link-int-target' => 'இலக்குப் பக்கம் அல்லது உரலி:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'பக்கத் தலைப்பு அல்லது உரலி',
	'wikieditor-toolbar-tool-link-int-text' => 'காட்ட வேண்டிய சொற்றொடர்',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'கட்டாயமாகக் காட்டப்பட வேண்டிய சொற்றொடர்',
	'wikieditor-toolbar-tool-link-ext' => 'ஒரு வெளி இணையப் பக்கத்திற்கு',
	'wikieditor-toolbar-tool-link-ext-target' => 'இணைப்பு உரலி:',
	'wikieditor-toolbar-tool-link-ext-text' => 'இணைப்புச் சொற்றொடர்:',
	'wikieditor-toolbar-tool-link-insert' => 'இணைப்பையிடு',
	'wikieditor-toolbar-tool-link-cancel' => 'விட்டுவிடு',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'இப்பக்கம் உள்ளது',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'இப்பக்கம் இன்னும் உருவாக்கப்படவில்லை',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'தவறான தலைப்பு',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'வெளி இணைப்பு',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'பக்கம் உள்ளதா என்று சோதனை செய்யப்படுகிறது',
	'wikieditor-toolbar-tool-link-int-invalid' => 'நீங்கள் குறிப்பிட்ட தலைப்பு செல்லாதது.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'நீங்கள் குறிப்பிட்ட உரலி ஒரு விக்கிப்பக்கத்தின் இணைப்பைப் போல் தோன்றுகிறது. நீங்கள் அதனை ஒரு அக இணைப்பாக ஆக்குகிறீர்களா?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'உள்ளிணைப்பு',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'வெளி இணைப்பு',
	'wikieditor-toolbar-tool-link-empty' => 'நீங்கள் இணைப்பதற்கு எதையுமே உள்ளிடவில்லை.',
	'wikieditor-toolbar-tool-file' => 'பொதிந்துள்ள படிமம்',
	'wikieditor-toolbar-tool-file-example' => 'மாதிரிப்படம்',
	'wikieditor-toolbar-tool-reference' => '# மேற்கோள்
# முன்மாதிரி',
	'wikieditor-toolbar-tool-reference-example' => 'அடிக்குறிப்பை இங்கே எழுதவும்',
	'wikieditor-toolbar-tool-reference-cancel' => 'விட்டுவிடு',
	'wikieditor-toolbar-tool-reference-title' => 'மேற்கோளை உள்ளிடு',
	'wikieditor-toolbar-tool-reference-insert' => 'உள்ளிடு',
	'wikieditor-toolbar-tool-reference-text' => 'மேற்கோள்',
	'wikieditor-toolbar-tool-signature' => 'நேர முத்திரையுடன் கையொப்பம்',
	'wikieditor-toolbar-section-advanced' => 'மேம்பட்ட',
	'wikieditor-toolbar-tool-heading' => 'தலைப்பு',
	'wikieditor-toolbar-tool-heading-1' => '# முதற் கட்டம்
# நிலை ஒன்று',
	'wikieditor-toolbar-tool-heading-2' => '# இரண்டாம் கட்டம்
# நிலை இரண்டு',
	'wikieditor-toolbar-tool-heading-3' => '# மூன்றாம் கட்டம்
# நிலை மூன்று',
	'wikieditor-toolbar-tool-heading-4' => '# நான்காம் கட்டம்
# நிலை நான்கு',
	'wikieditor-toolbar-tool-heading-5' => '# ஐந்தாம் கட்டம்
# நிலை ஐந்து',
	'wikieditor-toolbar-tool-heading-example' => '# தலைப்பு
# தலைப்பு எழுத்துக்கள்',
	'wikieditor-toolbar-group-format' => 'வடிவமைப்பு',
	'wikieditor-toolbar-tool-ulist' => 'குண்டுக்குறியிட்ட வரிசை',
	'wikieditor-toolbar-tool-ulist-example' => 'குண்டுக்குறியிட்ட வரிசையின் உறுப்பினர்',
	'wikieditor-toolbar-tool-olist' => 'எண்களுடன் வரிசை',
	'wikieditor-toolbar-tool-olist-example' => 'எண்களுடன் கூடிய வரிசை உறுப்பினர்',
	'wikieditor-toolbar-tool-indent' => 'சிறு தள்ளிவைப்பு',
	'wikieditor-toolbar-tool-indent-example' => 'சிறிது தள்ளிவைக்கப்பட்ட வரி',
	'wikieditor-toolbar-tool-nowiki' => 'விக்கியின் வடிவமைப்பில் இல்லை',
	'wikieditor-toolbar-tool-nowiki-example' => 'வடிவமைக்கப்படாத உரையை இங்கு உள்ளிடுக',
	'wikieditor-toolbar-tool-redirect' => 'திருப்பிவிடு',
	'wikieditor-toolbar-tool-redirect-example' => 'குறித்த பக்கம்',
	'wikieditor-toolbar-tool-big' => 'பெரிய',
	'wikieditor-toolbar-tool-big-example' => 'பெரிய எழுத்துக்கள்',
	'wikieditor-toolbar-tool-small' => 'சிறிய',
	'wikieditor-toolbar-tool-small-example' => 'சிறிய எழுத்துக்கள்',
	'wikieditor-toolbar-tool-superscript' => 'மேலொட்டு',
	'wikieditor-toolbar-tool-superscript-example' => 'மேலொட்டு உரை',
	'wikieditor-toolbar-tool-subscript' => 'கீழொட்டு',
	'wikieditor-toolbar-tool-subscript-example' => 'கீழொட்டு உரை',
	'wikieditor-toolbar-group-insert' => 'உள்ளிடு',
	'wikieditor-toolbar-tool-gallery' => 'படக் காட்சியகம்',
	'wikieditor-toolbar-tool-gallery-example' => '$1:எடுத்துக்காட்டு.jpg|படவிளக்கம்1
$1:எடுத்துக்காட்டு.jpg|படவிளக்கம்2',
	'wikieditor-toolbar-tool-newline' => 'புதிய வரி',
	'wikieditor-toolbar-tool-table' => 'பட்டியல்',
	'wikieditor-toolbar-tool-table-example-old' => ';-
;! குறுந்தலைப்பு 1
;! குறுந்தலைப்பு 2
;! குறுந்தலைப்பு 3
;|-
;| கிடைவரிசை 1, செங்குத்து வரிசை 1
;| கிடைவரிசை 1, செங்குத்து வரிசை 2
;| கிடைவரிசை 1, செங்குத்து வரிசை 3
;|-
;| கிடைவரிசை 2, செங்குத்து வரிசை 1
;| கிடைவரிசை 2, செங்குத்து வரிசை 2
;| கிடைவரிசை 2, செங்குத்து வரிசை 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'சிறு கட்டத்தில் உள்ள சொற்கள்',
	'wikieditor-toolbar-tool-table-example-header' => 'தலைப்பு எழுத்துக்கள்',
	'wikieditor-toolbar-tool-table-title' => 'பட்டியலை உள்ளிடு',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'கிடை வரிசைகள்',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'செங்குத்து வரிசைகள்',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'புதிய தலைப்புக் கிடை வரிசையை உருவாக்கவும்',
	'wikieditor-toolbar-tool-table-wikitable' => 'கட்டம் போட்டு பட்டியலை உருவாக்கவும்',
	'wikieditor-toolbar-tool-table-sortable' => 'வரிசைபடுத்தும் விதத்தில் பட்டியலை அமைக்கவும்',
	'wikieditor-toolbar-tool-table-example' => 'எடுத்துக்காட்டு',
	'wikieditor-toolbar-tool-table-preview' => 'முன்தோற்றம்',
	'wikieditor-toolbar-tool-table-insert' => 'உள்ளிடு',
	'wikieditor-toolbar-tool-table-cancel' => 'விட்டுவிடு',
	'wikieditor-toolbar-tool-table-toomany' => 'இவ்வுரையாடல் பெட்டியுடன் $1 -ஐ விட மேற்பட்ட நுண்ணறைகளைக் கொண்ட ஓர் அட்டவணையை நுழைக்க இயலாது.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'தாங்கள், கிடைவரிசை (அல்லது) செங்குத்து வரிசைக்கான சரியான எண்ணைக் கொடுக்கவில்லை',
	'wikieditor-toolbar-tool-table-zero' => 'தாங்கள், கிடைவரிசை (அல்லது) செங்குத்து வரிசைக்கான  எண்ணை பூச்சியம் ( 0 ) என்று கொடுத்து பட்டியலை உருவாக்க முடியாது',
	'wikieditor-toolbar-tool-replace' => 'தேடிக்கண்டுபிடித்து மாற்றவும்',
	'wikieditor-toolbar-tool-replace-title' => 'தேடிக்கண்டுபிடித்து மாற்றவும்',
	'wikieditor-toolbar-tool-replace-search' => 'தேடவும்:',
	'wikieditor-toolbar-tool-replace-replace' => 'மாற்றவும்:',
	'wikieditor-toolbar-tool-replace-case' => 'பெரிய / சிறிய எழுத்துப் பொருத்தம்',
	'wikieditor-toolbar-tool-replace-regex' => 'தேடப்படும் சொற்றொடரை வழக்கமானதாக எடுத்துக்கொள்ளவும்',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'அடுத்ததை கண்டுபிடி',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'எல்லாவற்றையும் மாற்றவும்',
	'wikieditor-toolbar-tool-replace-close' => 'மூடுக',
	'wikieditor-toolbar-tool-replace-nomatch' => 'தங்களது தேடலுக்கான முடிவு எங்கும் ஒத்துவரவில்லை.',
	'wikieditor-toolbar-tool-replace-success' => '$1 மாற்றம்(கள்) மேற்கொள்ளப்பட்டன.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'எதனைத்தேடுவது என்று தாங்கள் குறிப்பிடவில்லை.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'நீங்கள் உள்ளிட்ட வழக்கமான தொடர் செல்லாது: $1',
	'wikieditor-toolbar-section-characters' => 'சிறப்பு எழுத்துருக்கள்',
	'wikieditor-toolbar-characters-page-latin' => 'இலத்தீன்',
	'wikieditor-toolbar-characters-page-latinextended' => 'இலத்தீன் விரிவு',
	'wikieditor-toolbar-characters-page-ipa' => 'பன்னாட்டு ஒலிப்பு அரிச்சுவடி',
	'wikieditor-toolbar-characters-page-symbols' => 'குறியீடுகள்',
	'wikieditor-toolbar-characters-page-greek' => 'கிரேக்கம்',
	'wikieditor-toolbar-characters-page-cyrillic' => 'சைரிலிக் (Cyrillic)',
	'wikieditor-toolbar-characters-page-arabic' => 'அரபு',
	'wikieditor-toolbar-characters-page-persian' => 'பாரசீகம்',
	'wikieditor-toolbar-characters-page-hebrew' => 'எபிரேயம் (ஈபுரு)',
	'wikieditor-toolbar-characters-page-bangla' => 'வங்காளம்',
	'wikieditor-toolbar-characters-page-telugu' => 'தெலுங்கு',
	'wikieditor-toolbar-characters-page-sinhala' => 'சிங்களம்',
	'wikieditor-toolbar-characters-page-gujarati' => 'குசராத்தி',
	'wikieditor-toolbar-characters-page-thai' => 'தாய்',
	'wikieditor-toolbar-characters-page-lao' => 'இலாவோ',
	'wikieditor-toolbar-characters-page-khmer' => 'கெமெர்',
	'wikieditor-toolbar-section-help' => 'உதவி',
	'wikieditor-toolbar-help-heading-description' => 'விளக்கம்',
	'wikieditor-toolbar-help-heading-syntax' => 'தாங்கள் தட்டச்சு செய்தது',
	'wikieditor-toolbar-help-heading-result' => 'தங்களுக்குக் கிடைப்பது',
	'wikieditor-toolbar-help-page-format' => 'உருவமைக்கப்படுகிறது',
	'wikieditor-toolbar-help-page-link' => 'இணைப்புக்கள்',
	'wikieditor-toolbar-help-page-heading' => 'தலைப்புக்கள்',
	'wikieditor-toolbar-help-page-list' => 'பட்டியல்கள்',
	'wikieditor-toolbar-help-page-file' => 'கோப்புக்கள்',
	'wikieditor-toolbar-help-page-reference' => 'மேற்கோள்கள்',
	'wikieditor-toolbar-help-page-discussion' => 'உரையாடல்',
	'wikieditor-toolbar-help-content-italic-description' => 'சாய்ந்த',
	'wikieditor-toolbar-help-content-italic-syntax' => '"சாய்ந்த எழுத்துக்கள்"',
	'wikieditor-toolbar-help-content-italic-result' => '<em>சாய்ந்த எழுத்துரை</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'தடித்த',
	'wikieditor-toolbar-help-content-bold-syntax' => '"தடித்த எழுத்துக்கள்"',
	'wikieditor-toolbar-help-content-bold-result' => '<strong>தடித்த உரை</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'தடித்த & சாய்ந்த',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''தடித்த & சாய்ந்த சொற்றொடர்'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>தடித்த &amp; சாய்வெழுத்து உரை</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'உள்ளிணைப்பு',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[பக்கத் தலைப்பு|இணைப்புச் சொல்]]<br />[[பக்கத் தலைப்பு]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>இணைப்புச் சொல்</a><br /><a href='#'>பக்கத் தலைப்பு</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'வெளி இணைப்பு',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org இணைப்புச் சொல்]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>இணைப்புச் சொல்</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'இரண்டாம் நிலைத் தலைப்பு',
	'wikieditor-toolbar-help-content-heading2-syntax' => ' == தலைப்பு ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>இரண்டாம் நிலைத் தலைப்பு</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'மூன்றாம் நிலைத் தலைப்பு',
	'wikieditor-toolbar-help-content-heading3-syntax' => ' === தலைப்பு ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>மூன்றாம் நிலைத் தலைப்பு</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'நான்காம் நிலைத் தலைப்பு',
	'wikieditor-toolbar-help-content-heading4-syntax' => ' ==== தலைப்பு ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>நான்காம் நிலைத் தலைப்பு</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'ஐந்தாம் நிலைத் தலைப்பு',
	'wikieditor-toolbar-help-content-heading5-syntax' => ' ===== தலைப்பு =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>ஐந்தாம் நிலைத் தலைப்பு</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'குண்டுக்குறியிட்ட வரிசை',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* வரிசையில் உள்ள உறுப்பினர் <br />* வரிசையில் உள்ள உறுப்பினர்',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>பட்டியல் உருப்படி</li><li>பட்டியல் உருப்படி</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'எண்களுடன் வரிசை',
	'wikieditor-toolbar-help-content-olist-syntax' => '# வரிசையில் உள்ள உறுப்பினர் <br /># வரிசையில் உள்ள உறுப்பினர்',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>பட்டியல் உருப்படி</li><li>பட்டியல் உருப்படி</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'பொதிந்துள்ள படிமம்',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:எடுத்துக்காட்டு.png|விரலளவுப்படம்|படவிளக்கவுரை]]',
	'wikieditor-toolbar-help-content-reference-description' => '# மேற்கோள்
# முன்மாதிரி',
	'wikieditor-toolbar-help-content-reference-syntax' => 'பக்க உரை.&lt;ref name="சோதனை"&gt;[http://www.example.org இணைப்பு உரை], கூடுதல் உரை.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "பக்க உரை.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'அதே மேற்கோளின் கூடுதல் பயன்பாடு',
	'wikieditor-toolbar-help-content-rereference-result' => "பக்க உரை.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => '# மேற்கோள்களைக் காட்டு
# முன்மாதிரிகளைக் காட்டு',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'நேர முத்திரையுடன் கையொப்பம்',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>பயனர் பெயர்</a> (<a href='#' title='{{#special:mytalk}}'>பேச்சு</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => '# கையெழுத்து
# கையொப்பம்',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>பயனர் பெயர்</a> (<a href='#' title='{{#special:mytalk}}'>பேச்சு</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'சிறிது தள்ளிவை',
	'wikieditor-toolbar-help-content-indent-syntax' => 'சாதாரண உரைt<br />:வெளிதள்ளிய உரை<br />::வெளிதள்ளிய உரை',
	'wikieditor-toolbar-help-content-indent-result' => 'சாதாரண உரை<dl><dd>உள்தள்ளிய உரை<dl><dd>உள்தள்ளிய உரை</dd></dl></dd></dl>',
);

/** Telugu (తెలుగు)
 * @author Veeven
 */
$messages['te'] = array(
	'wikieditor' => 'ఉన్నత వికీపాఠ్య దిద్దుబాటు ముఖాంతరం',
	'wikieditor-wikitext-tab' => 'వికీపాఠ్యం',
	'wikieditor-loading' => 'లోడవుతూంది',
	'wikieditor-preview-preference' => 'మార్చేపెట్టె పక్క మునుజూపుని చేతనంచేయి',
	'wikieditor-preview-tab' => 'మునుజూపు',
	'wikieditor-preview-changes-tab' => 'మార్పులు',
	'wikieditor-preview-loading' => 'లోడవుతోంది...',
	'wikieditor-previewDialog-preference' => 'మునుజూపు పేటికని చేతనం చేయి',
	'wikieditor-previewDialog-tab' => 'మునుజూపు',
	'wikieditor-previewDialog-loading' => 'లోడవుతోంది...',
	'wikieditor-publish-button-publish' => 'ప్రచురించు',
	'wikieditor-publish-button-cancel' => 'రద్దుచేయి',
	'wikieditor-publish-dialog-title' => '{{SITENAME}}లో ప్రచురించు',
	'wikieditor-publish-dialog-summary' => 'మార్పు సంగ్రహం (మీరు చేసిన మార్పులని క్లుప్తంగా వివరించండి):',
	'wikieditor-publish-dialog-minor' => 'చిన్న మార్పు',
	'wikieditor-publish-dialog-watch' => 'ఈ పేజీ మీద కన్నేసి ఉంచు',
	'wikieditor-publish-dialog-publish' => 'ప్రచురించు',
	'wikieditor-publish-dialog-goback' => 'వెనక్కి వెళ్ళు',
	'wikieditor-template-editor-preference' => 'వికీ మూసలని ఫారం ద్వారా మార్చడాని చేతనంచేయి',
	'wikieditor-template-editor-dialog-title' => 'మూసని మార్చు',
	'wikieditor-template-editor-dialog-submit' => 'తాజాకరించు',
	'wikieditor-template-editor-dialog-cancel' => 'రద్దుచేయి',
	'wikieditor-toc-show' => 'విషయసూచికని చూపించు',
	'wikieditor-toc-hide' => 'విషయసూచికని దాచు',
	'wikieditor-toolbar' => 'ఎడిటింగ్ టూల్‌బార్',
	'wikieditor-toolbar-desc' => 'మెరుగైన ఉపయోగశీలతో దిద్దుబాటు పేజీ పనిముట్లపట్టీ',
	'wikieditor-toolbar-dialogs-preference' => 'లంకెలు, పట్టికలు మరియు మరెన్నింటినే చేర్చడానికి సంవాదపేటికలను చేతనంచేయి',
	'wikieditor-toolbar-loading' => 'లోడవుతోంది...',
	'wikieditor-toolbar-tool-bold' => 'బొద్దు',
	'wikieditor-toolbar-tool-bold-example' => 'బొద్దు పాఠ్యం',
	'wikieditor-toolbar-tool-italic' => 'వాలు',
	'wikieditor-toolbar-tool-italic-example' => 'వాలు పాఠ్యం',
	'wikieditor-toolbar-tool-ilink' => 'అంతర్గత లింకు',
	'wikieditor-toolbar-tool-ilink-example' => 'లంకె లంకెపేరు',
	'wikieditor-toolbar-tool-xlink' => 'బయటి లింకు (http:// ఉపసర్గని మరిచిపోకండి)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com లంకె లంకెపేరు',
	'wikieditor-toolbar-tool-link' => 'లంకె',
	'wikieditor-toolbar-tool-link-title' => 'లంకె కలుపు',
	'wikieditor-toolbar-tool-link-int' => 'ఒక వికీ పేజీకి',
	'wikieditor-toolbar-tool-link-int-target' => 'పేజీ శీర్షిక:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'పేజీ శీర్షిక లేదా చిరునామా',
	'wikieditor-toolbar-tool-link-int-text' => 'లంకె పాఠ్యం:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'చూపించాల్సిన పాఠ్యాన్ని ఇవ్వండి',
	'wikieditor-toolbar-tool-link-ext' => 'బయటి వెబ్ పేజీకి',
	'wikieditor-toolbar-tool-link-ext-target' => 'లంకె URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'లంకె పాఠ్యం:',
	'wikieditor-toolbar-tool-link-insert' => 'లంకె కలుపు',
	'wikieditor-toolbar-tool-link-cancel' => 'రద్దు',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'పేజీ ఉంది',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'పేజీ ఉనికిలో లేదు',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'తప్పుడు శీర్షిక',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'బయటి లింకు',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'పేజీ ఉనికిని సరిచూస్తున్నాం...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'మీరు ఇచ్చిన శీర్షిక సరైనది కాదు.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'మీరు ఇచ్చిన చిరునామాని బట్టి మీరు మరో వికీ పేజీకి లంకె చేర్చాలని ఉద్దేశించినట్టుంది. దాన్ని అంతర్గత లంకెగా మార్చాలనుకుంటున్నారా?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'అంతర్గత లంకె',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'బయటి లంకె',
	'wikieditor-toolbar-tool-link-empty' => 'మీరు దేనికి లంకె వెయ్యాలో పేర్కొనలేదు.',
	'wikieditor-toolbar-tool-file' => 'పొదిగిన ఫైలు',
	'wikieditor-toolbar-tool-reference' => 'సాక్ష్యాలు',
	'wikieditor-toolbar-tool-reference-example' => 'పాదసూచిక పాఠ్యాన్ని ఇక్కడ చేర్చండి',
	'wikieditor-toolbar-tool-reference-cancel' => 'రద్దుచేయి',
	'wikieditor-toolbar-tool-signature' => 'టైంస్టాంపుతో సహా మీ సంతకం',
	'wikieditor-toolbar-section-advanced' => 'ఉన్నత',
	'wikieditor-toolbar-tool-heading' => 'శీర్షిక',
	'wikieditor-toolbar-tool-heading-1' => '1వ స్థాయి',
	'wikieditor-toolbar-tool-heading-2' => '2వ స్థాయి',
	'wikieditor-toolbar-tool-heading-3' => '3వ స్థాయి',
	'wikieditor-toolbar-tool-heading-4' => '4వ స్థాయి',
	'wikieditor-toolbar-tool-heading-5' => '5వ స్థాయి',
	'wikieditor-toolbar-tool-heading-example' => 'శీర్షిక పాఠ్యం',
	'wikieditor-toolbar-group-format' => 'ఫార్మాటు',
	'wikieditor-toolbar-tool-ulist' => 'బిందు జాబితా',
	'wikieditor-toolbar-tool-ulist-example' => 'బిందు జాబితా అంశం',
	'wikieditor-toolbar-tool-olist' => 'సంఖ్యా జాబితా',
	'wikieditor-toolbar-tool-olist-example' => 'సంఖ్యా జాబితా అంశం',
	'wikieditor-toolbar-tool-redirect' => 'దారిమార్పు',
	'wikieditor-toolbar-tool-redirect-example' => 'లక్ష్యిత పుట పేరు',
	'wikieditor-toolbar-tool-big' => 'పెద్ద',
	'wikieditor-toolbar-tool-big-example' => 'బొద్దు పాఠ్యం',
	'wikieditor-toolbar-tool-small' => 'చిన్న',
	'wikieditor-toolbar-tool-small-example' => 'వాలు పాఠ్యం',
	'wikieditor-toolbar-tool-superscript' => 'శీర్షాక్షరాలు',
	'wikieditor-toolbar-tool-superscript-example' => 'శీర్షాక్షర పాఠ్యం',
	'wikieditor-toolbar-tool-subscript' => 'పాదాక్షరాలు',
	'wikieditor-toolbar-tool-subscript-example' => 'పాదాక్షర పాఠ్యం',
	'wikieditor-toolbar-group-insert' => 'చేర్చు',
	'wikieditor-toolbar-tool-gallery' => 'చిత్రమాలిక',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|ఉపశీర్షిక1
$1:Example.jpg|ఉపశీర్షిక2',
	'wikieditor-toolbar-tool-newline' => 'కొత్త లైను',
	'wikieditor-toolbar-tool-table' => 'పట్టిక',
	'wikieditor-toolbar-tool-table-example-old' => '-
! శీర్షిక 1
! శీర్షిక 2
! శీర్షిక 3
|-
| అడ్డువరుస 1, గడి 1
| అడ్డువరుస 1, గడి 2
| అడ్డువరుస 1, గడి 3
|-
| అడ్డువరుస 2, గడి 1
| అడ్డువరుస 2, గడి 2
| అడ్డువరుస 2, గడి 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'గడి పాఠ్యం',
	'wikieditor-toolbar-tool-table-example-header' => 'శీర్షిక పాఠ్యం',
	'wikieditor-toolbar-tool-table-title' => 'పట్టికని చేర్చండి',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'అడ్డువరుసలు',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'నిలువువరుసలు',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'శీర్షిక వరుసని చేర్చు',
	'wikieditor-toolbar-tool-table-example' => 'గడి పాఠ్యం',
	'wikieditor-toolbar-tool-table-preview' => 'మునుజూపు',
	'wikieditor-toolbar-tool-table-insert' => 'చేర్చు',
	'wikieditor-toolbar-tool-table-cancel' => 'రద్దు',
	'wikieditor-toolbar-tool-table-toomany' => '$1 కంటే ఎక్కువ గళ్ళున్న పట్టికనని చేర్చడం ఈ సంవాదపేటిక ద్వారా సాధ్యం కాదు.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'మీరు సరైన అడ్డు లేదా నిలువు వరుసల సంఖ్యని ఇవ్వలేదు.',
	'wikieditor-toolbar-tool-table-zero' => 'సున్నా అడ్డు లేదా నిలువు వరుసలతో మీరు పట్టికని చేర్చలేరు.',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'అన్నింటినీ మార్చు',
	'wikieditor-toolbar-tool-replace-close' => 'మూసివేయి',
	'wikieditor-toolbar-tool-replace-nomatch' => 'మీ అన్వేషణ దేనికీ సరిపోలలేదు.',
	'wikieditor-toolbar-tool-replace-success' => '$1 మార్పిడి(లు) చేసాం.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'వెతకడానికి ఏమీ ఇవ్వలేదు.',
	'wikieditor-toolbar-section-characters' => 'ప్రత్యేక అక్షరాలు',
	'wikieditor-toolbar-characters-page-latin' => 'లాటిన్',
	'wikieditor-toolbar-characters-page-latinextended' => 'విస్తరిత లాటిన్',
	'wikieditor-toolbar-characters-page-ipa' => 'ఐపిఎ',
	'wikieditor-toolbar-characters-page-symbols' => 'గుర్తులు',
	'wikieditor-toolbar-characters-page-greek' => 'గ్రీకు',
	'wikieditor-toolbar-characters-page-cyrillic' => 'సిరిలిక్',
	'wikieditor-toolbar-characters-page-arabic' => 'అరబిక్',
	'wikieditor-toolbar-characters-page-persian' => 'పర్షియన్',
	'wikieditor-toolbar-characters-page-hebrew' => 'హిబ్రూ',
	'wikieditor-toolbar-characters-page-bangla' => 'బంగ్లా',
	'wikieditor-toolbar-characters-page-telugu' => 'తెలుగు',
	'wikieditor-toolbar-characters-page-sinhala' => 'సింహళ',
	'wikieditor-toolbar-characters-page-gujarati' => 'గుజరాతీ',
	'wikieditor-toolbar-characters-page-thai' => 'థాయి',
	'wikieditor-toolbar-characters-page-lao' => 'లావో',
	'wikieditor-toolbar-characters-page-khmer' => 'ఖ్మెర్',
	'wikieditor-toolbar-section-help' => 'సహాయం',
	'wikieditor-toolbar-help-heading-description' => 'వివరణ',
	'wikieditor-toolbar-help-heading-syntax' => 'మీరు టైపు చేసేది',
	'wikieditor-toolbar-help-heading-result' => 'మీరు ఏం పొందుతారు',
	'wikieditor-toolbar-help-page-link' => 'లంకెలు',
	'wikieditor-toolbar-help-page-heading' => 'శీర్షికలు',
	'wikieditor-toolbar-help-page-list' => 'జాబితాలు',
	'wikieditor-toolbar-help-page-file' => 'ఫైళ్ళు',
	'wikieditor-toolbar-help-page-reference' => 'మూలాలు',
	'wikieditor-toolbar-help-page-discussion' => 'చర్చ',
	'wikieditor-toolbar-help-content-italic-description' => 'వాలు',
	'wikieditor-toolbar-help-content-italic-syntax' => "''వాలు పాఠ్యం''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>వాలు పాఠ్యం</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'బొద్దు',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''బొద్దు పాఠ్యం'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>బొద్దు పాఠ్యం</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'బొద్దు &amp; వాలు',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''బొద్దు &amp; వాలు పాఠ్యం'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>బొద్దు &amp; వాలు పాఠ్యం</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'అంతర్గత లింకు',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[పేజీ శీర్షిక|లింకు పాఠ్యం]]<br />[[పేజీ శీర్షిక]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>లింకు పాఠ్యం</a><br /><a href='#'>పేజీ శీర్షిక</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'బయటి లంకె',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org లింకుపాఠ్యం]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>లంకె పాఠ్యం</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2వ స్థాయి శీర్షిక',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== శీర్షిక పాఠ్యం ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>శీర్షిక పాఠ్యం</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3వ స్థాయి శీర్షిక',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== శీర్షిక పాఠ్యం ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>శీర్షిక పాఠ్యం</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4వ స్థాయి శీర్షిక',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== శీర్షిక పాఠ్యం ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>శీర్షిక పాఠ్యం</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5వ స్థాయి శీర్షిక',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== శీర్షిక పాఠ్యం =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>శీర్షిక పాఠ్యం</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'బిందు జాబితా',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* జాబితా అంశం<br />* జాబితా అంశం',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>జాబితా అంశం</li><li>జాబితా అంశం</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'సంఖ్యానుగుణ జాబితా',
	'wikieditor-toolbar-help-content-olist-syntax' => '# జాబితా అంశం<br /># జాబితా అంశం',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>జాబితా అంశం</li><li>జాబితా అంశం</li></ol>',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|వివరణ పాఠ్యం]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>వివరణ పాఠ్యం</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'సాక్ష్యాలు',
	'wikieditor-toolbar-help-content-reference-syntax' => 'పేజీ పాఠ్యం.&lt;ref name="test"&gt;[http://www.example.org లింకు పాఠ్యం], అదనపు పాఠ్యం.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "పేజీ పాఠ్యం.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-result' => "పేజీ పాఠ్యం.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>లంకె పాఠ్యం</a>, అదనపు పాఠ్యం.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'సమయముద్రతో సంతకం',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>వాడుకరిపేరు</a> (<a href='#' title='{{#special:mytalk}}'>చర్చ</a>) 15:54, 10 జూన్ 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'సంతకం',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>వాడుకరిపేరు</a> (<a href='#' title='{{#special:mytalk}}'>చర్చ</a>)",
);

/** Tajik (Cyrillic script) (Тоҷикӣ) */
$messages['tg-cyrl'] = array(
	'wikieditor-toolbar-tool-link' => 'Пайванд',
	'wikieditor-toolbar-tool-link-cancel' => 'Лағв',
);

/** Tajik (Latin script) (tojikī)
 * @author Liangent
 */
$messages['tg-latn'] = array(
	'wikieditor-toolbar-tool-link' => 'Pajvand',
	'wikieditor-toolbar-tool-link-cancel' => 'Laƣv',
);

/** Thai (ไทย)
 * @author Horus
 * @author Korrawit
 * @author Octahedron80
 * @author Woraponboonkerd
 */
$messages['th'] = array(
	'wikieditor-wikitext-tab' => 'ข้อความวิกิ',
	'wikieditor-loading' => 'กำลังโหลด',
	'wikieditor-preview-preference' => 'เปิดใช้งานการแสดงตัวอย่างแบบเคียงข้าง',
	'wikieditor-preview-tab' => 'แสดงตัวอย่าง',
	'wikieditor-preview-changes-tab' => 'ความเปลี่ยนแปลง',
	'wikieditor-preview-loading' => 'กำลังโหลด...',
	'wikieditor-previewDialog-tab' => 'แสดงตัวอย่าง',
	'wikieditor-previewDialog-loading' => 'กำลังโหลด...',
	'wikieditor-publish-preference' => 'เปิดใช้งานการเผยแพร่ทีละขั้นตอน',
	'wikieditor-publish-button-publish' => 'เผยแพร่',
	'wikieditor-publish-button-cancel' => 'ยกเลิก',
	'wikieditor-publish-dialog-title' => 'เผยแพร่ไปยัง {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'สรุปการแก้ไข (อธิบายย่อๆ ถึงการเปลี่ยนแปลงที่คุณกระทำ):',
	'wikieditor-publish-dialog-minor' => 'เป็นการแก้ไขเล็กน้อย',
	'wikieditor-publish-dialog-watch' => 'เฝ้าดูหน้านี้',
	'wikieditor-publish-dialog-publish' => 'เผยแพร่',
	'wikieditor-publish-dialog-goback' => 'กลับไป',
	'wikieditor-template-editor-preference' => 'เปิดใช้งานการแก้ไขแบบฟอร์มของแม่แบบวิกิ',
	'wikieditor-template-editor-dialog-title' => 'แก้ไขแม่แบบ',
	'wikieditor-template-editor-dialog-submit' => 'อัปเดต',
	'wikieditor-template-editor-dialog-cancel' => 'ยกเลิก',
	'wikieditor-templates-preference' => 'เปิดใช้งานการยุบแม่แบบ',
	'wikieditor-toc-preference' => 'ให้สารบัญนำทางได้',
	'wikieditor-toc-show' => 'แสดงเนื้อหา',
	'wikieditor-toc-hide' => 'ซ่อนเนื้อหา',
	'wikieditor-toolbar' => 'แถบเครื่องมือสำหรับการแก้ไข',
	'wikieditor-toolbar-desc' => 'แถบเครื่องมือเสริมความสามารถการใช้งานในการแก้ไขหน้า',
	'wikieditor-toolbar-preference' => 'เปิดใช้แถบเครื่องมือเสริมความสามารถการแก้ไข',
	'wikieditor-toolbar-dialogs-preference' => 'เปิดกล่องโต้ตอบสำหรับการแทรกลิงก์ ตาราง และอื่นๆ',
	'wikieditor-toolbar-loading' => 'กำลังดึงข้อมูล...',
	'wikieditor-toolbar-tool-bold' => 'ตัวหนา',
	'wikieditor-toolbar-tool-bold-example' => 'ข้อความตัวหนา',
	'wikieditor-toolbar-tool-italic' => 'ตัวเอน',
	'wikieditor-toolbar-tool-italic-example' => 'ข้อความตัวเอน',
	'wikieditor-toolbar-tool-ilink' => 'ลิงก์ภายใน',
	'wikieditor-toolbar-tool-ilink-example' => 'หัวเรื่องลิงก์',
	'wikieditor-toolbar-tool-xlink' => 'ลิงก์ภายนอก (อย่าลืมขึ้นต้นด้วย http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com หัวเรื่องลิงก์',
	'wikieditor-toolbar-tool-link' => 'ลิงก์',
	'wikieditor-toolbar-tool-link-title' => 'ใส่ลิงก์',
	'wikieditor-toolbar-tool-link-int' => 'ไปยังหน้าวิกิ',
	'wikieditor-toolbar-tool-link-int-target' => 'หน้าที่เชื่อมโยงไปหรือ URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'หัวเรื่องของหน้าหรือ URL',
	'wikieditor-toolbar-tool-link-int-text' => 'แสดงตัวอักษร:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'ข้อความที่จะแสดง',
	'wikieditor-toolbar-tool-link-ext' => 'ไปยังเว็บภายนอก',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL ของลิงก์:',
	'wikieditor-toolbar-tool-link-ext-text' => 'ตัวอักษรของลิงก์:',
	'wikieditor-toolbar-tool-link-insert' => 'ใส่ลิงก์',
	'wikieditor-toolbar-tool-link-cancel' => 'ยกเลิก',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'มีหน้านี้',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'ไม่มีหน้านี้',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'หัวเรื่องไม่ถูกต้อง',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'ลิงก์ภายนอก',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'กำลังตรวจสอบการมีอยู่เดิมของหน้าดังกล่าว...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'ชื่อเรื่องที่คุณกำหนดไม่ถูกต้อง',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL ที่คุณระบุ ดูเหมือนว่ามีเจตนาเพื่อเป็นลิงก์ไปยังหน้าวิกิอื่น คุณต้องการทำให้มันเป็นลิงก์ภายในหรือไม่',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'ลิงก์ภายใน',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'ลิงก์ภายนอก',
	'wikieditor-toolbar-tool-link-empty' => 'คุณไม่ได้ใส่ใดๆ เลยที่จะเชื่อมโยงไป',
	'wikieditor-toolbar-tool-file' => 'แทรกไฟล์',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'อ้างอิง',
	'wikieditor-toolbar-tool-reference-example' => 'ใส่หมายเหตุลงท้ายที่นี่',
	'wikieditor-toolbar-tool-reference-cancel' => 'ยกเลิก',
	'wikieditor-toolbar-tool-reference-title' => 'แทรกการอ้างอิง',
	'wikieditor-toolbar-tool-reference-insert' => 'แทรก',
	'wikieditor-toolbar-tool-reference-text' => 'ข้อความอ้างอิง',
	'wikieditor-toolbar-tool-signature' => 'ลายเซ็นและเวลา',
	'wikieditor-toolbar-section-advanced' => 'ขั้นสูง',
	'wikieditor-toolbar-tool-heading' => 'หัวเรื่องหลัก',
	'wikieditor-toolbar-tool-heading-1' => 'ลำดับที่ 1',
	'wikieditor-toolbar-tool-heading-2' => 'ลำดับที่ 2',
	'wikieditor-toolbar-tool-heading-3' => 'ลำดับที่ 3',
	'wikieditor-toolbar-tool-heading-4' => 'ลำดับที่ 4',
	'wikieditor-toolbar-tool-heading-5' => 'ลำดับที่ 5',
	'wikieditor-toolbar-tool-heading-example' => 'ตัวอักษรหัวเรื่อง',
	'wikieditor-toolbar-group-format' => 'รูปแบบ',
	'wikieditor-toolbar-tool-ulist' => 'รายการสัญลักษณ์',
	'wikieditor-toolbar-tool-ulist-example' => 'เนื้อหารายการสัญลักษณ์',
	'wikieditor-toolbar-tool-olist' => 'รายการลำดับเลข',
	'wikieditor-toolbar-tool-olist-example' => 'เนื้อหารายการลำดับเลข',
	'wikieditor-toolbar-tool-indent' => 'การย่อหน้า',
	'wikieditor-toolbar-tool-indent-example' => 'บรรทัดที่ย่อหน้า',
	'wikieditor-toolbar-tool-nowiki' => 'ไม่มีการจัดรูปแบบ wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'แทรกข้อความที่ไม่จัดรูปแบบที่นี่',
	'wikieditor-toolbar-tool-redirect' => 'เปลี่ยนทาง',
	'wikieditor-toolbar-tool-redirect-example' => 'ชื่อหน้าเป้าหมาย',
	'wikieditor-toolbar-tool-big' => 'ใหญ่',
	'wikieditor-toolbar-tool-big-example' => 'ข้อความขนาดอักษรใหญ่',
	'wikieditor-toolbar-tool-small' => 'เล็ก',
	'wikieditor-toolbar-tool-small-example' => 'ข้อความขนาดอักษรเล็ก',
	'wikieditor-toolbar-tool-superscript' => 'ตัวยก',
	'wikieditor-toolbar-tool-superscript-example' => 'ตัวหนังสือที่เป็นตัวยก',
	'wikieditor-toolbar-tool-subscript' => 'ตัวห้อย',
	'wikieditor-toolbar-tool-subscript-example' => 'ตัวหนังสือที่เป็นตัวห้อย',
	'wikieditor-toolbar-group-insert' => 'แทรก',
	'wikieditor-toolbar-tool-gallery' => 'จัดแสดงภาพ',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|คำอธิบายภาพ1
$1:Example.jpg|คำอธิบายภาพ2',
	'wikieditor-toolbar-tool-newline' => 'ขึ้นบรรทัดใหม่',
	'wikieditor-toolbar-tool-table' => 'ตาราง',
	'wikieditor-toolbar-tool-table-example-old' => '-
! ชื่อเรื่อง 1
! ชื่อเรื่อง 2
! ชื่อเรื่อง 3
|-
| แถว 1, ช่อง 1
| แถว 1, ช่อง 2
| แถว 1, ช่อง 3
|-
| แถว 2, ช่อง 1
| แถว 2, ช่อง 2
| แถว 2, ช่อง 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'ใส่อักษร',
	'wikieditor-toolbar-tool-table-example-header' => 'ใส่หัวตาราง',
	'wikieditor-toolbar-tool-table-title' => 'แทรกตาราง',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'แถว',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'คอลัมน์',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'ใส่แถวเน้นหัวตาราง',
	'wikieditor-toolbar-tool-table-wikitable' => 'ใส่รูปแบบพิเศษพร้อมเส้นขอบ',
	'wikieditor-toolbar-tool-table-sortable' => 'กำหนดให้ตารางเรียงข้อมูลได้',
	'wikieditor-toolbar-tool-table-example' => 'ตัวอย่าง',
	'wikieditor-toolbar-tool-table-preview' => 'ภาพตัวอย่างตาราง',
	'wikieditor-toolbar-tool-table-insert' => 'แทรก',
	'wikieditor-toolbar-tool-table-cancel' => 'ยกเลิก',
	'wikieditor-toolbar-tool-table-toomany' => 'ไม่สามารถใส่ตารางที่มีคอลัมน์มากกว่า $1 คอลัมน์ได้ในที่นี้',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'คุณไม่ได้ใส่ค่าจำนวนของแถวหรือคอลัมน์ที่ถูกต้อง',
	'wikieditor-toolbar-tool-table-zero' => 'ไม่สามารถใส่ตารางที่มีจำนวนแถวหรือคอลัมน์เท่ากับศูนย์',
	'wikieditor-toolbar-tool-replace' => 'ค้นหาและแทนที่',
	'wikieditor-toolbar-tool-replace-title' => 'ค้นหาและแทนที่',
	'wikieditor-toolbar-tool-replace-search' => 'ค้นหาข้อความ:',
	'wikieditor-toolbar-tool-replace-replace' => 'แทนที่ด้วย:',
	'wikieditor-toolbar-tool-replace-case' => 'ค้นหาโดยคำนึงถึงตัวพิมพ์เล็ก-ใหญ่',
	'wikieditor-toolbar-tool-replace-regex' => 'ให้วลีค้นหาเป็นคำอธิบายทั่วไป',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'ค้นหาตัวต่อไป',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'แทนที่ทั้งหมด',
	'wikieditor-toolbar-tool-replace-close' => 'ปิด',
	'wikieditor-toolbar-tool-replace-nomatch' => 'สิ่งที่คุณค้นหาไม่ตรงกับสิ่งใดเลย',
	'wikieditor-toolbar-tool-replace-success' => 'มีเปลี่ยนแปลง $1 สิ่ง',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'คุณไม่ได้ใส่คำที่จะค้นหา',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'นิพจน์ปรกติที่คุณป้อนไม่ถูกต้อง: $1',
	'wikieditor-toolbar-section-characters' => 'ตัวอักษรพิเศษ',
	'wikieditor-toolbar-characters-page-latin' => 'ละติน',
	'wikieditor-toolbar-characters-page-latinextended' => 'ละตินส่วนขยาย',
	'wikieditor-toolbar-characters-page-ipa' => 'สัทอักษรสากล',
	'wikieditor-toolbar-characters-page-symbols' => 'สัญลักษณ์',
	'wikieditor-toolbar-characters-page-greek' => 'กรีก',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ซีริลลิก',
	'wikieditor-toolbar-characters-page-arabic' => 'อาหรับ',
	'wikieditor-toolbar-characters-page-hebrew' => 'ฮีบรู',
	'wikieditor-toolbar-characters-page-bangla' => 'บังคลา',
	'wikieditor-toolbar-characters-page-telugu' => 'เตลูกู',
	'wikieditor-toolbar-characters-page-sinhala' => 'สิงหล',
	'wikieditor-toolbar-characters-page-gujarati' => 'คุชราต',
	'wikieditor-toolbar-section-help' => 'วิธีใช้',
	'wikieditor-toolbar-help-heading-description' => 'คำอธิบาย',
	'wikieditor-toolbar-help-heading-syntax' => 'สิ่งที่คุณพิมพ์',
	'wikieditor-toolbar-help-heading-result' => 'ผลที่ได้',
	'wikieditor-toolbar-help-page-format' => 'การจัดรูปแบบ',
	'wikieditor-toolbar-help-page-link' => 'ลิงก์',
	'wikieditor-toolbar-help-page-heading' => 'หัวเรื่อง',
	'wikieditor-toolbar-help-page-list' => 'รายการ',
	'wikieditor-toolbar-help-page-file' => 'ไฟล์',
	'wikieditor-toolbar-help-page-reference' => 'ส่วนอ้างอิง',
	'wikieditor-toolbar-help-page-discussion' => 'พูดคุย',
	'wikieditor-toolbar-help-content-italic-description' => 'ตัวเอน',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ตัวหนังสือที่เป็นตัวเอน''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ตัวหนังสือที่เป็นตัวเอน</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'ตัวหนา',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''ตัวหนังสือที่เป็นตัวหนา'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>ตัวหนังสือที่เป็นตัวหนา</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'ตัวหนาที่เป็นตัวเอน',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''ตัวหนังสือตัวหนาที่เป็นตัวเอน'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>ตัวหนังสือตัวหนาที่เป็นตัวเอน</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'ลิงก์ภายใน',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[ชื่อของหน้า|ชื่อลิงก์]]<br />[[ชื่อของหน้า]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>ชื่อของลิงก์</a><br /><a href='#'>ชื่อของหน้า</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'ลิงก์ภายนอก',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org ชื่อลิงก์]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>ชื่อลิงก์</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'หัวเรื่องลำดับที่ 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== หัวเรื่องลำดับที่ 2 ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>หัวเรื่องลำดับที่ 2</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'หัวเรื่องลำดับที่ 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== หัวเรื่องลำดับที่ 3 ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>หัวเรื่องลำดับที่ 3</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'หัวเรื่องลำดับที่ 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== หัวเรื่องลำดับที่ 4 ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>หัวเรื่องลำดับที่ 4</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'หัวเรื่องลำดับที่ 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== หัวเรื่องลำดับที่ 5 =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>หัวเรื่องลำดับที่ 5</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'รายการสัญลักษณ์',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* เนื้อหารายการ<br />* เนื้อหารายการ',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>เนื้อหารายการ</li><li>เนื้อหารายการ</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'รายการลำดับเลข',
	'wikieditor-toolbar-help-content-olist-syntax' => '# เนื้อหารายการ<br /># เนื้อหารายการ',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>เนื้อหารายการ</li><li>เนื้อหารายการ</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'แทรกไฟล์',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|คำอธิบายภาพ]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='คำอธิบาย' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='ขยายใหญ่' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>คำอธิบาย</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'อ้างอิง',
	'wikieditor-toolbar-help-content-reference-syntax' => 'ชื่อหน้า.&lt;ref name="test"&gt;[http://www.example.org ชื่อลิงก์], คำอธิบายเพิ่มเติม.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "ข้อความในหน้า<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'การใช้การอ้างอิงเดียวกันเพิ่มเติม',
	'wikieditor-toolbar-help-content-rereference-result' => "ข้อความในหน้า<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'แสดงแหล่งอ้างอิง',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'ลายเซ็นพร้อมลงเวลา',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>ชื่อผู้ใช้</a> (<a href='#' title='{{#special:mytalk}}'>พูดคุย</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'ลายเซ็น',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>ชื่อผู้ใช้</a> (<a href='#' title='{{#special:mytalk}}'>พูดคุย</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'ย่อหน้า',
	'wikieditor-toolbar-help-content-indent-syntax' => 'บรรทัดปกติ<br />:บรรทัดย่อหน้า<br />::บรรทัดย่อหน้า',
	'wikieditor-toolbar-help-content-indent-result' => 'บรรทัดปกติ<dl><dd>บรรทัดย่อหน้า<dl><dd>บรรทัดย่อหน้า</dd></dl></dd></dl>',
);

/** Turkmen (Türkmençe)
 * @author Hanberke
 */
$messages['tk'] = array(
	'wikieditor' => 'Giňeldilen wikitekst redaktirleme interfeýsi',
	'wikieditor-desc' => 'Giňeldilýän wikitekst redkatirleme interfeýsini we köp aýratynlykly modullary üpjün edýär',
	'wikieditor-wikitext-tab' => 'Wikitekst',
	'wikieditor-loading' => 'Ýüklenilýär',
	'wikieditor-preview-preference' => 'Egin-egne deslapky syny aç',
	'wikieditor-preview-tab' => 'Deslapky syn',
	'wikieditor-preview-changes-tab' => 'Üýtgeşmeler',
	'wikieditor-preview-loading' => 'Ýüklenilýär...',
	'wikieditor-previewDialog-preference' => 'Deslapky syn dialogyny aç',
	'wikieditor-previewDialog-tab' => 'Deslapky syn',
	'wikieditor-previewDialog-loading' => 'Ýüklenilýär...',
	'wikieditor-publish-preference' => 'Ädimme-ädim neşir etmekligi aç',
	'wikieditor-publish-button-publish' => 'Neşir et',
	'wikieditor-publish-button-cancel' => 'Goýbolsun et',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} taslamasynda neşir et',
	'wikieditor-publish-dialog-summary' => 'Özgerdiş düşündirişi (eden üýtgeşmeleriňizi gysgaça düşündiriň):',
	'wikieditor-publish-dialog-minor' => 'Ujypsyzja özgerdiş',
	'wikieditor-publish-dialog-watch' => 'Sahypany gözegçilige al',
	'wikieditor-publish-dialog-publish' => 'Neşir et',
	'wikieditor-publish-dialog-goback' => 'Yza gaýt',
	'wikieditor-template-editor-preference' => 'Wiki şablonlarynyň form arkaly redaktirlenmegini aç',
	'wikieditor-template-editor-dialog-title' => 'Şablony redaktirle',
	'wikieditor-template-editor-dialog-submit' => 'Täzele',
	'wikieditor-template-editor-dialog-cancel' => 'Goýbolsun et',
	'wikieditor-templates-preference' => 'Şablon düýrlemekligi aç',
	'wikieditor-toc-preference' => 'Nawigasiýaly mazmun tablisasyny aç',
	'wikieditor-toc-show' => 'Mazmuny görkez',
	'wikieditor-toc-hide' => 'Mazmuny gizle',
	'wikieditor-toolbar' => 'Redaktirleme gural paneli',
	'wikieditor-toolbar-desc' => 'Güýçlendirilen oňaýlylyk bilen sahypa gural panelini redaktirle',
	'wikieditor-toolbar-preference' => 'Güýçlendirilen redaktirleme gural panelini aç',
	'wikieditor-toolbar-dialogs-preference' => 'Çykgytlary, tablisalary we ýenekileri girizmek üçin dialoglary aç',
	'wikieditor-toolbar-loading' => 'Yüklenýär...',
	'wikieditor-toolbar-tool-bold' => 'Goýy',
	'wikieditor-toolbar-tool-bold-example' => 'Goýy tekst',
	'wikieditor-toolbar-tool-italic' => 'Kursiw',
	'wikieditor-toolbar-tool-italic-example' => 'Kursiw tekst',
	'wikieditor-toolbar-tool-ilink' => 'Içerki çykgyt',
	'wikieditor-toolbar-tool-ilink-example' => 'Çykgyt ady',
	'wikieditor-toolbar-tool-xlink' => 'Daşarky çykgyt (http:// prefiksini ýatdan çykarmaň)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com çykgyt ady',
	'wikieditor-toolbar-tool-link' => 'Çykgyt',
	'wikieditor-toolbar-tool-link-title' => 'Çykgyt giriz',
	'wikieditor-toolbar-tool-link-int' => 'Bir wiki sahypasyna',
	'wikieditor-toolbar-tool-link-int-target' => 'Sahypa ady:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sahypan ady ýa-da URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Çykgyt teksti:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Görkezilmeli teksti ýazyň',
	'wikieditor-toolbar-tool-link-ext' => 'Bir daşarky web sahypasyna',
	'wikieditor-toolbar-tool-link-ext-target' => 'Çykgyt URL-si:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Çykgyt teksti:',
	'wikieditor-toolbar-tool-link-insert' => 'Çykgyt giriz',
	'wikieditor-toolbar-tool-link-cancel' => 'Goýbolsun et',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sahypa bar',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sahypa ýok',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Nädogry at',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Daşarky çykgyt',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Sahypanyň barlygy barlanylýar...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Görkezen adyňyz nädogry.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Görkezen URL-ňiz başga bir wiki sahypasyna çykgyt hökmünde niýetlenilen ýaly-la. Ony içerki çykgyda öwüresiňiz gelýärmi?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Içerki çykgyt',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Daşarky çykgyt',
	'wikieditor-toolbar-tool-link-empty' => 'Çykgyt berer ýaly hiç zat ýazmadyňyz.',
	'wikieditor-toolbar-tool-file' => 'Salnan faýl',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Salgylanma',
	'wikieditor-toolbar-tool-reference-example' => 'Footnote tekstini şu ýere giriziň',
	'wikieditor-toolbar-tool-reference-cancel' => 'Goýbolsun et',
	'wikieditor-toolbar-tool-reference-title' => 'Salgylanma sal',
	'wikieditor-toolbar-tool-reference-insert' => 'Giriz',
	'wikieditor-toolbar-tool-reference-text' => 'Salgylanma teksti',
	'wikieditor-toolbar-tool-signature' => 'Gol we wagt belgisi',
	'wikieditor-toolbar-section-advanced' => 'Giňeldilen',
	'wikieditor-toolbar-tool-heading' => 'At',
	'wikieditor-toolbar-tool-heading-1' => 'Dereje 1',
	'wikieditor-toolbar-tool-heading-2' => 'Dereje 2',
	'wikieditor-toolbar-tool-heading-3' => 'Dereje 3',
	'wikieditor-toolbar-tool-heading-4' => 'Dereje 4',
	'wikieditor-toolbar-tool-heading-5' => 'Dereje 5',
	'wikieditor-toolbar-tool-heading-example' => 'Adyň teksti',
	'wikieditor-toolbar-group-format' => 'Sanaw',
	'wikieditor-toolbar-tool-ulist' => 'Markirlenen sanaw',
	'wikieditor-toolbar-tool-ulist-example' => 'Markirlenen sanaw elementi',
	'wikieditor-toolbar-tool-olist' => 'Belgili sanaw',
	'wikieditor-toolbar-tool-olist-example' => 'Belgili sanaw elementi',
	'wikieditor-toolbar-tool-indent' => 'Boş ýer',
	'wikieditor-toolbar-tool-indent-example' => 'Boş ýerli setir',
	'wikieditor-toolbar-tool-nowiki' => 'Wiki formatirlemesi ýok',
	'wikieditor-toolbar-tool-nowiki-example' => 'Formatirlenmedik teksti şu ýere salyň',
	'wikieditor-toolbar-tool-redirect' => 'Gönükdirme',
	'wikieditor-toolbar-tool-redirect-example' => 'Niýetlenilýän sahypa ady',
	'wikieditor-toolbar-tool-big' => 'Uly',
	'wikieditor-toolbar-tool-big-example' => 'Uly tekst',
	'wikieditor-toolbar-tool-small' => 'Kiçi',
	'wikieditor-toolbar-tool-small-example' => 'Kiçi tekst',
	'wikieditor-toolbar-tool-superscript' => 'Setirüsti',
	'wikieditor-toolbar-tool-superscript-example' => 'Setirüsti tekst',
	'wikieditor-toolbar-tool-subscript' => 'Setirasty',
	'wikieditor-toolbar-tool-subscript-example' => 'Setirasty tekst',
	'wikieditor-toolbar-group-insert' => 'Giriz',
	'wikieditor-toolbar-tool-gallery' => 'Surat galereýasy',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Titr1
$1:Example.jpg|Titr2',
	'wikieditor-toolbar-tool-newline' => 'Täze setir',
	'wikieditor-toolbar-tool-table' => 'Tablisa',
	'wikieditor-toolbar-tool-table-example-old' => '-
! at 1
! at 2
! at 3
|-
| hatar 1, öýjük 1
| hatar 1, öýjük 2
| hatar 1, öýjük 3
|-
| hatar 2, öýjük 1
| hatar 2, öýjük 2
| hatar 2, öýjük 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Öýjük teksti',
	'wikieditor-toolbar-tool-table-example-header' => 'At teksti',
	'wikieditor-toolbar-tool-table-title' => 'Tablisa giriz',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Hatarlar',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sütünler',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'At hataryny giriz',
	'wikieditor-toolbar-tool-table-wikitable' => 'Çäkli stil',
	'wikieditor-toolbar-tool-table-sortable' => 'Tablisany sortirlenýän et',
	'wikieditor-toolbar-tool-table-example' => 'Öýjük teksti',
	'wikieditor-toolbar-tool-table-preview' => 'Deslapky syn',
	'wikieditor-toolbar-tool-table-insert' => 'Giriz',
	'wikieditor-toolbar-tool-table-cancel' => 'Goýbolsun et',
	'wikieditor-toolbar-tool-table-toomany' => '$1 öýjükden artykmaç öýjükli tablisa girizmek bu dialog bilen mümkin däl.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Dogry bir hatar ýa-da sütün sanyny ýazmansyňyz.',
	'wikieditor-toolbar-tool-table-zero' => 'Hiç hili hatarsyz ýa-da sütünsiz tablisa girizip bilmeýärsiňiz.',
	'wikieditor-toolbar-tool-replace' => 'Gözle we çalşyr',
	'wikieditor-toolbar-tool-replace-title' => 'Gözle we çalşyr',
	'wikieditor-toolbar-tool-replace-search' => 'Şuny gözle:',
	'wikieditor-toolbar-tool-replace-replace' => 'Şunuň bilen çalşyr:',
	'wikieditor-toolbar-tool-replace-case' => 'Baş-setir harpa duýgur',
	'wikieditor-toolbar-tool-replace-regex' => 'Gözleg setirine adaty aňlatma hökmünde çemeleş',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Indikini tap',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ählisini çalşyr',
	'wikieditor-toolbar-tool-replace-close' => 'Ýap',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Gözlegiňiz hiçbir zada duşmady.',
	'wikieditor-toolbar-tool-replace-success' => '$1 sany çalşyrma geçirildi.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Gözlär ýaly hiçbir zat ýazmadyňyz.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ýazan adaty aňlatmaňyz nädogry: $1',
	'wikieditor-toolbar-section-characters' => 'Ýörite simwollar',
	'wikieditor-toolbar-characters-page-latin' => 'Latyn',
	'wikieditor-toolbar-characters-page-latinextended' => 'Giňeldilen latyn',
	'wikieditor-toolbar-characters-page-ipa' => 'HFE (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Simwollar',
	'wikieditor-toolbar-characters-page-greek' => 'Grek',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirillisa',
	'wikieditor-toolbar-characters-page-arabic' => 'Arap',
	'wikieditor-toolbar-characters-page-persian' => 'Parsça',
	'wikieditor-toolbar-characters-page-hebrew' => 'Iwrit',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalça',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singal',
	'wikieditor-toolbar-characters-page-gujarati' => 'Güjerat',
	'wikieditor-toolbar-characters-page-thai' => 'Taýlandça',
	'wikieditor-toolbar-characters-page-lao' => 'Laosça',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmerçe',
	'wikieditor-toolbar-section-help' => 'Ýardam',
	'wikieditor-toolbar-help-heading-description' => 'Düşündiriş',
	'wikieditor-toolbar-help-heading-syntax' => 'Ýazylyşy',
	'wikieditor-toolbar-help-heading-result' => 'Görünişi',
	'wikieditor-toolbar-help-page-format' => 'Formatirleme',
	'wikieditor-toolbar-help-page-link' => 'Çykgytlar',
	'wikieditor-toolbar-help-page-heading' => 'Atlar',
	'wikieditor-toolbar-help-page-list' => 'Sanawlar',
	'wikieditor-toolbar-help-page-file' => 'Faýllar',
	'wikieditor-toolbar-help-page-reference' => 'Salgylanmalar',
	'wikieditor-toolbar-help-page-discussion' => 'Çekişme',
	'wikieditor-toolbar-help-content-italic-description' => 'Kursiw',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Kursiw tekst''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Kursiw tekst</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Goýy',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Goýy tekst'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Goýy tekst</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Goýy &amp; kursiw',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Goýy &amp; kursiw tekst'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Goýy &amp; kursiw tekst</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Içerki çykgyt',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sahypa ady|Çykgydyň teksti]]<br />[[Sahypa ady]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Çykgydyň teksti</a><br /><a href='#'>Sahypa ady</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Daşarky çykgyt',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Çykgydyň teksti]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Çykgydyň teksti</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2-nji derejeli at',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Adyň teksti ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Adyň teksti</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3-nji derejeli at',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Adyň teksti ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Adyň teksti</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4-nji derejeli at',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Adyň teksti ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Adyň teksti</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5-nji derejeli at',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Adyň teksti =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Adyň teksti</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Markirlenen sanaw',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Sanaw elementi<br />* Sanaw elementi',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Sanaw elementi</li><li>Sanaw elementi</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Belgili sanaw',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Sanaw elementi<br /># Sanaw elementi',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Sanaw elementi</li><li>Sanaw elementi</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Salnan faýl',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Titriň teksti]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Titriň teksti' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Ulalt' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Titriň teksti</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Salgylanma',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sahypanyň teksti.&lt;ref name="test"&gt;[http://www.example.org Çykgydyň teksti], goşmaça tekst.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sahypa teksti.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Şol bir salgylanmanyň goşmaça ulanylyşy',
	'wikieditor-toolbar-help-content-rereference-result' => "Sahypa teksti.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Salgylanmalary görkez',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Çykgydyň teksti</a>, goşmaça tekst.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Wagt belgili gol',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ulanyjy ady</a> (<a href='#' title='{{#special:mytalk}}'>çekişme</a>) 15:54, 10 iýun 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Gol',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ulanyjy ady</a> (<a href='#' title='{{#special:mytalk}}'>çekişme</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Boş ýer',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Adaty tekst<br />:Boş ýerli tekst<br />::Boş ýerli tekst',
	'wikieditor-toolbar-help-content-indent-result' => 'Adaty tekst<dl><dd>Boş ýerli tekst<dl><dd>Boş ýerli tekst</dd></dl></dd></dl>',
);

/** Tagalog (Tagalog)
 * @author AnakngAraw
 * @author McDutchie
 */
$messages['tl'] = array(
	'wikieditor' => 'Mas masulong na dugtungang-mukha na pambago ng wikiteksto',
	'wikieditor-desc' => 'Nagbibigay ng maidurugtong na dugtungang-mukha na pambago ng wikiteksto at maraming mga modulong nagbibigay ng katangiang-kasangkapan',
	'wikieditor-wikitext-tab' => 'Wikiteksto',
	'wikieditor-loading' => 'Ikinakarga',
	'wikieditor-preview-preference' => 'Paganahin ang magkatabing paunang-tingin',
	'wikieditor-preview-tab' => 'Paunang tanaw',
	'wikieditor-preview-changes-tab' => 'Mga pagbabago',
	'wikieditor-preview-loading' => 'Ikinakarga...',
	'wikieditor-previewDialog-preference' => 'Paganahin ang diyalogo ng paunang pagpapatanaw',
	'wikieditor-previewDialog-tab' => 'Paunang tanaw',
	'wikieditor-previewDialog-loading' => 'Ikinakarga...',
	'wikieditor-publish-preference' => 'Paganahin ang hakbang-hakbang na paglalathala',
	'wikieditor-publish-button-publish' => 'Ilathala',
	'wikieditor-publish-button-cancel' => 'Huwag ituloy',
	'wikieditor-publish-dialog-title' => 'Ilathala sa {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Buod ng pagbabago (maikling ilarawan ang mga pagbabagong ginawa mo):',
	'wikieditor-publish-dialog-minor' => 'Maliit na pagbabago',
	'wikieditor-publish-dialog-watch' => 'Bantayan ang pahinang ito',
	'wikieditor-publish-dialog-publish' => 'Ilathala',
	'wikieditor-publish-dialog-goback' => 'Bumalik',
	'wikieditor-template-editor-preference' => 'Paganahin ang pagpapatnugot ng mga suleras na pangwiki na nakasalalay sa pormularyo',
	'wikieditor-template-editor-dialog-title' => 'Baguhin ang suleras',
	'wikieditor-template-editor-dialog-submit' => 'Isapanahon',
	'wikieditor-template-editor-dialog-cancel' => 'Huwag ituloy',
	'wikieditor-templates-preference' => 'Paganahin ang bumabagsak na suleras',
	'wikieditor-toc-preference' => 'Paganahin ang malilibot na tabla ng mga nilalaman',
	'wikieditor-toc-show' => 'Ipakita ang mga nilalaman',
	'wikieditor-toc-hide' => 'Itago ang mga nilalaman',
	'wikieditor-toolbar' => 'Kahong kasangkapan na pamatnugot',
	'wikieditor-toolbar-desc' => 'Kahong kasangkapan na pamatnugot na may pinainam na pagkanagagamit',
	'wikieditor-toolbar-preference' => 'Paganahin ang pinainam na kahong kasangkapang pamatnugot',
	'wikieditor-toolbar-dialogs-preference' => 'Paganahin ang mga salitaan para sa pagsisingit ng mga kawing, mga tabla at marami pa',
	'wikieditor-toolbar-hidesig' => 'Itago ang pindutan ng lagda magmula sa mga pahina sa loob ng pangunahing puwang ng pangalan',
	'wikieditor-toolbar-loading' => 'Ikinakarga...',
	'wikieditor-toolbar-tool-bold' => 'Makapal',
	'wikieditor-toolbar-tool-bold-example' => 'Makapal na panitik',
	'wikieditor-toolbar-tool-italic' => 'Nakapahilis',
	'wikieditor-toolbar-tool-italic-example' => 'Nakapahilis na panitik',
	'wikieditor-toolbar-tool-ilink' => 'Panloob na kawing',
	'wikieditor-toolbar-tool-ilink-example' => 'Pamagat ng kawing',
	'wikieditor-toolbar-tool-xlink' => 'Panlabas na kawing (tandaan ang unlaping http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'pamagat ng kawing na http://www.halimbawa.com',
	'wikieditor-toolbar-tool-link' => 'Kawing',
	'wikieditor-toolbar-tool-link-title' => 'Magsingit ng kawing',
	'wikieditor-toolbar-tool-link-int' => 'Papunta sa isang pahina ng wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Puntiryang pahina o URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Pamagat ng pahina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Ipapakitang teksto:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Ipapakitang teksto',
	'wikieditor-toolbar-tool-link-ext' => 'Papunta sa isang panlabas na pahina ng web',
	'wikieditor-toolbar-tool-link-ext-target' => 'Kawing ng URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Kawing ng teksto:',
	'wikieditor-toolbar-tool-link-insert' => 'Isingit ang kawing',
	'wikieditor-toolbar-tool-link-cancel' => 'Huwag ituloy',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Umiiral na ang pahina',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Hindi pa umiiral ang pahina',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Hindi tanggap na pamagat',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Kawing panlabas',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Sinusuri ang pag-iral ng pahina...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Hindi tanggap ang tinukoy mong pamagat.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Tila inilaan ang tinukoy mong URL bilang isang kawing sa ibang pahina ng wiki.  Nais mo bang gawin itong isang kawing na panloob?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Kawing panloob',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Kawing panlabas',
	'wikieditor-toolbar-tool-link-empty' => 'Hindi ka naglagay ng anumang kakawingan.',
	'wikieditor-toolbar-tool-file' => 'Talaksang nakabaon',
	'wikieditor-toolbar-tool-file-example' => 'Halimbawa.jpg',
	'wikieditor-toolbar-tool-reference' => 'Sanggunian',
	'wikieditor-toolbar-tool-reference-example' => 'Isingit dito ang teksto ng talababa',
	'wikieditor-toolbar-tool-reference-cancel' => 'Huwag ituloy',
	'wikieditor-toolbar-tool-reference-title' => 'Isingit ang sanggunian',
	'wikieditor-toolbar-tool-reference-insert' => 'Isingit',
	'wikieditor-toolbar-tool-reference-text' => 'Teksto ng sanggunian',
	'wikieditor-toolbar-tool-signature' => 'Lagda at tatak ng oras',
	'wikieditor-toolbar-section-advanced' => 'Mas masulong',
	'wikieditor-toolbar-tool-heading' => 'Paulo',
	'wikieditor-toolbar-tool-heading-1' => 'Antas 1',
	'wikieditor-toolbar-tool-heading-2' => 'Antas 2',
	'wikieditor-toolbar-tool-heading-3' => 'Antas 3',
	'wikieditor-toolbar-tool-heading-4' => 'Antas 4',
	'wikieditor-toolbar-tool-heading-5' => 'Antas 5',
	'wikieditor-toolbar-tool-heading-example' => 'Teksto ng paulo',
	'wikieditor-toolbar-group-format' => 'Anyo',
	'wikieditor-toolbar-tool-ulist' => 'Talaang nakapunglo',
	'wikieditor-toolbar-tool-ulist-example' => 'Bagay sa talaang nakapunglo',
	'wikieditor-toolbar-tool-olist' => 'Talaang may bilang',
	'wikieditor-toolbar-tool-olist-example' => 'Binilangang bagay sa talaan',
	'wikieditor-toolbar-tool-indent' => 'Kupi',
	'wikieditor-toolbar-tool-indent-example' => 'Guhit na inurong',
	'wikieditor-toolbar-tool-nowiki' => 'Walang ayos na pangwiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Isingit dito ang tekstong hindi nakaayos',
	'wikieditor-toolbar-tool-redirect' => 'Palitan ang pupuntahan',
	'wikieditor-toolbar-tool-redirect-example' => 'Pangalan ng puntiryang pahina',
	'wikieditor-toolbar-tool-big' => 'Malaki',
	'wikieditor-toolbar-tool-big-example' => 'Malaking teksto',
	'wikieditor-toolbar-tool-small' => 'Maliit',
	'wikieditor-toolbar-tool-small-example' => 'Maliit na teksto',
	'wikieditor-toolbar-tool-superscript' => 'Nakataas na panitik',
	'wikieditor-toolbar-tool-superscript-example' => 'Teksto ng nakataas na panitik',
	'wikieditor-toolbar-tool-subscript' => 'Nakababang panitik',
	'wikieditor-toolbar-tool-subscript-example' => 'Teksto ng nakababang panitik',
	'wikieditor-toolbar-group-insert' => 'Isingit',
	'wikieditor-toolbar-tool-gallery' => 'Tipunan ng larawan',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Halimbawa.jpg|Kapsyon1
$1:Halimbawa.jpg|Kapsyon2',
	'wikieditor-toolbar-tool-newline' => 'Bagong guhit',
	'wikieditor-toolbar-tool-table' => 'Talahanayan',
	'wikieditor-toolbar-tool-table-example-old' => '
! paulo 1
! paulo 2
! paulo 3
|-
| pahalang na hanay 1, sihay 1
| pahalang na hanay  1, sihay 2
| pahalang na hanay  1, sihay 3
|-
| pahalang na hanay  2, sihay 1
| pahalang na hanay 2, sihay 2
| pahalang na hanay 2, sihay 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Teskto ng sihay',
	'wikieditor-toolbar-tool-table-example-header' => 'Teksto ng paulo',
	'wikieditor-toolbar-tool-table-title' => 'Isingit ang talahanayan',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Pahalang na mga hanay',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Pababang mga hanay',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Idagdag ang pahalang na hanay ng paulo',
	'wikieditor-toolbar-tool-table-wikitable' => 'Estilong may mga hangganan',
	'wikieditor-toolbar-tool-table-sortable' => 'Gawing mapagpipilian ang talahanayan',
	'wikieditor-toolbar-tool-table-example' => 'Halimbawa',
	'wikieditor-toolbar-tool-table-preview' => 'Paunang tingin',
	'wikieditor-toolbar-tool-table-insert' => 'Isingit',
	'wikieditor-toolbar-tool-table-cancel' => 'Huwag ituloy',
	'wikieditor-toolbar-tool-table-toomany' => 'Hindi maaari sa salitaang ganito ang pagsisingit ng isang talahanayang may mahigit sa $1 na mga sihay.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Hindi ka nagpasok ng isang tanggap na bilang ng mga hanay na pahalang o pababa.',
	'wikieditor-toolbar-tool-table-zero' => 'Hindi ka makapagsisingit ng isang talahanayang walang mga hanay na pahalang o pababa.',
	'wikieditor-toolbar-tool-replace' => 'Maghanap at palitan',
	'wikieditor-toolbar-tool-replace-title' => 'Maghanap at palitan',
	'wikieditor-toolbar-tool-replace-search' => 'Hanapin ang:',
	'wikieditor-toolbar-tool-replace-replace' => 'Palitan ng:',
	'wikieditor-toolbar-tool-replace-case' => 'Itugma sa uri ng sukat ng titik',
	'wikieditor-toolbar-tool-replace-regex' => 'Ituring ang bagting ng paghahanap bilang isang pangkaraniwang pananalita',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Susunod na hahanapin',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Palitang lahat',
	'wikieditor-toolbar-tool-replace-close' => 'Isara',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Hindi tumugma sa anuman ang paghahanap mo.',
	'wikieditor-toolbar-tool-replace-success' => '$1 nagawang (mga) pagpapalit.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Hindi ka naglagay ng anumang hahanapin.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Hindi tanggap ang inilagay mong pangkaraniwang pananalita: $1',
	'wikieditor-toolbar-section-characters' => 'Natatanging mga panitik',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Pinalawig na Latin',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Mga sagisag',
	'wikieditor-toolbar-characters-page-greek' => 'Griyego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Siriliko',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabe',
	'wikieditor-toolbar-characters-page-persian' => 'Persyano',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hebreo',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Guharati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Tulong',
	'wikieditor-toolbar-help-heading-description' => 'Paglalarawan',
	'wikieditor-toolbar-help-heading-syntax' => 'Kung ano ang iminakinilya mo',
	'wikieditor-toolbar-help-heading-result' => 'Kung ano ang nakuha mo',
	'wikieditor-toolbar-help-page-format' => 'Pagkakaayos',
	'wikieditor-toolbar-help-page-link' => 'Mga kawing',
	'wikieditor-toolbar-help-page-heading' => 'Mga paulo',
	'wikieditor-toolbar-help-page-list' => 'Mga talaan',
	'wikieditor-toolbar-help-page-file' => 'Mga talaksan',
	'wikieditor-toolbar-help-page-reference' => 'Mga sanggunian',
	'wikieditor-toolbar-help-page-discussion' => 'Mga talakayan',
	'wikieditor-toolbar-help-content-italic-description' => 'Nakapahilis',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Tekstong nakapahilis''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Tekstong nakapahilis</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Makapal',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Tekstong makapal'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Tekstong makapal</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Makapal &amp; nakapahilis',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Tekstong makapal &amp; nakapahilis'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => 'strong><em>Tekstong makapal &amp; nakapahilis</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Kawing panloob',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Tatak ng kawing]]<br />[[Pamagat ng pahina]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Tatak ng kawing</a><br /><a href='#'>Pamagat ng pahina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Kawing panlabas',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.halimbawa.org Link label]<br />[http://www.halimbawa.org]<br />http://www.halimbawa.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Tatak ng kawing</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.halimbawa.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Paulo ng pangalawang antas',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Teksto ng paulo ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Teksto ng paulo</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Antas ng pangatlong antas',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Teksto ng paulo ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Teksto ng paulo</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Paulo ng pang-apat na antas',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Teksto ng paulo ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4> Teksto ng paulo </h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Paulo ng panlimang antas',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Teksto ng paulo =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Teksto ng paulo</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Talaang napungluan',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Bagay sa talaan<br />* Bagay sa talaan',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Bagay sa talaan</li><li>Bagay sa talaan</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Nabilangang talaan',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Bagay sa talaan<br /># Bagay sa talaan',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Bagay sa talaan</li><li>Bagay sa talaan</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Talaksang nakabaon',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Halimbawa.png|thumb|Teksto ng kapsyon]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Tekstong nagpapaliwanag</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Sanggunian',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Taksto ng pahina.&lt;ref name="test"&gt;[http://www.halimbawa.org Teksto ng kawing], karagdagang teksto.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Teksto ng pahina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Karagdagang paggamit na gayun ding sanggunian',
	'wikieditor-toolbar-help-content-rereference-result' => "Teksto ng pahina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Ipakita ang mga sanggunian',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.halimbawa.org' class='external text' href='#'>Teksto ng kawing</a>, karagdagang teksto.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Lagdang may tatak ng oras',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Pangalan ng tagagamit</a> (<a href='#' title='{{#special:mytalk}}'>talk</a>) 15:54, 10 Hunyo 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Lagda',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Pangalan ng tagagamit</a> (<a href='#' title='{{#special:mytalk}}'>usapan</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Iurong',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Karaniwang teksto<br />:Tekstong nakaurong<br />::Tekstong nakaurong',
	'wikieditor-toolbar-help-content-indent-result' => 'Karaniwang teksto<dl><dd>Tekstong nakaurong<dl><dd>Tekstong nakaurong</dd></dl></dd></dl>',
);

/** Tok Pisin (Tok Pisin)
 * @author Iketsi
 */
$messages['tpi'] = array(
	'wikieditor-toolbar-help-page-file' => 'Ol fail',
);

/** Turkish (Türkçe)
 * @author Emperyan
 * @author Joseph
 * @author Koc61
 * @author Manco Capac
 * @author Srhat
 * @author Vito Genovese
 */
$messages['tr'] = array(
	'wikieditor' => 'Gelişmiş viki metni düzenleme arayüzü',
	'wikieditor-desc' => 'Genişletilebilir bir viki metni düzenleme arayüzü ve birçok özellik sağlayan modüller sağlar',
	'wikieditor-wikitext-tab' => 'Vikimetin',
	'wikieditor-loading' => 'Yükleniyor',
	'wikieditor-preview-preference' => 'Yan-yana önizlemeyi etkinleştir',
	'wikieditor-preview-tab' => 'Önizleme',
	'wikieditor-preview-changes-tab' => 'Değişiklikler',
	'wikieditor-preview-loading' => 'Yükleniyor...',
	'wikieditor-previewDialog-preference' => 'Önizleme iletisini etkinleştir',
	'wikieditor-previewDialog-tab' => 'Önizleme',
	'wikieditor-previewDialog-loading' => 'Yükleniyor...',
	'wikieditor-publish-preference' => 'Adım-adım yayınlamayı etkinleştir',
	'wikieditor-publish-button-publish' => 'Yayınla',
	'wikieditor-publish-button-cancel' => 'İptal',
	'wikieditor-publish-dialog-title' => '{{SITENAME}} bünyesinde yayınla',
	'wikieditor-publish-dialog-summary' => 'Değişiklik özeti (yaptığınız değişiklikleri kısaca açıklayın):',
	'wikieditor-publish-dialog-minor' => 'Küçük değişiklik',
	'wikieditor-publish-dialog-watch' => 'Bu sayfayı izle',
	'wikieditor-publish-dialog-publish' => 'Yayınla',
	'wikieditor-publish-dialog-goback' => 'Geri git',
	'wikieditor-template-editor-preference' => 'Viki şablonlarının form-bazlı değiştirilmesini etkinleştir',
	'wikieditor-template-editor-dialog-title' => 'Şablonu değiştir',
	'wikieditor-template-editor-dialog-submit' => 'Güncelle',
	'wikieditor-template-editor-dialog-cancel' => 'İptal',
	'wikieditor-templates-preference' => 'Şablon daraltmayı etkinleştir',
	'wikieditor-toc-preference' => 'Gezintiye uygun içindekiler tablosunu etkinleştir',
	'wikieditor-toc-show' => 'İçindekileri göster',
	'wikieditor-toc-hide' => 'İçindekileri gizle',
	'wikieditor-toolbar' => 'Araç çubuğu düzenleme',
	'wikieditor-toolbar-desc' => 'Gelişmiş kullanılabilirlik ile sayfa araç çubuğunu değiştir',
	'wikieditor-toolbar-preference' => 'Gelişmiş düzenleme araç çubuğunu etkinleştir',
	'wikieditor-toolbar-dialogs-preference' => 'Bağlantılar, tablolar ve daha fazlasını eklemek için iletileri etkinleştir',
	'wikieditor-toolbar-hidesig' => 'Ana ad boşluğundaki sayfalardan imzayı saklama tuşu',
	'wikieditor-toolbar-loading' => 'Yükleniyor...',
	'wikieditor-toolbar-tool-bold' => 'Kalın',
	'wikieditor-toolbar-tool-bold-example' => 'Kalın yazı',
	'wikieditor-toolbar-tool-italic' => 'Eğik',
	'wikieditor-toolbar-tool-italic-example' => 'Eğik yazı',
	'wikieditor-toolbar-tool-ilink' => 'İç bağlantı',
	'wikieditor-toolbar-tool-ilink-example' => 'Bağlantı başlığı',
	'wikieditor-toolbar-tool-xlink' => 'Dış bağlantı (http:// önekini unutmayın)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.ornek.com bağlantı başlığı',
	'wikieditor-toolbar-tool-link' => 'Bağlantı',
	'wikieditor-toolbar-tool-link-title' => 'Bağlantı ekle',
	'wikieditor-toolbar-tool-link-int' => 'Bir viki sayfasına',
	'wikieditor-toolbar-tool-link-int-target' => 'Sayfa başlığı:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Sayfa başlığı ya da URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Bağlantı metni:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Görüntülenecek metni girin',
	'wikieditor-toolbar-tool-link-ext' => 'Harici bir web sayfasına',
	'wikieditor-toolbar-tool-link-ext-target' => 'Bağlantı URLsi:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Bağlantı metni:',
	'wikieditor-toolbar-tool-link-insert' => 'Bağlantı ekle',
	'wikieditor-toolbar-tool-link-cancel' => 'İptal',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Sayfa mevcut',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Sayfa mevcut değil',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Geçersiz başlık',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Dış bağlantı',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Sayfanın mevcudiyeti kontrol ediliyor...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Belirttiğiniz başlık geçersiz.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Belirttiğiniz URL, başka bir viki sayfasına bir bağlantı yapılmak istenmiş gibi görünüyor. Bunu dahili bir bağlantı yapmak ister misiniz?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Dahili bağlantı',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Harici bağlantı',
	'wikieditor-toolbar-tool-link-empty' => 'Bağlantı verecek bir şey girmediniz.',
	'wikieditor-toolbar-tool-file' => 'Gömülü dosya',
	'wikieditor-toolbar-tool-file-example' => 'Örnek.jpg',
	'wikieditor-toolbar-tool-reference' => 'Kaynakça',
	'wikieditor-toolbar-tool-reference-example' => 'Dipnot metnini buraya ekleyin',
	'wikieditor-toolbar-tool-reference-cancel' => 'İptal',
	'wikieditor-toolbar-tool-reference-title' => 'Referans ekle',
	'wikieditor-toolbar-tool-reference-insert' => 'Ekle',
	'wikieditor-toolbar-tool-reference-text' => 'Referans metin',
	'wikieditor-toolbar-tool-signature' => 'İmza ve zaman damgası',
	'wikieditor-toolbar-section-advanced' => 'Gelişmiş',
	'wikieditor-toolbar-tool-heading' => 'Başlık',
	'wikieditor-toolbar-tool-heading-1' => '1. seviye',
	'wikieditor-toolbar-tool-heading-2' => '2. seviye',
	'wikieditor-toolbar-tool-heading-3' => '3. seviye',
	'wikieditor-toolbar-tool-heading-4' => '4. seviye',
	'wikieditor-toolbar-tool-heading-5' => '5. seviye',
	'wikieditor-toolbar-tool-heading-example' => 'Başlık metni',
	'wikieditor-toolbar-group-format' => 'Düzenle',
	'wikieditor-toolbar-tool-ulist' => 'Madde işaretli liste',
	'wikieditor-toolbar-tool-ulist-example' => 'Madde işaretli liste ögesi',
	'wikieditor-toolbar-tool-olist' => 'Numaralı liste',
	'wikieditor-toolbar-tool-olist-example' => 'Numaralı liste ögesi',
	'wikieditor-toolbar-tool-indent' => 'Girinti',
	'wikieditor-toolbar-tool-indent-example' => 'Girintili satır',
	'wikieditor-toolbar-tool-nowiki' => 'Viki biçimlendirmesi yok',
	'wikieditor-toolbar-tool-nowiki-example' => 'Buraya biçimlendirilmemiş metin ekleyin',
	'wikieditor-toolbar-tool-redirect' => 'Yönlendirme',
	'wikieditor-toolbar-tool-redirect-example' => 'Hedef sayfa adı',
	'wikieditor-toolbar-tool-big' => 'Büyük',
	'wikieditor-toolbar-tool-big-example' => 'Büyük metin',
	'wikieditor-toolbar-tool-small' => 'Küçük',
	'wikieditor-toolbar-tool-small-example' => 'Küçük metin',
	'wikieditor-toolbar-tool-superscript' => 'Üst simge',
	'wikieditor-toolbar-tool-superscript-example' => 'Üst simge metni',
	'wikieditor-toolbar-tool-subscript' => 'Alt simge',
	'wikieditor-toolbar-tool-subscript-example' => 'Alt simge metni',
	'wikieditor-toolbar-group-insert' => 'Ekle',
	'wikieditor-toolbar-tool-gallery' => 'Resim galerisi',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Örnek.jpg|Resimyazısı1
$1:Örnek.jpg|Resimyazısı2',
	'wikieditor-toolbar-tool-newline' => 'Yeni satır',
	'wikieditor-toolbar-tool-table' => 'Tablo',
	'wikieditor-toolbar-tool-table-example-old' => '-
! başlık 1
! başlık 2
! başlık 3
|-
| satır 1, hücre 1
| satır 1, hücre 2
| satır 1, hücre 3
|-
| satır 2, hücre 1
| satır 2, hücre 2
| satır 2, hücre 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Hücre metni',
	'wikieditor-toolbar-tool-table-example-header' => 'Başlık metni',
	'wikieditor-toolbar-tool-table-title' => 'Tablo ekle',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Satırlar',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Sütunlar',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Başlık satırını içer',
	'wikieditor-toolbar-tool-table-wikitable' => 'Kenarlık ekle',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabloyu sıralanabilir yap',
	'wikieditor-toolbar-tool-table-example' => 'Hücre metni',
	'wikieditor-toolbar-tool-table-preview' => 'Önizleme',
	'wikieditor-toolbar-tool-table-insert' => 'Ekle',
	'wikieditor-toolbar-tool-table-cancel' => 'İptal',
	'wikieditor-toolbar-tool-table-toomany' => '$1 hücreliden fazla bir tablo eklemek bu ileti ile mümkün değildir.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Geçerli bir satır ve sütun sayısı girmediniz.',
	'wikieditor-toolbar-tool-table-zero' => 'Sıfır satır veya sütuna sahip bir tablo ekleyemezsiniz.',
	'wikieditor-toolbar-tool-replace' => 'Ara ve değiştir',
	'wikieditor-toolbar-tool-replace-title' => 'Ara ve değiştir',
	'wikieditor-toolbar-tool-replace-search' => 'Şunun için ara:',
	'wikieditor-toolbar-tool-replace-replace' => 'Şununla değiştir:',
	'wikieditor-toolbar-tool-replace-case' => 'Büyük-küçük harf duyarlı',
	'wikieditor-toolbar-tool-replace-regex' => 'Arama dizesine bir düzenli ifade muamelesi yap',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Sonrakini bul',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Tümünü değiştir',
	'wikieditor-toolbar-tool-replace-close' => 'Kapat',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Aramanız hiçbir şeyle uyuşmuyor.',
	'wikieditor-toolbar-tool-replace-success' => '$1 değiştirme yapıldı.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Aramak için herhangi birşey girmediniz.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Girdiğiniz düzenli ifade geçersiz: $1',
	'wikieditor-toolbar-section-characters' => 'Özel karakter',
	'wikieditor-toolbar-characters-page-latin' => 'Latin',
	'wikieditor-toolbar-characters-page-latinextended' => 'Genişletilmiş Latince',
	'wikieditor-toolbar-characters-page-ipa' => 'UFA',
	'wikieditor-toolbar-characters-page-symbols' => 'Semboller',
	'wikieditor-toolbar-characters-page-greek' => 'Yunan',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kiril',
	'wikieditor-toolbar-characters-page-arabic' => 'Arapça',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Genişletilmiş Arapça',
	'wikieditor-toolbar-characters-page-persian' => 'Farsça',
	'wikieditor-toolbar-characters-page-hebrew' => 'İbranice',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengalce',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tay',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-section-help' => 'Yardım',
	'wikieditor-toolbar-help-heading-description' => 'Açıklama',
	'wikieditor-toolbar-help-heading-syntax' => 'Yazdığınız',
	'wikieditor-toolbar-help-heading-result' => 'Aldığınız',
	'wikieditor-toolbar-help-page-format' => 'Biçimlendirme',
	'wikieditor-toolbar-help-page-link' => 'Bağlantılar',
	'wikieditor-toolbar-help-page-heading' => 'Başlıklar',
	'wikieditor-toolbar-help-page-list' => 'Listeler',
	'wikieditor-toolbar-help-page-file' => 'Dosyalar',
	'wikieditor-toolbar-help-page-reference' => 'Kaynakça',
	'wikieditor-toolbar-help-page-discussion' => 'Tartışma',
	'wikieditor-toolbar-help-content-italic-description' => 'Eğik',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Eğik yazı''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Eğik yazı</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Kalın',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Kalın yazı'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Kalın yazı</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Kalın &amp; eğik',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Kalın &amp; eğik yazı'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Kalın &amp; eğik yazı</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'İç bağlantı',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Sayfa başlığı|Bağlantı başlığı]]<br />[[Sayfa başlığı]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Bağlantı etiketi</a><br /><a href='#'>Sayfa başlığı</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Dış bağlantı',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.ornek.org Bağlantı etiketi]<br />[http://www.ornek.org]<br />http://www.ornek.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Bağlantı etiketi</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.ornek.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2. seviye başlık',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Başlık metni ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Başlık metni</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3. seviye başlık',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Başlık metni ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Başlık metni</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4. seviye başlık',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Başlık metni ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Başlık metni</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5. seviye başlık',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Başlık metni =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Başlık metni</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Madde işaretli liste',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Liste öğesi<br />* Liste öğesi',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Liste öğesi</li><li>Liste öğesi</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Numaralı liste',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Liste öğesi<br /># Liste öğesi',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Liste öğesi</li><li>Liste öğesi</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Gömülü dosya',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Örnek.png|thumb|Başlık metni]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Resim yazısı</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Kaynak',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Sayfa metni.&lt;ref name="deneme"&gt;[http://www.ornek.org Bağlanı metni], ek metin.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Sayfa metni.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Aynı kaynağın ek kullanımı',
	'wikieditor-toolbar-help-content-rereference-result' => "Sayfa metni.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Kaynakçayı görüntüle',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.ornek.org' class='external text' href='#'>Bağlantı metni</a>, ek metin.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Zaman damgası ile imza',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Kullanıcı adı</a> (<a href='#' title='{{#special:mytalk}}'>mesaj</a>) 15:54, 10 Haziran 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'İmza',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Kullanıcı adı</a> (<a href='#' title='{{#special:mytalk}}'>mesaj</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Girinti',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Normal metin<br />:Girintili metin<br />::Girintili metin',
	'wikieditor-toolbar-help-content-indent-result' => 'Normal metin<dl><dd>Girintili metin<dl><dd>Girintili metin</dd></dl></dd></dl>',
);

/** Tatar (Cyrillic script) (Татарча)
 * @author Bulatbulat
 * @author Zahidulla
 * @author Ильнар
 * @author Рашат Якупов
 */
$messages['tt-cyrl'] = array(
	'wikieditor' => 'Викитекстны үзгәртү буенча киңәйтелгән интерфейс',
	'wikieditor-desc' => 'Викитекстны үзгәртү буенча киңәйтелгән интефейс (модулляр тарафынна бирелә)',
	'wikieditor-wikitext-tab' => 'Викитекст',
	'wikieditor-loading' => 'Йөкләү',
	'wikieditor-preview-preference' => 'Алдан карауны ачу',
	'wikieditor-preview-tab' => 'Алдан карау',
	'wikieditor-preview-changes-tab' => 'Үзгәртүләр',
	'wikieditor-preview-loading' => 'Йөкләү...',
	'wikieditor-previewDialog-preference' => 'Алдан карау диалогын ачу',
	'wikieditor-previewDialog-tab' => 'Алдан карау',
	'wikieditor-previewDialog-loading' => 'Йөкләү...',
	'wikieditor-publish-preference' => 'Баскычлы куюны ачу',
	'wikieditor-publish-button-publish' => 'Чыгарырга',
	'wikieditor-publish-button-cancel' => 'Кире кагу',
	'wikieditor-publish-dialog-title' => ' {{SITENAME}} проектына кертергә',
	'wikieditor-publish-dialog-summary' => 'Үзгәртүләр тасвирламасы (барлык үзгәртүләрне кыска гына иттереп языгыз):',
	'wikieditor-publish-dialog-minor' => 'Кече үзгәртү',
	'wikieditor-publish-dialog-watch' => 'Бу битне күзәтү',
	'wikieditor-publish-dialog-publish' => 'Чыгарырга',
	'wikieditor-publish-dialog-goback' => 'Артка',
	'wikieditor-template-editor-preference' => 'Үрнәкләрне үзгәртү мөмкинчелеген ачу',
	'wikieditor-template-editor-dialog-title' => 'Үрнәкне үзгәртү',
	'wikieditor-template-editor-dialog-submit' => 'Яңарту',
	'wikieditor-template-editor-dialog-cancel' => 'Кире кагу',
	'wikieditor-templates-preference' => 'Үрнәкләрнең яшерергә',
	'wikieditor-toc-preference' => 'Башлыкны үзгәртү мөмкинлеген ачу',
	'wikieditor-toc-show' => 'Башлыкны күрсәтү',
	'wikieditor-toc-hide' => 'Башлыкны яшерү',
	'wikieditor-toolbar' => 'Төзәтү панеле',
	'wikieditor-toolbar-desc' => 'Яңартылган үзгәртү панеле',
	'wikieditor-toolbar-preference' => 'Яңа үзгәртү панелен куллана башлау',
	'wikieditor-toolbar-dialogs-preference' => 'Сылтамалар, табыннар һәм башка җисемнәрне кую',
	'wikieditor-toolbar-loading' => 'Йөкләү...',
	'wikieditor-toolbar-tool-bold' => 'Куе төс',
	'wikieditor-toolbar-tool-bold-example' => 'Калын язылыш',
	'wikieditor-toolbar-tool-italic' => 'Авышлы',
	'wikieditor-toolbar-tool-italic-example' => 'Курсив язылыш',
	'wikieditor-toolbar-tool-ilink' => 'Эчке сылтама',
	'wikieditor-toolbar-tool-ilink-example' => 'Сылтама исеме',
	'wikieditor-toolbar-tool-xlink' => 'Тышкы сылтама (http:// алкушымчасы турында онытмагыз)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com сылтама исеме',
	'wikieditor-toolbar-tool-link' => 'Сылтама',
	'wikieditor-toolbar-tool-link-title' => 'Сылтама өстәү',
	'wikieditor-toolbar-tool-link-int' => 'Викибиткә күчү',
	'wikieditor-toolbar-tool-link-int-target' => ' URL-бит:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Битнең исеме яки  URL-бит',
	'wikieditor-toolbar-tool-link-int-text' => 'Күрсәтелүче текст',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Күрсәтелүче текстны өстәгез',
	'wikieditor-toolbar-tool-link-ext' => 'Тышкы веб-сәхифәгә',
	'wikieditor-toolbar-tool-link-ext-target' => 'Сылтамагның URL-бите:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Сылтаманың тексты:',
	'wikieditor-toolbar-tool-link-insert' => 'Сылтама өстәү',
	'wikieditor-toolbar-tool-link-cancel' => 'Кире кагу',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Мондый бит бар',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Мондый бит юк',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Мөмкин булмаган исем',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Тышкы сылтама',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Битнең барлыгын тикшерү...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Бирелгән исем мөмкин түгел.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Сезнең тарафтан күрсәтелгән URL-бит вики-сәхифәнең сылтамасына ошаган. Сез аны эчке сылтама итәргә ризамы?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Эчке сылтама',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Тышкы сылтама',
	'wikieditor-toolbar-tool-link-empty' => 'Сез нәрсәгә сылтама ясарга кирәк икәнлеген күрсәтмәдегез.',
	'wikieditor-toolbar-tool-file' => 'Куелган файл',
	'wikieditor-toolbar-tool-file-example' => 'Мисал.jpg',
	'wikieditor-toolbar-tool-reference' => 'Искәрмә',
	'wikieditor-toolbar-tool-reference-example' => 'Искәрмәнең текстын монда куегыз',
	'wikieditor-toolbar-tool-reference-cancel' => 'Кире кагу',
	'wikieditor-toolbar-tool-reference-title' => 'Искәрмәне өстәү',
	'wikieditor-toolbar-tool-reference-insert' => 'Өстәү',
	'wikieditor-toolbar-tool-reference-text' => 'Искәрмәнең тексты',
	'wikieditor-toolbar-tool-signature' => 'Имза һәм ул куелган вакыт',
	'wikieditor-toolbar-section-advanced' => 'Киңәйтелгән',
	'wikieditor-toolbar-tool-heading' => 'Башлык',
	'wikieditor-toolbar-tool-heading-1' => '1 дәрәҗә',
	'wikieditor-toolbar-tool-heading-2' => '2 дәрәҗә',
	'wikieditor-toolbar-tool-heading-3' => '3 дәрәҗә',
	'wikieditor-toolbar-tool-heading-4' => '4 дәрәҗә',
	'wikieditor-toolbar-tool-heading-5' => '5 дәрәҗә',
	'wikieditor-toolbar-tool-heading-example' => 'Башлыкның исеме',
	'wikieditor-toolbar-group-format' => 'Форматы',
	'wikieditor-toolbar-tool-ulist' => 'Тамгалы исемлек',
	'wikieditor-toolbar-tool-ulist-example' => 'Тамгалы исемлекнең элементы',
	'wikieditor-toolbar-tool-olist' => 'Санлы исемлек',
	'wikieditor-toolbar-tool-olist-example' => 'Санлы исемлекнең элементы',
	'wikieditor-toolbar-tool-indent' => 'Чикләнеш',
	'wikieditor-toolbar-tool-indent-example' => 'Чикләнешле рәт',
	'wikieditor-toolbar-tool-nowiki' => 'Вики-форматлауны исәпкә алмаска',
	'wikieditor-toolbar-tool-nowiki-example' => 'Форматланмаган текстны монда өстәгез',
	'wikieditor-toolbar-tool-redirect' => 'Күчерү',
	'wikieditor-toolbar-tool-redirect-example' => 'Битнең исеме',
	'wikieditor-toolbar-tool-big' => 'Зур',
	'wikieditor-toolbar-tool-big-example' => 'Зур текст',
	'wikieditor-toolbar-tool-small' => 'Кечкенә',
	'wikieditor-toolbar-tool-small-example' => 'Кечкенә текст',
	'wikieditor-toolbar-tool-superscript' => 'Дәрәҗәле юл',
	'wikieditor-toolbar-tool-superscript-example' => 'Дәрәҗәле юл тексты',
	'wikieditor-toolbar-tool-subscript' => 'Индекслы юл',
	'wikieditor-toolbar-tool-subscript-example' => 'Индекслы юл тексты',
	'wikieditor-toolbar-group-insert' => 'Өстәү',
	'wikieditor-toolbar-tool-gallery' => 'Рәсемнәр җыентыгы',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Мисал.jpg|Тасвирлама1
$1:Мисал.jpg|Тасвирлама2',
	'wikieditor-toolbar-tool-newline' => 'Яңа юл',
	'wikieditor-toolbar-tool-table' => 'Табын',
	'wikieditor-toolbar-tool-table-example-old' => '-
! башлык 1
! башлык  2
! башлык  3
|-
| юл 1, күзәнәк 1
| юл 1, күзәнәк 2
| юл 1, күзәнәк 3
|-
| юл 2, күзәнәк 1
| юл 2, күзәнәк 2
| юл 2, күзәнәк 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Күзәнәкнең тексты',
	'wikieditor-toolbar-tool-table-example-header' => 'Башлыкның исеме',
	'wikieditor-toolbar-tool-table-title' => 'Табынны өстәү',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Юллар',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Баганалар',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Башлык юлын өстәү',
	'wikieditor-toolbar-tool-table-wikitable' => 'Чикләр белән ясау',
	'wikieditor-toolbar-tool-table-sortable' => 'Эшкәртелүче табын иттереп ясау',
	'wikieditor-toolbar-tool-table-example' => 'Күзәнәкнең тексты',
	'wikieditor-toolbar-tool-table-preview' => 'Алдан карау',
	'wikieditor-toolbar-tool-table-insert' => 'Өстәү',
	'wikieditor-toolbar-tool-table-cancel' => 'Кире кагу',
	'wikieditor-toolbar-tool-table-toomany' => 'Бу диалог табынга $1 күзәнәктән дә артык өстәүне чикли',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Сез дөрес күләмдә баганаларны һәм юлларны күрсәтмәгәнсез.',
	'wikieditor-toolbar-tool-table-zero' => 'Сез буш табын куя алмыйсыз.',
	'wikieditor-toolbar-tool-replace' => 'Эзләү һәм алмаштыру',
	'wikieditor-toolbar-tool-replace-title' => 'Эзләү һәм алмаштыру',
	'wikieditor-toolbar-tool-replace-search' => 'Эзләү:',
	'wikieditor-toolbar-tool-replace-replace' => 'Алмаштыру:',
	'wikieditor-toolbar-tool-replace-case' => 'Зурлыкны исәпләү',
	'wikieditor-toolbar-tool-replace-regex' => 'Эзләү тасмасын гади иттереп билгеләргә',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Бирелгәнне эзләү',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Барысында алмаштыру',
	'wikieditor-toolbar-tool-replace-close' => 'Ябу',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Сезнең соравыгыз буенча берни дә табылмады.',
	'wikieditor-toolbar-tool-replace-success' => '$1 алмаштыру үткәрелде.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Сез нәрсә эзләргә  икәнлеген күрсәтмәдегез.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Сезнең тарафтан кертелгән $1 аңлатмасы дөрес түгел.',
	'wikieditor-toolbar-section-characters' => 'Махсус тамгалар',
	'wikieditor-toolbar-characters-page-latin' => 'Латин',
	'wikieditor-toolbar-characters-page-latinextended' => 'Латин (киңәйтелгән)',
	'wikieditor-toolbar-characters-page-ipa' => 'ХФӘ (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Тамгалар',
	'wikieditor-toolbar-characters-page-greek' => 'Грек',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кирилл',
	'wikieditor-toolbar-characters-page-arabic' => 'Гарәп',
	'wikieditor-toolbar-characters-page-persian' => 'Фарсы',
	'wikieditor-toolbar-characters-page-hebrew' => 'Яхүд',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгаль',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингаль',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуҗарати',
	'wikieditor-toolbar-characters-page-thai' => 'Таиланд',
	'wikieditor-toolbar-characters-page-lao' => 'Лаос',
	'wikieditor-toolbar-characters-page-khmer' => 'Кһмер',
	'wikieditor-toolbar-section-help' => 'Ярдәм',
	'wikieditor-toolbar-help-heading-description' => 'Тасвир',
	'wikieditor-toolbar-help-heading-syntax' => 'Кертелгән',
	'wikieditor-toolbar-help-heading-result' => 'Килеп чыккан',
	'wikieditor-toolbar-help-page-format' => 'Форматлаштыру',
	'wikieditor-toolbar-help-page-link' => 'Сылтамалар',
	'wikieditor-toolbar-help-page-heading' => 'Башлыклар',
	'wikieditor-toolbar-help-page-list' => 'Исемлекләр',
	'wikieditor-toolbar-help-page-file' => 'Файллар',
	'wikieditor-toolbar-help-page-reference' => 'Искәрмә',
	'wikieditor-toolbar-help-page-discussion' => 'Бәхәс',
	'wikieditor-toolbar-help-content-italic-description' => 'Авышлы',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Авышлы кулъязма''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Авышлы кулъязма</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Куе төс',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Куе төстәге кулъязма'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Куе төстәге кулъязма</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Авышлы куе төстәге кулъязма',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Авышлы куе төстәге кулъязма'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<em><strong>Авышлы куе төстәге кулъязма</strong></em>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Эчке сылтама',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Битнең башлыгы|Сылтама тексты]]<br />[[Битнең башлыгы]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Сылтаманың тексты</a><br /><a href='#'>Битнең башлыгы</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Тышкы сылтама',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Сылтаманың тексты]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Сылтаманың тексты</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2 баскыч башлыгы',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Башлыкның тексты ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Башлыкның тексты</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3 баскыч башлыгы',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Башлыкның тексты ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Башлыкның тексты</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4 баскыч башлыгы',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Башлыкның тексты ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Башлыкның тексты</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5 баскыч башлыгы',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Башлыкның тексты =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Башлыкның тексты</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Тамгалы исемлек',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Исемлекнең тәртибе<br />* Исемлекнең тәртибе',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Исемлекнең тәртибе</li><li>Исемлекнең тәртибе</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Санлы исемлек',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Исемлекнең тәртибе<br /># Исемлекнең тәртибе',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Исемлекнең тәртибе</li><li>Исемлекнең тәртибе</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Куелган файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Аңлатмалы текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='
Аңлатмалы текст' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Зурайтырга' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>
Аңлатмалы текст</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Искәрмә',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Битнең тексты.&lt;ref name="test"&gt;[http://www.example.org Сылтаманың тексты], өстәмә текст.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Битнең тексты.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Бирелгән сылтаманы өстәмә куллану',
	'wikieditor-toolbar-help-content-rereference-result' => "Битнең тексты.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Искәрмәне күрсәтү',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Сылтаманың тексты</a>, өстәмә текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Имза (куелган вакыт белән)',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Кулланучы исеме</a> (<a href='#' title='{{#special:mytalk}}'>бәхәс</a>) 15:54, 10 июнь 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Имза',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Кулланучы исеме</a> (<a href='#' title='{{#special:mytalk}}'>бәхәс</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Чигенеш',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Гади текст<br />:Чигенешле текст<br />::Чигенешле текст',
	'wikieditor-toolbar-help-content-indent-result' => 'Гади текст<dl><dd>Чигенешле текст<dl><dd>Чигенешле текст</dd></dl></dd></dl>',
);

/** Ukrainian (Українська)
 * @author AS
 * @author Ahonc
 * @author Dim Grits
 * @author Olvin
 * @author Prima klasy4na
 * @author Тест
 */
$messages['uk'] = array(
	'wikieditor' => 'Розширений інтерфейс редагування вікітексту',
	'wikieditor-desc' => 'Забезпечує розширюваний інтерфейс редагування вікітексту і багато функціональних модулів',
	'wikieditor-wikitext-tab' => 'Вікітекст',
	'wikieditor-loading' => 'Завантаження',
	'wikieditor-preview-preference' => 'Увімкнути додаткову панель швидкого перемикання: "Редагувати" — "Попередній перегляд"',
	'wikieditor-preview-tab' => 'Попередній перегляд',
	'wikieditor-preview-changes-tab' => 'Зміни',
	'wikieditor-preview-loading' => 'Завантаження...',
	'wikieditor-previewDialog-preference' => 'Увімкнути діалог попереднього перегляду',
	'wikieditor-previewDialog-tab' => 'Попередній перегляд',
	'wikieditor-previewDialog-loading' => 'Завантаження...',
	'wikieditor-publish-preference' => 'Увімкнути публікацію крок за кроком',
	'wikieditor-publish-button-publish' => 'Опублікувати',
	'wikieditor-publish-button-cancel' => 'Скасувати',
	'wikieditor-publish-dialog-title' => 'Опублікувати на {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Опис редагування (короткий опис змін, зроблених вами):',
	'wikieditor-publish-dialog-minor' => 'Незначне редагування',
	'wikieditor-publish-dialog-watch' => 'Спостерігати за цією сторінкою',
	'wikieditor-publish-dialog-publish' => 'Опублікувати',
	'wikieditor-publish-dialog-goback' => 'Назад',
	'wikieditor-template-editor-preference' => 'Увімкнути редагування шаблонів за допомогою форм',
	'wikieditor-template-editor-dialog-title' => 'Редагувати шаблон',
	'wikieditor-template-editor-dialog-submit' => 'Оновити',
	'wikieditor-template-editor-dialog-cancel' => 'Скасувати',
	'wikieditor-templates-preference' => 'Увімкнути згортання шаблонів',
	'wikieditor-toc-preference' => 'Увімкнути додаткову панель змісту з можливістю навігації',
	'wikieditor-toc-show' => 'Показати зміст',
	'wikieditor-toc-hide' => 'Сховати зміст',
	'wikieditor-toolbar' => 'Панель засобів редагування',
	'wikieditor-toolbar-desc' => 'Панель засобів редагування з покращеною ужитковістю',
	'wikieditor-toolbar-preference' => 'Увімкнути покращену панель засобів редагування',
	'wikieditor-toolbar-dialogs-preference' => 'Увімкнути діалоги для додавання посилань, таблиць та іншого',
	'wikieditor-toolbar-hidesig' => 'Приховати кнопку підпису зі сторінок в основному просторі назв',
	'wikieditor-toolbar-loading' => 'Завантаження…',
	'wikieditor-toolbar-tool-bold' => 'Жирний',
	'wikieditor-toolbar-tool-bold-example' => 'Жирний текст',
	'wikieditor-toolbar-tool-italic' => 'Курсив',
	'wikieditor-toolbar-tool-italic-example' => 'Курсивний текст',
	'wikieditor-toolbar-tool-ilink' => 'Внутрішнє посилання',
	'wikieditor-toolbar-tool-ilink-example' => 'Заголовок посилання',
	'wikieditor-toolbar-tool-xlink' => "Зовнішнє посилання (пам'ятайте про префікс http://)",
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com заголовок посилання',
	'wikieditor-toolbar-tool-link' => 'Посилання',
	'wikieditor-toolbar-tool-link-title' => 'Вставити посилання',
	'wikieditor-toolbar-tool-link-int' => 'На вікі-сторінку',
	'wikieditor-toolbar-tool-link-int-target' => 'Заголовок сторінки:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Назва сторінки або URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Текст посилання:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Введіть текст, який має відображатися',
	'wikieditor-toolbar-tool-link-ext' => 'На зовнішню веб-сторінку',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL-адреса посилання:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Текст посилання:',
	'wikieditor-toolbar-tool-link-insert' => 'Вставити посилання',
	'wikieditor-toolbar-tool-link-cancel' => 'Відміна',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Сторінка існує',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Сторінки не існує',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Неприпустима назва',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Зовнішнє посилання',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Перевірка наявності сторінки...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Зазначена назва неприпустима.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Зазначений вами URL виглядає як посилання на іншу вікі-сторінку. Ви хочете зробити його внутрішнім посиланням?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Внутрішнє посилання',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Зовнішнє посилання',
	'wikieditor-toolbar-tool-link-empty' => 'Ви не зазначили, на що створити посилання.',
	'wikieditor-toolbar-tool-file' => 'Вкладений файл',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => 'Виноска',
	'wikieditor-toolbar-tool-reference-example' => 'Вставте сюди текст виноски',
	'wikieditor-toolbar-tool-reference-cancel' => 'Скасувати',
	'wikieditor-toolbar-tool-reference-title' => 'Вставити примітку',
	'wikieditor-toolbar-tool-reference-insert' => 'Вставити',
	'wikieditor-toolbar-tool-reference-text' => 'Текст примітки',
	'wikieditor-toolbar-tool-signature' => 'Підпис з часовою міткою',
	'wikieditor-toolbar-section-advanced' => 'Додатково',
	'wikieditor-toolbar-tool-heading' => 'Заголовки',
	'wikieditor-toolbar-tool-heading-1' => '1 рівень',
	'wikieditor-toolbar-tool-heading-2' => '2 рівень',
	'wikieditor-toolbar-tool-heading-3' => '3 рівень',
	'wikieditor-toolbar-tool-heading-4' => '4 рівень',
	'wikieditor-toolbar-tool-heading-5' => '5 рівень',
	'wikieditor-toolbar-tool-heading-example' => 'Текст заголовка',
	'wikieditor-toolbar-group-format' => 'Формат',
	'wikieditor-toolbar-tool-ulist' => 'Маркований список',
	'wikieditor-toolbar-tool-ulist-example' => 'Елемент маркованого списку',
	'wikieditor-toolbar-tool-olist' => 'Нумерований список',
	'wikieditor-toolbar-tool-olist-example' => 'Елемент нумерованого списку',
	'wikieditor-toolbar-tool-indent' => 'Абзац',
	'wikieditor-toolbar-tool-indent-example' => 'Рядок з абзацу',
	'wikieditor-toolbar-tool-nowiki' => 'Ігнорувати вікі-форматування',
	'wikieditor-toolbar-tool-nowiki-example' => 'Вставте тут невідформатований текст',
	'wikieditor-toolbar-tool-redirect' => 'Перенаправлення',
	'wikieditor-toolbar-tool-redirect-example' => 'Назва цільової сторінки',
	'wikieditor-toolbar-tool-big' => 'Великий',
	'wikieditor-toolbar-tool-big-example' => 'Великий текст',
	'wikieditor-toolbar-tool-small' => 'Малий',
	'wikieditor-toolbar-tool-small-example' => 'Малий текст',
	'wikieditor-toolbar-tool-superscript' => 'Верхній індекс',
	'wikieditor-toolbar-tool-superscript-example' => 'Текст у верхньому індексі',
	'wikieditor-toolbar-tool-subscript' => 'Нижній індекс',
	'wikieditor-toolbar-tool-subscript-example' => 'Текст нижнього індексу',
	'wikieditor-toolbar-group-insert' => 'Вставити',
	'wikieditor-toolbar-tool-gallery' => 'Галерея',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Опис1
$1:Example.jpg|Опис2',
	'wikieditor-toolbar-tool-newline' => 'Новий рядок',
	'wikieditor-toolbar-tool-table' => 'Таблиця',
	'wikieditor-toolbar-tool-table-example-old' => '-
! заголовок 1
! заголовок 2
! заголовок 3
|-
| рядок 1, комірка 1
| рядок 1, комірка 2
| рядок 1, комірка 3
|-
| рядок 2, комірка 1
| рядок 2, комірка 2
| рядок 2, комірка 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Текст комірки',
	'wikieditor-toolbar-tool-table-example-header' => 'Текст заголовка',
	'wikieditor-toolbar-tool-table-title' => 'Вставити таблицю',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Рядків',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Стовпців',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Додати рядок заголовка',
	'wikieditor-toolbar-tool-table-wikitable' => 'Оформлення з рамками',
	'wikieditor-toolbar-tool-table-sortable' => 'Додати до таблиці можливість сортування',
	'wikieditor-toolbar-tool-table-example' => 'Приклад',
	'wikieditor-toolbar-tool-table-preview' => 'Попередній перегляд',
	'wikieditor-toolbar-tool-table-insert' => 'Вставити',
	'wikieditor-toolbar-tool-table-cancel' => 'Скасувати',
	'wikieditor-toolbar-tool-table-example-text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec purus diam. Sed aliquam imperdiet nunc quis lacinia. Donec rutrum consectetur placerat. Sed volutpat neque non purus faucibus id ultricies enim euismod.',
	'wikieditor-toolbar-tool-table-toomany' => 'Цей діалог не дозволяє вставити таблицю з більш ніж $1 комірок.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ви не вказали необхідного числа рядків і стовпців.',
	'wikieditor-toolbar-tool-table-zero' => 'Ви не можете вставити таблицю з нульовою кількістю рядків або стовпців.',
	'wikieditor-toolbar-tool-replace' => 'Пошук і заміна',
	'wikieditor-toolbar-tool-replace-title' => 'Пошук і заміна',
	'wikieditor-toolbar-tool-replace-search' => 'Шукати:',
	'wikieditor-toolbar-tool-replace-replace' => 'Замінити на:',
	'wikieditor-toolbar-tool-replace-case' => 'Враховувати регістр',
	'wikieditor-toolbar-tool-replace-regex' => 'Вважати рядок пошуку регулярним виразом',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Знайти наступний',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Замінити',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Замінити всі',
	'wikieditor-toolbar-tool-replace-close' => 'Закрити',
	'wikieditor-toolbar-tool-replace-nomatch' => 'За Вашим запитом нічого не знайдено.',
	'wikieditor-toolbar-tool-replace-success' => 'Зроблено замін: $1.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ви не зазначили, що треба шукати.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Введений вами регулярний вираз помилковий: $1',
	'wikieditor-toolbar-section-characters' => 'Спеціальні символи',
	'wikieditor-toolbar-characters-page-latin' => 'Латинські',
	'wikieditor-toolbar-characters-page-latinextended' => 'Розширена латинська',
	'wikieditor-toolbar-characters-page-ipa' => 'МФА (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'Символи',
	'wikieditor-toolbar-characters-page-greek' => 'Грецькі',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Кирилиця',
	'wikieditor-toolbar-characters-page-arabic' => 'Арабські',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Арабська розширена',
	'wikieditor-toolbar-characters-page-persian' => 'Перські',
	'wikieditor-toolbar-characters-page-hebrew' => 'Іврит',
	'wikieditor-toolbar-characters-page-bangla' => 'Бенгальські',
	'wikieditor-toolbar-characters-page-telugu' => 'Телугу',
	'wikieditor-toolbar-characters-page-sinhala' => 'Сингальська',
	'wikieditor-toolbar-characters-page-gujarati' => 'Гуджараті',
	'wikieditor-toolbar-characters-page-thai' => 'Тайські',
	'wikieditor-toolbar-characters-page-lao' => 'Лаоські',
	'wikieditor-toolbar-characters-page-khmer' => 'Кхмерські',
	'wikieditor-toolbar-section-help' => 'Довідка',
	'wikieditor-toolbar-help-heading-description' => 'Опис',
	'wikieditor-toolbar-help-heading-syntax' => 'Що ви вводите',
	'wikieditor-toolbar-help-heading-result' => 'Що ви отримуєте',
	'wikieditor-toolbar-help-page-format' => 'Форматування',
	'wikieditor-toolbar-help-page-link' => 'Посилання',
	'wikieditor-toolbar-help-page-heading' => 'Заголовки',
	'wikieditor-toolbar-help-page-list' => 'Списки',
	'wikieditor-toolbar-help-page-file' => 'Файли',
	'wikieditor-toolbar-help-page-reference' => 'Виноски',
	'wikieditor-toolbar-help-page-discussion' => 'Обговорення',
	'wikieditor-toolbar-help-content-italic-description' => 'Курсив',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Курсив''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Курсив</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Жирний',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Жирний текст'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Жирний текст</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Жирний курсив',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Жирний курсивний текст'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Жирний курсивний текст</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Внутрішнє посилання',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Заголовок сторінки|Текст посилання]]<br />[[Заголовок сторінки]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Текст посилання</a><br /><a href='#'>Заголовок сторінки</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Зовнішнє посилання',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Текст посилання]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Текст посилання</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Заголовок 2<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Текст заголовка ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Текст заголовка</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Заголовок 3<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Текст заголовка ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Текст заголовка</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Заголовок 4<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Текст заголовка ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Текст заголовка</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Заголовок 5<sup>го</sup> рівня',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Текст заголовка =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Текст заголовка</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Маркований список',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Елемент списку<br />* Елемент списку',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Елемент списку</li><li>Елемент списку</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Нумерований список',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Елемент списку<br /># Елемент списку',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Елемент списку</li><li>Елемент списку</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Вбудований файл',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Пояснювальний текст]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Пояснювальний текст' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Збільшити' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Пояснювальний текст</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Виноска',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Текст сторінки&lt;ref name="test"&gt;[http://www.example.org Текст посилання], додатковий текст.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Текст сторінки.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Додаткове використання тієї ж виноски',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="test" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "Текст сторінки.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Показати виноски',
	'wikieditor-toolbar-help-content-showreferences-syntax' => '&lt;references /&gt;',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Текст посилання</a>, додатковий текст.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Підпис з часовою міткою',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Ім'я користувача</a> (<a href='#' title='{{#special:mytalk}}'>обговорення</a>) 15:54, 10 червня 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Підпис',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Ім'я користувача</a> (<a href='#' title='{{#special:mytalk}}'>обговорення</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Відступ',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Звичайний текст<br />:Текст з відступом<br />::Текст з відступом',
	'wikieditor-toolbar-help-content-indent-result' => 'Звичайний текст<dl><dd>Текст з відступом<dl><dd>Текст з відступом</dd></dl></dd></dl>',
);

/** Urdu (اردو)
 * @author محبوب عالم
 */
$messages['ur'] = array(
	'wikieditor' => 'ویکی متن کی تدوین کیلئے پیش رفتہ سطح البین',
	'wikieditor-desc' => 'ویکی متن کیلئے تدوینی مواجہہ اور کئی خدوخال دینے والے مطبقیات فراہم کرتا ہے۔',
	'wikieditor-wikitext-tab' => 'ویکی متن',
	'wikieditor-loading' => 'لَدرہا ہے',
	'wikieditor-preview-preference' => 'پہلو بہ پہلو پیش منظر فعال کرو',
	'wikieditor-preview-tab' => 'پیش منظر',
	'wikieditor-preview-changes-tab' => 'تبدیلیاں',
	'wikieditor-preview-loading' => 'لادرہا ہے۔۔',
	'wikieditor-previewDialog-preference' => 'پیش منظر خانہ فعال کرو',
	'wikieditor-previewDialog-tab' => 'پیش منظر',
	'wikieditor-previewDialog-loading' => 'لادرہا ہے۔۔',
	'wikieditor-publish-preference' => 'قدم بہ قدم شائع کاری فعال کرو',
	'wikieditor-publish-button-publish' => 'شائع کرو',
	'wikieditor-publish-button-cancel' => 'منسوخ',
	'wikieditor-publish-dialog-title' => 'نشر بطرف {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'خلاصۂ تدوین (اپنی کی گئی تبدیلیوں کی مختصر وضاحت کریں):',
	'wikieditor-publish-dialog-minor' => 'معمولی ترمیم',
	'wikieditor-publish-dialog-watch' => 'یہ صفحہ زیرِنظر کریں',
	'wikieditor-publish-dialog-publish' => 'شائع کرو',
	'wikieditor-publish-dialog-goback' => 'پیچھے جاؤ',
	'wikieditor-template-editor-preference' => 'ویکی سانچہ جات کا شکلبندی تدوین فعال کرو',
	'wikieditor-template-editor-dialog-title' => 'سانچہ کی تدوین',
	'wikieditor-template-editor-dialog-cancel' => 'منسوخ',
	'wikieditor-templates-preference' => 'سانچہ کی تہدیم فعال کرو',
	'wikieditor-toc-show' => 'مشتملات دکھاؤ',
	'wikieditor-toc-hide' => 'مشتملات چھپاؤ',
	'wikieditor-toolbar' => 'تدوینی اوزارتختہ',
	'wikieditor-toolbar-preference' => 'افزودہ تدوینی اوزارتختہ فعال کرو',
	'wikieditor-toolbar-dialogs-preference' => 'رابطو اور جدولوں وغیرہ کے ادخال کیلئے مکالمہ جات فعال کرو',
	'wikieditor-toolbar-loading' => 'لَدرہا ہے۔۔',
	'wikieditor-toolbar-tool-bold' => 'جلی',
	'wikieditor-toolbar-tool-bold-example' => 'دبیز متن',
	'wikieditor-toolbar-tool-italic' => 'ترچھا',
	'wikieditor-toolbar-tool-italic-example' => 'ترچھا متن',
	'wikieditor-toolbar-tool-ilink' => 'اندرونی ربط',
	'wikieditor-toolbar-tool-ilink-example' => 'ربط کا عنوان',
	'wikieditor-toolbar-tool-xlink' => 'بیرونی ربط (یاد رکھئے http:// prefix)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com ربط کا عنوان',
	'wikieditor-toolbar-tool-link' => 'ربط',
	'wikieditor-toolbar-tool-link-title' => 'ربط داخل کرو',
	'wikieditor-toolbar-tool-link-int' => 'ایک ویکی صفحہ کی طرف',
	'wikieditor-toolbar-tool-link-int-target' => 'ہدف صفحہ یا پتہ:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'عنوانِ صفحہ یا پتہ:',
	'wikieditor-toolbar-tool-link-int-text' => 'ظاہر ہونے والا متن:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'متن جو دِکھایا جائے گا',
	'wikieditor-toolbar-tool-link-ext' => 'کسی بیرونی ویب صفحہ کی طرف',
	'wikieditor-toolbar-tool-link-ext-target' => 'پتۂ ربط:',
	'wikieditor-toolbar-tool-link-ext-text' => 'ربط کا متن:',
	'wikieditor-toolbar-tool-link-insert' => 'ربط داخل کرو',
	'wikieditor-toolbar-tool-link-cancel' => 'منسوخ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'صفحہ موجود ہے',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'صفحہ موجود نہیں ہے',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'غلط عنوان',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'بیرونی ربط',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'صفحہ کی موجودگی دیکھی جارہی ہے۔۔۔',
	'wikieditor-toolbar-tool-link-int-invalid' => 'آپ کا داخل کردہ عنوان غلط ہے۔',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'آپ کا داخل کردہ پتے سے لگتا ہے کہ یہ دوسرے ویکی صفحہ کی طرف رابطے کیلئے تھا۔
کیا آپ اِسے ایک اندرونی ربط بنانا چاہتے ہیں؟',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'اندرونی ربط',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'بیرونی ربط',
	'wikieditor-toolbar-tool-link-empty' => 'آپ نے ربط کیلئے کچھ داخل نہیں کیا۔',
	'wikieditor-toolbar-tool-file' => 'پیوستہ ملف',
	'wikieditor-toolbar-tool-file-example' => 'مثال.jpg',
	'wikieditor-toolbar-tool-reference' => 'حوالہ',
	'wikieditor-toolbar-tool-reference-example' => 'حاشیہ متن یہاں داخل کرو',
	'wikieditor-toolbar-tool-reference-cancel' => 'منسوخ',
	'wikieditor-toolbar-tool-reference-title' => 'حوالہ داخل کرو',
	'wikieditor-toolbar-tool-reference-insert' => 'داخل کرو',
	'wikieditor-toolbar-tool-reference-text' => 'حوالے کا متن',
	'wikieditor-toolbar-tool-signature' => 'دستخط اور وقت کی مُہر',
	'wikieditor-toolbar-section-advanced' => 'پیشرفتہ',
	'wikieditor-toolbar-tool-heading' => 'سرنامہ',
	'wikieditor-toolbar-tool-heading-1' => 'درجہ اوّل',
	'wikieditor-toolbar-tool-heading-2' => 'درجہ دوم',
	'wikieditor-toolbar-tool-heading-3' => 'درجہ سوم',
	'wikieditor-toolbar-tool-heading-4' => 'درجہ چہارم',
	'wikieditor-toolbar-tool-heading-5' => 'درجہ پنجم',
	'wikieditor-toolbar-tool-heading-example' => 'سرنامے کا متن',
	'wikieditor-toolbar-group-format' => 'شکلبند',
	'wikieditor-toolbar-tool-ulist' => 'نقاطی فہرست',
	'wikieditor-toolbar-tool-ulist-example' => 'نقاطی فہرست کی مَد',
	'wikieditor-toolbar-tool-olist' => 'نمبرشدہ فہرست',
	'wikieditor-toolbar-tool-olist-example' => 'نمبرشُدہ فہرست کی مَد',
	'wikieditor-toolbar-tool-redirect-example' => 'ہدف صفحہ کا نام',
	'wikieditor-toolbar-tool-big' => 'بڑا',
	'wikieditor-toolbar-tool-big-example' => 'بڑا متن',
	'wikieditor-toolbar-tool-small' => 'چھوٹا',
	'wikieditor-toolbar-tool-small-example' => 'چھوٹا متن',
	'wikieditor-toolbar-tool-superscript' => 'بالا نص',
	'wikieditor-toolbar-tool-superscript-example' => 'بالانص متن',
	'wikieditor-toolbar-tool-subscript' => 'ذیلی نص',
	'wikieditor-toolbar-tool-subscript-example' => 'ذیلی نص متن',
	'wikieditor-toolbar-group-insert' => 'ادخال',
	'wikieditor-toolbar-tool-gallery' => 'مجموعۂ تصاویر',
	'wikieditor-toolbar-tool-gallery-example' => '$1:مثال.jpg|تعقیب1
$1:مثال.jpg|تعقیب2',
	'wikieditor-toolbar-tool-newline' => 'نئی لکیر',
	'wikieditor-toolbar-tool-table' => 'جدول',
	'wikieditor-toolbar-tool-table-example-old' => '-
! سرنامہ 1
! سرنامہ 2
! سرنامہ 3
|-
| صف 1, خانہ 1
| صف 1, خانہ 2
| صف 1, خانہ 3
|-
| صف 2, خانہ 1
| صف 2, خانہ 2
| صف 2, خانہ 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'خانے کا متن',
	'wikieditor-toolbar-tool-table-example-header' => 'سرنامے کا متن',
	'wikieditor-toolbar-tool-table-title' => 'جدول کا ادخال',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'صفیں',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'قطاریں',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'سرنامی صف کا اِضافہ کرو',
	'wikieditor-toolbar-tool-table-wikitable' => 'سرحدی لکیریں',
	'wikieditor-toolbar-tool-table-sortable' => 'جدول کو قابلِ ترتیب بناؤ',
	'wikieditor-toolbar-tool-table-example' => 'مثال',
	'wikieditor-toolbar-tool-table-preview' => 'نمائش',
	'wikieditor-toolbar-tool-table-insert' => 'داخل',
	'wikieditor-toolbar-tool-table-cancel' => 'منسوخ',
	'wikieditor-toolbar-tool-table-toomany' => 'اِس مکالمہ کے ذریعے $1 سے زیادہ خانوں والے جدول کا ادخال ممکن نہیں۔',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'آپ نے قطاروں یا صفوں کا صحیح شمار داخل نہیں کیا۔',
	'wikieditor-toolbar-tool-table-zero' => 'آپ صفر قطاروں یا صفوں کا جدول داخل نہیں کرسکتے۔',
	'wikieditor-toolbar-tool-replace' => 'تلاش و تبدیلئ متن',
	'wikieditor-toolbar-tool-replace-title' => 'تلاش و تبدیلئ متن',
	'wikieditor-toolbar-tool-replace-search' => 'تلاش برائے:',
	'wikieditor-toolbar-tool-replace-replace' => 'اِس کے ساتھ تبدیل کرو:',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'اگلی دریافت',
	'wikieditor-toolbar-tool-replace-button-replace' => 'بدل دو',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'سب بدل دو',
	'wikieditor-toolbar-tool-replace-close' => 'بند کرو',
	'wikieditor-toolbar-tool-replace-nomatch' => 'آپ کی تلاش سے کچھ ملا نہیں۔',
	'wikieditor-toolbar-tool-replace-success' => '$1 تبدیلیاں کی گئیں۔',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'آپ نے تلاش کیلئے کچھ دیا نہیں۔',
	'wikieditor-toolbar-section-characters' => 'خاص محارف',
	'wikieditor-toolbar-characters-page-latin' => 'لاطینی محارف',
	'wikieditor-toolbar-characters-page-latinextended' => 'وسیع لاطینی',
	'wikieditor-toolbar-characters-page-symbols' => 'علامات',
	'wikieditor-toolbar-characters-page-greek' => 'یونانی',
	'wikieditor-toolbar-characters-page-arabic' => 'عربی',
	'wikieditor-toolbar-characters-page-arabicextended' => 'عربی توسیع شدہ',
	'wikieditor-toolbar-characters-page-persian' => 'فارسی',
	'wikieditor-toolbar-characters-page-hebrew' => 'عبرانی',
	'wikieditor-toolbar-characters-page-bangla' => 'بنگالی',
	'wikieditor-toolbar-characters-page-telugu' => 'تلگو',
	'wikieditor-toolbar-characters-page-sinhala' => 'سنگھالی',
	'wikieditor-toolbar-characters-page-gujarati' => 'گجراتی',
	'wikieditor-toolbar-characters-page-thai' => 'سیامی',
	'wikieditor-toolbar-characters-page-lao' => 'لاوسی',
	'wikieditor-toolbar-characters-page-khmer' => 'کھمیری',
	'wikieditor-toolbar-section-help' => 'مدد',
	'wikieditor-toolbar-help-heading-description' => 'تفصیل',
	'wikieditor-toolbar-help-heading-syntax' => 'جو آپ لکھتے ہیں',
	'wikieditor-toolbar-help-heading-result' => 'جو آپ پاتے ہیں',
	'wikieditor-toolbar-help-page-format' => 'شکلبندی',
	'wikieditor-toolbar-help-page-link' => 'روابط',
	'wikieditor-toolbar-help-page-heading' => 'سرنامے',
	'wikieditor-toolbar-help-page-list' => 'فہارست',
	'wikieditor-toolbar-help-page-file' => 'ملفات',
	'wikieditor-toolbar-help-page-reference' => 'حوالہ جات',
	'wikieditor-toolbar-help-page-discussion' => 'تبادلہٴ خیال',
	'wikieditor-toolbar-help-content-italic-description' => 'ترچھا',
	'wikieditor-toolbar-help-content-italic-syntax' => "''ترچھا متن''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>ترچھا متن</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'جلی',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''جلی متن'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>جلی متن</strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'اندرونی ربط',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[صفحہ کا عنوان|ربط کا نام]]<br />[[صفحہ کا عنوان]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>ربط کا نام</a><br /><a href='#'>صفحہ کا عنوان</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'بیرونی ربط',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org ربط کا نام]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-heading2-description' => 'درجۂ دوم کا سرنامہ',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== سرنامی متن ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>سرنامی متن</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'درجۂ سوم کا سرنامہ',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== سرنامی متن ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>سرنامی متن</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'درجۂ چہارم کا سرنامہ',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== سرنامی متن ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>سرنامی متن</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'درجۂ پنجم کا سرنامہ',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== سرنامی متن =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>سرنامی متن</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'نقاط شدہ فہرست',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* فہرستی مَد<br />* فہرستی مَد',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>فہرستی مد</li><li>فہرستی مد</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'نمبرشدہ فہرست',
	'wikieditor-toolbar-help-content-olist-syntax' => '# فہرستی مد<br /># فہرستی مد',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>فہرستی مد</li><li>فہرستی مد</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'پیوستہ ملف',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:مثال.png|thumb|تعقیبی متن]]',
	'wikieditor-toolbar-help-content-reference-description' => 'حوالہ',
	'wikieditor-toolbar-help-content-showreferences-description' => 'حوالہ جات دکھاؤ',
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'دستخط بمع مُہرِوقت',
	'wikieditor-toolbar-help-content-signature-description' => 'دستخط',
);

/** Vèneto (Vèneto)
 * @author Candalua
 * @author Vajotwo
 */
$messages['vec'] = array(
	'wikieditor' => 'Interfacia avansada de modifica testo wiki',
	'wikieditor-desc' => 'Fornisse na interfacia avansada de modifica testo wiki e vari moduli funsionali',
	'wikieditor-wikitext-tab' => 'Testo wiki',
	'wikieditor-loading' => 'Drio cargar...',
	'wikieditor-preview-preference' => "Ativa l'anteprima parte par parte",
	'wikieditor-preview-tab' => 'Anteprima',
	'wikieditor-preview-changes-tab' => 'Canbiamenti',
	'wikieditor-preview-loading' => "So' drio cargar...",
	'wikieditor-previewDialog-preference' => 'Abilita la finestra de dialogo de anteprima',
	'wikieditor-previewDialog-tab' => 'Anteprima',
	'wikieditor-previewDialog-loading' => "So' drio cargar...",
	'wikieditor-publish-preference' => 'Intaca la publicassion un toco a la olta',
	'wikieditor-publish-button-publish' => 'Pùblica',
	'wikieditor-publish-button-cancel' => 'Anula',
	'wikieditor-publish-dialog-title' => 'Pùblica su {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Somario de la modifica (descrivi brevemente i canbiamenti che te ghè fato):',
	'wikieditor-publish-dialog-minor' => 'Modifica picenina',
	'wikieditor-publish-dialog-watch' => "Tien d'ocio sta pagina",
	'wikieditor-publish-dialog-publish' => 'Pùblica',
	'wikieditor-publish-dialog-goback' => 'Torna indrìo',
	'wikieditor-template-editor-preference' => 'Intaca par i modèi wiki la modifica basà sui mòduli',
	'wikieditor-template-editor-dialog-title' => 'Modifega modeło',
	'wikieditor-template-editor-dialog-submit' => 'Ajorna',
	'wikieditor-template-editor-dialog-cancel' => 'Anuła',
	'wikieditor-templates-preference' => 'Abiłita ła funsion par nascondere i modełi',
	'wikieditor-toc-preference' => "Ativa l'indice navigabile",
	'wikieditor-toc-show' => 'Fà védar el contenuto',
	'wikieditor-toc-hide' => 'Scondi el contenuto',
	'wikieditor-toolbar' => 'Bara dei strumenti de modifica',
	'wikieditor-toolbar-desc' => 'Modifica bara dei strumenti de la pagina co na magiore usabilità',
	'wikieditor-toolbar-preference' => 'Abilita bara dei strumenti de modifica avansada',
	'wikieditor-toolbar-dialogs-preference' => 'Intacar i ajuti par zontar colegamenti, tabèle e altro',
	'wikieditor-toolbar-loading' => "So' drio cargar...",
	'wikieditor-toolbar-tool-bold' => 'Grasseto',
	'wikieditor-toolbar-tool-bold-example' => 'Testo in grasseto',
	'wikieditor-toolbar-tool-italic' => 'Corsivo',
	'wikieditor-toolbar-tool-italic-example' => 'Testo in corsivo',
	'wikieditor-toolbar-tool-ilink' => 'Colegamento interno',
	'wikieditor-toolbar-tool-ilink-example' => 'Titolo del colegamento',
	'wikieditor-toolbar-tool-xlink' => 'Colegamento esterno (ricòrdete el prefisso http:// )',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.esenpio.com titolo del colegamento',
	'wikieditor-toolbar-tool-link' => 'Colegamento',
	'wikieditor-toolbar-tool-link-title' => 'Inserissi colegamento',
	'wikieditor-toolbar-tool-link-int' => 'a na pagina wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'titolo de la pagina:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Titolo de la pagina o URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Testo del colegamento:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Inserissi el testo che te vol che se veda',
	'wikieditor-toolbar-tool-link-ext' => 'a na pagina web esterna',
	'wikieditor-toolbar-tool-link-ext-target' => 'Indirisso del colegamento:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Testo del colegamento:',
	'wikieditor-toolbar-tool-link-insert' => 'Inserissi colegamento',
	'wikieditor-toolbar-tool-link-cancel' => 'Anula',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'La pagina la esiste zà',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'La pagina no la esiste',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Titolo mia valido',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Colegamento par fora',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => "So' drio controlar se la pagina la esiste o no...",
	'wikieditor-toolbar-tool-link-int-invalid' => "El titolo che te ghè indicà no'l xe mia valido.",
	'wikieditor-toolbar-tool-link-lookslikeinternal' => "L'URL che te ghè inserìo pararìa che el ponta verso de na pagina wiki difarente. Vuto farlo deventar un colegamento interno?",
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Colegamento interno',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Colegamento esterno',
	'wikieditor-toolbar-tool-link-empty' => 'No te ghè messo gnente a cui pontar.',
	'wikieditor-toolbar-tool-file' => 'File incorporado',
	'wikieditor-toolbar-tool-file-example' => 'Esenpio.jpg',
	'wikieditor-toolbar-tool-reference' => 'Nota',
	'wikieditor-toolbar-tool-reference-example' => 'Inserissi qua el testo de la nota',
	'wikieditor-toolbar-tool-reference-cancel' => 'Anuła',
	'wikieditor-toolbar-tool-reference-title' => 'Inserissi nota',
	'wikieditor-toolbar-tool-reference-insert' => 'Inserissi',
	'wikieditor-toolbar-tool-reference-text' => 'Testo de ła nota',
	'wikieditor-toolbar-tool-signature' => 'Firma e data',
	'wikieditor-toolbar-section-advanced' => 'Avansada',
	'wikieditor-toolbar-tool-heading' => 'Intestassion',
	'wikieditor-toolbar-tool-heading-1' => 'Livèl 1',
	'wikieditor-toolbar-tool-heading-2' => 'Livèl 2',
	'wikieditor-toolbar-tool-heading-3' => 'Livèl 3',
	'wikieditor-toolbar-tool-heading-4' => 'Livèl 4',
	'wikieditor-toolbar-tool-heading-5' => 'Livèl 5',
	'wikieditor-toolbar-tool-heading-example' => 'Titolo sezion',
	'wikieditor-toolbar-group-format' => 'Formato',
	'wikieditor-toolbar-tool-ulist' => 'Elenco puntà',
	'wikieditor-toolbar-tool-ulist-example' => "Elemento de l'elenco puntà",
	'wikieditor-toolbar-tool-olist' => 'Elenco numarà',
	'wikieditor-toolbar-tool-olist-example' => "Elemento de l'elenco numarà",
	'wikieditor-toolbar-tool-indent' => 'Rientro',
	'wikieditor-toolbar-tool-indent-example' => 'Riga rientrà',
	'wikieditor-toolbar-tool-nowiki' => 'Ignora formataxion wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Inserissi el testo da no formatare',
	'wikieditor-toolbar-tool-redirect' => "Rinvia a n'altra pajina",
	'wikieditor-toolbar-tool-redirect-example' => 'Nome de ła pajina de destinaxion',
	'wikieditor-toolbar-tool-big' => 'Grando',
	'wikieditor-toolbar-tool-big-example' => 'Testo grando',
	'wikieditor-toolbar-tool-small' => 'Picenin',
	'wikieditor-toolbar-tool-small-example' => 'Testo picenin',
	'wikieditor-toolbar-tool-superscript' => 'Àpice',
	'wikieditor-toolbar-tool-superscript-example' => 'Testo in àpice',
	'wikieditor-toolbar-tool-subscript' => 'Pèdice',
	'wikieditor-toolbar-tool-subscript-example' => 'Testo in pèdice',
	'wikieditor-toolbar-group-insert' => 'Inserissi',
	'wikieditor-toolbar-tool-gallery' => 'Galerìa fotografica',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Esenpio.jpg|Didascalia1
$1:Esenpio.jpg|Didascalia2',
	'wikieditor-toolbar-tool-newline' => 'Riga nova',
	'wikieditor-toolbar-tool-table' => 'Tabèla',
	'wikieditor-toolbar-tool-table-example-old' => '-
! intestassion 1
! intestassion 2
! intestassion 3
|-
| riga 1, casèla 1
| riga 1, casèla 2
| riga 1, casèla 3
|-
| riga 2, casèla 1
| riga 2, casèla 2
| riga 2, casèla 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Testo de la casèla',
	'wikieditor-toolbar-tool-table-example-header' => "Testo de l'intestassion",
	'wikieditor-toolbar-tool-table-title' => 'Inserissi na tabèla',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Lìnie',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Colone',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Includi la riga de intestassion',
	'wikieditor-toolbar-tool-table-wikitable' => 'Stile coi bordi',
	'wikieditor-toolbar-tool-table-sortable' => 'Tabèla ordinabile',
	'wikieditor-toolbar-tool-table-example' => 'Testo de la casèla',
	'wikieditor-toolbar-tool-table-preview' => 'Anteprima',
	'wikieditor-toolbar-tool-table-insert' => 'Inserissi',
	'wikieditor-toolbar-tool-table-cancel' => 'Anùla',
	'wikieditor-toolbar-tool-table-toomany' => 'Co sto comando no se pole inserir na tabèla con piassè de $1 casèle.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'No te ghè inserìo un nùmaro valido de righe o colòne.',
	'wikieditor-toolbar-tool-table-zero' => 'No te poli inserir na tabèla con zero righe o colòne.',
	'wikieditor-toolbar-tool-replace' => 'Serca e sostituìssi',
	'wikieditor-toolbar-tool-replace-title' => 'Serca e sostituìssi',
	'wikieditor-toolbar-tool-replace-search' => 'Serca:',
	'wikieditor-toolbar-tool-replace-replace' => 'Sostituìssi con:',
	'wikieditor-toolbar-tool-replace-case' => 'Corispondensa maiuscolo/minuscolo',
	'wikieditor-toolbar-tool-replace-regex' => 'Testo de la riserca come espression regolare',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Cata el pròssimo',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Sostituìssi tuto',
	'wikieditor-toolbar-tool-replace-close' => 'Sara',
	'wikieditor-toolbar-tool-replace-nomatch' => 'No gavemo catà gnente che corisponde a quel che te serchi.',
	'wikieditor-toolbar-tool-replace-success' => '$1 sostitussion fate.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'No te ghè inserìo gnente da sercar.',
	'wikieditor-toolbar-tool-replace-invalidregex' => "L'espression regolare che te ghè inserìo no la xe mia valida: $1",
	'wikieditor-toolbar-section-characters' => 'Caràteri speciali',
	'wikieditor-toolbar-characters-page-latin' => 'Latìn',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latìn esteso',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Sìnboli',
	'wikieditor-toolbar-characters-page-greek' => 'Grego',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Cirìlico',
	'wikieditor-toolbar-characters-page-arabic' => 'Àrabo',
	'wikieditor-toolbar-characters-page-persian' => 'Persian',
	'wikieditor-toolbar-characters-page-hebrew' => 'Ebràico',
	'wikieditor-toolbar-characters-page-bangla' => 'Bengałexe',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Singalese',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thaiłandexe',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ajuto',
	'wikieditor-toolbar-help-heading-description' => 'Descrission',
	'wikieditor-toolbar-help-heading-syntax' => 'Quel che te scrivi',
	'wikieditor-toolbar-help-heading-result' => 'Quel che te otien',
	'wikieditor-toolbar-help-page-format' => 'Formatassion',
	'wikieditor-toolbar-help-page-link' => 'Colegamenti',
	'wikieditor-toolbar-help-page-heading' => 'Intestassion',
	'wikieditor-toolbar-help-page-list' => 'Liste',
	'wikieditor-toolbar-help-page-file' => 'File',
	'wikieditor-toolbar-help-page-reference' => 'Note',
	'wikieditor-toolbar-help-page-discussion' => 'Discussion',
	'wikieditor-toolbar-help-content-italic-description' => 'Corsivo',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Testo in corsivo''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Testo in corsivo</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Grasseto',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Testo in grasseto'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Testo in grasseto</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Grasseto e corsivo',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Testo in grasseto e corsivo'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Testo in grasseto e corsivo</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Colegamento interno',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Page title|Eticheta colegamento]]<br />[[Page title]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Eticheta colegamento</a><br /><a href='#'>Titolo pagina</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Colegamento esterno',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.esenpio.org Eticheta colegamento]<br />[http://www.esenpio.org]<br />http://www.esenpio.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Eticheta colegamento</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.esenpio.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Intestassion de secondo livèl',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Titolo de la sezion ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Titolo de la sezion</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Intestassion de terso livèl',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Titolo de la sezion ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Titolo de la sezion</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Intestassion de quarto livèl',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Titolo de la sezion ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Titolo de la sezion</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Intestassion de quinto livèl',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Titolo de la sezion =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Titolo de la sezion</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Elenco pontà',
	'wikieditor-toolbar-help-content-ulist-syntax' => "* Elemento de l'elenco<br />* Elemento de l'elenco",
	'wikieditor-toolbar-help-content-ulist-result' => "<ul><li>Elemento de l'elenco</li><li>Elemento de l'elenco</li></ul>",
	'wikieditor-toolbar-help-content-olist-description' => 'Elenco numarà',
	'wikieditor-toolbar-help-content-olist-syntax' => "# Elemento de l'elenco<br /># Elemento de l'elenco",
	'wikieditor-toolbar-help-content-olist-result' => "<ol><li>Elemento de l'elenco</li><li>Elemento de l'elenco</li></ol>",
	'wikieditor-toolbar-help-content-file-description' => 'File incorporado',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Testo de la didascalia]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Caption text' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Testo de la didascalia</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Nota',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Testo de la pagina.&lt;ref name="test"&gt;[http://www.esenpio.org Testo del colegamento], altro testo in più.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Testo de la pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Doparar ancora la stessa nota',
	'wikieditor-toolbar-help-content-rereference-result' => "Testo de la pagina.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Mostra le note',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.esenpio.org' class='external text' href='#'>Testo del colegamento</a>, altro testo in più.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Firma con data e ora',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Nome utente</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>) 15:54, 10 giu 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Firma',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Nome utente</a> (<a href='#' title='{{#special:mytalk}}'>discussion</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Rientro',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Testo normal<br />:Testo rientrà<br />::Testo rientra',
	'wikieditor-toolbar-help-content-indent-result' => 'Testo normal<dl><dd>Testo rientrà<dl><dd>Testo rientrà</dd></dl></dd></dl>',
);

/** Veps (Vepsän kel')
 * @author Игорь Бродский
 */
$messages['vep'] = array(
	'wikieditor-wikitext-tab' => 'Vikitekst',
	'wikieditor-preview-tab' => 'Ezikacund',
	'wikieditor-preview-changes-tab' => 'Toižetused',
	'wikieditor-previewDialog-tab' => 'Ezikacund',
	'wikieditor-publish-button-publish' => 'Publikuida',
	'wikieditor-publish-dialog-minor' => 'Penikaine redakcii',
	'wikieditor-publish-dialog-publish' => 'Publikuida',
	'wikieditor-publish-dialog-goback' => 'Tagaze',
	'wikieditor-toc-show' => 'Ozutada südäiolend',
	'wikieditor-toolbar-tool-bold' => 'Lihavoitud',
	'wikieditor-toolbar-tool-bold-example' => 'Lihavoitud tekst',
	'wikieditor-toolbar-tool-link' => 'Kosketuz',
	'wikieditor-toolbar-tool-link-title' => 'Ližada kosketuz',
	'wikieditor-toolbar-tool-link-ext-target' => 'Kosketusen URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Kosketusen tekst:',
	'wikieditor-toolbar-tool-link-cancel' => 'Heitta',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Vär nimi',
	'wikieditor-toolbar-tool-file' => 'Mülütadud fail',
	'wikieditor-toolbar-tool-file-example' => 'Ozutez.jpg',
	'wikieditor-toolbar-tool-reference-insert' => 'Ližata',
	'wikieditor-toolbar-tool-heading' => 'Pälkirjutez',
	'wikieditor-toolbar-tool-heading-1' => 'Tazopind 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tazopind 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tazopind 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tazopind 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tazopind 5',
	'wikieditor-toolbar-tool-heading-example' => 'Pälkirjutesen tekst',
	'wikieditor-toolbar-group-format' => 'Format:',
	'wikieditor-toolbar-tool-ulist' => 'Markiruidud nimikirjutez',
	'wikieditor-toolbar-tool-ulist-example' => 'Markiruidud nimikirjutez',
	'wikieditor-toolbar-tool-olist' => 'Nomeroitud nimikirjutez',
	'wikieditor-toolbar-tool-big' => "Sur'",
	'wikieditor-toolbar-tool-big-example' => 'Järed tekst',
	'wikieditor-toolbar-tool-small' => "Pen'",
	'wikieditor-toolbar-tool-small-example' => "Pen' tekst",
	'wikieditor-toolbar-group-insert' => 'Ližata',
	'wikieditor-toolbar-tool-gallery' => 'Kuviden gallerei',
	'wikieditor-toolbar-tool-newline' => "Uz' rivi",
	'wikieditor-toolbar-tool-table' => 'Tablut',
	'wikieditor-toolbar-tool-table-title' => 'Ližada tablut',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rivid',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Pachid:',
	'wikieditor-toolbar-tool-table-example' => 'Ozutez',
	'wikieditor-toolbar-tool-table-preview' => 'Ezikacund',
	'wikieditor-toolbar-tool-table-insert' => 'Ližata',
	'wikieditor-toolbar-tool-table-cancel' => 'Heitta',
	'wikieditor-toolbar-tool-replace-close' => 'Saubata',
	'wikieditor-toolbar-section-characters' => 'Specialižed znamad',
	'wikieditor-toolbar-characters-page-latin' => 'Latinalaine',
	'wikieditor-toolbar-characters-page-latinextended' => 'Levitadud latinalaine',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Simvolad',
	'wikieditor-toolbar-characters-page-greek' => 'Grekalaine',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirilline',
	'wikieditor-toolbar-characters-page-arabic' => 'Arabine',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Araban levitadud',
	'wikieditor-toolbar-characters-page-persian' => 'Persižed',
	'wikieditor-toolbar-characters-page-hebrew' => 'Evrejine',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gudžarati',
	'wikieditor-toolbar-characters-page-thai' => 'Tai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmeran',
	'wikieditor-toolbar-section-help' => 'Abu',
	'wikieditor-toolbar-help-heading-description' => 'Ümbrikirjutand',
	'wikieditor-toolbar-help-page-link' => 'Kosketused',
	'wikieditor-toolbar-help-page-list' => 'Nimikirjutesed',
	'wikieditor-toolbar-help-page-file' => 'Failad',
	'wikieditor-toolbar-help-content-bold-description' => 'Lihavoitud',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Lihavoitud tekst'''",
	'wikieditor-toolbar-help-content-ilink-description' => 'Südäikosketuz',
	'wikieditor-toolbar-help-content-xlink-description' => 'Irdkosketuz',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Pälkirjutesen tekst ==',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Pälkirjutesen tekst ===',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Pälkirjutesen tekst ====',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Pälkirjutesen tekst =====',
	'wikieditor-toolbar-help-content-ulist-description' => 'Markiruidud nimikirjutez',
	'wikieditor-toolbar-help-content-olist-description' => 'Nomeroitud nimikirjutez',
	'wikieditor-toolbar-help-content-file-description' => 'Mülütadud fail',
	'wikieditor-toolbar-help-content-signature-description' => 'Allekirjutez',
);

/** Vietnamese (Tiếng Việt)
 * @author Minh Nguyen
 * @author Vinhtantran
 */
$messages['vi'] = array(
	'wikieditor' => 'Giao diện sửa đổi văn bản wiki nâng cao',
	'wikieditor-desc' => 'Cung cấp giao diện sửa đổi văn bản wiki có thể mở rộng, cũng như nhiều tính năng khác',
	'wikieditor-wikitext-tab' => 'Mã wiki',
	'wikieditor-loading' => 'Đang tải',
	'wikieditor-preview-preference' => 'Cho phép so sánh cạnh nhau',
	'wikieditor-preview-tab' => 'Xem trước',
	'wikieditor-preview-changes-tab' => 'Các thay đổi',
	'wikieditor-preview-loading' => 'Đang tải…',
	'wikieditor-previewDialog-preference' => 'Mở hộp thoại để xem trước',
	'wikieditor-previewDialog-tab' => 'Xem trước',
	'wikieditor-previewDialog-loading' => 'Đang tải…',
	'wikieditor-publish-preference' => 'Xuất bản từng bước một',
	'wikieditor-publish-button-publish' => 'Xuất bản',
	'wikieditor-publish-button-cancel' => 'Hủy bỏ',
	'wikieditor-publish-dialog-title' => 'Xuất bản tới {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Tóm lược sửa đổi (miêu tả ngắn gọn các thay đổi của bạn):',
	'wikieditor-publish-dialog-minor' => 'Sửa đổi nhỏ',
	'wikieditor-publish-dialog-watch' => 'Theo dõi trang này',
	'wikieditor-publish-dialog-publish' => 'Xuất bản',
	'wikieditor-publish-dialog-goback' => 'Trở lại',
	'wikieditor-template-editor-preference' => 'Sửa đổi bản mẫu wiki trong biểu mẫu',
	'wikieditor-template-editor-dialog-title' => 'Sửa đổi bản mẫu',
	'wikieditor-template-editor-dialog-submit' => 'Cập nhật',
	'wikieditor-template-editor-dialog-cancel' => 'Hủy bỏ',
	'wikieditor-templates-preference' => 'Cho phép làm xẹp các bản mẫu',
	'wikieditor-toc-preference' => 'Sử dụng mục lục dễ duyệt tìm',
	'wikieditor-toc-show' => 'Hiện mục lục',
	'wikieditor-toc-hide' => 'Ẩn mục lục',
	'wikieditor-toolbar' => 'Thanh công cụ sửa đổi',
	'wikieditor-toolbar-desc' => 'Thanh công cụ ở trang sửa đổi được cải tiến để dễ sử dụng hơn',
	'wikieditor-toolbar-preference' => 'Sử dụng thanh công cụ sửa đổi nâng cao',
	'wikieditor-toolbar-dialogs-preference' => 'Mở hộp thoại để chèn liên kết, bảng, v.v.',
	'wikieditor-toolbar-hidesig' => 'Ẩn nút ký tên từ các trang trong không gian tên chính',
	'wikieditor-toolbar-loading' => 'Đang tải…',
	'wikieditor-toolbar-tool-bold' => 'Đậm',
	'wikieditor-toolbar-tool-bold-example' => 'Chữ đậm',
	'wikieditor-toolbar-tool-italic' => 'Xiên',
	'wikieditor-toolbar-tool-italic-example' => 'Chữ xiên',
	'wikieditor-toolbar-tool-ilink' => 'Liên kết trong',
	'wikieditor-toolbar-tool-ilink-example' => 'Tựa đề liên kết',
	'wikieditor-toolbar-tool-xlink' => 'Liên kết ngoài (nhớ ghi http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.vidu.com tựa đề liên kết',
	'wikieditor-toolbar-tool-link' => 'Liên kết',
	'wikieditor-toolbar-tool-link-title' => 'Chèn liên kết',
	'wikieditor-toolbar-tool-link-int' => 'Đến một trang wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Tựa trang:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Tên trang hoặc URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Văn bản liên kết:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Hãy nhập văn bản để hiển thị',
	'wikieditor-toolbar-tool-link-ext' => 'Ra trang web bên ngoài',
	'wikieditor-toolbar-tool-link-ext-target' => 'Liên kết URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Văn bản liên kết:',
	'wikieditor-toolbar-tool-link-insert' => 'Chèn liên kết',
	'wikieditor-toolbar-tool-link-cancel' => 'Hủy bỏ',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Trang tồn tại',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Trang không tồn tại',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Tựa sai',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Liên kết ngoài',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Kiểm tra trang đã tồn tại chưa...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Tựa trang chỉ định không hợp lệ.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'Hình như bạn đã chọn URL chỉ đến trang wiki khác. Bạn có muốn biến nó thành liên kết nội bộ không?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Liên kết nội bộ',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Liên kết ngoài',
	'wikieditor-toolbar-tool-link-empty' => 'Bạn chưa nhập nơi nào để cho liên kết dẫn tới.',
	'wikieditor-toolbar-tool-file' => 'Chèn tập tin',
	'wikieditor-toolbar-tool-file-example' => 'Ví dụ.jpg',
	'wikieditor-toolbar-tool-reference' => 'Chú thích tham khảo',
	'wikieditor-toolbar-tool-reference-example' => 'Ghi chú tại đây',
	'wikieditor-toolbar-tool-reference-cancel' => 'Hủy bỏ',
	'wikieditor-toolbar-tool-reference-title' => 'Ghi chú',
	'wikieditor-toolbar-tool-reference-insert' => 'Chèn',
	'wikieditor-toolbar-tool-reference-text' => 'Lời chú thích',
	'wikieditor-toolbar-tool-signature' => 'Chữ ký có ngày',
	'wikieditor-toolbar-section-advanced' => 'Nâng cao',
	'wikieditor-toolbar-tool-heading' => 'Đề mục',
	'wikieditor-toolbar-tool-heading-1' => 'Cấp 1',
	'wikieditor-toolbar-tool-heading-2' => 'Cấp 2',
	'wikieditor-toolbar-tool-heading-3' => 'Cấp 3',
	'wikieditor-toolbar-tool-heading-4' => 'Cấp 4',
	'wikieditor-toolbar-tool-heading-5' => 'Cấp 5',
	'wikieditor-toolbar-tool-heading-example' => 'Câu đề mục',
	'wikieditor-toolbar-group-format' => 'Định dạng',
	'wikieditor-toolbar-tool-ulist' => 'Danh sách không đánh số',
	'wikieditor-toolbar-tool-ulist-example' => 'Mục danh sách',
	'wikieditor-toolbar-tool-olist' => 'Danh sách đánh số',
	'wikieditor-toolbar-tool-olist-example' => 'Mục danh sách số',
	'wikieditor-toolbar-tool-indent' => 'Tăng lề',
	'wikieditor-toolbar-tool-indent-example' => 'Dòng được tăng lề',
	'wikieditor-toolbar-tool-nowiki' => 'Tắt định dạng wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Chèn văn bản thuần tại đây',
	'wikieditor-toolbar-tool-redirect' => 'Đổi hướng',
	'wikieditor-toolbar-tool-redirect-example' => 'Tên của trang đổi hướng tới',
	'wikieditor-toolbar-tool-big' => 'Lớn',
	'wikieditor-toolbar-tool-big-example' => 'Văn bản lớn',
	'wikieditor-toolbar-tool-small' => 'Nhỏ',
	'wikieditor-toolbar-tool-small-example' => 'Văn bản nhỏ',
	'wikieditor-toolbar-tool-superscript' => 'Viết lên trên',
	'wikieditor-toolbar-tool-superscript-example' => 'Chữ được viết lên trên',
	'wikieditor-toolbar-tool-subscript' => 'Viết xuống dưới',
	'wikieditor-toolbar-tool-subscript-example' => 'Chữ được viết xuống dưới',
	'wikieditor-toolbar-group-insert' => 'Chèn',
	'wikieditor-toolbar-tool-gallery' => 'Album hình ảnh',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Ví dụ.jpg|Chú thích 1
$1:Ví dụ.jpg|Chú thích 2',
	'wikieditor-toolbar-tool-newline' => 'Dòng mới',
	'wikieditor-toolbar-tool-table' => 'Bảng',
	'wikieditor-toolbar-tool-table-example-old' => '-
! tiêu đề 1
! tiêu đề 2
! tiêu đề 3
|-
| hàng 1, cột 1
| hàng 1, cột 2
| hàng 1, cột 3
|-
| hàng 2, cột 1
| hàng 2, cột 2
| hàng 2, cột 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Văn bản ô',
	'wikieditor-toolbar-tool-table-example-header' => 'Văn bản tiêu đề',
	'wikieditor-toolbar-tool-table-title' => 'Chèn bảng',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Hàng',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Cột',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Có hàng tiêu đề',
	'wikieditor-toolbar-tool-table-wikitable' => 'Vẽ khung',
	'wikieditor-toolbar-tool-table-sortable' => 'Cho phép tự động xếp bảng',
	'wikieditor-toolbar-tool-table-example' => 'Ví dụ',
	'wikieditor-toolbar-tool-table-preview' => 'Xem trước',
	'wikieditor-toolbar-tool-table-insert' => 'Chèn',
	'wikieditor-toolbar-tool-table-cancel' => 'Hủy bỏ',
	'wikieditor-toolbar-tool-table-toomany' => 'Không thể dùng hộp thoại này để chèn bảng có hơn $1 ô.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Bạn đã nhập số hàng hay cột không hợp lệ.',
	'wikieditor-toolbar-tool-table-zero' => 'Không thể chèn bảng không có hàng hay cột nào.',
	'wikieditor-toolbar-tool-replace' => 'Tìm và thay thế',
	'wikieditor-toolbar-tool-replace-title' => 'Tìm và thay thế',
	'wikieditor-toolbar-tool-replace-search' => 'Tìm kiếm:',
	'wikieditor-toolbar-tool-replace-replace' => 'Thay thế bằng:',
	'wikieditor-toolbar-tool-replace-case' => 'Phân biệt hoa thường',
	'wikieditor-toolbar-tool-replace-regex' => 'Xem chuỗi tìm kiếm là biểu thức chính quy',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Tìm tiếp',
	'wikieditor-toolbar-tool-replace-button-replace' => 'Thay thế',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Thay tất cả',
	'wikieditor-toolbar-tool-replace-close' => 'Đóng',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Không tìm thấy',
	'wikieditor-toolbar-tool-replace-success' => 'Đã thực hiện $1 thay thế.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Bạn chưa nhập gì để tìm kiếm.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Biểu thức chính quy do bạn nhập vào không hợp lệ: $1',
	'wikieditor-toolbar-section-characters' => 'Ký tự đặc biệt',
	'wikieditor-toolbar-characters-page-latin' => 'La tinh',
	'wikieditor-toolbar-characters-page-latinextended' => 'La tinh mở rộng',
	'wikieditor-toolbar-characters-page-ipa' => 'Phiên âm quốc tế',
	'wikieditor-toolbar-characters-page-symbols' => 'Ký hiệu',
	'wikieditor-toolbar-characters-page-greek' => 'Hy Lạp',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kirin',
	'wikieditor-toolbar-characters-page-arabic' => 'Ả Rập',
	'wikieditor-toolbar-characters-page-arabicextended' => 'Ả Rập mở rộng',
	'wikieditor-toolbar-characters-page-persian' => 'Ba Tư',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hê-brơ',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarat',
	'wikieditor-toolbar-characters-page-thai' => 'Thái',
	'wikieditor-toolbar-characters-page-lao' => 'Lào',
	'wikieditor-toolbar-characters-page-khmer' => 'Khơ-me',
	'wikieditor-toolbar-section-help' => 'Trợ giúp',
	'wikieditor-toolbar-help-heading-description' => 'Miêu tả',
	'wikieditor-toolbar-help-heading-syntax' => 'Bạn nhập',
	'wikieditor-toolbar-help-heading-result' => 'Nhận được',
	'wikieditor-toolbar-help-page-format' => 'Định dạng',
	'wikieditor-toolbar-help-page-link' => 'Liên kết',
	'wikieditor-toolbar-help-page-heading' => 'Đề mục',
	'wikieditor-toolbar-help-page-list' => 'Danh sách',
	'wikieditor-toolbar-help-page-file' => 'Tập tin',
	'wikieditor-toolbar-help-page-reference' => 'Tham khảo',
	'wikieditor-toolbar-help-page-discussion' => 'Thảo luận',
	'wikieditor-toolbar-help-content-italic-description' => 'Xiên',
	'wikieditor-toolbar-help-content-italic-syntax' => "''Chữ xiên''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>Chữ xiên</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Đậm',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Chữ đậm'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Chữ đậm</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Đậm &amp; xiên',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Văn bản đậm &amp; xiên'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Văn bản đậm &amp; xiên</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Liên kết trong',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Tên trang|Văn bản liên kết]]<br />[[Tên trang]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Văn bản liên kết</a><br /><a href='#'>Tên trang</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Liên kết ngoài',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Văn bản liên kết]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Văn bản liên kết</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Đề mục cấp 2',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Câu đề mục ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Câu đề mục</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Đề mục cấp 3',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Câu đề mục ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Câu đề mục</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Đề mục cấp 4',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Câu đề mục ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Câu đề mục</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Đề mục cấp 5',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Câu đề mục =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h3>Câu đề mục</h3>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Danh sách không đánh số',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Mục danh sách<br />* Mục danh sách',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Mục danh sách</li><li>Mục danh sách</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Danh sách đánh số',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Mục danh sách<br /># Mục danh sách',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Mục danh sách</li><li>Mục danh sách</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Chèn tập tin',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Ví dụ.png|thumb|Văn bản chú thích]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Văn bản chú thích' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Phóng lớn' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Văn bản chú thích</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Tham khảo',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Nội dung trang&lt;ref name="thử"&gt;[http://www.example.org Văn bản liên kết], văn bản bổ sung.&lt;/ref&gt;.',
	'wikieditor-toolbar-help-content-reference-result' => "Nội dung trang<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-rereference-description' => 'Sử dụng lại cùng chú thích',
	'wikieditor-toolbar-help-content-rereference-result' => "Nội dung trang<sup><a href='#'>[1]</a></sup>.",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Liệt kê các chú thích',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-th.E1.BB.AD-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Văn bản liên kết</a>, văn bản bổ sung.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Chữ ký có ngày',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Tên đăng ký</a> (<a href='#' title='{{#special:mytalk}}'>thảo luận</a>) 15:54, ngày 10 tháng 6 năm 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Chữ ký',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Tên đăng ký</a> (<a href='#' title='{{#special:mytalk}}'>thảo luận</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Tăng lề',
	'wikieditor-toolbar-help-content-indent-syntax' => 'Văn bản thường<br />:Văn bản được tăng lề<br />::Văn bản được tăng lề',
	'wikieditor-toolbar-help-content-indent-result' => 'Văn bản thường<dl><dd>Văn bản được tăng lề<dl><dd>Văn bản được tăng lề</dd></dl></dd></dl>',
);

/** Volapük (Volapük)
 * @author Malafaya
 */
$messages['vo'] = array(
	'wikieditor-preview-changes-tab' => 'Votükams',
	'wikieditor-toolbar-tool-ilink-example' => 'Yümatiäd',
	'wikieditor-toolbar-tool-link' => 'Yüm',
	'wikieditor-toolbar-tool-link-title' => 'Läükön yümi',
	'wikieditor-toolbar-tool-link-int-target' => 'Tiäd pada:',
	'wikieditor-toolbar-tool-link-int-text' => 'Vödem yüma',
	'wikieditor-toolbar-tool-link-cancel' => 'Nosükön',
	'wikieditor-toolbar-group-format' => 'Lised',
	'wikieditor-toolbar-tool-big' => 'Gretik',
	'wikieditor-toolbar-tool-big-example' => 'Vödem gretik',
	'wikieditor-toolbar-tool-table' => 'Taib',
	'wikieditor-toolbar-tool-replace-close' => 'Färmükön',
	'wikieditor-toolbar-characters-page-ipa' => 'LFB',
	'wikieditor-toolbar-characters-page-greek' => 'Grikänapük',
	'wikieditor-toolbar-section-help' => 'Yuf',
	'wikieditor-toolbar-help-page-link' => 'Yüms',
	'wikieditor-toolbar-help-page-list' => 'Liseds',
	'wikieditor-toolbar-help-page-file' => 'Ragivs',
	'wikieditor-toolbar-help-content-xlink-description' => 'Yüm plödik',
	'wikieditor-toolbar-help-content-signature-description' => 'Dispenäd',
);

/** Wolof (Wolof)
 * @author Ibou
 */
$messages['wo'] = array(
	'wikieditor-toolbar' => 'Banqaasu jumtukaayu coppite',
	'wikieditor-toolbar-desc' => 'Banqaasu jumtukaayu coppite bees gënal ag jëfandikoom',
	'wikieditor-toolbar-preference' => 'Doxal banqaasu jumtukaayu coppite bees gënal bi',
	'wikieditor-toolbar-dialogs-preference' => 'Doxal palanteeri duggaluwaayu lëkkalekaay, xaatim ak yeneen',
	'wikieditor-toolbar-loading' => 'Ci yoonu yeb...',
	'wikieditor-toolbar-tool-bold' => 'Duuf',
	'wikieditor-toolbar-tool-bold-example' => 'Mbind mu duuf',
	'wikieditor-toolbar-tool-italic' => 'Weng',
	'wikieditor-toolbar-tool-italic-example' => 'Mbind mu weng',
	'wikieditor-toolbar-tool-ilink' => 'Lëkkalekaay bu biir',
	'wikieditor-toolbar-tool-ilink-example' => 'Koju lëkkalekaay bi',
	'wikieditor-toolbar-tool-xlink' => 'Lëkkalekaay bu biti (fattalikul http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com koju lëkkalekaay bi',
	'wikieditor-toolbar-tool-link' => 'Lëkkalekaay',
	'wikieditor-toolbar-tool-link-title' => 'Duggal lëkkalekaay',
	'wikieditor-toolbar-tool-link-int' => 'Jëme ciw xëtu wiki',
	'wikieditor-toolbar-tool-link-int-target' => 'Koju xët wi',
	'wikieditor-toolbar-tool-link-int-text' => 'Mbindu lëkkalekaay bi',
	'wikieditor-toolbar-tool-link-ext' => 'Jëme ciw xëtu web wu biti',
	'wikieditor-toolbar-tool-link-ext-target' => 'URL bu lëkkalekaay bi:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Mbindu lëkkalekaay bi:',
	'wikieditor-toolbar-tool-link-insert' => 'Duggal ab lëkkalekaay',
	'wikieditor-toolbar-tool-link-cancel' => 'Neenal',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Xët wu am',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Xët wi amul',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Koj bu baaxul',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Caytug amug xët wi...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'koj bi nga joxe baaxul.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL bi nga joxe dafa nirook lëkkalekaay buy jëme ci beneen wiki. Danga koo namm a def lëkkalekaay bu biir?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Lëkkalekaay bu biir',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Lëkkalekaay bu biti',
	'wikieditor-toolbar-tool-link-empty' => 'Duggaloo dara lees man a lëkkale',
	'wikieditor-toolbar-tool-file' => 'Dencukaay bees roofaale',
	'wikieditor-toolbar-tool-file-example' => 'Misaal.jpg',
	'wikieditor-toolbar-tool-reference' => 'Delluwaay',
	'wikieditor-toolbar-tool-reference-example' => 'Duggalal fii mbindu karmat gi',
	'wikieditor-toolbar-tool-signature' => 'Xaatim ak taariix',
	'wikieditor-toolbar-section-advanced' => 'Xóot',
	'wikieditor-toolbar-tool-heading' => 'Koj',
	'wikieditor-toolbar-tool-heading-1' => 'Tolluwaay 1',
	'wikieditor-toolbar-tool-heading-2' => 'Tolluwaay 2',
	'wikieditor-toolbar-tool-heading-3' => 'Tolluwaay 3',
	'wikieditor-toolbar-tool-heading-4' => 'Tolluwaay 4',
	'wikieditor-toolbar-tool-heading-5' => 'Tolluwaay 5',
	'wikieditor-toolbar-tool-heading-example' => 'Mbindu koj bi',
	'wikieditor-toolbar-group-format' => 'Lim',
	'wikieditor-toolbar-tool-ulist' => 'Lim bees tombal',
	'wikieditor-toolbar-tool-ulist-example' => 'Cëri lim bees tombal',
	'wikieditor-toolbar-tool-olist' => 'Lim bees nimerool',
	'wikieditor-toolbar-tool-olist-example' => 'Cëri lim bees nimerool',
	'wikieditor-toolbar-tool-indent' => 'Xise',
	'wikieditor-toolbar-tool-big' => 'Rëy',
	'wikieditor-toolbar-tool-big-example' => 'Mbind mu rëy',
	'wikieditor-toolbar-tool-small' => 'Tuuti',
	'wikieditor-toolbar-tool-small-example' => 'Mbind mu tuuti',
	'wikieditor-toolbar-tool-superscript' => 'Tiimaan',
	'wikieditor-toolbar-tool-superscript-example' => 'Mbind ci tiimaan',
	'wikieditor-toolbar-tool-subscript' => 'Suufaan',
	'wikieditor-toolbar-tool-subscript-example' => 'Mbind ci suufaan',
	'wikieditor-toolbar-group-insert' => 'Roof',
	'wikieditor-toolbar-tool-gallery' => 'Gaaraluwaayu  nataal',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Misaal.jpg|Faramfacce1
$1:Misaal.jpg|Faramfacce2',
	'wikieditor-toolbar-tool-newline' => 'Rëdd wu bees',
	'wikieditor-toolbar-tool-table' => 'Xaatim',
	'wikieditor-toolbar-tool-table-example-old' => '-
! koj 1
! koj 2
! koj 3
|-
| rëdd 1, keno 1
| rëdd 1, keno 2
| rëdd 1, keno 3
|-
| rëdd 2, keno 1
| rëdd 2, keno 2
| rëdd 2, keno 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Mbindum kër gi',
	'wikieditor-toolbar-tool-table-example-header' => 'Mbindum koj bi',
	'wikieditor-toolbar-tool-table-title' => 'Roof ab xaatim',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Rëdd',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Keno',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Duggalaale rëdduw kaw-xët',
	'wikieditor-toolbar-tool-table-wikitable' => 'Meliin ak wet yi',
	'wikieditor-toolbar-tool-table-sortable' => 'Def xaatim bi nosuwu',
	'wikieditor-toolbar-tool-table-example' => 'Mbindum kër gi',
	'wikieditor-toolbar-tool-table-preview' => 'Wonendi',
	'wikieditor-toolbar-tool-table-insert' => 'Roof',
	'wikieditor-toolbar-tool-table-cancel' => 'Neenal',
	'wikieditor-toolbar-tool-table-toomany' => 'Maneesula roofub xaatim bu weesu $1 kër ak bii jumtukaay.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Duggaloo limub rëdd walla keno bu baax.',
	'wikieditor-toolbar-tool-table-zero' => 'Manoo roofub xaatim bu amul rëdd walla keno',
	'wikieditor-toolbar-tool-replace' => 'Seet te wuutu',
	'wikieditor-toolbar-tool-replace-title' => 'Seet te wuutal',
	'wikieditor-toolbar-tool-replace-search' => 'Seet:',
	'wikieditor-toolbar-tool-replace-replace' => 'Wuutal ak:',
	'wikieditor-toolbar-tool-replace-case' => 'Tollale dayoo',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Gis bi toftal',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Wuutal yépp',
	'wikieditor-toolbar-tool-replace-close' => 'Neenal',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Sa ceet gi jurul dara',
	'wikieditor-toolbar-tool-replace-success' => '$1 wuutu lees def',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Waxoo looy seet.',
);

/** Wu (吴语) */
$messages['wuu'] = array(
	'wikieditor-template-editor-dialog-cancel' => '取消',
	'wikieditor-toolbar-tool-reference-cancel' => '取消',
);

/** Mingrelian (მარგალური) */
$messages['xmf'] = array(
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
);

/** Yiddish (ייִדיש)
 * @author פוילישער
 */
$messages['yi'] = array(
	'wikieditor' => 'פֿארטגעשריטענע וויקיטעקסט רעדאַקטירונג',
	'wikieditor-desc' => 'פֿאַרברייטבאַרער וויקיטעקס רעדאַקטירונג אויבערפֿלאך מיט א סך מאדולן וואָס פֿאַרזארגן נײַע פֿונקציאנען',
	'wikieditor-wikitext-tab' => 'וויקיטעקסט',
	'wikieditor-loading' => 'לאָדנדיק',
	'wikieditor-preview-preference' => 'דערמעגלעכן זייַט-אויף-זייַט פֿאָרויסיקע ווייַזונג',
	'wikieditor-preview-tab' => 'פֿאראויסשטעלונג',
	'wikieditor-preview-changes-tab' => 'ענדערונגען',
	'wikieditor-preview-loading' => 'לאָדט…',
	'wikieditor-previewDialog-tab' => 'פֿאראויסשטעלונג',
	'wikieditor-previewDialog-loading' => 'לאָדט…',
	'wikieditor-publish-button-publish' => 'פֿאַרעפֿנטלעכן',
	'wikieditor-publish-button-cancel' => 'אַנולירן',
	'wikieditor-publish-dialog-title' => 'פארעפנטלעכן אויף {{SITENAME}}',
	'wikieditor-publish-dialog-minor' => 'מינערדיקער רעדאַקטירונג',
	'wikieditor-publish-dialog-watch' => 'אויפֿפאַסן אויף דעם בלאַט',
	'wikieditor-publish-dialog-publish' => 'פֿאַרעפֿנטלעכן',
	'wikieditor-publish-dialog-goback' => 'צוריקגיין',
	'wikieditor-template-editor-dialog-title' => 'רעדאַקטירן מוסטער',
	'wikieditor-template-editor-dialog-submit' => 'דערהײַנטיקן',
	'wikieditor-template-editor-dialog-cancel' => 'אַנולירן',
	'wikieditor-toc-show' => 'ווײַזן אינהאַלט',
	'wikieditor-toc-hide' => 'באַהאַלטן אינהאַלט',
	'wikieditor-toolbar' => 'רעדאקטירונג געצייג־פאס',
	'wikieditor-toolbar-desc' => 'רעדאַקטירן בלאַט געצייגפאַס מיט פֿאַרברייטערטער ניצלעכקייט',
	'wikieditor-toolbar-preference' => 'אַקטיווירן פֿאַרברייטערטן רעדאַקטירונג פאַס',
	'wikieditor-toolbar-dialogs-preference' => 'דערמעגלעכן דיאָלאג קעסטלעך פֿאַר אַרײַנלייגן לינקען, טאַבעלעס און נאך',
	'wikieditor-toolbar-hidesig' => 'באהאלטן דאס אונטערשריפט קנעפל פון בלעטער אין דעם הויפט נאמענטייל',
	'wikieditor-toolbar-loading' => 'אָנלאָדן...',
	'wikieditor-toolbar-tool-bold' => 'דיק',
	'wikieditor-toolbar-tool-bold-example' => 'דיקער טעקסט',
	'wikieditor-toolbar-tool-italic' => 'קורסיוו',
	'wikieditor-toolbar-tool-italic-example' => 'קורסיווער טעקסט',
	'wikieditor-toolbar-tool-ilink' => 'אינערער לינק',
	'wikieditor-toolbar-tool-ilink-example' => 'לינק טיטל',
	'wikieditor-toolbar-tool-xlink' => 'דרויסנדיקער לינק (געדענקט דעם http:// פרעפֿיקס)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com לינק טיטל',
	'wikieditor-toolbar-tool-link' => 'לינק',
	'wikieditor-toolbar-tool-link-title' => 'אַרײַנשטעלן לינק',
	'wikieditor-toolbar-tool-link-int' => 'צו א וויקי בלאט',
	'wikieditor-toolbar-tool-link-int-target' => 'בלאט טיטל:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'בלאַט טיטל אָדער URL',
	'wikieditor-toolbar-tool-link-int-text' => 'טעקסט צו ווייַזן:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'טעקסט צו ווערן געוויזן',
	'wikieditor-toolbar-tool-link-ext' => 'צו אַ דרויסנדיקן וועב בלאַט',
	'wikieditor-toolbar-tool-link-ext-target' => 'לינק אַדרעס:',
	'wikieditor-toolbar-tool-link-ext-text' => 'לינק טעקסט:',
	'wikieditor-toolbar-tool-link-insert' => 'אַרײַנשטעלן לינק',
	'wikieditor-toolbar-tool-link-cancel' => 'אנולירן',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'בלאט עקזיסטירט',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'בלאט עקזיסטירט נישט',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'אומגילטיקער טיטל',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'דרויסנדיקער לינק',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'קאָנטראָלירן צי בלאַט עקזיסטירט ...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'דעם טיטל איר האט ספעציפֿירט איז אומגילטיק.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'דעם URL איר האט ספעציפֿירט זעט אויס ווי א לינק צו אַן אַנדער וויקי בלאַט. צי ווילט איר מאַכן דאָס אַן אינערלעכן לינק?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'אינערלעכער לינק',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'דרויסנדיקער לינק',
	'wikieditor-toolbar-tool-link-empty' => 'איר האט גאָרנישט ארײַנגעגעבן צום פֿאַרבינדן.',
	'wikieditor-toolbar-tool-file' => 'אײַנגעבעטעטע טעקע',
	'wikieditor-toolbar-tool-file-example' => 'בײַשפיל.jpg',
	'wikieditor-toolbar-tool-reference' => 'רעפערענץ',
	'wikieditor-toolbar-tool-reference-example' => 'אַרײַנשטעלן פֿיסל טעקסט דא',
	'wikieditor-toolbar-tool-reference-cancel' => 'אַנולירן',
	'wikieditor-toolbar-tool-reference-title' => 'ארײַנגעבן רעפֿערענץ',
	'wikieditor-toolbar-tool-reference-insert' => 'צולייגן',
	'wikieditor-toolbar-tool-reference-text' => 'רעפֿערענץ טעקסט',
	'wikieditor-toolbar-tool-signature' => 'חתימה און צײַטשטעמפל',
	'wikieditor-toolbar-section-advanced' => 'פֿארגעשריטן',
	'wikieditor-toolbar-tool-heading' => 'קעפל',
	'wikieditor-toolbar-tool-heading-1' => 'ניוואָ 1',
	'wikieditor-toolbar-tool-heading-2' => 'ניוואָ 2',
	'wikieditor-toolbar-tool-heading-3' => 'ניווא 3',
	'wikieditor-toolbar-tool-heading-4' => 'ניווא 4',
	'wikieditor-toolbar-tool-heading-5' => 'ניוואָ 5',
	'wikieditor-toolbar-tool-heading-example' => 'קעפל טעקסט',
	'wikieditor-toolbar-group-format' => 'פֿאָרמאַט',
	'wikieditor-toolbar-tool-ulist' => 'רשימה מיט בולעטן',
	'wikieditor-toolbar-tool-ulist-example' => 'רשימה מיט בולעטן איינס',
	'wikieditor-toolbar-tool-olist' => 'נומערירטע רשימה',
	'wikieditor-toolbar-tool-olist-example' => 'נומערירטע רשימה איינס',
	'wikieditor-toolbar-tool-indent' => 'אָפרוקונג',
	'wikieditor-toolbar-tool-indent-example' => 'אָפגערוקטע שורה',
	'wikieditor-toolbar-tool-nowiki' => 'נישט קיין וויקי פאָרמאַטירונג',
	'wikieditor-toolbar-tool-nowiki-example' => 'נישט פֿארמאַטירטער טעקסט',
	'wikieditor-toolbar-tool-redirect' => 'ווענדונג',
	'wikieditor-toolbar-tool-redirect-example' => 'ציל בלאַט נאָמען',
	'wikieditor-toolbar-tool-big' => 'גרויס',
	'wikieditor-toolbar-tool-big-example' => 'גרויסער טעקסט',
	'wikieditor-toolbar-tool-small' => 'קליין',
	'wikieditor-toolbar-tool-small-example' => 'קליינער טעקסט',
	'wikieditor-toolbar-tool-superscript' => 'הייבונג',
	'wikieditor-toolbar-tool-superscript-example' => 'געהויבענער טעקסט',
	'wikieditor-toolbar-tool-subscript' => 'נידעריקונג',
	'wikieditor-toolbar-tool-subscript-example' => 'גענידערטער טעקסט',
	'wikieditor-toolbar-group-insert' => 'צולייגן',
	'wikieditor-toolbar-tool-gallery' => 'בילדער גאַלעריע',
	'wikieditor-toolbar-tool-gallery-example' => '$1:בײַשפיל.jpg|קעפל1
$1:בײַשפיל.jpg|קעפל2',
	'wikieditor-toolbar-tool-newline' => 'נײַע שורה',
	'wikieditor-toolbar-tool-table' => 'טאַבעלע',
	'wikieditor-toolbar-tool-table-example-old' => '-
! קעפל 1
! קעפל 2
! קעפל 3
|-
| ריי 1, צעל 1
| ריי 1, צעל 2
| ריי 1, צעל 3
|-
| ריי 2, צעל 1
| ריי 2, צעל 2
| ריי 2, צעל 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'צעל טעקסט',
	'wikieditor-toolbar-tool-table-example-header' => 'קעפל טעקסט',
	'wikieditor-toolbar-tool-table-title' => 'צולייגן טאַבעלע',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'שורות',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'עמודים',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'צולייגן קעפל שורה',
	'wikieditor-toolbar-tool-table-wikitable' => 'סטיל מיט ראמען',
	'wikieditor-toolbar-tool-table-sortable' => 'מאַכן טאַבעלע סארטירבאַר',
	'wikieditor-toolbar-tool-table-example' => 'צעל טעקסט',
	'wikieditor-toolbar-tool-table-preview' => 'פֿאראויסשטעלונג',
	'wikieditor-toolbar-tool-table-insert' => 'צולייגן',
	'wikieditor-toolbar-tool-table-cancel' => 'אנולירן',
	'wikieditor-toolbar-tool-table-toomany' => 'מיט דעם  דיאַלאג איז נישט מעגלעך אַרײַנשטעלן א טאַבעלע מיט מער ווי $1 צעלן',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'איר האָט נישט ארײַנגעגעבן אַ גילטיקן נומער פון שורות אָדער זיילן.',
	'wikieditor-toolbar-tool-table-zero' => 'איר קענט נישט אַרײַנשטעלן א טאַבעלע מיט נול שורות אדער זיילן.',
	'wikieditor-toolbar-tool-replace' => 'זוכן און בײַטן',
	'wikieditor-toolbar-tool-replace-title' => 'זוכן און בײַטן',
	'wikieditor-toolbar-tool-replace-search' => 'זוכן פֿאַר:',
	'wikieditor-toolbar-tool-replace-replace' => 'פֿאַרבייטן מיט:',
	'wikieditor-toolbar-tool-replace-case' => 'צופאַסן גרויסע און קליינע אותיות',
	'wikieditor-toolbar-tool-replace-regex' => 'באַהאַנדלען זוכקייטל ווי א רעגולערן אויסדרוק',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'זוכן נעקסטע',
	'wikieditor-toolbar-tool-replace-button-replace' => 'אויסבײַטן',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'אויסבײַטן אלץ',
	'wikieditor-toolbar-tool-replace-close' => 'שליסן',
	'wikieditor-toolbar-tool-replace-nomatch' => 'אײַער זוך האט גאָרנישט צוגעפאַסט',
	'wikieditor-toolbar-tool-replace-success' => '$1 אויסבײַט(ן) אַדורכגעפֿירט.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'איר האט גאָרנישט ארײַנגעגעבן צום זוכן.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'דער רעגולערער אויסדרוק וואָס איר האט אַרײַנגעגעבן איז אומגילטיק: $1',
	'wikieditor-toolbar-section-characters' => 'ספעציעלע צייכנס',
	'wikieditor-toolbar-characters-page-latin' => 'לאַטייניש',
	'wikieditor-toolbar-characters-page-latinextended' => 'לאַטייַן פֿאַרברייטערט',
	'wikieditor-toolbar-characters-page-ipa' => 'אינטערנאַציאנאלער פֿאנעטישער אלפֿאבעט (IPA)',
	'wikieditor-toolbar-characters-page-symbols' => 'סימבאלן',
	'wikieditor-toolbar-characters-page-greek' => 'גריכיש',
	'wikieditor-toolbar-characters-page-cyrillic' => 'ציריליש',
	'wikieditor-toolbar-characters-page-arabic' => 'אראביש',
	'wikieditor-toolbar-characters-page-persian' => 'פּערסיש',
	'wikieditor-toolbar-characters-page-hebrew' => 'העברעיש',
	'wikieditor-toolbar-characters-page-bangla' => 'בענגאַליש',
	'wikieditor-toolbar-characters-page-telugu' => 'טעלוגו',
	'wikieditor-toolbar-characters-page-sinhala' => 'סינהאַלאַ',
	'wikieditor-toolbar-characters-page-gujarati' => 'גודזשאַראַטי',
	'wikieditor-toolbar-characters-page-thai' => 'טהאי',
	'wikieditor-toolbar-characters-page-lao' => 'לאַאטיש',
	'wikieditor-toolbar-characters-page-khmer' => 'כמער',
	'wikieditor-toolbar-section-help' => 'הילף',
	'wikieditor-toolbar-help-heading-description' => 'באַשרײַבונג',
	'wikieditor-toolbar-help-heading-syntax' => 'וואָס איר קלאַפט אַרײַן',
	'wikieditor-toolbar-help-heading-result' => 'ווי עס זעט אויס',
	'wikieditor-toolbar-help-page-format' => 'פֿאָרמאַטירונג',
	'wikieditor-toolbar-help-page-link' => 'לינקען',
	'wikieditor-toolbar-help-page-heading' => 'קעפלעך',
	'wikieditor-toolbar-help-page-list' => 'ליסטעס',
	'wikieditor-toolbar-help-page-file' => 'טעקעס',
	'wikieditor-toolbar-help-page-reference' => 'רעפערענצן',
	'wikieditor-toolbar-help-page-discussion' => 'שמועס',
	'wikieditor-toolbar-help-content-italic-description' => 'קורסיוו',
	'wikieditor-toolbar-help-content-italic-syntax' => "''קורסיווער טעקסט''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>קורסיווער טעקסט</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'דיק',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''דיקער טעקסט'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>דיקער טעקסט</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'דיק &amp; שיף',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''דיקער &amp; קורסיווער טעקסט'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>דיקער &amp; קורסיווער טעקסט</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'אינערלעכער לינק',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[בלאַט קעפל|לינק טעקסט]] <br /> [[בלאַט קעפל]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>לינק טעקסט</a> <br /> <a href='#'>בלאַט קעפל</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'דרויסנדיקער לינק',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org לינק טעקסט] <br /> [http://www.example.org] <br /> http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>לינק טעקסט</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'צווייטער ניווא קעפל',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== קעפל טעקסט ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>קעפל טעקסט</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'דריטער ניווא קעפל',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== קעפל טעקסט ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>קעפל טעקסט</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'פֿערטער ניווא קעפל',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== קעפל טעקסט ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>קעפל טעקסט</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'פֿיפֿטער ניווא קעפל',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== קעפל טעקסט =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>קעפל טעקסט</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'רשימה מיט בולעטן',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* ליסטע איינצל<br />* ליסטע איינצל',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>ליסטע איינצל</li><li>ליסטע איינצל</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'נומערירטע ליסטע',
	'wikieditor-toolbar-help-content-olist-syntax' => '# ליסטע איינצל<br /># ליסטע איינצל',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>ליסטע איינצל</li><li>ליסטע איינצל</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'אײַנגעבעטעטע טעקע',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|באשרייבונג]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='קעפל טעקסט' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='פארגרעסערן' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>באַשרײַבונג</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'רעפערענץ',
	'wikieditor-toolbar-help-content-reference-syntax' => 'בלאַט טעקסט.&lt;ref name="test"&gt;[http://www.example.org לינק טעקסט], צוגעגעבענער טעקסט.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "בלאַט טעקסט. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-rereference-result' => "בלאַט טעקסט. <a href='#'><sup>[1]</sup></a>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'ווייַזן רעפֿערענצן',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>לינק טעקסט</a>, נאך טעקסט.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'אונטערשריפֿט מיט צײַטסטעמפּל.',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>באַניצער נאָמען</a> (<a href='#' title='{{#special:mytalk}}'>שמועס</a>) 15:54, 10 טן יוני 2009  (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'חתימה',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>באַניצער נאָמען</a> (<a href='#' title='{{#special:mytalk}}'>שמועס</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'אָפרוקן',
	'wikieditor-toolbar-help-content-indent-syntax' => 'נארמאַלער טעקסט<br />:אָפגערוקטער טעקסט<br />::אָפגערוקטער טעקסט',
	'wikieditor-toolbar-help-content-indent-result' => 'נארמאַלער טעקסט<dl><dd>אָפגערוקטער טעקסט<dl><dd>אָפגערוקטער טעקסט</dd></dl></dd></dl>',
);

/** Yoruba (Yorùbá)
 * @author Demmy
 */
$messages['yo'] = array(
	'wikieditor-wikitext-tab' => 'Ìkọ wiki',
	'wikieditor-loading' => 'Úngbéyọ',
	'wikieditor-preview-preference' => 'Ìgbàláyè àyẹ̀wò lẹ́gbẹ̀ẹ́ ara wọn',
	'wikieditor-preview-tab' => 'Àyẹ̀wò',
	'wikieditor-preview-changes-tab' => 'Àwọn àtúnṣe',
	'wikieditor-preview-loading' => 'Óúnbọ̀wá...',
	'wikieditor-previewDialog-preference' => 'Ìgbàláyè pátákó àkíyèsí fún àyẹ̀wò',
	'wikieditor-previewDialog-tab' => 'Àyẹ̀wò',
	'wikieditor-previewDialog-loading' => 'Óúnbọ̀wá...',
	'wikieditor-publish-preference' => 'Ìgbàláyè ìtẹ̀jáde lẹ́sẹ-sẹ',
	'wikieditor-publish-button-publish' => 'Ìtẹ̀jáde',
	'wikieditor-publish-button-cancel' => 'Fagilé',
	'wikieditor-publish-dialog-title' => 'Ìtẹ̀jáde sí {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => 'Àkótán àtúnṣe (àlàyé ní sókí àtúnṣe tí ẹ ṣe):',
	'wikieditor-publish-dialog-minor' => 'Àtúnṣe kékeré',
	'wikieditor-publish-dialog-watch' => "M'ójútó ojúewé yìí",
	'wikieditor-publish-dialog-publish' => 'Ìtẹ̀jáde',
	'wikieditor-publish-dialog-goback' => 'Padà sẹ́yìn',
	'wikieditor-template-editor-preference' => 'Ìgbàláyè àtúnṣe onífọ́ọ́mù àwọn àdàkọ wiki',
	'wikieditor-template-editor-dialog-title' => 'Àtúnṣe àdàkọ',
	'wikieditor-template-editor-dialog-submit' => 'Ìtúnṣe',
	'wikieditor-template-editor-dialog-cancel' => 'Fagilé',
	'wikieditor-templates-preference' => 'Ìgbàláyè ìbòmọ́lẹ̀ àdàkọ',
	'wikieditor-toc-preference' => 'Ìgbàláyè pátákó àwọn àkóónú atọ́ka',
	'wikieditor-toc-show' => 'Ìfihàn àwọn àkóónú',
	'wikieditor-toc-hide' => 'Ìbòmọ́lẹ̀ àkóónú',
	'wikieditor-toolbar' => 'Àtúnṣe sí pẹpẹ irinṣẹ́',
	'wikieditor-toolbar-desc' => 'Àtúnṣe ojúewé pẹpẹ irinṣẹ́ pẹ̀lú ìṣeémúlò amúdára',
	'wikieditor-toolbar-preference' => 'Ìgbàláyè pẹpẹ irinṣẹ́ àtúnṣe mímúdára',
	'wikieditor-toolbar-dialogs-preference' => 'Ìgbàláyè àwọn pátákó àkíyèsí fún ìkìbọ̀ ìjápọ̀, tábìlì àti bẹ́ẹ̀bẹ́ẹ̀ lọ',
	'wikieditor-toolbar-loading' => 'Óúnbọ̀wá...',
	'wikieditor-toolbar-tool-bold' => 'Kedere',
	'wikieditor-toolbar-tool-bold-example' => 'Ìkọ kedere',
	'wikieditor-toolbar-tool-italic' => 'Awọ́lẹ́ẹ̀gbẹ́',
	'wikieditor-toolbar-tool-italic-example' => 'Ìkọ awọ́lẹ́ẹ̀gbẹ́',
	'wikieditor-toolbar-tool-ilink' => 'Ìjápọ̀ inú',
	'wikieditor-toolbar-tool-ilink-example' => 'Àkọlé ìjápọ̀',
	'wikieditor-toolbar-tool-xlink' => 'Ìjápọ̀ lóde (ẹ mọ́ gbàgbé àlẹ̀mọ́wájú http://)',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com àkọlé ìjápọ̀',
	'wikieditor-toolbar-tool-link' => 'Ìjápọ̀',
	'wikieditor-toolbar-tool-link-title' => 'Ìkìbọ̀ ìjápọ̀',
	'wikieditor-toolbar-tool-link-int' => 'Sí ojúewé wiki kan',
	'wikieditor-toolbar-tool-link-int-target' => 'Àkọlè ojúewé tàbí URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => 'Àkọlé ojúewé tàbí URL',
	'wikieditor-toolbar-tool-link-int-text' => 'Ìkọ láti fihàn:',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => 'Ìkọ láti jẹ́ fífihàn',
	'wikieditor-toolbar-tool-link-ext' => 'Sí ojúewé ìtakùn lóde',
	'wikieditor-toolbar-tool-link-ext-target' => 'Ìjápọ̀ URL:',
	'wikieditor-toolbar-tool-link-ext-text' => 'Ìkọ ìjápọ̀:',
	'wikieditor-toolbar-tool-link-insert' => 'Ìkìbọ̀ ìjápọ̀',
	'wikieditor-toolbar-tool-link-cancel' => 'Fagilé',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => 'Ojúewé wà',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => 'Kò sí ojúewé',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => 'Àkọlé tíkòyẹ',
	'wikieditor-toolbar-tool-link-int-target-status-external' => 'Ìjápọ̀ lóde',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => 'Únyẹ̀wò bóyá ojúewé wà...',
	'wikieditor-toolbar-tool-link-int-invalid' => 'Àkọlè tí ẹ nàkasí kò yẹ.',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => 'URL tí ẹ nàkasí dàbí pé ó jẹ́ ìjápọ̀ sí ojúewé wiki mìràn. Ṣé ẹ fẹ́ sọọ́ di ìjápọ̀ inú?',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => 'Ìjápọ̀ inú',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => 'Ìjápọ̀ lóde',
	'wikieditor-toolbar-tool-link-empty' => 'Ẹ kò kọ ùnkankan láti jápọ̀ mọ́.',
	'wikieditor-toolbar-tool-file' => 'Fáìlì alákòósínú',
	'wikieditor-toolbar-tool-file-example' => 'Àpẹrẹ.jpg',
	'wikieditor-toolbar-tool-reference' => 'Ìtọ́kasí',
	'wikieditor-toolbar-tool-reference-example' => 'Ìkìbọ ìkọ ìkíyésí níbí',
	'wikieditor-toolbar-tool-reference-cancel' => 'Fagilé',
	'wikieditor-toolbar-tool-reference-title' => 'Ìkìbọ̀ ìtọ́kasí',
	'wikieditor-toolbar-tool-reference-insert' => 'Ìkìbọ̀',
	'wikieditor-toolbar-tool-reference-text' => 'Ìkọ ìtọ́kasí',
	'wikieditor-toolbar-tool-signature' => 'Ìtọwọ́bọ̀wé àti èdìdí àkókò',
	'wikieditor-toolbar-section-advanced' => 'Gíga',
	'wikieditor-toolbar-tool-heading' => 'Àkọlé',
	'wikieditor-toolbar-tool-heading-1' => 'Ìpele 1',
	'wikieditor-toolbar-tool-heading-2' => 'Ìpele 2',
	'wikieditor-toolbar-tool-heading-3' => 'Ìpele 3',
	'wikieditor-toolbar-tool-heading-4' => 'Ìpele 4',
	'wikieditor-toolbar-tool-heading-5' => 'Ìpele 5',
	'wikieditor-toolbar-tool-heading-example' => 'Ìkọ àkọlé',
	'wikieditor-toolbar-group-format' => 'Ìdá',
	'wikieditor-toolbar-tool-ulist' => 'Àkójọ oníàmì',
	'wikieditor-toolbar-tool-ulist-example' => 'Ohun àkójọ oníàmì',
	'wikieditor-toolbar-tool-olist' => 'Àkójọ onínọ́mbà',
	'wikieditor-toolbar-tool-olist-example' => 'Ohun àkójọ onínọ́mbà',
	'wikieditor-toolbar-tool-indent' => 'Ìwọ́',
	'wikieditor-toolbar-tool-indent-example' => 'Ìlà wíwọ́',
	'wikieditor-toolbar-tool-nowiki' => 'Bẹ́ẹ̀kọ́ sí ìsédá wiki',
	'wikieditor-toolbar-tool-nowiki-example' => 'Ìkìbọ̀ ìkọ àìjẹ́ síṣèdá síbí',
	'wikieditor-toolbar-tool-redirect' => 'Àtúnjúwe',
	'wikieditor-toolbar-tool-redirect-example' => 'Orúkọ ojúewé',
	'wikieditor-toolbar-tool-big' => 'Gbàngbà',
	'wikieditor-toolbar-tool-big-example' => 'Ìkọ gbàngbà',
	'wikieditor-toolbar-tool-small' => 'Kónkóló',
	'wikieditor-toolbar-tool-small-example' => 'Ìkọ kónkóló',
	'wikieditor-toolbar-tool-superscript' => 'Àfikọṣórí',
	'wikieditor-toolbar-tool-superscript-example' => 'Ìkọ àfìkọṣórí',
	'wikieditor-toolbar-tool-subscript' => 'Àfìkọṣábẹ́',
	'wikieditor-toolbar-tool-subscript-example' => 'Ìkọ àfìkọṣábẹ́',
	'wikieditor-toolbar-group-insert' => 'Ìkìbọ̀',
	'wikieditor-toolbar-tool-gallery' => 'Ìkójọ àwòrán',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|Àkọlé1
$1:Example.jpg|Àkọlé2',
	'wikieditor-toolbar-tool-newline' => 'Ìlà tuntun',
	'wikieditor-toolbar-tool-table' => 'Tábìlì',
	'wikieditor-toolbar-tool-table-example-old' => '-
! orí ọ̀rọ̀ 1
! orí ọ̀rọ̀ 2
! orí ọ̀rọ̀ 3
|-
| orí ìlà 1, ìhámọ́ 1
| orí ìlà 1, ìhámọ́ 2
| orí ìlà 1, ìhámọ́ 3
|-
| orí ìlà 2, ìhámọ́ 1
| orí ìlà 2, ìhámọ́ 2
| orí ìlà 2, ìhámọ́ 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => 'Ìkọ inú ìhámọ́',
	'wikieditor-toolbar-tool-table-example-header' => 'Ìkọ orí ọ̀rọ̀',
	'wikieditor-toolbar-tool-table-title' => 'Ìkìbọ tábìlì',
	'wikieditor-toolbar-tool-table-dimensions-rows' => 'Àwọn orí ìlà',
	'wikieditor-toolbar-tool-table-dimensions-columns' => 'Àwọn orí òpó',
	'wikieditor-toolbar-tool-table-dimensions-header' => 'Àfikún àkọlé orí ìlà',
	'wikieditor-toolbar-tool-table-wikitable' => 'Ṣe é pẹ̀lú bodè',
	'wikieditor-toolbar-tool-table-sortable' => 'Kó le ṣe é túntò',
	'wikieditor-toolbar-tool-table-example' => 'Àpẹrẹ',
	'wikieditor-toolbar-tool-table-preview' => 'Àyẹ̀wò',
	'wikieditor-toolbar-tool-table-insert' => 'Ìkìbọ̀',
	'wikieditor-toolbar-tool-table-cancel' => 'Fagilé',
	'wikieditor-toolbar-tool-table-toomany' => 'Ìkìbọ̀ tábìlì pẹ̀lú ìhámọ́ tóju $1 lọ kò ṣẹ é ṣe pẹ̀lú pátákó àkíyèsí yìí.',
	'wikieditor-toolbar-tool-table-invalidnumber' => 'Ẹ kò ì tíì ki iye àwọn orí ìlà àti orí òpó tó yẹ bọlé.',
	'wikieditor-toolbar-tool-table-zero' => 'Ẹ kò le ṣe ìkìbọ̀ tábìlì tó ní òdo orí ìlà àti òdo orí òpó.',
	'wikieditor-toolbar-tool-replace' => 'Àwárí láti rọ́pò',
	'wikieditor-toolbar-tool-replace-title' => 'Àwárí láti rọ́pò',
	'wikieditor-toolbar-tool-replace-search' => 'Àwárí fún:',
	'wikieditor-toolbar-tool-replace-replace' => 'Rọ́pò pẹ̀lú:',
	'wikieditor-toolbar-tool-replace-case' => 'Ìbámu lẹ́tà kúkúrú-nínlá',
	'wikieditor-toolbar-tool-replace-regex' => 'Ṣe ìkọ-ọ̀rọ̀ àwárí bíi ìṣọ̀rọ̀ dédé',
	'wikieditor-toolbar-tool-replace-button-findnext' => 'Wá omíràn',
	'wikieditor-toolbar-tool-replace-button-replaceall' => 'Ìrọ́pò gbogbo wọn',
	'wikieditor-toolbar-tool-replace-close' => 'Padé',
	'wikieditor-toolbar-tool-replace-nomatch' => 'Àwárí yín kò bá ohun kankan mu.',
	'wikieditor-toolbar-tool-replace-success' => 'Ìrọ́pò $1 wáyé.',
	'wikieditor-toolbar-tool-replace-emptysearch' => 'Ẹ kò kọ ohun kankan láti wárí.',
	'wikieditor-toolbar-tool-replace-invalidregex' => 'Ìgbékalẹ̀ọ̀rọ̀ dédé tí ẹ kọ kò yẹ: $1',
	'wikieditor-toolbar-section-characters' => 'Àwọn lẹ́tà pàtàkì',
	'wikieditor-toolbar-characters-page-latin' => 'Látìnì',
	'wikieditor-toolbar-characters-page-latinextended' => 'Látìnì títóbi',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => 'Àwọn àmì ìdámọ̀',
	'wikieditor-toolbar-characters-page-greek' => 'Gíríkì',
	'wikieditor-toolbar-characters-page-cyrillic' => 'Kíúrílíkì',
	'wikieditor-toolbar-characters-page-arabic' => 'Lárúbáwá',
	'wikieditor-toolbar-characters-page-persian' => 'Èdè Pẹrsíà',
	'wikieditor-toolbar-characters-page-hebrew' => 'Hébérù',
	'wikieditor-toolbar-characters-page-bangla' => 'Bánglà',
	'wikieditor-toolbar-characters-page-telugu' => 'Tèlúgù',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-characters-page-thai' => 'Thai',
	'wikieditor-toolbar-characters-page-lao' => 'Lao',
	'wikieditor-toolbar-characters-page-khmer' => 'Khmer',
	'wikieditor-toolbar-section-help' => 'Ìrànwọ́',
	'wikieditor-toolbar-help-heading-description' => 'Ìjúwe',
	'wikieditor-toolbar-help-heading-syntax' => 'Ohun tí ẹ tẹ̀',
	'wikieditor-toolbar-help-heading-result' => 'Ohun tí ẹ ó ò rí',
	'wikieditor-toolbar-help-page-format' => 'Ìṣèdá',
	'wikieditor-toolbar-help-page-link' => 'Àwọn ìjápọ̀',
	'wikieditor-toolbar-help-page-heading' => 'Àwọn àkọlé',
	'wikieditor-toolbar-help-page-list' => 'Àwọn àkójọ',
	'wikieditor-toolbar-help-page-file' => 'Àwọn fáìlì',
	'wikieditor-toolbar-help-page-reference' => 'Àwọn ìtọ́kasí',
	'wikieditor-toolbar-help-page-discussion' => 'Ìfọ̀rọ̀wérọ̀',
	'wikieditor-toolbar-help-content-italic-description' => 'Awọ́lẹ́ẹ̀gbẹ́',
	'wikieditor-toolbar-help-content-italic-syntax' => 'Ìkọ awọ́lẹ́ẹ̀gbẹ́',
	'wikieditor-toolbar-help-content-italic-result' => '<em>Ìkọ àwọ́lẹ́ẹ̀gbẹ́</em>',
	'wikieditor-toolbar-help-content-bold-description' => 'Kedere',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''Ìkọ kedere'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>Ìkọ kedere</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => 'Kedere &amp; àwọ́lẹ́ẹ̀gbẹ́',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''Ìkọ kedere &amp; àwọ́lẹ́ẹ̀gbẹ́'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>Ìkọ kedere &amp; àwọ́lẹ́ẹ̀gbẹ́</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => 'Ìjápọ̀ inú',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[Àkọlé ojúewé|Àlẹ̀mọ́ ìjápọ̀]]<br />[[Àkọlé ojúewé]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>Àlẹ̀mọ́ ìjápọ̀</a><br /><a href='#'>Àkọlé ojúewé</a>",
	'wikieditor-toolbar-help-content-xlink-description' => 'Ìjápọ̀ lóde',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org Àlẹ̀mọ́ ìjápọ̀]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>Àlẹ̀mọ́ ìjápọ̀</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => 'Ìpele ìṣorí ọ̀rọ̀ 2ji',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== Ìkọ orí ọ̀rọ̀ ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>Ìkọ orí ọ̀rọ̀</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => 'Ìpele ìṣorí ọ̀rọ̀ 3ta',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== Ìkọ orí ọ̀rọ̀ ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>Ìkọ orí ọ̀rọ̀</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => 'Ìpele ìṣorí ọ̀rọ̀ 4rin',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== Ìkọ orí ọ̀rọ̀ ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>Ìkọ orí ọ̀rọ̀</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => 'Ìpele ìṣorí ọ̀rọ̀ 5run',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== Ìkọ orí ọ̀rọ̀ =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>Ìkọ orí ọ̀rọ̀</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => 'Àkójọ oníàmì',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* Ohun àkójọ<br />* Ohun àkójọ',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>Ohun àkójọ</li><li>Ohun àkójọ</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => 'Àkójọ onínọ́mbà',
	'wikieditor-toolbar-help-content-olist-syntax' => '# Ohun àkójọ<br /># Ohun àkójọ',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>Ohun àkójọ</li><li>Ohun àkójọ</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => 'Fáìlì alákòósínú',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|Àkọlé]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='Ìkọ àkọlé' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='Enlarge' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>Ìkọ àkọlé</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => 'Ìtọ́kasí',
	'wikieditor-toolbar-help-content-reference-syntax' => 'Íkọ ojúewé.&lt;ref name="test"&gt;[http://www.example.org Ìkọ ìjápọ̀], ìkọ mìràn.&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "Ìkọ ojúewé.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => 'Ọ̀nà ílò míràn ìtọ́kasí kannáà',
	'wikieditor-toolbar-help-content-rereference-result' => "Ìkọ ojúewé.<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => 'Ìfihàn àwọn ìtọ́kasí',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>Ìkọ ìjápọ̀</a>, ìkọ mìràn.</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => 'Ìtọwọ́bọ̀wé pẹ̀lú èdìdí àkókò',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>Orúkọ oníṣe</a> (<a href='#' title='{{#special:mytalk}}'>ọ̀rọ̀</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => 'Ìtọwọ́bọ̀wé',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>Orúkọ oníṣe</a> (<a href='#' title='{{#special:mytalk}}'>ọ̀rọ̀</a>)",
	'wikieditor-toolbar-help-content-indent-description' => 'Awọ́',
);

/** Cantonese (粵語)
 * @author Horacewai2
 * @author Waihorace
 */
$messages['yue'] = array(
	'wikieditor' => '進階維基文字編輯界面',
	'wikieditor-desc' => '提供一個可以展開嘅維基文字編輯界面同埋好多其他特色嘅模組',
	'wikieditor-wikitext-tab' => '維基文字',
	'wikieditor-loading' => '載入緊',
	'wikieditor-preview-preference' => '用side-by-side預覽功能',
	'wikieditor-preview-tab' => '預覽',
	'wikieditor-preview-changes-tab' => '改動',
	'wikieditor-preview-loading' => '載入緊…',
	'wikieditor-previewDialog-tab' => '預覽',
	'wikieditor-previewDialog-loading' => '載入緊…',
	'wikieditor-publish-preference' => '啟用一步還一步嘅發佈功能',
	'wikieditor-publish-button-publish' => '發佈',
	'wikieditor-publish-button-cancel' => '取消',
	'wikieditor-publish-dialog-title' => '發佈去{{SITENAME}}',
	'wikieditor-publish-dialog-summary' => '摘要 (簡單講下你改左咩)',
	'wikieditor-publish-dialog-minor' => '小編輯',
	'wikieditor-publish-dialog-watch' => '睇實呢一頁',
	'wikieditor-publish-dialog-publish' => '發佈',
	'wikieditor-publish-dialog-goback' => '番去',
	'wikieditor-template-editor-preference' => '啟用模板form-based編輯功能',
	'wikieditor-template-editor-dialog-title' => '改模板',
	'wikieditor-template-editor-dialog-submit' => '更新',
	'wikieditor-template-editor-dialog-cancel' => '取消',
	'wikieditor-templates-preference' => '啟用可隱藏模板',
	'wikieditor-toc-preference' => '啟用內客嘅導航表格',
	'wikieditor-toc-show' => '顯示內容',
	'wikieditor-toc-hide' => '收埋內容',
	'wikieditor-toolbar' => '編輯工具列',
	'wikieditor-toolbar-desc' => '加強可用性嘅編輯版工具',
	'wikieditor-toolbar-preference' => '開着加強編輯工具列',
	'wikieditor-toolbar-dialogs-preference' => '啟用信息框去提供插入連結同表格等嘅幫助',
	'wikieditor-toolbar-loading' => '載入緊...',
	'wikieditor-toolbar-tool-bold' => '粗體',
	'wikieditor-toolbar-tool-bold-example' => '粗體字',
	'wikieditor-toolbar-tool-italic' => '斜體',
	'wikieditor-toolbar-tool-italic-example' => '斜體字',
	'wikieditor-toolbar-tool-ilink' => '內連',
	'wikieditor-toolbar-tool-ilink-example' => '拎題',
	'wikieditor-toolbar-tool-xlink' => '外連（記住 http:// 字頭）',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com 連結標題',
	'wikieditor-toolbar-tool-link' => '連結',
	'wikieditor-toolbar-tool-link-title' => '插入連結',
	'wikieditor-toolbar-tool-link-int' => '去一個維基頁面',
	'wikieditor-toolbar-tool-link-int-target' => '目標頁面或者URL:',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => '頁面標題或者URL',
	'wikieditor-toolbar-tool-link-int-text' => '要顯示嘅文字：',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => '要顯示嘅文字',
	'wikieditor-toolbar-tool-link-ext' => '連出去',
	'wikieditor-toolbar-tool-link-ext-target' => '連結URL:',
	'wikieditor-toolbar-tool-link-ext-text' => '連結文字：',
	'wikieditor-toolbar-tool-link-insert' => '插入連結',
	'wikieditor-toolbar-tool-link-cancel' => '取消',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => '頁面存在',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => '頁唔存在',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => '唔正確嘅標題',
	'wikieditor-toolbar-tool-link-int-target-status-external' => '外部連結',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => '檢查果版係唔係到...',
	'wikieditor-toolbar-tool-link-int-invalid' => '你打嘅標題係錯嘅',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => '條URL應該係連去其他Wiki頁面嘅，你打唔打算做一個內部連結？',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '內部連結',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '外部連結',
	'wikieditor-toolbar-tool-link-empty' => '你係連去邊個格到唔記得打野。',
	'wikieditor-toolbar-tool-file' => '結合標題',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => '參考',
	'wikieditor-toolbar-tool-reference-example' => '響呢度插入底文字',
	'wikieditor-toolbar-tool-reference-cancel' => '取消',
	'wikieditor-toolbar-tool-reference-title' => '插入註解',
	'wikieditor-toolbar-tool-reference-insert' => '插入',
	'wikieditor-toolbar-tool-reference-text' => '參考文字',
	'wikieditor-toolbar-tool-signature' => '簽名加時間印',
	'wikieditor-toolbar-section-advanced' => '進階',
	'wikieditor-toolbar-tool-heading' => '標題',
	'wikieditor-toolbar-tool-heading-1' => '1級',
	'wikieditor-toolbar-tool-heading-2' => '2級',
	'wikieditor-toolbar-tool-heading-3' => '3級',
	'wikieditor-toolbar-tool-heading-4' => '4級',
	'wikieditor-toolbar-tool-heading-5' => '5級',
	'wikieditor-toolbar-tool-heading-example' => '標題字',
	'wikieditor-toolbar-group-format' => '一覽',
	'wikieditor-toolbar-tool-ulist' => '點列一覽',
	'wikieditor-toolbar-tool-ulist-example' => '點列一覽項目',
	'wikieditor-toolbar-tool-olist' => '數字一覽',
	'wikieditor-toolbar-tool-olist-example' => '數字一覽項目',
	'wikieditor-toolbar-tool-indent' => '首行縮排',
	'wikieditor-toolbar-tool-indent-example' => '首行縮排嘅行',
	'wikieditor-toolbar-tool-nowiki' => '唔理 wiki 格式',
	'wikieditor-toolbar-tool-nowiki-example' => '喺呢度插入非格式文字',
	'wikieditor-toolbar-tool-redirect' => '重定向',
	'wikieditor-toolbar-tool-redirect-example' => '目標頁面名',
	'wikieditor-toolbar-tool-big' => '大',
	'wikieditor-toolbar-tool-big-example' => '大字',
	'wikieditor-toolbar-tool-small' => '細',
	'wikieditor-toolbar-tool-small-example' => '細字',
	'wikieditor-toolbar-tool-superscript' => '上標',
	'wikieditor-toolbar-tool-superscript-example' => '上標字',
	'wikieditor-toolbar-tool-subscript' => '下標',
	'wikieditor-toolbar-tool-subscript-example' => '下標字',
	'wikieditor-toolbar-group-insert' => '插入',
	'wikieditor-toolbar-tool-gallery' => '畫廊',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|標題1
$1:Example.jpg|標題2',
	'wikieditor-toolbar-tool-newline' => '新行',
	'wikieditor-toolbar-tool-table' => '表',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-example-header' => '標題',
	'wikieditor-toolbar-tool-table-title' => '插入表格',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '列',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '行',
	'wikieditor-toolbar-tool-table-dimensions-header' => '新增標題行',
	'wikieditor-toolbar-tool-table-wikitable' => '連埋外框同格式',
	'wikieditor-toolbar-tool-table-sortable' => '整一個可以排序嘅表格',
	'wikieditor-toolbar-tool-table-example' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-preview' => '預覽',
	'wikieditor-toolbar-tool-table-insert' => '插入',
	'wikieditor-toolbar-tool-table-cancel' => '取消',
	'wikieditor-toolbar-tool-table-toomany' => '插入一個多個$1格嘅表格用呢個信息框係唔可能嘅',
	'wikieditor-toolbar-tool-table-invalidnumber' => '你係行或者列輸入左一個唔正確嘅數字',
	'wikieditor-toolbar-tool-table-zero' => '你唔可以插入一個有0行或者列嘅表格',
	'wikieditor-toolbar-tool-replace' => '搜索同重新放位',
	'wikieditor-toolbar-tool-replace-title' => '搜索同重新放位',
	'wikieditor-toolbar-tool-replace-search' => '搵:',
	'wikieditor-toolbar-tool-replace-replace' => '放D咩？放:',
	'wikieditor-toolbar-tool-replace-case' => '合乎案件',
	'wikieditor-toolbar-tool-replace-regex' => '搜索文字做一個基本運算',
	'wikieditor-toolbar-tool-replace-button-findnext' => '下一個',
	'wikieditor-toolbar-tool-replace-button-replaceall' => '取代全部',
	'wikieditor-toolbar-tool-replace-close' => '關閉',
	'wikieditor-toolbar-tool-replace-nomatch' => '你嘅搜尋唔配合任何野。',
	'wikieditor-toolbar-tool-replace-success' => '已取代$1個。',
	'wikieditor-toolbar-tool-replace-emptysearch' => '你無打要搵啲咩。',
	'wikieditor-toolbar-tool-replace-invalidregex' => '你打入嘅運算係錯嘅：$1',
	'wikieditor-toolbar-section-characters' => '特別字元',
	'wikieditor-toolbar-characters-page-latin' => '拉丁文',
	'wikieditor-toolbar-characters-page-latinextended' => 'Latin擴展左',
	'wikieditor-toolbar-characters-page-ipa' => 'IPA',
	'wikieditor-toolbar-characters-page-symbols' => '符號',
	'wikieditor-toolbar-characters-page-greek' => '希臘文',
	'wikieditor-toolbar-characters-page-cyrillic' => '西里爾文',
	'wikieditor-toolbar-characters-page-arabic' => '阿拉伯文',
	'wikieditor-toolbar-characters-page-hebrew' => '希伯來文',
	'wikieditor-toolbar-characters-page-bangla' => 'Bangla
Bangla',
	'wikieditor-toolbar-characters-page-telugu' => 'Telugu',
	'wikieditor-toolbar-characters-page-sinhala' => 'Sinhala',
	'wikieditor-toolbar-characters-page-gujarati' => 'Gujarati',
	'wikieditor-toolbar-section-help' => '幫手',
	'wikieditor-toolbar-help-heading-description' => '描述',
	'wikieditor-toolbar-help-heading-syntax' => '你輸入啲乜',
	'wikieditor-toolbar-help-heading-result' => '你拎到啲乜',
	'wikieditor-toolbar-help-page-format' => '格式',
	'wikieditor-toolbar-help-page-link' => '連結',
	'wikieditor-toolbar-help-page-heading' => '標題',
	'wikieditor-toolbar-help-page-list' => '一覽',
	'wikieditor-toolbar-help-page-file' => '檔案',
	'wikieditor-toolbar-help-page-reference' => '參考',
	'wikieditor-toolbar-help-page-discussion' => '討論',
	'wikieditor-toolbar-help-content-italic-description' => '斜體',
	'wikieditor-toolbar-help-content-italic-syntax' => "''斜字''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>斜字</em>',
	'wikieditor-toolbar-help-content-bold-description' => '粗體',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''粗字'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>粗字</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => '粗斜體',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''粗斜字'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>粗斜字</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => '內連',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[頁題|連結標籤]]<br />[[頁題]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>連結標籤</a><br /><a href='#'>頁題</a>",
	'wikieditor-toolbar-help-content-xlink-description' => '外連',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org 連結標籤]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>連結標籤</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '第2級標題',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== 標題字 ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>標題字</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '第3級標題',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== 標題字 ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>標題字</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '第4級標題',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== 標題字 ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>標題字</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '第5級標題',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== 標題字 =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>標題字</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => '點列一覽',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* 一覽項目<br />* 一覽項目',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>一覽項目</li><li>一覽項目</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => '數字一覽',
	'wikieditor-toolbar-help-content-olist-syntax' => '# 一覽項目<br /># 一覽項目',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>一覽項目</li><li>一覽項目</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => '結合檔',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|標題字]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='標題字' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='放大' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>標題字</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => '參考',
	'wikieditor-toolbar-help-content-reference-syntax' => '頁字。&lt;ref name="test"&gt;[http://www.example.org 連字]，附加字。&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "頁字。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => '同參考附加用途',
	'wikieditor-toolbar-help-content-rereference-result' => "頁字。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => '顯示喜好',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>拎字</a>，附加字。</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '簽名加埋時間印',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>用戶名</a> (<a href='#' title='{{#special:mytalk}}'>討論</a>) 15:54, 10 June 2009 (UTC)",
	'wikieditor-toolbar-help-content-signature-description' => '簽名',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>用戶名</a> (<a href='#' title='{{#special:mytalk}}'>討論</a>)",
	'wikieditor-toolbar-help-content-indent-description' => '縮排',
	'wikieditor-toolbar-help-content-indent-syntax' => '標準字<br />:縮排字<br />::縮排字',
	'wikieditor-toolbar-help-content-indent-result' => '標準字<dl><dd>縮排字<dl><dd>縮排字</dd></dl></dd></dl>',
);

/** Simplified Chinese (‪中文(简体)‬)
 * @author Anakmalaysia
 * @author Bencmq
 * @author Fantasticfears
 * @author Gaoxuewei
 * @author Hydra
 * @author Liangent
 * @author Onecountry
 * @author PhiLiP
 * @author Shizhao
 * @author Xiaomingyan
 */
$messages['zh-hans'] = array(
	'wikieditor' => '高级维基文本编辑界面',
	'wikieditor-desc' => '提供可扩充的维基文本编辑界面及功能组件',
	'wikieditor-wikitext-tab' => '维基文本',
	'wikieditor-loading' => '正在载入',
	'wikieditor-preview-preference' => '启用双列对比预览',
	'wikieditor-preview-tab' => '预览',
	'wikieditor-preview-changes-tab' => '更改',
	'wikieditor-preview-loading' => '正在载入...',
	'wikieditor-previewDialog-preference' => '启用预览对话框的',
	'wikieditor-previewDialog-tab' => '预览',
	'wikieditor-previewDialog-loading' => '正在载入...',
	'wikieditor-publish-preference' => '启用逐步发表功能',
	'wikieditor-publish-button-publish' => '发表',
	'wikieditor-publish-button-cancel' => '取消',
	'wikieditor-publish-dialog-title' => '发表到{{SITENAME}}',
	'wikieditor-publish-dialog-summary' => '编辑摘要（简要描述您作出的编辑）：',
	'wikieditor-publish-dialog-minor' => '小修改',
	'wikieditor-publish-dialog-watch' => '监视本页',
	'wikieditor-publish-dialog-publish' => '发表',
	'wikieditor-publish-dialog-goback' => '后退',
	'wikieditor-template-editor-preference' => '启用wiki模板的表单式编辑',
	'wikieditor-template-editor-dialog-title' => '编辑模板',
	'wikieditor-template-editor-dialog-submit' => '更新',
	'wikieditor-template-editor-dialog-cancel' => '取消',
	'wikieditor-templates-preference' => '启用折叠模板功能',
	'wikieditor-toc-preference' => '启用导航目录',
	'wikieditor-toc-show' => '显示内容',
	'wikieditor-toc-hide' => '隐藏内容',
	'wikieditor-toolbar' => '编辑工具栏',
	'wikieditor-toolbar-desc' => '具有增强可用性的页面编辑工具',
	'wikieditor-toolbar-preference' => '启用增强编辑工具栏',
	'wikieditor-toolbar-dialogs-preference' => '启用对话框插入链接、表格等',
	'wikieditor-toolbar-hidesig' => '在主名字空间中隐藏签名按钮',
	'wikieditor-toolbar-loading' => '正在载入',
	'wikieditor-toolbar-tool-bold' => '粗体',
	'wikieditor-toolbar-tool-bold-example' => '粗体文字',
	'wikieditor-toolbar-tool-italic' => '斜体',
	'wikieditor-toolbar-tool-italic-example' => '斜体文字',
	'wikieditor-toolbar-tool-ilink' => '内部链接',
	'wikieditor-toolbar-tool-ilink-example' => '链接标题',
	'wikieditor-toolbar-tool-xlink' => '外部链接（注意加前缀http://）',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.范例.com（在这里输入网址） 链接文字',
	'wikieditor-toolbar-tool-link' => '链接',
	'wikieditor-toolbar-tool-link-title' => '插入链接',
	'wikieditor-toolbar-tool-link-int' => '链往wiki页面',
	'wikieditor-toolbar-tool-link-int-target' => '目标页面或网址：',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => '页面标题或URL',
	'wikieditor-toolbar-tool-link-int-text' => '显示文字：',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => '显示文字',
	'wikieditor-toolbar-tool-link-ext' => '链往外部网页',
	'wikieditor-toolbar-tool-link-ext-target' => '链接网址：',
	'wikieditor-toolbar-tool-link-ext-text' => '链接文字：',
	'wikieditor-toolbar-tool-link-insert' => '插入链接',
	'wikieditor-toolbar-tool-link-cancel' => '取消',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => '页面存在',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => '该页面不存在',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => '无效标题',
	'wikieditor-toolbar-tool-link-int-target-status-external' => '外部链接',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => '检查页面是否存在……',
	'wikieditor-toolbar-tool-link-int-invalid' => '您指定的标题无效。',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => '您输入的网址似乎指向另一个wiki页面，是否希望将其改为内部链接？',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '内部链接',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '外部链接',
	'wikieditor-toolbar-tool-link-empty' => '您没有输入链接内容。',
	'wikieditor-toolbar-tool-file' => '嵌入文件',
	'wikieditor-toolbar-tool-file-example' => '范例.jpg（在这里输入文件名）',
	'wikieditor-toolbar-tool-reference' => '参考',
	'wikieditor-toolbar-tool-reference-example' => '在此处插入注释文字',
	'wikieditor-toolbar-tool-reference-cancel' => '取消',
	'wikieditor-toolbar-tool-reference-title' => '插入注释内容',
	'wikieditor-toolbar-tool-reference-insert' => '插入',
	'wikieditor-toolbar-tool-reference-text' => '注释文字',
	'wikieditor-toolbar-tool-signature' => '签名和时间戳',
	'wikieditor-toolbar-section-advanced' => '高级',
	'wikieditor-toolbar-tool-heading' => '标题',
	'wikieditor-toolbar-tool-heading-1' => '1级',
	'wikieditor-toolbar-tool-heading-2' => '2级',
	'wikieditor-toolbar-tool-heading-3' => '3级',
	'wikieditor-toolbar-tool-heading-4' => '4级',
	'wikieditor-toolbar-tool-heading-5' => '5级',
	'wikieditor-toolbar-tool-heading-example' => '标题文字',
	'wikieditor-toolbar-group-format' => '格式',
	'wikieditor-toolbar-tool-ulist' => '无序列表',
	'wikieditor-toolbar-tool-ulist-example' => '无序列表项',
	'wikieditor-toolbar-tool-olist' => '有序列表',
	'wikieditor-toolbar-tool-olist-example' => '有序列表项',
	'wikieditor-toolbar-tool-indent' => '缩进',
	'wikieditor-toolbar-tool-indent-example' => '已缩进行',
	'wikieditor-toolbar-tool-nowiki' => '非维基格式文字',
	'wikieditor-toolbar-tool-nowiki-example' => '在此处插入非维基格式文字',
	'wikieditor-toolbar-tool-redirect' => '重定向',
	'wikieditor-toolbar-tool-redirect-example' => '目标页名称',
	'wikieditor-toolbar-tool-big' => '大号',
	'wikieditor-toolbar-tool-big-example' => '大号文字',
	'wikieditor-toolbar-tool-small' => '小号',
	'wikieditor-toolbar-tool-small-example' => '小号文字',
	'wikieditor-toolbar-tool-superscript' => '上标',
	'wikieditor-toolbar-tool-superscript-example' => '上标文字',
	'wikieditor-toolbar-tool-subscript' => '下标',
	'wikieditor-toolbar-tool-subscript-example' => '下标文字',
	'wikieditor-toolbar-group-insert' => '插入',
	'wikieditor-toolbar-tool-gallery' => '图库',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|标题1
$1:Example.jpg|标题2',
	'wikieditor-toolbar-tool-newline' => '换行',
	'wikieditor-toolbar-tool-table' => '表格',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 标题1
! 标题2
! 标题3
|-
| 第1行第1格
| 第1行第2格
| 第1行第3格
|-
| 第2行第1格
| 第2行第2格
| 第2行第3格',
	'wikieditor-toolbar-tool-table-example-cell-text' => '单元格文字',
	'wikieditor-toolbar-tool-table-example-header' => '标题文字',
	'wikieditor-toolbar-tool-table-title' => '插入表格',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '行',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '列',
	'wikieditor-toolbar-tool-table-dimensions-header' => '添加标题行',
	'wikieditor-toolbar-tool-table-wikitable' => '显示边框',
	'wikieditor-toolbar-tool-table-sortable' => '使表格内容可排序',
	'wikieditor-toolbar-tool-table-example' => '示例',
	'wikieditor-toolbar-tool-table-preview' => '预览',
	'wikieditor-toolbar-tool-table-insert' => '插入',
	'wikieditor-toolbar-tool-table-cancel' => '取消',
	'wikieditor-toolbar-tool-table-toomany' => '在这个对话框中无法插入超过$1个单元格的表格。',
	'wikieditor-toolbar-tool-table-invalidnumber' => '您输入的行数或列数无效。',
	'wikieditor-toolbar-tool-table-zero' => '您不能插入一个零行或零列的表格。',
	'wikieditor-toolbar-tool-replace' => '查找和替换',
	'wikieditor-toolbar-tool-replace-title' => '查找和替换',
	'wikieditor-toolbar-tool-replace-search' => '查找：',
	'wikieditor-toolbar-tool-replace-replace' => '替换为：',
	'wikieditor-toolbar-tool-replace-case' => '区分大小写',
	'wikieditor-toolbar-tool-replace-regex' => '使用正则表达式',
	'wikieditor-toolbar-tool-replace-button-findnext' => '查找下一个',
	'wikieditor-toolbar-tool-replace-button-replace' => '替换',
	'wikieditor-toolbar-tool-replace-button-replaceall' => '替换所有',
	'wikieditor-toolbar-tool-replace-close' => '关闭',
	'wikieditor-toolbar-tool-replace-nomatch' => '没有找到任何匹配项。',
	'wikieditor-toolbar-tool-replace-success' => '完成$1次替换。',
	'wikieditor-toolbar-tool-replace-emptysearch' => '您没有输入查找内容。',
	'wikieditor-toolbar-tool-replace-invalidregex' => '您输入的正则表达式无效：$1',
	'wikieditor-toolbar-section-characters' => '特殊文字',
	'wikieditor-toolbar-characters-page-latin' => '拉丁字母',
	'wikieditor-toolbar-characters-page-latinextended' => '扩展拉丁字母',
	'wikieditor-toolbar-characters-page-ipa' => '国际音标',
	'wikieditor-toolbar-characters-page-symbols' => '符号',
	'wikieditor-toolbar-characters-page-greek' => '希腊字母',
	'wikieditor-toolbar-characters-page-cyrillic' => '西里尔字母',
	'wikieditor-toolbar-characters-page-arabic' => '阿拉伯字母',
	'wikieditor-toolbar-characters-page-arabicextended' => '扩展阿拉伯字母',
	'wikieditor-toolbar-characters-page-persian' => '波斯语',
	'wikieditor-toolbar-characters-page-hebrew' => '希伯来字母',
	'wikieditor-toolbar-characters-page-bangla' => '孟加拉',
	'wikieditor-toolbar-characters-page-telugu' => '泰卢固字母',
	'wikieditor-toolbar-characters-page-sinhala' => '僧伽罗字母',
	'wikieditor-toolbar-characters-page-gujarati' => '古吉拉特字母',
	'wikieditor-toolbar-characters-page-thai' => '泰语',
	'wikieditor-toolbar-characters-page-lao' => '老挝语',
	'wikieditor-toolbar-characters-page-khmer' => '高棉语',
	'wikieditor-toolbar-section-help' => '帮助',
	'wikieditor-toolbar-help-heading-description' => '说明',
	'wikieditor-toolbar-help-heading-syntax' => '输入内容',
	'wikieditor-toolbar-help-heading-result' => '输出结果',
	'wikieditor-toolbar-help-page-format' => '格式',
	'wikieditor-toolbar-help-page-link' => '链接',
	'wikieditor-toolbar-help-page-heading' => '标题',
	'wikieditor-toolbar-help-page-list' => '列表',
	'wikieditor-toolbar-help-page-file' => '文件',
	'wikieditor-toolbar-help-page-reference' => '参考',
	'wikieditor-toolbar-help-page-discussion' => '讨论',
	'wikieditor-toolbar-help-content-italic-description' => '斜体',
	'wikieditor-toolbar-help-content-italic-syntax' => "''斜体文字''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>斜体文字</em>',
	'wikieditor-toolbar-help-content-bold-description' => '粗体',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''粗体文字'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>粗体文字</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => '斜粗体',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''斜粗体文字'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>粗斜体文本</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => '内部链接',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[页面标题|链接标签]]<br />[[页面标题]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>链接标签</a><br /><a href='#'>页面标题</a>",
	'wikieditor-toolbar-help-content-xlink-description' => '外部链接',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org 链接标签]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>链接标签</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '2级标题',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== 标题文本 ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>标题文本</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '3级标题',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== 标题文本 ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>标题文本</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '4级标题',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== 标题文本 ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>标题文本</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '5级标题',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== 标题文本 =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>标题文本</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => '无序列表',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* 列表项<br />* 列表项',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>列表项</li><li>列表项</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => '有序列表',
	'wikieditor-toolbar-help-content-olist-syntax' => '# 列表项<br /># 列表项',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>列表项</li><li>列表项</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => '嵌入文件',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|标题文本]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='标题文本' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='放大' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>标题文本</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => '参考',
	'wikieditor-toolbar-help-content-reference-syntax' => '页面文本。&lt;ref name="测试"&gt;[http://www.example.org 链接文本]，附加文本。&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "页面文本。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => '复用注释',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="test" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "页面文本。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => '显示参考文献',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>链接文本</a>，附加文本。</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '带时间戳的签名',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>用户名</a> （<a href='#' title='{{#special:mytalk}}'>讨论</a>） 2009年6月10日 （三） 15:54 （UTC）",
	'wikieditor-toolbar-help-content-signature-description' => '签名',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>用户名</a> （<a href='#' title='{{#special:mytalk}}'>讨论</a>）",
	'wikieditor-toolbar-help-content-indent-description' => '缩进',
	'wikieditor-toolbar-help-content-indent-syntax' => '标准文本<br />:缩进文本<br />::缩进文本',
	'wikieditor-toolbar-help-content-indent-result' => '标准文本<dl><dd>缩进文本<dl><dd>缩进文本</dd></dl></dd></dl>',
);

/** Traditional Chinese (‪中文(繁體)‬)
 * @author Anakmalaysia
 * @author Frankou
 * @author Gaoxuewei
 * @author Horacewai2
 * @author KaiesTse
 * @author Liangent
 * @author Mark85296341
 * @author PhiLiP
 * @author Waihorace
 * @author Wong128hk
 * @author Wrightbus
 */
$messages['zh-hant'] = array(
	'wikieditor' => '進階維基文字編輯介面',
	'wikieditor-desc' => '提供可擴充的維基文字編輯介面及功能組件',
	'wikieditor-wikitext-tab' => '維基文字',
	'wikieditor-loading' => '載入中',
	'wikieditor-preview-preference' => '啟用雙列對比預覽',
	'wikieditor-preview-tab' => '預覽',
	'wikieditor-preview-changes-tab' => '修訂',
	'wikieditor-preview-loading' => '載入中...',
	'wikieditor-previewDialog-preference' => '啟用預覽對話框',
	'wikieditor-previewDialog-tab' => '預覽',
	'wikieditor-previewDialog-loading' => '載入中...',
	'wikieditor-publish-preference' => '啟用逐步發表功能',
	'wikieditor-publish-button-publish' => '發表',
	'wikieditor-publish-button-cancel' => '取消',
	'wikieditor-publish-dialog-title' => '發表到 {{SITENAME}}',
	'wikieditor-publish-dialog-summary' => '編輯摘要（簡要描述您做出的編輯）：',
	'wikieditor-publish-dialog-minor' => '小修改',
	'wikieditor-publish-dialog-watch' => '監視本頁',
	'wikieditor-publish-dialog-publish' => '發表',
	'wikieditor-publish-dialog-goback' => '返回',
	'wikieditor-template-editor-preference' => '啟用 wiki 模板的表單式編輯',
	'wikieditor-template-editor-dialog-title' => '編輯模板',
	'wikieditor-template-editor-dialog-submit' => '更新',
	'wikieditor-template-editor-dialog-cancel' => '取消',
	'wikieditor-templates-preference' => '使模板倒塌',
	'wikieditor-toc-preference' => '啟用可導覽目錄',
	'wikieditor-toc-show' => '顯示內容',
	'wikieditor-toc-hide' => '隱藏內容',
	'wikieditor-toolbar' => '編輯工具列',
	'wikieditor-toolbar-desc' => '可用性更佳之編輯工具',
	'wikieditor-toolbar-preference' => '啟用加強編輯工具列',
	'wikieditor-toolbar-dialogs-preference' => '使用對話框插入連結、表格等',
	'wikieditor-toolbar-hidesig' => '從主名字空間的頁面中隱藏簽名按鈕',
	'wikieditor-toolbar-loading' => '載入中...',
	'wikieditor-toolbar-tool-bold' => '粗體',
	'wikieditor-toolbar-tool-bold-example' => '粗體文字',
	'wikieditor-toolbar-tool-italic' => '斜體',
	'wikieditor-toolbar-tool-italic-example' => '斜體文字',
	'wikieditor-toolbar-tool-ilink' => '內部連結',
	'wikieditor-toolbar-tool-ilink-example' => '連結標題',
	'wikieditor-toolbar-tool-xlink' => '外部連結（記住以 http:// 文字開頭）',
	'wikieditor-toolbar-tool-xlink-example' => 'http://www.example.com 連結標題',
	'wikieditor-toolbar-tool-link' => '連結',
	'wikieditor-toolbar-tool-link-title' => '插入連結',
	'wikieditor-toolbar-tool-link-int' => '連往 wiki 頁面',
	'wikieditor-toolbar-tool-link-int-target' => '目標頁面或網址：',
	'wikieditor-toolbar-tool-link-int-target-tooltip' => '頁面標題或 URL',
	'wikieditor-toolbar-tool-link-int-text' => '顯示文字：',
	'wikieditor-toolbar-tool-link-int-text-tooltip' => '輸入須展示文字',
	'wikieditor-toolbar-tool-link-ext' => '連往外部網頁',
	'wikieditor-toolbar-tool-link-ext-target' => '連結網址：',
	'wikieditor-toolbar-tool-link-ext-text' => '連結描述文字：',
	'wikieditor-toolbar-tool-link-insert' => '插入連結',
	'wikieditor-toolbar-tool-link-cancel' => '取消',
	'wikieditor-toolbar-tool-link-int-target-status-exists' => '頁面已存在',
	'wikieditor-toolbar-tool-link-int-target-status-notexists' => '頁面未存在',
	'wikieditor-toolbar-tool-link-int-target-status-invalid' => '無效標題',
	'wikieditor-toolbar-tool-link-int-target-status-external' => '外部連結',
	'wikieditor-toolbar-tool-link-int-target-status-loading' => '正檢查頁面是否存在……',
	'wikieditor-toolbar-tool-link-int-invalid' => '所指定標題無效。',
	'wikieditor-toolbar-tool-link-lookslikeinternal' => '閣下所輸入 URL 似乎指向另一個 wiki 頁面，請問須否轉為內部連結？',
	'wikieditor-toolbar-tool-link-lookslikeinternal-int' => '內部連結',
	'wikieditor-toolbar-tool-link-lookslikeinternal-ext' => '外部連結',
	'wikieditor-toolbar-tool-link-empty' => '閣下並未輸入連結。',
	'wikieditor-toolbar-tool-file' => '結合標題',
	'wikieditor-toolbar-tool-file-example' => 'Example.jpg',
	'wikieditor-toolbar-tool-reference' => '參考',
	'wikieditor-toolbar-tool-reference-example' => '插入腳註文字於此',
	'wikieditor-toolbar-tool-reference-cancel' => '取消',
	'wikieditor-toolbar-tool-reference-title' => '插入參考來源',
	'wikieditor-toolbar-tool-reference-insert' => '插入',
	'wikieditor-toolbar-tool-reference-text' => '參考文本',
	'wikieditor-toolbar-tool-signature' => '簽名加時間',
	'wikieditor-toolbar-section-advanced' => '進階',
	'wikieditor-toolbar-tool-heading' => '標題',
	'wikieditor-toolbar-tool-heading-1' => '1級',
	'wikieditor-toolbar-tool-heading-2' => '2級',
	'wikieditor-toolbar-tool-heading-3' => '3級',
	'wikieditor-toolbar-tool-heading-4' => '4級',
	'wikieditor-toolbar-tool-heading-5' => '5級',
	'wikieditor-toolbar-tool-heading-example' => '標題文字',
	'wikieditor-toolbar-group-format' => '格式',
	'wikieditor-toolbar-tool-ulist' => '點列',
	'wikieditor-toolbar-tool-ulist-example' => '點列項目',
	'wikieditor-toolbar-tool-olist' => '序列',
	'wikieditor-toolbar-tool-olist-example' => '序列項目',
	'wikieditor-toolbar-tool-indent' => '縮排',
	'wikieditor-toolbar-tool-indent-example' => '已增縮排',
	'wikieditor-toolbar-tool-nowiki' => '入去格式文字',
	'wikieditor-toolbar-tool-nowiki-example' => '插入去格式文字於此',
	'wikieditor-toolbar-tool-redirect' => '重定向',
	'wikieditor-toolbar-tool-redirect-example' => '目標頁名稱',
	'wikieditor-toolbar-tool-big' => '大',
	'wikieditor-toolbar-tool-big-example' => '大',
	'wikieditor-toolbar-tool-small' => '小',
	'wikieditor-toolbar-tool-small-example' => '小',
	'wikieditor-toolbar-tool-superscript' => '上標',
	'wikieditor-toolbar-tool-superscript-example' => '上標文字',
	'wikieditor-toolbar-tool-subscript' => '下標',
	'wikieditor-toolbar-tool-subscript-example' => '下標文字',
	'wikieditor-toolbar-group-insert' => '插入',
	'wikieditor-toolbar-tool-gallery' => '畫廊',
	'wikieditor-toolbar-tool-gallery-example' => '$1:Example.jpg|標題1
$1:Example.jpg|標題2',
	'wikieditor-toolbar-tool-newline' => '換行',
	'wikieditor-toolbar-tool-table' => '表格',
	'wikieditor-toolbar-tool-table-example-old' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-example-cell-text' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-example-header' => '標題',
	'wikieditor-toolbar-tool-table-title' => '插入表格',
	'wikieditor-toolbar-tool-table-dimensions-rows' => '行',
	'wikieditor-toolbar-tool-table-dimensions-columns' => '列',
	'wikieditor-toolbar-tool-table-dimensions-header' => '新增標題行',
	'wikieditor-toolbar-tool-table-wikitable' => '設定邊框格式',
	'wikieditor-toolbar-tool-table-sortable' => '使表格內容可排序',
	'wikieditor-toolbar-tool-table-example' => '-
! 表頭 1
! 表頭 2
! 表頭 3
|-
| 行 1, 格 1
| 行 1, 格 2
| 行 1, 格 3
|-
| 行 2, 格 1
| 行 2, 格 2
| 行 2, 格 3',
	'wikieditor-toolbar-tool-table-preview' => '預覽',
	'wikieditor-toolbar-tool-table-insert' => '插入',
	'wikieditor-toolbar-tool-table-cancel' => '取消',
	'wikieditor-toolbar-tool-table-toomany' => '在這個對話框中無法插入超過 $1 個單元格的表格。',
	'wikieditor-toolbar-tool-table-invalidnumber' => '您輸入的行數或列數無效。',
	'wikieditor-toolbar-tool-table-zero' => '您不能插入一個零行或零列的表格。',
	'wikieditor-toolbar-tool-replace' => '尋找和替換',
	'wikieditor-toolbar-tool-replace-title' => '尋找和替換',
	'wikieditor-toolbar-tool-replace-search' => '尋找：',
	'wikieditor-toolbar-tool-replace-replace' => '替換為：',
	'wikieditor-toolbar-tool-replace-case' => '區分大小寫',
	'wikieditor-toolbar-tool-replace-regex' => '使用正則表達式',
	'wikieditor-toolbar-tool-replace-button-findnext' => '尋找下一個',
	'wikieditor-toolbar-tool-replace-button-replace' => '替換',
	'wikieditor-toolbar-tool-replace-button-replaceall' => '替換所有',
	'wikieditor-toolbar-tool-replace-close' => '關閉',
	'wikieditor-toolbar-tool-replace-nomatch' => '沒有找到任何符合項目。',
	'wikieditor-toolbar-tool-replace-success' => '完成 $1 次替換。',
	'wikieditor-toolbar-tool-replace-emptysearch' => '您沒有輸入尋找內容。',
	'wikieditor-toolbar-tool-replace-invalidregex' => '您輸入的正則表達式無效：$1',
	'wikieditor-toolbar-section-characters' => '特殊文字',
	'wikieditor-toolbar-characters-page-latin' => '拉丁字母',
	'wikieditor-toolbar-characters-page-latinextended' => '擴展拉丁字母',
	'wikieditor-toolbar-characters-page-ipa' => '國際音標',
	'wikieditor-toolbar-characters-page-symbols' => '符號',
	'wikieditor-toolbar-characters-page-greek' => '希臘字母',
	'wikieditor-toolbar-characters-page-cyrillic' => '西里爾字母',
	'wikieditor-toolbar-characters-page-arabic' => '阿拉伯字母',
	'wikieditor-toolbar-characters-page-arabicextended' => '擴展阿拉伯字母',
	'wikieditor-toolbar-characters-page-persian' => '波斯語',
	'wikieditor-toolbar-characters-page-hebrew' => '希伯來字母',
	'wikieditor-toolbar-characters-page-bangla' => '孟加拉',
	'wikieditor-toolbar-characters-page-telugu' => '泰盧固語',
	'wikieditor-toolbar-characters-page-sinhala' => '僧伽羅文',
	'wikieditor-toolbar-characters-page-gujarati' => '古吉拉特語',
	'wikieditor-toolbar-characters-page-thai' => '泰語',
	'wikieditor-toolbar-characters-page-lao' => '寮語',
	'wikieditor-toolbar-characters-page-khmer' => '高棉語',
	'wikieditor-toolbar-section-help' => '幫助',
	'wikieditor-toolbar-help-heading-description' => '描述',
	'wikieditor-toolbar-help-heading-syntax' => '您輸入什麼',
	'wikieditor-toolbar-help-heading-result' => '您得到什麼',
	'wikieditor-toolbar-help-page-format' => '格式',
	'wikieditor-toolbar-help-page-link' => '連結',
	'wikieditor-toolbar-help-page-heading' => '標題',
	'wikieditor-toolbar-help-page-list' => '列表',
	'wikieditor-toolbar-help-page-file' => '檔案',
	'wikieditor-toolbar-help-page-reference' => '參考',
	'wikieditor-toolbar-help-page-discussion' => '討論',
	'wikieditor-toolbar-help-content-italic-description' => '斜體',
	'wikieditor-toolbar-help-content-italic-syntax' => "''斜體文字''",
	'wikieditor-toolbar-help-content-italic-result' => '<em>斜體文字</em>',
	'wikieditor-toolbar-help-content-bold-description' => '粗體',
	'wikieditor-toolbar-help-content-bold-syntax' => "'''粗體文字'''",
	'wikieditor-toolbar-help-content-bold-result' => '<strong>粗體文字</strong>',
	'wikieditor-toolbar-help-content-bolditalic-description' => '粗斜體',
	'wikieditor-toolbar-help-content-bolditalic-syntax' => "'''''粗斜體文字'''''",
	'wikieditor-toolbar-help-content-bolditalic-result' => '<strong><em>粗斜體文字</em></strong>',
	'wikieditor-toolbar-help-content-ilink-description' => '內部連結',
	'wikieditor-toolbar-help-content-ilink-syntax' => '[[頁面標題|連結標籤]]<br />[[頁面標題]]',
	'wikieditor-toolbar-help-content-ilink-result' => "<a href='#'>連結標籤</a><br /><a href='#'>頁面標題</a>",
	'wikieditor-toolbar-help-content-xlink-description' => '外部連結',
	'wikieditor-toolbar-help-content-xlink-syntax' => '[http://www.example.org 連結標籤]<br />[http://www.example.org]<br />http://www.example.org',
	'wikieditor-toolbar-help-content-xlink-result' => "<a href='#' class='external'>連結標籤</a><br /><a href='#' class='external autonumber'>[1]</a><br /><a href='#' class='external'>http://www.example.org</a>",
	'wikieditor-toolbar-help-content-heading2-description' => '第2級標題',
	'wikieditor-toolbar-help-content-heading2-syntax' => '== 標題文字 ==',
	'wikieditor-toolbar-help-content-heading2-result' => '<h2>標題文字</h2>',
	'wikieditor-toolbar-help-content-heading3-description' => '第3級標題',
	'wikieditor-toolbar-help-content-heading3-syntax' => '=== 標題文字 ===',
	'wikieditor-toolbar-help-content-heading3-result' => '<h3>標題文字</h3>',
	'wikieditor-toolbar-help-content-heading4-description' => '第4級標題',
	'wikieditor-toolbar-help-content-heading4-syntax' => '==== 標題文字 ====',
	'wikieditor-toolbar-help-content-heading4-result' => '<h4>標題文字</h4>',
	'wikieditor-toolbar-help-content-heading5-description' => '第5級標題',
	'wikieditor-toolbar-help-content-heading5-syntax' => '===== 標題文字 =====',
	'wikieditor-toolbar-help-content-heading5-result' => '<h5>標題文字</h5>',
	'wikieditor-toolbar-help-content-ulist-description' => '點列列表',
	'wikieditor-toolbar-help-content-ulist-syntax' => '* 列表項目<br />* 列表項目',
	'wikieditor-toolbar-help-content-ulist-result' => '<ul><li>列表項目</li><li>列表項目</li></ul>',
	'wikieditor-toolbar-help-content-olist-description' => '數字列表',
	'wikieditor-toolbar-help-content-olist-syntax' => '# 列表項目<br /># 列表項目',
	'wikieditor-toolbar-help-content-olist-result' => '<ol><li>列表項目</li><li>列表項目</li></ol>',
	'wikieditor-toolbar-help-content-file-description' => '結合檔',
	'wikieditor-toolbar-help-content-file-syntax' => '[[$1:Example.png|thumb|標題文字]]',
	'wikieditor-toolbar-help-content-file-result' => "<div style='width:104px;' class='thumbinner'><a title='標題文字' class='image' href='#'><img height='50' width='100' border='0' class='thumbimage' src='extensions/WikiEditor/modules/images/toolbar/example-image.png' alt=''/></a><div class='thumbcaption'><div class='magnify'><a title='放大' class='internal' href='#'><img height='11' width='15' alt='' src='$1/common/images/magnify-clip.png'/></a></div>標題文字</div></div>",
	'wikieditor-toolbar-help-content-reference-description' => '參考',
	'wikieditor-toolbar-help-content-reference-syntax' => '頁面文字。&lt;ref name="測試"&gt;[http://www.example.org 連結文字]，附加文字。&lt;/ref&gt;',
	'wikieditor-toolbar-help-content-reference-result' => "頁面文字。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-rereference-description' => '同參考附加用途',
	'wikieditor-toolbar-help-content-rereference-syntax' => '&lt;ref name="測試" /&gt;',
	'wikieditor-toolbar-help-content-rereference-result' => "頁面文字。<sup><a href='#'>[1]</a></sup>",
	'wikieditor-toolbar-help-content-showreferences-description' => '顯示偏好',
	'wikieditor-toolbar-help-content-showreferences-result' => "<ol class='references'><li id='cite_note-test-0'><b><a title='' href='#'>^</a></b> <a rel='nofollow' title='http://www.example.org' class='external text' href='#'>拎文字</a>，附加文字。</li></ol>",
	'wikieditor-toolbar-help-content-signaturetimestamp-description' => '簽名加上時間截記',
	'wikieditor-toolbar-help-content-signaturetimestamp-result' => "<a href='#' title='{{#special:mypage}}'>用戶名</a> （<a href='#' title='{{#special:mytalk}}'>討論</a>） 15:54, 10 June 2009 （UTC）",
	'wikieditor-toolbar-help-content-signature-description' => '簽名',
	'wikieditor-toolbar-help-content-signature-result' => "<a href='#' title='{{#special:mypage}}'>用戶名</a> （<a href='#' title='{{#special:mytalk}}'>討論</a>）",
	'wikieditor-toolbar-help-content-indent-description' => '縮排',
	'wikieditor-toolbar-help-content-indent-syntax' => '標準文字<br />:縮排文字<br />::縮排文字',
	'wikieditor-toolbar-help-content-indent-result' => '標準文字<dl><dd>縮排文字<dl><dd>縮排文字</dd></dl></dd></dl>',
);

/** Zulu (isiZulu)
 * @author Kuvaly
 */
$messages['zu'] = array(
	'wikieditor-toolbar-tool-table-preview' => 'Isibonakalo',
);

